(*^

::[paletteColors = 128; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, noPageBreakInGroup, nohscroll, preserveAspect, M7, italic, B65535, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  12, "Times"; ;
	fontset = Left Header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  12, "Times"; ;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, italic, L1,  12, "Times"; ;
	fontset = Left Footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, italic, L1,  12, "Times"; ;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = subsubtitle; inactive; preserveAspect; ]
Copyright  1992 by Academic Press, Inc.

Text Exercise 12.11
;[s]
4:0,0;10,1;11,2;40,3;62,-1;
4:1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;
:[font = title; inactive; Cclosed; preserveAspect; startGroup; ]
Graphical Approximation to Integrals
:[font = subsubtitle; inactive; preserveAspect; ]
by
K. D.  Stroyan
University of Iowa
:[font = text; inactive; preserveAspect; endGroup; ]
copyright 1992 by Academic Press, Inc. - All rights reserved.
:[font = section; inactive; preserveAspect; startGroup; ]
	Approximations to Areas Under Curves
:[font = text; inactive; preserveAspect; endGroup; ]
		The Riemann sum approximates the area under a curve by dividing the region into rectangles.  The sum of the areas of the rectangles is a better and better approximation of the actual area under the curve if the rectangles are taken smaller and smaller.
		The function leftrect[n] below divides the area under a function curve into n rectangles and then sums the areas of these rectangles to approximate the area under the curve.  By activating the function cell and typing leftrect[n], Mathematica will partition the area under the function f[x] = 4/(1 + x^2)  into  n  rectangles and sum over this partition.  Mathematica also draws a graph of your partition and gives you the true value so you can see how closely the sum approximates the actual area.
		You may change the function and limits by changing the definition of f[x] or a and b below.
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
The Approximation Functions Used to Make the Animations Below
:[font = input; initialization; preserveAspect; ]
*)
leftrect[n_] :=
Block[ {dx},
		dx = (b - a) / n ;
	Do[
		x[i] = a + i (b - a) / n
	,{i, 0, n}];
		partition := Graphics[ {GrayLevel[0.4],
				Table[ Rectangle[ {x[i], 0}, {x[i+1], f[x[i]]} ],
				{i, 0, n - 1} ] } ] ;
	left = N[ Sum[ f[x[i]] dx, {i, 0, n - 1} ], 10];
		label = "= area of rectangles" left ;
		Show[ partition, functionplot, PlotLabel -> label ]; 
	] ;
(*
:[font = input; initialization; preserveAspect; ]
*)
midrect[n_] :=
	Block[ {dx},
		dx = (b - a) / n ;
		Do[
			x[i] = a + i (b - a) / n
		,{i, 0, n}] ;

			partition := Graphics[ {GrayLevel[0.4],
				Table[ Rectangle[ {x[i], 0}, {x[i+1], f[x[i]+dx/2]} ],
				 {i, 0, n - 1} ] } ] ;
			mid = N[ Sum[ f[x[i]+dx/2] dx, {i,0, n - 1} ], 10];
			label = "= area of rectangles" mid ;
		Show[ partition, functionplot, PlotLabel -> label ]; 
	];
(*
:[font = input; initialization; preserveAspect; endGroup; ]
*)
trapezoids[n_] :=
	Block[ {dx},
		dx = (b - a) / n ;
		Do[
			x[i] = a + i (b - a) / n
		,{i, 0, n}] ;

		partition := Graphics[ {GrayLevel[0.4],
				Table[Polygon[{{x[i], 0},{x[i],f[x[i]]},
				{x[i+1], f[x[i+1]]},{x[i+1],0}}],
				 {i, 0, n - 1} ] } ] ;
				 
			trap = N[dx(f[a] + 2 Sum[f[x[i]],{i,1, n - 1}] + f[b])/2, 10];
		label = "= area of trapezoids" trap ;
		Show[ partition, functionplot, PlotLabel -> label ]; 
	];
(*
:[font = subsection; inactive; preserveAspect; startGroup; ]
The function and limits
:[font = input; preserveAspect; startGroup; ]
f[x_] := 1/(1 + x^2);
a = 0 ;
b = 2 ;
functionplot := Plot[ f[x], {x, a, b}, PlotRange -> {0,1} ];
Show[functionplot];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 3; pictureWidth = 205; pictureHeight = 127; endGroup; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0 0.61803 [
[(0.5)] 0.2619 -0.0125 0 1 Msboxa
[(1)] 0.5 -0.0125 0 1 Msboxa
[(1.5)] 0.7381 -0.0125 0 1 Msboxa
[(2)] 0.97619 -0.0125 0 1 Msboxa
[(0.2)] 0.01131 0.12361 1 0 Msboxa
[(0.4)] 0.01131 0.24721 1 0 Msboxa
[(0.6)] 0.01131 0.37082 1 0 Msboxa
[(0.8)] 0.01131 0.49443 1 0 Msboxa
[(1)] 0.01131 0.61803 1 0 Msboxa
[ -0.001 -0.00725 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
0.2619 -0.00625 moveto
0.2619 0.00625 lineto
stroke
0 setgray
[(0.5)] 0.2619 -0.0125 0 1 Mshowa
0.5 -0.00625 moveto
0.5 0.00625 lineto
stroke
0 setgray
[(1)] 0.5 -0.0125 0 1 Mshowa
0.7381 -0.00625 moveto
0.7381 0.00625 lineto
stroke
0 setgray
[(1.5)] 0.7381 -0.0125 0 1 Mshowa
0.97619 -0.00625 moveto
0.97619 0.00625 lineto
stroke
0 setgray
[(2)] 0.97619 -0.0125 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.12361 moveto
0.03006 0.12361 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.12361 1 0 Mshowa
0.01756 0.24721 moveto
0.03006 0.24721 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.24721 1 0 Mshowa
0.01756 0.37082 moveto
0.03006 0.37082 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.37082 1 0 Mshowa
0.01756 0.49443 moveto
0.03006 0.49443 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.49443 1 0 Mshowa
0.01756 0.61803 moveto
0.03006 0.61803 lineto
stroke
0 setgray
[(1)] 0.01131 0.61803 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.61803 moveto
0.02505 0.61803 lineto
0.02629 0.61802 lineto
0.02753 0.618 lineto
0.02877 0.61797 lineto
0.03001 0.61793 lineto
0.03125 0.61788 lineto
0.03373 0.61777 lineto
0.03621 0.61762 lineto
0.03869 0.61743 lineto
0.04365 0.61696 lineto
0.04861 0.61636 lineto
0.05357 0.61563 lineto
0.06349 0.61377 lineto
0.08333 0.60853 lineto
0.10317 0.60133 lineto
0.14286 0.58168 lineto
0.18254 0.55623 lineto
0.22222 0.52661 lineto
0.2619 0.49443 lineto
0.30159 0.46112 lineto
0.34127 0.42787 lineto
0.38095 0.39554 lineto
0.42063 0.36474 lineto
0.46032 0.33584 lineto
0.5 0.30902 lineto
0.53968 0.28434 lineto
0.57937 0.26176 lineto
0.61905 0.24118 lineto
0.65873 0.22249 lineto
0.69841 0.20554 lineto
0.7381 0.19016 lineto
0.77778 0.17623 lineto
0.81746 0.1636 lineto
0.85714 0.15213 lineto
0.89683 0.14171 lineto
0.93651 0.13224 lineto
0.97619 0.12361 lineto
stroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Left Rectangles
:[font = text; inactive; preserveAspect; ]
Run the Mathematica animation in the graphics cell below. (Press <Command> & <Y> )
:[font = input; preserveAspect; ]
Do[leftrect[2^n], {n,1,6}];
 Print[ "Actual Area (Definite Integral) = ",
	N[ Integrate[ f[x], {x, a, b} ], 10 ] ];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; Cclosed; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 235; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0 0.61803 [
[(1.5 = area of rectangles)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 -0.0125 0 1 Msboxa
[(1)] 0.5 -0.0125 0 1 Msboxa
[(1.5)] 0.7381 -0.0125 0 1 Msboxa
[(2)] 0.97619 -0.0125 0 1 Msboxa
[(0.2)] 0.01131 0.12361 1 0 Msboxa
[(0.4)] 0.01131 0.24721 1 0 Msboxa
[(0.6)] 0.01131 0.37082 1 0 Msboxa
[(0.8)] 0.01131 0.49443 1 0 Msboxa
[(1)] 0.01131 0.61803 1 0 Msboxa
[ -0.001 -0.00725 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.5 = area of rectangles)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
0.2619 -0.00625 moveto
0.2619 0.00625 lineto
stroke
0 setgray
[(0.5)] 0.2619 -0.0125 0 1 Mshowa
0.5 -0.00625 moveto
0.5 0.00625 lineto
stroke
0 setgray
[(1)] 0.5 -0.0125 0 1 Mshowa
0.7381 -0.00625 moveto
0.7381 0.00625 lineto
stroke
0 setgray
[(1.5)] 0.7381 -0.0125 0 1 Mshowa
0.97619 -0.00625 moveto
0.97619 0.00625 lineto
stroke
0 setgray
[(2)] 0.97619 -0.0125 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.12361 moveto
0.03006 0.12361 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.12361 1 0 Mshowa
0.01756 0.24721 moveto
0.03006 0.24721 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.24721 1 0 Mshowa
0.01756 0.37082 moveto
0.03006 0.37082 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.37082 1 0 Mshowa
0.01756 0.49443 moveto
0.03006 0.49443 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.49443 1 0 Mshowa
0.01756 0.61803 moveto
0.03006 0.61803 lineto
stroke
0 setgray
[(1)] 0.01131 0.61803 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0 moveto
0.02381 0.61803 lineto
0.5 0.61803 lineto
0.5 0 lineto
fill
0.5 0 moveto
0.5 0.30902 lineto
0.97619 0.30902 lineto
0.97619 0 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.61803 moveto
0.02505 0.61803 lineto
0.02629 0.61802 lineto
0.02753 0.618 lineto
0.02877 0.61797 lineto
0.03001 0.61793 lineto
0.03125 0.61788 lineto
0.03373 0.61777 lineto
0.03621 0.61762 lineto
0.03869 0.61743 lineto
0.04365 0.61696 lineto
0.04861 0.61636 lineto
0.05357 0.61563 lineto
0.06349 0.61377 lineto
0.08333 0.60853 lineto
0.10317 0.60133 lineto
0.14286 0.58168 lineto
0.18254 0.55623 lineto
0.22222 0.52661 lineto
0.2619 0.49443 lineto
0.30159 0.46112 lineto
0.34127 0.42787 lineto
0.38095 0.39554 lineto
0.42063 0.36474 lineto
0.46032 0.33584 lineto
0.5 0.30902 lineto
0.53968 0.28434 lineto
0.57937 0.26176 lineto
0.61905 0.24118 lineto
0.65873 0.22249 lineto
0.69841 0.20554 lineto
0.7381 0.19016 lineto
0.77778 0.17623 lineto
0.81746 0.1636 lineto
0.85714 0.15213 lineto
0.89683 0.14171 lineto
0.93651 0.13224 lineto
0.97619 0.12361 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 235; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0 0.61803 [
[(1.303846154 = area of rectangles)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 -0.0125 0 1 Msboxa
[(1)] 0.5 -0.0125 0 1 Msboxa
[(1.5)] 0.7381 -0.0125 0 1 Msboxa
[(2)] 0.97619 -0.0125 0 1 Msboxa
[(0.2)] 0.01131 0.12361 1 0 Msboxa
[(0.4)] 0.01131 0.24721 1 0 Msboxa
[(0.6)] 0.01131 0.37082 1 0 Msboxa
[(0.8)] 0.01131 0.49443 1 0 Msboxa
[(1)] 0.01131 0.61803 1 0 Msboxa
[ -0.001 -0.00725 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.303846154 = area of rectangles)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
0.2619 -0.00625 moveto
0.2619 0.00625 lineto
stroke
0 setgray
[(0.5)] 0.2619 -0.0125 0 1 Mshowa
0.5 -0.00625 moveto
0.5 0.00625 lineto
stroke
0 setgray
[(1)] 0.5 -0.0125 0 1 Mshowa
0.7381 -0.00625 moveto
0.7381 0.00625 lineto
stroke
0 setgray
[(1.5)] 0.7381 -0.0125 0 1 Mshowa
0.97619 -0.00625 moveto
0.97619 0.00625 lineto
stroke
0 setgray
[(2)] 0.97619 -0.0125 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.12361 moveto
0.03006 0.12361 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.12361 1 0 Mshowa
0.01756 0.24721 moveto
0.03006 0.24721 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.24721 1 0 Mshowa
0.01756 0.37082 moveto
0.03006 0.37082 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.37082 1 0 Mshowa
0.01756 0.49443 moveto
0.03006 0.49443 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.49443 1 0 Mshowa
0.01756 0.61803 moveto
0.03006 0.61803 lineto
stroke
0 setgray
[(1)] 0.01131 0.61803 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0 moveto
0.02381 0.61803 lineto
0.2619 0.61803 lineto
0.2619 0 lineto
fill
0.2619 0 moveto
0.2619 0.49443 lineto
0.5 0.49443 lineto
0.5 0 lineto
fill
0.5 0 moveto
0.5 0.30902 lineto
0.7381 0.30902 lineto
0.7381 0 lineto
fill
0.7381 0 moveto
0.7381 0.19016 lineto
0.97619 0.19016 lineto
0.97619 0 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.61803 moveto
0.02505 0.61803 lineto
0.02629 0.61802 lineto
0.02753 0.618 lineto
0.02877 0.61797 lineto
0.03001 0.61793 lineto
0.03125 0.61788 lineto
0.03373 0.61777 lineto
0.03621 0.61762 lineto
0.03869 0.61743 lineto
0.04365 0.61696 lineto
0.04861 0.61636 lineto
0.05357 0.61563 lineto
0.06349 0.61377 lineto
0.08333 0.60853 lineto
0.10317 0.60133 lineto
0.14286 0.58168 lineto
0.18254 0.55623 lineto
0.22222 0.52661 lineto
0.2619 0.49443 lineto
0.30159 0.46112 lineto
0.34127 0.42787 lineto
0.38095 0.39554 lineto
0.42063 0.36474 lineto
0.46032 0.33584 lineto
0.5 0.30902 lineto
0.53968 0.28434 lineto
0.57937 0.26176 lineto
0.61905 0.24118 lineto
0.65873 0.22249 lineto
0.69841 0.20554 lineto
0.7381 0.19016 lineto
0.77778 0.17623 lineto
0.81746 0.1636 lineto
0.85714 0.15213 lineto
0.89683 0.14171 lineto
0.93651 0.13224 lineto
0.97619 0.12361 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 235; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0 0.61803 [
[(1.206316632 = area of rectangles)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 -0.0125 0 1 Msboxa
[(1)] 0.5 -0.0125 0 1 Msboxa
[(1.5)] 0.7381 -0.0125 0 1 Msboxa
[(2)] 0.97619 -0.0125 0 1 Msboxa
[(0.2)] 0.01131 0.12361 1 0 Msboxa
[(0.4)] 0.01131 0.24721 1 0 Msboxa
[(0.6)] 0.01131 0.37082 1 0 Msboxa
[(0.8)] 0.01131 0.49443 1 0 Msboxa
[(1)] 0.01131 0.61803 1 0 Msboxa
[ -0.001 -0.00725 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.206316632 = area of rectangles)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
0.2619 -0.00625 moveto
0.2619 0.00625 lineto
stroke
0 setgray
[(0.5)] 0.2619 -0.0125 0 1 Mshowa
0.5 -0.00625 moveto
0.5 0.00625 lineto
stroke
0 setgray
[(1)] 0.5 -0.0125 0 1 Mshowa
0.7381 -0.00625 moveto
0.7381 0.00625 lineto
stroke
0 setgray
[(1.5)] 0.7381 -0.0125 0 1 Mshowa
0.97619 -0.00625 moveto
0.97619 0.00625 lineto
stroke
0 setgray
[(2)] 0.97619 -0.0125 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.12361 moveto
0.03006 0.12361 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.12361 1 0 Mshowa
0.01756 0.24721 moveto
0.03006 0.24721 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.24721 1 0 Mshowa
0.01756 0.37082 moveto
0.03006 0.37082 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.37082 1 0 Mshowa
0.01756 0.49443 moveto
0.03006 0.49443 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.49443 1 0 Mshowa
0.01756 0.61803 moveto
0.03006 0.61803 lineto
stroke
0 setgray
[(1)] 0.01131 0.61803 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0 moveto
0.02381 0.61803 lineto
0.14286 0.61803 lineto
0.14286 0 lineto
fill
0.14286 0 moveto
0.14286 0.58168 lineto
0.2619 0.58168 lineto
0.2619 0 lineto
fill
0.2619 0 moveto
0.2619 0.49443 lineto
0.38095 0.49443 lineto
0.38095 0 lineto
fill
0.38095 0 moveto
0.38095 0.39554 lineto
0.5 0.39554 lineto
0.5 0 lineto
fill
0.5 0 moveto
0.5 0.30902 lineto
0.61905 0.30902 lineto
0.61905 0 lineto
fill
0.61905 0 moveto
0.61905 0.24118 lineto
0.7381 0.24118 lineto
0.7381 0 lineto
fill
0.7381 0 moveto
0.7381 0.19016 lineto
0.85714 0.19016 lineto
0.85714 0 lineto
fill
0.85714 0 moveto
0.85714 0.15213 lineto
0.97619 0.15213 lineto
0.97619 0 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.61803 moveto
0.02505 0.61803 lineto
0.02629 0.61802 lineto
0.02753 0.618 lineto
0.02877 0.61797 lineto
0.03001 0.61793 lineto
0.03125 0.61788 lineto
0.03373 0.61777 lineto
0.03621 0.61762 lineto
0.03869 0.61743 lineto
0.04365 0.61696 lineto
0.04861 0.61636 lineto
0.05357 0.61563 lineto
0.06349 0.61377 lineto
0.08333 0.60853 lineto
0.10317 0.60133 lineto
0.14286 0.58168 lineto
0.18254 0.55623 lineto
0.22222 0.52661 lineto
0.2619 0.49443 lineto
0.30159 0.46112 lineto
0.34127 0.42787 lineto
0.38095 0.39554 lineto
0.42063 0.36474 lineto
0.46032 0.33584 lineto
0.5 0.30902 lineto
0.53968 0.28434 lineto
0.57937 0.26176 lineto
0.61905 0.24118 lineto
0.65873 0.22249 lineto
0.69841 0.20554 lineto
0.7381 0.19016 lineto
0.77778 0.17623 lineto
0.81746 0.1636 lineto
0.85714 0.15213 lineto
0.89683 0.14171 lineto
0.93651 0.13224 lineto
0.97619 0.12361 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 235; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0 0.61803 [
[(1.156940463 = area of rectangles)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 -0.0125 0 1 Msboxa
[(1)] 0.5 -0.0125 0 1 Msboxa
[(1.5)] 0.7381 -0.0125 0 1 Msboxa
[(2)] 0.97619 -0.0125 0 1 Msboxa
[(0.2)] 0.01131 0.12361 1 0 Msboxa
[(0.4)] 0.01131 0.24721 1 0 Msboxa
[(0.6)] 0.01131 0.37082 1 0 Msboxa
[(0.8)] 0.01131 0.49443 1 0 Msboxa
[(1)] 0.01131 0.61803 1 0 Msboxa
[ -0.001 -0.00725 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.156940463 = area of rectangles)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
0.2619 -0.00625 moveto
0.2619 0.00625 lineto
stroke
0 setgray
[(0.5)] 0.2619 -0.0125 0 1 Mshowa
0.5 -0.00625 moveto
0.5 0.00625 lineto
stroke
0 setgray
[(1)] 0.5 -0.0125 0 1 Mshowa
0.7381 -0.00625 moveto
0.7381 0.00625 lineto
stroke
0 setgray
[(1.5)] 0.7381 -0.0125 0 1 Mshowa
0.97619 -0.00625 moveto
0.97619 0.00625 lineto
stroke
0 setgray
[(2)] 0.97619 -0.0125 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.12361 moveto
0.03006 0.12361 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.12361 1 0 Mshowa
0.01756 0.24721 moveto
0.03006 0.24721 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.24721 1 0 Mshowa
0.01756 0.37082 moveto
0.03006 0.37082 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.37082 1 0 Mshowa
0.01756 0.49443 moveto
0.03006 0.49443 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.49443 1 0 Mshowa
0.01756 0.61803 moveto
0.03006 0.61803 lineto
stroke
0 setgray
[(1)] 0.01131 0.61803 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0 moveto
0.02381 0.61803 lineto
0.08333 0.61803 lineto
0.08333 0 lineto
fill
0.08333 0 moveto
0.08333 0.60853 lineto
0.14286 0.60853 lineto
0.14286 0 lineto
fill
0.14286 0 moveto
0.14286 0.58168 lineto
0.20238 0.58168 lineto
0.20238 0 lineto
fill
0.20238 0 moveto
0.20238 0.54184 lineto
0.2619 0.54184 lineto
0.2619 0 lineto
fill
0.2619 0 moveto
0.2619 0.49443 lineto
0.32143 0.49443 lineto
0.32143 0 lineto
fill
0.32143 0 moveto
0.32143 0.44443 lineto
0.38095 0.44443 lineto
0.38095 0 lineto
fill
0.38095 0 moveto
0.38095 0.39554 lineto
0.44048 0.39554 lineto
0.44048 0 lineto
fill
0.44048 0 moveto
0.44048 0.35004 lineto
0.5 0.35004 lineto
0.5 0 lineto
fill
0.5 0 moveto
0.5 0.30902 lineto
0.55952 0.30902 lineto
0.55952 0 lineto
fill
0.55952 0 moveto
0.55952 0.27279 lineto
0.61905 0.27279 lineto
0.61905 0 lineto
fill
0.61905 0 moveto
0.61905 0.24118 lineto
0.67857 0.24118 lineto
0.67857 0 lineto
fill
0.67857 0 moveto
0.67857 0.21381 lineto
0.7381 0.21381 lineto
0.7381 0 lineto
fill
0.7381 0 moveto
0.7381 0.19016 lineto
0.79762 0.19016 lineto
0.79762 0 lineto
fill
0.79762 0 moveto
0.79762 0.16976 lineto
0.85714 0.16976 lineto
0.85714 0 lineto
fill
0.85714 0 moveto
0.85714 0.15213 lineto
0.91667 0.15213 lineto
0.91667 0 lineto
fill
0.91667 0 moveto
0.91667 0.13687 lineto
0.97619 0.13687 lineto
0.97619 0 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.61803 moveto
0.02505 0.61803 lineto
0.02629 0.61802 lineto
0.02753 0.618 lineto
0.02877 0.61797 lineto
0.03001 0.61793 lineto
0.03125 0.61788 lineto
0.03373 0.61777 lineto
0.03621 0.61762 lineto
0.03869 0.61743 lineto
0.04365 0.61696 lineto
0.04861 0.61636 lineto
0.05357 0.61563 lineto
0.06349 0.61377 lineto
0.08333 0.60853 lineto
0.10317 0.60133 lineto
0.14286 0.58168 lineto
0.18254 0.55623 lineto
0.22222 0.52661 lineto
0.2619 0.49443 lineto
0.30159 0.46112 lineto
0.34127 0.42787 lineto
0.38095 0.39554 lineto
0.42063 0.36474 lineto
0.46032 0.33584 lineto
0.5 0.30902 lineto
0.53968 0.28434 lineto
0.57937 0.26176 lineto
0.61905 0.24118 lineto
0.65873 0.22249 lineto
0.69841 0.20554 lineto
0.7381 0.19016 lineto
0.77778 0.17623 lineto
0.81746 0.1636 lineto
0.85714 0.15213 lineto
0.89683 0.14171 lineto
0.93651 0.13224 lineto
0.97619 0.12361 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 235; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0 0.61803 [
[(1.132096639 = area of rectangles)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 -0.0125 0 1 Msboxa
[(1)] 0.5 -0.0125 0 1 Msboxa
[(1.5)] 0.7381 -0.0125 0 1 Msboxa
[(2)] 0.97619 -0.0125 0 1 Msboxa
[(0.2)] 0.01131 0.12361 1 0 Msboxa
[(0.4)] 0.01131 0.24721 1 0 Msboxa
[(0.6)] 0.01131 0.37082 1 0 Msboxa
[(0.8)] 0.01131 0.49443 1 0 Msboxa
[(1)] 0.01131 0.61803 1 0 Msboxa
[ -0.001 -0.00725 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.132096639 = area of rectangles)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
0.2619 -0.00625 moveto
0.2619 0.00625 lineto
stroke
0 setgray
[(0.5)] 0.2619 -0.0125 0 1 Mshowa
0.5 -0.00625 moveto
0.5 0.00625 lineto
stroke
0 setgray
[(1)] 0.5 -0.0125 0 1 Mshowa
0.7381 -0.00625 moveto
0.7381 0.00625 lineto
stroke
0 setgray
[(1.5)] 0.7381 -0.0125 0 1 Mshowa
0.97619 -0.00625 moveto
0.97619 0.00625 lineto
stroke
0 setgray
[(2)] 0.97619 -0.0125 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.12361 moveto
0.03006 0.12361 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.12361 1 0 Mshowa
0.01756 0.24721 moveto
0.03006 0.24721 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.24721 1 0 Mshowa
0.01756 0.37082 moveto
0.03006 0.37082 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.37082 1 0 Mshowa
0.01756 0.49443 moveto
0.03006 0.49443 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.49443 1 0 Mshowa
0.01756 0.61803 moveto
0.03006 0.61803 lineto
stroke
0 setgray
[(1)] 0.01131 0.61803 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0 moveto
0.02381 0.61803 lineto
0.05357 0.61803 lineto
0.05357 0 lineto
fill
0.05357 0 moveto
0.05357 0.61563 lineto
0.08333 0.61563 lineto
0.08333 0 lineto
fill
0.08333 0 moveto
0.08333 0.60853 lineto
0.1131 0.60853 lineto
0.1131 0 lineto
fill
0.1131 0 moveto
0.1131 0.59704 lineto
0.14286 0.59704 lineto
0.14286 0 lineto
fill
0.14286 0 moveto
0.14286 0.58168 lineto
0.17262 0.58168 lineto
0.17262 0 lineto
fill
0.17262 0 moveto
0.17262 0.56305 lineto
0.20238 0.56305 lineto
0.20238 0 lineto
fill
0.20238 0 moveto
0.20238 0.54184 lineto
0.23214 0.54184 lineto
0.23214 0 lineto
fill
0.23214 0 moveto
0.23214 0.51874 lineto
0.2619 0.51874 lineto
0.2619 0 lineto
fill
0.2619 0 moveto
0.2619 0.49443 lineto
0.29167 0.49443 lineto
0.29167 0 lineto
fill
0.29167 0 moveto
0.29167 0.46949 lineto
0.32143 0.46949 lineto
0.32143 0 lineto
fill
0.32143 0 moveto
0.32143 0.44443 lineto
0.35119 0.44443 lineto
0.35119 0 lineto
fill
0.35119 0 moveto
0.35119 0.41967 lineto
0.38095 0.41967 lineto
0.38095 0 lineto
fill
0.38095 0 moveto
0.38095 0.39554 lineto
0.41071 0.39554 lineto
0.41071 0 lineto
fill
0.41071 0 moveto
0.41071 0.37227 lineto
0.44048 0.37227 lineto
0.44048 0 lineto
fill
0.44048 0 moveto
0.44048 0.35004 lineto
0.47024 0.35004 lineto
0.47024 0 lineto
fill
0.47024 0 moveto
0.47024 0.32893 lineto
0.5 0.32893 lineto
0.5 0 lineto
fill
0.5 0 moveto
0.5 0.30902 lineto
0.52976 0.30902 lineto
0.52976 0 lineto
fill
0.52976 0 moveto
0.52976 0.29031 lineto
0.55952 0.29031 lineto
0.55952 0 lineto
fill
0.55952 0 moveto
0.55952 0.27279 lineto
0.58929 0.27279 lineto
0.58929 0 lineto
fill
0.58929 0 moveto
0.58929 0.25643 lineto
0.61905 0.25643 lineto
0.61905 0 lineto
fill
0.61905 0 moveto
0.61905 0.24118 lineto
0.64881 0.24118 lineto
0.64881 0 lineto
fill
0.64881 0 moveto
0.64881 0.227 lineto
0.67857 0.227 lineto
0.67857 0 lineto
fill
0.67857 0 moveto
0.67857 0.21381 lineto
0.70833 0.21381 lineto
0.70833 0 lineto
fill
0.70833 0 moveto
0.70833 0.20155 lineto
0.7381 0.20155 lineto
0.7381 0 lineto
fill
0.7381 0 moveto
0.7381 0.19016 lineto
0.76786 0.19016 lineto
0.76786 0 lineto
fill
0.76786 0 moveto
0.76786 0.17959 lineto
0.79762 0.17959 lineto
0.79762 0 lineto
fill
0.79762 0 moveto
0.79762 0.16976 lineto
0.82738 0.16976 lineto
0.82738 0 lineto
fill
0.82738 0 moveto
0.82738 0.16063 lineto
0.85714 0.16063 lineto
0.85714 0 lineto
fill
0.85714 0 moveto
0.85714 0.15213 lineto
0.8869 0.15213 lineto
0.8869 0 lineto
fill
0.8869 0 moveto
0.8869 0.14423 lineto
0.91667 0.14423 lineto
0.91667 0 lineto
fill
0.91667 0 moveto
0.91667 0.13687 lineto
0.94643 0.13687 lineto
0.94643 0 lineto
fill
0.94643 0 moveto
0.94643 0.13001 lineto
0.97619 0.13001 lineto
0.97619 0 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.61803 moveto
0.02505 0.61803 lineto
0.02629 0.61802 lineto
0.02753 0.618 lineto
0.02877 0.61797 lineto
0.03001 0.61793 lineto
0.03125 0.61788 lineto
0.03373 0.61777 lineto
0.03621 0.61762 lineto
0.03869 0.61743 lineto
0.04365 0.61696 lineto
0.04861 0.61636 lineto
0.05357 0.61563 lineto
0.06349 0.61377 lineto
0.08333 0.60853 lineto
0.10317 0.60133 lineto
0.14286 0.58168 lineto
0.18254 0.55623 lineto
0.22222 0.52661 lineto
0.2619 0.49443 lineto
0.30159 0.46112 lineto
0.34127 0.42787 lineto
0.38095 0.39554 lineto
0.42063 0.36474 lineto
0.46032 0.33584 lineto
0.5 0.30902 lineto
0.53968 0.28434 lineto
0.57937 0.26176 lineto
0.61905 0.24118 lineto
0.65873 0.22249 lineto
0.69841 0.20554 lineto
0.7381 0.19016 lineto
0.77778 0.17623 lineto
0.81746 0.1636 lineto
0.85714 0.15213 lineto
0.89683 0.14171 lineto
0.93651 0.13224 lineto
0.97619 0.12361 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 235; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0 0.61803 [
[(1.119635697 = area of rectangles)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 -0.0125 0 1 Msboxa
[(1)] 0.5 -0.0125 0 1 Msboxa
[(1.5)] 0.7381 -0.0125 0 1 Msboxa
[(2)] 0.97619 -0.0125 0 1 Msboxa
[(0.2)] 0.01131 0.12361 1 0 Msboxa
[(0.4)] 0.01131 0.24721 1 0 Msboxa
[(0.6)] 0.01131 0.37082 1 0 Msboxa
[(0.8)] 0.01131 0.49443 1 0 Msboxa
[(1)] 0.01131 0.61803 1 0 Msboxa
[ -0.001 -0.00725 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.119635697 = area of rectangles)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
0.2619 -0.00625 moveto
0.2619 0.00625 lineto
stroke
0 setgray
[(0.5)] 0.2619 -0.0125 0 1 Mshowa
0.5 -0.00625 moveto
0.5 0.00625 lineto
stroke
0 setgray
[(1)] 0.5 -0.0125 0 1 Mshowa
0.7381 -0.00625 moveto
0.7381 0.00625 lineto
stroke
0 setgray
[(1.5)] 0.7381 -0.0125 0 1 Mshowa
0.97619 -0.00625 moveto
0.97619 0.00625 lineto
stroke
0 setgray
[(2)] 0.97619 -0.0125 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.12361 moveto
0.03006 0.12361 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.12361 1 0 Mshowa
0.01756 0.24721 moveto
0.03006 0.24721 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.24721 1 0 Mshowa
0.01756 0.37082 moveto
0.03006 0.37082 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.37082 1 0 Mshowa
0.01756 0.49443 moveto
0.03006 0.49443 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.49443 1 0 Mshowa
0.01756 0.61803 moveto
0.03006 0.61803 lineto
stroke
0 setgray
[(1)] 0.01131 0.61803 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0 moveto
0.02381 0.61803 lineto
0.03869 0.61803 lineto
0.03869 0 lineto
fill
0.03869 0 moveto
0.03869 0.61743 lineto
0.05357 0.61743 lineto
0.05357 0 lineto
fill
0.05357 0 moveto
0.05357 0.61563 lineto
0.06845 0.61563 lineto
0.06845 0 lineto
fill
0.06845 0 moveto
0.06845 0.61265 lineto
0.08333 0.61265 lineto
0.08333 0 lineto
fill
0.08333 0 moveto
0.08333 0.60853 lineto
0.09821 0.60853 lineto
0.09821 0 lineto
fill
0.09821 0 moveto
0.09821 0.6033 lineto
0.1131 0.6033 lineto
0.1131 0 lineto
fill
0.1131 0 moveto
0.1131 0.59704 lineto
0.12798 0.59704 lineto
0.12798 0 lineto
fill
0.12798 0 moveto
0.12798 0.58981 lineto
0.14286 0.58981 lineto
0.14286 0 lineto
fill
0.14286 0 moveto
0.14286 0.58168 lineto
0.15774 0.58168 lineto
0.15774 0 lineto
fill
0.15774 0 moveto
0.15774 0.57273 lineto
0.17262 0.57273 lineto
0.17262 0 lineto
fill
0.17262 0 moveto
0.17262 0.56305 lineto
0.1875 0.56305 lineto
0.1875 0 lineto
fill
0.1875 0 moveto
0.1875 0.55272 lineto
0.20238 0.55272 lineto
0.20238 0 lineto
fill
0.20238 0 moveto
0.20238 0.54184 lineto
0.21726 0.54184 lineto
0.21726 0 lineto
fill
0.21726 0 moveto
0.21726 0.53048 lineto
0.23214 0.53048 lineto
0.23214 0 lineto
fill
0.23214 0 moveto
0.23214 0.51874 lineto
0.24702 0.51874 lineto
0.24702 0 lineto
fill
0.24702 0 moveto
0.24702 0.5067 lineto
0.2619 0.5067 lineto
0.2619 0 lineto
fill
0.2619 0 moveto
0.2619 0.49443 lineto
0.27679 0.49443 lineto
0.27679 0 lineto
fill
0.27679 0 moveto
0.27679 0.482 lineto
0.29167 0.482 lineto
0.29167 0 lineto
fill
0.29167 0 moveto
0.29167 0.46949 lineto
0.30655 0.46949 lineto
0.30655 0 lineto
fill
0.30655 0 moveto
0.30655 0.45694 lineto
0.32143 0.45694 lineto
0.32143 0 lineto
fill
0.32143 0 moveto
0.32143 0.44443 lineto
0.33631 0.44443 lineto
0.33631 0 lineto
fill
0.33631 0 moveto
0.33631 0.43199 lineto
0.35119 0.43199 lineto
0.35119 0 lineto
fill
0.35119 0 moveto
0.35119 0.41967 lineto
0.36607 0.41967 lineto
0.36607 0 lineto
fill
0.36607 0 moveto
0.36607 0.40751 lineto
0.38095 0.40751 lineto
0.38095 0 lineto
fill
0.38095 0 moveto
0.38095 0.39554 lineto
0.39583 0.39554 lineto
0.39583 0 lineto
fill
0.39583 0 moveto
0.39583 0.38379 lineto
0.41071 0.38379 lineto
0.41071 0 lineto
fill
0.41071 0 moveto
0.41071 0.37227 lineto
0.4256 0.37227 lineto
0.4256 0 lineto
fill
0.4256 0 moveto
0.4256 0.36102 lineto
0.44048 0.36102 lineto
0.44048 0 lineto
fill
0.44048 0 moveto
0.44048 0.35004 lineto
0.45536 0.35004 lineto
0.45536 0 lineto
fill
0.45536 0 moveto
0.45536 0.33934 lineto
0.47024 0.33934 lineto
0.47024 0 lineto
fill
0.47024 0 moveto
0.47024 0.32893 lineto
0.48512 0.32893 lineto
0.48512 0 lineto
fill
0.48512 0 moveto
0.48512 0.31882 lineto
0.5 0.31882 lineto
0.5 0 lineto
fill
0.5 0 moveto
0.5 0.30902 lineto
0.51488 0.30902 lineto
0.51488 0 lineto
fill
0.51488 0 moveto
0.51488 0.29951 lineto
0.52976 0.29951 lineto
0.52976 0 lineto
fill
0.52976 0 moveto
0.52976 0.29031 lineto
0.54464 0.29031 lineto
0.54464 0 lineto
fill
0.54464 0 moveto
0.54464 0.2814 lineto
0.55952 0.2814 lineto
0.55952 0 lineto
fill
0.55952 0 moveto
0.55952 0.27279 lineto
0.5744 0.27279 lineto
0.5744 0 lineto
fill
0.5744 0 moveto
0.5744 0.26447 lineto
0.58929 0.26447 lineto
0.58929 0 lineto
fill
0.58929 0 moveto
0.58929 0.25643 lineto
0.60417 0.25643 lineto
0.60417 0 lineto
fill
0.60417 0 moveto
0.60417 0.24867 lineto
0.61905 0.24867 lineto
0.61905 0 lineto
fill
0.61905 0 moveto
0.61905 0.24118 lineto
0.63393 0.24118 lineto
0.63393 0 lineto
fill
0.63393 0 moveto
0.63393 0.23396 lineto
0.64881 0.23396 lineto
0.64881 0 lineto
fill
0.64881 0 moveto
0.64881 0.227 lineto
0.66369 0.227 lineto
0.66369 0 lineto
fill
0.66369 0 moveto
0.66369 0.22028 lineto
0.67857 0.22028 lineto
0.67857 0 lineto
fill
0.67857 0 moveto
0.67857 0.21381 lineto
0.69345 0.21381 lineto
0.69345 0 lineto
fill
0.69345 0 moveto
0.69345 0.20757 lineto
0.70833 0.20757 lineto
0.70833 0 lineto
fill
0.70833 0 moveto
0.70833 0.20155 lineto
0.72321 0.20155 lineto
0.72321 0 lineto
fill
0.72321 0 moveto
0.72321 0.19575 lineto
0.7381 0.19575 lineto
0.7381 0 lineto
fill
0.7381 0 moveto
0.7381 0.19016 lineto
0.75298 0.19016 lineto
0.75298 0 lineto
fill
0.75298 0 moveto
0.75298 0.18478 lineto
0.76786 0.18478 lineto
0.76786 0 lineto
fill
0.76786 0 moveto
0.76786 0.17959 lineto
0.78274 0.17959 lineto
0.78274 0 lineto
fill
0.78274 0 moveto
0.78274 0.17458 lineto
0.79762 0.17458 lineto
0.79762 0 lineto
fill
0.79762 0 moveto
0.79762 0.16976 lineto
0.8125 0.16976 lineto
0.8125 0 lineto
fill
0.8125 0 moveto
0.8125 0.16511 lineto
0.82738 0.16511 lineto
0.82738 0 lineto
fill
0.82738 0 moveto
0.82738 0.16063 lineto
0.84226 0.16063 lineto
0.84226 0 lineto
fill
0.84226 0 moveto
0.84226 0.1563 lineto
0.85714 0.1563 lineto
0.85714 0 lineto
fill
0.85714 0 moveto
0.85714 0.15213 lineto
0.87202 0.15213 lineto
0.87202 0 lineto
fill
0.87202 0 moveto
0.87202 0.14811 lineto
0.8869 0.14811 lineto
0.8869 0 lineto
fill
0.8869 0 moveto
0.8869 0.14423 lineto
0.90179 0.14423 lineto
0.90179 0 lineto
fill
0.90179 0 moveto
0.90179 0.14048 lineto
0.91667 0.14048 lineto
0.91667 0 lineto
fill
0.91667 0 moveto
0.91667 0.13687 lineto
0.93155 0.13687 lineto
0.93155 0 lineto
fill
0.93155 0 moveto
0.93155 0.13338 lineto
0.94643 0.13338 lineto
0.94643 0 lineto
fill
0.94643 0 moveto
0.94643 0.13001 lineto
0.96131 0.13001 lineto
0.96131 0 lineto
fill
0.96131 0 moveto
0.96131 0.12675 lineto
0.97619 0.12675 lineto
0.97619 0 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.61803 moveto
0.02505 0.61803 lineto
0.02629 0.61802 lineto
0.02753 0.618 lineto
0.02877 0.61797 lineto
0.03001 0.61793 lineto
0.03125 0.61788 lineto
0.03373 0.61777 lineto
0.03621 0.61762 lineto
0.03869 0.61743 lineto
0.04365 0.61696 lineto
0.04861 0.61636 lineto
0.05357 0.61563 lineto
0.06349 0.61377 lineto
0.08333 0.60853 lineto
0.10317 0.60133 lineto
0.14286 0.58168 lineto
0.18254 0.55623 lineto
0.22222 0.52661 lineto
0.2619 0.49443 lineto
0.30159 0.46112 lineto
0.34127 0.42787 lineto
0.38095 0.39554 lineto
0.42063 0.36474 lineto
0.46032 0.33584 lineto
0.5 0.30902 lineto
0.53968 0.28434 lineto
0.57937 0.26176 lineto
0.61905 0.24118 lineto
0.65873 0.22249 lineto
0.69841 0.20554 lineto
0.7381 0.19016 lineto
0.77778 0.17623 lineto
0.81746 0.1636 lineto
0.85714 0.15213 lineto
0.89683 0.14171 lineto
0.93651 0.13224 lineto
0.97619 0.12361 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = print; inactive; preserveAspect; endGroup; ]
Actual Area (Definite Integral) = 1.107148718
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
MidPoint Rectangles
:[font = text; inactive; preserveAspect; ]
Run the Mathematica animation in the graphics cell below. ( <Command> & <Y> )
:[font = input; preserveAspect; ]
Do[midrect[2^n], {n,1,6}];
 Print[ "Actual Area (Definite Integral) = ",
	N[ Integrate[ f[x], {x, a, b} ], 10 ] ];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; Cclosed; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 233; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0.01472 0.5886 [
[(1.107692308 = area of rectangles)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 0.00222 0 1 Msboxa
[(1)] 0.5 0.00222 0 1 Msboxa
[(1.5)] 0.7381 0.00222 0 1 Msboxa
[(2)] 0.97619 0.00222 0 1 Msboxa
[(0.2)] 0.01131 0.13244 1 0 Msboxa
[(0.4)] 0.01131 0.25016 1 0 Msboxa
[(0.6)] 0.01131 0.36788 1 0 Msboxa
[(0.8)] 0.01131 0.4856 1 0 Msboxa
[(1)] 0.01131 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.107692308 = area of rectangles)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.2619 0.00847 moveto
0.2619 0.02097 lineto
stroke
0 setgray
[(0.5)] 0.2619 0.00222 0 1 Mshowa
0.5 0.00847 moveto
0.5 0.02097 lineto
stroke
0 setgray
[(1)] 0.5 0.00222 0 1 Mshowa
0.7381 0.00847 moveto
0.7381 0.02097 lineto
stroke
0 setgray
[(1.5)] 0.7381 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(2)] 0.97619 0.00222 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.13244 moveto
0.03006 0.13244 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.13244 1 0 Mshowa
0.01756 0.25016 moveto
0.03006 0.25016 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.25016 1 0 Mshowa
0.01756 0.36788 moveto
0.03006 0.36788 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.36788 1 0 Mshowa
0.01756 0.4856 moveto
0.03006 0.4856 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.4856 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(1)] 0.01131 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0.01472 moveto
0.02381 0.4856 lineto
0.5 0.4856 lineto
0.5 0.01472 lineto
fill
0.5 0.01472 moveto
0.5 0.19582 lineto
0.97619 0.19582 lineto
0.97619 0.01472 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.02505 0.60331 lineto
0.02629 0.6033 lineto
0.02753 0.60328 lineto
0.02877 0.60326 lineto
0.03001 0.60322 lineto
0.03125 0.60318 lineto
0.03373 0.60306 lineto
0.03621 0.60292 lineto
0.03869 0.60274 lineto
0.04365 0.6023 lineto
0.04861 0.60173 lineto
0.05357 0.60103 lineto
0.06349 0.59926 lineto
0.08333 0.59426 lineto
0.10317 0.58741 lineto
0.14286 0.5687 lineto
0.18254 0.54446 lineto
0.22222 0.51625 lineto
0.2619 0.4856 lineto
0.30159 0.45388 lineto
0.34127 0.42221 lineto
0.38095 0.39142 lineto
0.42063 0.36209 lineto
0.46032 0.33456 lineto
0.5 0.30902 lineto
0.53968 0.28551 lineto
0.57937 0.26401 lineto
0.61905 0.24441 lineto
0.65873 0.22661 lineto
0.69841 0.21046 lineto
0.7381 0.19582 lineto
0.77778 0.18255 lineto
0.81746 0.17052 lineto
0.85714 0.1596 lineto
0.89683 0.14968 lineto
0.93651 0.14066 lineto
0.97619 0.13244 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 233; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0.01472 0.5886 [
[(1.10878711 = area of rectangles)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 0.00222 0 1 Msboxa
[(1)] 0.5 0.00222 0 1 Msboxa
[(1.5)] 0.7381 0.00222 0 1 Msboxa
[(2)] 0.97619 0.00222 0 1 Msboxa
[(0.2)] 0.01131 0.13244 1 0 Msboxa
[(0.4)] 0.01131 0.25016 1 0 Msboxa
[(0.6)] 0.01131 0.36788 1 0 Msboxa
[(0.8)] 0.01131 0.4856 1 0 Msboxa
[(1)] 0.01131 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.10878711 = area of rectangles)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.2619 0.00847 moveto
0.2619 0.02097 lineto
stroke
0 setgray
[(0.5)] 0.2619 0.00222 0 1 Mshowa
0.5 0.00847 moveto
0.5 0.02097 lineto
stroke
0 setgray
[(1)] 0.5 0.00222 0 1 Mshowa
0.7381 0.00847 moveto
0.7381 0.02097 lineto
stroke
0 setgray
[(1.5)] 0.7381 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(2)] 0.97619 0.00222 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.13244 moveto
0.03006 0.13244 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.13244 1 0 Mshowa
0.01756 0.25016 moveto
0.03006 0.25016 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.25016 1 0 Mshowa
0.01756 0.36788 moveto
0.03006 0.36788 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.36788 1 0 Mshowa
0.01756 0.4856 moveto
0.03006 0.4856 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.4856 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(1)] 0.01131 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0.01472 moveto
0.02381 0.5687 lineto
0.2619 0.5687 lineto
0.2619 0.01472 lineto
fill
0.2619 0.01472 moveto
0.2619 0.39142 lineto
0.5 0.39142 lineto
0.5 0.01472 lineto
fill
0.5 0.01472 moveto
0.5 0.24441 lineto
0.7381 0.24441 lineto
0.7381 0.01472 lineto
fill
0.7381 0.01472 moveto
0.7381 0.1596 lineto
0.97619 0.1596 lineto
0.97619 0.01472 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.02505 0.60331 lineto
0.02629 0.6033 lineto
0.02753 0.60328 lineto
0.02877 0.60326 lineto
0.03001 0.60322 lineto
0.03125 0.60318 lineto
0.03373 0.60306 lineto
0.03621 0.60292 lineto
0.03869 0.60274 lineto
0.04365 0.6023 lineto
0.04861 0.60173 lineto
0.05357 0.60103 lineto
0.06349 0.59926 lineto
0.08333 0.59426 lineto
0.10317 0.58741 lineto
0.14286 0.5687 lineto
0.18254 0.54446 lineto
0.22222 0.51625 lineto
0.2619 0.4856 lineto
0.30159 0.45388 lineto
0.34127 0.42221 lineto
0.38095 0.39142 lineto
0.42063 0.36209 lineto
0.46032 0.33456 lineto
0.5 0.30902 lineto
0.53968 0.28551 lineto
0.57937 0.26401 lineto
0.61905 0.24441 lineto
0.65873 0.22661 lineto
0.69841 0.21046 lineto
0.7381 0.19582 lineto
0.77778 0.18255 lineto
0.81746 0.17052 lineto
0.85714 0.1596 lineto
0.89683 0.14968 lineto
0.93651 0.14066 lineto
0.97619 0.13244 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 233; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0.01472 0.5886 [
[(1.107564293 = area of rectangles)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 0.00222 0 1 Msboxa
[(1)] 0.5 0.00222 0 1 Msboxa
[(1.5)] 0.7381 0.00222 0 1 Msboxa
[(2)] 0.97619 0.00222 0 1 Msboxa
[(0.2)] 0.01131 0.13244 1 0 Msboxa
[(0.4)] 0.01131 0.25016 1 0 Msboxa
[(0.6)] 0.01131 0.36788 1 0 Msboxa
[(0.8)] 0.01131 0.4856 1 0 Msboxa
[(1)] 0.01131 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.107564293 = area of rectangles)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.2619 0.00847 moveto
0.2619 0.02097 lineto
stroke
0 setgray
[(0.5)] 0.2619 0.00222 0 1 Mshowa
0.5 0.00847 moveto
0.5 0.02097 lineto
stroke
0 setgray
[(1)] 0.5 0.00222 0 1 Mshowa
0.7381 0.00847 moveto
0.7381 0.02097 lineto
stroke
0 setgray
[(1.5)] 0.7381 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(2)] 0.97619 0.00222 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.13244 moveto
0.03006 0.13244 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.13244 1 0 Mshowa
0.01756 0.25016 moveto
0.03006 0.25016 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.25016 1 0 Mshowa
0.01756 0.36788 moveto
0.03006 0.36788 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.36788 1 0 Mshowa
0.01756 0.4856 moveto
0.03006 0.4856 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.4856 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(1)] 0.01131 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0.01472 moveto
0.02381 0.59426 lineto
0.14286 0.59426 lineto
0.14286 0.01472 lineto
fill
0.14286 0.01472 moveto
0.14286 0.53075 lineto
0.2619 0.53075 lineto
0.2619 0.01472 lineto
fill
0.2619 0.01472 moveto
0.2619 0.43798 lineto
0.38095 0.43798 lineto
0.38095 0.01472 lineto
fill
0.38095 0.01472 moveto
0.38095 0.34808 lineto
0.5 0.34808 lineto
0.5 0.01472 lineto
fill
0.5 0.01472 moveto
0.5 0.27451 lineto
0.61905 0.27451 lineto
0.61905 0.01472 lineto
fill
0.61905 0.01472 moveto
0.61905 0.21834 lineto
0.7381 0.21834 lineto
0.7381 0.01472 lineto
fill
0.7381 0.01472 moveto
0.7381 0.17639 lineto
0.85714 0.17639 lineto
0.85714 0.01472 lineto
fill
0.85714 0.01472 moveto
0.85714 0.14506 lineto
0.97619 0.14506 lineto
0.97619 0.01472 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.02505 0.60331 lineto
0.02629 0.6033 lineto
0.02753 0.60328 lineto
0.02877 0.60326 lineto
0.03001 0.60322 lineto
0.03125 0.60318 lineto
0.03373 0.60306 lineto
0.03621 0.60292 lineto
0.03869 0.60274 lineto
0.04365 0.6023 lineto
0.04861 0.60173 lineto
0.05357 0.60103 lineto
0.06349 0.59926 lineto
0.08333 0.59426 lineto
0.10317 0.58741 lineto
0.14286 0.5687 lineto
0.18254 0.54446 lineto
0.22222 0.51625 lineto
0.2619 0.4856 lineto
0.30159 0.45388 lineto
0.34127 0.42221 lineto
0.38095 0.39142 lineto
0.42063 0.36209 lineto
0.46032 0.33456 lineto
0.5 0.30902 lineto
0.53968 0.28551 lineto
0.57937 0.26401 lineto
0.61905 0.24441 lineto
0.65873 0.22661 lineto
0.69841 0.21046 lineto
0.7381 0.19582 lineto
0.77778 0.18255 lineto
0.81746 0.17052 lineto
0.85714 0.1596 lineto
0.89683 0.14968 lineto
0.93651 0.14066 lineto
0.97619 0.13244 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 233; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0.01472 0.5886 [
[(1.107252816 = area of rectangles)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 0.00222 0 1 Msboxa
[(1)] 0.5 0.00222 0 1 Msboxa
[(1.5)] 0.7381 0.00222 0 1 Msboxa
[(2)] 0.97619 0.00222 0 1 Msboxa
[(0.2)] 0.01131 0.13244 1 0 Msboxa
[(0.4)] 0.01131 0.25016 1 0 Msboxa
[(0.6)] 0.01131 0.36788 1 0 Msboxa
[(0.8)] 0.01131 0.4856 1 0 Msboxa
[(1)] 0.01131 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.107252816 = area of rectangles)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.2619 0.00847 moveto
0.2619 0.02097 lineto
stroke
0 setgray
[(0.5)] 0.2619 0.00222 0 1 Mshowa
0.5 0.00847 moveto
0.5 0.02097 lineto
stroke
0 setgray
[(1)] 0.5 0.00222 0 1 Mshowa
0.7381 0.00847 moveto
0.7381 0.02097 lineto
stroke
0 setgray
[(1.5)] 0.7381 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(2)] 0.97619 0.00222 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.13244 moveto
0.03006 0.13244 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.13244 1 0 Mshowa
0.01756 0.25016 moveto
0.03006 0.25016 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.25016 1 0 Mshowa
0.01756 0.36788 moveto
0.03006 0.36788 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.36788 1 0 Mshowa
0.01756 0.4856 moveto
0.03006 0.4856 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.4856 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(1)] 0.01131 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0.01472 moveto
0.02381 0.60103 lineto
0.08333 0.60103 lineto
0.08333 0.01472 lineto
fill
0.08333 0.01472 moveto
0.08333 0.58333 lineto
0.14286 0.58333 lineto
0.14286 0.01472 lineto
fill
0.14286 0.01472 moveto
0.14286 0.55095 lineto
0.20238 0.55095 lineto
0.20238 0.01472 lineto
fill
0.20238 0.01472 moveto
0.20238 0.50876 lineto
0.2619 0.50876 lineto
0.2619 0.01472 lineto
fill
0.2619 0.01472 moveto
0.2619 0.46184 lineto
0.32143 0.46184 lineto
0.32143 0.01472 lineto
fill
0.32143 0.01472 moveto
0.32143 0.4144 lineto
0.38095 0.4144 lineto
0.38095 0.01472 lineto
fill
0.38095 0.01472 moveto
0.38095 0.36926 lineto
0.44048 0.36926 lineto
0.44048 0.01472 lineto
fill
0.44048 0.01472 moveto
0.44048 0.32798 lineto
0.5 0.32798 lineto
0.5 0.01472 lineto
fill
0.5 0.01472 moveto
0.5 0.2912 lineto
0.55952 0.2912 lineto
0.55952 0.01472 lineto
fill
0.55952 0.01472 moveto
0.55952 0.25893 lineto
0.61905 0.25893 lineto
0.61905 0.01472 lineto
fill
0.61905 0.01472 moveto
0.61905 0.2309 lineto
0.67857 0.2309 lineto
0.67857 0.01472 lineto
fill
0.67857 0.01472 moveto
0.67857 0.20667 lineto
0.7381 0.20667 lineto
0.7381 0.01472 lineto
fill
0.7381 0.01472 moveto
0.7381 0.18575 lineto
0.79762 0.18575 lineto
0.79762 0.01472 lineto
fill
0.79762 0.01472 moveto
0.79762 0.16769 lineto
0.85714 0.16769 lineto
0.85714 0.01472 lineto
fill
0.85714 0.01472 moveto
0.85714 0.15207 lineto
0.91667 0.15207 lineto
0.91667 0.01472 lineto
fill
0.91667 0.01472 moveto
0.91667 0.13853 lineto
0.97619 0.13853 lineto
0.97619 0.01472 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.02505 0.60331 lineto
0.02629 0.6033 lineto
0.02753 0.60328 lineto
0.02877 0.60326 lineto
0.03001 0.60322 lineto
0.03125 0.60318 lineto
0.03373 0.60306 lineto
0.03621 0.60292 lineto
0.03869 0.60274 lineto
0.04365 0.6023 lineto
0.04861 0.60173 lineto
0.05357 0.60103 lineto
0.06349 0.59926 lineto
0.08333 0.59426 lineto
0.10317 0.58741 lineto
0.14286 0.5687 lineto
0.18254 0.54446 lineto
0.22222 0.51625 lineto
0.2619 0.4856 lineto
0.30159 0.45388 lineto
0.34127 0.42221 lineto
0.38095 0.39142 lineto
0.42063 0.36209 lineto
0.46032 0.33456 lineto
0.5 0.30902 lineto
0.53968 0.28551 lineto
0.57937 0.26401 lineto
0.61905 0.24441 lineto
0.65873 0.22661 lineto
0.69841 0.21046 lineto
0.7381 0.19582 lineto
0.77778 0.18255 lineto
0.81746 0.17052 lineto
0.85714 0.1596 lineto
0.89683 0.14968 lineto
0.93651 0.14066 lineto
0.97619 0.13244 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 233; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0.01472 0.5886 [
[(1.107174755 = area of rectangles)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 0.00222 0 1 Msboxa
[(1)] 0.5 0.00222 0 1 Msboxa
[(1.5)] 0.7381 0.00222 0 1 Msboxa
[(2)] 0.97619 0.00222 0 1 Msboxa
[(0.2)] 0.01131 0.13244 1 0 Msboxa
[(0.4)] 0.01131 0.25016 1 0 Msboxa
[(0.6)] 0.01131 0.36788 1 0 Msboxa
[(0.8)] 0.01131 0.4856 1 0 Msboxa
[(1)] 0.01131 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.107174755 = area of rectangles)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.2619 0.00847 moveto
0.2619 0.02097 lineto
stroke
0 setgray
[(0.5)] 0.2619 0.00222 0 1 Mshowa
0.5 0.00847 moveto
0.5 0.02097 lineto
stroke
0 setgray
[(1)] 0.5 0.00222 0 1 Mshowa
0.7381 0.00847 moveto
0.7381 0.02097 lineto
stroke
0 setgray
[(1.5)] 0.7381 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(2)] 0.97619 0.00222 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.13244 moveto
0.03006 0.13244 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.13244 1 0 Mshowa
0.01756 0.25016 moveto
0.03006 0.25016 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.25016 1 0 Mshowa
0.01756 0.36788 moveto
0.03006 0.36788 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.36788 1 0 Mshowa
0.01756 0.4856 moveto
0.03006 0.4856 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.4856 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(1)] 0.01131 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0.01472 moveto
0.02381 0.60274 lineto
0.05357 0.60274 lineto
0.05357 0.01472 lineto
fill
0.05357 0.01472 moveto
0.05357 0.59819 lineto
0.08333 0.59819 lineto
0.08333 0.01472 lineto
fill
0.08333 0.01472 moveto
0.08333 0.58929 lineto
0.1131 0.58929 lineto
0.1131 0.01472 lineto
fill
0.1131 0.01472 moveto
0.1131 0.57644 lineto
0.14286 0.57644 lineto
0.14286 0.01472 lineto
fill
0.14286 0.01472 moveto
0.14286 0.56017 lineto
0.17262 0.56017 lineto
0.17262 0.01472 lineto
fill
0.17262 0.01472 moveto
0.17262 0.54112 lineto
0.20238 0.54112 lineto
0.20238 0.01472 lineto
fill
0.20238 0.01472 moveto
0.20238 0.51994 lineto
0.23214 0.51994 lineto
0.23214 0.01472 lineto
fill
0.23214 0.01472 moveto
0.23214 0.49729 lineto
0.2619 0.49729 lineto
0.2619 0.01472 lineto
fill
0.2619 0.01472 moveto
0.2619 0.47376 lineto
0.29167 0.47376 lineto
0.29167 0.01472 lineto
fill
0.29167 0.01472 moveto
0.29167 0.4499 lineto
0.32143 0.4499 lineto
0.32143 0.01472 lineto
fill
0.32143 0.01472 moveto
0.32143 0.42614 lineto
0.35119 0.42614 lineto
0.35119 0.01472 lineto
fill
0.35119 0.01472 moveto
0.35119 0.40282 lineto
0.38095 0.40282 lineto
0.38095 0.01472 lineto
fill
0.38095 0.01472 moveto
0.38095 0.38023 lineto
0.41071 0.38023 lineto
0.41071 0.01472 lineto
fill
0.41071 0.01472 moveto
0.41071 0.35854 lineto
0.44048 0.35854 lineto
0.44048 0.01472 lineto
fill
0.44048 0.01472 moveto
0.44048 0.33789 lineto
0.47024 0.33789 lineto
0.47024 0.01472 lineto
fill
0.47024 0.01472 moveto
0.47024 0.31836 lineto
0.5 0.31836 lineto
0.5 0.01472 lineto
fill
0.5 0.01472 moveto
0.5 0.29996 lineto
0.52976 0.29996 lineto
0.52976 0.01472 lineto
fill
0.52976 0.01472 moveto
0.52976 0.28271 lineto
0.55952 0.28271 lineto
0.55952 0.01472 lineto
fill
0.55952 0.01472 moveto
0.55952 0.26659 lineto
0.58929 0.26659 lineto
0.58929 0.01472 lineto
fill
0.58929 0.01472 moveto
0.58929 0.25154 lineto
0.61905 0.25154 lineto
0.61905 0.01472 lineto
fill
0.61905 0.01472 moveto
0.61905 0.23754 lineto
0.64881 0.23754 lineto
0.64881 0.01472 lineto
fill
0.64881 0.01472 moveto
0.64881 0.22451 lineto
0.67857 0.22451 lineto
0.67857 0.01472 lineto
fill
0.67857 0.01472 moveto
0.67857 0.2124 lineto
0.70833 0.2124 lineto
0.70833 0.01472 lineto
fill
0.70833 0.01472 moveto
0.70833 0.20115 lineto
0.7381 0.20115 lineto
0.7381 0.01472 lineto
fill
0.7381 0.01472 moveto
0.7381 0.19069 lineto
0.76786 0.19069 lineto
0.76786 0.01472 lineto
fill
0.76786 0.01472 moveto
0.76786 0.18099 lineto
0.79762 0.18099 lineto
0.79762 0.01472 lineto
fill
0.79762 0.01472 moveto
0.79762 0.17196 lineto
0.82738 0.17196 lineto
0.82738 0.01472 lineto
fill
0.82738 0.01472 moveto
0.82738 0.16357 lineto
0.85714 0.16357 lineto
0.85714 0.01472 lineto
fill
0.85714 0.01472 moveto
0.85714 0.15577 lineto
0.8869 0.15577 lineto
0.8869 0.01472 lineto
fill
0.8869 0.01472 moveto
0.8869 0.14851 lineto
0.91667 0.14851 lineto
0.91667 0.01472 lineto
fill
0.91667 0.01472 moveto
0.91667 0.14174 lineto
0.94643 0.14174 lineto
0.94643 0.01472 lineto
fill
0.94643 0.01472 moveto
0.94643 0.13543 lineto
0.97619 0.13543 lineto
0.97619 0.01472 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.02505 0.60331 lineto
0.02629 0.6033 lineto
0.02753 0.60328 lineto
0.02877 0.60326 lineto
0.03001 0.60322 lineto
0.03125 0.60318 lineto
0.03373 0.60306 lineto
0.03621 0.60292 lineto
0.03869 0.60274 lineto
0.04365 0.6023 lineto
0.04861 0.60173 lineto
0.05357 0.60103 lineto
0.06349 0.59926 lineto
0.08333 0.59426 lineto
0.10317 0.58741 lineto
0.14286 0.5687 lineto
0.18254 0.54446 lineto
0.22222 0.51625 lineto
0.2619 0.4856 lineto
0.30159 0.45388 lineto
0.34127 0.42221 lineto
0.38095 0.39142 lineto
0.42063 0.36209 lineto
0.46032 0.33456 lineto
0.5 0.30902 lineto
0.53968 0.28551 lineto
0.57937 0.26401 lineto
0.61905 0.24441 lineto
0.65873 0.22661 lineto
0.69841 0.21046 lineto
0.7381 0.19582 lineto
0.77778 0.18255 lineto
0.81746 0.17052 lineto
0.85714 0.1596 lineto
0.89683 0.14968 lineto
0.93651 0.14066 lineto
0.97619 0.13244 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 233; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0.01472 0.5886 [
[(1.107155228 = area of rectangles)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 0.00222 0 1 Msboxa
[(1)] 0.5 0.00222 0 1 Msboxa
[(1.5)] 0.7381 0.00222 0 1 Msboxa
[(2)] 0.97619 0.00222 0 1 Msboxa
[(0.2)] 0.01131 0.13244 1 0 Msboxa
[(0.4)] 0.01131 0.25016 1 0 Msboxa
[(0.6)] 0.01131 0.36788 1 0 Msboxa
[(0.8)] 0.01131 0.4856 1 0 Msboxa
[(1)] 0.01131 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.107155228 = area of rectangles)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.2619 0.00847 moveto
0.2619 0.02097 lineto
stroke
0 setgray
[(0.5)] 0.2619 0.00222 0 1 Mshowa
0.5 0.00847 moveto
0.5 0.02097 lineto
stroke
0 setgray
[(1)] 0.5 0.00222 0 1 Mshowa
0.7381 0.00847 moveto
0.7381 0.02097 lineto
stroke
0 setgray
[(1.5)] 0.7381 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(2)] 0.97619 0.00222 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.13244 moveto
0.03006 0.13244 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.13244 1 0 Mshowa
0.01756 0.25016 moveto
0.03006 0.25016 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.25016 1 0 Mshowa
0.01756 0.36788 moveto
0.03006 0.36788 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.36788 1 0 Mshowa
0.01756 0.4856 moveto
0.03006 0.4856 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.4856 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(1)] 0.01131 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0.01472 moveto
0.02381 0.60318 lineto
0.03869 0.60318 lineto
0.03869 0.01472 lineto
fill
0.03869 0.01472 moveto
0.03869 0.60203 lineto
0.05357 0.60203 lineto
0.05357 0.01472 lineto
fill
0.05357 0.01472 moveto
0.05357 0.59975 lineto
0.06845 0.59975 lineto
0.06845 0.01472 lineto
fill
0.06845 0.01472 moveto
0.06845 0.59636 lineto
0.08333 0.59636 lineto
0.08333 0.01472 lineto
fill
0.08333 0.01472 moveto
0.08333 0.5919 lineto
0.09821 0.5919 lineto
0.09821 0.01472 lineto
fill
0.09821 0.01472 moveto
0.09821 0.58643 lineto
0.1131 0.58643 lineto
0.1131 0.01472 lineto
fill
0.1131 0.01472 moveto
0.1131 0.58 lineto
0.12798 0.58 lineto
0.12798 0.01472 lineto
fill
0.12798 0.01472 moveto
0.12798 0.57267 lineto
0.14286 0.57267 lineto
0.14286 0.01472 lineto
fill
0.14286 0.01472 moveto
0.14286 0.56453 lineto
0.15774 0.56453 lineto
0.15774 0.01472 lineto
fill
0.15774 0.01472 moveto
0.15774 0.55564 lineto
0.17262 0.55564 lineto
0.17262 0.01472 lineto
fill
0.17262 0.01472 moveto
0.17262 0.54611 lineto
0.1875 0.54611 lineto
0.1875 0.01472 lineto
fill
0.1875 0.01472 moveto
0.1875 0.536 lineto
0.20238 0.536 lineto
0.20238 0.01472 lineto
fill
0.20238 0.01472 moveto
0.20238 0.5254 lineto
0.21726 0.5254 lineto
0.21726 0.01472 lineto
fill
0.21726 0.01472 moveto
0.21726 0.51439 lineto
0.23214 0.51439 lineto
0.23214 0.01472 lineto
fill
0.23214 0.01472 moveto
0.23214 0.50305 lineto
0.24702 0.50305 lineto
0.24702 0.01472 lineto
fill
0.24702 0.01472 moveto
0.24702 0.49146 lineto
0.2619 0.49146 lineto
0.2619 0.01472 lineto
fill
0.2619 0.01472 moveto
0.2619 0.4797 lineto
0.27679 0.4797 lineto
0.27679 0.01472 lineto
fill
0.27679 0.01472 moveto
0.27679 0.46781 lineto
0.29167 0.46781 lineto
0.29167 0.01472 lineto
fill
0.29167 0.01472 moveto
0.29167 0.45587 lineto
0.30655 0.45587 lineto
0.30655 0.01472 lineto
fill
0.30655 0.01472 moveto
0.30655 0.44393 lineto
0.32143 0.44393 lineto
0.32143 0.01472 lineto
fill
0.32143 0.01472 moveto
0.32143 0.43205 lineto
0.33631 0.43205 lineto
0.33631 0.01472 lineto
fill
0.33631 0.01472 moveto
0.33631 0.42025 lineto
0.35119 0.42025 lineto
0.35119 0.01472 lineto
fill
0.35119 0.01472 moveto
0.35119 0.40859 lineto
0.36607 0.40859 lineto
0.36607 0.01472 lineto
fill
0.36607 0.01472 moveto
0.36607 0.3971 lineto
0.38095 0.3971 lineto
0.38095 0.01472 lineto
fill
0.38095 0.01472 moveto
0.38095 0.3858 lineto
0.39583 0.3858 lineto
0.39583 0.01472 lineto
fill
0.39583 0.01472 moveto
0.39583 0.37472 lineto
0.41071 0.37472 lineto
0.41071 0.01472 lineto
fill
0.41071 0.01472 moveto
0.41071 0.36387 lineto
0.4256 0.36387 lineto
0.4256 0.01472 lineto
fill
0.4256 0.01472 moveto
0.4256 0.35328 lineto
0.44048 0.35328 lineto
0.44048 0.01472 lineto
fill
0.44048 0.01472 moveto
0.44048 0.34295 lineto
0.45536 0.34295 lineto
0.45536 0.01472 lineto
fill
0.45536 0.01472 moveto
0.45536 0.3329 lineto
0.47024 0.3329 lineto
0.47024 0.01472 lineto
fill
0.47024 0.01472 moveto
0.47024 0.32314 lineto
0.48512 0.32314 lineto
0.48512 0.01472 lineto
fill
0.48512 0.01472 moveto
0.48512 0.31365 lineto
0.5 0.31365 lineto
0.5 0.01472 lineto
fill
0.5 0.01472 moveto
0.5 0.30445 lineto
0.51488 0.30445 lineto
0.51488 0.01472 lineto
fill
0.51488 0.01472 moveto
0.51488 0.29554 lineto
0.52976 0.29554 lineto
0.52976 0.01472 lineto
fill
0.52976 0.01472 moveto
0.52976 0.28692 lineto
0.54464 0.28692 lineto
0.54464 0.01472 lineto
fill
0.54464 0.01472 moveto
0.54464 0.27858 lineto
0.55952 0.27858 lineto
0.55952 0.01472 lineto
fill
0.55952 0.01472 moveto
0.55952 0.27052 lineto
0.5744 0.27052 lineto
0.5744 0.01472 lineto
fill
0.5744 0.01472 moveto
0.5744 0.26273 lineto
0.58929 0.26273 lineto
0.58929 0.01472 lineto
fill
0.58929 0.01472 moveto
0.58929 0.25521 lineto
0.60417 0.25521 lineto
0.60417 0.01472 lineto
fill
0.60417 0.01472 moveto
0.60417 0.24795 lineto
0.61905 0.24795 lineto
0.61905 0.01472 lineto
fill
0.61905 0.01472 moveto
0.61905 0.24094 lineto
0.63393 0.24094 lineto
0.63393 0.01472 lineto
fill
0.63393 0.01472 moveto
0.63393 0.23419 lineto
0.64881 0.23419 lineto
0.64881 0.01472 lineto
fill
0.64881 0.01472 moveto
0.64881 0.22768 lineto
0.66369 0.22768 lineto
0.66369 0.01472 lineto
fill
0.66369 0.01472 moveto
0.66369 0.2214 lineto
0.67857 0.2214 lineto
0.67857 0.01472 lineto
fill
0.67857 0.01472 moveto
0.67857 0.21534 lineto
0.69345 0.21534 lineto
0.69345 0.01472 lineto
fill
0.69345 0.01472 moveto
0.69345 0.20951 lineto
0.70833 0.20951 lineto
0.70833 0.01472 lineto
fill
0.70833 0.01472 moveto
0.70833 0.20388 lineto
0.72321 0.20388 lineto
0.72321 0.01472 lineto
fill
0.72321 0.01472 moveto
0.72321 0.19846 lineto
0.7381 0.19846 lineto
0.7381 0.01472 lineto
fill
0.7381 0.01472 moveto
0.7381 0.19324 lineto
0.75298 0.19324 lineto
0.75298 0.01472 lineto
fill
0.75298 0.01472 moveto
0.75298 0.1882 lineto
0.76786 0.1882 lineto
0.76786 0.01472 lineto
fill
0.76786 0.01472 moveto
0.76786 0.18335 lineto
0.78274 0.18335 lineto
0.78274 0.01472 lineto
fill
0.78274 0.01472 moveto
0.78274 0.17867 lineto
0.79762 0.17867 lineto
0.79762 0.01472 lineto
fill
0.79762 0.01472 moveto
0.79762 0.17416 lineto
0.8125 0.17416 lineto
0.8125 0.01472 lineto
fill
0.8125 0.01472 moveto
0.8125 0.16981 lineto
0.82738 0.16981 lineto
0.82738 0.01472 lineto
fill
0.82738 0.01472 moveto
0.82738 0.16561 lineto
0.84226 0.16561 lineto
0.84226 0.01472 lineto
fill
0.84226 0.01472 moveto
0.84226 0.16157 lineto
0.85714 0.16157 lineto
0.85714 0.01472 lineto
fill
0.85714 0.01472 moveto
0.85714 0.15767 lineto
0.87202 0.15767 lineto
0.87202 0.01472 lineto
fill
0.87202 0.01472 moveto
0.87202 0.15391 lineto
0.8869 0.15391 lineto
0.8869 0.01472 lineto
fill
0.8869 0.01472 moveto
0.8869 0.15027 lineto
0.90179 0.15027 lineto
0.90179 0.01472 lineto
fill
0.90179 0.01472 moveto
0.90179 0.14677 lineto
0.91667 0.14677 lineto
0.91667 0.01472 lineto
fill
0.91667 0.01472 moveto
0.91667 0.14339 lineto
0.93155 0.14339 lineto
0.93155 0.01472 lineto
fill
0.93155 0.01472 moveto
0.93155 0.14012 lineto
0.94643 0.14012 lineto
0.94643 0.01472 lineto
fill
0.94643 0.01472 moveto
0.94643 0.13697 lineto
0.96131 0.13697 lineto
0.96131 0.01472 lineto
fill
0.96131 0.01472 moveto
0.96131 0.13392 lineto
0.97619 0.13392 lineto
0.97619 0.01472 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.02505 0.60331 lineto
0.02629 0.6033 lineto
0.02753 0.60328 lineto
0.02877 0.60326 lineto
0.03001 0.60322 lineto
0.03125 0.60318 lineto
0.03373 0.60306 lineto
0.03621 0.60292 lineto
0.03869 0.60274 lineto
0.04365 0.6023 lineto
0.04861 0.60173 lineto
0.05357 0.60103 lineto
0.06349 0.59926 lineto
0.08333 0.59426 lineto
0.10317 0.58741 lineto
0.14286 0.5687 lineto
0.18254 0.54446 lineto
0.22222 0.51625 lineto
0.2619 0.4856 lineto
0.30159 0.45388 lineto
0.34127 0.42221 lineto
0.38095 0.39142 lineto
0.42063 0.36209 lineto
0.46032 0.33456 lineto
0.5 0.30902 lineto
0.53968 0.28551 lineto
0.57937 0.26401 lineto
0.61905 0.24441 lineto
0.65873 0.22661 lineto
0.69841 0.21046 lineto
0.7381 0.19582 lineto
0.77778 0.18255 lineto
0.81746 0.17052 lineto
0.85714 0.1596 lineto
0.89683 0.14968 lineto
0.93651 0.14066 lineto
0.97619 0.13244 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = print; inactive; preserveAspect; endGroup; ]
Actual Area (Definite Integral) = 1.107148718
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Trapezoids
:[font = text; inactive; preserveAspect; ]
Run the Mathematica animation in the graphics cell below. ( <Command> & <Y> )
:[font = input; preserveAspect; ]
Do[trapezoids[2^n], {n,1,6}];
 Print[ "Actual Area (Definite Integral) = ",
	N[ Integrate[ f[x], {x, a, b} ], 10 ] ];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; Cclosed; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 235; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0 0.61803 [
[(1.1 = area of trapezoids)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 -0.0125 0 1 Msboxa
[(1)] 0.5 -0.0125 0 1 Msboxa
[(1.5)] 0.7381 -0.0125 0 1 Msboxa
[(2)] 0.97619 -0.0125 0 1 Msboxa
[(0.2)] 0.01131 0.12361 1 0 Msboxa
[(0.4)] 0.01131 0.24721 1 0 Msboxa
[(0.6)] 0.01131 0.37082 1 0 Msboxa
[(0.8)] 0.01131 0.49443 1 0 Msboxa
[(1)] 0.01131 0.61803 1 0 Msboxa
[ -0.001 -0.00725 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.1 = area of trapezoids)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
0.2619 -0.00625 moveto
0.2619 0.00625 lineto
stroke
0 setgray
[(0.5)] 0.2619 -0.0125 0 1 Mshowa
0.5 -0.00625 moveto
0.5 0.00625 lineto
stroke
0 setgray
[(1)] 0.5 -0.0125 0 1 Mshowa
0.7381 -0.00625 moveto
0.7381 0.00625 lineto
stroke
0 setgray
[(1.5)] 0.7381 -0.0125 0 1 Mshowa
0.97619 -0.00625 moveto
0.97619 0.00625 lineto
stroke
0 setgray
[(2)] 0.97619 -0.0125 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.12361 moveto
0.03006 0.12361 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.12361 1 0 Mshowa
0.01756 0.24721 moveto
0.03006 0.24721 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.24721 1 0 Mshowa
0.01756 0.37082 moveto
0.03006 0.37082 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.37082 1 0 Mshowa
0.01756 0.49443 moveto
0.03006 0.49443 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.49443 1 0 Mshowa
0.01756 0.61803 moveto
0.03006 0.61803 lineto
stroke
0 setgray
[(1)] 0.01131 0.61803 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0 moveto
0.02381 0.61803 lineto
0.5 0.30902 lineto
0.5 0 lineto
fill
0.5 0 moveto
0.5 0.30902 lineto
0.97619 0.12361 lineto
0.97619 0 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.61803 moveto
0.02505 0.61803 lineto
0.02629 0.61802 lineto
0.02753 0.618 lineto
0.02877 0.61797 lineto
0.03001 0.61793 lineto
0.03125 0.61788 lineto
0.03373 0.61777 lineto
0.03621 0.61762 lineto
0.03869 0.61743 lineto
0.04365 0.61696 lineto
0.04861 0.61636 lineto
0.05357 0.61563 lineto
0.06349 0.61377 lineto
0.08333 0.60853 lineto
0.10317 0.60133 lineto
0.14286 0.58168 lineto
0.18254 0.55623 lineto
0.22222 0.52661 lineto
0.2619 0.49443 lineto
0.30159 0.46112 lineto
0.34127 0.42787 lineto
0.38095 0.39554 lineto
0.42063 0.36474 lineto
0.46032 0.33584 lineto
0.5 0.30902 lineto
0.53968 0.28434 lineto
0.57937 0.26176 lineto
0.61905 0.24118 lineto
0.65873 0.22249 lineto
0.69841 0.20554 lineto
0.7381 0.19016 lineto
0.77778 0.17623 lineto
0.81746 0.1636 lineto
0.85714 0.15213 lineto
0.89683 0.14171 lineto
0.93651 0.13224 lineto
0.97619 0.12361 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 235; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0 0.61803 [
[(1.103846154 = area of trapezoids)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 -0.0125 0 1 Msboxa
[(1)] 0.5 -0.0125 0 1 Msboxa
[(1.5)] 0.7381 -0.0125 0 1 Msboxa
[(2)] 0.97619 -0.0125 0 1 Msboxa
[(0.2)] 0.01131 0.12361 1 0 Msboxa
[(0.4)] 0.01131 0.24721 1 0 Msboxa
[(0.6)] 0.01131 0.37082 1 0 Msboxa
[(0.8)] 0.01131 0.49443 1 0 Msboxa
[(1)] 0.01131 0.61803 1 0 Msboxa
[ -0.001 -0.00725 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.103846154 = area of trapezoids)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
0.2619 -0.00625 moveto
0.2619 0.00625 lineto
stroke
0 setgray
[(0.5)] 0.2619 -0.0125 0 1 Mshowa
0.5 -0.00625 moveto
0.5 0.00625 lineto
stroke
0 setgray
[(1)] 0.5 -0.0125 0 1 Mshowa
0.7381 -0.00625 moveto
0.7381 0.00625 lineto
stroke
0 setgray
[(1.5)] 0.7381 -0.0125 0 1 Mshowa
0.97619 -0.00625 moveto
0.97619 0.00625 lineto
stroke
0 setgray
[(2)] 0.97619 -0.0125 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.12361 moveto
0.03006 0.12361 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.12361 1 0 Mshowa
0.01756 0.24721 moveto
0.03006 0.24721 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.24721 1 0 Mshowa
0.01756 0.37082 moveto
0.03006 0.37082 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.37082 1 0 Mshowa
0.01756 0.49443 moveto
0.03006 0.49443 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.49443 1 0 Mshowa
0.01756 0.61803 moveto
0.03006 0.61803 lineto
stroke
0 setgray
[(1)] 0.01131 0.61803 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0 moveto
0.02381 0.61803 lineto
0.2619 0.49443 lineto
0.2619 0 lineto
fill
0.2619 0 moveto
0.2619 0.49443 lineto
0.5 0.30902 lineto
0.5 0 lineto
fill
0.5 0 moveto
0.5 0.30902 lineto
0.7381 0.19016 lineto
0.7381 0 lineto
fill
0.7381 0 moveto
0.7381 0.19016 lineto
0.97619 0.12361 lineto
0.97619 0 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.61803 moveto
0.02505 0.61803 lineto
0.02629 0.61802 lineto
0.02753 0.618 lineto
0.02877 0.61797 lineto
0.03001 0.61793 lineto
0.03125 0.61788 lineto
0.03373 0.61777 lineto
0.03621 0.61762 lineto
0.03869 0.61743 lineto
0.04365 0.61696 lineto
0.04861 0.61636 lineto
0.05357 0.61563 lineto
0.06349 0.61377 lineto
0.08333 0.60853 lineto
0.10317 0.60133 lineto
0.14286 0.58168 lineto
0.18254 0.55623 lineto
0.22222 0.52661 lineto
0.2619 0.49443 lineto
0.30159 0.46112 lineto
0.34127 0.42787 lineto
0.38095 0.39554 lineto
0.42063 0.36474 lineto
0.46032 0.33584 lineto
0.5 0.30902 lineto
0.53968 0.28434 lineto
0.57937 0.26176 lineto
0.61905 0.24118 lineto
0.65873 0.22249 lineto
0.69841 0.20554 lineto
0.7381 0.19016 lineto
0.77778 0.17623 lineto
0.81746 0.1636 lineto
0.85714 0.15213 lineto
0.89683 0.14171 lineto
0.93651 0.13224 lineto
0.97619 0.12361 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 235; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0 0.61803 [
[(1.106316632 = area of trapezoids)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 -0.0125 0 1 Msboxa
[(1)] 0.5 -0.0125 0 1 Msboxa
[(1.5)] 0.7381 -0.0125 0 1 Msboxa
[(2)] 0.97619 -0.0125 0 1 Msboxa
[(0.2)] 0.01131 0.12361 1 0 Msboxa
[(0.4)] 0.01131 0.24721 1 0 Msboxa
[(0.6)] 0.01131 0.37082 1 0 Msboxa
[(0.8)] 0.01131 0.49443 1 0 Msboxa
[(1)] 0.01131 0.61803 1 0 Msboxa
[ -0.001 -0.00725 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.106316632 = area of trapezoids)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
0.2619 -0.00625 moveto
0.2619 0.00625 lineto
stroke
0 setgray
[(0.5)] 0.2619 -0.0125 0 1 Mshowa
0.5 -0.00625 moveto
0.5 0.00625 lineto
stroke
0 setgray
[(1)] 0.5 -0.0125 0 1 Mshowa
0.7381 -0.00625 moveto
0.7381 0.00625 lineto
stroke
0 setgray
[(1.5)] 0.7381 -0.0125 0 1 Mshowa
0.97619 -0.00625 moveto
0.97619 0.00625 lineto
stroke
0 setgray
[(2)] 0.97619 -0.0125 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.12361 moveto
0.03006 0.12361 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.12361 1 0 Mshowa
0.01756 0.24721 moveto
0.03006 0.24721 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.24721 1 0 Mshowa
0.01756 0.37082 moveto
0.03006 0.37082 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.37082 1 0 Mshowa
0.01756 0.49443 moveto
0.03006 0.49443 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.49443 1 0 Mshowa
0.01756 0.61803 moveto
0.03006 0.61803 lineto
stroke
0 setgray
[(1)] 0.01131 0.61803 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0 moveto
0.02381 0.61803 lineto
0.14286 0.58168 lineto
0.14286 0 lineto
fill
0.14286 0 moveto
0.14286 0.58168 lineto
0.2619 0.49443 lineto
0.2619 0 lineto
fill
0.2619 0 moveto
0.2619 0.49443 lineto
0.38095 0.39554 lineto
0.38095 0 lineto
fill
0.38095 0 moveto
0.38095 0.39554 lineto
0.5 0.30902 lineto
0.5 0 lineto
fill
0.5 0 moveto
0.5 0.30902 lineto
0.61905 0.24118 lineto
0.61905 0 lineto
fill
0.61905 0 moveto
0.61905 0.24118 lineto
0.7381 0.19016 lineto
0.7381 0 lineto
fill
0.7381 0 moveto
0.7381 0.19016 lineto
0.85714 0.15213 lineto
0.85714 0 lineto
fill
0.85714 0 moveto
0.85714 0.15213 lineto
0.97619 0.12361 lineto
0.97619 0 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.61803 moveto
0.02505 0.61803 lineto
0.02629 0.61802 lineto
0.02753 0.618 lineto
0.02877 0.61797 lineto
0.03001 0.61793 lineto
0.03125 0.61788 lineto
0.03373 0.61777 lineto
0.03621 0.61762 lineto
0.03869 0.61743 lineto
0.04365 0.61696 lineto
0.04861 0.61636 lineto
0.05357 0.61563 lineto
0.06349 0.61377 lineto
0.08333 0.60853 lineto
0.10317 0.60133 lineto
0.14286 0.58168 lineto
0.18254 0.55623 lineto
0.22222 0.52661 lineto
0.2619 0.49443 lineto
0.30159 0.46112 lineto
0.34127 0.42787 lineto
0.38095 0.39554 lineto
0.42063 0.36474 lineto
0.46032 0.33584 lineto
0.5 0.30902 lineto
0.53968 0.28434 lineto
0.57937 0.26176 lineto
0.61905 0.24118 lineto
0.65873 0.22249 lineto
0.69841 0.20554 lineto
0.7381 0.19016 lineto
0.77778 0.17623 lineto
0.81746 0.1636 lineto
0.85714 0.15213 lineto
0.89683 0.14171 lineto
0.93651 0.13224 lineto
0.97619 0.12361 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 235; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0 0.61803 [
[(1.106940463 = area of trapezoids)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 -0.0125 0 1 Msboxa
[(1)] 0.5 -0.0125 0 1 Msboxa
[(1.5)] 0.7381 -0.0125 0 1 Msboxa
[(2)] 0.97619 -0.0125 0 1 Msboxa
[(0.2)] 0.01131 0.12361 1 0 Msboxa
[(0.4)] 0.01131 0.24721 1 0 Msboxa
[(0.6)] 0.01131 0.37082 1 0 Msboxa
[(0.8)] 0.01131 0.49443 1 0 Msboxa
[(1)] 0.01131 0.61803 1 0 Msboxa
[ -0.001 -0.00725 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.106940463 = area of trapezoids)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
0.2619 -0.00625 moveto
0.2619 0.00625 lineto
stroke
0 setgray
[(0.5)] 0.2619 -0.0125 0 1 Mshowa
0.5 -0.00625 moveto
0.5 0.00625 lineto
stroke
0 setgray
[(1)] 0.5 -0.0125 0 1 Mshowa
0.7381 -0.00625 moveto
0.7381 0.00625 lineto
stroke
0 setgray
[(1.5)] 0.7381 -0.0125 0 1 Mshowa
0.97619 -0.00625 moveto
0.97619 0.00625 lineto
stroke
0 setgray
[(2)] 0.97619 -0.0125 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.12361 moveto
0.03006 0.12361 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.12361 1 0 Mshowa
0.01756 0.24721 moveto
0.03006 0.24721 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.24721 1 0 Mshowa
0.01756 0.37082 moveto
0.03006 0.37082 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.37082 1 0 Mshowa
0.01756 0.49443 moveto
0.03006 0.49443 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.49443 1 0 Mshowa
0.01756 0.61803 moveto
0.03006 0.61803 lineto
stroke
0 setgray
[(1)] 0.01131 0.61803 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0 moveto
0.02381 0.61803 lineto
0.08333 0.60853 lineto
0.08333 0 lineto
fill
0.08333 0 moveto
0.08333 0.60853 lineto
0.14286 0.58168 lineto
0.14286 0 lineto
fill
0.14286 0 moveto
0.14286 0.58168 lineto
0.20238 0.54184 lineto
0.20238 0 lineto
fill
0.20238 0 moveto
0.20238 0.54184 lineto
0.2619 0.49443 lineto
0.2619 0 lineto
fill
0.2619 0 moveto
0.2619 0.49443 lineto
0.32143 0.44443 lineto
0.32143 0 lineto
fill
0.32143 0 moveto
0.32143 0.44443 lineto
0.38095 0.39554 lineto
0.38095 0 lineto
fill
0.38095 0 moveto
0.38095 0.39554 lineto
0.44048 0.35004 lineto
0.44048 0 lineto
fill
0.44048 0 moveto
0.44048 0.35004 lineto
0.5 0.30902 lineto
0.5 0 lineto
fill
0.5 0 moveto
0.5 0.30902 lineto
0.55952 0.27279 lineto
0.55952 0 lineto
fill
0.55952 0 moveto
0.55952 0.27279 lineto
0.61905 0.24118 lineto
0.61905 0 lineto
fill
0.61905 0 moveto
0.61905 0.24118 lineto
0.67857 0.21381 lineto
0.67857 0 lineto
fill
0.67857 0 moveto
0.67857 0.21381 lineto
0.7381 0.19016 lineto
0.7381 0 lineto
fill
0.7381 0 moveto
0.7381 0.19016 lineto
0.79762 0.16976 lineto
0.79762 0 lineto
fill
0.79762 0 moveto
0.79762 0.16976 lineto
0.85714 0.15213 lineto
0.85714 0 lineto
fill
0.85714 0 moveto
0.85714 0.15213 lineto
0.91667 0.13687 lineto
0.91667 0 lineto
fill
0.91667 0 moveto
0.91667 0.13687 lineto
0.97619 0.12361 lineto
0.97619 0 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.61803 moveto
0.02505 0.61803 lineto
0.02629 0.61802 lineto
0.02753 0.618 lineto
0.02877 0.61797 lineto
0.03001 0.61793 lineto
0.03125 0.61788 lineto
0.03373 0.61777 lineto
0.03621 0.61762 lineto
0.03869 0.61743 lineto
0.04365 0.61696 lineto
0.04861 0.61636 lineto
0.05357 0.61563 lineto
0.06349 0.61377 lineto
0.08333 0.60853 lineto
0.10317 0.60133 lineto
0.14286 0.58168 lineto
0.18254 0.55623 lineto
0.22222 0.52661 lineto
0.2619 0.49443 lineto
0.30159 0.46112 lineto
0.34127 0.42787 lineto
0.38095 0.39554 lineto
0.42063 0.36474 lineto
0.46032 0.33584 lineto
0.5 0.30902 lineto
0.53968 0.28434 lineto
0.57937 0.26176 lineto
0.61905 0.24118 lineto
0.65873 0.22249 lineto
0.69841 0.20554 lineto
0.7381 0.19016 lineto
0.77778 0.17623 lineto
0.81746 0.1636 lineto
0.85714 0.15213 lineto
0.89683 0.14171 lineto
0.93651 0.13224 lineto
0.97619 0.12361 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 235; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0 0.61803 [
[(1.107096639 = area of trapezoids)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 -0.0125 0 1 Msboxa
[(1)] 0.5 -0.0125 0 1 Msboxa
[(1.5)] 0.7381 -0.0125 0 1 Msboxa
[(2)] 0.97619 -0.0125 0 1 Msboxa
[(0.2)] 0.01131 0.12361 1 0 Msboxa
[(0.4)] 0.01131 0.24721 1 0 Msboxa
[(0.6)] 0.01131 0.37082 1 0 Msboxa
[(0.8)] 0.01131 0.49443 1 0 Msboxa
[(1)] 0.01131 0.61803 1 0 Msboxa
[ -0.001 -0.00725 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.107096639 = area of trapezoids)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
0.2619 -0.00625 moveto
0.2619 0.00625 lineto
stroke
0 setgray
[(0.5)] 0.2619 -0.0125 0 1 Mshowa
0.5 -0.00625 moveto
0.5 0.00625 lineto
stroke
0 setgray
[(1)] 0.5 -0.0125 0 1 Mshowa
0.7381 -0.00625 moveto
0.7381 0.00625 lineto
stroke
0 setgray
[(1.5)] 0.7381 -0.0125 0 1 Mshowa
0.97619 -0.00625 moveto
0.97619 0.00625 lineto
stroke
0 setgray
[(2)] 0.97619 -0.0125 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.12361 moveto
0.03006 0.12361 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.12361 1 0 Mshowa
0.01756 0.24721 moveto
0.03006 0.24721 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.24721 1 0 Mshowa
0.01756 0.37082 moveto
0.03006 0.37082 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.37082 1 0 Mshowa
0.01756 0.49443 moveto
0.03006 0.49443 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.49443 1 0 Mshowa
0.01756 0.61803 moveto
0.03006 0.61803 lineto
stroke
0 setgray
[(1)] 0.01131 0.61803 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0 moveto
0.02381 0.61803 lineto
0.05357 0.61563 lineto
0.05357 0 lineto
fill
0.05357 0 moveto
0.05357 0.61563 lineto
0.08333 0.60853 lineto
0.08333 0 lineto
fill
0.08333 0 moveto
0.08333 0.60853 lineto
0.1131 0.59704 lineto
0.1131 0 lineto
fill
0.1131 0 moveto
0.1131 0.59704 lineto
0.14286 0.58168 lineto
0.14286 0 lineto
fill
0.14286 0 moveto
0.14286 0.58168 lineto
0.17262 0.56305 lineto
0.17262 0 lineto
fill
0.17262 0 moveto
0.17262 0.56305 lineto
0.20238 0.54184 lineto
0.20238 0 lineto
fill
0.20238 0 moveto
0.20238 0.54184 lineto
0.23214 0.51874 lineto
0.23214 0 lineto
fill
0.23214 0 moveto
0.23214 0.51874 lineto
0.2619 0.49443 lineto
0.2619 0 lineto
fill
0.2619 0 moveto
0.2619 0.49443 lineto
0.29167 0.46949 lineto
0.29167 0 lineto
fill
0.29167 0 moveto
0.29167 0.46949 lineto
0.32143 0.44443 lineto
0.32143 0 lineto
fill
0.32143 0 moveto
0.32143 0.44443 lineto
0.35119 0.41967 lineto
0.35119 0 lineto
fill
0.35119 0 moveto
0.35119 0.41967 lineto
0.38095 0.39554 lineto
0.38095 0 lineto
fill
0.38095 0 moveto
0.38095 0.39554 lineto
0.41071 0.37227 lineto
0.41071 0 lineto
fill
0.41071 0 moveto
0.41071 0.37227 lineto
0.44048 0.35004 lineto
0.44048 0 lineto
fill
0.44048 0 moveto
0.44048 0.35004 lineto
0.47024 0.32893 lineto
0.47024 0 lineto
fill
0.47024 0 moveto
0.47024 0.32893 lineto
0.5 0.30902 lineto
0.5 0 lineto
fill
0.5 0 moveto
0.5 0.30902 lineto
0.52976 0.29031 lineto
0.52976 0 lineto
fill
0.52976 0 moveto
0.52976 0.29031 lineto
0.55952 0.27279 lineto
0.55952 0 lineto
fill
0.55952 0 moveto
0.55952 0.27279 lineto
0.58929 0.25643 lineto
0.58929 0 lineto
fill
0.58929 0 moveto
0.58929 0.25643 lineto
0.61905 0.24118 lineto
0.61905 0 lineto
fill
0.61905 0 moveto
0.61905 0.24118 lineto
0.64881 0.227 lineto
0.64881 0 lineto
fill
0.64881 0 moveto
0.64881 0.227 lineto
0.67857 0.21381 lineto
0.67857 0 lineto
fill
0.67857 0 moveto
0.67857 0.21381 lineto
0.70833 0.20155 lineto
0.70833 0 lineto
fill
0.70833 0 moveto
0.70833 0.20155 lineto
0.7381 0.19016 lineto
0.7381 0 lineto
fill
0.7381 0 moveto
0.7381 0.19016 lineto
0.76786 0.17959 lineto
0.76786 0 lineto
fill
0.76786 0 moveto
0.76786 0.17959 lineto
0.79762 0.16976 lineto
0.79762 0 lineto
fill
0.79762 0 moveto
0.79762 0.16976 lineto
0.82738 0.16063 lineto
0.82738 0 lineto
fill
0.82738 0 moveto
0.82738 0.16063 lineto
0.85714 0.15213 lineto
0.85714 0 lineto
fill
0.85714 0 moveto
0.85714 0.15213 lineto
0.8869 0.14423 lineto
0.8869 0 lineto
fill
0.8869 0 moveto
0.8869 0.14423 lineto
0.91667 0.13687 lineto
0.91667 0 lineto
fill
0.91667 0 moveto
0.91667 0.13687 lineto
0.94643 0.13001 lineto
0.94643 0 lineto
fill
0.94643 0 moveto
0.94643 0.13001 lineto
0.97619 0.12361 lineto
0.97619 0 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.61803 moveto
0.02505 0.61803 lineto
0.02629 0.61802 lineto
0.02753 0.618 lineto
0.02877 0.61797 lineto
0.03001 0.61793 lineto
0.03125 0.61788 lineto
0.03373 0.61777 lineto
0.03621 0.61762 lineto
0.03869 0.61743 lineto
0.04365 0.61696 lineto
0.04861 0.61636 lineto
0.05357 0.61563 lineto
0.06349 0.61377 lineto
0.08333 0.60853 lineto
0.10317 0.60133 lineto
0.14286 0.58168 lineto
0.18254 0.55623 lineto
0.22222 0.52661 lineto
0.2619 0.49443 lineto
0.30159 0.46112 lineto
0.34127 0.42787 lineto
0.38095 0.39554 lineto
0.42063 0.36474 lineto
0.46032 0.33584 lineto
0.5 0.30902 lineto
0.53968 0.28434 lineto
0.57937 0.26176 lineto
0.61905 0.24118 lineto
0.65873 0.22249 lineto
0.69841 0.20554 lineto
0.7381 0.19016 lineto
0.77778 0.17623 lineto
0.81746 0.1636 lineto
0.85714 0.15213 lineto
0.89683 0.14171 lineto
0.93651 0.13224 lineto
0.97619 0.12361 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 3; pictureWidth = 377; pictureHeight = 235; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0 0.61803 [
[(1.107135697 = area of trapezoids)] 0.5 0.62428 0 -1 Msboxa
[(0.5)] 0.2619 -0.0125 0 1 Msboxa
[(1)] 0.5 -0.0125 0 1 Msboxa
[(1.5)] 0.7381 -0.0125 0 1 Msboxa
[(2)] 0.97619 -0.0125 0 1 Msboxa
[(0.2)] 0.01131 0.12361 1 0 Msboxa
[(0.4)] 0.01131 0.24721 1 0 Msboxa
[(0.6)] 0.01131 0.37082 1 0 Msboxa
[(0.8)] 0.01131 0.49443 1 0 Msboxa
[(1)] 0.01131 0.61803 1 0 Msboxa
[ -0.001 -0.00725 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(1.107135697 = area of trapezoids)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
0.2619 -0.00625 moveto
0.2619 0.00625 lineto
stroke
0 setgray
[(0.5)] 0.2619 -0.0125 0 1 Mshowa
0.5 -0.00625 moveto
0.5 0.00625 lineto
stroke
0 setgray
[(1)] 0.5 -0.0125 0 1 Mshowa
0.7381 -0.00625 moveto
0.7381 0.00625 lineto
stroke
0 setgray
[(1.5)] 0.7381 -0.0125 0 1 Mshowa
0.97619 -0.00625 moveto
0.97619 0.00625 lineto
stroke
0 setgray
[(2)] 0.97619 -0.0125 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.12361 moveto
0.03006 0.12361 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.12361 1 0 Mshowa
0.01756 0.24721 moveto
0.03006 0.24721 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.24721 1 0 Mshowa
0.01756 0.37082 moveto
0.03006 0.37082 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.37082 1 0 Mshowa
0.01756 0.49443 moveto
0.03006 0.49443 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.49443 1 0 Mshowa
0.01756 0.61803 moveto
0.03006 0.61803 lineto
stroke
0 setgray
[(1)] 0.01131 0.61803 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0 moveto
0.02381 0.61803 lineto
0.03869 0.61743 lineto
0.03869 0 lineto
fill
0.03869 0 moveto
0.03869 0.61743 lineto
0.05357 0.61563 lineto
0.05357 0 lineto
fill
0.05357 0 moveto
0.05357 0.61563 lineto
0.06845 0.61265 lineto
0.06845 0 lineto
fill
0.06845 0 moveto
0.06845 0.61265 lineto
0.08333 0.60853 lineto
0.08333 0 lineto
fill
0.08333 0 moveto
0.08333 0.60853 lineto
0.09821 0.6033 lineto
0.09821 0 lineto
fill
0.09821 0 moveto
0.09821 0.6033 lineto
0.1131 0.59704 lineto
0.1131 0 lineto
fill
0.1131 0 moveto
0.1131 0.59704 lineto
0.12798 0.58981 lineto
0.12798 0 lineto
fill
0.12798 0 moveto
0.12798 0.58981 lineto
0.14286 0.58168 lineto
0.14286 0 lineto
fill
0.14286 0 moveto
0.14286 0.58168 lineto
0.15774 0.57273 lineto
0.15774 0 lineto
fill
0.15774 0 moveto
0.15774 0.57273 lineto
0.17262 0.56305 lineto
0.17262 0 lineto
fill
0.17262 0 moveto
0.17262 0.56305 lineto
0.1875 0.55272 lineto
0.1875 0 lineto
fill
0.1875 0 moveto
0.1875 0.55272 lineto
0.20238 0.54184 lineto
0.20238 0 lineto
fill
0.20238 0 moveto
0.20238 0.54184 lineto
0.21726 0.53048 lineto
0.21726 0 lineto
fill
0.21726 0 moveto
0.21726 0.53048 lineto
0.23214 0.51874 lineto
0.23214 0 lineto
fill
0.23214 0 moveto
0.23214 0.51874 lineto
0.24702 0.5067 lineto
0.24702 0 lineto
fill
0.24702 0 moveto
0.24702 0.5067 lineto
0.2619 0.49443 lineto
0.2619 0 lineto
fill
0.2619 0 moveto
0.2619 0.49443 lineto
0.27679 0.482 lineto
0.27679 0 lineto
fill
0.27679 0 moveto
0.27679 0.482 lineto
0.29167 0.46949 lineto
0.29167 0 lineto
fill
0.29167 0 moveto
0.29167 0.46949 lineto
0.30655 0.45694 lineto
0.30655 0 lineto
fill
0.30655 0 moveto
0.30655 0.45694 lineto
0.32143 0.44443 lineto
0.32143 0 lineto
fill
0.32143 0 moveto
0.32143 0.44443 lineto
0.33631 0.43199 lineto
0.33631 0 lineto
fill
0.33631 0 moveto
0.33631 0.43199 lineto
0.35119 0.41967 lineto
0.35119 0 lineto
fill
0.35119 0 moveto
0.35119 0.41967 lineto
0.36607 0.40751 lineto
0.36607 0 lineto
fill
0.36607 0 moveto
0.36607 0.40751 lineto
0.38095 0.39554 lineto
0.38095 0 lineto
fill
0.38095 0 moveto
0.38095 0.39554 lineto
0.39583 0.38379 lineto
0.39583 0 lineto
fill
0.39583 0 moveto
0.39583 0.38379 lineto
0.41071 0.37227 lineto
0.41071 0 lineto
fill
0.41071 0 moveto
0.41071 0.37227 lineto
0.4256 0.36102 lineto
0.4256 0 lineto
fill
0.4256 0 moveto
0.4256 0.36102 lineto
0.44048 0.35004 lineto
0.44048 0 lineto
fill
0.44048 0 moveto
0.44048 0.35004 lineto
0.45536 0.33934 lineto
0.45536 0 lineto
fill
0.45536 0 moveto
0.45536 0.33934 lineto
0.47024 0.32893 lineto
0.47024 0 lineto
fill
0.47024 0 moveto
0.47024 0.32893 lineto
0.48512 0.31882 lineto
0.48512 0 lineto
fill
0.48512 0 moveto
0.48512 0.31882 lineto
0.5 0.30902 lineto
0.5 0 lineto
fill
0.5 0 moveto
0.5 0.30902 lineto
0.51488 0.29951 lineto
0.51488 0 lineto
fill
0.51488 0 moveto
0.51488 0.29951 lineto
0.52976 0.29031 lineto
0.52976 0 lineto
fill
0.52976 0 moveto
0.52976 0.29031 lineto
0.54464 0.2814 lineto
0.54464 0 lineto
fill
0.54464 0 moveto
0.54464 0.2814 lineto
0.55952 0.27279 lineto
0.55952 0 lineto
fill
0.55952 0 moveto
0.55952 0.27279 lineto
0.5744 0.26447 lineto
0.5744 0 lineto
fill
0.5744 0 moveto
0.5744 0.26447 lineto
0.58929 0.25643 lineto
0.58929 0 lineto
fill
0.58929 0 moveto
0.58929 0.25643 lineto
0.60417 0.24867 lineto
0.60417 0 lineto
fill
0.60417 0 moveto
0.60417 0.24867 lineto
0.61905 0.24118 lineto
0.61905 0 lineto
fill
0.61905 0 moveto
0.61905 0.24118 lineto
0.63393 0.23396 lineto
0.63393 0 lineto
fill
0.63393 0 moveto
0.63393 0.23396 lineto
0.64881 0.227 lineto
0.64881 0 lineto
fill
0.64881 0 moveto
0.64881 0.227 lineto
0.66369 0.22028 lineto
0.66369 0 lineto
fill
0.66369 0 moveto
0.66369 0.22028 lineto
0.67857 0.21381 lineto
0.67857 0 lineto
fill
0.67857 0 moveto
0.67857 0.21381 lineto
0.69345 0.20757 lineto
0.69345 0 lineto
fill
0.69345 0 moveto
0.69345 0.20757 lineto
0.70833 0.20155 lineto
0.70833 0 lineto
fill
0.70833 0 moveto
0.70833 0.20155 lineto
0.72321 0.19575 lineto
0.72321 0 lineto
fill
0.72321 0 moveto
0.72321 0.19575 lineto
0.7381 0.19016 lineto
0.7381 0 lineto
fill
0.7381 0 moveto
0.7381 0.19016 lineto
0.75298 0.18478 lineto
0.75298 0 lineto
fill
0.75298 0 moveto
0.75298 0.18478 lineto
0.76786 0.17959 lineto
0.76786 0 lineto
fill
0.76786 0 moveto
0.76786 0.17959 lineto
0.78274 0.17458 lineto
0.78274 0 lineto
fill
0.78274 0 moveto
0.78274 0.17458 lineto
0.79762 0.16976 lineto
0.79762 0 lineto
fill
0.79762 0 moveto
0.79762 0.16976 lineto
0.8125 0.16511 lineto
0.8125 0 lineto
fill
0.8125 0 moveto
0.8125 0.16511 lineto
0.82738 0.16063 lineto
0.82738 0 lineto
fill
0.82738 0 moveto
0.82738 0.16063 lineto
0.84226 0.1563 lineto
0.84226 0 lineto
fill
0.84226 0 moveto
0.84226 0.1563 lineto
0.85714 0.15213 lineto
0.85714 0 lineto
fill
0.85714 0 moveto
0.85714 0.15213 lineto
0.87202 0.14811 lineto
0.87202 0 lineto
fill
0.87202 0 moveto
0.87202 0.14811 lineto
0.8869 0.14423 lineto
0.8869 0 lineto
fill
0.8869 0 moveto
0.8869 0.14423 lineto
0.90179 0.14048 lineto
0.90179 0 lineto
fill
0.90179 0 moveto
0.90179 0.14048 lineto
0.91667 0.13687 lineto
0.91667 0 lineto
fill
0.91667 0 moveto
0.91667 0.13687 lineto
0.93155 0.13338 lineto
0.93155 0 lineto
fill
0.93155 0 moveto
0.93155 0.13338 lineto
0.94643 0.13001 lineto
0.94643 0 lineto
fill
0.94643 0 moveto
0.94643 0.13001 lineto
0.96131 0.12675 lineto
0.96131 0 lineto
fill
0.96131 0 moveto
0.96131 0.12675 lineto
0.97619 0.12361 lineto
0.97619 0 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.61803 moveto
0.02505 0.61803 lineto
0.02629 0.61802 lineto
0.02753 0.618 lineto
0.02877 0.61797 lineto
0.03001 0.61793 lineto
0.03125 0.61788 lineto
0.03373 0.61777 lineto
0.03621 0.61762 lineto
0.03869 0.61743 lineto
0.04365 0.61696 lineto
0.04861 0.61636 lineto
0.05357 0.61563 lineto
0.06349 0.61377 lineto
0.08333 0.60853 lineto
0.10317 0.60133 lineto
0.14286 0.58168 lineto
0.18254 0.55623 lineto
0.22222 0.52661 lineto
0.2619 0.49443 lineto
0.30159 0.46112 lineto
0.34127 0.42787 lineto
0.38095 0.39554 lineto
0.42063 0.36474 lineto
0.46032 0.33584 lineto
0.5 0.30902 lineto
0.53968 0.28434 lineto
0.57937 0.26176 lineto
0.61905 0.24118 lineto
0.65873 0.22249 lineto
0.69841 0.20554 lineto
0.7381 0.19016 lineto
0.77778 0.17623 lineto
0.81746 0.1636 lineto
0.85714 0.15213 lineto
0.89683 0.14171 lineto
0.93651 0.13224 lineto
0.97619 0.12361 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = print; inactive; preserveAspect; endGroup; ]
Actual Area (Definite Integral) = 1.107148718
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Numerical summary
:[font = input; preserveAspect; startGroup; ]
Print[ "Left Rectangles = ",left];
Print[ "Mid Rectangles = ",mid];
Print[ "Area of Trapezoids = ",trap];
Print[ "Simpson's rule = (2/3)Midpoints + (1/3)Trapezoids =",
				2 mid/3 + trap/3];
Print[ "Area to more than machine precision = ",
	N[ Integrate[ f[x], {x, a, b} ], 10 ] ];
:[font = print; inactive; preserveAspect; endGroup; endGroup; ]
Left Rectangles = 1.186615896
Mid Rectangles = 1.107414937
Area of Trapezoids = 1.106615896
Simpson's rule = (2/3) Midpoints + (1/3) Trapezoids =1.10715
Area to more than machine precision = 1.107148718
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Random Riemann Sums - Beyond the Basic Theory
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
		A general Riemann sum (needed for discontinuous functions) can have variable size partitions and random points of evaluation.  As the number of rectangles approaches infinity, the Riemann sum will still approach the area under the curve provided that the size of the biggest increment in  x  tends to zero.  When you activate the following function cell and type riemannsum[n], Mathematica will divide the area under the curve into rectangles of random widths and sum their areas.
:[font = input; preserveAspect; endGroup; ]
f[x_] := 1/(1 + x^2);
a = 0 ;
b = 2 ;
riemannsum[n_] :=
	Block[ {dx},
		maxstep := 2 (b - a) / n ;
		x[0] = a ;
		x[n] = b ;
		Do[ 
			upperlimit = Min[ x[i-1] + maxstep, b ] ;
			x[i] = Random[ Real, {x[i-1], upperlimit} ] ;
			xp[i] = Random[ Real, {x[i-1], x[i]} ] ;
			dx[i] = x[i] - x[i-1],
			{i,1,n-1}
		  	] ;
		xp[n] = Random[ Real, {x[n-1], x[n]} ] ;
		dx[n] = x[n] - x[n-1] ;
		functionplot := Plot[ f[x], {x, a, b} ] ;
		partition := Graphics[ { GrayLevel[0.4],
				Table[ Rectangle[ {x[i-1], 0},
						{x[i], f[ xp[i] ]} ], {i, 1, n} ] } ] ;
		Show[ partition, functionplot ] ;
		Print[ "Riemann Sum = ",
					N[ Sum[ f[xp[i]] dx[i], {i, 1, n} ], 10 ] ] ;
		Print[ "Actual Area (Definite Integral) = ",
					N[ Integrate[ f[x], {x, a, b} ], 10 ] ] ;
	] ;	
:[font = input; preserveAspect; startGroup; ]
riemannsum[20]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 0; pictureTop = 1; pictureWidth = 312; pictureHeight = 193; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.47619 0.01472 0.5886 [
[(0.5)] 0.2619 0.00222 0 1 Msboxa
[(1)] 0.5 0.00222 0 1 Msboxa
[(1.5)] 0.7381 0.00222 0 1 Msboxa
[(2)] 0.97619 0.00222 0 1 Msboxa
[(0.2)] 0.01131 0.13244 1 0 Msboxa
[(0.4)] 0.01131 0.25016 1 0 Msboxa
[(0.6)] 0.01131 0.36788 1 0 Msboxa
[(0.8)] 0.01131 0.4856 1 0 Msboxa
[(1)] 0.01131 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.2619 0.00847 moveto
0.2619 0.02097 lineto
stroke
0 setgray
[(0.5)] 0.2619 0.00222 0 1 Mshowa
0.5 0.00847 moveto
0.5 0.02097 lineto
stroke
0 setgray
[(1)] 0.5 0.00222 0 1 Mshowa
0.7381 0.00847 moveto
0.7381 0.02097 lineto
stroke
0 setgray
[(1.5)] 0.7381 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(2)] 0.97619 0.00222 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.13244 moveto
0.03006 0.13244 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.13244 1 0 Mshowa
0.01756 0.25016 moveto
0.03006 0.25016 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.25016 1 0 Mshowa
0.01756 0.36788 moveto
0.03006 0.36788 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.36788 1 0 Mshowa
0.01756 0.4856 moveto
0.03006 0.4856 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.4856 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(1)] 0.01131 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.4 setgray
gsave
0.02381 0.01472 moveto
0.02381 0.60313 lineto
0.06042 0.60313 lineto
0.06042 0.01472 lineto
fill
0.06042 0.01472 moveto
0.06042 0.59313 lineto
0.13979 0.59313 lineto
0.13979 0.01472 lineto
fill
0.13979 0.01472 moveto
0.13979 0.56778 lineto
0.17871 0.56778 lineto
0.17871 0.01472 lineto
fill
0.17871 0.01472 moveto
0.17871 0.51935 lineto
0.23786 0.51935 lineto
0.23786 0.01472 lineto
fill
0.23786 0.01472 moveto
0.23786 0.45121 lineto
0.3055 0.45121 lineto
0.3055 0.01472 lineto
fill
0.3055 0.01472 moveto
0.3055 0.42972 lineto
0.35847 0.42972 lineto
0.35847 0.01472 lineto
fill
0.35847 0.01472 moveto
0.35847 0.40826 lineto
0.36285 0.40826 lineto
0.36285 0.01472 lineto
fill
0.36285 0.01472 moveto
0.36285 0.36544 lineto
0.43639 0.36544 lineto
0.43639 0.01472 lineto
fill
0.43639 0.01472 moveto
0.43639 0.30657 lineto
0.50882 0.30657 lineto
0.50882 0.01472 lineto
fill
0.50882 0.01472 moveto
0.50882 0.30285 lineto
0.52638 0.30285 lineto
0.52638 0.01472 lineto
fill
0.52638 0.01472 moveto
0.52638 0.27258 lineto
0.57752 0.27258 lineto
0.57752 0.01472 lineto
fill
0.57752 0.01472 moveto
0.57752 0.24237 lineto
0.63665 0.24237 lineto
0.63665 0.01472 lineto
fill
0.63665 0.01472 moveto
0.63665 0.23267 lineto
0.68702 0.23267 lineto
0.68702 0.01472 lineto
fill
0.68702 0.01472 moveto
0.68702 0.20665 lineto
0.70844 0.20665 lineto
0.70844 0.01472 lineto
fill
0.70844 0.01472 moveto
0.70844 0.20081 lineto
0.79549 0.20081 lineto
0.79549 0.01472 lineto
fill
0.79549 0.01472 moveto
0.79549 0.16441 lineto
0.8845 0.16441 lineto
0.8845 0.01472 lineto
fill
0.8845 0.01472 moveto
0.8845 0.15114 lineto
0.89273 0.15114 lineto
0.89273 0.01472 lineto
fill
0.89273 0.01472 moveto
0.89273 0.14181 lineto
0.95754 0.14181 lineto
0.95754 0.01472 lineto
fill
0.95754 0.01472 moveto
0.95754 0.13343 lineto
0.9717 0.13343 lineto
0.9717 0.01472 lineto
fill
0.9717 0.01472 moveto
0.9717 0.1327 lineto
0.97619 0.1327 lineto
0.97619 0.01472 lineto
fill
grestore
grestore
grestore
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.02505 0.60331 lineto
0.02629 0.6033 lineto
0.02753 0.60328 lineto
0.02877 0.60326 lineto
0.03001 0.60322 lineto
0.03125 0.60318 lineto
0.03373 0.60306 lineto
0.03621 0.60292 lineto
0.03869 0.60274 lineto
0.04365 0.6023 lineto
0.04861 0.60173 lineto
0.05357 0.60103 lineto
0.06349 0.59926 lineto
0.08333 0.59426 lineto
0.10317 0.58741 lineto
0.14286 0.5687 lineto
0.18254 0.54446 lineto
0.22222 0.51625 lineto
0.2619 0.4856 lineto
0.30159 0.45388 lineto
0.34127 0.42221 lineto
0.38095 0.39142 lineto
0.42063 0.36209 lineto
0.46032 0.33456 lineto
0.5 0.30902 lineto
0.53968 0.28551 lineto
0.57937 0.26401 lineto
0.61905 0.24441 lineto
0.65873 0.22661 lineto
0.69841 0.21046 lineto
0.7381 0.19582 lineto
0.77778 0.18255 lineto
0.81746 0.17052 lineto
0.85714 0.1596 lineto
0.89683 0.14968 lineto
0.93651 0.14066 lineto
0.97619 0.13244 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = print; inactive; preserveAspect; endGroup; endGroup; ]
Riemann Sum = 1.094876264
Actual Area (Definite Integral) = 1.107148718
^*)