(*^

::[magnification = 125; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; preserveAspect; ]
Bessel Functions
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Graphing Bessel Functions
:[font = text; inactive; preserveAspect; ]

The Bessel function  is represented in Mathematica by  BesselJ[n,x].
To obtain the first few terms in the power series expansion for at the origin
we can use, for example,
;[s]
5:0,0;40,1;51,2;56,3;69,4;173,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Series[BesselJ[0,x],{x,0,7}]
:[font = output; output; inactive; preserveAspect; endGroup; ]
SeriesData[x, 0, {1, 0, -1/4, 0, 1/64, 0, 
   -1/2304, 0, 1/147456}, 0, 9, 1]
;[o]
     2    4     6       8
    x    x     x       x          9
1 - -- + -- - ---- + ------ + O[x]
    4    64   2304   147456
:[font = text; inactive; pageBreakBelow; preserveAspect; ]
Bessel functions can be plotted in the same way as trigonometric functions
and Legendre polynomials. In particular,  Options[Plot] lists all of the
options associated with  Plot together with their default values.  Changing
the default value of 25 of the option PlotPoints is useful for getting
accurate graphs;  for a complicated function such as BesselJ[5,x]
the number 25 should be increased to 40.  Thus, for example,  J5(x)
is nicely plotted with the Mathematica command
;[s]
18:0,0;117,1;131,2;173,3;177,4;262,5;272,6;348,7;360,8;423,9;424,10;425,11;426,12;427,13;428,14;429,15;456,16;467,17;476,-1;
18:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Times,66,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Plot[BesselJ[5,x],{x,-50,50},PlotPoints->40];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.009524 0.309017 0.786712 [
[(-40)] 0.11905 0.30902 0 2 Msboxa
[(-20)] 0.30952 0.30902 0 2 Msboxa
[(20)] 0.69048 0.30902 0 2 Msboxa
[(40)] 0.88095 0.30902 0 2 Msboxa
[(-0.3)] 0.4875 0.073 1 0 Msboxa
[(-0.2)] 0.4875 0.15167 1 0 Msboxa
[(-0.1)] 0.4875 0.23035 1 0 Msboxa
[(0.1)] 0.4875 0.38769 1 0 Msboxa
[(0.2)] 0.4875 0.46636 1 0 Msboxa
[(0.3)] 0.4875 0.54503 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.11905 0.30902 moveto
0.11905 0.31527 lineto
stroke
grestore
[(-40)] 0.11905 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.30952 0.30902 moveto
0.30952 0.31527 lineto
stroke
grestore
[(-20)] 0.30952 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.69048 0.30902 moveto
0.69048 0.31527 lineto
stroke
grestore
[(20)] 0.69048 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.88095 0.30902 moveto
0.88095 0.31527 lineto
stroke
grestore
[(40)] 0.88095 0.30902 0 2 Mshowa
gsave
0.001 setlinewidth
0.15714 0.30902 moveto
0.15714 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.19524 0.30902 moveto
0.19524 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.23333 0.30902 moveto
0.23333 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27143 0.30902 moveto
0.27143 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34762 0.30902 moveto
0.34762 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38571 0.30902 moveto
0.38571 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42381 0.30902 moveto
0.42381 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.4619 0.30902 moveto
0.4619 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5381 0.30902 moveto
0.5381 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.57619 0.30902 moveto
0.57619 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.61429 0.30902 moveto
0.61429 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.65238 0.30902 moveto
0.65238 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72857 0.30902 moveto
0.72857 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.76667 0.30902 moveto
0.76667 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.80476 0.30902 moveto
0.80476 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.84286 0.30902 moveto
0.84286 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.08095 0.30902 moveto
0.08095 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.04286 0.30902 moveto
0.04286 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.00476 0.30902 moveto
0.00476 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.91905 0.30902 moveto
0.91905 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.95714 0.30902 moveto
0.95714 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.99524 0.30902 moveto
0.99524 0.31277 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.073 moveto
0.50625 0.073 lineto
stroke
grestore
[(-0.3)] 0.4875 0.073 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.15167 moveto
0.50625 0.15167 lineto
stroke
grestore
[(-0.2)] 0.4875 0.15167 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.23035 moveto
0.50625 0.23035 lineto
stroke
grestore
[(-0.1)] 0.4875 0.23035 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.38769 moveto
0.50625 0.38769 lineto
stroke
grestore
[(0.1)] 0.4875 0.38769 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.46636 moveto
0.50625 0.46636 lineto
stroke
grestore
[(0.2)] 0.4875 0.46636 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.54503 moveto
0.50625 0.54503 lineto
stroke
grestore
[(0.3)] 0.4875 0.54503 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.08874 moveto
0.50375 0.08874 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.10447 moveto
0.50375 0.10447 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12021 moveto
0.50375 0.12021 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13594 moveto
0.50375 0.13594 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.16741 moveto
0.50375 0.16741 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18314 moveto
0.50375 0.18314 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.19888 moveto
0.50375 0.19888 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.21461 moveto
0.50375 0.21461 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24608 moveto
0.50375 0.24608 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26181 moveto
0.50375 0.26181 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.27755 moveto
0.50375 0.27755 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29328 moveto
0.50375 0.29328 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32475 moveto
0.50375 0.32475 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34049 moveto
0.50375 0.34049 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35622 moveto
0.50375 0.35622 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.37195 moveto
0.50375 0.37195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40342 moveto
0.50375 0.40342 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.41916 moveto
0.50375 0.41916 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43489 moveto
0.50375 0.43489 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45063 moveto
0.50375 0.45063 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48209 moveto
0.50375 0.48209 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49783 moveto
0.50375 0.49783 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.51356 moveto
0.50375 0.51356 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5293 moveto
0.50375 0.5293 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.05727 moveto
0.50375 0.05727 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04153 moveto
0.50375 0.04153 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0258 moveto
0.50375 0.0258 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.01007 moveto
0.50375 0.01007 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56076 moveto
0.50375 0.56076 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5765 moveto
0.50375 0.5765 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59223 moveto
0.50375 0.59223 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.60797 moveto
0.50375 0.60797 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.37306 moveto
0.02534 0.38217 lineto
0.02686 0.38946 lineto
0.02763 0.39236 lineto
0.02839 0.39473 lineto
0.02915 0.39656 lineto
0.02991 0.39784 lineto
0.03068 0.39855 lineto
0.03144 0.3987 lineto
0.0322 0.39828 lineto
0.03297 0.39728 lineto
0.03373 0.39573 lineto
0.03449 0.39362 lineto
0.03602 0.3878 lineto
0.03755 0.37996 lineto
0.03907 0.37029 lineto
0.04212 0.34646 lineto
0.04823 0.28976 lineto
0.05128 0.26257 lineto
0.05281 0.25051 lineto
0.05433 0.2399 lineto
0.05586 0.231 lineto
0.05662 0.22727 lineto
0.05739 0.22405 lineto
0.05815 0.22136 lineto
0.05891 0.21923 lineto
0.05968 0.21766 lineto
0.06044 0.21668 lineto
0.07265 0.27414 lineto
0.07875 0.33308 lineto
0.08181 0.36073 lineto
0.08333 0.37284 lineto
0.08486 0.38337 lineto
0.08639 0.39206 lineto
0.08715 0.39563 lineto
0.08791 0.39867 lineto
0.08868 0.40115 lineto
0.08944 0.40304 lineto
0.0902 0.40434 lineto
0.09096 0.40504 lineto
0.09173 0.40514 lineto
0.09249 0.40462 lineto
0.09325 0.4035 lineto
0.09402 0.40178 lineto
0.09478 0.39947 lineto
0.09554 0.39658 lineto
0.09707 0.38914 lineto
0.10012 0.36832 lineto
0.10317 0.34136 lineto
0.10928 0.28009 lineto
Mistroke
0.11233 0.2519 lineto
0.11386 0.23973 lineto
0.11538 0.22925 lineto
0.11691 0.22075 lineto
0.11767 0.21732 lineto
0.11844 0.21445 lineto
0.1192 0.21218 lineto
0.11996 0.21052 lineto
0.12073 0.20947 lineto
0.12149 0.20905 lineto
0.12225 0.20927 lineto
0.12302 0.21011 lineto
0.12378 0.21159 lineto
0.12454 0.21368 lineto
0.12607 0.21966 lineto
0.12759 0.22793 lineto
0.13065 0.25046 lineto
0.1337 0.27907 lineto
0.1398 0.34286 lineto
0.14286 0.37167 lineto
0.14438 0.38396 lineto
0.14591 0.39442 lineto
0.14744 0.40278 lineto
0.1482 0.40609 lineto
0.14896 0.4088 lineto
0.14973 0.41089 lineto
0.15049 0.41233 lineto
0.15125 0.41313 lineto
0.15201 0.41328 lineto
0.15278 0.41277 lineto
0.15354 0.4116 lineto
0.1543 0.40979 lineto
0.15507 0.40733 lineto
0.15659 0.40056 lineto
0.15812 0.39146 lineto
0.16117 0.36718 lineto
0.16422 0.33684 lineto
0.17033 0.27028 lineto
0.17338 0.2407 lineto
0.17491 0.2282 lineto
0.17643 0.21768 lineto
0.1772 0.21325 lineto
0.17796 0.20941 lineto
0.17872 0.20618 lineto
0.17949 0.2036 lineto
0.18025 0.20167 lineto
0.18101 0.20041 lineto
0.18178 0.19982 lineto
0.18254 0.19993 lineto
0.1833 0.20072 lineto
Mistroke
0.18407 0.20219 lineto
0.18483 0.20433 lineto
0.18559 0.20714 lineto
0.18712 0.21467 lineto
0.18864 0.22461 lineto
0.1917 0.25069 lineto
0.19475 0.28286 lineto
0.20085 0.35254 lineto
0.20391 0.38312 lineto
0.20543 0.39593 lineto
0.20696 0.40663 lineto
0.20849 0.41494 lineto
0.20925 0.41813 lineto
0.21001 0.42065 lineto
0.21078 0.42247 lineto
0.21154 0.42359 lineto
0.2123 0.424 lineto
0.21306 0.42369 lineto
0.21383 0.42266 lineto
0.21459 0.42092 lineto
0.21535 0.41848 lineto
0.21612 0.41535 lineto
0.21764 0.40708 lineto
0.21917 0.39633 lineto
0.23138 0.26099 lineto
0.23443 0.22906 lineto
0.23596 0.21576 lineto
0.23748 0.2047 lineto
0.23901 0.19617 lineto
0.23977 0.19293 lineto
0.24054 0.1904 lineto
0.2413 0.18859 lineto
0.24206 0.18753 lineto
0.24283 0.18722 lineto
0.24359 0.18766 lineto
0.24435 0.18886 lineto
0.24512 0.19081 lineto
0.24588 0.1935 lineto
0.24664 0.19691 lineto
0.24817 0.20583 lineto
0.24969 0.21735 lineto
0.25275 0.2471 lineto
0.2558 0.28334 lineto
0.2619 0.36095 lineto
0.26496 0.39472 lineto
0.26648 0.40879 lineto
0.26801 0.4205 lineto
0.26954 0.42954 lineto
0.2703 0.43299 lineto
0.27106 0.43568 lineto
Mistroke
0.27183 0.4376 lineto
0.27259 0.43874 lineto
0.27335 0.43908 lineto
0.27411 0.43863 lineto
0.27488 0.43737 lineto
0.27564 0.43533 lineto
0.2764 0.4325 lineto
0.27717 0.42891 lineto
0.27869 0.4195 lineto
0.28022 0.40732 lineto
0.28327 0.37581 lineto
0.28632 0.33734 lineto
0.29243 0.25445 lineto
0.29548 0.21806 lineto
0.29853 0.18994 lineto
0.30006 0.17992 lineto
0.30082 0.17604 lineto
0.30159 0.17295 lineto
0.30235 0.17067 lineto
0.30311 0.16922 lineto
0.30388 0.16861 lineto
0.30464 0.16885 lineto
0.3054 0.16994 lineto
0.30617 0.17187 lineto
0.30693 0.17464 lineto
0.30769 0.17824 lineto
0.30922 0.18781 lineto
0.31074 0.20038 lineto
0.3138 0.23334 lineto
0.31685 0.27411 lineto
0.32295 0.36355 lineto
0.32601 0.40375 lineto
0.32753 0.42096 lineto
0.32906 0.43566 lineto
0.33059 0.44748 lineto
0.33135 0.45222 lineto
0.33211 0.45613 lineto
0.33288 0.45918 lineto
0.33364 0.46137 lineto
0.3344 0.46266 lineto
0.33516 0.46306 lineto
0.33593 0.46255 lineto
0.33669 0.46113 lineto
0.33745 0.45881 lineto
0.33822 0.45559 lineto
0.33974 0.44656 lineto
0.34127 0.43421 lineto
0.34432 0.40069 lineto
0.34737 0.35794 lineto
0.35348 0.26055 lineto
Mistroke
0.35653 0.21475 lineto
0.35958 0.17661 lineto
0.36111 0.16156 lineto
0.36264 0.1497 lineto
0.3634 0.14506 lineto
0.36416 0.14132 lineto
0.36493 0.1385 lineto
0.36569 0.13663 lineto
0.36645 0.13572 lineto
0.36722 0.13578 lineto
0.36798 0.13681 lineto
0.36874 0.13881 lineto
0.37027 0.14569 lineto
0.37103 0.15054 lineto
0.37179 0.15629 lineto
0.3779 0.23076 lineto
0.384 0.33632 lineto
0.38706 0.39006 lineto
0.39011 0.4384 lineto
0.39316 0.47723 lineto
0.39469 0.49201 lineto
0.39545 0.49809 lineto
0.39621 0.50325 lineto
0.39698 0.50746 lineto
0.39774 0.51069 lineto
0.3985 0.51293 lineto
0.39927 0.51416 lineto
0.40003 0.51438 lineto
0.40079 0.51357 lineto
0.40156 0.51175 lineto
0.40232 0.50891 lineto
0.40308 0.50506 lineto
0.40385 0.50023 lineto
0.40537 0.48769 lineto
0.4069 0.47149 lineto
0.40842 0.45192 lineto
0.41453 0.34756 lineto
0.42063 0.22405 lineto
0.42369 0.1651 lineto
0.42674 0.11289 lineto
0.42979 0.07024 lineto
0.43132 0.05316 lineto
0.43284 0.03914 lineto
0.43437 0.02828 lineto
0.43513 0.02405 lineto
0.4359 0.02062 lineto
0.43666 0.01798 lineto
0.43742 0.01612 lineto
0.43819 0.01504 lineto
0.43895 0.01472 lineto
Mistroke
0.43971 0.01513 lineto
0.44048 0.01627 lineto
0.44124 0.0181 lineto
0.442 0.0206 lineto
0.44353 0.02749 lineto
0.44505 0.03669 lineto
0.44811 0.06085 lineto
0.45116 0.09065 lineto
0.45726 0.15716 lineto
0.46337 0.2187 lineto
0.46642 0.24391 lineto
0.46947 0.26448 lineto
0.47253 0.28035 lineto
0.47558 0.29185 lineto
0.47711 0.29615 lineto
0.47863 0.2996 lineto
0.48016 0.30232 lineto
0.48168 0.30441 lineto
0.48321 0.30596 lineto
0.48474 0.30707 lineto
0.4855 0.3075 lineto
0.48626 0.30785 lineto
0.48703 0.30813 lineto
0.48779 0.30835 lineto
0.48855 0.30853 lineto
0.48932 0.30867 lineto
0.49008 0.30878 lineto
0.49084 0.30885 lineto
0.49161 0.30891 lineto
0.49237 0.30895 lineto
0.49313 0.30898 lineto
0.49389 0.309 lineto
0.49466 0.30901 lineto
0.49542 0.30901 lineto
0.49618 0.30901 lineto
0.49695 0.30902 lineto
0.5 0.30902 lineto
0.50076 0.30902 lineto
0.50153 0.30902 lineto
0.50229 0.30902 lineto
0.50305 0.30902 lineto
0.50382 0.30902 lineto
0.50458 0.30902 lineto
0.50534 0.30903 lineto
0.50611 0.30904 lineto
0.50687 0.30906 lineto
0.50763 0.30908 lineto
0.50839 0.30912 lineto
0.50916 0.30918 lineto
0.50992 0.30926 lineto
Mistroke
0.51068 0.30936 lineto
0.51145 0.3095 lineto
0.51221 0.30968 lineto
0.51374 0.31019 lineto
0.5145 0.31054 lineto
0.51526 0.31096 lineto
0.51679 0.31208 lineto
0.51832 0.31363 lineto
0.51984 0.31571 lineto
0.52137 0.31843 lineto
0.52289 0.32189 lineto
0.52442 0.32619 lineto
0.52747 0.33768 lineto
0.53053 0.35355 lineto
0.53358 0.37412 lineto
0.53663 0.39933 lineto
0.54274 0.46087 lineto
0.54884 0.52739 lineto
0.55189 0.55718 lineto
0.55495 0.58135 lineto
0.55647 0.59054 lineto
0.55723 0.59429 lineto
0.558 0.59743 lineto
0.55876 0.59994 lineto
0.55952 0.60177 lineto
0.56029 0.6029 lineto
0.56105 0.60332 lineto
0.56181 0.603 lineto
0.56258 0.60191 lineto
0.56334 0.60006 lineto
0.5641 0.59742 lineto
0.56563 0.58975 lineto
0.56716 0.57889 lineto
0.56868 0.56487 lineto
0.57021 0.54779 lineto
0.57326 0.50515 lineto
0.57937 0.39399 lineto
0.58547 0.27047 lineto
0.58852 0.21394 lineto
0.59158 0.16612 lineto
0.5931 0.14655 lineto
0.59463 0.13035 lineto
0.59539 0.1236 lineto
0.59615 0.1178 lineto
0.59692 0.11297 lineto
0.59768 0.10913 lineto
0.59844 0.10628 lineto
0.59921 0.10446 lineto
0.59997 0.10365 lineto
0.60073 0.10387 lineto
Mistroke
0.6015 0.1051 lineto
0.60226 0.10734 lineto
0.60302 0.11058 lineto
0.60379 0.11479 lineto
0.60989 0.17964 lineto
0.6221 0.38727 lineto
0.62515 0.43025 lineto
0.62668 0.44761 lineto
0.62821 0.46174 lineto
0.62897 0.4675 lineto
0.62973 0.47234 lineto
0.63049 0.47626 lineto
0.63126 0.47922 lineto
0.63202 0.48122 lineto
0.63278 0.48225 lineto
0.63355 0.48231 lineto
0.63431 0.4814 lineto
0.64652 0.35748 lineto
0.65263 0.26009 lineto
0.65568 0.21735 lineto
0.6572 0.19923 lineto
0.65873 0.18382 lineto
0.66026 0.17147 lineto
0.66102 0.16653 lineto
0.66178 0.16244 lineto
0.66255 0.15923 lineto
0.66331 0.15691 lineto
0.66407 0.15549 lineto
0.66484 0.15498 lineto
0.6656 0.15537 lineto
0.66636 0.15667 lineto
0.66712 0.15885 lineto
0.66789 0.16191 lineto
0.66941 0.17056 lineto
0.67094 0.18238 lineto
0.67399 0.21428 lineto
0.67705 0.25449 lineto
0.68315 0.34392 lineto
0.6862 0.38469 lineto
0.68926 0.41765 lineto
0.69078 0.43023 lineto
0.69154 0.4354 lineto
0.69231 0.4398 lineto
0.69307 0.44339 lineto
0.69383 0.44616 lineto
0.6946 0.44809 lineto
0.69536 0.44918 lineto
0.69612 0.44942 lineto
0.69689 0.44881 lineto
0.69765 0.44737 lineto
Mistroke
0.69841 0.44509 lineto
0.69918 0.442 lineto
0.69994 0.43812 lineto
0.70147 0.42809 lineto
0.70452 0.39998 lineto
0.70757 0.36358 lineto
0.71368 0.2807 lineto
0.71673 0.24222 lineto
0.71825 0.22539 lineto
0.71978 0.21071 lineto
0.72131 0.19853 lineto
0.72207 0.19347 lineto
0.72283 0.18912 lineto
0.7236 0.18553 lineto
0.72436 0.1827 lineto
0.72512 0.18066 lineto
0.72589 0.17941 lineto
0.72665 0.17895 lineto
0.72741 0.1793 lineto
0.72817 0.18043 lineto
0.72894 0.18236 lineto
0.7297 0.18505 lineto
0.73046 0.18849 lineto
0.73199 0.19753 lineto
0.73352 0.20924 lineto
0.73504 0.22332 lineto
0.7381 0.25709 lineto
0.7442 0.3347 lineto
0.74725 0.37093 lineto
0.74878 0.38681 lineto
0.75031 0.40068 lineto
0.75183 0.41221 lineto
0.75259 0.41701 lineto
0.75336 0.42112 lineto
0.75412 0.42454 lineto
0.75488 0.42722 lineto
0.75565 0.42917 lineto
0.75641 0.43037 lineto
0.75717 0.43081 lineto
0.75794 0.4305 lineto
0.7587 0.42944 lineto
0.75946 0.42764 lineto
0.76023 0.42511 lineto
0.76099 0.42186 lineto
0.76252 0.41333 lineto
0.76404 0.40227 lineto
0.76557 0.38897 lineto
0.76862 0.35705 lineto
0.77473 0.28375 lineto
0.77778 0.24962 lineto
Mistroke
0.7793 0.2347 lineto
0.78083 0.22171 lineto
0.78236 0.21095 lineto
0.78312 0.20649 lineto
0.78388 0.20269 lineto
0.78465 0.19955 lineto
0.78541 0.19711 lineto
0.78617 0.19537 lineto
0.78694 0.19434 lineto
0.7877 0.19403 lineto
0.78846 0.19444 lineto
0.78922 0.19556 lineto
0.78999 0.19739 lineto
0.79075 0.1999 lineto
0.79151 0.20309 lineto
0.79304 0.2114 lineto
0.79609 0.23491 lineto
0.79915 0.26549 lineto
0.80525 0.33517 lineto
0.8083 0.36734 lineto
0.80983 0.38132 lineto
0.81136 0.39342 lineto
0.81288 0.40336 lineto
0.81364 0.40744 lineto
0.81441 0.4109 lineto
0.81517 0.4137 lineto
0.81593 0.41585 lineto
0.8167 0.41732 lineto
0.81746 0.41811 lineto
0.81822 0.41821 lineto
0.81899 0.41763 lineto
0.81975 0.41637 lineto
0.82051 0.41444 lineto
0.82128 0.41185 lineto
0.82204 0.40863 lineto
0.82357 0.40035 lineto
0.82662 0.37734 lineto
0.82967 0.34776 lineto
0.83578 0.2812 lineto
0.83883 0.25086 lineto
0.84035 0.23779 lineto
0.84188 0.22657 lineto
0.84341 0.21747 lineto
0.84417 0.21378 lineto
0.84493 0.2107 lineto
0.8457 0.20825 lineto
0.84646 0.20643 lineto
0.84722 0.20527 lineto
0.84799 0.20475 lineto
0.84875 0.2049 lineto
Mistroke
0.84951 0.2057 lineto
0.85027 0.20715 lineto
0.85104 0.20923 lineto
0.85256 0.21526 lineto
0.85409 0.22361 lineto
0.8663 0.33897 lineto
0.86935 0.36758 lineto
0.87088 0.37975 lineto
0.87241 0.3901 lineto
0.87393 0.39837 lineto
0.87469 0.40166 lineto
0.87546 0.40436 lineto
0.87622 0.40645 lineto
0.87698 0.40792 lineto
0.87775 0.40877 lineto
0.87851 0.40898 lineto
0.87927 0.40856 lineto
0.88004 0.40752 lineto
0.8808 0.40585 lineto
0.88156 0.40358 lineto
0.88309 0.39728 lineto
0.88462 0.38878 lineto
0.88767 0.36613 lineto
0.89072 0.33795 lineto
0.89683 0.27667 lineto
0.89988 0.24972 lineto
0.9014 0.23839 lineto
0.90293 0.2289 lineto
0.90369 0.22491 lineto
0.90446 0.22146 lineto
0.90522 0.21857 lineto
0.90598 0.21625 lineto
0.90675 0.21453 lineto
0.90751 0.21341 lineto
0.90827 0.2129 lineto
0.90904 0.21299 lineto
0.9098 0.21369 lineto
0.91056 0.21499 lineto
0.91132 0.21689 lineto
0.91209 0.21936 lineto
0.91361 0.22598 lineto
0.91514 0.23467 lineto
0.91819 0.2573 lineto
0.92125 0.28496 lineto
0.92735 0.34389 lineto
0.9304 0.36926 lineto
0.93193 0.37974 lineto
0.93346 0.3884 lineto
0.93422 0.39198 lineto
0.93498 0.39503 lineto
Mistroke
0.93574 0.39752 lineto
0.93651 0.39946 lineto
0.93727 0.40081 lineto
0.93803 0.40158 lineto
0.9388 0.40176 lineto
0.93956 0.40136 lineto
0.94032 0.40037 lineto
0.94109 0.3988 lineto
0.94185 0.39667 lineto
0.94261 0.39399 lineto
0.94414 0.38704 lineto
0.94567 0.37814 lineto
0.95177 0.32828 lineto
0.95788 0.27157 lineto
0.96093 0.24775 lineto
0.96245 0.23808 lineto
0.96398 0.23023 lineto
0.96474 0.22706 lineto
0.96551 0.22441 lineto
0.96627 0.2223 lineto
0.96703 0.22075 lineto
0.9678 0.21976 lineto
0.96856 0.21934 lineto
0.96932 0.21948 lineto
0.97009 0.2202 lineto
0.97085 0.22147 lineto
0.97161 0.2233 lineto
0.97314 0.22857 lineto
0.97466 0.23586 lineto
0.97619 0.24498 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; preserveAspect; ]
The graphing facilities of Mathematica can be used very effectively to find
the zeros of Bessel functions.  Let us find the first zero of  J1(x), that is,
the first number
;[s]
8:0,0;27,1;38,2;139,3;140,4;141,5;142,6;143,7;172,-1;
8:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Times,66,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 0; pictureWidth = 243; pictureHeight = 20; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.082305
200 dict begin
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0 1 0 1 [
[ 0 0 0 0 ]
[ 243 20 0 0 ]
] MathScale
% Start of Graphics
%!PS-Adobe-2.0 EPSF-2.0
%%Title: 
%%Creator: EquationBuilder
%%CreationDate: Mon Aug  3 12:32:14 1992
%%For: gray
%%DocumentFonts: (atend)
%%Pages: 0 1
%%BoundingBox: 0 0 243 20
%%Translation: 1 5.203605 241.787338 0
%%EndComments

%%BeginDocument: /usr/lib/NextStep/printPackage.ps
%!PS-Adobe-2.0
%%Title: Printing Package
%%EndComments
%Version: 2.0
%Copyright: 1988, NeXT, Inc.

/__NXdef{1 index where{pop pop pop}{def}ifelse}bind def
/__NXbdef{1 index where{pop pop pop}{bind def}ifelse}bind def
/UserObjects 10 array __NXdef
/defineuserobject{
	exch dup 1 add dup UserObjects length gt{
		array dup 0 UserObjects putinterval
		/UserObjects exch def
	}{pop}ifelse UserObjects exch 3 -1 roll put
}__NXbdef
/undefineuserobject{UserObjects exch null put}__NXbdef
/execuserobject{UserObjects exch get exec}__NXbdef
/__NXRectPath{4 2 roll moveto 1 index 0 rlineto
0 exch rlineto neg 0 rlineto closepath}__NXbdef
/__NXProcessRectArgs{
	1 index type /arraytype eq{
		exch 0 4 2 index length 1 sub{
			dup 3 add 1 exch{1 index exch get exch}for
			5 1 roll 5 index exec
		}for pop pop
	}{exec}ifelse
}__NXbdef
/rectfill{gsave newpath {__NXRectPath fill} __NXProcessRectArgs grestore}__NXbdef
/rectclip{newpath {__NXRectPath} __NXProcessRectArgs clip newpath}__NXbdef
/rectstroke{
	gsave newpath dup type /arraytype eq{dup length 6 eq}{false}ifelse{
		{gsave __NXRectPath null concat stroke grestore}
		dup length array cvx copy dup 2 4 -1 roll put __NXProcessRectArgs
	}{{__NXRectPath stroke} __NXProcessRectArgs}ifelse grestore
}__NXbdef
/xyshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		3 index 3 index 2 mul 1 add get add exch
		3 index	3 index 2 mul get add exch moveto pop
	}for pop pop
}__NXbdef
/xshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		exch 3 index 3 index get add exch moveto pop
	}for pop pop
}__NXbdef
/yshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		3 index 3 index get add moveto pop
	}for pop pop
}__NXbdef
/arct{arcto pop pop pop pop}__NXbdef
/setbbox{pop pop pop pop}__NXbdef
/ucache{}__NXbdef
/ucachestatus{mark 0 0 0 0 0}__NXbdef
/setucacheparams{cleartomark}__NXbdef
/uappend{systemdict begin cvx exec end}__NXbdef
/ueofill{gsave newpath uappend eofill grestore}__NXbdef
/ufill{gsave newpath uappend fill grestore}__NXbdef
/ustroke{
	gsave newpath dup length 6 eq
	{exch uappend concat}{uappend}ifelse
	stroke grestore
}__NXbdef
/__NXustrokepathMatrix dup where {pop pop}{matrix def}ifelse
/ustrokepath{
	newpath dup length 6 eq{
		exch uappend __NXustrokepathMatrix currentmatrix exch concat
		strokepath setmatrix
	}{uappend strokepath}ifelse
} __NXbdef
/upath{
	[exch {/ucache cvx}if pathbbox /setbbox cvx
	 {/moveto cvx}{/lineto cvx}{/curveto cvx}{/closepath cvx}pathforall]cvx
} __NXbdef
/setstrokeadjust{pop}__NXbdef
/currentstrokeadjust{false}__NXbdef
/selectfont{exch findfont exch
dup type /arraytype eq {makefont}{scalefont}ifelse setfont}__NXbdef
/_NXCombineArrays{
	counttomark dup 2 add index dup length 3 -1 roll {
		2 index length sub dup 4 1 roll 1 index exch 4 -1 roll putinterval exch
	}repeat pop pop pop
}__NXbdef
/setcmykcolor{
	1.0 exch sub dup dup 6 -1 roll
	sub dup 0 lt{pop 0}if 5 1 roll
	4 -1 roll sub dup 0 lt{pop 0}if 3 1 roll
	exch sub dup 0 lt{pop 0}if setrgbcolor
}__NXbdef
/currentcmykcolor{currentrgbcolor 3{1.0 exch sub 3 1 roll}repeat 0}__NXbdef
/flushgraphics{}def
/setwindowtype{pop pop}def
/currentwindowtype{pop 0}def
/setalpha{pop}def
/currentalpha{1.0}def
/hidecursor{}def
/obscurecursor{}def
/revealcursor{}def
/setcursor{4 {pop}repeat}bind def
/showcursor{}def
/NextStepEncoding where not{
/NextStepEncoding StandardEncoding 256 array copy def
0 [129/Agrave/Aacute/Acircumflex/Atilde/Adieresis/Aring/Ccedilla/Egrave
/Eacute/Ecircumflex/Edieresis/Igrave/Iacute/Icircumflex/Idieresis
/Eth/Ntilde/Ograve/Oacute/Ocircumflex/Otilde/Odieresis/Ugrave/Uacute
/Ucircumflex/Udieresis/Yacute/Thorn/mu/multiply/divide/copyright
176/registered 181/brokenbar 190/logicalnot 192/onesuperior 201/twosuperior
204/threesuperior 209/plusminus/onequarter/onehalf/threequarters/agrave
/aacute/acircumflex/atilde/adieresis/aring/ccedilla/egrave/eacute
/ecircumflex/edieresis/igrave 226/iacute 228/icircumflex/idieresis/eth
/ntilde 236/ograve/oacute/ocircumflex/otilde/odieresis 242/ugrave/uacute
/ucircumflex 246/udieresis/yacute 252/thorn/ydieresis]
{dup type /nametype eq
 {NextStepEncoding 2 index 2 index put pop 1 add}{exch pop}ifelse
}forall pop
/NextStepEncoding NextStepEncoding readonly def   
/_NXfstr 128 string dup 0 (_NX) putinterval def   
/findfont{
 % Because we can never let NextStepEncoding get into
 % SharedFontDirectory, we cannot reencode a font to NextStepEncoding
 % if we are in shared mode.  So if currentshared is true,
 % we call the normal findfont and return that
 /currentshared where {pop currentshared} {false} ifelse
 {//findfont exec}
 {dup _NXfstr 3 125 getinterval cvs length 3 add _NXfstr 0 3 -1 roll
  getinterval cvn exch FontDirectory 2 index known 
  {pop FontDirectory exch get}
  {//findfont exec dup /Encoding get StandardEncoding eq
   {	dup length dict exch
	{1 index /FID ne {2 index 3 1 roll put}{pop pop}ifelse}forall
	 dup /Encoding NextStepEncoding put definefont
	}{exch pop} ifelse
   }ifelse
 }ifelse
}bind def
}{pop}ifelse
/_NXProcArray 5 array __NXdef
/_NXChannels 0 __NXdef
/_NXTotalBytes 0 __NXdef
/_NXDoImageOp{
	1 index{dup}{1}ifelse /_NXChannels exch store
	_NXChannels 2 add 2 roll _NXProcArray 0 _NXChannels getinterval astore pop
	5 index 4 index mul 2 index{1 sub 8 idiv 1 add mul}{mul 1 sub 8 idiv 1 add}ifelse
	4 index mul /_NXTotalBytes exch store pop exch pop
	gsave matrix invertmatrix concat 0.5 setgray 0 0 4 2 roll rectfill grestore
	{	0 1 _NXChannels 1 sub{
			_NXProcArray exch get exec
			length _NXTotalBytes exch sub /_NXTotalBytes exch store}for
		_NXTotalBytes 0 le{exit}if
	}loop /_NXProcArray 5 array def
}__NXbdef
/colorimage{_NXDoImageOp}__NXbdef
/alphaimage{1 add _NXDoImageOp}def
%%EndDocument

% EquationBuilder(TM) Expression
% +.\Jr(=:/*V[StRFQAYmdjEEA;1nuN+[co.OZ7L#cq3iK%3:</XJ@:d#6;^G;Td47dud<A3@
% 5%MGToUOR5&d`'TuEDU)B-tbR".R+:s'K'JKOf0M'9TV$2,7,X_XRS2ihA"VLe`-6WLgVDQ[
% K-Oh*sQ3\5X&jqDA/d.K[>m^Q5J[c;a)NmMYCQg\nDUo-lO_PFgDq`RC,cPeD^''h!5o:_]J
% 2B%2DQ*X=8=.%!T#`(=`_@:1Gn)4!ZcR26^7@LuTXn]hkIq;#jCohCY\M,lLS-[+S$ca%YX&
% :D6qDjTV4[lp1)W=\`;h#U?,sjQ@KRfcfVE5FL<e!%XW&K4'KZ<^(q2po5*^N+.Ho1\BLem^
% @LPVYg]p)de"+?JF9i3d^k)Y<#f$t$JDq])&d".]$=-1.iDRnAVd=cPi`@6Gr"6dQJ-$@^+"
% WS.+pi\#.+]I_#tt@i(h8e]SnfIGR,<@cbeW!b4L-?0O!CA3jH)gMAtOnUOglY[6oOb-O\ZJ
% ^UQe)Cg#S8l!nh.MP$I6^Lfu,c-(/@sR:_[UG3NG'4[LM]P1jp(iKm]!E[RCU"]372<n9:hT
% DJdQ#,--JM5Hni?AA`KKfYYHU0LUMka@d;.4:aK@Tm5/F>2E\T;$'*MlDFt$KuV@Y\L/.OiF
% -[WM+WaCTF24$#6AWqH>>G@:nfdY\pHhk,u&)\a6Sj-G*iZbS'6CZ(HD(^aOl[BgA`JC6o9K
% W&XLQOTDQ3X^_ci)sN3?rWiOV!D'_.!"Ip\iIhdM@NgIEG.$,:NLajeZ6X/i09Z0/+:/+4Zn
% $]dTV]S]7NAs9gaKp(=$WPnq*=J?\2'T<FYHcFXfg$:>V*97],U+(*FB11Rkd3dF0c.i9JWf
% 6as-/fWF"c-d)d%D&K*(m3N]O53mI6@#<tp=Z;T$(FM(Q(h"-c`,.fGCP!"kJ_Ug4k@ff*+!
% QRGE4(^Cs+2=i:^iRe,ot)W,ab;!;85b-e>#8HVZKVu7[No0)2tibLS6b-a,WZ]$]'@RTL?&
% ^9mAq5ug<6/&&,*&B^].moaG+qDcFJe'/*hp8@S!db)_uH9T,XIS3'+gMn!gnCauCRTEu0(,
% pW4$?0XB<h&lQp(-6)h<cd>8D6L6r1!QmWRiAO(EEm4'.*'6'e'@3E@PmJiEW3sZBI5$b5!W
% =T8`HWl?+@TaJE'o*tYeN*g:C)Io6PASo#4[YG57/gs!>>`r5i@QB5l^rjJT(ns]HRWO!!"D
% E@0ci5x
% EndExpression N 982 3d6 E fd S 1b713 R e9ce61fb
gsave
 /__NXbasematrix matrix currentmatrix def
grestore
%%EndProlog
%%BeginSetup
/EqBFont 18 dict dup begin /FontType 3 def /PaintType 0 def /FontMatrix [0.001 0 0 0.001 0 0] def /FontBBox [15 -2950 1360 1045] def /Encoding [/.notdef /rad1 /rad2 /rad3 /rad4 /rad5 /radext /int /pathint /sum /prod /cdot /vdot /ddot /hbar /bigcap /bigcup /parallel] def /Metrics 18 dict dup begin /.notdef 0 def /rad1 1000 def /rad2 1000 def /rad3 1000 def /rad4 1000 def /rad5 1048 def /radext 1048 def /int 500 def /pathint 500 def /sum 700 def /prod 700 def /cdot 1000 def /vdot 550 def /ddot 1000 def /hbar 500 def /bigcap 700 def /bigcup 700 def /parallel 500 def end def /BBox 18 dict dup begin /.notdef [0 0 0 0] def /rad1 [110 -1150 1020 0] def /rad2 [110 -1750 1020 0] def /rad3 [110 -2350 1020 0] def /rad4 [110 -2950 1020 0] def /rad5 [128 -2890 740 0] def /radext [700 -600 740 0] def /int [20 0 425 1045] def /pathint [20 0 425 1045] def /sum [15 5 640 715] def /prod [15 0 670 715] def /cdot [110 215 890 325] def /vdot [165 -5 280 770] def /ddot [110 -5 890 770] def /hbar [20 -10 480 685] def /bigcap [0 0 680 720] def /bigcup [0 0 680 720] def /parallel [65 -175 400 675] def end def /CharacterDefs 18 dict dup begin /.notdef {
    
} def /rad1 {
    980 0 moveto 464 -1048 lineto 248 -560 lineto 110 -656 lineto 125 -675 lineto 200 -624 lineto 420 -1150 lineto 460 -1150 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad2 {
    980 0 moveto 460 -1600 lineto 245 -864 lineto 110 -1000 lineto 128 -1023 lineto 200 -950 lineto 424 -1750 lineto 456 -1750 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad3 {
    980 0 moveto 464 -2144 lineto 248 -1160 lineto 110 -1368 lineto 130 -1390 lineto 192 -1288 lineto 424 -2350 lineto 464 -2350 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad4 {
    980 0 moveto 880 -488 lineto 672 -1600 lineto 464 -2696 lineto 248 -1464 lineto 110 -1728 lineto 130 -1750 lineto 192 -1616 lineto 424 -2950 lineto 464 -2950 lineto 768 -1312 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad5 {
    700 0 moveto 700 -2628 lineto 248 -1284 lineto 128 -1564 lineto 150 -1580 lineto 215 -1425 lineto 688 -2890 lineto 740 -2890 lineto 740 0 lineto 700 0 lineto closepath
} def /radext {
    700 0 moveto 700 -600 lineto 740 -600 lineto 740 0 lineto 700 0 lineto closepath
} def /int {
    245 390 moveto 225 235 195 145 180 100 curveto 165 60 150 50 140 40 curveto 135 30 85 0 50 20 curveto 35 25 25 45 25 55 curveto 20 80 30 100 55 110 curveto 80 125 93 110 110 90 curveto 135 60 155 135 160 195 curveto 165 270 170 340 190 510 curveto 205 650 lineto 220 810 230 890 265 960 curveto 275 980 295 1015 320 1030 curveto 350 1045 380 1030 395 1020 curveto 410 1010 425 980 400 955 curveto 385 940 347 925 330 950 curveto 310 970 290 955 290 940 curveto 280 900 285 745 270 610 curveto 245 390 lineto closepath
} def /pathint {
    245 390 moveto 225 235 195 145 180 100 curveto 165 60 150 50 140 40 curveto 135 30 85 0 50 20 curveto 35 25 25 45 25 55 curveto 20 80 30 100 55 110 curveto 80 125 93 110 110 90 curveto 135 60 155 135 160 195 curveto 165 270 170 340 190 510 curveto 205 650 lineto 220 810 230 890 265 960 curveto 275 980 295 1015 320 1030 curveto 350 1045 380 1030 395 1020 curveto 410 1010 425 980 400 955 curveto 385 940 347 925 330 950 curveto 310 970 290 955 290 940 curveto 280 900 285 745 270 610 curveto 245 390 lineto fill 20 setlinewidth 220 400 moveto 290 400 340 455 340 500 curveto 340 585 290 640 220 640 curveto 155 640 100 585 100 500 curveto 100 455 155 400 220 400 curveto stroke
} def /sum {
    330 335 moveto 20 715 lineto 575 715 lineto 600 545 lineto 575 535 lineto 550 625 525 685 395 685 curveto 160 685 lineto 411 370 lineto 160 90 lineto 470 90 lineto 565 90 590 140 610 210 curveto 640 200 lineto 585 5 lineto 15 5 lineto 330 335 lineto closepath
} def /prod {
    590 90 moveto 590 30 620 20 670 20 curveto 670 0 lineto 410 0 lineto 410 20 lineto 460 20 495 30 495 90 curveto 495 670 lineto 190 670 lineto 190 90 lineto 190 30 225 20 275 20 curveto 275 0 lineto 15 0 lineto 15 20 lineto 65 20 100 30 100 90 curveto 100 615 lineto 100 690 40 700 20 700 curveto 20 715 lineto 670 715 lineto 670 700 lineto 645 700 590 690 590 615 curveto 590 90 lineto closepath
} def /cdot {
    110 270 moveto 110 300 135 325 165 325 curveto 195 325 220 300 220 270 curveto 220 235 185 215 165 215 curveto 145 215 110 235 110 270 curveto fill 445 270 moveto 445 300 470 325 500 325 curveto 530 325 555 300 555 270 curveto 555 235 520 215 500 215 curveto 480 215 445 235 445 270 curveto fill 775 270 moveto 775 300 800 325 830 325 curveto 860 325 890 300 890 270 curveto 890 235 850 215 830 215 curveto 810 215 775 235 775 270 curveto fill
} def /vdot {
    220 770 moveto 250 770 280 750 280 720 curveto 280 680 250 660 220 660 curveto 185 660 165 695 165 720 curveto 165 740 185 770 220 770 curveto fill 220 440 moveto 250 440 280 415 280 385 curveto 280 355 250 330 220 330 curveto 185 330 165 365 165 385 curveto 165 405 185 440 220 440 curveto fill 220 105 moveto 250 105 280 80 280 50 curveto 280 20 250 -5 220 -5 curveto 185 -5 165 30 165 50 curveto 165 70 185 105 220 105 curveto fill
} def /ddot {
    165 720 moveto 205 720 220 700 220 665 curveto 220 630 195 610 165 610 curveto 130 620 110 645 110 665 curveto 110 690 130 720 165 720 curveto fill 500 440 moveto 530 440 555 415 555 385 curveto 555 355 530 330 500 330 curveto 465 330 445 365 445 385 curveto 445 405 465 440 500 440 curveto fill 830 155 moveto 860 155 890 130 890 100 curveto 890 70 860 45 830 45 curveto 795 45 775 80 775 100 curveto 775 120 795 155 830 155 curveto fill
} def /hbar {
    480 105 moveto 440 55 400 -10 335 -10 curveto 300 -10 290 10 290 35 curveto 290 65 370 350 370 365 curveto 370 380 355 390 340 390 curveto 290 390 205 275 185 250 curveto 140 180 125 125 95 0 curveto 20 0 lineto 150 500 lineto 160 545 180 600 180 615 curveto 180 625 170 640 135 640 curveto 110 640 lineto 100 655 lineto 165 660 215 670 270 685 curveto 275 680 lineto 155 240 lineto 155 235 lineto 190 290 290 440 380 440 curveto 400 440 450 435 450 370 curveto 450 335 365 80 365 55 curveto 365 45 375 40 385 40 curveto 405 40 425 70 465 115 curveto 480 105 lineto fill 55 545 moveto 55 520 lineto 310 560 lineto 310 585 lineto 55 545 lineto fill
} def /bigcap {
    615 400 moveto 615 575 500 655 340 655 curveto 180 655 70 575 70 400 curveto 70 0 lineto 5 0 lineto 5 400 lineto 5 610 140 720 340 720 curveto 545 720 680 610 680 400 curveto 680 0 lineto 615 0 lineto 615 400 lineto closepath
} def /bigcup {
    65 320 moveto 65 145 180 65 340 65 curveto 500 65 615 145 615 320 curveto 615 720 lineto 680 720 lineto 680 320 lineto 680 110 540 0 340 0 curveto 140 0 0 110 0 320 curveto 0 720 lineto 65 720 lineto 65 320 lineto closepath
} def /parallel {
    135 675 moveto 135 -175 lineto 65 -175 lineto 65 675 lineto 135 675 lineto fill 335 675 moveto 335 -175 lineto 265 -175 lineto 265 675 lineto 335 675 lineto fill 400 675 moveto
} def end def /BuildChar {
    0 begin /char exch def /fontdict exch def /charname fontdict /Encoding get char get def fontdict begin Metrics charname get 0 BBox charname get aload pop setcachedevice CharacterDefs charname get exec eofill end end
} def /BuildChar load 0 3 dict put end definefont pop
%%EndSetup
0 0 242.787338 19.308605 rectclip
0 0 242.787338 19.308605 rectclip
0 setgray
1 setalpha
1 1 scale
/Symbol findfont 9 scalefont
46
exch
defineuserobject
46 execuserobject setfont
7.423 12.247104 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
46 execuserobject setfont
16.153 12.242603 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1 scale
46 execuserobject setfont
101.165001 12.247104 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
46 execuserobject setfont
109.895004 12.242603 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1 scale
46 execuserobject setfont
198.845673 12.247104 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
46 execuserobject setfont
207.575668 12.242603 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1.582485 scale
/Symbol findfont 12 scalefont
44
exch
defineuserobject
44 execuserobject setfont
187.622665 2.923917 moveto
(\() [0 0] xyshow
1 0.631917 scale
1 1.580656 scale
44 execuserobject setfont
213.008667 2.924649 moveto
(\)) [0 0] xyshow
1 0.632649 scale
0 setgray
1 setalpha
/Times-BoldItalic findfont 12 scalefont
48
exch
defineuserobject
48 execuserobject setfont
238.787338 6.203605 moveto
(.xJxx) [-46.36467 0 -17.352005 0 -80.328659 0 -93.742004 0 0 0 0 0] xyshow
46 execuserobject setfont
62.230675 18.908699 moveto
() [0 0] xyshow
/Times-Roman findfont 9 scalefont
45
exch
defineuserobject
45 execuserobject setfont
198.422668 2.519604 moveto
(1111111) [4.022995 9.6465 -21.087006 -7.762475 -80.616653 -1.884025 4.023003 9.6465 -97.765007 -9.6465 4.023001 9.6465 0 0 0 0] xyshow
/Times-Roman findfont 12 scalefont
52
exch
defineuserobject
52 execuserobject setfont
230.787338 6.203605 moveto
(0dna0tahthcus) [-73.716675 0 -6 0 -5.327988 0 -18.000008 0 -52.33667 0 -5.327995 0 -6 0 -3.336002 0 -10 0 -5.327999 0 -6 0 -4.667999 0 0 0 0 1.401298e-45] xyshow
44 execuserobject setfont
220.865997 6.203605 moveto
(=>) [-103.044662 0 0 0 0 0] xyshow
%%Trailer
%%DocumentFonts: Times-BoldItalic
%%+ Times-Roman
%%+ Symbol

%End of Graphics
MathPictureEnd
end

:[font = text; inactive; preserveAspect; ]
To do this we draw successive graphs of  that narrow in on  the zero.   We
shall find  the zero correct to 4 decimal places.   First we define a plot-valued
function  jj  by
;[s]
3:0,0;167,1;170,2;174,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; pageBreakBelow; dontNoPageBreakBelow; preserveAspect; ]
jj[a_,b_]:=Plot[BesselJ[1,x],{x,a,b}]
:[font = text; inactive; preserveAspect; ]
Then  jj[0,5]  gives us the first graph:
;[s]
3:0,0;6,1;14,2;40,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup; ]
jj[0,5];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.190476 0.226728 0.647213 [
[(1)] 0.21429 0.22673 0 2 Msboxa
[(2)] 0.40476 0.22673 0 2 Msboxa
[(3)] 0.59524 0.22673 0 2 Msboxa
[(4)] 0.78571 0.22673 0 2 Msboxa
[(5)] 0.97619 0.22673 0 2 Msboxa
[(-0.2)] 0.01131 0.09729 1 0 Msboxa
[(0.2)] 0.01131 0.35617 1 0 Msboxa
[(0.4)] 0.01131 0.48561 1 0 Msboxa
[(0.6)] 0.01131 0.61506 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.21429 0.22673 moveto
0.21429 0.23298 lineto
stroke
grestore
[(1)] 0.21429 0.22673 0 2 Mshowa
gsave
0.002 setlinewidth
0.40476 0.22673 moveto
0.40476 0.23298 lineto
stroke
grestore
[(2)] 0.40476 0.22673 0 2 Mshowa
gsave
0.002 setlinewidth
0.59524 0.22673 moveto
0.59524 0.23298 lineto
stroke
grestore
[(3)] 0.59524 0.22673 0 2 Mshowa
gsave
0.002 setlinewidth
0.78571 0.22673 moveto
0.78571 0.23298 lineto
stroke
grestore
[(4)] 0.78571 0.22673 0 2 Mshowa
gsave
0.002 setlinewidth
0.97619 0.22673 moveto
0.97619 0.23298 lineto
stroke
grestore
[(5)] 0.97619 0.22673 0 2 Mshowa
gsave
0.001 setlinewidth
0.0619 0.22673 moveto
0.0619 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1 0.22673 moveto
0.1 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1381 0.22673 moveto
0.1381 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.17619 0.22673 moveto
0.17619 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25238 0.22673 moveto
0.25238 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.29048 0.22673 moveto
0.29048 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.32857 0.22673 moveto
0.32857 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36667 0.22673 moveto
0.36667 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.44286 0.22673 moveto
0.44286 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.48095 0.22673 moveto
0.48095 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.51905 0.22673 moveto
0.51905 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.55714 0.22673 moveto
0.55714 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.63333 0.22673 moveto
0.63333 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.67143 0.22673 moveto
0.67143 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.70952 0.22673 moveto
0.70952 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74762 0.22673 moveto
0.74762 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82381 0.22673 moveto
0.82381 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8619 0.22673 moveto
0.8619 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9 0.22673 moveto
0.9 0.23048 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9381 0.22673 moveto
0.9381 0.23048 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.22673 moveto
1 0.22673 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.02381 0.09729 moveto
0.03006 0.09729 lineto
stroke
grestore
[(-0.2)] 0.01131 0.09729 1 0 Mshowa
gsave
0.002 setlinewidth
0.02381 0.35617 moveto
0.03006 0.35617 lineto
stroke
grestore
[(0.2)] 0.01131 0.35617 1 0 Mshowa
gsave
0.002 setlinewidth
0.02381 0.48561 moveto
0.03006 0.48561 lineto
stroke
grestore
[(0.4)] 0.01131 0.48561 1 0 Mshowa
gsave
0.002 setlinewidth
0.02381 0.61506 moveto
0.03006 0.61506 lineto
stroke
grestore
[(0.6)] 0.01131 0.61506 1 0 Mshowa
gsave
0.001 setlinewidth
0.02381 0.12317 moveto
0.02756 0.12317 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.14906 moveto
0.02756 0.14906 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.17495 moveto
0.02756 0.17495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.20084 moveto
0.02756 0.20084 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.25262 moveto
0.02756 0.25262 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.27851 moveto
0.02756 0.27851 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.30439 moveto
0.02756 0.30439 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.33028 moveto
0.02756 0.33028 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.38206 moveto
0.02756 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.40795 moveto
0.02756 0.40795 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.43384 moveto
0.02756 0.43384 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.45973 moveto
0.02756 0.45973 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.5115 moveto
0.02756 0.5115 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.53739 moveto
0.02756 0.53739 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.56328 moveto
0.02756 0.56328 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.58917 moveto
0.02756 0.58917 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.0714 moveto
0.02756 0.0714 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.04551 moveto
0.02756 0.04551 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.01962 moveto
0.02756 0.01962 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.22673 moveto
0.06349 0.29378 lineto
0.10317 0.35866 lineto
0.14286 0.41927 lineto
0.18254 0.47366 lineto
0.22222 0.52012 lineto
0.2619 0.55721 lineto
0.28175 0.57189 lineto
0.30159 0.58383 lineto
0.32143 0.59298 lineto
0.33135 0.59648 lineto
0.34127 0.59926 lineto
0.35119 0.60132 lineto
0.35615 0.60208 lineto
0.35863 0.60239 lineto
0.36111 0.60266 lineto
0.36359 0.60288 lineto
0.36607 0.60306 lineto
0.36731 0.60313 lineto
0.36855 0.60319 lineto
0.36979 0.60324 lineto
0.37103 0.60327 lineto
0.37227 0.6033 lineto
0.37351 0.60332 lineto
0.37475 0.60332 lineto
0.37599 0.60331 lineto
0.37723 0.60329 lineto
0.37847 0.60326 lineto
0.38095 0.60317 lineto
0.38219 0.6031 lineto
0.38343 0.60303 lineto
0.38591 0.60284 lineto
0.39087 0.60234 lineto
0.39583 0.60166 lineto
0.40079 0.60081 lineto
0.41071 0.59856 lineto
0.42063 0.59562 lineto
0.44048 0.58769 lineto
0.46032 0.5771 lineto
0.5 0.54845 lineto
0.53968 0.51088 lineto
0.57937 0.46588 lineto
0.61905 0.41516 lineto
0.65873 0.36065 lineto
0.69841 0.30433 lineto
0.7381 0.24823 lineto
0.77778 0.19434 lineto
0.81746 0.14448 lineto
0.85714 0.10033 lineto
0.89683 0.0633 lineto
Mistroke
0.91667 0.04782 lineto
0.93651 0.0345 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; preserveAspect; ]
Now we have a good idea that  the first zero  of  J1(x) lies somewhere
between  3.5  and 4.   So next we type  jj[3.5,4] and we get
;[s]
8:0,0;50,1;51,2;52,3;53,4;54,5;111,6;120,7;132,-1;
8:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Times,66,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; plain; fontName = "Courier"; startGroup; ]
jj[3.5,4];
;[s]
1:0,0;10,-1;
1:1,10,8,Courier,1,12,0,0,0;
:[font = postscript; PostScript; formatAsPostScript; output; inactive; pageBreakBelow; dontNoPageBreakBelow; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-6.642857 1.904762 0.205813 2.893527 [
[(3.5)] 0.02381 0.20581 0 2 Msboxa
[(3.6)] 0.21429 0.20581 0 2 Msboxa
[(3.7)] 0.40476 0.20581 0 2 Msboxa
[(3.8)] 0.59524 0.20581 0 2 Msboxa
[(3.9)] 0.78571 0.20581 0 2 Msboxa
[(-0.05)] 0.96369 0.06114 1 0 Msboxa
[(0.05)] 0.96369 0.35049 1 0 Msboxa
[(0.1)] 0.96369 0.49517 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.02381 0.20581 moveto
0.02381 0.21206 lineto
stroke
grestore
[(3.5)] 0.02381 0.20581 0 2 Mshowa
gsave
0.002 setlinewidth
0.21429 0.20581 moveto
0.21429 0.21206 lineto
stroke
grestore
[(3.6)] 0.21429 0.20581 0 2 Mshowa
gsave
0.002 setlinewidth
0.40476 0.20581 moveto
0.40476 0.21206 lineto
stroke
grestore
[(3.7)] 0.40476 0.20581 0 2 Mshowa
gsave
0.002 setlinewidth
0.59524 0.20581 moveto
0.59524 0.21206 lineto
stroke
grestore
[(3.8)] 0.59524 0.20581 0 2 Mshowa
gsave
0.002 setlinewidth
0.78571 0.20581 moveto
0.78571 0.21206 lineto
stroke
grestore
[(3.9)] 0.78571 0.20581 0 2 Mshowa
gsave
0.001 setlinewidth
0.0619 0.20581 moveto
0.0619 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1 0.20581 moveto
0.1 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1381 0.20581 moveto
0.1381 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.17619 0.20581 moveto
0.17619 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25238 0.20581 moveto
0.25238 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.29048 0.20581 moveto
0.29048 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.32857 0.20581 moveto
0.32857 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36667 0.20581 moveto
0.36667 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.44286 0.20581 moveto
0.44286 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.48095 0.20581 moveto
0.48095 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.51905 0.20581 moveto
0.51905 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.55714 0.20581 moveto
0.55714 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.63333 0.20581 moveto
0.63333 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.67143 0.20581 moveto
0.67143 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.70952 0.20581 moveto
0.70952 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74762 0.20581 moveto
0.74762 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82381 0.20581 moveto
0.82381 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8619 0.20581 moveto
0.8619 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9 0.20581 moveto
0.9 0.20956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9381 0.20581 moveto
0.9381 0.20956 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.20581 moveto
1 0.20581 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.97619 0.06114 moveto
0.98244 0.06114 lineto
stroke
grestore
[(-0.05)] 0.96369 0.06114 1 0 Mshowa
gsave
0.002 setlinewidth
0.97619 0.35049 moveto
0.98244 0.35049 lineto
stroke
grestore
[(0.05)] 0.96369 0.35049 1 0 Mshowa
gsave
0.002 setlinewidth
0.97619 0.49517 moveto
0.98244 0.49517 lineto
stroke
grestore
[(0.1)] 0.96369 0.49517 1 0 Mshowa
gsave
0.001 setlinewidth
0.97619 0.09007 moveto
0.97994 0.09007 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.11901 moveto
0.97994 0.11901 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.14794 moveto
0.97994 0.14794 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.17688 moveto
0.97994 0.17688 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.23475 moveto
0.97994 0.23475 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.26368 moveto
0.97994 0.26368 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.29262 moveto
0.97994 0.29262 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.32155 moveto
0.97994 0.32155 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.37942 moveto
0.97994 0.37942 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.40836 moveto
0.97994 0.40836 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.4373 moveto
0.97994 0.4373 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.46623 moveto
0.97994 0.46623 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.0322 moveto
0.97994 0.0322 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.00327 moveto
0.97994 0.00327 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.5241 moveto
0.97994 0.5241 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.55304 moveto
0.97994 0.55304 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.58197 moveto
0.97994 0.58197 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.61091 moveto
0.97994 0.61091 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.97619 0 moveto
0.97619 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.06349 0.57804 lineto
0.10317 0.55275 lineto
0.14286 0.52748 lineto
0.18254 0.50223 lineto
0.22222 0.477 lineto
0.2619 0.45182 lineto
0.30159 0.42667 lineto
0.34127 0.40159 lineto
0.38095 0.37656 lineto
0.42063 0.35161 lineto
0.46032 0.32674 lineto
0.5 0.30196 lineto
0.53968 0.27728 lineto
0.57937 0.25271 lineto
0.61905 0.22825 lineto
0.65873 0.20392 lineto
0.69841 0.17972 lineto
0.7381 0.15566 lineto
0.77778 0.13175 lineto
0.81746 0.10799 lineto
0.85714 0.0844 lineto
0.89683 0.06099 lineto
0.93651 0.03776 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; preserveAspect; ]
Consequently  the first zero  of  J1(x) lies between  3.8  and  3.85.  So for
the next approximation we type
;[s]
6:0,0;34,1;35,2;36,3;37,4;38,5;109,-1;
6:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Times,66,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup; ]
jj[3.8,3.85];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-72.357143 19.047619 0.229196 29.180435 [
[(3.81)] 0.21429 0.2292 0 2 Msboxa
[(3.82)] 0.40476 0.2292 0 2 Msboxa
[(3.83)] 0.59524 0.2292 0 2 Msboxa
[(3.84)] 0.78571 0.2292 0 2 Msboxa
[(3.85)] 0.97619 0.2292 0 2 Msboxa
[(-0.005)] 0.01131 0.08329 1 0 Msboxa
[(0.005)] 0.01131 0.3751 1 0 Msboxa
[(0.01)] 0.01131 0.521 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.21429 0.2292 moveto
0.21429 0.23545 lineto
stroke
grestore
[(3.81)] 0.21429 0.2292 0 2 Mshowa
gsave
0.002 setlinewidth
0.40476 0.2292 moveto
0.40476 0.23545 lineto
stroke
grestore
[(3.82)] 0.40476 0.2292 0 2 Mshowa
gsave
0.002 setlinewidth
0.59524 0.2292 moveto
0.59524 0.23545 lineto
stroke
grestore
[(3.83)] 0.59524 0.2292 0 2 Mshowa
gsave
0.002 setlinewidth
0.78571 0.2292 moveto
0.78571 0.23545 lineto
stroke
grestore
[(3.84)] 0.78571 0.2292 0 2 Mshowa
gsave
0.002 setlinewidth
0.97619 0.2292 moveto
0.97619 0.23545 lineto
stroke
grestore
[(3.85)] 0.97619 0.2292 0 2 Mshowa
gsave
0.001 setlinewidth
0.0619 0.2292 moveto
0.0619 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1 0.2292 moveto
0.1 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1381 0.2292 moveto
0.1381 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.17619 0.2292 moveto
0.17619 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25238 0.2292 moveto
0.25238 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.29048 0.2292 moveto
0.29048 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.32857 0.2292 moveto
0.32857 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36667 0.2292 moveto
0.36667 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.44286 0.2292 moveto
0.44286 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.48095 0.2292 moveto
0.48095 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.51905 0.2292 moveto
0.51905 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.55714 0.2292 moveto
0.55714 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.63333 0.2292 moveto
0.63333 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.67143 0.2292 moveto
0.67143 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.70952 0.2292 moveto
0.70952 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74762 0.2292 moveto
0.74762 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82381 0.2292 moveto
0.82381 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8619 0.2292 moveto
0.8619 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9 0.2292 moveto
0.9 0.23295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9381 0.2292 moveto
0.9381 0.23295 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.2292 moveto
1 0.2292 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.02381 0.08329 moveto
0.03006 0.08329 lineto
stroke
grestore
[(-0.005)] 0.01131 0.08329 1 0 Mshowa
gsave
0.002 setlinewidth
0.02381 0.3751 moveto
0.03006 0.3751 lineto
stroke
grestore
[(0.005)] 0.01131 0.3751 1 0 Mshowa
gsave
0.002 setlinewidth
0.02381 0.521 moveto
0.03006 0.521 lineto
stroke
grestore
[(0.01)] 0.01131 0.521 1 0 Mshowa
gsave
0.001 setlinewidth
0.02381 0.11247 moveto
0.02756 0.11247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.14166 moveto
0.02756 0.14166 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.17084 moveto
0.02756 0.17084 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.20002 moveto
0.02756 0.20002 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.25838 moveto
0.02756 0.25838 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.28756 moveto
0.02756 0.28756 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.31674 moveto
0.02756 0.31674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.34592 moveto
0.02756 0.34592 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.40428 moveto
0.02756 0.40428 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.43346 moveto
0.02756 0.43346 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.46264 moveto
0.02756 0.46264 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.49182 moveto
0.02756 0.49182 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.05411 moveto
0.02756 0.05411 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.02493 moveto
0.02756 0.02493 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.55018 moveto
0.02756 0.55018 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.57936 moveto
0.02756 0.57936 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.60854 moveto
0.02756 0.60854 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.06349 0.57865 lineto
0.10317 0.55399 lineto
0.14286 0.52934 lineto
0.18254 0.50471 lineto
0.22222 0.48008 lineto
0.2619 0.45547 lineto
0.30159 0.43088 lineto
0.34127 0.40629 lineto
0.38095 0.38172 lineto
0.42063 0.35716 lineto
0.46032 0.33261 lineto
0.5 0.30808 lineto
0.53968 0.28356 lineto
0.57937 0.25905 lineto
0.61905 0.23456 lineto
0.65873 0.21007 lineto
0.69841 0.18561 lineto
0.7381 0.16115 lineto
0.77778 0.13671 lineto
0.81746 0.11229 lineto
0.85714 0.08787 lineto
0.89683 0.06347 lineto
0.93651 0.03909 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; pageBreakBelow; preserveAspect; ]
Continuing in is this way we find that the first zero  of  J1(x) is slightly
more than  3.8317.
;[s]
6:0,0;59,1;60,2;61,3;62,4;63,5;96,-1;
6:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Times,66,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
The command FindRoot can also be used to find zeros of Bessel functions.
This command attempts to solve equations numerically, but it must be given
a hint.  For example  the commands
;[s]
3:0,0;11,1;20,2;182,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup; ]
FindRoot[BesselJ[1,x],{x,3}]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{x -> 3.831705970207511}
;[o]
{x -> 3.83171}
:[font = input; preserveAspect; startGroup; ]
FindRoot[BesselJ[1,x],{x,7}]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{x -> 7.015586669815619}
;[o]
{x -> 7.01559}
:[font = text; inactive; preserveAspect; ]
tell us the first and second zeros of J1(x).  However, FindRoot can
sometimes give the wrong answer.  For example, if we type in
;[s]
8:0,0;38,1;39,2;40,3;41,4;42,5;55,6;63,7;129,-1;
8:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Times,66,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup; ]
FindRoot[BesselJ[1,x],{x,2}]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{x -> 10.17346813506272}
;[o]
{x -> 10.1735}
:[font = text; inactive; pageBreakBelow; preserveAspect; ]
But  10.1735  is the third zero of  J1(x), whereas the nearest zero to 2
is  3.83171.  Since Mathematica's internal algorithm for FindRoot does
not always give the right answer, the output of FindRoot should always
be checked by plotting.
;[s]
12:0,0;36,1;37,2;38,3;39,4;40,5;93,6;106,7;130,8;138,9;192,10;200,11;239,-1;
12:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Times,66,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
	It is possible to see just how well the function
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 0; pictureWidth = 84; pictureHeight = 31; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.369048
200 dict begin
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0 1 0 1 [
[ 0 0 0 0 ]
[ 84 31 0 0 ]
] MathScale
% Start of Graphics
%!PS-Adobe-2.0 EPSF-2.0
%%Title: 
%%Creator: EquationBuilder
%%CreationDate: Mon Aug  3 15:51:46 1992
%%For: gray
%%DocumentFonts: (atend)
%%Pages: 0 1
%%BoundingBox: 0 0 84 31
%%Translation: 1 8.633711 82.749336 0
%%EndComments

%%BeginDocument: /usr/lib/NextStep/printPackage.ps
%!PS-Adobe-2.0
%%Title: Printing Package
%%EndComments
%Version: 2.0
%Copyright: 1988, NeXT, Inc.

/__NXdef{1 index where{pop pop pop}{def}ifelse}bind def
/__NXbdef{1 index where{pop pop pop}{bind def}ifelse}bind def
/UserObjects 10 array __NXdef
/defineuserobject{
	exch dup 1 add dup UserObjects length gt{
		array dup 0 UserObjects putinterval
		/UserObjects exch def
	}{pop}ifelse UserObjects exch 3 -1 roll put
}__NXbdef
/undefineuserobject{UserObjects exch null put}__NXbdef
/execuserobject{UserObjects exch get exec}__NXbdef
/__NXRectPath{4 2 roll moveto 1 index 0 rlineto
0 exch rlineto neg 0 rlineto closepath}__NXbdef
/__NXProcessRectArgs{
	1 index type /arraytype eq{
		exch 0 4 2 index length 1 sub{
			dup 3 add 1 exch{1 index exch get exch}for
			5 1 roll 5 index exec
		}for pop pop
	}{exec}ifelse
}__NXbdef
/rectfill{gsave newpath {__NXRectPath fill} __NXProcessRectArgs grestore}__NXbdef
/rectclip{newpath {__NXRectPath} __NXProcessRectArgs clip newpath}__NXbdef
/rectstroke{
	gsave newpath dup type /arraytype eq{dup length 6 eq}{false}ifelse{
		{gsave __NXRectPath null concat stroke grestore}
		dup length array cvx copy dup 2 4 -1 roll put __NXProcessRectArgs
	}{{__NXRectPath stroke} __NXProcessRectArgs}ifelse grestore
}__NXbdef
/xyshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		3 index 3 index 2 mul 1 add get add exch
		3 index	3 index 2 mul get add exch moveto pop
	}for pop pop
}__NXbdef
/xshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		exch 3 index 3 index get add exch moveto pop
	}for pop pop
}__NXbdef
/yshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		3 index 3 index get add moveto pop
	}for pop pop
}__NXbdef
/arct{arcto pop pop pop pop}__NXbdef
/setbbox{pop pop pop pop}__NXbdef
/ucache{}__NXbdef
/ucachestatus{mark 0 0 0 0 0}__NXbdef
/setucacheparams{cleartomark}__NXbdef
/uappend{systemdict begin cvx exec end}__NXbdef
/ueofill{gsave newpath uappend eofill grestore}__NXbdef
/ufill{gsave newpath uappend fill grestore}__NXbdef
/ustroke{
	gsave newpath dup length 6 eq
	{exch uappend concat}{uappend}ifelse
	stroke grestore
}__NXbdef
/__NXustrokepathMatrix dup where {pop pop}{matrix def}ifelse
/ustrokepath{
	newpath dup length 6 eq{
		exch uappend __NXustrokepathMatrix currentmatrix exch concat
		strokepath setmatrix
	}{uappend strokepath}ifelse
} __NXbdef
/upath{
	[exch {/ucache cvx}if pathbbox /setbbox cvx
	 {/moveto cvx}{/lineto cvx}{/curveto cvx}{/closepath cvx}pathforall]cvx
} __NXbdef
/setstrokeadjust{pop}__NXbdef
/currentstrokeadjust{false}__NXbdef
/selectfont{exch findfont exch
dup type /arraytype eq {makefont}{scalefont}ifelse setfont}__NXbdef
/_NXCombineArrays{
	counttomark dup 2 add index dup length 3 -1 roll {
		2 index length sub dup 4 1 roll 1 index exch 4 -1 roll putinterval exch
	}repeat pop pop pop
}__NXbdef
/setcmykcolor{
	1.0 exch sub dup dup 6 -1 roll
	sub dup 0 lt{pop 0}if 5 1 roll
	4 -1 roll sub dup 0 lt{pop 0}if 3 1 roll
	exch sub dup 0 lt{pop 0}if setrgbcolor
}__NXbdef
/currentcmykcolor{currentrgbcolor 3{1.0 exch sub 3 1 roll}repeat 0}__NXbdef
/flushgraphics{}def
/setwindowtype{pop pop}def
/currentwindowtype{pop 0}def
/setalpha{pop}def
/currentalpha{1.0}def
/hidecursor{}def
/obscurecursor{}def
/revealcursor{}def
/setcursor{4 {pop}repeat}bind def
/showcursor{}def
/NextStepEncoding where not{
/NextStepEncoding StandardEncoding 256 array copy def
0 [129/Agrave/Aacute/Acircumflex/Atilde/Adieresis/Aring/Ccedilla/Egrave
/Eacute/Ecircumflex/Edieresis/Igrave/Iacute/Icircumflex/Idieresis
/Eth/Ntilde/Ograve/Oacute/Ocircumflex/Otilde/Odieresis/Ugrave/Uacute
/Ucircumflex/Udieresis/Yacute/Thorn/mu/multiply/divide/copyright
176/registered 181/brokenbar 190/logicalnot 192/onesuperior 201/twosuperior
204/threesuperior 209/plusminus/onequarter/onehalf/threequarters/agrave
/aacute/acircumflex/atilde/adieresis/aring/ccedilla/egrave/eacute
/ecircumflex/edieresis/igrave 226/iacute 228/icircumflex/idieresis/eth
/ntilde 236/ograve/oacute/ocircumflex/otilde/odieresis 242/ugrave/uacute
/ucircumflex 246/udieresis/yacute 252/thorn/ydieresis]
{dup type /nametype eq
 {NextStepEncoding 2 index 2 index put pop 1 add}{exch pop}ifelse
}forall pop
/NextStepEncoding NextStepEncoding readonly def   
/_NXfstr 128 string dup 0 (_NX) putinterval def   
/findfont{
 % Because we can never let NextStepEncoding get into
 % SharedFontDirectory, we cannot reencode a font to NextStepEncoding
 % if we are in shared mode.  So if currentshared is true,
 % we call the normal findfont and return that
 /currentshared where {pop currentshared} {false} ifelse
 {//findfont exec}
 {dup _NXfstr 3 125 getinterval cvs length 3 add _NXfstr 0 3 -1 roll
  getinterval cvn exch FontDirectory 2 index known 
  {pop FontDirectory exch get}
  {//findfont exec dup /Encoding get StandardEncoding eq
   {	dup length dict exch
	{1 index /FID ne {2 index 3 1 roll put}{pop pop}ifelse}forall
	 dup /Encoding NextStepEncoding put definefont
	}{exch pop} ifelse
   }ifelse
 }ifelse
}bind def
}{pop}ifelse
/_NXProcArray 5 array __NXdef
/_NXChannels 0 __NXdef
/_NXTotalBytes 0 __NXdef
/_NXDoImageOp{
	1 index{dup}{1}ifelse /_NXChannels exch store
	_NXChannels 2 add 2 roll _NXProcArray 0 _NXChannels getinterval astore pop
	5 index 4 index mul 2 index{1 sub 8 idiv 1 add mul}{mul 1 sub 8 idiv 1 add}ifelse
	4 index mul /_NXTotalBytes exch store pop exch pop
	gsave matrix invertmatrix concat 0.5 setgray 0 0 4 2 roll rectfill grestore
	{	0 1 _NXChannels 1 sub{
			_NXProcArray exch get exec
			length _NXTotalBytes exch sub /_NXTotalBytes exch store}for
		_NXTotalBytes 0 le{exit}if
	}loop /_NXProcArray 5 array def
}__NXbdef
/colorimage{_NXDoImageOp}__NXbdef
/alphaimage{1 add _NXDoImageOp}def
%%EndDocument

% EquationBuilder(TM) Expression
% +.\Jr(=:/*V[StRFQAYmdjEEA;1nuN+[co.OZ7L#cq3iK%3:</XJ@:d#6;^G;Td47dud<A3@
% 5%MGToUOR5&d`'TuEDU)B-tbR".RJBA*j!!#t8"9`(0Sid;k!&A0sO@"L$!/a>R!L,$-1s/C
% B#Cn*e"h)@2@AXE`Ui2FuJ3`%0`&Rf+8YXkFaW!,slN$o42$fa3D<P)b`0`8d!_h#b$ue*iR
% K6<qbQ-(F07tWmaJ<eh7SY#BM!8_jS7umh:]j&SD*Xm*Rl#!1d!:I/nS6(8>_<BF3<j-B7c]
% 6=ajEh$eVup&(Q_e>EJb+#jCok$n+2E(d$0"Y>7rCDGmOcgRWS<NP6"WZ$iiWEHl7YEBki$e
% ct`ZZ&;!MaXe9;t.d[u?SpdZl(D.Y_%EMY&rdg4KJcN:c!.tacJ;59Q[MQ`2[=IfYL_sm*8r
% 3SA-mFMc`@+7W1hJ]l!'^Gbb)JFL#XA_GFKm&%%tIPGI\ek:>_N.bf[qb[VE!RiKJYYq$kYZ
% @jbm)Aabkuo:8uAh_rZ)?&T,<<cuZ07\RgL&G0(jT>_&dt0p5'4AM=mg8P""2NHPMOXM(TBP
% n"9X`Z'![-VC'I#!e&pN@cA[Cecb:N1j])8r,!H.NlZCV4Dd3@VojpBUg'ff)h+pD9?C>&k[
% c#WXF.,8sYFl>2b0?[Mf_eG)?T$R3@<qi3=XVX5^Aba@Ke@2H&9SO#dX=@ureOOA@f"'YCH'
% HL[iI&9Z&K`uB%1b1KJ(3nrmKH=[-b!bgsU<$)Mo@"<k;:k>*./P(Fp(iD;=J\Z+6/Atn+,X
% Fp;[uK@>!Xq.!0dqTL]-F^L!:_cD+^[Q$6t6A9#lpLj@gE&7x
% EndExpression N 670 29e E 10 S 10c2e R cbd68ad8
gsave
 /__NXbasematrix matrix currentmatrix def
grestore
%%EndProlog
%%BeginSetup
/EqBFont 18 dict dup begin /FontType 3 def /PaintType 0 def /FontMatrix [0.001 0 0 0.001 0 0] def /FontBBox [15 -2950 1360 1045] def /Encoding [/.notdef /rad1 /rad2 /rad3 /rad4 /rad5 /radext /int /pathint /sum /prod /cdot /vdot /ddot /hbar /bigcap /bigcup /parallel] def /Metrics 18 dict dup begin /.notdef 0 def /rad1 1000 def /rad2 1000 def /rad3 1000 def /rad4 1000 def /rad5 1048 def /radext 1048 def /int 500 def /pathint 500 def /sum 700 def /prod 700 def /cdot 1000 def /vdot 550 def /ddot 1000 def /hbar 500 def /bigcap 700 def /bigcup 700 def /parallel 500 def end def /BBox 18 dict dup begin /.notdef [0 0 0 0] def /rad1 [110 -1150 1020 0] def /rad2 [110 -1750 1020 0] def /rad3 [110 -2350 1020 0] def /rad4 [110 -2950 1020 0] def /rad5 [128 -2890 740 0] def /radext [700 -600 740 0] def /int [20 0 425 1045] def /pathint [20 0 425 1045] def /sum [15 5 640 715] def /prod [15 0 670 715] def /cdot [110 215 890 325] def /vdot [165 -5 280 770] def /ddot [110 -5 890 770] def /hbar [20 -10 480 685] def /bigcap [0 0 680 720] def /bigcup [0 0 680 720] def /parallel [65 -175 400 675] def end def /CharacterDefs 18 dict dup begin /.notdef {
    
} def /rad1 {
    980 0 moveto 464 -1048 lineto 248 -560 lineto 110 -656 lineto 125 -675 lineto 200 -624 lineto 420 -1150 lineto 460 -1150 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad2 {
    980 0 moveto 460 -1600 lineto 245 -864 lineto 110 -1000 lineto 128 -1023 lineto 200 -950 lineto 424 -1750 lineto 456 -1750 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad3 {
    980 0 moveto 464 -2144 lineto 248 -1160 lineto 110 -1368 lineto 130 -1390 lineto 192 -1288 lineto 424 -2350 lineto 464 -2350 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad4 {
    980 0 moveto 880 -488 lineto 672 -1600 lineto 464 -2696 lineto 248 -1464 lineto 110 -1728 lineto 130 -1750 lineto 192 -1616 lineto 424 -2950 lineto 464 -2950 lineto 768 -1312 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad5 {
    700 0 moveto 700 -2628 lineto 248 -1284 lineto 128 -1564 lineto 150 -1580 lineto 215 -1425 lineto 688 -2890 lineto 740 -2890 lineto 740 0 lineto 700 0 lineto closepath
} def /radext {
    700 0 moveto 700 -600 lineto 740 -600 lineto 740 0 lineto 700 0 lineto closepath
} def /int {
    245 390 moveto 225 235 195 145 180 100 curveto 165 60 150 50 140 40 curveto 135 30 85 0 50 20 curveto 35 25 25 45 25 55 curveto 20 80 30 100 55 110 curveto 80 125 93 110 110 90 curveto 135 60 155 135 160 195 curveto 165 270 170 340 190 510 curveto 205 650 lineto 220 810 230 890 265 960 curveto 275 980 295 1015 320 1030 curveto 350 1045 380 1030 395 1020 curveto 410 1010 425 980 400 955 curveto 385 940 347 925 330 950 curveto 310 970 290 955 290 940 curveto 280 900 285 745 270 610 curveto 245 390 lineto closepath
} def /pathint {
    245 390 moveto 225 235 195 145 180 100 curveto 165 60 150 50 140 40 curveto 135 30 85 0 50 20 curveto 35 25 25 45 25 55 curveto 20 80 30 100 55 110 curveto 80 125 93 110 110 90 curveto 135 60 155 135 160 195 curveto 165 270 170 340 190 510 curveto 205 650 lineto 220 810 230 890 265 960 curveto 275 980 295 1015 320 1030 curveto 350 1045 380 1030 395 1020 curveto 410 1010 425 980 400 955 curveto 385 940 347 925 330 950 curveto 310 970 290 955 290 940 curveto 280 900 285 745 270 610 curveto 245 390 lineto fill 20 setlinewidth 220 400 moveto 290 400 340 455 340 500 curveto 340 585 290 640 220 640 curveto 155 640 100 585 100 500 curveto 100 455 155 400 220 400 curveto stroke
} def /sum {
    330 335 moveto 20 715 lineto 575 715 lineto 600 545 lineto 575 535 lineto 550 625 525 685 395 685 curveto 160 685 lineto 411 370 lineto 160 90 lineto 470 90 lineto 565 90 590 140 610 210 curveto 640 200 lineto 585 5 lineto 15 5 lineto 330 335 lineto closepath
} def /prod {
    590 90 moveto 590 30 620 20 670 20 curveto 670 0 lineto 410 0 lineto 410 20 lineto 460 20 495 30 495 90 curveto 495 670 lineto 190 670 lineto 190 90 lineto 190 30 225 20 275 20 curveto 275 0 lineto 15 0 lineto 15 20 lineto 65 20 100 30 100 90 curveto 100 615 lineto 100 690 40 700 20 700 curveto 20 715 lineto 670 715 lineto 670 700 lineto 645 700 590 690 590 615 curveto 590 90 lineto closepath
} def /cdot {
    110 270 moveto 110 300 135 325 165 325 curveto 195 325 220 300 220 270 curveto 220 235 185 215 165 215 curveto 145 215 110 235 110 270 curveto fill 445 270 moveto 445 300 470 325 500 325 curveto 530 325 555 300 555 270 curveto 555 235 520 215 500 215 curveto 480 215 445 235 445 270 curveto fill 775 270 moveto 775 300 800 325 830 325 curveto 860 325 890 300 890 270 curveto 890 235 850 215 830 215 curveto 810 215 775 235 775 270 curveto fill
} def /vdot {
    220 770 moveto 250 770 280 750 280 720 curveto 280 680 250 660 220 660 curveto 185 660 165 695 165 720 curveto 165 740 185 770 220 770 curveto fill 220 440 moveto 250 440 280 415 280 385 curveto 280 355 250 330 220 330 curveto 185 330 165 365 165 385 curveto 165 405 185 440 220 440 curveto fill 220 105 moveto 250 105 280 80 280 50 curveto 280 20 250 -5 220 -5 curveto 185 -5 165 30 165 50 curveto 165 70 185 105 220 105 curveto fill
} def /ddot {
    165 720 moveto 205 720 220 700 220 665 curveto 220 630 195 610 165 610 curveto 130 620 110 645 110 665 curveto 110 690 130 720 165 720 curveto fill 500 440 moveto 530 440 555 415 555 385 curveto 555 355 530 330 500 330 curveto 465 330 445 365 445 385 curveto 445 405 465 440 500 440 curveto fill 830 155 moveto 860 155 890 130 890 100 curveto 890 70 860 45 830 45 curveto 795 45 775 80 775 100 curveto 775 120 795 155 830 155 curveto fill
} def /hbar {
    480 105 moveto 440 55 400 -10 335 -10 curveto 300 -10 290 10 290 35 curveto 290 65 370 350 370 365 curveto 370 380 355 390 340 390 curveto 290 390 205 275 185 250 curveto 140 180 125 125 95 0 curveto 20 0 lineto 150 500 lineto 160 545 180 600 180 615 curveto 180 625 170 640 135 640 curveto 110 640 lineto 100 655 lineto 165 660 215 670 270 685 curveto 275 680 lineto 155 240 lineto 155 235 lineto 190 290 290 440 380 440 curveto 400 440 450 435 450 370 curveto 450 335 365 80 365 55 curveto 365 45 375 40 385 40 curveto 405 40 425 70 465 115 curveto 480 105 lineto fill 55 545 moveto 55 520 lineto 310 560 lineto 310 585 lineto 55 545 lineto fill
} def /bigcap {
    615 400 moveto 615 575 500 655 340 655 curveto 180 655 70 575 70 400 curveto 70 0 lineto 5 0 lineto 5 400 lineto 5 610 140 720 340 720 curveto 545 720 680 610 680 400 curveto 680 0 lineto 615 0 lineto 615 400 lineto closepath
} def /bigcup {
    65 320 moveto 65 145 180 65 340 65 curveto 500 65 615 145 615 320 curveto 615 720 lineto 680 720 lineto 680 320 lineto 680 110 540 0 340 0 curveto 140 0 0 110 0 320 curveto 0 720 lineto 65 720 lineto 65 320 lineto closepath
} def /parallel {
    135 675 moveto 135 -175 lineto 65 -175 lineto 65 675 lineto 135 675 lineto fill 335 675 moveto 335 -175 lineto 265 -175 lineto 265 675 lineto 335 675 lineto fill 400 675 moveto
} def end def /BuildChar {
    0 begin /char exch def /fontdict exch def /charname fontdict /Encoding get char get def fontdict begin Metrics charname get 0 BBox charname get aload pop setcachedevice CharacterDefs charname get exec eofill end end
} def /BuildChar load 0 3 dict put end definefont pop
%%EndSetup
0 0 83.749336 30.126738 rectclip
0 0 83.749336 30.126738 rectclip
0 setgray
1 setalpha
0.48 setlinewidth
6.364 12.633711 moveto
19.952 12.633711 lineto
stroke
0 setgray
1 setalpha
1 2.244157 scale
/Symbol findfont 12 scalefont
44
exch
defineuserobject
44 execuserobject setfont
1.564 2.737602 moveto
(\() [0 0] xyshow
1 0.445602 scale
1 2.241563 scale
44 execuserobject setfont
20.792 2.738118 moveto
(\)) [0 0] xyshow
1 0.446117 scale
0 setgray
1 setalpha
0.36 setlinewidth
25.316002 24.320738 moveto
29.316002 24.320738 lineto
stroke
0 setgray
1 setalpha
0.48 setlinewidth
69.797333 12.633711 moveto
77.38533 12.633711 lineto
stroke
0 setgray
1 setalpha
1 1.952064 scale
44 execuserobject setfont
47.076 3.579974 moveto
(\() [0 0] xyshow
1 0.512278 scale
1 1.949808 scale
44 execuserobject setfont
78.225334 3.581465 moveto
(\)) [0 0] xyshow
1 0.512871 scale
0 setgray
1 setalpha
44 execuserobject setfont
70.297333 17.43371 moveto
(p-p) [-9.754665 -7.799999 -53.678665 -8.231412 0 0 0 0] xyshow
/Times-Roman findfont 12 scalefont
52
exch
defineuserobject
52 execuserobject setfont
70.591331 1.402299 moveto
(4cos2) [-40.075329 8.231412 5.327999 0 6 0 -31.686001 7.800001 0 0 0 0] xyshow
/Times-BoldItalic findfont 12 scalefont
48
exch
defineuserobject
48 execuserobject setfont
51.875999 9.633711 moveto
(xx) [-38.424 -8.231412 0 0 0 0] xyshow
/Times-Roman findfont 6 scalefont
70
exch
defineuserobject
70 execuserobject setfont
25.816002 19.070738 moveto
(21) [0 6 0 0 0 0] xyshow
/Symbol findfont 9 scalefont
46
exch
defineuserobject
46 execuserobject setfont
62.230675 18.908699 moveto
() [0 0] xyshow
%%Trailer
%%DocumentFonts: Times-BoldItalic
%%+ Times-Roman
%%+ Symbol

%End of Graphics
MathPictureEnd
end

:[font = text; inactive; preserveAspect; ]
approximates   J0(x)  for large  x.  The Plot command can be used to graph
two functions simultaneously.
;[s]
10:0,0;15,1;16,2;17,3;18,4;19,5;33,6;34,7;41,8;45,9;105,-1;
10:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Times,66,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Plot[{BesselJ[0,x],
      (2/(2Pi x))^(1/2) Cos[x-Pi/4]},
        {x,0.1,50}];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; pageBreakBelow; dontNoPageBreakBelow; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; endGroup; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.019048 0.260713 0.611024 [
[(10)] 0.21429 0.26071 0 2 Msboxa
[(20)] 0.40476 0.26071 0 2 Msboxa
[(30)] 0.59524 0.26071 0 2 Msboxa
[(40)] 0.78571 0.26071 0 2 Msboxa
[(50)] 0.97619 0.26071 0 2 Msboxa
[(-0.4)] 0.01131 0.0163 1 0 Msboxa
[(-0.2)] 0.01131 0.13851 1 0 Msboxa
[(0.2)] 0.01131 0.38292 1 0 Msboxa
[(0.4)] 0.01131 0.50512 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.21429 0.26071 moveto
0.21429 0.26696 lineto
stroke
grestore
[(10)] 0.21429 0.26071 0 2 Mshowa
gsave
0.002 setlinewidth
0.40476 0.26071 moveto
0.40476 0.26696 lineto
stroke
grestore
[(20)] 0.40476 0.26071 0 2 Mshowa
gsave
0.002 setlinewidth
0.59524 0.26071 moveto
0.59524 0.26696 lineto
stroke
grestore
[(30)] 0.59524 0.26071 0 2 Mshowa
gsave
0.002 setlinewidth
0.78571 0.26071 moveto
0.78571 0.26696 lineto
stroke
grestore
[(40)] 0.78571 0.26071 0 2 Mshowa
gsave
0.002 setlinewidth
0.97619 0.26071 moveto
0.97619 0.26696 lineto
stroke
grestore
[(50)] 0.97619 0.26071 0 2 Mshowa
gsave
0.001 setlinewidth
0.0619 0.26071 moveto
0.0619 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1 0.26071 moveto
0.1 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1381 0.26071 moveto
0.1381 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.17619 0.26071 moveto
0.17619 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25238 0.26071 moveto
0.25238 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.29048 0.26071 moveto
0.29048 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.32857 0.26071 moveto
0.32857 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.36667 0.26071 moveto
0.36667 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.44286 0.26071 moveto
0.44286 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.48095 0.26071 moveto
0.48095 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.51905 0.26071 moveto
0.51905 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.55714 0.26071 moveto
0.55714 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.63333 0.26071 moveto
0.63333 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.67143 0.26071 moveto
0.67143 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.70952 0.26071 moveto
0.70952 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74762 0.26071 moveto
0.74762 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82381 0.26071 moveto
0.82381 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8619 0.26071 moveto
0.8619 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9 0.26071 moveto
0.9 0.26446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9381 0.26071 moveto
0.9381 0.26446 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.26071 moveto
1 0.26071 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.02381 0.0163 moveto
0.03006 0.0163 lineto
stroke
grestore
[(-0.4)] 0.01131 0.0163 1 0 Mshowa
gsave
0.002 setlinewidth
0.02381 0.13851 moveto
0.03006 0.13851 lineto
stroke
grestore
[(-0.2)] 0.01131 0.13851 1 0 Mshowa
gsave
0.002 setlinewidth
0.02381 0.38292 moveto
0.03006 0.38292 lineto
stroke
grestore
[(0.2)] 0.01131 0.38292 1 0 Mshowa
gsave
0.002 setlinewidth
0.02381 0.50512 moveto
0.03006 0.50512 lineto
stroke
grestore
[(0.4)] 0.01131 0.50512 1 0 Mshowa
gsave
0.001 setlinewidth
0.02381 0.04074 moveto
0.02756 0.04074 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.06519 moveto
0.02756 0.06519 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.08963 moveto
0.02756 0.08963 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.11407 moveto
0.02756 0.11407 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.16295 moveto
0.02756 0.16295 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.18739 moveto
0.02756 0.18739 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.21183 moveto
0.02756 0.21183 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.23627 moveto
0.02756 0.23627 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.28515 moveto
0.02756 0.28515 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.30959 moveto
0.02756 0.30959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.33404 moveto
0.02756 0.33404 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.35848 moveto
0.02756 0.35848 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.40736 moveto
0.02756 0.40736 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.4318 moveto
0.02756 0.4318 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.45624 moveto
0.02756 0.45624 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.48068 moveto
0.02756 0.48068 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.52956 moveto
0.02756 0.52956 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.554 moveto
0.02756 0.554 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.57844 moveto
0.02756 0.57844 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02381 0.60289 moveto
0.02756 0.60289 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0.04948 0.61803 moveto
0.06532 0.33524 lineto
stroke
0.06532 0.33524 moveto
0.07027 0.24993 lineto
0.07522 0.17395 lineto
0.08017 0.11053 lineto
0.08264 0.08433 lineto
0.08512 0.06212 lineto
0.08759 0.04407 lineto
0.08883 0.03665 lineto
0.09007 0.0303 lineto
0.09131 0.02503 lineto
0.09254 0.02084 lineto
0.09378 0.01773 lineto
0.09502 0.01569 lineto
0.09626 0.01472 lineto
0.0975 0.01478 lineto
0.09873 0.01588 lineto
0.09997 0.01798 lineto
0.10121 0.02107 lineto
0.10245 0.02511 lineto
0.10492 0.03592 lineto
0.1074 0.05015 lineto
0.10987 0.06745 lineto
0.11482 0.10984 lineto
0.12472 0.21395 lineto
0.13462 0.3201 lineto
0.13957 0.36551 lineto
0.14452 0.40212 lineto
0.147 0.41649 lineto
0.14947 0.42796 lineto
0.15071 0.43257 lineto
0.15195 0.43642 lineto
0.15319 0.43949 lineto
0.15442 0.44178 lineto
0.15566 0.44329 lineto
0.1569 0.44402 lineto
0.15814 0.44397 lineto
0.15937 0.44315 lineto
0.16061 0.44157 lineto
0.16185 0.43925 lineto
0.16433 0.43243 lineto
0.1668 0.42287 lineto
0.16928 0.41075 lineto
0.17423 0.37989 lineto
0.18413 0.30021 lineto
0.19403 0.21518 lineto
0.19898 0.17764 lineto
0.20393 0.14665 lineto
0.2064 0.13421 lineto
0.20888 0.12406 lineto
0.21012 0.11988 lineto
Mistroke
0.21135 0.11633 lineto
0.21259 0.11341 lineto
0.21383 0.11112 lineto
0.21507 0.10948 lineto
0.2163 0.10849 lineto
0.21754 0.10814 lineto
0.21878 0.10843 lineto
0.22002 0.10937 lineto
0.22125 0.11094 lineto
0.22249 0.11312 lineto
0.22373 0.11592 lineto
0.22621 0.12326 lineto
0.22868 0.13282 lineto
0.23363 0.15781 lineto
0.24353 0.22433 lineto
0.25343 0.29732 lineto
0.25838 0.3302 lineto
0.26333 0.35776 lineto
0.26581 0.36901 lineto
0.26828 0.37832 lineto
0.26952 0.3822 lineto
0.27076 0.38556 lineto
0.272 0.38837 lineto
0.27323 0.39064 lineto
0.27447 0.39234 lineto
0.27571 0.39348 lineto
0.27695 0.39406 lineto
0.27818 0.39407 lineto
0.27942 0.39352 lineto
0.28066 0.39242 lineto
0.2819 0.39076 lineto
0.28313 0.38857 lineto
0.28561 0.38261 lineto
0.28809 0.37467 lineto
0.29304 0.35344 lineto
0.30294 0.29552 lineto
0.31284 0.23059 lineto
0.31779 0.20088 lineto
0.32274 0.17566 lineto
0.32521 0.16525 lineto
0.32769 0.15652 lineto
0.33016 0.14962 lineto
0.3314 0.14688 lineto
0.33264 0.14463 lineto
0.33388 0.14288 lineto
0.33511 0.14164 lineto
0.33635 0.1409 lineto
0.33759 0.14067 lineto
0.33883 0.14094 lineto
0.34006 0.14172 lineto
Mistroke
0.3413 0.143 lineto
0.34254 0.14476 lineto
0.34501 0.14973 lineto
0.34749 0.15653 lineto
0.35244 0.17505 lineto
0.36234 0.22674 lineto
0.37224 0.28578 lineto
0.37719 0.31314 lineto
0.38214 0.33663 lineto
0.38709 0.35474 lineto
0.38957 0.3614 lineto
0.39081 0.36408 lineto
0.39204 0.36632 lineto
0.39328 0.36811 lineto
0.39452 0.36944 lineto
0.39576 0.3703 lineto
0.39699 0.3707 lineto
0.39823 0.37064 lineto
0.39947 0.37012 lineto
0.40071 0.36913 lineto
0.40194 0.36769 lineto
0.40442 0.36349 lineto
0.40689 0.35758 lineto
0.41185 0.34113 lineto
0.4168 0.31953 lineto
0.42175 0.29427 lineto
0.43165 0.2398 lineto
0.4366 0.21424 lineto
0.44155 0.19209 lineto
0.4465 0.17479 lineto
0.44897 0.16831 lineto
0.45021 0.16566 lineto
0.45145 0.16342 lineto
0.45269 0.1616 lineto
0.45392 0.1602 lineto
0.45516 0.15922 lineto
0.4564 0.15868 lineto
0.45764 0.15857 lineto
0.45887 0.15889 lineto
0.46011 0.15964 lineto
0.46135 0.16081 lineto
0.46259 0.1624 lineto
0.46382 0.1644 lineto
0.4663 0.16959 lineto
0.46877 0.17628 lineto
0.47125 0.18436 lineto
0.48115 0.22734 lineto
0.49105 0.27812 lineto
0.496 0.30221 lineto
0.50095 0.32328 lineto
Mistroke
0.50343 0.33225 lineto
0.5059 0.33996 lineto
0.50838 0.3463 lineto
0.50962 0.34892 lineto
0.51085 0.35116 lineto
0.51209 0.35302 lineto
0.51333 0.35449 lineto
0.51457 0.35555 lineto
0.5158 0.35621 lineto
0.51704 0.35647 lineto
0.51828 0.35633 lineto
0.51952 0.35578 lineto
0.52075 0.35483 lineto
0.54056 0.29407 lineto
0.55046 0.24635 lineto
0.55541 0.22347 lineto
0.56036 0.20329 lineto
0.56283 0.19463 lineto
0.56531 0.18713 lineto
0.56778 0.1809 lineto
0.56902 0.17829 lineto
0.57026 0.17604 lineto
0.5715 0.17415 lineto
0.57273 0.17263 lineto
0.57397 0.17148 lineto
0.57521 0.17071 lineto
0.57645 0.17032 lineto
0.57768 0.17032 lineto
0.57892 0.17069 lineto
0.58016 0.17145 lineto
0.5814 0.17258 lineto
0.58263 0.17408 lineto
0.58511 0.17815 lineto
0.58758 0.18359 lineto
0.59006 0.19031 lineto
0.59996 0.22728 lineto
0.60986 0.27238 lineto
0.61481 0.29423 lineto
0.61976 0.31366 lineto
0.62224 0.32206 lineto
0.62471 0.32939 lineto
0.62719 0.33554 lineto
0.62966 0.3404 lineto
0.6309 0.34232 lineto
0.63214 0.3439 lineto
0.63338 0.34512 lineto
0.63461 0.34598 lineto
0.63585 0.34648 lineto
0.63709 0.34662 lineto
0.63833 0.3464 lineto
Mistroke
0.63956 0.34582 lineto
0.6408 0.34488 lineto
0.64204 0.34358 lineto
0.64451 0.33996 lineto
0.64699 0.33502 lineto
0.64946 0.32885 lineto
0.65937 0.29429 lineto
0.66927 0.25147 lineto
0.67422 0.2305 lineto
0.67917 0.21172 lineto
0.68412 0.19635 lineto
0.68659 0.19027 lineto
0.68907 0.18541 lineto
0.69031 0.18345 lineto
0.69154 0.18183 lineto
0.69278 0.18053 lineto
0.69402 0.17958 lineto
0.69526 0.17898 lineto
0.69649 0.17872 lineto
0.69773 0.1788 lineto
0.69897 0.17923 lineto
0.70021 0.18001 lineto
0.70144 0.18112 lineto
0.70392 0.18434 lineto
0.70639 0.18883 lineto
0.70887 0.19452 lineto
0.71382 0.20905 lineto
0.71877 0.22694 lineto
0.72867 0.26777 lineto
0.73362 0.28795 lineto
0.73857 0.30617 lineto
0.74352 0.32122 lineto
0.746 0.32724 lineto
0.74847 0.33212 lineto
0.74971 0.33411 lineto
0.75095 0.33578 lineto
0.75219 0.33713 lineto
0.75342 0.33816 lineto
0.75466 0.33887 lineto
0.7559 0.33924 lineto
0.75714 0.33928 lineto
0.75837 0.33898 lineto
0.75961 0.33836 lineto
0.76085 0.33741 lineto
0.76209 0.33614 lineto
0.76332 0.33456 lineto
0.7658 0.33047 lineto
0.76827 0.32522 lineto
0.77322 0.31162 lineto
0.77817 0.29471 lineto
Mistroke
0.78808 0.25567 lineto
0.79303 0.23618 lineto
0.79798 0.21846 lineto
0.80293 0.20368 lineto
0.8054 0.19771 lineto
0.80788 0.19282 lineto
0.80911 0.1908 lineto
0.81035 0.18908 lineto
0.81159 0.18767 lineto
0.81283 0.18656 lineto
0.81406 0.18577 lineto
0.8153 0.1853 lineto
0.81654 0.18515 lineto
0.81778 0.18531 lineto
0.81902 0.1858 lineto
0.82025 0.1866 lineto
0.82149 0.18771 lineto
0.82273 0.18912 lineto
0.8252 0.19284 lineto
0.82768 0.1977 lineto
0.83263 0.21044 lineto
0.83758 0.22648 lineto
0.84748 0.26389 lineto
0.85243 0.28276 lineto
0.85738 0.30003 lineto
0.86233 0.31457 lineto
0.86481 0.3205 lineto
0.86728 0.32541 lineto
0.86852 0.32746 lineto
0.86976 0.32922 lineto
0.87099 0.33069 lineto
0.87223 0.33186 lineto
0.87347 0.33273 lineto
0.87471 0.3333 lineto
0.87594 0.33356 lineto
0.87718 0.33351 lineto
0.87842 0.33315 lineto
0.87966 0.33249 lineto
0.8809 0.33153 lineto
0.88213 0.33027 lineto
0.88461 0.32689 lineto
0.88708 0.32239 lineto
0.89203 0.31043 lineto
0.89698 0.2952 lineto
0.90688 0.25926 lineto
0.91679 0.2241 lineto
0.92174 0.20978 lineto
0.92421 0.20387 lineto
0.92669 0.19894 lineto
0.92916 0.19507 lineto
Mistroke
0.9304 0.19355 lineto
0.93164 0.19231 lineto
0.93287 0.19136 lineto
0.93411 0.19071 lineto
0.93535 0.19035 lineto
0.93659 0.19029 lineto
0.93782 0.19053 lineto
0.93906 0.19106 lineto
0.9403 0.19189 lineto
0.94154 0.193 lineto
0.94401 0.19608 lineto
0.94649 0.20023 lineto
0.95144 0.21148 lineto
0.95639 0.22596 lineto
0.97619 0.29482 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0.04134 0.61803 moveto
0.04552 0.5636 lineto
stroke
0.04552 0.5636 moveto
0.06532 0.30184 lineto
0.07027 0.24244 lineto
0.07522 0.19019 lineto
0.08017 0.14711 lineto
0.08264 0.12953 lineto
0.08512 0.11477 lineto
0.08759 0.10296 lineto
0.08883 0.09818 lineto
0.09007 0.09415 lineto
0.09131 0.09088 lineto
0.09254 0.08836 lineto
0.09378 0.0866 lineto
0.09502 0.08558 lineto
0.09626 0.0853 lineto
0.0975 0.08574 lineto
0.09873 0.0869 lineto
0.09997 0.08875 lineto
0.10121 0.09129 lineto
0.10245 0.09448 lineto
0.10492 0.10274 lineto
0.10987 0.12606 lineto
0.11482 0.15676 lineto
0.12472 0.23098 lineto
0.13462 0.30566 lineto
0.13957 0.33732 lineto
0.14205 0.35088 lineto
0.14452 0.36266 lineto
0.147 0.3725 lineto
0.14947 0.3803 lineto
0.15071 0.3834 lineto
0.15195 0.38596 lineto
0.15319 0.38797 lineto
0.15442 0.38943 lineto
0.15566 0.39034 lineto
0.1569 0.3907 lineto
0.15814 0.39051 lineto
0.15937 0.38978 lineto
0.16061 0.38852 lineto
0.16185 0.38673 lineto
0.16433 0.38164 lineto
0.1668 0.37463 lineto
0.16928 0.36584 lineto
0.17423 0.34366 lineto
0.18413 0.28696 lineto
0.19403 0.22696 lineto
0.19898 0.20062 lineto
0.20393 0.17899 lineto
0.2064 0.17035 lineto
0.20888 0.16334 lineto
Mistroke
0.21012 0.16048 lineto
0.21135 0.15805 lineto
0.21259 0.15607 lineto
0.21383 0.15455 lineto
0.21507 0.15347 lineto
0.2163 0.15286 lineto
0.21754 0.1527 lineto
0.21878 0.153 lineto
0.22002 0.15374 lineto
0.22125 0.15494 lineto
0.22249 0.15656 lineto
0.22373 0.15862 lineto
0.22621 0.16396 lineto
0.22868 0.17086 lineto
0.23363 0.18875 lineto
0.24353 0.23604 lineto
0.25343 0.2876 lineto
0.25838 0.31072 lineto
0.26333 0.33004 lineto
0.26581 0.33789 lineto
0.26828 0.34437 lineto
0.26952 0.34706 lineto
0.27076 0.34938 lineto
0.272 0.35131 lineto
0.27323 0.35285 lineto
0.27447 0.354 lineto
0.27571 0.35474 lineto
0.27695 0.35509 lineto
0.27818 0.35505 lineto
0.27942 0.3546 lineto
0.28066 0.35376 lineto
0.2819 0.35254 lineto
0.28313 0.35093 lineto
0.28561 0.34662 lineto
0.28809 0.3409 lineto
0.29304 0.32573 lineto
0.30294 0.28459 lineto
0.31284 0.2387 lineto
0.31779 0.21778 lineto
0.32274 0.20006 lineto
0.32521 0.19277 lineto
0.32769 0.18667 lineto
0.33016 0.18187 lineto
0.3314 0.17998 lineto
0.33264 0.17843 lineto
0.33388 0.17723 lineto
0.33511 0.1764 lineto
0.33635 0.17592 lineto
0.33759 0.17579 lineto
0.33883 0.17603 lineto
Mistroke
0.34006 0.17662 lineto
0.3413 0.17756 lineto
0.34254 0.17885 lineto
0.34501 0.18244 lineto
0.34749 0.18732 lineto
0.35244 0.20054 lineto
0.36234 0.23723 lineto
0.37224 0.27897 lineto
0.37719 0.29827 lineto
0.38214 0.31479 lineto
0.38709 0.32748 lineto
0.38957 0.33213 lineto
0.39081 0.334 lineto
0.39204 0.33555 lineto
0.39328 0.33679 lineto
0.39452 0.33769 lineto
0.39576 0.33827 lineto
0.39699 0.33852 lineto
0.39823 0.33845 lineto
0.39947 0.33804 lineto
0.40071 0.33732 lineto
0.40194 0.33627 lineto
0.40442 0.33323 lineto
0.40689 0.329 lineto
0.41185 0.31727 lineto
0.42175 0.28401 lineto
0.43165 0.2455 lineto
0.4366 0.22747 lineto
0.44155 0.21187 lineto
0.4465 0.19972 lineto
0.44897 0.19518 lineto
0.45021 0.19334 lineto
0.45145 0.19178 lineto
0.45269 0.19051 lineto
0.45392 0.18955 lineto
0.45516 0.18889 lineto
0.4564 0.18853 lineto
0.45764 0.18848 lineto
0.45887 0.18873 lineto
0.46011 0.18928 lineto
0.46135 0.19014 lineto
0.46259 0.19129 lineto
0.46382 0.19272 lineto
0.4663 0.19644 lineto
0.47125 0.20696 lineto
0.4762 0.22096 lineto
0.48115 0.23745 lineto
0.49105 0.27337 lineto
0.496 0.29038 lineto
0.50095 0.30522 lineto
Mistroke
0.50343 0.31153 lineto
0.5059 0.31695 lineto
0.50838 0.32139 lineto
0.50962 0.32323 lineto
0.51085 0.32479 lineto
0.51209 0.32608 lineto
0.51333 0.3271 lineto
0.51457 0.32783 lineto
0.5158 0.32828 lineto
0.51704 0.32844 lineto
0.51828 0.32831 lineto
0.51952 0.32791 lineto
0.52075 0.32721 lineto
0.54056 0.28401 lineto
0.55046 0.25027 lineto
0.55541 0.23411 lineto
0.56036 0.21988 lineto
0.56283 0.21379 lineto
0.56531 0.20851 lineto
0.56778 0.20414 lineto
0.56902 0.20231 lineto
0.57026 0.20073 lineto
0.5715 0.19941 lineto
0.57273 0.19836 lineto
0.57397 0.19756 lineto
0.57521 0.19704 lineto
0.57645 0.19678 lineto
0.57768 0.19679 lineto
0.57892 0.19708 lineto
0.58016 0.19763 lineto
0.5814 0.19844 lineto
0.58263 0.19952 lineto
0.58511 0.20243 lineto
0.58758 0.20631 lineto
0.59006 0.21109 lineto
0.59996 0.23731 lineto
0.60986 0.26921 lineto
0.61481 0.28465 lineto
0.61976 0.29835 lineto
0.62224 0.30427 lineto
0.62471 0.30943 lineto
0.62719 0.31375 lineto
0.62966 0.31715 lineto
0.6309 0.3185 lineto
0.63214 0.3196 lineto
0.63338 0.32045 lineto
0.63461 0.32104 lineto
0.63585 0.32138 lineto
0.63709 0.32147 lineto
0.63833 0.32129 lineto
Mistroke
0.63956 0.32087 lineto
0.6408 0.32019 lineto
0.64204 0.31926 lineto
0.64451 0.31667 lineto
0.64699 0.31315 lineto
0.64946 0.30876 lineto
0.65937 0.28425 lineto
0.66927 0.25396 lineto
0.67422 0.23915 lineto
0.67917 0.22589 lineto
0.68412 0.21507 lineto
0.68659 0.21079 lineto
0.68907 0.20738 lineto
0.69031 0.20601 lineto
0.69154 0.20487 lineto
0.69278 0.20397 lineto
0.69402 0.20331 lineto
0.69526 0.2029 lineto
0.69649 0.20272 lineto
0.69773 0.2028 lineto
0.69897 0.20312 lineto
0.70021 0.20368 lineto
0.70144 0.20448 lineto
0.70392 0.20678 lineto
0.70639 0.20998 lineto
0.70887 0.21402 lineto
0.71877 0.23701 lineto
0.72867 0.26589 lineto
0.73362 0.28015 lineto
0.73857 0.29301 lineto
0.74352 0.30362 lineto
0.746 0.30786 lineto
0.74847 0.31129 lineto
0.74971 0.31268 lineto
0.75095 0.31385 lineto
0.75219 0.3148 lineto
0.75342 0.31551 lineto
0.75466 0.316 lineto
0.7559 0.31625 lineto
0.75714 0.31627 lineto
0.75837 0.31605 lineto
0.75961 0.3156 lineto
0.76085 0.31491 lineto
0.76209 0.314 lineto
0.76332 0.31287 lineto
0.7658 0.30996 lineto
0.76827 0.30623 lineto
0.77322 0.29658 lineto
0.77817 0.2846 lineto
0.78808 0.25698 lineto
Mistroke
0.79303 0.24321 lineto
0.79798 0.2307 lineto
0.80293 0.22028 lineto
0.8054 0.21607 lineto
0.80788 0.21263 lineto
0.80911 0.21121 lineto
0.81035 0.21001 lineto
0.81159 0.20902 lineto
0.81283 0.20825 lineto
0.81406 0.2077 lineto
0.8153 0.20738 lineto
0.81654 0.20728 lineto
0.81778 0.2074 lineto
0.81902 0.20776 lineto
0.82025 0.20833 lineto
0.82149 0.20913 lineto
0.82273 0.21014 lineto
0.8252 0.21279 lineto
0.82768 0.21624 lineto
0.83263 0.22528 lineto
0.83758 0.23664 lineto
0.84748 0.26311 lineto
0.85243 0.27644 lineto
0.85738 0.28864 lineto
0.86233 0.2989 lineto
0.86481 0.30308 lineto
0.86728 0.30653 lineto
0.86852 0.30797 lineto
0.86976 0.30921 lineto
0.87099 0.31024 lineto
0.87223 0.31106 lineto
0.87347 0.31166 lineto
0.87471 0.31206 lineto
0.87594 0.31223 lineto
0.87718 0.31219 lineto
0.87842 0.31192 lineto
0.87966 0.31145 lineto
0.8809 0.31076 lineto
0.88213 0.30986 lineto
0.88461 0.30745 lineto
0.88708 0.30426 lineto
0.89203 0.29577 lineto
0.89698 0.28498 lineto
0.90688 0.25955 lineto
0.91679 0.23471 lineto
0.92174 0.2246 lineto
0.92421 0.22044 lineto
0.92669 0.21697 lineto
0.92916 0.21425 lineto
0.9304 0.21318 lineto
Mistroke
0.93164 0.21231 lineto
0.93287 0.21165 lineto
0.93411 0.2112 lineto
0.93535 0.21095 lineto
0.93659 0.21092 lineto
0.93782 0.21109 lineto
0.93906 0.21148 lineto
0.9403 0.21207 lineto
0.94154 0.21287 lineto
0.94401 0.21506 lineto
0.94649 0.21801 lineto
0.95144 0.22599 lineto
0.95639 0.23625 lineto
0.97619 0.28493 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Gibbs' Phenomenon for Bessel Functions
:[font = text; inactive; preserveAspect; ]

	There is a Gibbs phenomenon for Bessel functions slightly different
from that of trigonometric functions.  To see it let us graph some of the
partial sums of the Fourier-Bessel expansion of the function defined by
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 0; pictureWidth = 139; pictureHeight = 41; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.294964
200 dict begin
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0 1 0 1 [
[ 0 0 0 0 ]
[ 139 41 0 0 ]
] MathScale
% Start of Graphics
%!PS-Adobe-2.0 EPSF-2.0
%%Title: 
%%Creator: EquationBuilder
%%CreationDate: Mon Aug  3 19:34:23 1992
%%For: gray
%%DocumentFonts: (atend)
%%Pages: 0 1
%%BoundingBox: 0 0 139 41
%%Translation: 1 16.444 137.880005 0
%%EndComments

%%BeginDocument: /usr/lib/NextStep/printPackage.ps
%!PS-Adobe-2.0
%%Title: Printing Package
%%EndComments
%Version: 2.0
%Copyright: 1988, NeXT, Inc.

/__NXdef{1 index where{pop pop pop}{def}ifelse}bind def
/__NXbdef{1 index where{pop pop pop}{bind def}ifelse}bind def
/UserObjects 10 array __NXdef
/defineuserobject{
	exch dup 1 add dup UserObjects length gt{
		array dup 0 UserObjects putinterval
		/UserObjects exch def
	}{pop}ifelse UserObjects exch 3 -1 roll put
}__NXbdef
/undefineuserobject{UserObjects exch null put}__NXbdef
/execuserobject{UserObjects exch get exec}__NXbdef
/__NXRectPath{4 2 roll moveto 1 index 0 rlineto
0 exch rlineto neg 0 rlineto closepath}__NXbdef
/__NXProcessRectArgs{
	1 index type /arraytype eq{
		exch 0 4 2 index length 1 sub{
			dup 3 add 1 exch{1 index exch get exch}for
			5 1 roll 5 index exec
		}for pop pop
	}{exec}ifelse
}__NXbdef
/rectfill{gsave newpath {__NXRectPath fill} __NXProcessRectArgs grestore}__NXbdef
/rectclip{newpath {__NXRectPath} __NXProcessRectArgs clip newpath}__NXbdef
/rectstroke{
	gsave newpath dup type /arraytype eq{dup length 6 eq}{false}ifelse{
		{gsave __NXRectPath null concat stroke grestore}
		dup length array cvx copy dup 2 4 -1 roll put __NXProcessRectArgs
	}{{__NXRectPath stroke} __NXProcessRectArgs}ifelse grestore
}__NXbdef
/xyshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		3 index 3 index 2 mul 1 add get add exch
		3 index	3 index 2 mul get add exch moveto pop
	}for pop pop
}__NXbdef
/xshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		exch 3 index 3 index get add exch moveto pop
	}for pop pop
}__NXbdef
/yshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		3 index 3 index get add moveto pop
	}for pop pop
}__NXbdef
/arct{arcto pop pop pop pop}__NXbdef
/setbbox{pop pop pop pop}__NXbdef
/ucache{}__NXbdef
/ucachestatus{mark 0 0 0 0 0}__NXbdef
/setucacheparams{cleartomark}__NXbdef
/uappend{systemdict begin cvx exec end}__NXbdef
/ueofill{gsave newpath uappend eofill grestore}__NXbdef
/ufill{gsave newpath uappend fill grestore}__NXbdef
/ustroke{
	gsave newpath dup length 6 eq
	{exch uappend concat}{uappend}ifelse
	stroke grestore
}__NXbdef
/__NXustrokepathMatrix dup where {pop pop}{matrix def}ifelse
/ustrokepath{
	newpath dup length 6 eq{
		exch uappend __NXustrokepathMatrix currentmatrix exch concat
		strokepath setmatrix
	}{uappend strokepath}ifelse
} __NXbdef
/upath{
	[exch {/ucache cvx}if pathbbox /setbbox cvx
	 {/moveto cvx}{/lineto cvx}{/curveto cvx}{/closepath cvx}pathforall]cvx
} __NXbdef
/setstrokeadjust{pop}__NXbdef
/currentstrokeadjust{false}__NXbdef
/selectfont{exch findfont exch
dup type /arraytype eq {makefont}{scalefont}ifelse setfont}__NXbdef
/_NXCombineArrays{
	counttomark dup 2 add index dup length 3 -1 roll {
		2 index length sub dup 4 1 roll 1 index exch 4 -1 roll putinterval exch
	}repeat pop pop pop
}__NXbdef
/setcmykcolor{
	1.0 exch sub dup dup 6 -1 roll
	sub dup 0 lt{pop 0}if 5 1 roll
	4 -1 roll sub dup 0 lt{pop 0}if 3 1 roll
	exch sub dup 0 lt{pop 0}if setrgbcolor
}__NXbdef
/currentcmykcolor{currentrgbcolor 3{1.0 exch sub 3 1 roll}repeat 0}__NXbdef
/flushgraphics{}def
/setwindowtype{pop pop}def
/currentwindowtype{pop 0}def
/setalpha{pop}def
/currentalpha{1.0}def
/hidecursor{}def
/obscurecursor{}def
/revealcursor{}def
/setcursor{4 {pop}repeat}bind def
/showcursor{}def
/NextStepEncoding where not{
/NextStepEncoding StandardEncoding 256 array copy def
0 [129/Agrave/Aacute/Acircumflex/Atilde/Adieresis/Aring/Ccedilla/Egrave
/Eacute/Ecircumflex/Edieresis/Igrave/Iacute/Icircumflex/Idieresis
/Eth/Ntilde/Ograve/Oacute/Ocircumflex/Otilde/Odieresis/Ugrave/Uacute
/Ucircumflex/Udieresis/Yacute/Thorn/mu/multiply/divide/copyright
176/registered 181/brokenbar 190/logicalnot 192/onesuperior 201/twosuperior
204/threesuperior 209/plusminus/onequarter/onehalf/threequarters/agrave
/aacute/acircumflex/atilde/adieresis/aring/ccedilla/egrave/eacute
/ecircumflex/edieresis/igrave 226/iacute 228/icircumflex/idieresis/eth
/ntilde 236/ograve/oacute/ocircumflex/otilde/odieresis 242/ugrave/uacute
/ucircumflex 246/udieresis/yacute 252/thorn/ydieresis]
{dup type /nametype eq
 {NextStepEncoding 2 index 2 index put pop 1 add}{exch pop}ifelse
}forall pop
/NextStepEncoding NextStepEncoding readonly def   
/_NXfstr 128 string dup 0 (_NX) putinterval def   
/findfont{
 % Because we can never let NextStepEncoding get into
 % SharedFontDirectory, we cannot reencode a font to NextStepEncoding
 % if we are in shared mode.  So if currentshared is true,
 % we call the normal findfont and return that
 /currentshared where {pop currentshared} {false} ifelse
 {//findfont exec}
 {dup _NXfstr 3 125 getinterval cvs length 3 add _NXfstr 0 3 -1 roll
  getinterval cvn exch FontDirectory 2 index known 
  {pop FontDirectory exch get}
  {//findfont exec dup /Encoding get StandardEncoding eq
   {	dup length dict exch
	{1 index /FID ne {2 index 3 1 roll put}{pop pop}ifelse}forall
	 dup /Encoding NextStepEncoding put definefont
	}{exch pop} ifelse
   }ifelse
 }ifelse
}bind def
}{pop}ifelse
/_NXProcArray 5 array __NXdef
/_NXChannels 0 __NXdef
/_NXTotalBytes 0 __NXdef
/_NXDoImageOp{
	1 index{dup}{1}ifelse /_NXChannels exch store
	_NXChannels 2 add 2 roll _NXProcArray 0 _NXChannels getinterval astore pop
	5 index 4 index mul 2 index{1 sub 8 idiv 1 add mul}{mul 1 sub 8 idiv 1 add}ifelse
	4 index mul /_NXTotalBytes exch store pop exch pop
	gsave matrix invertmatrix concat 0.5 setgray 0 0 4 2 roll rectfill grestore
	{	0 1 _NXChannels 1 sub{
			_NXProcArray exch get exec
			length _NXTotalBytes exch sub /_NXTotalBytes exch store}for
		_NXTotalBytes 0 le{exit}if
	}loop /_NXProcArray 5 array def
}__NXbdef
/colorimage{_NXDoImageOp}__NXbdef
/alphaimage{1 add _NXDoImageOp}def
%%EndDocument

% EquationBuilder(TM) Expression
% +.\Jr(=:/*V[StRFQAYmdjEEA;1nuN+[co.OZ7L#cq3iK%3:</XJ@:d#6;^G;Td47dud<A3@
% 5%MGToUOR5&d`'TuEDU)B-tbR".R+:s&l.51c&0M'9:V1XA]=NZgT+TapkbQ1TiO8qO##pFg
% SV27Z%C%),,7&[ne(c'<W+g@4!;?.76d#C!iJ0@Ju`AW"Zk%:1$+0PmBo;2s;99LJh%SVCE)
% MA.D#"V,>l4t:'\cc%f,u5I7KGQRBN*lp[0QL,ShBY)pi(fsC&eZ=/.B!659En<Z0`[#-KJ"
% ,Lgjhp52JLm@U%;/?*SQWm'>bd*F,\J!5"R)D41?A2^4?AOD@1YW4GM.Z%pga9n,%\<kQ_);
% 5Cai+oG>;m!=Aln$7U)E++R!97hGhPZ(Vb"DHI-9D<:SI*e+@?7nA!GojAgaV-pghDlAV,<^
% LM'LRf]pPW+,*1OuB[A?qG46!IR7+9QlJ793'9o'rV!HgV%KK7eh&0EiG)N)>=fOpu]2L@_P
% A+Xf,ta%M[cDYT]VVJtcGQrb%`VNte:8][5bL7'?7B"j*KDHIfKAt<m5@O7U\$F$Ft62E#XI
% tFt_S9!TEBqC]K,$E\?b8'm:UV91n@?PZ$)/#CI*kA,:I9rB*RWO_Xkc(;bl)CALc8k0jVQ/
% <!T<$[,BVi7o8nO5?/B:Ad^3-AfEMJJ+l(P%n8k:GK'$K7;K[;L6K1<ooj[L7fq'g1_GkRnG
% L%<,tX2qukCLlSIWopW!aUk)JlP8n.P6jKOLDr3U-uH:57`<0VF".145Hj550#2Vd(n&7N<P
% Y@<hiTGB"6WQDbGuI5I&j90FUT\3WH+L`S%+3#EliL)m.%6<\ib#1e1t4+aI"/DD(P!FK(Gt
% 1JgcQ!0;Ar]cR[>q1=AUtgum"p)GTkJmlGl:d]O52cdaBM?q\_,#_@-04cA.'ZaUKN[1`3H1
% 9A\[K4:pX&b2MFf2Mj2*40VD*V\@7>-$E&@hYRhfMIduCd]nSNN*d"4+<tAJ5LF('T?aQ7N%
% U+1-c.[U]Cf'1D6q2$u'gW?N>h21;LS#QNI!Kr8kD[J-=jA@"/D.BO:%e,@!5P$4Kde*-8b)
% )e63G[aWp,r07R:#dh"[:jk$ZJ-#'i5XfcE[3.nJ@CY8;"Q-[#^(>s[OTZ\55W=FE$DbFcqk
% +'I+RVMq_*8KtkY(ur&-P`.J.qo9"98E%x
% EndExpression N 945 3b1 E 63 S 1a5e9 R 82c544c4
gsave
 /__NXbasematrix matrix currentmatrix def
grestore
%%EndProlog
%%BeginSetup
%%EndSetup
0 0 138.880005 40.888 rectclip
0 0 138.880005 40.888 rectclip
0 setgray
1 setalpha
1 1 scale
/Symbol findfont 12 scalefont
48
exch
defineuserobject
48 execuserobject setfont
5.56 17.552 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
48 execuserobject setfont
17.200001 17.546 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
0.48 setlinewidth
124.980003 32.304001 moveto
130.480011 32.304001 lineto
stroke
0 setgray
1 setalpha
0.48 setlinewidth
87.470673 8.500002 moveto
92.970673 8.500002 lineto
stroke
0 setgray
1 setalpha
48 execuserobject setfont
1 0.153813 scale
36.01067 90.456581 moveto
<ef> show
36.01067 166.368423 moveto
<ef> show
1 6.501393 scale
36.01067 3.764956 moveto
<eeedec> [0 11.579044 0 11.507046 0 0] xyshow
0 setgray
1 setalpha
/Times-BoldItalic findfont 12 scalefont
49
exch
defineuserobject
49 execuserobject setfont
131.480011 5.500001 moveto
(.xxxf) [-25.254677 0 -0.5 23.803999 -95.365334 -11.860001 -9.360001 0 0 0 -1.681558e-44 14937.355469] xyshow
48 execuserobject setfont
115.55867 5.500001 moveto
<a33ca3a33d> [-19.254669 0 18.754669 23.803999 -19.254669 0 -70.746666 -11.860001 0 0 0 0] xyshow
/Times-Roman findfont 12 scalefont
50
exch
defineuserobject
50 execuserobject setfont
125.480003 5.500001 moveto
(1rof0,0rof1) [-56.005333 0 -6 0 -3.996002 0 -16 0 89.001343 23.803999 -46.009338 0 -15.996002 0 -6 1.907349e-06 -3.996002 -1.907349e-06 -18 0 0 0 0 0] xyshow
/Times-Roman findfont 9 scalefont
51
exch
defineuserobject
51 execuserobject setfont
87.970673 1.000001 moveto
(2121) [0 9 37.509331 14.803999 0 9 0 0 0 0] xyshow
%%Trailer
%%DocumentFonts: Times-BoldItalic
%%+ Times-Roman
%%+ Symbol

%End of Graphics
MathPictureEnd
end

:[font = text; inactive; preserveAspect; ]
The Fourier-Bessel expansion of   f(x)  is
;[s]
5:0,0;34,1;35,2;36,3;37,4;42,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 0; pictureWidth = 141; pictureHeight = 36; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.255319
200 dict begin
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0 1 0 1 [
[ 0 0 0 0 ]
[ 141 36 0 0 ]
] MathScale
% Start of Graphics
%!PS-Adobe-2.0 EPSF-2.0
%%Title: 
%%Creator: EquationBuilder
%%CreationDate: Mon Aug  3 16:22:41 1992
%%For: gray
%%DocumentFonts: (atend)
%%Pages: 0 1
%%BoundingBox: 0 0 141 36
%%Translation: 1 14.884993 139.253265 0
%%EndComments

%%BeginDocument: /usr/lib/NextStep/printPackage.ps
%!PS-Adobe-2.0
%%Title: Printing Package
%%EndComments
%Version: 2.0
%Copyright: 1988, NeXT, Inc.

/__NXdef{1 index where{pop pop pop}{def}ifelse}bind def
/__NXbdef{1 index where{pop pop pop}{bind def}ifelse}bind def
/UserObjects 10 array __NXdef
/defineuserobject{
	exch dup 1 add dup UserObjects length gt{
		array dup 0 UserObjects putinterval
		/UserObjects exch def
	}{pop}ifelse UserObjects exch 3 -1 roll put
}__NXbdef
/undefineuserobject{UserObjects exch null put}__NXbdef
/execuserobject{UserObjects exch get exec}__NXbdef
/__NXRectPath{4 2 roll moveto 1 index 0 rlineto
0 exch rlineto neg 0 rlineto closepath}__NXbdef
/__NXProcessRectArgs{
	1 index type /arraytype eq{
		exch 0 4 2 index length 1 sub{
			dup 3 add 1 exch{1 index exch get exch}for
			5 1 roll 5 index exec
		}for pop pop
	}{exec}ifelse
}__NXbdef
/rectfill{gsave newpath {__NXRectPath fill} __NXProcessRectArgs grestore}__NXbdef
/rectclip{newpath {__NXRectPath} __NXProcessRectArgs clip newpath}__NXbdef
/rectstroke{
	gsave newpath dup type /arraytype eq{dup length 6 eq}{false}ifelse{
		{gsave __NXRectPath null concat stroke grestore}
		dup length array cvx copy dup 2 4 -1 roll put __NXProcessRectArgs
	}{{__NXRectPath stroke} __NXProcessRectArgs}ifelse grestore
}__NXbdef
/xyshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		3 index 3 index 2 mul 1 add get add exch
		3 index	3 index 2 mul get add exch moveto pop
	}for pop pop
}__NXbdef
/xshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		exch 3 index 3 index get add exch moveto pop
	}for pop pop
}__NXbdef
/yshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		3 index 3 index get add moveto pop
	}for pop pop
}__NXbdef
/arct{arcto pop pop pop pop}__NXbdef
/setbbox{pop pop pop pop}__NXbdef
/ucache{}__NXbdef
/ucachestatus{mark 0 0 0 0 0}__NXbdef
/setucacheparams{cleartomark}__NXbdef
/uappend{systemdict begin cvx exec end}__NXbdef
/ueofill{gsave newpath uappend eofill grestore}__NXbdef
/ufill{gsave newpath uappend fill grestore}__NXbdef
/ustroke{
	gsave newpath dup length 6 eq
	{exch uappend concat}{uappend}ifelse
	stroke grestore
}__NXbdef
/__NXustrokepathMatrix dup where {pop pop}{matrix def}ifelse
/ustrokepath{
	newpath dup length 6 eq{
		exch uappend __NXustrokepathMatrix currentmatrix exch concat
		strokepath setmatrix
	}{uappend strokepath}ifelse
} __NXbdef
/upath{
	[exch {/ucache cvx}if pathbbox /setbbox cvx
	 {/moveto cvx}{/lineto cvx}{/curveto cvx}{/closepath cvx}pathforall]cvx
} __NXbdef
/setstrokeadjust{pop}__NXbdef
/currentstrokeadjust{false}__NXbdef
/selectfont{exch findfont exch
dup type /arraytype eq {makefont}{scalefont}ifelse setfont}__NXbdef
/_NXCombineArrays{
	counttomark dup 2 add index dup length 3 -1 roll {
		2 index length sub dup 4 1 roll 1 index exch 4 -1 roll putinterval exch
	}repeat pop pop pop
}__NXbdef
/setcmykcolor{
	1.0 exch sub dup dup 6 -1 roll
	sub dup 0 lt{pop 0}if 5 1 roll
	4 -1 roll sub dup 0 lt{pop 0}if 3 1 roll
	exch sub dup 0 lt{pop 0}if setrgbcolor
}__NXbdef
/currentcmykcolor{currentrgbcolor 3{1.0 exch sub 3 1 roll}repeat 0}__NXbdef
/flushgraphics{}def
/setwindowtype{pop pop}def
/currentwindowtype{pop 0}def
/setalpha{pop}def
/currentalpha{1.0}def
/hidecursor{}def
/obscurecursor{}def
/revealcursor{}def
/setcursor{4 {pop}repeat}bind def
/showcursor{}def
/NextStepEncoding where not{
/NextStepEncoding StandardEncoding 256 array copy def
0 [129/Agrave/Aacute/Acircumflex/Atilde/Adieresis/Aring/Ccedilla/Egrave
/Eacute/Ecircumflex/Edieresis/Igrave/Iacute/Icircumflex/Idieresis
/Eth/Ntilde/Ograve/Oacute/Ocircumflex/Otilde/Odieresis/Ugrave/Uacute
/Ucircumflex/Udieresis/Yacute/Thorn/mu/multiply/divide/copyright
176/registered 181/brokenbar 190/logicalnot 192/onesuperior 201/twosuperior
204/threesuperior 209/plusminus/onequarter/onehalf/threequarters/agrave
/aacute/acircumflex/atilde/adieresis/aring/ccedilla/egrave/eacute
/ecircumflex/edieresis/igrave 226/iacute 228/icircumflex/idieresis/eth
/ntilde 236/ograve/oacute/ocircumflex/otilde/odieresis 242/ugrave/uacute
/ucircumflex 246/udieresis/yacute 252/thorn/ydieresis]
{dup type /nametype eq
 {NextStepEncoding 2 index 2 index put pop 1 add}{exch pop}ifelse
}forall pop
/NextStepEncoding NextStepEncoding readonly def   
/_NXfstr 128 string dup 0 (_NX) putinterval def   
/findfont{
 % Because we can never let NextStepEncoding get into
 % SharedFontDirectory, we cannot reencode a font to NextStepEncoding
 % if we are in shared mode.  So if currentshared is true,
 % we call the normal findfont and return that
 /currentshared where {pop currentshared} {false} ifelse
 {//findfont exec}
 {dup _NXfstr 3 125 getinterval cvs length 3 add _NXfstr 0 3 -1 roll
  getinterval cvn exch FontDirectory 2 index known 
  {pop FontDirectory exch get}
  {//findfont exec dup /Encoding get StandardEncoding eq
   {	dup length dict exch
	{1 index /FID ne {2 index 3 1 roll put}{pop pop}ifelse}forall
	 dup /Encoding NextStepEncoding put definefont
	}{exch pop} ifelse
   }ifelse
 }ifelse
}bind def
}{pop}ifelse
/_NXProcArray 5 array __NXdef
/_NXChannels 0 __NXdef
/_NXTotalBytes 0 __NXdef
/_NXDoImageOp{
	1 index{dup}{1}ifelse /_NXChannels exch store
	_NXChannels 2 add 2 roll _NXProcArray 0 _NXChannels getinterval astore pop
	5 index 4 index mul 2 index{1 sub 8 idiv 1 add mul}{mul 1 sub 8 idiv 1 add}ifelse
	4 index mul /_NXTotalBytes exch store pop exch pop
	gsave matrix invertmatrix concat 0.5 setgray 0 0 4 2 roll rectfill grestore
	{	0 1 _NXChannels 1 sub{
			_NXProcArray exch get exec
			length _NXTotalBytes exch sub /_NXTotalBytes exch store}for
		_NXTotalBytes 0 le{exit}if
	}loop /_NXProcArray 5 array def
}__NXbdef
/colorimage{_NXDoImageOp}__NXbdef
/alphaimage{1 add _NXDoImageOp}def
%%EndDocument

% EquationBuilder(TM) Expression
% +.\Jr(=:/*V[StRFQAYmdjEEA;1nuN+[co.OZ7L#cq3iK%3:</XJ@:d#6;^G;Td47dud<A3@
% 5%MGToUOR5&d`'TuEDU)B-tbR".R+:s&m,VT6!0M"`eV$VD;,X_XRS2ihA"VLe`-6WLgVDQ[
% K-Oh*sQ3\5X&jqDA/d.K[>m^Q5J[c<T!&,[Tin#Mqf\EPQp`n<3FPaBu@nDhna*n=K8V8]^g
% &Pgo:u,"O8/K#JVW;G9-88oJL(Oh['1U:3`L@o]lIuWp?:"^H/d3!JP0!\R-jBZKMU3Y:IN&
% hI_^8*I1j!'<VA%_SCdPN3Cl[JBd&4p[B\PF5C3ORr`D%).LrU'Po=dkoi_<cVJGT=3fa%!K
% OT#7Xq'QFJ.AY=EIf1jP*(::3`.g`$\M5*QZAH%lH2/0d+!KnUf>Di^1%7RsEbP*"CPfl.+a
% 0LaYaGpUIHMFu(;?-oL)i`_$?DRt7O*fnCc4Y>O53\YL:lKT?3"jca%DIam\V.R*#?!jLb_S
% 3,`<JU7qI\]`8D]"kERe2.0#7jV3uuFON*ak-lAZj-/oWtFO`s'?#9YM6:d/t'dFb#S'fS'K
% 29QS7N-0OQ3X"B+X>hDYB]f/1/[18AsL4^Yok1r'[[+)"&4#SVP$VN?@#_Fb,((hIT]o,C2+
% Y/2NfmA8MlT4"(E^AMAH7BKGa<J2WFC$a>/fr1MN[gH@tL[*N"FY1lk6*.[$fPC.bOeBj4f.
% [`V2J/@EK$ME6oN,7-AnTED>Bc>L6@V\.%4DOKq"\8Qcn##O3*!<*e-_>WUgTRdAlFW7ZI8I
% ?`MO23WSP(_J.D8iGsgYoWNASJE_jfU'Q%0*'BO!O9e@ZMf2r#.,E_uBJ!5KWbi,leaNC[JE
% gnN=(QNZ$3MaZj9>FN55NN*MZ<PH6C7ke^N#"HjlM#m6>U0V6hb8UtEqV2-_-_"Q`BY^c^#4
% CE^F$Bj=R@&#)mRPkEI/C9DSY]lBK*6i3GNs./Da/k##\DSB.9kJbs8:lC<*(U,4L_*5=pX!
% '+^j'i;';DiZSfch]]VUZn\&l"[%YH#R8>:\]/n"\2k-\&Y#dB?2+=sdce+!*A2LJ7*iJnXk
% ]"(QL/W'%u5AmXaCC23k%[-<(#nUH:?]#EeThTKTqmkOkJ.'C\pX>3!/iC&UiNdIl9JbT)RS
% $*p4;!`!EIZ)&(u+<W(]^iF0MQthL]W<-#<C#e7$)H5:>UaN^179Z#Z/\cL=-;2,esEG=TB2
% ,UQQB`5quee_g3FZ_D[WT#_=-d''Km]k)<_3$>AB+@gIrW'Pp!"i#WG\E!\i7?jo?Z"9:F?%
% mp<sx
% EndExpression N 1039 40f E f5 S 1c1d3 R b19aebcd
gsave
 /__NXbasematrix matrix currentmatrix def
grestore
%%EndProlog
%%BeginSetup
/EqBFont 18 dict dup begin /FontType 3 def /PaintType 0 def /FontMatrix [0.001 0 0 0.001 0 0] def /FontBBox [15 -2950 1360 1045] def /Encoding [/.notdef /rad1 /rad2 /rad3 /rad4 /rad5 /radext /int /pathint /sum /prod /cdot /vdot /ddot /hbar /bigcap /bigcup /parallel] def /Metrics 18 dict dup begin /.notdef 0 def /rad1 1000 def /rad2 1000 def /rad3 1000 def /rad4 1000 def /rad5 1048 def /radext 1048 def /int 500 def /pathint 500 def /sum 700 def /prod 700 def /cdot 1000 def /vdot 550 def /ddot 1000 def /hbar 500 def /bigcap 700 def /bigcup 700 def /parallel 500 def end def /BBox 18 dict dup begin /.notdef [0 0 0 0] def /rad1 [110 -1150 1020 0] def /rad2 [110 -1750 1020 0] def /rad3 [110 -2350 1020 0] def /rad4 [110 -2950 1020 0] def /rad5 [128 -2890 740 0] def /radext [700 -600 740 0] def /int [20 0 425 1045] def /pathint [20 0 425 1045] def /sum [15 5 640 715] def /prod [15 0 670 715] def /cdot [110 215 890 325] def /vdot [165 -5 280 770] def /ddot [110 -5 890 770] def /hbar [20 -10 480 685] def /bigcap [0 0 680 720] def /bigcup [0 0 680 720] def /parallel [65 -175 400 675] def end def /CharacterDefs 18 dict dup begin /.notdef {
    
} def /rad1 {
    980 0 moveto 464 -1048 lineto 248 -560 lineto 110 -656 lineto 125 -675 lineto 200 -624 lineto 420 -1150 lineto 460 -1150 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad2 {
    980 0 moveto 460 -1600 lineto 245 -864 lineto 110 -1000 lineto 128 -1023 lineto 200 -950 lineto 424 -1750 lineto 456 -1750 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad3 {
    980 0 moveto 464 -2144 lineto 248 -1160 lineto 110 -1368 lineto 130 -1390 lineto 192 -1288 lineto 424 -2350 lineto 464 -2350 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad4 {
    980 0 moveto 880 -488 lineto 672 -1600 lineto 464 -2696 lineto 248 -1464 lineto 110 -1728 lineto 130 -1750 lineto 192 -1616 lineto 424 -2950 lineto 464 -2950 lineto 768 -1312 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad5 {
    700 0 moveto 700 -2628 lineto 248 -1284 lineto 128 -1564 lineto 150 -1580 lineto 215 -1425 lineto 688 -2890 lineto 740 -2890 lineto 740 0 lineto 700 0 lineto closepath
} def /radext {
    700 0 moveto 700 -600 lineto 740 -600 lineto 740 0 lineto 700 0 lineto closepath
} def /int {
    245 390 moveto 225 235 195 145 180 100 curveto 165 60 150 50 140 40 curveto 135 30 85 0 50 20 curveto 35 25 25 45 25 55 curveto 20 80 30 100 55 110 curveto 80 125 93 110 110 90 curveto 135 60 155 135 160 195 curveto 165 270 170 340 190 510 curveto 205 650 lineto 220 810 230 890 265 960 curveto 275 980 295 1015 320 1030 curveto 350 1045 380 1030 395 1020 curveto 410 1010 425 980 400 955 curveto 385 940 347 925 330 950 curveto 310 970 290 955 290 940 curveto 280 900 285 745 270 610 curveto 245 390 lineto closepath
} def /pathint {
    245 390 moveto 225 235 195 145 180 100 curveto 165 60 150 50 140 40 curveto 135 30 85 0 50 20 curveto 35 25 25 45 25 55 curveto 20 80 30 100 55 110 curveto 80 125 93 110 110 90 curveto 135 60 155 135 160 195 curveto 165 270 170 340 190 510 curveto 205 650 lineto 220 810 230 890 265 960 curveto 275 980 295 1015 320 1030 curveto 350 1045 380 1030 395 1020 curveto 410 1010 425 980 400 955 curveto 385 940 347 925 330 950 curveto 310 970 290 955 290 940 curveto 280 900 285 745 270 610 curveto 245 390 lineto fill 20 setlinewidth 220 400 moveto 290 400 340 455 340 500 curveto 340 585 290 640 220 640 curveto 155 640 100 585 100 500 curveto 100 455 155 400 220 400 curveto stroke
} def /sum {
    330 335 moveto 20 715 lineto 575 715 lineto 600 545 lineto 575 535 lineto 550 625 525 685 395 685 curveto 160 685 lineto 411 370 lineto 160 90 lineto 470 90 lineto 565 90 590 140 610 210 curveto 640 200 lineto 585 5 lineto 15 5 lineto 330 335 lineto closepath
} def /prod {
    590 90 moveto 590 30 620 20 670 20 curveto 670 0 lineto 410 0 lineto 410 20 lineto 460 20 495 30 495 90 curveto 495 670 lineto 190 670 lineto 190 90 lineto 190 30 225 20 275 20 curveto 275 0 lineto 15 0 lineto 15 20 lineto 65 20 100 30 100 90 curveto 100 615 lineto 100 690 40 700 20 700 curveto 20 715 lineto 670 715 lineto 670 700 lineto 645 700 590 690 590 615 curveto 590 90 lineto closepath
} def /cdot {
    110 270 moveto 110 300 135 325 165 325 curveto 195 325 220 300 220 270 curveto 220 235 185 215 165 215 curveto 145 215 110 235 110 270 curveto fill 445 270 moveto 445 300 470 325 500 325 curveto 530 325 555 300 555 270 curveto 555 235 520 215 500 215 curveto 480 215 445 235 445 270 curveto fill 775 270 moveto 775 300 800 325 830 325 curveto 860 325 890 300 890 270 curveto 890 235 850 215 830 215 curveto 810 215 775 235 775 270 curveto fill
} def /vdot {
    220 770 moveto 250 770 280 750 280 720 curveto 280 680 250 660 220 660 curveto 185 660 165 695 165 720 curveto 165 740 185 770 220 770 curveto fill 220 440 moveto 250 440 280 415 280 385 curveto 280 355 250 330 220 330 curveto 185 330 165 365 165 385 curveto 165 405 185 440 220 440 curveto fill 220 105 moveto 250 105 280 80 280 50 curveto 280 20 250 -5 220 -5 curveto 185 -5 165 30 165 50 curveto 165 70 185 105 220 105 curveto fill
} def /ddot {
    165 720 moveto 205 720 220 700 220 665 curveto 220 630 195 610 165 610 curveto 130 620 110 645 110 665 curveto 110 690 130 720 165 720 curveto fill 500 440 moveto 530 440 555 415 555 385 curveto 555 355 530 330 500 330 curveto 465 330 445 365 445 385 curveto 445 405 465 440 500 440 curveto fill 830 155 moveto 860 155 890 130 890 100 curveto 890 70 860 45 830 45 curveto 795 45 775 80 775 100 curveto 775 120 795 155 830 155 curveto fill
} def /hbar {
    480 105 moveto 440 55 400 -10 335 -10 curveto 300 -10 290 10 290 35 curveto 290 65 370 350 370 365 curveto 370 380 355 390 340 390 curveto 290 390 205 275 185 250 curveto 140 180 125 125 95 0 curveto 20 0 lineto 150 500 lineto 160 545 180 600 180 615 curveto 180 625 170 640 135 640 curveto 110 640 lineto 100 655 lineto 165 660 215 670 270 685 curveto 275 680 lineto 155 240 lineto 155 235 lineto 190 290 290 440 380 440 curveto 400 440 450 435 450 370 curveto 450 335 365 80 365 55 curveto 365 45 375 40 385 40 curveto 405 40 425 70 465 115 curveto 480 105 lineto fill 55 545 moveto 55 520 lineto 310 560 lineto 310 585 lineto 55 545 lineto fill
} def /bigcap {
    615 400 moveto 615 575 500 655 340 655 curveto 180 655 70 575 70 400 curveto 70 0 lineto 5 0 lineto 5 400 lineto 5 610 140 720 340 720 curveto 545 720 680 610 680 400 curveto 680 0 lineto 615 0 lineto 615 400 lineto closepath
} def /bigcup {
    65 320 moveto 65 145 180 65 340 65 curveto 500 65 615 145 615 320 curveto 615 720 lineto 680 720 lineto 680 320 lineto 680 110 540 0 340 0 curveto 140 0 0 110 0 320 curveto 0 720 lineto 65 720 lineto 65 320 lineto closepath
} def /parallel {
    135 675 moveto 135 -175 lineto 65 -175 lineto 65 675 lineto 135 675 lineto fill 335 675 moveto 335 -175 lineto 265 -175 lineto 265 675 lineto 335 675 lineto fill 400 675 moveto
} def end def /BuildChar {
    0 begin /char exch def /fontdict exch def /charname fontdict /Encoding get char get def fontdict begin Metrics charname get 0 BBox charname get aload pop setcachedevice CharacterDefs charname get exec eofill end end
} def /BuildChar load 0 3 dict put end definefont pop
%%EndSetup
0 0 140.253265 35.640968 rectclip
0 0 140.253265 35.640968 rectclip
0 setgray
1 setalpha
1 1 scale
/Symbol findfont 12 scalefont
44
exch
defineuserobject
44 execuserobject setfont
5.56 15.992992 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
44 execuserobject setfont
17.200001 15.986992 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
/EqBFont 24 selectfont
34.791168 10.244992 moveto
<09> [0 0] xyshow
0 setgray
1 setalpha
0.48 setlinewidth
82.379669 21.572992 moveto
86.469269 31.796991 lineto
stroke
0 setgray
1 setalpha
1 1 scale
44 execuserobject setfont
65.375671 23.792992 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
44 execuserobject setfont
93.309265 23.786991 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1 scale
44 execuserobject setfont
110.385262 23.792992 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
44 execuserobject setfont
134.229263 23.786991 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1 scale
44 execuserobject setfont
94.132469 6.513963 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
44 execuserobject setfont
111.976463 6.507963 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
0.48 setlinewidth
52.323666 18.884993 moveto
139.253265 18.884993 lineto
stroke
0 setgray
1 setalpha
/Times-BoldItalic findfont 12 scalefont
48
exch
defineuserobject
48 execuserobject setfont
98.932465 6.405964 moveto
(xJxxxJxJxf) [-17.351997 -9.536743e-07 -12.204002 9.536743e-07 51.808792 17.279028 -6 0 -17.35199 0 -27.6576 0 -17.352001 0 -42.463665 -7.799999 -9.360001 0 0 0 0 0] xyshow
44 execuserobject setfont
25.057335 15.884993 moveto
(=) [0 0 0 0] xyshow
/Symbol findfont 9 scalefont
46
exch
defineuserobject
46 execuserobject setfont
40.432667 2.281 moveto
(=\245) [-0.989998 27.523968 0 0 0 0] xyshow
/Times-BoldItalic findfont 9 scalefont
79
exch
defineuserobject
79 execuserobject setfont
104.932465 4.605988 moveto
(nnnnn) [-29.556 0 51.808792 17.279028 -51.00959 0 -41.196999 -19.604015 0 0 0 0] xyshow
/Times-Roman findfont 9 scalefont
45
exch
defineuserobject
45 execuserobject setfont
116.500465 11.120993 moveto
(21011) [-28.631996 -6.515005 16.2528 17.279028 -45.009605 0 -13.287994 -19.604015 0 0 0 0] xyshow
/Times-Roman findfont 12 scalefont
52
exch
defineuserobject
52 execuserobject setfont
86.469269 23.684992 moveto
(2) [0 0 0 0] xyshow
%%Trailer
%%DocumentFonts: Times-BoldItalic
%%+ Times-Roman
%%+ Symbol

%End of Graphics
MathPictureEnd
end

:[font = text; inactive; pageBreakBelow; preserveAspect; ]
where  xn is the  nth positive zero of the Bessel function  J0(x).  Working with
Bessel functions is more complicated than working with trigonometric
functions because the zeros do not occur at regular intervals.   The  zeros
either have to be computed explicitly (for example, using  FindRoot) or
looked up in a table.
;[s]
14:0,0;7,1;8,2;9,3;18,4;19,5;21,6;60,7;61,8;62,9;63,10;64,11;285,12;293,13;320,-1;
14:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Times,66,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,32,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Times,66,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
	 We define a list  X  in Mathematica whose elements are the first 20
positive zeros of  J0(x):
;[s]
8:0,0;26,1;37,2;89,3;90,4;91,5;92,6;93,7;96,-1;
8:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Times,66,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; startGroup; ]
X={2.405,5.520,8.654,11.792,14.931,
         18.071,21.212,24.352,27.493,30.635,
         33.776,36.972,40.058,43.200,46.483,
         49.482,52.624,55.766,58.907,62.049}
:[font = output; output; inactive; preserveAspect; endGroup; ]
{2.405, 5.52, 8.654, 11.792, 14.931, 18.071, 
  21.212, 24.352, 27.493, 30.635, 33.776, 
  36.972, 40.058, 43.20000000000001, 46.483, 
  49.482, 52.62400000000001, 55.766, 58.907, 
  62.04900000000001}
;[o]
{2.405, 5.52, 8.654, 11.792, 14.931, 18.071, 
 
  21.212, 24.352, 27.493, 30.635, 33.776, 
 
  36.972, 40.058, 43.2, 46.483, 49.482, 
 
  52.624, 55.766, 58.907, 62.049}
:[font = text; inactive; preserveAspect; ]
Then  X[[k]] is the  kth  element of  X, that is,   xk.  Next we define a
function of two variables  f[x,n]  that represents the  partial sum for the
Fourier-Bessel expansion of  f(x):
;[s]
17:0,0;6,1;13,2;21,3;22,4;24,5;38,6;39,7;52,8;53,9;54,10;101,11;108,12;179,13;180,14;181,15;182,16;185,-1;
17:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,32,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Times,66,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; pageBreakBelow; dontNoPageBreakBelow; preserveAspect; ]
f[x_,n_]:=Sum[
 BesselJ[1,Evaluate[X[[k]]]/2]*
 BesselJ[0,x Evaluate[X[[k]]]]/
 (Evaluate[X[[k]]]*
 BesselJ[1,Evaluate[X[[k]]]]^2),
      {k,n}]
:[font = text; inactive; preserveAspect; ]
We plot two of these partial sums:
:[font = input; preserveAspect; startGroup; ]
Plot[f[x,10],{x,-1,2},PlotPoints->40];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.34127 0.31746 0.204273 0.331462 [
[(-1)] 0.02381 0.20427 0 2 Msboxa
[(-0.5)] 0.18254 0.20427 0 2 Msboxa
[(0.5)] 0.5 0.20427 0 2 Msboxa
[(1)] 0.65873 0.20427 0 2 Msboxa
[(1.5)] 0.81746 0.20427 0 2 Msboxa
[(2)] 0.97619 0.20427 0 2 Msboxa
[(-0.5)] 0.32877 0.03854 1 0 Msboxa
[(-0.25)] 0.32877 0.12141 1 0 Msboxa
[(0.25)] 0.32877 0.28714 1 0 Msboxa
[(0.5)] 0.32877 0.37 1 0 Msboxa
[(0.75)] 0.32877 0.45287 1 0 Msboxa
[(1)] 0.32877 0.53574 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.02381 0.20427 moveto
0.02381 0.21052 lineto
stroke
grestore
[(-1)] 0.02381 0.20427 0 2 Mshowa
gsave
0.002 setlinewidth
0.18254 0.20427 moveto
0.18254 0.21052 lineto
stroke
grestore
[(-0.5)] 0.18254 0.20427 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0.20427 moveto
0.5 0.21052 lineto
stroke
grestore
[(0.5)] 0.5 0.20427 0 2 Mshowa
gsave
0.002 setlinewidth
0.65873 0.20427 moveto
0.65873 0.21052 lineto
stroke
grestore
[(1)] 0.65873 0.20427 0 2 Mshowa
gsave
0.002 setlinewidth
0.81746 0.20427 moveto
0.81746 0.21052 lineto
stroke
grestore
[(1.5)] 0.81746 0.20427 0 2 Mshowa
gsave
0.002 setlinewidth
0.97619 0.20427 moveto
0.97619 0.21052 lineto
stroke
grestore
[(2)] 0.97619 0.20427 0 2 Mshowa
gsave
0.001 setlinewidth
0.05556 0.20427 moveto
0.05556 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0873 0.20427 moveto
0.0873 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11905 0.20427 moveto
0.11905 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.15079 0.20427 moveto
0.15079 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21429 0.20427 moveto
0.21429 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24603 0.20427 moveto
0.24603 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27778 0.20427 moveto
0.27778 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30952 0.20427 moveto
0.30952 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37302 0.20427 moveto
0.37302 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40476 0.20427 moveto
0.40476 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43651 0.20427 moveto
0.43651 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46825 0.20427 moveto
0.46825 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53175 0.20427 moveto
0.53175 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56349 0.20427 moveto
0.56349 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59524 0.20427 moveto
0.59524 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62698 0.20427 moveto
0.62698 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69048 0.20427 moveto
0.69048 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72222 0.20427 moveto
0.72222 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75397 0.20427 moveto
0.75397 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78571 0.20427 moveto
0.78571 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.84921 0.20427 moveto
0.84921 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88095 0.20427 moveto
0.88095 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9127 0.20427 moveto
0.9127 0.20802 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94444 0.20427 moveto
0.94444 0.20802 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.20427 moveto
1 0.20427 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.34127 0.03854 moveto
0.34752 0.03854 lineto
stroke
grestore
[(-0.5)] 0.32877 0.03854 1 0 Mshowa
gsave
0.002 setlinewidth
0.34127 0.12141 moveto
0.34752 0.12141 lineto
stroke
grestore
[(-0.25)] 0.32877 0.12141 1 0 Mshowa
gsave
0.002 setlinewidth
0.34127 0.28714 moveto
0.34752 0.28714 lineto
stroke
grestore
[(0.25)] 0.32877 0.28714 1 0 Mshowa
gsave
0.002 setlinewidth
0.34127 0.37 moveto
0.34752 0.37 lineto
stroke
grestore
[(0.5)] 0.32877 0.37 1 0 Mshowa
gsave
0.002 setlinewidth
0.34127 0.45287 moveto
0.34752 0.45287 lineto
stroke
grestore
[(0.75)] 0.32877 0.45287 1 0 Mshowa
gsave
0.002 setlinewidth
0.34127 0.53574 moveto
0.34752 0.53574 lineto
stroke
grestore
[(1)] 0.32877 0.53574 1 0 Mshowa
gsave
0.001 setlinewidth
0.34127 0.05512 moveto
0.34502 0.05512 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.07169 moveto
0.34502 0.07169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.08826 moveto
0.34502 0.08826 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.10483 moveto
0.34502 0.10483 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.13798 moveto
0.34502 0.13798 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.15455 moveto
0.34502 0.15455 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.17113 moveto
0.34502 0.17113 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.1877 moveto
0.34502 0.1877 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.22085 moveto
0.34502 0.22085 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.23742 moveto
0.34502 0.23742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.25399 moveto
0.34502 0.25399 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.27057 moveto
0.34502 0.27057 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.30371 moveto
0.34502 0.30371 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.32029 moveto
0.34502 0.32029 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.33686 moveto
0.34502 0.33686 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.35343 moveto
0.34502 0.35343 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.38658 moveto
0.34502 0.38658 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.40315 moveto
0.34502 0.40315 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.41972 moveto
0.34502 0.41972 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.4363 moveto
0.34502 0.4363 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.46944 moveto
0.34502 0.46944 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.48602 moveto
0.34502 0.48602 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.50259 moveto
0.34502 0.50259 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.51916 moveto
0.34502 0.51916 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.55231 moveto
0.34502 0.55231 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.56888 moveto
0.34502 0.56888 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.58545 moveto
0.34502 0.58545 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.60203 moveto
0.34502 0.60203 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.02197 moveto
0.34502 0.02197 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.0054 moveto
0.34502 0.0054 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.34127 0 moveto
0.34127 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.20425 moveto
0.02991 0.20212 lineto
0.03144 0.2017 lineto
0.03297 0.20135 lineto
0.03449 0.20109 lineto
0.03526 0.201 lineto
0.03602 0.20093 lineto
0.03678 0.20088 lineto
0.03755 0.20087 lineto
0.03831 0.20087 lineto
0.03907 0.20091 lineto
0.03984 0.20096 lineto
0.0406 0.20105 lineto
0.04212 0.20129 lineto
0.04365 0.20164 lineto
0.04518 0.20206 lineto
0.04823 0.20314 lineto
0.05433 0.2057 lineto
0.05739 0.20689 lineto
0.05891 0.2074 lineto
0.06044 0.20783 lineto
0.0612 0.20801 lineto
0.06197 0.20816 lineto
0.06273 0.20829 lineto
0.06349 0.20839 lineto
0.06426 0.20846 lineto
0.06502 0.20849 lineto
0.06578 0.2085 lineto
0.06654 0.20847 lineto
0.06731 0.20842 lineto
0.06807 0.20833 lineto
0.06883 0.2082 lineto
0.0696 0.20805 lineto
0.07112 0.20764 lineto
0.07265 0.20712 lineto
0.08486 0.20067 lineto
0.08791 0.19925 lineto
0.08944 0.1987 lineto
0.0902 0.19848 lineto
0.09096 0.19829 lineto
0.09173 0.19815 lineto
0.09249 0.19804 lineto
0.09325 0.19798 lineto
0.09402 0.19796 lineto
0.09478 0.19798 lineto
0.09554 0.19806 lineto
0.09631 0.19817 lineto
0.09707 0.19834 lineto
0.0986 0.19881 lineto
0.10012 0.19947 lineto
Mistroke
0.10317 0.2013 lineto
0.10928 0.20642 lineto
0.11233 0.20922 lineto
0.11538 0.21179 lineto
0.11691 0.21288 lineto
0.11844 0.2138 lineto
0.1192 0.21417 lineto
0.11996 0.21449 lineto
0.12073 0.21474 lineto
0.12149 0.21493 lineto
0.12225 0.21505 lineto
0.12302 0.21509 lineto
0.12378 0.21505 lineto
0.12454 0.21494 lineto
0.12531 0.21475 lineto
0.12607 0.21447 lineto
0.12759 0.21367 lineto
0.12912 0.21253 lineto
0.13065 0.21107 lineto
0.1337 0.20722 lineto
0.1398 0.1969 lineto
0.14591 0.1863 lineto
0.14744 0.1842 lineto
0.14896 0.1825 lineto
0.14973 0.18183 lineto
0.15049 0.1813 lineto
0.15125 0.18092 lineto
0.15201 0.18069 lineto
0.15278 0.18064 lineto
0.15354 0.18076 lineto
0.1543 0.18108 lineto
0.15507 0.1816 lineto
0.15583 0.18233 lineto
0.15659 0.18328 lineto
0.15812 0.18587 lineto
0.15965 0.18944 lineto
0.16117 0.19404 lineto
0.16422 0.20647 lineto
0.16728 0.22333 lineto
0.17033 0.24453 lineto
0.18254 0.36304 lineto
0.18864 0.43029 lineto
0.19475 0.49123 lineto
0.1978 0.51678 lineto
0.20085 0.538 lineto
0.20238 0.54682 lineto
0.20391 0.55439 lineto
0.20543 0.56069 lineto
0.20696 0.56572 lineto
0.20772 0.56776 lineto
Mistroke
0.20849 0.56949 lineto
0.20925 0.57092 lineto
0.21001 0.57204 lineto
0.21078 0.57287 lineto
0.21154 0.57341 lineto
0.2123 0.57368 lineto
0.21306 0.57367 lineto
0.21383 0.57341 lineto
0.21459 0.5729 lineto
0.21535 0.57216 lineto
0.21612 0.57119 lineto
0.21764 0.56863 lineto
0.21917 0.56536 lineto
0.22527 0.54744 lineto
0.23138 0.52789 lineto
0.23443 0.51981 lineto
0.23596 0.51651 lineto
0.23748 0.51379 lineto
0.23825 0.51266 lineto
0.23901 0.5117 lineto
0.23977 0.5109 lineto
0.24054 0.51027 lineto
0.2413 0.50981 lineto
0.24206 0.50953 lineto
0.24283 0.50941 lineto
0.24359 0.50946 lineto
0.2558 0.52903 lineto
0.2619 0.54463 lineto
0.26496 0.55134 lineto
0.26648 0.55414 lineto
0.26801 0.55647 lineto
0.26954 0.55827 lineto
0.2703 0.55897 lineto
0.27106 0.55951 lineto
0.27183 0.55991 lineto
0.27259 0.56016 lineto
0.27335 0.56025 lineto
0.27411 0.56019 lineto
0.27488 0.55998 lineto
0.27564 0.55962 lineto
0.2764 0.5591 lineto
0.27717 0.55843 lineto
0.27869 0.55668 lineto
0.28022 0.55438 lineto
0.28327 0.54838 lineto
0.28632 0.54099 lineto
0.29243 0.52477 lineto
0.29548 0.51748 lineto
0.29853 0.51172 lineto
0.30006 0.50961 lineto
Mistroke
0.30082 0.50878 lineto
0.30159 0.50811 lineto
0.30235 0.5076 lineto
0.30311 0.50726 lineto
0.30388 0.50709 lineto
0.30464 0.50711 lineto
0.3054 0.5073 lineto
0.30617 0.50767 lineto
0.30693 0.50823 lineto
0.30769 0.50897 lineto
0.30846 0.50989 lineto
0.30922 0.511 lineto
0.31074 0.51374 lineto
0.3138 0.52121 lineto
0.31685 0.53097 lineto
0.32295 0.55477 lineto
0.32906 0.57891 lineto
0.33211 0.58899 lineto
0.33364 0.5932 lineto
0.33516 0.59675 lineto
0.33669 0.59959 lineto
0.33745 0.60072 lineto
0.33822 0.60165 lineto
0.33898 0.60238 lineto
0.33974 0.6029 lineto
0.34051 0.60321 lineto
0.34127 0.60332 lineto
0.34203 0.60321 lineto
0.3428 0.6029 lineto
0.34356 0.60238 lineto
0.34432 0.60165 lineto
0.34585 0.59959 lineto
0.34737 0.59675 lineto
0.35043 0.58899 lineto
0.35348 0.57891 lineto
0.35958 0.55477 lineto
0.36569 0.53097 lineto
0.36874 0.52121 lineto
0.37027 0.51716 lineto
0.37179 0.51374 lineto
0.37332 0.511 lineto
0.37408 0.50989 lineto
0.37485 0.50897 lineto
0.37561 0.50823 lineto
0.37637 0.50767 lineto
0.37714 0.5073 lineto
0.3779 0.50711 lineto
0.37866 0.50709 lineto
0.37943 0.50726 lineto
0.38019 0.5076 lineto
Mistroke
0.38095 0.50811 lineto
0.38172 0.50878 lineto
0.38248 0.50961 lineto
0.384 0.51172 lineto
0.38706 0.51748 lineto
0.39011 0.52477 lineto
0.39621 0.54099 lineto
0.39927 0.54838 lineto
0.40079 0.55159 lineto
0.40232 0.55438 lineto
0.40385 0.55668 lineto
0.40537 0.55843 lineto
0.40614 0.5591 lineto
0.4069 0.55962 lineto
0.40766 0.55998 lineto
0.40842 0.56019 lineto
0.40919 0.56025 lineto
0.40995 0.56016 lineto
0.41071 0.55991 lineto
0.41148 0.55951 lineto
0.41224 0.55897 lineto
0.413 0.55827 lineto
0.41453 0.55647 lineto
0.41758 0.55134 lineto
0.42063 0.54463 lineto
0.42674 0.52903 lineto
0.42979 0.52165 lineto
0.43132 0.51839 lineto
0.43284 0.51553 lineto
0.43437 0.51315 lineto
0.43513 0.51216 lineto
0.4359 0.51131 lineto
0.43666 0.51061 lineto
0.43742 0.51006 lineto
0.43819 0.50968 lineto
0.43895 0.50946 lineto
0.43971 0.50941 lineto
0.44048 0.50953 lineto
0.44124 0.50981 lineto
0.442 0.51027 lineto
0.44277 0.5109 lineto
0.44353 0.5117 lineto
0.44505 0.51379 lineto
0.44658 0.51651 lineto
0.44811 0.51981 lineto
0.45116 0.52789 lineto
0.45726 0.54744 lineto
0.46032 0.55711 lineto
0.46337 0.56536 lineto
0.4649 0.56863 lineto
Mistroke
0.46566 0.57001 lineto
0.46642 0.57119 lineto
0.46719 0.57216 lineto
0.46795 0.5729 lineto
0.46871 0.57341 lineto
0.46947 0.57367 lineto
0.47024 0.57368 lineto
0.471 0.57341 lineto
0.47176 0.57287 lineto
0.47253 0.57204 lineto
0.47329 0.57092 lineto
0.47405 0.56949 lineto
0.47558 0.56572 lineto
0.47711 0.56069 lineto
0.47863 0.55439 lineto
0.48168 0.538 lineto
0.48474 0.51678 lineto
0.48779 0.49123 lineto
0.5 0.36304 lineto
0.50611 0.29847 lineto
0.51221 0.24453 lineto
0.51526 0.22333 lineto
0.51832 0.20647 lineto
0.52137 0.19404 lineto
0.52289 0.18944 lineto
0.52442 0.18587 lineto
0.52518 0.18445 lineto
0.52595 0.18328 lineto
0.52671 0.18233 lineto
0.52747 0.1816 lineto
0.52824 0.18108 lineto
0.529 0.18076 lineto
0.52976 0.18064 lineto
0.53053 0.18069 lineto
0.53129 0.18092 lineto
0.53205 0.1813 lineto
0.53358 0.1825 lineto
0.5351 0.1842 lineto
0.53663 0.1863 lineto
0.54274 0.1969 lineto
0.54579 0.20237 lineto
0.54884 0.20722 lineto
0.55037 0.20929 lineto
0.55189 0.21107 lineto
0.55342 0.21253 lineto
0.55495 0.21367 lineto
0.55571 0.21411 lineto
0.55647 0.21447 lineto
0.55723 0.21475 lineto
0.558 0.21494 lineto
Mistroke
0.55876 0.21505 lineto
0.55952 0.21509 lineto
0.56029 0.21505 lineto
0.56105 0.21493 lineto
0.57326 0.20642 lineto
0.57631 0.20368 lineto
0.57937 0.2013 lineto
0.58089 0.2003 lineto
0.58242 0.19947 lineto
0.58394 0.19881 lineto
0.58471 0.19855 lineto
0.58547 0.19834 lineto
0.58623 0.19817 lineto
0.587 0.19806 lineto
0.58776 0.19798 lineto
0.58852 0.19796 lineto
0.58929 0.19798 lineto
0.59005 0.19804 lineto
0.59081 0.19815 lineto
0.59158 0.19829 lineto
0.5931 0.1987 lineto
0.59463 0.19925 lineto
0.59768 0.20067 lineto
0.60379 0.20414 lineto
0.60684 0.20578 lineto
0.60836 0.2065 lineto
0.60989 0.20712 lineto
0.61142 0.20764 lineto
0.61218 0.20786 lineto
0.61294 0.20805 lineto
0.61371 0.2082 lineto
0.61447 0.20833 lineto
0.61523 0.20842 lineto
0.616 0.20847 lineto
0.61676 0.2085 lineto
0.61752 0.20849 lineto
0.61828 0.20846 lineto
0.61905 0.20839 lineto
0.62057 0.20816 lineto
0.62134 0.20801 lineto
0.6221 0.20783 lineto
0.62821 0.2057 lineto
0.63431 0.20314 lineto
0.63736 0.20206 lineto
0.63889 0.20164 lineto
0.64042 0.20129 lineto
0.64118 0.20116 lineto
0.64194 0.20105 lineto
0.6427 0.20096 lineto
0.64347 0.20091 lineto
Mistroke
0.64423 0.20087 lineto
0.64499 0.20087 lineto
0.64576 0.20088 lineto
0.64652 0.20093 lineto
0.65873 0.20425 lineto
0.66178 0.20537 lineto
0.66484 0.20634 lineto
0.66636 0.20674 lineto
0.66789 0.20706 lineto
0.66865 0.20719 lineto
0.66941 0.2073 lineto
0.67018 0.20738 lineto
0.67094 0.20744 lineto
0.6717 0.20747 lineto
0.67247 0.20748 lineto
0.67323 0.20746 lineto
0.67399 0.20742 lineto
0.67476 0.20736 lineto
0.67552 0.20727 lineto
0.67705 0.20702 lineto
0.67857 0.20668 lineto
0.6801 0.20626 lineto
0.68315 0.20525 lineto
0.68926 0.20289 lineto
0.69231 0.20183 lineto
0.69383 0.20139 lineto
0.69536 0.20102 lineto
0.69612 0.20087 lineto
0.69689 0.20074 lineto
0.69765 0.20064 lineto
0.69841 0.20056 lineto
0.69918 0.20051 lineto
0.69994 0.20049 lineto
0.7007 0.2005 lineto
0.70147 0.20053 lineto
0.70223 0.20059 lineto
0.70299 0.20068 lineto
0.70452 0.20094 lineto
0.70604 0.20131 lineto
0.70757 0.20178 lineto
0.71368 0.20435 lineto
0.71673 0.20583 lineto
0.71978 0.20722 lineto
0.72131 0.20783 lineto
0.72283 0.20836 lineto
0.72436 0.20879 lineto
0.72512 0.20896 lineto
0.72589 0.2091 lineto
0.72665 0.20921 lineto
0.72741 0.20928 lineto
Mistroke
0.72817 0.20932 lineto
0.72894 0.20933 lineto
0.7297 0.2093 lineto
0.73046 0.20923 lineto
0.73123 0.20912 lineto
0.73199 0.20898 lineto
0.73352 0.20858 lineto
0.73504 0.20805 lineto
0.7381 0.2066 lineto
0.7442 0.20266 lineto
0.74725 0.20056 lineto
0.75031 0.19868 lineto
0.75183 0.1979 lineto
0.75336 0.19726 lineto
0.75412 0.197 lineto
0.75488 0.19679 lineto
0.75565 0.19662 lineto
0.75641 0.1965 lineto
0.75717 0.19644 lineto
0.75794 0.19642 lineto
0.7587 0.19647 lineto
0.75946 0.19657 lineto
0.76023 0.19672 lineto
0.76099 0.19694 lineto
0.76252 0.19755 lineto
0.76404 0.19838 lineto
0.76557 0.19945 lineto
0.76862 0.20217 lineto
0.77473 0.20925 lineto
0.77778 0.21295 lineto
0.78083 0.21622 lineto
0.78236 0.21754 lineto
0.78312 0.21811 lineto
0.78388 0.21859 lineto
0.78465 0.21899 lineto
0.78541 0.2193 lineto
0.78617 0.21951 lineto
0.78694 0.21961 lineto
0.7877 0.21961 lineto
0.78846 0.21948 lineto
0.78922 0.21924 lineto
0.78999 0.21886 lineto
0.79075 0.21835 lineto
0.79151 0.21771 lineto
0.79304 0.21598 lineto
0.79457 0.21366 lineto
0.79609 0.21071 lineto
0.79915 0.20291 lineto
0.8022 0.19256 lineto
0.80525 0.17983 lineto
Mistroke
0.81746 0.11243 lineto
0.82357 0.07676 lineto
0.82662 0.06065 lineto
0.82967 0.04644 lineto
0.83272 0.03459 lineto
0.83425 0.02965 lineto
0.83578 0.0254 lineto
0.8373 0.02187 lineto
0.83883 0.01905 lineto
0.83959 0.01791 lineto
0.84035 0.01695 lineto
0.84112 0.01616 lineto
0.84188 0.01555 lineto
0.84264 0.01511 lineto
0.84341 0.01483 lineto
0.84417 0.01472 lineto
0.84493 0.01476 lineto
0.8457 0.01496 lineto
0.84646 0.0153 lineto
0.84722 0.01579 lineto
0.84799 0.01641 lineto
0.84951 0.01804 lineto
0.85104 0.02013 lineto
0.85409 0.02543 lineto
0.8602 0.03872 lineto
0.8663 0.05222 lineto
0.86935 0.05799 lineto
0.87241 0.06273 lineto
0.87393 0.06466 lineto
0.87546 0.06628 lineto
0.87698 0.0676 lineto
0.87851 0.06863 lineto
0.87927 0.06903 lineto
0.88004 0.06937 lineto
0.8808 0.06964 lineto
0.88156 0.06984 lineto
0.88233 0.06999 lineto
0.88309 0.07008 lineto
0.88385 0.07012 lineto
0.88462 0.0701 lineto
0.88538 0.07005 lineto
0.88614 0.06995 lineto
0.88767 0.06966 lineto
0.88919 0.06927 lineto
0.89072 0.06881 lineto
0.89377 0.06787 lineto
0.8953 0.06746 lineto
0.89606 0.06728 lineto
0.89683 0.06713 lineto
0.89759 0.06701 lineto
Mistroke
0.89835 0.06692 lineto
0.89911 0.06688 lineto
0.89988 0.06687 lineto
0.90064 0.0669 lineto
0.9014 0.06698 lineto
0.90217 0.0671 lineto
0.90293 0.06728 lineto
0.90446 0.06779 lineto
0.90522 0.06812 lineto
0.90598 0.06851 lineto
0.90904 0.0706 lineto
0.91209 0.07352 lineto
0.91514 0.07716 lineto
0.92735 0.09496 lineto
0.93346 0.1026 lineto
0.93651 0.10549 lineto
0.93803 0.10667 lineto
0.93956 0.10766 lineto
0.94109 0.10848 lineto
0.94261 0.10913 lineto
0.94414 0.10963 lineto
0.9449 0.10982 lineto
0.94567 0.10998 lineto
0.94643 0.11011 lineto
0.94719 0.11022 lineto
0.94795 0.1103 lineto
0.94872 0.11036 lineto
0.94948 0.1104 lineto
0.95024 0.11043 lineto
0.95101 0.11044 lineto
0.95177 0.11045 lineto
0.95253 0.11045 lineto
0.9533 0.11045 lineto
0.95406 0.11045 lineto
0.95482 0.11045 lineto
0.95559 0.11046 lineto
0.95635 0.11049 lineto
0.95711 0.11053 lineto
0.95788 0.11059 lineto
0.95864 0.11067 lineto
0.9594 0.11077 lineto
0.96016 0.1109 lineto
0.96093 0.11106 lineto
0.96245 0.11147 lineto
0.96398 0.11202 lineto
0.96551 0.11273 lineto
0.96703 0.1136 lineto
0.97009 0.11584 lineto
0.97314 0.11875 lineto
0.97619 0.12225 lineto
Mistroke
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = input; preserveAspect; startGroup; ]
Plot[f[x,20],{x,-1,2},PlotPoints->40];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.34127 0.31746 0.22145 0.346913 [
[(-1)] 0.02381 0.22145 0 2 Msboxa
[(-0.5)] 0.18254 0.22145 0 2 Msboxa
[(0.5)] 0.5 0.22145 0 2 Msboxa
[(1)] 0.65873 0.22145 0 2 Msboxa
[(1.5)] 0.81746 0.22145 0 2 Msboxa
[(2)] 0.97619 0.22145 0 2 Msboxa
[(-0.5)] 0.32877 0.04799 1 0 Msboxa
[(-0.25)] 0.32877 0.13472 1 0 Msboxa
[(0.25)] 0.32877 0.30818 1 0 Msboxa
[(0.5)] 0.32877 0.39491 1 0 Msboxa
[(0.75)] 0.32877 0.48163 1 0 Msboxa
[(1)] 0.32877 0.56836 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.02381 0.22145 moveto
0.02381 0.2277 lineto
stroke
grestore
[(-1)] 0.02381 0.22145 0 2 Mshowa
gsave
0.002 setlinewidth
0.18254 0.22145 moveto
0.18254 0.2277 lineto
stroke
grestore
[(-0.5)] 0.18254 0.22145 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0.22145 moveto
0.5 0.2277 lineto
stroke
grestore
[(0.5)] 0.5 0.22145 0 2 Mshowa
gsave
0.002 setlinewidth
0.65873 0.22145 moveto
0.65873 0.2277 lineto
stroke
grestore
[(1)] 0.65873 0.22145 0 2 Mshowa
gsave
0.002 setlinewidth
0.81746 0.22145 moveto
0.81746 0.2277 lineto
stroke
grestore
[(1.5)] 0.81746 0.22145 0 2 Mshowa
gsave
0.002 setlinewidth
0.97619 0.22145 moveto
0.97619 0.2277 lineto
stroke
grestore
[(2)] 0.97619 0.22145 0 2 Mshowa
gsave
0.001 setlinewidth
0.05556 0.22145 moveto
0.05556 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0873 0.22145 moveto
0.0873 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11905 0.22145 moveto
0.11905 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.15079 0.22145 moveto
0.15079 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21429 0.22145 moveto
0.21429 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24603 0.22145 moveto
0.24603 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27778 0.22145 moveto
0.27778 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30952 0.22145 moveto
0.30952 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37302 0.22145 moveto
0.37302 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40476 0.22145 moveto
0.40476 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43651 0.22145 moveto
0.43651 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46825 0.22145 moveto
0.46825 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53175 0.22145 moveto
0.53175 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56349 0.22145 moveto
0.56349 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59524 0.22145 moveto
0.59524 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62698 0.22145 moveto
0.62698 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69048 0.22145 moveto
0.69048 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72222 0.22145 moveto
0.72222 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75397 0.22145 moveto
0.75397 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78571 0.22145 moveto
0.78571 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.84921 0.22145 moveto
0.84921 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88095 0.22145 moveto
0.88095 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9127 0.22145 moveto
0.9127 0.2252 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94444 0.22145 moveto
0.94444 0.2252 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.22145 moveto
1 0.22145 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.34127 0.04799 moveto
0.34752 0.04799 lineto
stroke
grestore
[(-0.5)] 0.32877 0.04799 1 0 Mshowa
gsave
0.002 setlinewidth
0.34127 0.13472 moveto
0.34752 0.13472 lineto
stroke
grestore
[(-0.25)] 0.32877 0.13472 1 0 Mshowa
gsave
0.002 setlinewidth
0.34127 0.30818 moveto
0.34752 0.30818 lineto
stroke
grestore
[(0.25)] 0.32877 0.30818 1 0 Mshowa
gsave
0.002 setlinewidth
0.34127 0.39491 moveto
0.34752 0.39491 lineto
stroke
grestore
[(0.5)] 0.32877 0.39491 1 0 Mshowa
gsave
0.002 setlinewidth
0.34127 0.48163 moveto
0.34752 0.48163 lineto
stroke
grestore
[(0.75)] 0.32877 0.48163 1 0 Mshowa
gsave
0.002 setlinewidth
0.34127 0.56836 moveto
0.34752 0.56836 lineto
stroke
grestore
[(1)] 0.32877 0.56836 1 0 Mshowa
gsave
0.001 setlinewidth
0.34127 0.06534 moveto
0.34502 0.06534 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.08268 moveto
0.34502 0.08268 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.10003 moveto
0.34502 0.10003 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.11738 moveto
0.34502 0.11738 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.15207 moveto
0.34502 0.15207 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.16941 moveto
0.34502 0.16941 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.18676 moveto
0.34502 0.18676 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.2041 moveto
0.34502 0.2041 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.2388 moveto
0.34502 0.2388 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.25614 moveto
0.34502 0.25614 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.27349 moveto
0.34502 0.27349 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.29083 moveto
0.34502 0.29083 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.32552 moveto
0.34502 0.32552 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.34287 moveto
0.34502 0.34287 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.36022 moveto
0.34502 0.36022 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.37756 moveto
0.34502 0.37756 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.41225 moveto
0.34502 0.41225 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.4296 moveto
0.34502 0.4296 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.44694 moveto
0.34502 0.44694 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.46429 moveto
0.34502 0.46429 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.49898 moveto
0.34502 0.49898 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.51633 moveto
0.34502 0.51633 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.53367 moveto
0.34502 0.53367 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.55102 moveto
0.34502 0.55102 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.03065 moveto
0.34502 0.03065 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.0133 moveto
0.34502 0.0133 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.58571 moveto
0.34502 0.58571 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34127 0.60305 moveto
0.34502 0.60305 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.34127 0 moveto
0.34127 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.22148 moveto
0.02534 0.2219 lineto
0.0261 0.22209 lineto
0.02686 0.22225 lineto
0.02763 0.22238 lineto
0.02839 0.22248 lineto
0.02915 0.22255 lineto
0.02991 0.22257 lineto
0.03068 0.22255 lineto
0.03144 0.22248 lineto
0.0322 0.22237 lineto
0.03297 0.22223 lineto
0.03449 0.22182 lineto
0.03602 0.2213 lineto
0.03907 0.22014 lineto
0.0406 0.21963 lineto
0.04136 0.21942 lineto
0.04212 0.21925 lineto
0.04289 0.21912 lineto
0.04365 0.21905 lineto
0.04441 0.21903 lineto
0.04518 0.21906 lineto
0.04594 0.21916 lineto
0.0467 0.21931 lineto
0.04823 0.21979 lineto
0.05128 0.2213 lineto
0.05433 0.22311 lineto
0.05586 0.22393 lineto
0.05662 0.22429 lineto
0.05739 0.22459 lineto
0.05815 0.22484 lineto
0.05891 0.22502 lineto
0.05968 0.22514 lineto
0.06044 0.22517 lineto
0.0612 0.22514 lineto
0.06197 0.22502 lineto
0.06273 0.22483 lineto
0.06349 0.22456 lineto
0.06502 0.22383 lineto
0.06654 0.22289 lineto
0.0696 0.22066 lineto
0.07112 0.21957 lineto
0.07265 0.21862 lineto
0.07341 0.21823 lineto
0.07418 0.2179 lineto
0.07494 0.21765 lineto
0.0757 0.21748 lineto
0.07647 0.21739 lineto
0.07723 0.21739 lineto
0.07799 0.21747 lineto
Mistroke
0.07875 0.21764 lineto
0.07952 0.21789 lineto
0.08028 0.21821 lineto
0.08181 0.21904 lineto
0.08486 0.22116 lineto
0.08791 0.22322 lineto
0.08944 0.22397 lineto
0.0902 0.22424 lineto
0.09096 0.22444 lineto
0.09707 0.22308 lineto
0.10012 0.22112 lineto
0.10165 0.22015 lineto
0.10241 0.21973 lineto
0.10317 0.21935 lineto
0.10394 0.21904 lineto
0.1047 0.21881 lineto
0.10546 0.21867 lineto
0.10623 0.21861 lineto
0.10699 0.21865 lineto
0.10775 0.21879 lineto
0.10852 0.21902 lineto
0.10928 0.21934 lineto
0.11233 0.22138 lineto
0.11538 0.22396 lineto
0.11691 0.2251 lineto
0.11767 0.22558 lineto
0.11844 0.22596 lineto
0.1192 0.22624 lineto
0.11996 0.2264 lineto
0.12073 0.22644 lineto
0.12149 0.22634 lineto
0.12225 0.2261 lineto
0.12302 0.22573 lineto
0.12454 0.22458 lineto
0.12607 0.22296 lineto
0.12759 0.22099 lineto
0.13065 0.21671 lineto
0.13217 0.21483 lineto
0.13294 0.21405 lineto
0.1337 0.21341 lineto
0.13446 0.21293 lineto
0.13523 0.21263 lineto
0.13599 0.21254 lineto
0.13675 0.21265 lineto
0.13752 0.21298 lineto
0.13828 0.21354 lineto
0.13904 0.21432 lineto
0.1398 0.2153 lineto
0.14133 0.21785 lineto
0.14286 0.22102 lineto
Mistroke
0.14591 0.22813 lineto
0.14744 0.23142 lineto
0.1482 0.23284 lineto
0.14896 0.23405 lineto
0.14973 0.23501 lineto
0.15049 0.23568 lineto
0.15125 0.23604 lineto
0.15201 0.23604 lineto
0.15812 0.2228 lineto
0.16117 0.20988 lineto
0.1627 0.20348 lineto
0.16346 0.20059 lineto
0.16422 0.19804 lineto
0.16499 0.19592 lineto
0.16575 0.19433 lineto
0.16651 0.19335 lineto
0.16728 0.19309 lineto
0.16804 0.19362 lineto
0.1688 0.19503 lineto
0.16957 0.19739 lineto
0.17033 0.20076 lineto
0.18254 0.39168 lineto
0.18559 0.4598 lineto
0.18864 0.52054 lineto
0.19017 0.54581 lineto
0.1917 0.56677 lineto
0.19322 0.58302 lineto
0.19399 0.58933 lineto
0.19475 0.59442 lineto
0.19551 0.59832 lineto
0.19628 0.60107 lineto
0.19704 0.60271 lineto
0.1978 0.60332 lineto
0.19857 0.60296 lineto
0.19933 0.60173 lineto
0.20009 0.59973 lineto
0.20085 0.59704 lineto
0.20238 0.59009 lineto
0.20391 0.58177 lineto
0.20696 0.56459 lineto
0.20849 0.55727 lineto
0.20925 0.55421 lineto
0.21001 0.55161 lineto
0.21078 0.54952 lineto
0.21154 0.54797 lineto
0.2123 0.54697 lineto
0.21306 0.54653 lineto
0.21917 0.55968 lineto
0.22222 0.57165 lineto
0.22375 0.57709 lineto
Mistroke
0.22451 0.57945 lineto
0.22527 0.58151 lineto
0.22604 0.58323 lineto
0.2268 0.58457 lineto
0.22756 0.58551 lineto
0.22833 0.58604 lineto
0.22909 0.58615 lineto
0.22985 0.58585 lineto
0.23062 0.58515 lineto
0.23138 0.58407 lineto
0.23291 0.58092 lineto
0.23443 0.57673 lineto
0.23748 0.56691 lineto
0.23901 0.56219 lineto
0.24054 0.55815 lineto
0.2413 0.5565 lineto
0.24206 0.55515 lineto
0.24283 0.55411 lineto
0.24359 0.55341 lineto
0.24435 0.55307 lineto
0.24512 0.55307 lineto
0.24588 0.55342 lineto
0.24664 0.55411 lineto
0.24741 0.55511 lineto
0.24817 0.5564 lineto
0.24969 0.5597 lineto
0.25275 0.56797 lineto
0.25427 0.57216 lineto
0.2558 0.57588 lineto
0.25656 0.57745 lineto
0.25733 0.57878 lineto
0.25809 0.57986 lineto
0.25885 0.58064 lineto
0.25962 0.58112 lineto
0.26038 0.58129 lineto
0.26114 0.58115 lineto
0.2619 0.58071 lineto
0.26801 0.56918 lineto
0.26954 0.56547 lineto
0.27106 0.56212 lineto
0.27183 0.56069 lineto
0.27259 0.55947 lineto
0.27335 0.55848 lineto
0.27411 0.55776 lineto
0.27488 0.55732 lineto
0.27564 0.55716 lineto
0.2764 0.55729 lineto
0.27717 0.55771 lineto
0.27793 0.55841 lineto
0.27869 0.55937 lineto
Mistroke
0.27946 0.56057 lineto
0.28022 0.56197 lineto
0.28327 0.56888 lineto
0.2848 0.57251 lineto
0.28632 0.57577 lineto
0.28785 0.57834 lineto
0.28861 0.57927 lineto
0.28938 0.57993 lineto
0.29014 0.5803 lineto
0.2909 0.58037 lineto
0.29167 0.58013 lineto
0.29243 0.57958 lineto
0.29396 0.57761 lineto
0.29472 0.57622 lineto
0.29548 0.57461 lineto
0.29853 0.56665 lineto
0.30006 0.56243 lineto
0.30159 0.55859 lineto
0.30311 0.55553 lineto
0.30388 0.55439 lineto
0.30464 0.55356 lineto
0.3054 0.55308 lineto
0.30617 0.55295 lineto
0.30693 0.5532 lineto
0.30769 0.55382 lineto
0.30846 0.55481 lineto
0.30922 0.55615 lineto
0.31074 0.55982 lineto
0.3138 0.56998 lineto
0.31685 0.58099 lineto
0.31838 0.58555 lineto
0.31914 0.58738 lineto
0.3199 0.58883 lineto
0.32067 0.58986 lineto
0.32143 0.59043 lineto
0.32219 0.59051 lineto
0.32295 0.59008 lineto
0.32372 0.58911 lineto
0.32448 0.58761 lineto
0.32524 0.58558 lineto
0.32601 0.58305 lineto
0.32906 0.5685 lineto
0.33211 0.54953 lineto
0.33516 0.53076 lineto
0.33669 0.52301 lineto
0.33745 0.51977 lineto
0.33822 0.51705 lineto
0.33898 0.51489 lineto
0.33974 0.51331 lineto
0.34051 0.51235 lineto
Mistroke
0.34127 0.51203 lineto
0.34203 0.51235 lineto
0.3428 0.51331 lineto
0.34356 0.51489 lineto
0.34432 0.51705 lineto
0.34585 0.52301 lineto
0.34737 0.53076 lineto
0.35043 0.54953 lineto
0.35348 0.5685 lineto
0.35501 0.57657 lineto
0.35577 0.58003 lineto
0.35653 0.58305 lineto
0.3573 0.58558 lineto
0.35806 0.58761 lineto
0.35882 0.58911 lineto
0.35958 0.59008 lineto
0.36035 0.59051 lineto
0.36111 0.59043 lineto
0.36187 0.58986 lineto
0.36264 0.58883 lineto
0.36569 0.58099 lineto
0.36874 0.56998 lineto
0.37027 0.56456 lineto
0.37179 0.55982 lineto
0.37332 0.55615 lineto
0.37408 0.55481 lineto
0.37485 0.55382 lineto
0.37561 0.5532 lineto
0.37637 0.55295 lineto
0.37714 0.55308 lineto
0.3779 0.55356 lineto
0.37866 0.55439 lineto
0.37943 0.55553 lineto
0.38095 0.55859 lineto
0.384 0.56665 lineto
0.38553 0.57084 lineto
0.38706 0.57461 lineto
0.38782 0.57622 lineto
0.38858 0.57761 lineto
0.38935 0.57874 lineto
0.39011 0.57958 lineto
0.39087 0.58013 lineto
0.39164 0.58037 lineto
0.3924 0.5803 lineto
0.39316 0.57993 lineto
0.39393 0.57927 lineto
0.39469 0.57834 lineto
0.39621 0.57577 lineto
0.39774 0.57251 lineto
0.39927 0.56888 lineto
Mistroke
0.40079 0.56524 lineto
0.40232 0.56197 lineto
0.40308 0.56057 lineto
0.40385 0.55937 lineto
0.40461 0.55841 lineto
0.40537 0.55771 lineto
0.40614 0.55729 lineto
0.4069 0.55716 lineto
0.40766 0.55732 lineto
0.40842 0.55776 lineto
0.40919 0.55848 lineto
0.40995 0.55947 lineto
0.41071 0.56069 lineto
0.41148 0.56212 lineto
0.41453 0.56918 lineto
0.41606 0.57291 lineto
0.41758 0.57629 lineto
0.41835 0.57774 lineto
0.41911 0.57898 lineto
0.41987 0.57998 lineto
0.42063 0.58071 lineto
0.4214 0.58115 lineto
0.42216 0.58129 lineto
0.42292 0.58112 lineto
0.42369 0.58064 lineto
0.42445 0.57986 lineto
0.42521 0.57878 lineto
0.42674 0.57588 lineto
0.42979 0.56797 lineto
0.43132 0.56369 lineto
0.43284 0.5597 lineto
0.43361 0.55795 lineto
0.43437 0.5564 lineto
0.43513 0.55511 lineto
0.4359 0.55411 lineto
0.43666 0.55342 lineto
0.43742 0.55307 lineto
0.43819 0.55307 lineto
0.43895 0.55341 lineto
0.44505 0.56691 lineto
0.44811 0.57673 lineto
0.44963 0.58092 lineto
0.4504 0.58265 lineto
0.45116 0.58407 lineto
0.45192 0.58515 lineto
0.45269 0.58585 lineto
0.45345 0.58615 lineto
0.45421 0.58604 lineto
0.45498 0.58551 lineto
0.45574 0.58457 lineto
Mistroke
0.4565 0.58323 lineto
0.45726 0.58151 lineto
0.46032 0.57165 lineto
0.46337 0.55968 lineto
0.4649 0.55426 lineto
0.46566 0.55194 lineto
0.46642 0.54997 lineto
0.46719 0.54839 lineto
0.46795 0.54727 lineto
0.46871 0.54664 lineto
0.46947 0.54653 lineto
0.47558 0.56459 lineto
0.47863 0.58177 lineto
0.48016 0.59009 lineto
0.48092 0.59379 lineto
0.48168 0.59704 lineto
0.48245 0.59973 lineto
0.48321 0.60173 lineto
0.48397 0.60296 lineto
0.48474 0.60332 lineto
0.4855 0.60271 lineto
0.48626 0.60107 lineto
0.48703 0.59832 lineto
0.48779 0.59442 lineto
0.5 0.39168 lineto
0.50305 0.3248 lineto
0.50611 0.26732 lineto
0.50763 0.24407 lineto
0.50916 0.22513 lineto
0.50992 0.21735 lineto
0.51068 0.21071 lineto
0.51145 0.20518 lineto
0.51221 0.20076 lineto
0.51297 0.19739 lineto
0.51374 0.19503 lineto
0.5145 0.19362 lineto
0.51526 0.19309 lineto
0.51603 0.19335 lineto
0.51679 0.19433 lineto
0.51755 0.19592 lineto
0.51832 0.19804 lineto
0.51984 0.20348 lineto
0.52137 0.20988 lineto
0.52442 0.2228 lineto
0.52595 0.22818 lineto
0.52671 0.23041 lineto
0.52747 0.2323 lineto
0.52824 0.23381 lineto
0.529 0.23494 lineto
0.52976 0.23568 lineto
Mistroke
0.53053 0.23604 lineto
0.53129 0.23604 lineto
0.53205 0.23568 lineto
0.53281 0.23501 lineto
0.53358 0.23405 lineto
0.5351 0.23142 lineto
0.53663 0.22813 lineto
0.53968 0.22102 lineto
0.54121 0.21785 lineto
0.54197 0.21649 lineto
0.54274 0.2153 lineto
0.5435 0.21432 lineto
0.54426 0.21354 lineto
0.54502 0.21298 lineto
0.54579 0.21265 lineto
0.54655 0.21254 lineto
0.54731 0.21263 lineto
0.54808 0.21293 lineto
0.54884 0.21341 lineto
0.55037 0.21483 lineto
0.55189 0.21671 lineto
0.55495 0.22099 lineto
0.55647 0.22296 lineto
0.558 0.22458 lineto
0.55876 0.22522 lineto
0.55952 0.22573 lineto
0.56029 0.2261 lineto
0.56105 0.22634 lineto
0.58547 0.22308 lineto
0.59768 0.22116 lineto
0.59921 0.22005 lineto
0.60073 0.21904 lineto
0.6015 0.21859 lineto
0.60226 0.21821 lineto
0.60302 0.21789 lineto
0.60379 0.21764 lineto
0.60455 0.21747 lineto
0.60531 0.21739 lineto
0.60607 0.21739 lineto
0.60684 0.21748 lineto
0.6076 0.21765 lineto
0.60836 0.2179 lineto
0.60989 0.21862 lineto
0.616 0.22289 lineto
0.61752 0.22383 lineto
0.61828 0.22423 lineto
0.61905 0.22456 lineto
0.61981 0.22483 lineto
0.62057 0.22502 lineto
0.62134 0.22514 lineto
Mistroke
0.6221 0.22517 lineto
0.62286 0.22514 lineto
0.62363 0.22502 lineto
0.62439 0.22484 lineto
0.62515 0.22459 lineto
0.62668 0.22393 lineto
0.62821 0.22311 lineto
0.63126 0.2213 lineto
0.63278 0.22047 lineto
0.63431 0.21979 lineto
0.63507 0.21953 lineto
0.63584 0.21931 lineto
0.6366 0.21916 lineto
0.63736 0.21906 lineto
0.63813 0.21903 lineto
0.63889 0.21905 lineto
0.63965 0.21912 lineto
0.64042 0.21925 lineto
0.64194 0.21963 lineto
0.64347 0.22014 lineto
0.64652 0.2213 lineto
0.64805 0.22182 lineto
0.64881 0.22204 lineto
0.64957 0.22223 lineto
0.65034 0.22237 lineto
0.6511 0.22248 lineto
0.65186 0.22255 lineto
0.65263 0.22257 lineto
0.65339 0.22255 lineto
0.65415 0.22248 lineto
0.65491 0.22238 lineto
0.65568 0.22225 lineto
0.6572 0.2219 lineto
0.65873 0.22148 lineto
0.66026 0.22106 lineto
0.66178 0.22067 lineto
0.66255 0.22051 lineto
0.66331 0.22037 lineto
0.66407 0.22027 lineto
0.66484 0.22021 lineto
0.6656 0.22018 lineto
0.66636 0.22019 lineto
0.66712 0.22025 lineto
0.66789 0.22034 lineto
0.66865 0.22047 lineto
0.66941 0.22063 lineto
0.67094 0.22104 lineto
0.67399 0.22203 lineto
0.67552 0.22251 lineto
0.67628 0.22271 lineto
Mistroke
0.67705 0.22289 lineto
0.67781 0.22304 lineto
0.67857 0.22314 lineto
0.67933 0.22321 lineto
0.6801 0.22323 lineto
0.68086 0.2232 lineto
0.68162 0.22313 lineto
0.68239 0.22302 lineto
0.68315 0.22286 lineto
0.68468 0.22243 lineto
0.6862 0.22189 lineto
0.68926 0.22068 lineto
0.69078 0.22013 lineto
0.69154 0.2199 lineto
0.69231 0.21971 lineto
0.69307 0.21956 lineto
0.69383 0.21946 lineto
0.6946 0.21941 lineto
0.69536 0.21941 lineto
0.69612 0.21946 lineto
0.69689 0.21957 lineto
0.69765 0.21973 lineto
0.69841 0.21994 lineto
0.69994 0.22048 lineto
0.70147 0.22114 lineto
0.70452 0.22257 lineto
0.70604 0.2232 lineto
0.70681 0.22345 lineto
0.70757 0.22366 lineto
0.70833 0.22381 lineto
0.7091 0.22391 lineto
0.70986 0.22394 lineto
0.71062 0.22391 lineto
0.71139 0.22382 lineto
0.71215 0.22365 lineto
0.71368 0.22315 lineto
0.7152 0.22243 lineto
0.71673 0.22156 lineto
0.71978 0.2197 lineto
0.72131 0.21888 lineto
0.72207 0.21853 lineto
0.72283 0.21825 lineto
0.7236 0.21803 lineto
0.72436 0.21788 lineto
0.72512 0.21781 lineto
0.72589 0.21782 lineto
0.72665 0.21791 lineto
0.72741 0.21808 lineto
0.72817 0.21833 lineto
0.72894 0.21866 lineto
Mistroke
0.73046 0.21952 lineto
0.73199 0.22059 lineto
0.73504 0.22298 lineto
0.73657 0.22409 lineto
0.73733 0.22458 lineto
0.7381 0.22501 lineto
0.73886 0.22536 lineto
0.73962 0.22564 lineto
0.74038 0.22582 lineto
0.74115 0.22592 lineto
0.74191 0.22591 lineto
0.74267 0.22581 lineto
0.74344 0.22562 lineto
0.7442 0.22533 lineto
0.74573 0.2245 lineto
0.74725 0.2234 lineto
0.75031 0.22078 lineto
0.75183 0.21951 lineto
0.75336 0.21843 lineto
0.75412 0.21799 lineto
0.75488 0.21764 lineto
0.75565 0.21738 lineto
0.75641 0.21723 lineto
0.75717 0.21718 lineto
0.75794 0.21724 lineto
0.7587 0.21741 lineto
0.75946 0.21768 lineto
0.76099 0.21851 lineto
0.76252 0.21966 lineto
0.76557 0.2224 lineto
0.76709 0.22372 lineto
0.76786 0.22429 lineto
0.76862 0.22479 lineto
0.76938 0.22519 lineto
0.77015 0.22549 lineto
0.77091 0.22567 lineto
0.77167 0.22572 lineto
0.77244 0.22564 lineto
0.7732 0.22543 lineto
0.77396 0.22508 lineto
0.77473 0.2246 lineto
0.77625 0.22328 lineto
0.77778 0.22159 lineto
0.78083 0.21773 lineto
0.78236 0.21597 lineto
0.78312 0.21523 lineto
0.78388 0.21461 lineto
0.78465 0.21415 lineto
0.78541 0.21386 lineto
0.78617 0.21376 lineto
Mistroke
0.78694 0.21387 lineto
0.7877 0.2142 lineto
0.78846 0.21476 lineto
0.78922 0.21553 lineto
0.78999 0.21653 lineto
0.79151 0.21915 lineto
0.79304 0.22246 lineto
0.79609 0.2301 lineto
0.79762 0.23373 lineto
0.79838 0.23532 lineto
0.79915 0.23669 lineto
0.79991 0.23777 lineto
0.80067 0.23852 lineto
0.80143 0.23888 lineto
0.8022 0.2388 lineto
0.80296 0.23823 lineto
0.80372 0.23714 lineto
0.80449 0.23548 lineto
0.80525 0.23323 lineto
0.80678 0.22686 lineto
0.8083 0.21793 lineto
0.81136 0.19267 lineto
0.81746 0.12168 lineto
0.82051 0.08446 lineto
0.82357 0.05246 lineto
0.82509 0.03965 lineto
0.82662 0.02939 lineto
0.82738 0.02528 lineto
0.82814 0.02186 lineto
0.82891 0.01912 lineto
0.82967 0.01706 lineto
0.83043 0.01566 lineto
0.8312 0.01489 lineto
0.83196 0.01472 lineto
0.83272 0.01509 lineto
0.83349 0.01598 lineto
0.83425 0.01732 lineto
0.83578 0.02114 lineto
0.83883 0.03164 lineto
0.84188 0.04275 lineto
0.84341 0.04753 lineto
0.84493 0.0514 lineto
0.8457 0.05293 lineto
0.84646 0.05419 lineto
0.84722 0.05517 lineto
0.84799 0.05586 lineto
0.84875 0.05628 lineto
0.84951 0.05644 lineto
0.85027 0.05637 lineto
0.85104 0.05608 lineto
Mistroke
0.8518 0.05561 lineto
0.85256 0.05497 lineto
0.85409 0.05338 lineto
0.85562 0.05158 lineto
0.85714 0.04985 lineto
0.85791 0.04909 lineto
0.85867 0.04844 lineto
0.85943 0.04793 lineto
0.8602 0.04757 lineto
0.86096 0.04739 lineto
0.86172 0.04739 lineto
0.86248 0.04758 lineto
0.86325 0.04798 lineto
0.86401 0.04856 lineto
0.86477 0.04934 lineto
0.8663 0.05143 lineto
0.87241 0.06391 lineto
0.87393 0.06709 lineto
0.87546 0.06991 lineto
0.87698 0.07224 lineto
0.87775 0.07319 lineto
0.87851 0.07399 lineto
0.87927 0.07463 lineto
0.88004 0.07512 lineto
0.8808 0.07547 lineto
0.88156 0.07567 lineto
0.88233 0.07575 lineto
0.88309 0.07572 lineto
0.88385 0.07558 lineto
0.88462 0.07537 lineto
0.88614 0.07479 lineto
0.88767 0.07414 lineto
0.88843 0.07385 lineto
0.88919 0.07359 lineto
0.88996 0.07341 lineto
0.89072 0.0733 lineto
0.89148 0.07329 lineto
0.89225 0.07338 lineto
0.89301 0.07359 lineto
0.89377 0.07392 lineto
0.89454 0.07439 lineto
0.8953 0.07497 lineto
0.89683 0.07652 lineto
0.89988 0.08087 lineto
0.90293 0.08615 lineto
0.90598 0.09125 lineto
0.90751 0.0934 lineto
0.90904 0.09517 lineto
0.9098 0.09589 lineto
0.91056 0.0965 lineto
Mistroke
0.91132 0.09699 lineto
0.91209 0.09738 lineto
0.91285 0.09766 lineto
0.91361 0.09785 lineto
0.91438 0.09795 lineto
0.91514 0.09798 lineto
0.9159 0.09794 lineto
0.91667 0.09786 lineto
0.91819 0.0976 lineto
0.91896 0.09747 lineto
0.91972 0.09734 lineto
0.92048 0.09725 lineto
0.92125 0.0972 lineto
0.92201 0.09721 lineto
0.92277 0.09728 lineto
0.92353 0.09743 lineto
0.9243 0.09767 lineto
0.92506 0.098 lineto
0.92582 0.09842 lineto
0.92735 0.09956 lineto
0.95177 0.12084 lineto
0.97619 0.14182 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; pageBreakBelow; preserveAspect; ]
The Gibbs phenomenon is evident from these graphs, but with a new twist:
the graph of the of the first 10 terms goes up at 0, but the graph of the first
20 terms goes down!
:[font = subsection; inactive; preserveAspect; startGroup; ]
Exercises
:[font = subsubsection; inactive; preserveAspect; ]
#1  Use Mathematica to graph the following Bessel functions:
;[s]
3:0,0;8,1;19,2;61,-1;
3:1,10,8,Times,1,12,0,0,0;1,10,8,Times,3,12,0,0,0;1,10,8,Times,1,12,0,0,0;
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 0; pictureWidth = 140; pictureHeight = 83; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.592857
200 dict begin
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0 1 0 1 [
[ 0 0 0 0 ]
[ 140 83 0 0 ]
] MathScale
% Start of Graphics
%!PS-Adobe-2.0 EPSF-2.0
%%Title: 
%%Creator: EquationBuilder
%%CreationDate: Mon Aug  3 19:37:34 1992
%%For: gray
%%DocumentFonts: (atend)
%%Pages: 0 1
%%BoundingBox: 0 0 140 83
%%Translation: 1 37.334988 138.775208 0
%%EndComments

%%BeginDocument: /usr/lib/NextStep/printPackage.ps
%!PS-Adobe-2.0
%%Title: Printing Package
%%EndComments
%Version: 2.0
%Copyright: 1988, NeXT, Inc.

/__NXdef{1 index where{pop pop pop}{def}ifelse}bind def
/__NXbdef{1 index where{pop pop pop}{bind def}ifelse}bind def
/UserObjects 10 array __NXdef
/defineuserobject{
	exch dup 1 add dup UserObjects length gt{
		array dup 0 UserObjects putinterval
		/UserObjects exch def
	}{pop}ifelse UserObjects exch 3 -1 roll put
}__NXbdef
/undefineuserobject{UserObjects exch null put}__NXbdef
/execuserobject{UserObjects exch get exec}__NXbdef
/__NXRectPath{4 2 roll moveto 1 index 0 rlineto
0 exch rlineto neg 0 rlineto closepath}__NXbdef
/__NXProcessRectArgs{
	1 index type /arraytype eq{
		exch 0 4 2 index length 1 sub{
			dup 3 add 1 exch{1 index exch get exch}for
			5 1 roll 5 index exec
		}for pop pop
	}{exec}ifelse
}__NXbdef
/rectfill{gsave newpath {__NXRectPath fill} __NXProcessRectArgs grestore}__NXbdef
/rectclip{newpath {__NXRectPath} __NXProcessRectArgs clip newpath}__NXbdef
/rectstroke{
	gsave newpath dup type /arraytype eq{dup length 6 eq}{false}ifelse{
		{gsave __NXRectPath null concat stroke grestore}
		dup length array cvx copy dup 2 4 -1 roll put __NXProcessRectArgs
	}{{__NXRectPath stroke} __NXProcessRectArgs}ifelse grestore
}__NXbdef
/xyshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		3 index 3 index 2 mul 1 add get add exch
		3 index	3 index 2 mul get add exch moveto pop
	}for pop pop
}__NXbdef
/xshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		exch 3 index 3 index get add exch moveto pop
	}for pop pop
}__NXbdef
/yshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		3 index 3 index get add moveto pop
	}for pop pop
}__NXbdef
/arct{arcto pop pop pop pop}__NXbdef
/setbbox{pop pop pop pop}__NXbdef
/ucache{}__NXbdef
/ucachestatus{mark 0 0 0 0 0}__NXbdef
/setucacheparams{cleartomark}__NXbdef
/uappend{systemdict begin cvx exec end}__NXbdef
/ueofill{gsave newpath uappend eofill grestore}__NXbdef
/ufill{gsave newpath uappend fill grestore}__NXbdef
/ustroke{
	gsave newpath dup length 6 eq
	{exch uappend concat}{uappend}ifelse
	stroke grestore
}__NXbdef
/__NXustrokepathMatrix dup where {pop pop}{matrix def}ifelse
/ustrokepath{
	newpath dup length 6 eq{
		exch uappend __NXustrokepathMatrix currentmatrix exch concat
		strokepath setmatrix
	}{uappend strokepath}ifelse
} __NXbdef
/upath{
	[exch {/ucache cvx}if pathbbox /setbbox cvx
	 {/moveto cvx}{/lineto cvx}{/curveto cvx}{/closepath cvx}pathforall]cvx
} __NXbdef
/setstrokeadjust{pop}__NXbdef
/currentstrokeadjust{false}__NXbdef
/selectfont{exch findfont exch
dup type /arraytype eq {makefont}{scalefont}ifelse setfont}__NXbdef
/_NXCombineArrays{
	counttomark dup 2 add index dup length 3 -1 roll {
		2 index length sub dup 4 1 roll 1 index exch 4 -1 roll putinterval exch
	}repeat pop pop pop
}__NXbdef
/setcmykcolor{
	1.0 exch sub dup dup 6 -1 roll
	sub dup 0 lt{pop 0}if 5 1 roll
	4 -1 roll sub dup 0 lt{pop 0}if 3 1 roll
	exch sub dup 0 lt{pop 0}if setrgbcolor
}__NXbdef
/currentcmykcolor{currentrgbcolor 3{1.0 exch sub 3 1 roll}repeat 0}__NXbdef
/flushgraphics{}def
/setwindowtype{pop pop}def
/currentwindowtype{pop 0}def
/setalpha{pop}def
/currentalpha{1.0}def
/hidecursor{}def
/obscurecursor{}def
/revealcursor{}def
/setcursor{4 {pop}repeat}bind def
/showcursor{}def
/NextStepEncoding where not{
/NextStepEncoding StandardEncoding 256 array copy def
0 [129/Agrave/Aacute/Acircumflex/Atilde/Adieresis/Aring/Ccedilla/Egrave
/Eacute/Ecircumflex/Edieresis/Igrave/Iacute/Icircumflex/Idieresis
/Eth/Ntilde/Ograve/Oacute/Ocircumflex/Otilde/Odieresis/Ugrave/Uacute
/Ucircumflex/Udieresis/Yacute/Thorn/mu/multiply/divide/copyright
176/registered 181/brokenbar 190/logicalnot 192/onesuperior 201/twosuperior
204/threesuperior 209/plusminus/onequarter/onehalf/threequarters/agrave
/aacute/acircumflex/atilde/adieresis/aring/ccedilla/egrave/eacute
/ecircumflex/edieresis/igrave 226/iacute 228/icircumflex/idieresis/eth
/ntilde 236/ograve/oacute/ocircumflex/otilde/odieresis 242/ugrave/uacute
/ucircumflex 246/udieresis/yacute 252/thorn/ydieresis]
{dup type /nametype eq
 {NextStepEncoding 2 index 2 index put pop 1 add}{exch pop}ifelse
}forall pop
/NextStepEncoding NextStepEncoding readonly def   
/_NXfstr 128 string dup 0 (_NX) putinterval def   
/findfont{
 % Because we can never let NextStepEncoding get into
 % SharedFontDirectory, we cannot reencode a font to NextStepEncoding
 % if we are in shared mode.  So if currentshared is true,
 % we call the normal findfont and return that
 /currentshared where {pop currentshared} {false} ifelse
 {//findfont exec}
 {dup _NXfstr 3 125 getinterval cvs length 3 add _NXfstr 0 3 -1 roll
  getinterval cvn exch FontDirectory 2 index known 
  {pop FontDirectory exch get}
  {//findfont exec dup /Encoding get StandardEncoding eq
   {	dup length dict exch
	{1 index /FID ne {2 index 3 1 roll put}{pop pop}ifelse}forall
	 dup /Encoding NextStepEncoding put definefont
	}{exch pop} ifelse
   }ifelse
 }ifelse
}bind def
}{pop}ifelse
/_NXProcArray 5 array __NXdef
/_NXChannels 0 __NXdef
/_NXTotalBytes 0 __NXdef
/_NXDoImageOp{
	1 index{dup}{1}ifelse /_NXChannels exch store
	_NXChannels 2 add 2 roll _NXProcArray 0 _NXChannels getinterval astore pop
	5 index 4 index mul 2 index{1 sub 8 idiv 1 add mul}{mul 1 sub 8 idiv 1 add}ifelse
	4 index mul /_NXTotalBytes exch store pop exch pop
	gsave matrix invertmatrix concat 0.5 setgray 0 0 4 2 roll rectfill grestore
	{	0 1 _NXChannels 1 sub{
			_NXProcArray exch get exec
			length _NXTotalBytes exch sub /_NXTotalBytes exch store}for
		_NXTotalBytes 0 le{exit}if
	}loop /_NXProcArray 5 array def
}__NXbdef
/colorimage{_NXDoImageOp}__NXbdef
/alphaimage{1 add _NXDoImageOp}def
%%EndDocument

% EquationBuilder(TM) Expression
% +.\Jr(=:/*V[StRFQAYmdjEEA;1nuN+[co.OZ7L#cq3iK%3:</XJ@:d#6;^G;Td47dud<A3@
% 5%MGToUOR5&d`'TuEDU)B-tbR".R+:nNB;_S4P0Odii;bME,,X_XRS2ihA"VLe`-6WLgVDQ[
% K-Oh*sQ3\5X&jqDA/d.K[>m^Q5J[c<T!&,[T+s@,"':K@sk=qG,<!aM@@nDhna*n=K8V8]^g
% &Ph@W8/YM#*:Hd&N"dNk%:14F>c;-e@-)>!E;(/p<2BN*&;6`KTVHgnR9t.4gbJO+SLcI'GX
% <`dmaa[hhVjQ6*hLkE(QaXmj05EkYb4X/t!-@Jmn]kWQZkIj>TAe2K/je2t]-l+kM'<I4l^,
% ]dj&TCfa5Wg)6V,!9!N?aFE?g@#0BkKa0jmYt.3=,cXE+8q?8*e,U(lY`VBoC!cC5FcQiQ+*
% b'00\_,<bu3JN#u8!<H4f-++H7#2JdZfg$51.9#RUmR%tK1>,a(b$O?s:[.#I"_4%@l[O8j;
% m8-2`*&]PZ!T]d5./*:K@NN.La"+.Y]2WL2*Y"?\^DQYD'."ot<=>7VrnB.8^%5St*Z/L5g?
% UEh^>Ao397\=20]SRb\B]9jo$gb\X8YfoaLgZ9&RTDkRO)^&LV`"=;?7T27O:iKNETG,eV+M
% (%V5g!)",DPCC+>!$.``_`lr?u"V_mBOl7K[FC+H4kej:j^cO.:!Q(Rbo%ObJSg>fUB"?Bum
% 7?YjTP"?#?,a;2M[G=DNeDUU,ZoZ2SZ>bO:&I[6gaptoId5g?.G7l+BA*saa5UjB1##DXl'!
% _jkX#OprZ4*TZTZ-\<)f\8#o\1TTP/nl)4d,$HX.G=t]V;#-46@'l\J"4FIf]TfY)l%$Bl:L
% H2u.!KJkW`,bnK60,p@+8gi9>%Wl\kDVZr'Ve:9UI>/;a_U-P?#$7lJcK??Ld164G7Z*ejP.
% uDtU6^s[S0u$G(W2pV@XCH3N]cZ"QDTqk2_\Sa8g(=SXG2L*t)suX<?]0"U/c\"Zjl,ViDRi
% 7=h7:o!(@<`$l9+c_ghc-tEdohES@'VQDN3hqNmXLR_j]9j\\o1HVYegZ"":Z)^\dD<XqAd[
% qLh1+JqG=28-6`PO4jO'T:-Ct]?OBSJqVE5pPc9$T;t%q]2VQ)rR+EX:,phla56U];9LDsr*
% 2Gj"k^"O;>/\(T`X4o716R2&9SS[S#-[/4K't_DgRZN"6XkY^bmWmgG>@0->98J=`AU*S6W!
% ,Ld;1+MH,k8KB9\B_T[^p>i[tJd**:eUQJ<$]2RPHnDLnT&SuWOdDPA:`eWAE9Oa&3,4O6^Z
% %+.jLNPB[?VEFG[n1R`..!O&*3hgiD,CppOG$I6+i_2lcS7c!?5*D?M%!/).$O]RcX8`H3j+
% BS2LH_LilF<`;%Qq#o4&"GLc$:.#u=h_$7GTr2P[4l2$blTg)OT::^f$W"^IfKWVAGI@Sqbh
% gggM>7gR(ZP*>,RQJNZ]a\+D1PaZ>5.LAC-8g<J_H3?\RO(T/4\o<\"P@=:TLq`8@cBaBYV%
% 0m=!+PTINs2:a)3$Ah=98J>ZTM^9Cl-D616GWP@=SsNn>2+d6qh1Yk%jHs9kirh(KLZh4(l*
% ^je]gBgN\]@nQA=mPgL@[Pf=T=aZjQa_i;kKLE&5h6dM<]R%d5\6<tDBpW9D/S1GpB&]mWFU
% k=dM?,pmm&/uS$W2&bTj=5#7dNp7.Jh51)9$>jbDn^=<7]GVofiCb7i_k[8.)7H6'o8M8<.$
% Kl+[g0<Lgub@UWVA)!#"cpXf^&[X:2lGWgVBAln0JbkT(rOi)Q-+WejRulVG22J..5g!"X>?
% "Q"HUJJNC/C5c^(2LnW4Ic./H9^4=X(X\uYorieNl6$+Q;*g'n:%m=TT!EYDOH)1%,OIp'=.
% mtI(6u4<>o$,k$JG^,N=`,^C]I(#5uPQTX/oSX:T_.\[IQ'Q6PsR!MON:,1:3'6,qN!f>1m%
% J`!'%%Jo:Hae0FU>+pXK%@E<_K10B8B""6GRdJsUUBP&ie8OF<67GdU(f=Zh<K`SbH`T.H$%
% W[rS)ruOpST'`FR/dDa$F#;ZoRR#L0E@+K5_TfLU]jXM9GlQ8,7#!n%0mXMBulA=3eTdeA&+
% 3.*ZX,FK;,<7$c;Op,iVH.+<k;$![du`$%Ecnx
% EndExpression N 1700 6a4 E 89 S 2f6af R ead4495
gsave
 /__NXbasematrix matrix currentmatrix def
grestore
%%EndProlog
%%BeginSetup
/EqBFont 18 dict dup begin /FontType 3 def /PaintType 0 def /FontMatrix [0.001 0 0 0.001 0 0] def /FontBBox [15 -2950 1360 1045] def /Encoding [/.notdef /rad1 /rad2 /rad3 /rad4 /rad5 /radext /int /pathint /sum /prod /cdot /vdot /ddot /hbar /bigcap /bigcup /parallel] def /Metrics 18 dict dup begin /.notdef 0 def /rad1 1000 def /rad2 1000 def /rad3 1000 def /rad4 1000 def /rad5 1048 def /radext 1048 def /int 500 def /pathint 500 def /sum 700 def /prod 700 def /cdot 1000 def /vdot 550 def /ddot 1000 def /hbar 500 def /bigcap 700 def /bigcup 700 def /parallel 500 def end def /BBox 18 dict dup begin /.notdef [0 0 0 0] def /rad1 [110 -1150 1020 0] def /rad2 [110 -1750 1020 0] def /rad3 [110 -2350 1020 0] def /rad4 [110 -2950 1020 0] def /rad5 [128 -2890 740 0] def /radext [700 -600 740 0] def /int [20 0 425 1045] def /pathint [20 0 425 1045] def /sum [15 5 640 715] def /prod [15 0 670 715] def /cdot [110 215 890 325] def /vdot [165 -5 280 770] def /ddot [110 -5 890 770] def /hbar [20 -10 480 685] def /bigcap [0 0 680 720] def /bigcup [0 0 680 720] def /parallel [65 -175 400 675] def end def /CharacterDefs 18 dict dup begin /.notdef {
    
} def /rad1 {
    980 0 moveto 464 -1048 lineto 248 -560 lineto 110 -656 lineto 125 -675 lineto 200 -624 lineto 420 -1150 lineto 460 -1150 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad2 {
    980 0 moveto 460 -1600 lineto 245 -864 lineto 110 -1000 lineto 128 -1023 lineto 200 -950 lineto 424 -1750 lineto 456 -1750 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad3 {
    980 0 moveto 464 -2144 lineto 248 -1160 lineto 110 -1368 lineto 130 -1390 lineto 192 -1288 lineto 424 -2350 lineto 464 -2350 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad4 {
    980 0 moveto 880 -488 lineto 672 -1600 lineto 464 -2696 lineto 248 -1464 lineto 110 -1728 lineto 130 -1750 lineto 192 -1616 lineto 424 -2950 lineto 464 -2950 lineto 768 -1312 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad5 {
    700 0 moveto 700 -2628 lineto 248 -1284 lineto 128 -1564 lineto 150 -1580 lineto 215 -1425 lineto 688 -2890 lineto 740 -2890 lineto 740 0 lineto 700 0 lineto closepath
} def /radext {
    700 0 moveto 700 -600 lineto 740 -600 lineto 740 0 lineto 700 0 lineto closepath
} def /int {
    245 390 moveto 225 235 195 145 180 100 curveto 165 60 150 50 140 40 curveto 135 30 85 0 50 20 curveto 35 25 25 45 25 55 curveto 20 80 30 100 55 110 curveto 80 125 93 110 110 90 curveto 135 60 155 135 160 195 curveto 165 270 170 340 190 510 curveto 205 650 lineto 220 810 230 890 265 960 curveto 275 980 295 1015 320 1030 curveto 350 1045 380 1030 395 1020 curveto 410 1010 425 980 400 955 curveto 385 940 347 925 330 950 curveto 310 970 290 955 290 940 curveto 280 900 285 745 270 610 curveto 245 390 lineto closepath
} def /pathint {
    245 390 moveto 225 235 195 145 180 100 curveto 165 60 150 50 140 40 curveto 135 30 85 0 50 20 curveto 35 25 25 45 25 55 curveto 20 80 30 100 55 110 curveto 80 125 93 110 110 90 curveto 135 60 155 135 160 195 curveto 165 270 170 340 190 510 curveto 205 650 lineto 220 810 230 890 265 960 curveto 275 980 295 1015 320 1030 curveto 350 1045 380 1030 395 1020 curveto 410 1010 425 980 400 955 curveto 385 940 347 925 330 950 curveto 310 970 290 955 290 940 curveto 280 900 285 745 270 610 curveto 245 390 lineto fill 20 setlinewidth 220 400 moveto 290 400 340 455 340 500 curveto 340 585 290 640 220 640 curveto 155 640 100 585 100 500 curveto 100 455 155 400 220 400 curveto stroke
} def /sum {
    330 335 moveto 20 715 lineto 575 715 lineto 600 545 lineto 575 535 lineto 550 625 525 685 395 685 curveto 160 685 lineto 411 370 lineto 160 90 lineto 470 90 lineto 565 90 590 140 610 210 curveto 640 200 lineto 585 5 lineto 15 5 lineto 330 335 lineto closepath
} def /prod {
    590 90 moveto 590 30 620 20 670 20 curveto 670 0 lineto 410 0 lineto 410 20 lineto 460 20 495 30 495 90 curveto 495 670 lineto 190 670 lineto 190 90 lineto 190 30 225 20 275 20 curveto 275 0 lineto 15 0 lineto 15 20 lineto 65 20 100 30 100 90 curveto 100 615 lineto 100 690 40 700 20 700 curveto 20 715 lineto 670 715 lineto 670 700 lineto 645 700 590 690 590 615 curveto 590 90 lineto closepath
} def /cdot {
    110 270 moveto 110 300 135 325 165 325 curveto 195 325 220 300 220 270 curveto 220 235 185 215 165 215 curveto 145 215 110 235 110 270 curveto fill 445 270 moveto 445 300 470 325 500 325 curveto 530 325 555 300 555 270 curveto 555 235 520 215 500 215 curveto 480 215 445 235 445 270 curveto fill 775 270 moveto 775 300 800 325 830 325 curveto 860 325 890 300 890 270 curveto 890 235 850 215 830 215 curveto 810 215 775 235 775 270 curveto fill
} def /vdot {
    220 770 moveto 250 770 280 750 280 720 curveto 280 680 250 660 220 660 curveto 185 660 165 695 165 720 curveto 165 740 185 770 220 770 curveto fill 220 440 moveto 250 440 280 415 280 385 curveto 280 355 250 330 220 330 curveto 185 330 165 365 165 385 curveto 165 405 185 440 220 440 curveto fill 220 105 moveto 250 105 280 80 280 50 curveto 280 20 250 -5 220 -5 curveto 185 -5 165 30 165 50 curveto 165 70 185 105 220 105 curveto fill
} def /ddot {
    165 720 moveto 205 720 220 700 220 665 curveto 220 630 195 610 165 610 curveto 130 620 110 645 110 665 curveto 110 690 130 720 165 720 curveto fill 500 440 moveto 530 440 555 415 555 385 curveto 555 355 530 330 500 330 curveto 465 330 445 365 445 385 curveto 445 405 465 440 500 440 curveto fill 830 155 moveto 860 155 890 130 890 100 curveto 890 70 860 45 830 45 curveto 795 45 775 80 775 100 curveto 775 120 795 155 830 155 curveto fill
} def /hbar {
    480 105 moveto 440 55 400 -10 335 -10 curveto 300 -10 290 10 290 35 curveto 290 65 370 350 370 365 curveto 370 380 355 390 340 390 curveto 290 390 205 275 185 250 curveto 140 180 125 125 95 0 curveto 20 0 lineto 150 500 lineto 160 545 180 600 180 615 curveto 180 625 170 640 135 640 curveto 110 640 lineto 100 655 lineto 165 660 215 670 270 685 curveto 275 680 lineto 155 240 lineto 155 235 lineto 190 290 290 440 380 440 curveto 400 440 450 435 450 370 curveto 450 335 365 80 365 55 curveto 365 45 375 40 385 40 curveto 405 40 425 70 465 115 curveto 480 105 lineto fill 55 545 moveto 55 520 lineto 310 560 lineto 310 585 lineto 55 545 lineto fill
} def /bigcap {
    615 400 moveto 615 575 500 655 340 655 curveto 180 655 70 575 70 400 curveto 70 0 lineto 5 0 lineto 5 400 lineto 5 610 140 720 340 720 curveto 545 720 680 610 680 400 curveto 680 0 lineto 615 0 lineto 615 400 lineto closepath
} def /bigcup {
    65 320 moveto 65 145 180 65 340 65 curveto 500 65 615 145 615 320 curveto 615 720 lineto 680 720 lineto 680 320 lineto 680 110 540 0 340 0 curveto 140 0 0 110 0 320 curveto 0 720 lineto 65 720 lineto 65 320 lineto closepath
} def /parallel {
    135 675 moveto 135 -175 lineto 65 -175 lineto 65 675 lineto 135 675 lineto fill 335 675 moveto 335 -175 lineto 265 -175 lineto 265 675 lineto 335 675 lineto fill 400 675 moveto
} def end def /BuildChar {
    0 begin /char exch def /fontdict exch def /charname fontdict /Encoding get char get def fontdict begin Metrics charname get 0 BBox charname get aload pop setcachedevice CharacterDefs charname get exec eofill end end
} def /BuildChar load 0 3 dict put end definefont pop
%%EndSetup
0 0 139.775208 82.669975 rectclip
0 0 139.775208 82.669975 rectclip
0 setgray
1 setalpha
1 1 scale
/Symbol findfont 12 scalefont
48
exch
defineuserobject
48 execuserobject setfont
17.335602 73.521973 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
48 execuserobject setfont
28.975603 73.515976 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1 scale
48 execuserobject setfont
59.847202 73.521973 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
48 execuserobject setfont
131.251205 73.515976 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1 scale
48 execuserobject setfont
17.335602 59.715973 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
48 execuserobject setfont
28.975603 59.709972 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1 scale
48 execuserobject setfont
59.847202 59.715973 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
48 execuserobject setfont
131.251205 59.709972 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1 scale
48 execuserobject setfont
17.335602 45.909973 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
48 execuserobject setfont
28.975603 45.903973 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1 scale
48 execuserobject setfont
59.847202 45.909973 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
48 execuserobject setfont
131.251205 45.903973 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1 scale
48 execuserobject setfont
19.5856 32.103973 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
48 execuserobject setfont
31.225601 32.097973 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1 scale
48 execuserobject setfont
59.847202 32.103973 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
48 execuserobject setfont
131.251205 32.097973 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
0.36 setlinewidth
11.788 14.805997 moveto
14.8552 22.473997 lineto
stroke
0 setgray
1 setalpha
1 1 scale
48 execuserobject setfont
21.1192 18.297974 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
48 execuserobject setfont
32.759201 18.291973 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1 scale
48 execuserobject setfont
67.474541 18.297974 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
48 execuserobject setfont
123.623878 18.291973 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1 scale
48 execuserobject setfont
18.145599 3.297997 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
48 execuserobject setfont
29.785601 3.291996 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1 scale
48 execuserobject setfont
67.474541 3.297997 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
48 execuserobject setfont
123.623878 3.291996 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
/Times-BoldItalic findfont 12 scalefont
49
exch
defineuserobject
49 execuserobject setfont
128.147873 3.189996 moveto
(.xxYxxJxxJxxJxxJxxJ) [-36.618668 0 -68.583603 0 -18.972 0 87.555603 14.999975 -65.610001 1.907349e-06 -24.919201 -1.907349e-06 98.15654 13.806 -74.770935 1.907349e-06 -21.852001 0 96.62294 13.805998 -77.020935 0 -17.352001 3.814697e-06 94.37294 13.805996 -77.020935 0 -17.352001 3.814697e-06 94.37294 13.806004 -77.020935 -7.629395e-06 -17.352001 7.629395e-06 0 0 0 0] xyshow
/Symbol findfont 9 scalefont
60
exch
defineuserobject
60 execuserobject setfont
0 0 moveto
() [-1.159154e-41 1.680567e-18] xyshow
/Times-Roman findfont 9 scalefont
51
exch
defineuserobject
51 execuserobject setfont
11.881601 1.390021 moveto
(02105210) [2.973598 14.999977 -7.5672 0 6.0336 13.733974 -4.5 0 2.250002 13.878027 0 13.806 0 13.806 0 0 0 0] xyshow
48 execuserobject setfont
100.862534 3.189996 moveto
(<<<<<<-<<-<<-<<-) [-19.254662 0 19.254662 14.999975 -19.254662 0 26.881996 13.806 -19.254669 0 -24.587997 0 43.842667 13.806 -19.254669 0 -24.587997 0 43.842667 13.806 -19.254669 0 -24.587997 0 43.842667 13.806007 -19.254669 0 -24.587997 0 0 0 0 0] xyshow
/Times-Roman findfont 12 scalefont
50
exch
defineuserobject
50 execuserobject setfont
116.783875 3.189996 moveto
(050,050,0505,0505,0505,0505) [-6 0 -38.509338 0 55.873337 14.999975 -11.363998 0 -6 0 -38.509338 0 63.500671 13.806 -11.364006 0 -6 0 -38.509331 0 -6 0 61.873337 13.806004 -11.364006 -3.814697e-06 -6 0 -38.509331 0 -6 0 61.873337 13.806004 -11.364006 -3.814697e-06 -6 0 -38.509331 0 -6 0 61.873337 13.806007 -11.364006 0 -6 0 -38.509331 0 -6 0 0 0 0 0] xyshow
%%Trailer
%%DocumentFonts: Times-BoldItalic
%%+ Times-Roman
%%+ Symbol

%End of Graphics
MathPictureEnd
end

:[font = subsubsection; inactive; preserveAspect; ]
#2
:[font = text; inactive; preserveAspect; ]
Use Mathematica to find the second positive zero of  J0, in other words,
the second number  y  such that  y > 0 and  J0(y) = 0.  Do this by drawing
successive graphs of  J0  that  narrow in on  y.  Find   y  correct to 3 decimal
places.
;[s]
17:0,0;4,1;15,2;53,3;54,4;55,5;92,6;94,7;117,8;118,9;119,10;120,11;121,12;169,13;171,14;172,15;174,16;240,-1;
17:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Times,66,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Times,66,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Times,66,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsubsection; inactive; preserveAspect; ]
#3
:[font = text; inactive; pageBreakBelow; preserveAspect; endGroup; endGroup; ]
Use Mathematica to find the second positive zero of  J0 using  FindRoot.
;[s]
8:0,0;4,1;15,2;53,3;54,4;56,5;63,6;71,7;73,-1;
8:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,10,8,Times,66,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
The Circular Drumhead
:[font = text; inactive; preserveAspect; ]
Mathematica can be used to draw 3-dimensional graphs of the vibrating drum.
The solutions of the polar coordinate version
;[s]
2:0,0;11,1;122,-1;
2:1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 0; pictureWidth = 126; pictureHeight = 31; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.246032
200 dict begin
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0 1 0 1 [
[ 0 0 0 0 ]
[ 126 31 0 0 ]
] MathScale
% Start of Graphics
%!PS-Adobe-2.0 EPSF-2.0
%%Title: 
%%Creator: EquationBuilder
%%CreationDate: Mon Aug  3 16:59:13 1992
%%For: gray
%%DocumentFonts: (atend)
%%Pages: 0 1
%%BoundingBox: 0 0 126 31
%%Translation: 1 11.878704 124.049332 0
%%EndComments

%%BeginDocument: /usr/lib/NextStep/printPackage.ps
%!PS-Adobe-2.0
%%Title: Printing Package
%%EndComments
%Version: 2.0
%Copyright: 1988, NeXT, Inc.

/__NXdef{1 index where{pop pop pop}{def}ifelse}bind def
/__NXbdef{1 index where{pop pop pop}{bind def}ifelse}bind def
/UserObjects 10 array __NXdef
/defineuserobject{
	exch dup 1 add dup UserObjects length gt{
		array dup 0 UserObjects putinterval
		/UserObjects exch def
	}{pop}ifelse UserObjects exch 3 -1 roll put
}__NXbdef
/undefineuserobject{UserObjects exch null put}__NXbdef
/execuserobject{UserObjects exch get exec}__NXbdef
/__NXRectPath{4 2 roll moveto 1 index 0 rlineto
0 exch rlineto neg 0 rlineto closepath}__NXbdef
/__NXProcessRectArgs{
	1 index type /arraytype eq{
		exch 0 4 2 index length 1 sub{
			dup 3 add 1 exch{1 index exch get exch}for
			5 1 roll 5 index exec
		}for pop pop
	}{exec}ifelse
}__NXbdef
/rectfill{gsave newpath {__NXRectPath fill} __NXProcessRectArgs grestore}__NXbdef
/rectclip{newpath {__NXRectPath} __NXProcessRectArgs clip newpath}__NXbdef
/rectstroke{
	gsave newpath dup type /arraytype eq{dup length 6 eq}{false}ifelse{
		{gsave __NXRectPath null concat stroke grestore}
		dup length array cvx copy dup 2 4 -1 roll put __NXProcessRectArgs
	}{{__NXRectPath stroke} __NXProcessRectArgs}ifelse grestore
}__NXbdef
/xyshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		3 index 3 index 2 mul 1 add get add exch
		3 index	3 index 2 mul get add exch moveto pop
	}for pop pop
}__NXbdef
/xshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		exch 3 index 3 index get add exch moveto pop
	}for pop pop
}__NXbdef
/yshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		3 index 3 index get add moveto pop
	}for pop pop
}__NXbdef
/arct{arcto pop pop pop pop}__NXbdef
/setbbox{pop pop pop pop}__NXbdef
/ucache{}__NXbdef
/ucachestatus{mark 0 0 0 0 0}__NXbdef
/setucacheparams{cleartomark}__NXbdef
/uappend{systemdict begin cvx exec end}__NXbdef
/ueofill{gsave newpath uappend eofill grestore}__NXbdef
/ufill{gsave newpath uappend fill grestore}__NXbdef
/ustroke{
	gsave newpath dup length 6 eq
	{exch uappend concat}{uappend}ifelse
	stroke grestore
}__NXbdef
/__NXustrokepathMatrix dup where {pop pop}{matrix def}ifelse
/ustrokepath{
	newpath dup length 6 eq{
		exch uappend __NXustrokepathMatrix currentmatrix exch concat
		strokepath setmatrix
	}{uappend strokepath}ifelse
} __NXbdef
/upath{
	[exch {/ucache cvx}if pathbbox /setbbox cvx
	 {/moveto cvx}{/lineto cvx}{/curveto cvx}{/closepath cvx}pathforall]cvx
} __NXbdef
/setstrokeadjust{pop}__NXbdef
/currentstrokeadjust{false}__NXbdef
/selectfont{exch findfont exch
dup type /arraytype eq {makefont}{scalefont}ifelse setfont}__NXbdef
/_NXCombineArrays{
	counttomark dup 2 add index dup length 3 -1 roll {
		2 index length sub dup 4 1 roll 1 index exch 4 -1 roll putinterval exch
	}repeat pop pop pop
}__NXbdef
/setcmykcolor{
	1.0 exch sub dup dup 6 -1 roll
	sub dup 0 lt{pop 0}if 5 1 roll
	4 -1 roll sub dup 0 lt{pop 0}if 3 1 roll
	exch sub dup 0 lt{pop 0}if setrgbcolor
}__NXbdef
/currentcmykcolor{currentrgbcolor 3{1.0 exch sub 3 1 roll}repeat 0}__NXbdef
/flushgraphics{}def
/setwindowtype{pop pop}def
/currentwindowtype{pop 0}def
/setalpha{pop}def
/currentalpha{1.0}def
/hidecursor{}def
/obscurecursor{}def
/revealcursor{}def
/setcursor{4 {pop}repeat}bind def
/showcursor{}def
/NextStepEncoding where not{
/NextStepEncoding StandardEncoding 256 array copy def
0 [129/Agrave/Aacute/Acircumflex/Atilde/Adieresis/Aring/Ccedilla/Egrave
/Eacute/Ecircumflex/Edieresis/Igrave/Iacute/Icircumflex/Idieresis
/Eth/Ntilde/Ograve/Oacute/Ocircumflex/Otilde/Odieresis/Ugrave/Uacute
/Ucircumflex/Udieresis/Yacute/Thorn/mu/multiply/divide/copyright
176/registered 181/brokenbar 190/logicalnot 192/onesuperior 201/twosuperior
204/threesuperior 209/plusminus/onequarter/onehalf/threequarters/agrave
/aacute/acircumflex/atilde/adieresis/aring/ccedilla/egrave/eacute
/ecircumflex/edieresis/igrave 226/iacute 228/icircumflex/idieresis/eth
/ntilde 236/ograve/oacute/ocircumflex/otilde/odieresis 242/ugrave/uacute
/ucircumflex 246/udieresis/yacute 252/thorn/ydieresis]
{dup type /nametype eq
 {NextStepEncoding 2 index 2 index put pop 1 add}{exch pop}ifelse
}forall pop
/NextStepEncoding NextStepEncoding readonly def   
/_NXfstr 128 string dup 0 (_NX) putinterval def   
/findfont{
 % Because we can never let NextStepEncoding get into
 % SharedFontDirectory, we cannot reencode a font to NextStepEncoding
 % if we are in shared mode.  So if currentshared is true,
 % we call the normal findfont and return that
 /currentshared where {pop currentshared} {false} ifelse
 {//findfont exec}
 {dup _NXfstr 3 125 getinterval cvs length 3 add _NXfstr 0 3 -1 roll
  getinterval cvn exch FontDirectory 2 index known 
  {pop FontDirectory exch get}
  {//findfont exec dup /Encoding get StandardEncoding eq
   {	dup length dict exch
	{1 index /FID ne {2 index 3 1 roll put}{pop pop}ifelse}forall
	 dup /Encoding NextStepEncoding put definefont
	}{exch pop} ifelse
   }ifelse
 }ifelse
}bind def
}{pop}ifelse
/_NXProcArray 5 array __NXdef
/_NXChannels 0 __NXdef
/_NXTotalBytes 0 __NXdef
/_NXDoImageOp{
	1 index{dup}{1}ifelse /_NXChannels exch store
	_NXChannels 2 add 2 roll _NXProcArray 0 _NXChannels getinterval astore pop
	5 index 4 index mul 2 index{1 sub 8 idiv 1 add mul}{mul 1 sub 8 idiv 1 add}ifelse
	4 index mul /_NXTotalBytes exch store pop exch pop
	gsave matrix invertmatrix concat 0.5 setgray 0 0 4 2 roll rectfill grestore
	{	0 1 _NXChannels 1 sub{
			_NXProcArray exch get exec
			length _NXTotalBytes exch sub /_NXTotalBytes exch store}for
		_NXTotalBytes 0 le{exit}if
	}loop /_NXProcArray 5 array def
}__NXbdef
/colorimage{_NXDoImageOp}__NXbdef
/alphaimage{1 add _NXDoImageOp}def
%%EndDocument

% EquationBuilder(TM) Expression
% +.\Jr(=:/*V[StRFQAYmdjEEA;1nuN+[co.OZ7L#cq3iK%3:</XJ@:d#6;^G;Td47dud<A3@
% 5%MGToUOR5&d`'TuEDU)B-tbR".R^s<6Z!!!E7_Ct-r+S_,jj@P.-O?%B4'FH)c:eX1]TM0'
% o;,/#l!%\^3YU,#41L183Q(&Hf"9NTgc2h<D&k0$!hQXOnBCNsA60Psq6cY@ca,g65@$1_&!
% 4;jU&?*0o#*:He)*F$K-B4KKEq1J^9P5%"9R]'S)SgX<kJ%A$jCoi.n7orXLS-s3]/=+pYsI
% n+,X?$@:]W2:%%r2]!"c'0f.lnV6'4'E"r8;'4?6bIcO3:iNf#uu5W6/g.SiUD!7!?;Mh90q
% ]HQnI5dqdXm9)paGPaPS?[^)qpKVe?Ya6@\L,^"mKW!/ub!-UB-t%_88.pe*Vb"ZsK;#-[L.
% 3/n1#?^FH)P&&"D/HI&"j2k'HsVupBcce%PS55#thKrN"6D#?pnKI#hb=KSsL^^9*QL@GGmW
% \A:QI.8Dni'\C'9"V]6pQ09QG_8MMVke,U(lY`VBoC!cBJENVG/)hS01(;k"\4dJc^"`RM[D
% *L5(9QEH4$(3SRIct>m=?[X;QSj6&>bI6Fb+Ja83;OIMQRZ]Z!-1%ZC8k0E8'@9)Xp<7,YY#
% 7_,g](KN?m/`8VdF7R"h&EMD7SlU9&YYd0eZ+`./G?KRm'[GXAk&VkGFeaZ5:i=en*@@[JU@
% "@<<1PSSk&Bn<4Uphd=)^7$[/p.3&\,k+>kO1UKnMlr#9&gFN7)!V2DGN2d5Dh5?9LQ97(&u
% $rXh23\=!9",UDO->lr,6l^\%=)"*nqKGOUNdgWZ%m0P4HYu[RpfX[<>+BXn/\cJKt@hJq2#
% m:0_e$(8rd'b=0<"Br8+6qH21O8K"k$,1h^G#a/R<#mZWDcsY-2MJt9%VhiS@fjY0d?&erm*
% M=MU!:U(5Cs,P^N[^dN7?0Wt!6?WjY@i#c\.);j*-8b98%"EFUpRY1oT]_2#ctGS:jk$ZJ,q
% P\5fK6C[33Ft@G2"'kA>l)KOA=95t;c4Na\[aW2n5?HZ@XX";&-HE<uZL"MkBESG6S"x
% EndExpression N 860 35c E 7e S 1673c R a4d825b2
gsave
 /__NXbasematrix matrix currentmatrix def
grestore
%%EndProlog
%%BeginSetup
/EqBFont 18 dict dup begin /FontType 3 def /PaintType 0 def /FontMatrix [0.001 0 0 0.001 0 0] def /FontBBox [15 -2950 1360 1045] def /Encoding [/.notdef /rad1 /rad2 /rad3 /rad4 /rad5 /radext /int /pathint /sum /prod /cdot /vdot /ddot /hbar /bigcap /bigcup /parallel] def /Metrics 18 dict dup begin /.notdef 0 def /rad1 1000 def /rad2 1000 def /rad3 1000 def /rad4 1000 def /rad5 1048 def /radext 1048 def /int 500 def /pathint 500 def /sum 700 def /prod 700 def /cdot 1000 def /vdot 550 def /ddot 1000 def /hbar 500 def /bigcap 700 def /bigcup 700 def /parallel 500 def end def /BBox 18 dict dup begin /.notdef [0 0 0 0] def /rad1 [110 -1150 1020 0] def /rad2 [110 -1750 1020 0] def /rad3 [110 -2350 1020 0] def /rad4 [110 -2950 1020 0] def /rad5 [128 -2890 740 0] def /radext [700 -600 740 0] def /int [20 0 425 1045] def /pathint [20 0 425 1045] def /sum [15 5 640 715] def /prod [15 0 670 715] def /cdot [110 215 890 325] def /vdot [165 -5 280 770] def /ddot [110 -5 890 770] def /hbar [20 -10 480 685] def /bigcap [0 0 680 720] def /bigcup [0 0 680 720] def /parallel [65 -175 400 675] def end def /CharacterDefs 18 dict dup begin /.notdef {
    
} def /rad1 {
    980 0 moveto 464 -1048 lineto 248 -560 lineto 110 -656 lineto 125 -675 lineto 200 -624 lineto 420 -1150 lineto 460 -1150 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad2 {
    980 0 moveto 460 -1600 lineto 245 -864 lineto 110 -1000 lineto 128 -1023 lineto 200 -950 lineto 424 -1750 lineto 456 -1750 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad3 {
    980 0 moveto 464 -2144 lineto 248 -1160 lineto 110 -1368 lineto 130 -1390 lineto 192 -1288 lineto 424 -2350 lineto 464 -2350 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad4 {
    980 0 moveto 880 -488 lineto 672 -1600 lineto 464 -2696 lineto 248 -1464 lineto 110 -1728 lineto 130 -1750 lineto 192 -1616 lineto 424 -2950 lineto 464 -2950 lineto 768 -1312 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad5 {
    700 0 moveto 700 -2628 lineto 248 -1284 lineto 128 -1564 lineto 150 -1580 lineto 215 -1425 lineto 688 -2890 lineto 740 -2890 lineto 740 0 lineto 700 0 lineto closepath
} def /radext {
    700 0 moveto 700 -600 lineto 740 -600 lineto 740 0 lineto 700 0 lineto closepath
} def /int {
    245 390 moveto 225 235 195 145 180 100 curveto 165 60 150 50 140 40 curveto 135 30 85 0 50 20 curveto 35 25 25 45 25 55 curveto 20 80 30 100 55 110 curveto 80 125 93 110 110 90 curveto 135 60 155 135 160 195 curveto 165 270 170 340 190 510 curveto 205 650 lineto 220 810 230 890 265 960 curveto 275 980 295 1015 320 1030 curveto 350 1045 380 1030 395 1020 curveto 410 1010 425 980 400 955 curveto 385 940 347 925 330 950 curveto 310 970 290 955 290 940 curveto 280 900 285 745 270 610 curveto 245 390 lineto closepath
} def /pathint {
    245 390 moveto 225 235 195 145 180 100 curveto 165 60 150 50 140 40 curveto 135 30 85 0 50 20 curveto 35 25 25 45 25 55 curveto 20 80 30 100 55 110 curveto 80 125 93 110 110 90 curveto 135 60 155 135 160 195 curveto 165 270 170 340 190 510 curveto 205 650 lineto 220 810 230 890 265 960 curveto 275 980 295 1015 320 1030 curveto 350 1045 380 1030 395 1020 curveto 410 1010 425 980 400 955 curveto 385 940 347 925 330 950 curveto 310 970 290 955 290 940 curveto 280 900 285 745 270 610 curveto 245 390 lineto fill 20 setlinewidth 220 400 moveto 290 400 340 455 340 500 curveto 340 585 290 640 220 640 curveto 155 640 100 585 100 500 curveto 100 455 155 400 220 400 curveto stroke
} def /sum {
    330 335 moveto 20 715 lineto 575 715 lineto 600 545 lineto 575 535 lineto 550 625 525 685 395 685 curveto 160 685 lineto 411 370 lineto 160 90 lineto 470 90 lineto 565 90 590 140 610 210 curveto 640 200 lineto 585 5 lineto 15 5 lineto 330 335 lineto closepath
} def /prod {
    590 90 moveto 590 30 620 20 670 20 curveto 670 0 lineto 410 0 lineto 410 20 lineto 460 20 495 30 495 90 curveto 495 670 lineto 190 670 lineto 190 90 lineto 190 30 225 20 275 20 curveto 275 0 lineto 15 0 lineto 15 20 lineto 65 20 100 30 100 90 curveto 100 615 lineto 100 690 40 700 20 700 curveto 20 715 lineto 670 715 lineto 670 700 lineto 645 700 590 690 590 615 curveto 590 90 lineto closepath
} def /cdot {
    110 270 moveto 110 300 135 325 165 325 curveto 195 325 220 300 220 270 curveto 220 235 185 215 165 215 curveto 145 215 110 235 110 270 curveto fill 445 270 moveto 445 300 470 325 500 325 curveto 530 325 555 300 555 270 curveto 555 235 520 215 500 215 curveto 480 215 445 235 445 270 curveto fill 775 270 moveto 775 300 800 325 830 325 curveto 860 325 890 300 890 270 curveto 890 235 850 215 830 215 curveto 810 215 775 235 775 270 curveto fill
} def /vdot {
    220 770 moveto 250 770 280 750 280 720 curveto 280 680 250 660 220 660 curveto 185 660 165 695 165 720 curveto 165 740 185 770 220 770 curveto fill 220 440 moveto 250 440 280 415 280 385 curveto 280 355 250 330 220 330 curveto 185 330 165 365 165 385 curveto 165 405 185 440 220 440 curveto fill 220 105 moveto 250 105 280 80 280 50 curveto 280 20 250 -5 220 -5 curveto 185 -5 165 30 165 50 curveto 165 70 185 105 220 105 curveto fill
} def /ddot {
    165 720 moveto 205 720 220 700 220 665 curveto 220 630 195 610 165 610 curveto 130 620 110 645 110 665 curveto 110 690 130 720 165 720 curveto fill 500 440 moveto 530 440 555 415 555 385 curveto 555 355 530 330 500 330 curveto 465 330 445 365 445 385 curveto 445 405 465 440 500 440 curveto fill 830 155 moveto 860 155 890 130 890 100 curveto 890 70 860 45 830 45 curveto 795 45 775 80 775 100 curveto 775 120 795 155 830 155 curveto fill
} def /hbar {
    480 105 moveto 440 55 400 -10 335 -10 curveto 300 -10 290 10 290 35 curveto 290 65 370 350 370 365 curveto 370 380 355 390 340 390 curveto 290 390 205 275 185 250 curveto 140 180 125 125 95 0 curveto 20 0 lineto 150 500 lineto 160 545 180 600 180 615 curveto 180 625 170 640 135 640 curveto 110 640 lineto 100 655 lineto 165 660 215 670 270 685 curveto 275 680 lineto 155 240 lineto 155 235 lineto 190 290 290 440 380 440 curveto 400 440 450 435 450 370 curveto 450 335 365 80 365 55 curveto 365 45 375 40 385 40 curveto 405 40 425 70 465 115 curveto 480 105 lineto fill 55 545 moveto 55 520 lineto 310 560 lineto 310 585 lineto 55 545 lineto fill
} def /bigcap {
    615 400 moveto 615 575 500 655 340 655 curveto 180 655 70 575 70 400 curveto 70 0 lineto 5 0 lineto 5 400 lineto 5 610 140 720 340 720 curveto 545 720 680 610 680 400 curveto 680 0 lineto 615 0 lineto 615 400 lineto closepath
} def /bigcup {
    65 320 moveto 65 145 180 65 340 65 curveto 500 65 615 145 615 320 curveto 615 720 lineto 680 720 lineto 680 320 lineto 680 110 540 0 340 0 curveto 140 0 0 110 0 320 curveto 0 720 lineto 65 720 lineto 65 320 lineto closepath
} def /parallel {
    135 675 moveto 135 -175 lineto 65 -175 lineto 65 675 lineto 135 675 lineto fill 335 675 moveto 335 -175 lineto 265 -175 lineto 265 675 lineto 335 675 lineto fill 400 675 moveto
} def end def /BuildChar {
    0 begin /char exch def /fontdict exch def /charname fontdict /Encoding get char get def fontdict begin Metrics charname get 0 BBox charname get aload pop setcachedevice CharacterDefs charname get exec eofill end end
} def /BuildChar load 0 3 dict put end definefont pop
%%EndSetup
0 0 125.049332 30.284416 rectclip
0 0 125.049332 30.284416 rectclip
0 setgray
1 setalpha
0.48 setlinewidth
73.224998 15.878704 moveto
87.037994 15.878704 lineto
stroke
0 setgray
1 setalpha
0.48 setlinewidth
98.959335 15.878704 moveto
118.685333 15.878704 lineto
stroke
0 setgray
1 setalpha
1 2.585978 scale
/Symbol findfont 12 scalefont
47
exch
defineuserobject
47 execuserobject setfont
38.749668 3.248308 moveto
(\() [0 0] xyshow
1 0.386701 scale
1 2.582989 scale
47 execuserobject setfont
119.525337 3.249415 moveto
(\)) [0 0] xyshow
1 0.387148 scale
0 setgray
1 setalpha
/Times-BoldItalic findfont 12 scalefont
44
exch
defineuserobject
44 execuserobject setfont
99.459335 21.37468 moveto
(uuucu) [-25.734337 0.054001 -30.175331 -8.549976 -16.392 0 -26.157667 0 0 0 0 0] xyshow
/Symbol findfont 9 scalefont
45
exch
defineuserobject
45 execuserobject setfont
111.558334 19.574705 moveto
(jjrrr) [-5.427002 0 -25.734337 0.053999 -25.234329 -8.549976 -4.940998 0 0 0 0 0] xyshow
/Times-BoldItalic findfont 9 scalefont
69
exch
defineuserobject
69 execuserobject setfont
10.174 11.078729 moveto
(tt) [-2.502 0 0 0 0 0] xyshow
47 execuserobject setfont
102.678337 3.76 moveto
(r+r+=) [-12.973671 9.118704 -12.867165 -8.231412 -12.867168 8.231412 -46.734001 0 0 0 0 0] xyshow
/Times-Roman findfont 9 scalefont
46
exch
defineuserobject
46 execuserobject setfont
109.266335 8.114704 moveto
(22) [-76.78067 9.718704 0 0 0 0] xyshow
%%Trailer
%%DocumentFonts: Times-BoldItalic
%%+ Times-Roman
%%+ Symbol

%End of Graphics
MathPictureEnd
end

:[font = text; inactive; preserveAspect; ]
of the 2-dimensional wave equation are of the form
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 0; pictureWidth = 219; pictureHeight = 20; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.091324
200 dict begin
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0 1 0 1 [
[ 0 0 0 0 ]
[ 219 20 0 0 ]
] MathScale
% Start of Graphics
%!PS-Adobe-2.0 EPSF-2.0
%%Title: 
%%Creator: EquationBuilder
%%CreationDate: Mon Aug  3 17:07:49 1992
%%For: gray
%%DocumentFonts: (atend)
%%Pages: 0 1
%%BoundingBox: 0 0 219 20
%%Translation: 1 5.203605 217.172668 0
%%EndComments

%%BeginDocument: /usr/lib/NextStep/printPackage.ps
%!PS-Adobe-2.0
%%Title: Printing Package
%%EndComments
%Version: 2.0
%Copyright: 1988, NeXT, Inc.

/__NXdef{1 index where{pop pop pop}{def}ifelse}bind def
/__NXbdef{1 index where{pop pop pop}{bind def}ifelse}bind def
/UserObjects 10 array __NXdef
/defineuserobject{
	exch dup 1 add dup UserObjects length gt{
		array dup 0 UserObjects putinterval
		/UserObjects exch def
	}{pop}ifelse UserObjects exch 3 -1 roll put
}__NXbdef
/undefineuserobject{UserObjects exch null put}__NXbdef
/execuserobject{UserObjects exch get exec}__NXbdef
/__NXRectPath{4 2 roll moveto 1 index 0 rlineto
0 exch rlineto neg 0 rlineto closepath}__NXbdef
/__NXProcessRectArgs{
	1 index type /arraytype eq{
		exch 0 4 2 index length 1 sub{
			dup 3 add 1 exch{1 index exch get exch}for
			5 1 roll 5 index exec
		}for pop pop
	}{exec}ifelse
}__NXbdef
/rectfill{gsave newpath {__NXRectPath fill} __NXProcessRectArgs grestore}__NXbdef
/rectclip{newpath {__NXRectPath} __NXProcessRectArgs clip newpath}__NXbdef
/rectstroke{
	gsave newpath dup type /arraytype eq{dup length 6 eq}{false}ifelse{
		{gsave __NXRectPath null concat stroke grestore}
		dup length array cvx copy dup 2 4 -1 roll put __NXProcessRectArgs
	}{{__NXRectPath stroke} __NXProcessRectArgs}ifelse grestore
}__NXbdef
/xyshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		3 index 3 index 2 mul 1 add get add exch
		3 index	3 index 2 mul get add exch moveto pop
	}for pop pop
}__NXbdef
/xshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		exch 3 index 3 index get add exch moveto pop
	}for pop pop
}__NXbdef
/yshow{
	0 1 3 index length 1 sub{
		currentpoint 4 index 3 index 1 getinterval show
		3 index 3 index get add moveto pop
	}for pop pop
}__NXbdef
/arct{arcto pop pop pop pop}__NXbdef
/setbbox{pop pop pop pop}__NXbdef
/ucache{}__NXbdef
/ucachestatus{mark 0 0 0 0 0}__NXbdef
/setucacheparams{cleartomark}__NXbdef
/uappend{systemdict begin cvx exec end}__NXbdef
/ueofill{gsave newpath uappend eofill grestore}__NXbdef
/ufill{gsave newpath uappend fill grestore}__NXbdef
/ustroke{
	gsave newpath dup length 6 eq
	{exch uappend concat}{uappend}ifelse
	stroke grestore
}__NXbdef
/__NXustrokepathMatrix dup where {pop pop}{matrix def}ifelse
/ustrokepath{
	newpath dup length 6 eq{
		exch uappend __NXustrokepathMatrix currentmatrix exch concat
		strokepath setmatrix
	}{uappend strokepath}ifelse
} __NXbdef
/upath{
	[exch {/ucache cvx}if pathbbox /setbbox cvx
	 {/moveto cvx}{/lineto cvx}{/curveto cvx}{/closepath cvx}pathforall]cvx
} __NXbdef
/setstrokeadjust{pop}__NXbdef
/currentstrokeadjust{false}__NXbdef
/selectfont{exch findfont exch
dup type /arraytype eq {makefont}{scalefont}ifelse setfont}__NXbdef
/_NXCombineArrays{
	counttomark dup 2 add index dup length 3 -1 roll {
		2 index length sub dup 4 1 roll 1 index exch 4 -1 roll putinterval exch
	}repeat pop pop pop
}__NXbdef
/setcmykcolor{
	1.0 exch sub dup dup 6 -1 roll
	sub dup 0 lt{pop 0}if 5 1 roll
	4 -1 roll sub dup 0 lt{pop 0}if 3 1 roll
	exch sub dup 0 lt{pop 0}if setrgbcolor
}__NXbdef
/currentcmykcolor{currentrgbcolor 3{1.0 exch sub 3 1 roll}repeat 0}__NXbdef
/flushgraphics{}def
/setwindowtype{pop pop}def
/currentwindowtype{pop 0}def
/setalpha{pop}def
/currentalpha{1.0}def
/hidecursor{}def
/obscurecursor{}def
/revealcursor{}def
/setcursor{4 {pop}repeat}bind def
/showcursor{}def
/NextStepEncoding where not{
/NextStepEncoding StandardEncoding 256 array copy def
0 [129/Agrave/Aacute/Acircumflex/Atilde/Adieresis/Aring/Ccedilla/Egrave
/Eacute/Ecircumflex/Edieresis/Igrave/Iacute/Icircumflex/Idieresis
/Eth/Ntilde/Ograve/Oacute/Ocircumflex/Otilde/Odieresis/Ugrave/Uacute
/Ucircumflex/Udieresis/Yacute/Thorn/mu/multiply/divide/copyright
176/registered 181/brokenbar 190/logicalnot 192/onesuperior 201/twosuperior
204/threesuperior 209/plusminus/onequarter/onehalf/threequarters/agrave
/aacute/acircumflex/atilde/adieresis/aring/ccedilla/egrave/eacute
/ecircumflex/edieresis/igrave 226/iacute 228/icircumflex/idieresis/eth
/ntilde 236/ograve/oacute/ocircumflex/otilde/odieresis 242/ugrave/uacute
/ucircumflex 246/udieresis/yacute 252/thorn/ydieresis]
{dup type /nametype eq
 {NextStepEncoding 2 index 2 index put pop 1 add}{exch pop}ifelse
}forall pop
/NextStepEncoding NextStepEncoding readonly def   
/_NXfstr 128 string dup 0 (_NX) putinterval def   
/findfont{
 % Because we can never let NextStepEncoding get into
 % SharedFontDirectory, we cannot reencode a font to NextStepEncoding
 % if we are in shared mode.  So if currentshared is true,
 % we call the normal findfont and return that
 /currentshared where {pop currentshared} {false} ifelse
 {//findfont exec}
 {dup _NXfstr 3 125 getinterval cvs length 3 add _NXfstr 0 3 -1 roll
  getinterval cvn exch FontDirectory 2 index known 
  {pop FontDirectory exch get}
  {//findfont exec dup /Encoding get StandardEncoding eq
   {	dup length dict exch
	{1 index /FID ne {2 index 3 1 roll put}{pop pop}ifelse}forall
	 dup /Encoding NextStepEncoding put definefont
	}{exch pop} ifelse
   }ifelse
 }ifelse
}bind def
}{pop}ifelse
/_NXProcArray 5 array __NXdef
/_NXChannels 0 __NXdef
/_NXTotalBytes 0 __NXdef
/_NXDoImageOp{
	1 index{dup}{1}ifelse /_NXChannels exch store
	_NXChannels 2 add 2 roll _NXProcArray 0 _NXChannels getinterval astore pop
	5 index 4 index mul 2 index{1 sub 8 idiv 1 add mul}{mul 1 sub 8 idiv 1 add}ifelse
	4 index mul /_NXTotalBytes exch store pop exch pop
	gsave matrix invertmatrix concat 0.5 setgray 0 0 4 2 roll rectfill grestore
	{	0 1 _NXChannels 1 sub{
			_NXProcArray exch get exec
			length _NXTotalBytes exch sub /_NXTotalBytes exch store}for
		_NXTotalBytes 0 le{exit}if
	}loop /_NXProcArray 5 array def
}__NXbdef
/colorimage{_NXDoImageOp}__NXbdef
/alphaimage{1 add _NXDoImageOp}def
%%EndDocument

% EquationBuilder(TM) Expression
% +.\Jr(=:/*V[StRFQAYmdjEEA;1nuN+[co.OZ7L#cq3iK%3:</XJ@:d#6;^G;Td47dud<A3@
% 5%MGToUOR5&d`'TuEDU)B-tbR".R+:s'?'JKOf0M'9NV$2,7,X_XRS2ihA"VLe`-6WLgVDQ[
% K-Oh*sQ3\5X&jqDA/d.K[>m^Q5J[c<T!&,[Tin#Mqf\EPQp`n<3FPaBu@nDhna*n=K8V8]^g
% &Ph$W+?>=8/K#JVW;G9-88oJL(Oh['1U:3`L@o]lIuWp?:"^H/d3!JP0!\R-jBZK8pD@DIN&
% hI_^8*I1j!'<VA%_SCdPN3:hAs\OJ^'oBS.e=]gh`lO&(Vi958YOho/;)O!k8/8LS`:i1(9,
% rH^iu!PfY%KZGM\$co%)R!RE<#,$;G)AnSTaLU;;KC&!V)Z]EQ(VgLe?<CEd!cHYaE-)rf@#
% =CC!m3_W"um`\/dB*1."VSpUOY?+n,jdm#2g_fJcLm!$=2Tb,7/&97gK2GZ(Vb"DX]%.Ikna
% Y@=]Kni1OEc4<XqIBt2Po*n++:a`Y!#Yh]`N4Z3_7)Fiqa&l'cM6lU(RA>NdW@^tEBFr'kLJ
% s$6tih.W=.9mfHf#_>WOr,F#16OckALU\=(dKS-4Z8:E!c05OS;pT:VgqsB\-d8p4JlkG"40
% @?U>)b1j,"B,JK1SJjm":nLk_[?UB]Qf.>o13F/+^TmMP#He,G/uO[ptTeSVf;>A-EB/A#[Y
% P&qq*Z0+*f."(9l.'AEog'Fg@6<6aTOOb1mA<MQBTSt,T3#PmdAY,#rVi/]Rm!Jnon\uQ`,0
% V")h`1lOWOUa[Qos5CR;@\>E@bdhKt?h-I/:@b/r(n!)l0i(k)1mTf^eq";TQ*f0o<M'b"K\
% (M>(__NWC8/XVs8J5f^MA0F#U]/3U;7-c,rN@oBdM/#!G+m:\+;9@EL;8P:7Yf,q2$M?V>?>
% ]7j\;QF`ErGE#9fEkLDW%KH=W.?3(Qn8UKl7*47"tCS[GMCNZ4gViRm]5E`!LM'.K8MVT6Jn
% Vai,2m9.54.1Em4'.CPfn$fM5@$)]rFTJ:`;THOSF0!soeuhZ?b:Vc!n#-l.OVo0L`M)nuam
% (`>ol&OphObbr8HaY+/s+H?O8";'%"IgH.h"MkBESG6S"x
% EndExpression N 900 384 E 8c S 186ce R 3b33190f
gsave
 /__NXbasematrix matrix currentmatrix def
grestore
%%EndProlog
%%BeginSetup
/EqBFont 18 dict dup begin /FontType 3 def /PaintType 0 def /FontMatrix [0.001 0 0 0.001 0 0] def /FontBBox [15 -2950 1360 1045] def /Encoding [/.notdef /rad1 /rad2 /rad3 /rad4 /rad5 /radext /int /pathint /sum /prod /cdot /vdot /ddot /hbar /bigcap /bigcup /parallel] def /Metrics 18 dict dup begin /.notdef 0 def /rad1 1000 def /rad2 1000 def /rad3 1000 def /rad4 1000 def /rad5 1048 def /radext 1048 def /int 500 def /pathint 500 def /sum 700 def /prod 700 def /cdot 1000 def /vdot 550 def /ddot 1000 def /hbar 500 def /bigcap 700 def /bigcup 700 def /parallel 500 def end def /BBox 18 dict dup begin /.notdef [0 0 0 0] def /rad1 [110 -1150 1020 0] def /rad2 [110 -1750 1020 0] def /rad3 [110 -2350 1020 0] def /rad4 [110 -2950 1020 0] def /rad5 [128 -2890 740 0] def /radext [700 -600 740 0] def /int [20 0 425 1045] def /pathint [20 0 425 1045] def /sum [15 5 640 715] def /prod [15 0 670 715] def /cdot [110 215 890 325] def /vdot [165 -5 280 770] def /ddot [110 -5 890 770] def /hbar [20 -10 480 685] def /bigcap [0 0 680 720] def /bigcup [0 0 680 720] def /parallel [65 -175 400 675] def end def /CharacterDefs 18 dict dup begin /.notdef {
    
} def /rad1 {
    980 0 moveto 464 -1048 lineto 248 -560 lineto 110 -656 lineto 125 -675 lineto 200 -624 lineto 420 -1150 lineto 460 -1150 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad2 {
    980 0 moveto 460 -1600 lineto 245 -864 lineto 110 -1000 lineto 128 -1023 lineto 200 -950 lineto 424 -1750 lineto 456 -1750 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad3 {
    980 0 moveto 464 -2144 lineto 248 -1160 lineto 110 -1368 lineto 130 -1390 lineto 192 -1288 lineto 424 -2350 lineto 464 -2350 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad4 {
    980 0 moveto 880 -488 lineto 672 -1600 lineto 464 -2696 lineto 248 -1464 lineto 110 -1728 lineto 130 -1750 lineto 192 -1616 lineto 424 -2950 lineto 464 -2950 lineto 768 -1312 lineto 1020 0 lineto 980 0 lineto closepath
} def /rad5 {
    700 0 moveto 700 -2628 lineto 248 -1284 lineto 128 -1564 lineto 150 -1580 lineto 215 -1425 lineto 688 -2890 lineto 740 -2890 lineto 740 0 lineto 700 0 lineto closepath
} def /radext {
    700 0 moveto 700 -600 lineto 740 -600 lineto 740 0 lineto 700 0 lineto closepath
} def /int {
    245 390 moveto 225 235 195 145 180 100 curveto 165 60 150 50 140 40 curveto 135 30 85 0 50 20 curveto 35 25 25 45 25 55 curveto 20 80 30 100 55 110 curveto 80 125 93 110 110 90 curveto 135 60 155 135 160 195 curveto 165 270 170 340 190 510 curveto 205 650 lineto 220 810 230 890 265 960 curveto 275 980 295 1015 320 1030 curveto 350 1045 380 1030 395 1020 curveto 410 1010 425 980 400 955 curveto 385 940 347 925 330 950 curveto 310 970 290 955 290 940 curveto 280 900 285 745 270 610 curveto 245 390 lineto closepath
} def /pathint {
    245 390 moveto 225 235 195 145 180 100 curveto 165 60 150 50 140 40 curveto 135 30 85 0 50 20 curveto 35 25 25 45 25 55 curveto 20 80 30 100 55 110 curveto 80 125 93 110 110 90 curveto 135 60 155 135 160 195 curveto 165 270 170 340 190 510 curveto 205 650 lineto 220 810 230 890 265 960 curveto 275 980 295 1015 320 1030 curveto 350 1045 380 1030 395 1020 curveto 410 1010 425 980 400 955 curveto 385 940 347 925 330 950 curveto 310 970 290 955 290 940 curveto 280 900 285 745 270 610 curveto 245 390 lineto fill 20 setlinewidth 220 400 moveto 290 400 340 455 340 500 curveto 340 585 290 640 220 640 curveto 155 640 100 585 100 500 curveto 100 455 155 400 220 400 curveto stroke
} def /sum {
    330 335 moveto 20 715 lineto 575 715 lineto 600 545 lineto 575 535 lineto 550 625 525 685 395 685 curveto 160 685 lineto 411 370 lineto 160 90 lineto 470 90 lineto 565 90 590 140 610 210 curveto 640 200 lineto 585 5 lineto 15 5 lineto 330 335 lineto closepath
} def /prod {
    590 90 moveto 590 30 620 20 670 20 curveto 670 0 lineto 410 0 lineto 410 20 lineto 460 20 495 30 495 90 curveto 495 670 lineto 190 670 lineto 190 90 lineto 190 30 225 20 275 20 curveto 275 0 lineto 15 0 lineto 15 20 lineto 65 20 100 30 100 90 curveto 100 615 lineto 100 690 40 700 20 700 curveto 20 715 lineto 670 715 lineto 670 700 lineto 645 700 590 690 590 615 curveto 590 90 lineto closepath
} def /cdot {
    110 270 moveto 110 300 135 325 165 325 curveto 195 325 220 300 220 270 curveto 220 235 185 215 165 215 curveto 145 215 110 235 110 270 curveto fill 445 270 moveto 445 300 470 325 500 325 curveto 530 325 555 300 555 270 curveto 555 235 520 215 500 215 curveto 480 215 445 235 445 270 curveto fill 775 270 moveto 775 300 800 325 830 325 curveto 860 325 890 300 890 270 curveto 890 235 850 215 830 215 curveto 810 215 775 235 775 270 curveto fill
} def /vdot {
    220 770 moveto 250 770 280 750 280 720 curveto 280 680 250 660 220 660 curveto 185 660 165 695 165 720 curveto 165 740 185 770 220 770 curveto fill 220 440 moveto 250 440 280 415 280 385 curveto 280 355 250 330 220 330 curveto 185 330 165 365 165 385 curveto 165 405 185 440 220 440 curveto fill 220 105 moveto 250 105 280 80 280 50 curveto 280 20 250 -5 220 -5 curveto 185 -5 165 30 165 50 curveto 165 70 185 105 220 105 curveto fill
} def /ddot {
    165 720 moveto 205 720 220 700 220 665 curveto 220 630 195 610 165 610 curveto 130 620 110 645 110 665 curveto 110 690 130 720 165 720 curveto fill 500 440 moveto 530 440 555 415 555 385 curveto 555 355 530 330 500 330 curveto 465 330 445 365 445 385 curveto 445 405 465 440 500 440 curveto fill 830 155 moveto 860 155 890 130 890 100 curveto 890 70 860 45 830 45 curveto 795 45 775 80 775 100 curveto 775 120 795 155 830 155 curveto fill
} def /hbar {
    480 105 moveto 440 55 400 -10 335 -10 curveto 300 -10 290 10 290 35 curveto 290 65 370 350 370 365 curveto 370 380 355 390 340 390 curveto 290 390 205 275 185 250 curveto 140 180 125 125 95 0 curveto 20 0 lineto 150 500 lineto 160 545 180 600 180 615 curveto 180 625 170 640 135 640 curveto 110 640 lineto 100 655 lineto 165 660 215 670 270 685 curveto 275 680 lineto 155 240 lineto 155 235 lineto 190 290 290 440 380 440 curveto 400 440 450 435 450 370 curveto 450 335 365 80 365 55 curveto 365 45 375 40 385 40 curveto 405 40 425 70 465 115 curveto 480 105 lineto fill 55 545 moveto 55 520 lineto 310 560 lineto 310 585 lineto 55 545 lineto fill
} def /bigcap {
    615 400 moveto 615 575 500 655 340 655 curveto 180 655 70 575 70 400 curveto 70 0 lineto 5 0 lineto 5 400 lineto 5 610 140 720 340 720 curveto 545 720 680 610 680 400 curveto 680 0 lineto 615 0 lineto 615 400 lineto closepath
} def /bigcup {
    65 320 moveto 65 145 180 65 340 65 curveto 500 65 615 145 615 320 curveto 615 720 lineto 680 720 lineto 680 320 lineto 680 110 540 0 340 0 curveto 140 0 0 110 0 320 curveto 0 720 lineto 65 720 lineto 65 320 lineto closepath
} def /parallel {
    135 675 moveto 135 -175 lineto 65 -175 lineto 65 675 lineto 135 675 lineto fill 335 675 moveto 335 -175 lineto 265 -175 lineto 265 675 lineto 335 675 lineto fill 400 675 moveto
} def end def /BuildChar {
    0 begin /char exch def /fontdict exch def /charname fontdict /Encoding get char get def fontdict begin Metrics charname get 0 BBox charname get aload pop setcachedevice CharacterDefs charname get exec eofill end end
} def /BuildChar load 0 3 dict put end definefont pop
%%EndSetup
gsave
0 0 218.172668 19.308605 rectclip
0 0 218.172668 19.308605 rectclip
0 setgray
1 setalpha
1 1.001111 scale
/Symbol findfont 12 scalefont
47
exch
defineuserobject
47 execuserobject setfont
8.236 6.301391 moveto
(\() [0 0] xyshow
1 0.99889 scale
1 1 scale
47 execuserobject setfont
41.408001 6.305604 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1 scale
/Symbol findfont 9 scalefont
45
exch
defineuserobject
45 execuserobject setfont
92.051659 12.247105 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
45 execuserobject setfont
103.283661 12.242604 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1.582485 scale
47 execuserobject setfont
74.240669 2.923917 moveto
(\() [0 0] xyshow
1 0.631917 scale
1 1.580656 scale
47 execuserobject setfont
108.716667 2.924649 moveto
(\)) [0 0] xyshow
1 0.632649 scale
0 setgray
1 setalpha
1 1 scale
47 execuserobject setfont
129.800659 6.311604 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
47 execuserobject setfont
152.012665 6.305604 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1 scale
45 execuserobject setfont
192.983673 12.247105 moveto
(\() [0 0] xyshow
1 1 scale
1 1 scale
45 execuserobject setfont
204.215668 12.242604 moveto
(\)) [0 0] xyshow
1 1 scale
0 setgray
1 setalpha
1 1.582485 scale
47 execuserobject setfont
173.096664 2.923917 moveto
(\() [0 0] xyshow
1 0.631917 scale
1 1.580656 scale
47 execuserobject setfont
209.648666 2.924649 moveto
(\)) [0 0] xyshow
1 0.632649 scale
0 setgray
1 setalpha
/Times-BoldItalic findfont 12 scalefont
44
exch
defineuserobject
44 execuserobject setfont
214.172668 6.203605 moveto
(.xtcmxJtu) [-27.612 0 -3.335999 0 -5.328003 0 -43.296005 0 -48.972 0 -26.441994 0 -21.990669 0 -36.195999 0 0 0 0 0] xyshow
47 execuserobject setfont
143.936661 6.203605 moveto
(jr=jr) [-64.895996 0 -29.77533 0 -24.641335 0 -11.588 0 0 0 0 0] xyshow
/Times-Roman findfont 12 scalefont
70
exch
defineuserobject
70 execuserobject setfont
156.536667 6.203605 moveto
(coscos;,) [5.328003 0 6 0 -54.624001 0 5.328003 0 6 0 -92.708672 0 -12.236 0 0 0 0 0] xyshow
45 execuserobject setfont
50.221668 11.078728 moveto
() [-5.427002 0] xyshow
/Times-BoldItalic findfont 9 scalefont
69
exch
defineuserobject
69 execuserobject setfont
192.560669 4.244796 moveto
(nmnmm) [4.022995 7.921309 -104.955002 -7.921309 4.023003 7.921309 -30.176994 -7.762475 0 0 -1.681558e-44 14937.355469] xyshow
grestore
%%Trailer
%%DocumentFonts: Times-BoldItalic
%%+ Times-Roman
%%+ Symbol

%End of Graphics
MathPictureEnd
end

:[font = text; inactive; preserveAspect; ]
In Mathematica this would be written as
;[s]
3:0,0;3,1;14,2;40,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
u[m_,x_,rho_,phi_,t_]:=BesselJ[m,rho x]*
                         Cos[m phi]Cos[t x]
:[font = text; inactive; preserveAspect; ]
To graph  u  we need the command  ParametricPlot3D.  We define
a plot-valued function  uu  via
;[s]
7:0,0;10,1;11,2;34,3;50,4;87,5;90,6;94,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; pageBreakBelow; dontNoPageBreakBelow; preserveAspect; ]
uu[m_,x_,t_]:=ParametricPlot3D[
           {rho Cos[phi],rho Sin[phi],
            u[m,x,rho,phi,t]}//Evaluate,
            {rho,0,1},{phi,0,2Pi},
            Axes->None, Boxed->False]
:[font = text; inactive; preserveAspect; ]
Then the 3-dimensional plots of solutions to the wave equation are generated
by the commands
:[font = input; preserveAspect; startGroup; ]
uu[0,2.40482,0];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 244; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.86847 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.024951 0.998021 -0.016657 0.998021 [
[ 0 0 0 0 ]
[ 1 0.868475 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics3D
[ ] 0 setdash
0 setgray
0 0 moveto
1 0 lineto
1 0.86847 lineto
0 0.86847 lineto
closepath
clip
newpath
gsave
0.002 setlinewidth
0.54428 0.54137 moveto 0.54528 0.53433 lineto 0.45421 0.53002 lineto gsave
0.575 0.102 0.095 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54528 0.53433 moveto 0.54428 0.54137 lineto 0.62967 0.52905 lineto gsave
0.438 0 0.075 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62967 0.52905 moveto 0.63455 0.52139 lineto 0.54528 0.53433 lineto gsave
0.438 0 0.075 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45713 0.53727 moveto 0.45421 0.53002 lineto 0.36844 0.50868 lineto gsave
0.665 0.16 0.034 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45421 0.53002 moveto 0.45713 0.53727 lineto 0.54428 0.54137 lineto gsave
0.575 0.102 0.095 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63455 0.52139 moveto 0.62967 0.52905 lineto 0.70639 0.50092 lineto gsave
0.211 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70639 0.50092 moveto 0.71491 0.49182 lineto 0.63455 0.52139 lineto gsave
0.211 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54325 0.5492 moveto 0.54428 0.54137 lineto 0.45713 0.53727 lineto gsave
0.589 0.128 0.126 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54428 0.54137 moveto 0.54325 0.5492 lineto 0.62471 0.5375 lineto gsave
0.454 0.013 0.108 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62471 0.5375 moveto 0.62967 0.52905 lineto 0.54428 0.54137 lineto gsave
0.454 0.013 0.108 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36844 0.50868 moveto 0.37514 0.51695 lineto 0.45713 0.53727 lineto gsave
0.665 0.16 0.034 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4601 0.54531 moveto 0.45713 0.53727 lineto 0.37514 0.51695 lineto gsave
0.68 0.186 0.069 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45713 0.53727 moveto 0.4601 0.54531 lineto 0.54325 0.5492 lineto gsave
0.589 0.128 0.126 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37514 0.51695 moveto 0.36844 0.50868 lineto 0.29515 0.47136 lineto gsave
0.692 0.148 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62967 0.52905 moveto 0.62471 0.5375 lineto 0.69776 0.51083 lineto gsave
0.236 0 0.001 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69776 0.51083 moveto 0.70639 0.50092 lineto 0.62967 0.52905 lineto gsave
0.236 0 0.001 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54221 0.55767 moveto 0.54325 0.5492 lineto 0.4601 0.54531 lineto gsave
0.597 0.144 0.147 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54325 0.5492 moveto 0.54221 0.55767 lineto 0.61966 0.5466 lineto gsave
0.465 0.031 0.129 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61966 0.5466 moveto 0.62471 0.5375 lineto 0.54325 0.5492 lineto gsave
0.465 0.031 0.129 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37514 0.51695 moveto 0.38195 0.52603 lineto 0.4601 0.54531 lineto gsave
0.68 0.186 0.069 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46312 0.55398 moveto 0.4601 0.54531 lineto 0.38195 0.52603 lineto gsave
0.688 0.203 0.092 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4601 0.54531 moveto 0.46312 0.55398 lineto 0.54221 0.55767 lineto gsave
0.597 0.144 0.147 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29515 0.47136 moveto 0.30527 0.48148 lineto 0.37514 0.51695 lineto gsave
0.692 0.148 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38195 0.52603 moveto 0.37514 0.51695 lineto 0.30527 0.48148 lineto gsave
0.715 0.182 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71491 0.49182 moveto 0.70639 0.50092 lineto 0.76744 0.45858 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75566 0.47077 moveto 0.76744 0.45858 lineto 0.76655 0.4592 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76655 0.4592 moveto 0.70639 0.50092 lineto gsave
0.75566 0.47077 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74374 0.48363 moveto 0.75566 0.47077 lineto 0.75514 0.47113 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75514 0.47113 moveto 0.69776 0.51083 lineto gsave
0.74374 0.48363 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73163 0.497 moveto 0.74374 0.48363 lineto 0.74357 0.48374 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74357 0.48374 moveto 0.68899 0.5214 lineto gsave
0.73163 0.497 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71932 0.51068 moveto 0.73163 0.497 lineto 0.68006 0.53247 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73163 0.497 moveto 0.71932 0.51068 lineto 0.71941 0.51055 lineto gsave
0.672 0.905 0.566 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77782 0.4481 moveto 0.71491 0.49182 lineto gsave
0.76744 0.45858 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70639 0.50092 moveto 0.69776 0.51083 lineto 0.75566 0.47077 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69776 0.51083 moveto 0.68899 0.5214 lineto 0.74374 0.48363 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68899 0.5214 moveto 0.68006 0.53247 lineto 0.73163 0.497 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71941 0.51055 moveto 0.74884 0.4691 lineto gsave
0.73163 0.497 lineto 0.672 0.905 0.566 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74374 0.48363 moveto 0.73163 0.497 lineto 0.73194 0.49655 lineto gsave
0.675 0.907 0.571 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73194 0.49655 moveto 0.76337 0.45238 lineto gsave
0.74374 0.48363 lineto 0.675 0.907 0.571 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75566 0.47077 moveto 0.74374 0.48363 lineto 0.74427 0.48287 lineto gsave
0.683 0.915 0.585 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74427 0.48287 moveto 0.77771 0.43598 lineto gsave
0.75566 0.47077 lineto 0.683 0.915 0.585 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76744 0.45858 moveto 0.75566 0.47077 lineto 0.75644 0.46968 lineto gsave
0.697 0.928 0.61 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75644 0.46968 moveto 0.79188 0.42008 lineto gsave
0.76744 0.45858 lineto 0.697 0.928 0.61 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76744 0.45858 moveto 0.77907 0.44723 lineto 0.77782 0.4481 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62471 0.5375 moveto 0.61966 0.5466 lineto 0.68899 0.5214 lineto gsave
0.252 0 0.027 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68899 0.5214 moveto 0.69776 0.51083 lineto 0.62471 0.5375 lineto gsave
0.252 0 0.027 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54115 0.5666 moveto 0.54221 0.55767 lineto 0.46312 0.55398 lineto gsave
0.602 0.153 0.158 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54221 0.55767 moveto 0.54115 0.5666 lineto 0.61452 0.55617 lineto gsave
0.471 0.041 0.141 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61452 0.55617 moveto 0.61966 0.5466 lineto 0.54221 0.55767 lineto gsave
0.471 0.041 0.141 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38195 0.52603 moveto 0.38886 0.53575 lineto 0.46312 0.55398 lineto gsave
0.688 0.203 0.092 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4662 0.56313 moveto 0.46312 0.55398 lineto 0.38886 0.53575 lineto gsave
0.693 0.213 0.105 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46312 0.55398 moveto 0.4662 0.56313 lineto 0.54115 0.5666 lineto gsave
0.602 0.153 0.158 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30527 0.48148 moveto 0.31552 0.49243 lineto 0.38195 0.52603 lineto gsave
0.715 0.182 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38886 0.53575 moveto 0.38195 0.52603 lineto 0.31552 0.49243 lineto gsave
0.729 0.204 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61966 0.5466 moveto 0.61452 0.55617 lineto 0.68006 0.53247 lineto gsave
0.261 0 0.042 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68006 0.53247 moveto 0.68899 0.5214 lineto 0.61966 0.5466 lineto gsave
0.261 0 0.042 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30527 0.48148 moveto 0.29515 0.47136 lineto 0.24165 0.42028 lineto gsave
0.52 0.011 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54006 0.57582 moveto 0.54115 0.5666 lineto 0.4662 0.56313 lineto gsave
0.603 0.155 0.161 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54115 0.5666 moveto 0.54006 0.57582 lineto 0.60926 0.56604 lineto gsave
0.473 0.044 0.144 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60926 0.56604 moveto 0.61452 0.55617 lineto 0.54115 0.5666 lineto gsave
0.473 0.044 0.144 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38886 0.53575 moveto 0.39591 0.54596 lineto 0.4662 0.56313 lineto gsave
0.693 0.213 0.105 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46934 0.57256 moveto 0.4662 0.56313 lineto 0.39591 0.54596 lineto gsave
0.695 0.216 0.109 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4662 0.56313 moveto 0.46934 0.57256 lineto 0.54006 0.57582 lineto gsave
0.603 0.155 0.161 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31552 0.49243 moveto 0.32592 0.50404 lineto 0.38886 0.53575 lineto gsave
0.729 0.204 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39591 0.54596 moveto 0.38886 0.53575 lineto 0.32592 0.50404 lineto gsave
0.737 0.216 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25452 0.43304 moveto 0.30527 0.48148 lineto gsave
0.24292 0.4215 lineto 0.52 0.011 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31552 0.49243 moveto 0.30527 0.48148 lineto 0.25452 0.43304 lineto gsave
0.563 0.053 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26753 0.44664 moveto 0.31552 0.49243 lineto gsave
0.25544 0.43393 lineto 0.563 0.053 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.25452 0.43304 moveto 0.26753 0.44664 lineto 0.25544 0.43393 lineto 0.563 0.053 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.32592 0.50404 moveto 0.31552 0.49243 lineto 0.26753 0.44664 lineto gsave
0.591 0.082 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28068 0.46093 moveto 0.32592 0.50404 lineto gsave
0.26808 0.44718 lineto 0.591 0.082 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.26753 0.44664 moveto 0.28068 0.46093 lineto 0.26808 0.44718 lineto 0.591 0.082 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.33649 0.51615 moveto 0.32592 0.50404 lineto 0.28068 0.46093 lineto gsave
0.607 0.098 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29402 0.47572 moveto 0.33649 0.51615 lineto gsave
0.28086 0.4611 lineto 0.607 0.098 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.28068 0.46093 moveto 0.29402 0.47572 lineto 0.28086 0.4611 lineto 0.607 0.098 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.34726 0.52857 moveto 0.33649 0.51615 lineto 0.29402 0.47572 lineto gsave
0.612 0.103 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29402 0.47572 moveto 0.30756 0.49084 lineto 0.34726 0.52857 lineto gsave
0.612 0.103 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29402 0.47572 moveto 0.27395 0.42791 lineto gsave
0.30745 0.49064 lineto 0 0.144 0.689 setrgbcolor
fill grestore
stroke
grestore
gsave
0.30756 0.49084 moveto 0.29402 0.47572 lineto 0.30745 0.49064 lineto 0 0.144 0.689 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.28068 0.46093 moveto 0.259 0.40979 lineto gsave
0.2937 0.47511 lineto 0 0.148 0.691 setrgbcolor
fill grestore
stroke
grestore
gsave
0.29402 0.47572 moveto 0.28068 0.46093 lineto 0.2937 0.47511 lineto 0 0.148 0.691 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.26753 0.44664 moveto 0.2442 0.39217 lineto gsave
0.28014 0.45991 lineto 0 0.16 0.701 setrgbcolor
fill grestore
stroke
grestore
gsave
0.28068 0.46093 moveto 0.26753 0.44664 lineto 0.28014 0.45991 lineto 0 0.16 0.701 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.25452 0.43304 moveto 0.22953 0.37522 lineto gsave
0.26677 0.44522 lineto 0 0.181 0.716 setrgbcolor
fill grestore
stroke
grestore
gsave
0.26753 0.44664 moveto 0.25452 0.43304 lineto 0.26677 0.44522 lineto 0 0.181 0.716 setrgbcolor
fill
grestore
gsave
0.24165 0.42028 moveto 0.25452 0.43304 lineto 0.24292 0.4215 lineto 0.52 0.011 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.61452 0.55617 moveto 0.60926 0.56604 lineto 0.67097 0.54384 lineto gsave
0.264 0 0.046 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67097 0.54384 moveto 0.68006 0.53247 lineto 0.61452 0.55617 lineto gsave
0.264 0 0.046 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77907 0.44723 moveto 0.76744 0.45858 lineto 0.80591 0.40488 lineto gsave
0.716 0.945 0.644 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80591 0.40488 moveto 0.81982 0.39052 lineto 0.77907 0.44723 lineto gsave
0.716 0.945 0.644 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53895 0.58513 moveto 0.54006 0.57582 lineto 0.46934 0.57256 lineto gsave
0.601 0.152 0.157 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54006 0.57582 moveto 0.53895 0.58513 lineto 0.6039 0.57601 lineto gsave
0.47 0.04 0.14 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6039 0.57601 moveto 0.60926 0.56604 lineto 0.54006 0.57582 lineto gsave
0.47 0.04 0.14 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32592 0.50404 moveto 0.33649 0.51615 lineto 0.39591 0.54596 lineto gsave
0.737 0.216 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40309 0.55647 moveto 0.39591 0.54596 lineto 0.33649 0.51615 lineto gsave
0.739 0.219 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39591 0.54596 moveto 0.40309 0.55647 lineto 0.46934 0.57256 lineto gsave
0.695 0.216 0.109 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47256 0.58209 moveto 0.46934 0.57256 lineto 0.40309 0.55647 lineto gsave
0.693 0.212 0.104 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46934 0.57256 moveto 0.47256 0.58209 lineto 0.53895 0.58513 lineto gsave
0.601 0.152 0.157 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60926 0.56604 moveto 0.6039 0.57601 lineto 0.66169 0.55532 lineto gsave
0.261 0 0.041 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66169 0.55532 moveto 0.67097 0.54384 lineto 0.60926 0.56604 lineto gsave
0.261 0 0.041 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79188 0.42008 moveto 0.80591 0.40488 lineto 0.76744 0.45858 lineto gsave
0.697 0.928 0.61 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68006 0.53247 moveto 0.67097 0.54384 lineto 0.71932 0.51068 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53782 0.59433 moveto 0.53895 0.58513 lineto 0.47256 0.58209 lineto gsave
0.596 0.143 0.145 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53895 0.58513 moveto 0.53782 0.59433 lineto 0.5984 0.58587 lineto gsave
0.464 0.03 0.127 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5984 0.58587 moveto 0.6039 0.57601 lineto 0.53895 0.58513 lineto gsave
0.464 0.03 0.127 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33649 0.51615 moveto 0.34726 0.52857 lineto 0.40309 0.55647 lineto gsave
0.739 0.219 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41043 0.56709 moveto 0.40309 0.55647 lineto 0.34726 0.52857 lineto gsave
0.736 0.215 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40309 0.55647 moveto 0.41043 0.56709 lineto 0.47256 0.58209 lineto gsave
0.693 0.212 0.104 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47585 0.59151 moveto 0.47256 0.58209 lineto 0.41043 0.56709 lineto gsave
0.688 0.202 0.091 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47256 0.58209 moveto 0.47585 0.59151 lineto 0.53782 0.59433 lineto gsave
0.596 0.143 0.145 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25452 0.43304 moveto 0.24165 0.42028 lineto 0.21495 0.35913 lineto gsave
0 0.212 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77771 0.43598 moveto 0.79188 0.42008 lineto 0.75566 0.47077 lineto gsave
0.683 0.915 0.585 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6039 0.57601 moveto 0.5984 0.58587 lineto 0.65221 0.5667 lineto gsave
0.251 0 0.026 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65221 0.5667 moveto 0.66169 0.55532 lineto 0.6039 0.57601 lineto gsave
0.251 0 0.026 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67097 0.54384 moveto 0.66169 0.55532 lineto 0.70679 0.52449 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70679 0.52449 moveto 0.71932 0.51068 lineto 0.67097 0.54384 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53665 0.6032 moveto 0.53782 0.59433 lineto 0.47585 0.59151 lineto gsave
0.588 0.126 0.125 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53782 0.59433 moveto 0.53665 0.6032 lineto 0.59278 0.59541 lineto gsave
0.454 0.011 0.106 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59278 0.59541 moveto 0.5984 0.58587 lineto 0.53782 0.59433 lineto gsave
0.454 0.011 0.106 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.21495 0.35913 moveto 0.22953 0.37522 lineto 0.25452 0.43304 lineto gsave
0 0.212 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34726 0.52857 moveto 0.35822 0.54112 lineto 0.41043 0.56709 lineto gsave
0.736 0.215 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41794 0.5776 moveto 0.41043 0.56709 lineto 0.35822 0.54112 lineto gsave
0.728 0.202 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41043 0.56709 moveto 0.41794 0.5776 lineto 0.47585 0.59151 lineto gsave
0.688 0.202 0.091 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76337 0.45238 moveto 0.77771 0.43598 lineto 0.74374 0.48363 lineto gsave
0.675 0.907 0.571 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47923 0.60061 moveto 0.47585 0.59151 lineto 0.41794 0.5776 lineto gsave
0.679 0.185 0.067 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47585 0.59151 moveto 0.47923 0.60061 lineto 0.53665 0.6032 lineto gsave
0.588 0.126 0.125 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5984 0.58587 moveto 0.59278 0.59541 lineto 0.64252 0.57778 lineto gsave
0.235 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64252 0.57778 moveto 0.65221 0.5667 lineto 0.5984 0.58587 lineto gsave
0.235 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35822 0.54112 moveto 0.34726 0.52857 lineto 0.30756 0.49084 lineto gsave
0.606 0.097 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22953 0.37522 moveto 0.2442 0.39217 lineto 0.26753 0.44664 lineto gsave
0 0.181 0.716 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66169 0.55532 moveto 0.65221 0.5667 lineto 0.69403 0.53821 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69403 0.53821 moveto 0.70679 0.52449 lineto 0.66169 0.55532 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74884 0.4691 moveto 0.76337 0.45238 lineto 0.73163 0.497 lineto gsave
0.672 0.905 0.566 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81982 0.39052 moveto 0.80591 0.40488 lineto 0.81571 0.34425 lineto gsave
0.927 0.965 0.771 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81571 0.34425 moveto 0.83062 0.32628 lineto 0.81982 0.39052 lineto gsave
0.927 0.965 0.771 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35822 0.54112 moveto 0.36941 0.55357 lineto 0.41794 0.5776 lineto gsave
0.728 0.202 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42562 0.5878 moveto 0.41794 0.5776 lineto 0.36941 0.55357 lineto gsave
0.714 0.18 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41794 0.5776 moveto 0.42562 0.5878 lineto 0.47923 0.60061 lineto gsave
0.679 0.185 0.067 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53546 0.61153 moveto 0.53665 0.6032 lineto 0.47923 0.60061 lineto gsave
0.574 0.101 0.093 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53665 0.6032 moveto 0.53546 0.61153 lineto 0.58702 0.60441 lineto gsave
0.437 0 0.073 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58702 0.60441 moveto 0.59278 0.59541 lineto 0.53665 0.6032 lineto gsave
0.437 0 0.073 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48268 0.60915 moveto 0.47923 0.60061 lineto 0.42562 0.5878 lineto gsave
0.664 0.158 0.032 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47923 0.60061 moveto 0.48268 0.60915 lineto 0.53546 0.61153 lineto gsave
0.574 0.101 0.093 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.2442 0.39217 moveto 0.259 0.40979 lineto 0.28068 0.46093 lineto gsave
0 0.16 0.701 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59278 0.59541 moveto 0.58702 0.60441 lineto 0.63262 0.58831 lineto gsave
0.211 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63262 0.58831 moveto 0.64252 0.57778 lineto 0.59278 0.59541 lineto gsave
0.211 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80591 0.40488 moveto 0.79188 0.42008 lineto 0.80071 0.36306 lineto gsave
0.93 0.966 0.759 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80071 0.36306 moveto 0.81571 0.34425 lineto 0.80591 0.40488 lineto gsave
0.93 0.966 0.759 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30756 0.49084 moveto 0.32131 0.50608 lineto 0.35822 0.54112 lineto gsave
0.606 0.097 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36941 0.55357 moveto 0.35822 0.54112 lineto 0.32131 0.50608 lineto gsave
0.589 0.08 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65221 0.5667 moveto 0.64252 0.57778 lineto 0.68102 0.55162 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68102 0.55162 moveto 0.69403 0.53821 lineto 0.65221 0.5667 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71932 0.51068 moveto 0.70679 0.52449 lineto 0.73409 0.48594 lineto gsave
0.675 0.908 0.572 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73409 0.48594 moveto 0.74884 0.4691 lineto 0.71932 0.51068 lineto gsave
0.675 0.908 0.572 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36941 0.55357 moveto 0.38084 0.56571 lineto 0.42562 0.5878 lineto gsave
0.714 0.18 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43348 0.59746 moveto 0.42562 0.5878 lineto 0.38084 0.56571 lineto gsave
0.69 0.146 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42562 0.5878 moveto 0.43348 0.59746 lineto 0.48268 0.60915 lineto gsave
0.664 0.158 0.032 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53424 0.61907 moveto 0.53546 0.61153 lineto 0.48268 0.60915 lineto gsave
0.554 0.065 0.048 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53546 0.61153 moveto 0.53424 0.61907 lineto 0.58112 0.61263 lineto gsave
0.412 0 0.026 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58112 0.61263 moveto 0.58702 0.60441 lineto 0.53546 0.61153 lineto gsave
0.412 0 0.026 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.259 0.40979 moveto 0.27395 0.42791 lineto 0.29402 0.47572 lineto gsave
0 0.148 0.691 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79188 0.42008 moveto 0.77771 0.43598 lineto 0.78562 0.38253 lineto gsave
0.932 0.967 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78562 0.38253 moveto 0.80071 0.36306 lineto 0.79188 0.42008 lineto gsave
0.932 0.967 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48623 0.61692 moveto 0.48268 0.60915 lineto 0.43348 0.59746 lineto gsave
0.642 0.12 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48268 0.60915 moveto 0.48623 0.61692 lineto 0.53424 0.61907 lineto gsave
0.554 0.065 0.048 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32131 0.50608 moveto 0.3353 0.52123 lineto 0.36941 0.55357 lineto gsave
0.589 0.08 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38084 0.56571 moveto 0.36941 0.55357 lineto 0.3353 0.52123 lineto gsave
0.561 0.051 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58702 0.60441 moveto 0.58112 0.61263 lineto 0.62249 0.59809 lineto gsave
0.175 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62249 0.59809 moveto 0.63262 0.58831 lineto 0.58702 0.60441 lineto gsave
0.175 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70679 0.52449 moveto 0.69403 0.53821 lineto 0.71912 0.50268 lineto gsave
0.684 0.916 0.587 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71912 0.50268 moveto 0.73409 0.48594 lineto 0.70679 0.52449 lineto gsave
0.684 0.916 0.587 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64252 0.57778 moveto 0.63262 0.58831 lineto 0.66775 0.5645 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66775 0.5645 moveto 0.68102 0.55162 lineto 0.64252 0.57778 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22953 0.37522 moveto 0.21495 0.35913 lineto 0.22079 0.29347 lineto gsave
0.248 0.352 0.773 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77771 0.43598 moveto 0.76337 0.45238 lineto 0.7704 0.4025 lineto gsave
0.933 0.967 0.745 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7704 0.4025 moveto 0.78562 0.38253 lineto 0.77771 0.43598 lineto gsave
0.933 0.967 0.745 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27395 0.42791 moveto 0.28908 0.44636 lineto 0.30756 0.49084 lineto gsave
0 0.144 0.689 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32131 0.50608 moveto 0.30756 0.49084 lineto 0.28908 0.44636 lineto gsave
0 0.148 0.692 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38084 0.56571 moveto 0.3925 0.57732 lineto 0.43348 0.59746 lineto gsave
0.69 0.146 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44153 0.60634 moveto 0.43348 0.59746 lineto 0.3925 0.57732 lineto gsave
0.655 0.098 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43348 0.59746 moveto 0.44153 0.60634 lineto 0.48623 0.61692 lineto gsave
0.642 0.12 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53298 0.62561 moveto 0.53424 0.61907 lineto 0.48623 0.61692 lineto gsave
0.523 0.013 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53424 0.61907 moveto 0.53298 0.62561 lineto 0.57508 0.61985 lineto gsave
0.376 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57508 0.61985 moveto 0.58112 0.61263 lineto 0.53424 0.61907 lineto gsave
0.376 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22079 0.29347 moveto 0.23559 0.31336 lineto 0.22953 0.37522 lineto gsave
0.248 0.352 0.773 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.2442 0.39217 moveto 0.22953 0.37522 lineto 0.23559 0.31336 lineto gsave
0.232 0.336 0.765 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48986 0.62369 moveto 0.48623 0.61692 lineto 0.44153 0.60634 lineto gsave
0.607 0.064 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48623 0.61692 moveto 0.48986 0.62369 lineto 0.53298 0.62561 lineto gsave
0.523 0.013 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3353 0.52123 moveto 0.34954 0.53607 lineto 0.38084 0.56571 lineto gsave
0.561 0.051 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3925 0.57732 moveto 0.38084 0.56571 lineto 0.34954 0.53607 lineto gsave
0.519 0.009 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69403 0.53821 moveto 0.68102 0.55162 lineto 0.70391 0.51911 lineto gsave
0.697 0.929 0.611 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70391 0.51911 moveto 0.71912 0.50268 lineto 0.69403 0.53821 lineto gsave
0.697 0.929 0.611 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76337 0.45238 moveto 0.74884 0.4691 lineto 0.75503 0.42277 lineto gsave
0.934 0.967 0.743 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75503 0.42277 moveto 0.7704 0.4025 lineto 0.76337 0.45238 lineto gsave
0.934 0.967 0.743 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58112 0.61263 moveto 0.57508 0.61985 lineto 0.61214 0.60686 lineto gsave
0.125 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61214 0.60686 moveto 0.62249 0.59809 lineto 0.58112 0.61263 lineto gsave
0.125 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63262 0.58831 moveto 0.62249 0.59809 lineto 0.65422 0.57662 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65422 0.57662 moveto 0.66775 0.5645 lineto 0.63262 0.58831 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28908 0.44636 moveto 0.30439 0.4649 lineto 0.32131 0.50608 lineto gsave
0 0.148 0.692 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3353 0.52123 moveto 0.32131 0.50608 lineto 0.30439 0.4649 lineto gsave
0 0.161 0.702 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.23559 0.31336 moveto 0.25044 0.33407 lineto 0.2442 0.39217 lineto gsave
0.232 0.336 0.765 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.259 0.40979 moveto 0.2442 0.39217 lineto 0.25044 0.33407 lineto gsave
0.221 0.325 0.759 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3925 0.57732 moveto 0.40442 0.58817 lineto 0.44153 0.60634 lineto gsave
0.655 0.098 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44976 0.61424 moveto 0.44153 0.60634 lineto 0.40442 0.58817 lineto gsave
0.602 0.031 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44153 0.60634 moveto 0.44976 0.61424 lineto 0.48986 0.62369 lineto gsave
0.607 0.064 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5317 0.63092 moveto 0.53298 0.62561 lineto 0.48986 0.62369 lineto gsave
0.475 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53298 0.62561 moveto 0.5317 0.63092 lineto 0.56889 0.62585 lineto gsave
0.321 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56889 0.62585 moveto 0.57508 0.61985 lineto 0.53298 0.62561 lineto gsave
0.321 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74884 0.4691 moveto 0.73409 0.48594 lineto 0.73949 0.44313 lineto gsave
0.933 0.967 0.745 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73949 0.44313 moveto 0.75503 0.42277 lineto 0.74884 0.4691 lineto gsave
0.933 0.967 0.745 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68102 0.55162 moveto 0.66775 0.5645 lineto 0.68845 0.53499 lineto gsave
0.714 0.945 0.645 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68845 0.53499 moveto 0.70391 0.51911 lineto 0.68102 0.55162 lineto gsave
0.714 0.945 0.645 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34954 0.53607 moveto 0.36404 0.55037 lineto 0.3925 0.57732 lineto gsave
0.519 0.009 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40442 0.58817 moveto 0.3925 0.57732 lineto 0.36404 0.55037 lineto gsave
0 0.047 0.539 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49359 0.62923 moveto 0.48986 0.62369 lineto 0.44976 0.61424 lineto gsave
0.553 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48986 0.62369 moveto 0.49359 0.62923 lineto 0.5317 0.63092 lineto gsave
0.475 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25044 0.33407 moveto 0.26536 0.35544 lineto 0.259 0.40979 lineto gsave
0.221 0.325 0.759 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27395 0.42791 moveto 0.259 0.40979 lineto 0.26536 0.35544 lineto gsave
0.214 0.318 0.755 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30439 0.4649 moveto 0.31992 0.48335 lineto 0.3353 0.52123 lineto gsave
0 0.161 0.702 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34954 0.53607 moveto 0.3353 0.52123 lineto 0.31992 0.48335 lineto gsave
0 0.183 0.717 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.83062 0.32628 moveto 0.81571 0.34425 lineto 0.79271 0.2829 lineto gsave
0.917 0.853 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79271 0.2829 moveto 0.80696 0.26106 lineto 0.83062 0.32628 lineto gsave
0.917 0.853 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62249 0.59809 moveto 0.61214 0.60686 lineto 0.64043 0.58774 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64043 0.58774 moveto 0.65422 0.57662 lineto 0.62249 0.59809 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57508 0.61985 moveto 0.56889 0.62585 lineto 0.60156 0.61443 lineto gsave
0.053 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60156 0.61443 moveto 0.61214 0.60686 lineto 0.57508 0.61985 lineto gsave
0.053 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73409 0.48594 moveto 0.71912 0.50268 lineto 0.72377 0.46337 lineto gsave
0.932 0.967 0.751 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72377 0.46337 moveto 0.73949 0.44313 lineto 0.73409 0.48594 lineto gsave
0.932 0.967 0.751 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40442 0.58817 moveto 0.41659 0.59802 lineto 0.44976 0.61424 lineto gsave
0.602 0.031 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45819 0.62091 moveto 0.44976 0.61424 lineto 0.41659 0.59802 lineto gsave
0.522 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44976 0.61424 moveto 0.45819 0.62091 lineto 0.49359 0.62923 lineto gsave
0.553 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81571 0.34425 moveto 0.80071 0.36306 lineto 0.77845 0.30554 lineto gsave
0.922 0.854 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77845 0.30554 moveto 0.79271 0.2829 lineto 0.81571 0.34425 lineto gsave
0.922 0.854 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26536 0.35544 moveto 0.28038 0.37728 lineto 0.27395 0.42791 lineto gsave
0.214 0.318 0.755 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28908 0.44636 moveto 0.27395 0.42791 lineto 0.28038 0.37728 lineto gsave
0.212 0.316 0.754 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66775 0.5645 moveto 0.65422 0.57662 lineto 0.67274 0.55009 lineto gsave
0.733 0.963 0.686 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67274 0.55009 moveto 0.68845 0.53499 lineto 0.66775 0.5645 lineto gsave
0.733 0.963 0.686 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36404 0.55037 moveto 0.37881 0.5639 lineto 0.40442 0.58817 lineto gsave
0 0.047 0.539 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41659 0.59802 moveto 0.40442 0.58817 lineto 0.37881 0.5639 lineto gsave
0 0.118 0.61 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53039 0.63478 moveto 0.5317 0.63092 lineto 0.49359 0.62923 lineto gsave
0.399 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5317 0.63092 moveto 0.53039 0.63478 lineto 0.56256 0.6304 lineto gsave
0.237 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56256 0.6304 moveto 0.56889 0.62585 lineto 0.5317 0.63092 lineto gsave
0.237 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31992 0.48335 moveto 0.33567 0.50146 lineto 0.34954 0.53607 lineto gsave
0 0.183 0.717 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36404 0.55037 moveto 0.34954 0.53607 lineto 0.33567 0.50146 lineto gsave
0 0.213 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4974 0.63332 moveto 0.49359 0.62923 lineto 0.45819 0.62091 lineto gsave
0.466 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49359 0.62923 moveto 0.4974 0.63332 lineto 0.53039 0.63478 lineto gsave
0.399 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61214 0.60686 moveto 0.60156 0.61443 lineto 0.62638 0.59766 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62638 0.59766 moveto 0.64043 0.58774 lineto 0.61214 0.60686 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80071 0.36306 moveto 0.78562 0.38253 lineto 0.76413 0.32882 lineto gsave
0.925 0.854 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76413 0.32882 moveto 0.77845 0.30554 lineto 0.80071 0.36306 lineto gsave
0.925 0.854 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56889 0.62585 moveto 0.56256 0.6304 lineto 0.59076 0.62057 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59076 0.62057 moveto 0.60156 0.61443 lineto 0.56889 0.62585 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28038 0.37728 moveto 0.29552 0.39941 lineto 0.28908 0.44636 lineto gsave
0.212 0.316 0.754 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30439 0.4649 moveto 0.28908 0.44636 lineto 0.29552 0.39941 lineto gsave
0.215 0.319 0.755 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71912 0.50268 moveto 0.70391 0.51911 lineto 0.70786 0.48326 lineto gsave
0.929 0.966 0.76 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70786 0.48326 moveto 0.72377 0.46337 lineto 0.71912 0.50268 lineto gsave
0.929 0.966 0.76 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41659 0.59802 moveto 0.429 0.60667 lineto 0.45819 0.62091 lineto gsave
0.522 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4668 0.62615 moveto 0.45819 0.62091 lineto 0.429 0.60667 lineto gsave
0.405 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45819 0.62091 moveto 0.4668 0.62615 lineto 0.4974 0.63332 lineto gsave
0.466 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65422 0.57662 moveto 0.64043 0.58774 lineto 0.65678 0.56419 lineto gsave
0.753 0.98 0.733 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65678 0.56419 moveto 0.67274 0.55009 lineto 0.65422 0.57662 lineto gsave
0.753 0.98 0.733 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78562 0.38253 moveto 0.7704 0.4025 lineto 0.74975 0.35255 lineto gsave
0.927 0.855 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74975 0.35255 moveto 0.76413 0.32882 lineto 0.78562 0.38253 lineto gsave
0.927 0.855 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33567 0.50146 moveto 0.35164 0.51901 lineto 0.36404 0.55037 lineto gsave
0 0.213 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37881 0.5639 moveto 0.36404 0.55037 lineto 0.35164 0.51901 lineto gsave
0 0.25 0.762 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37881 0.5639 moveto 0.39383 0.57645 lineto 0.41659 0.59802 lineto gsave
0 0.118 0.61 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.429 0.60667 moveto 0.41659 0.59802 lineto 0.39383 0.57645 lineto gsave
0 0.205 0.69 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29552 0.39941 moveto 0.3108 0.4216 lineto 0.30439 0.4649 lineto gsave
0.215 0.319 0.755 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31992 0.48335 moveto 0.30439 0.4649 lineto 0.3108 0.4216 lineto gsave
0.221 0.326 0.759 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52905 0.637 moveto 0.53039 0.63478 lineto 0.4974 0.63332 lineto gsave
0.275 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53039 0.63478 moveto 0.52905 0.637 lineto 0.5561 0.63332 lineto gsave
0.109 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5561 0.63332 moveto 0.56256 0.6304 lineto 0.53039 0.63478 lineto gsave
0.109 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70391 0.51911 moveto 0.68845 0.53499 lineto 0.69174 0.50256 lineto gsave
0.926 0.965 0.773 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69174 0.50256 moveto 0.70786 0.48326 lineto 0.70391 0.51911 lineto gsave
0.926 0.965 0.773 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.23559 0.31336 moveto 0.22079 0.29347 lineto 0.26206 0.2307 lineto gsave
0.435 0.427 0.752 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5013 0.63577 moveto 0.4974 0.63332 lineto 0.4668 0.62615 lineto gsave
0.328 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4974 0.63332 moveto 0.5013 0.63577 lineto 0.52905 0.637 lineto gsave
0.275 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60156 0.61443 moveto 0.59076 0.62057 lineto 0.61208 0.60615 lineto gsave
0.456 0.856 0.671 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61208 0.60615 moveto 0.62638 0.59766 lineto 0.60156 0.61443 lineto gsave
0.456 0.856 0.671 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7704 0.4025 moveto 0.75503 0.42277 lineto 0.73528 0.37653 lineto gsave
0.928 0.855 0.749 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73528 0.37653 moveto 0.74975 0.35255 lineto 0.7704 0.4025 lineto gsave
0.928 0.855 0.749 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56256 0.6304 moveto 0.5561 0.63332 lineto 0.57974 0.62508 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57974 0.62508 moveto 0.59076 0.62057 lineto 0.56256 0.6304 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64043 0.58774 moveto 0.62638 0.59766 lineto 0.64058 0.57707 lineto gsave
0.77 0.993 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64058 0.57707 moveto 0.65678 0.56419 lineto 0.64043 0.58774 lineto gsave
0.77 0.993 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26206 0.2307 moveto 0.27525 0.25442 lineto 0.23559 0.31336 lineto gsave
0.435 0.427 0.752 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25044 0.33407 moveto 0.23559 0.31336 lineto 0.27525 0.25442 lineto gsave
0.428 0.418 0.746 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35164 0.51901 moveto 0.36785 0.53577 lineto 0.37881 0.5639 lineto gsave
0 0.25 0.762 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39383 0.57645 moveto 0.37881 0.5639 lineto 0.36785 0.53577 lineto gsave
0.009 0.296 0.791 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.429 0.60667 moveto 0.44166 0.61389 lineto 0.4668 0.62615 lineto gsave
0.405 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4668 0.62615 moveto 0.4756 0.62975 lineto 0.5013 0.63577 lineto gsave
0.328 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4756 0.62975 moveto 0.4668 0.62615 lineto 0.44166 0.61389 lineto gsave
0 0.324 0.696 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3108 0.4216 moveto 0.32623 0.44365 lineto 0.31992 0.48335 lineto gsave
0.221 0.326 0.759 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33567 0.50146 moveto 0.31992 0.48335 lineto 0.32623 0.44365 lineto gsave
0.233 0.337 0.766 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39383 0.57645 moveto 0.40912 0.58777 lineto 0.429 0.60667 lineto gsave
0 0.205 0.69 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44166 0.61389 moveto 0.429 0.60667 lineto 0.40912 0.58777 lineto gsave
0 0.303 0.773 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68845 0.53499 moveto 0.67274 0.55009 lineto 0.67543 0.52106 lineto gsave
0.92 0.963 0.788 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67543 0.52106 moveto 0.69174 0.50256 lineto 0.68845 0.53499 lineto gsave
0.92 0.963 0.788 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75503 0.42277 moveto 0.73949 0.44313 lineto 0.7207 0.40056 lineto gsave
0.927 0.855 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7207 0.40056 moveto 0.73528 0.37653 lineto 0.75503 0.42277 lineto gsave
0.927 0.855 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27525 0.25442 moveto 0.28843 0.27891 lineto 0.25044 0.33407 lineto gsave
0.428 0.418 0.746 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26536 0.35544 moveto 0.25044 0.33407 lineto 0.28843 0.27891 lineto gsave
0.423 0.411 0.742 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59076 0.62057 moveto 0.57974 0.62508 lineto 0.59754 0.61302 lineto gsave
0.538 0.919 0.788 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59754 0.61302 moveto 0.61208 0.60615 lineto 0.59076 0.62057 lineto gsave
0.538 0.919 0.788 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52768 0.63738 moveto 0.52905 0.637 lineto 0.5013 0.63577 lineto gsave
0.084 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52905 0.637 moveto 0.52768 0.63738 lineto 0.5495 0.63442 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5495 0.63442 moveto 0.5561 0.63332 lineto 0.52905 0.637 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5013 0.63577 moveto 0.50528 0.63639 lineto 0.52768 0.63738 lineto gsave
0.084 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50528 0.63639 moveto 0.5013 0.63577 lineto 0.4756 0.62975 lineto gsave
0 0.461 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32623 0.44365 moveto 0.34182 0.46532 lineto 0.33567 0.50146 lineto gsave
0.233 0.337 0.766 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35164 0.51901 moveto 0.33567 0.50146 lineto 0.34182 0.46532 lineto gsave
0.248 0.353 0.775 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36785 0.53577 moveto 0.38428 0.55152 lineto 0.39383 0.57645 lineto gsave
0.009 0.296 0.791 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40912 0.58777 moveto 0.39383 0.57645 lineto 0.38428 0.55152 lineto gsave
0.073 0.347 0.821 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5561 0.63332 moveto 0.5495 0.63442 lineto 0.56853 0.62777 lineto gsave
0.332 0.813 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56853 0.62777 moveto 0.57974 0.62508 lineto 0.5561 0.63332 lineto gsave
0.332 0.813 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62638 0.59766 moveto 0.61208 0.60615 lineto 0.62415 0.58851 lineto gsave
0.783 0.998 0.833 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62415 0.58851 moveto 0.64058 0.57707 lineto 0.62638 0.59766 lineto gsave
0.783 0.998 0.833 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28843 0.27891 moveto 0.30163 0.30401 lineto 0.26536 0.35544 lineto gsave
0.423 0.411 0.742 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28038 0.37728 moveto 0.26536 0.35544 lineto 0.30163 0.30401 lineto gsave
0.42 0.408 0.74 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73949 0.44313 moveto 0.72377 0.46337 lineto 0.70601 0.42442 lineto gsave
0.925 0.854 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70601 0.42442 moveto 0.7207 0.40056 lineto 0.73949 0.44313 lineto gsave
0.925 0.854 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67274 0.55009 moveto 0.65678 0.56419 lineto 0.65892 0.53851 lineto gsave
0.912 0.96 0.806 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65892 0.53851 moveto 0.67543 0.52106 lineto 0.67274 0.55009 lineto gsave
0.912 0.96 0.806 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40912 0.58777 moveto 0.42465 0.59767 lineto 0.44166 0.61389 lineto gsave
0 0.303 0.773 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45456 0.61949 moveto 0.44166 0.61389 lineto 0.42465 0.59767 lineto gsave
0 0.407 0.849 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44166 0.61389 moveto 0.45456 0.61949 lineto 0.4756 0.62975 lineto gsave
0 0.324 0.696 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48457 0.63154 moveto 0.4756 0.62975 lineto 0.45456 0.61949 lineto gsave
0 0.477 0.84 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4756 0.62975 moveto 0.48457 0.63154 lineto 0.50528 0.63639 lineto gsave
0 0.461 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30163 0.30401 moveto 0.31487 0.32954 lineto 0.28038 0.37728 lineto gsave
0.42 0.408 0.74 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29552 0.39941 moveto 0.28038 0.37728 lineto 0.31487 0.32954 lineto gsave
0.419 0.406 0.739 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34182 0.46532 moveto 0.35758 0.48639 lineto 0.35164 0.51901 lineto gsave
0.248 0.353 0.775 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36785 0.53577 moveto 0.35164 0.51901 lineto 0.35758 0.48639 lineto gsave
0.268 0.373 0.786 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57974 0.62508 moveto 0.56853 0.62777 lineto 0.58278 0.61809 lineto gsave
0.607 0.954 0.887 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58278 0.61809 moveto 0.59754 0.61302 lineto 0.57974 0.62508 lineto gsave
0.607 0.954 0.887 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72377 0.46337 moveto 0.70786 0.48326 lineto 0.69118 0.44786 lineto gsave
0.922 0.854 0.758 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69118 0.44786 moveto 0.70601 0.42442 lineto 0.72377 0.46337 lineto gsave
0.922 0.854 0.758 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38428 0.55152 moveto 0.40094 0.56602 lineto 0.40912 0.58777 lineto gsave
0.073 0.347 0.821 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42465 0.59767 moveto 0.40912 0.58777 lineto 0.40094 0.56602 lineto gsave
0.144 0.404 0.851 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80696 0.26106 moveto 0.79271 0.2829 lineto 0.73648 0.22842 lineto gsave
0.863 0.754 0.74 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73648 0.22842 moveto 0.74812 0.20295 lineto 0.80696 0.26106 lineto gsave
0.863 0.754 0.74 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52628 0.63576 moveto 0.52768 0.63738 lineto 0.50528 0.63639 lineto gsave
0.16 0.687 0.868 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52768 0.63738 moveto 0.52628 0.63576 lineto 0.54278 0.63352 lineto gsave
0.287 0.782 0.88 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54278 0.63352 moveto 0.5495 0.63442 lineto 0.52768 0.63738 lineto gsave
0.287 0.782 0.88 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61208 0.60615 moveto 0.59754 0.61302 lineto 0.6075 0.59832 lineto gsave
0.787 0.993 0.878 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6075 0.59832 moveto 0.62415 0.58851 lineto 0.61208 0.60615 lineto gsave
0.787 0.993 0.878 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50935 0.63501 moveto 0.50528 0.63639 lineto 0.48457 0.63154 lineto gsave
0.125 0.632 0.9 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50528 0.63639 moveto 0.50935 0.63501 lineto 0.52628 0.63576 lineto gsave
0.16 0.687 0.868 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65678 0.56419 moveto 0.64058 0.57707 lineto 0.64223 0.5547 lineto gsave
0.9 0.954 0.825 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64223 0.5547 moveto 0.65892 0.53851 lineto 0.65678 0.56419 lineto gsave
0.9 0.954 0.825 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5495 0.63442 moveto 0.54278 0.63352 lineto 0.55712 0.6285 lineto gsave
0.474 0.889 0.923 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55712 0.6285 moveto 0.56853 0.62777 lineto 0.5495 0.63442 lineto gsave
0.474 0.889 0.923 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42465 0.59767 moveto 0.44041 0.60595 lineto 0.45456 0.61949 lineto gsave
0 0.407 0.849 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46767 0.62328 moveto 0.45456 0.61949 lineto 0.44041 0.60595 lineto gsave
0.133 0.508 0.911 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45456 0.61949 moveto 0.46767 0.62328 lineto 0.48457 0.63154 lineto gsave
0 0.477 0.84 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31487 0.32954 moveto 0.32818 0.35529 lineto 0.29552 0.39941 lineto gsave
0.419 0.406 0.739 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3108 0.4216 moveto 0.29552 0.39941 lineto 0.32818 0.35529 lineto gsave
0.42 0.408 0.74 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79271 0.2829 moveto 0.77845 0.30554 lineto 0.72486 0.25464 lineto gsave
0.867 0.753 0.735 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72486 0.25464 moveto 0.73648 0.22842 lineto 0.79271 0.2829 lineto gsave
0.867 0.753 0.735 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49371 0.63134 moveto 0.48457 0.63154 lineto 0.46767 0.62328 lineto gsave
0.177 0.609 0.941 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48457 0.63154 moveto 0.49371 0.63134 lineto 0.50935 0.63501 lineto gsave
0.125 0.632 0.9 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35758 0.48639 moveto 0.3735 0.50662 lineto 0.36785 0.53577 lineto gsave
0.268 0.373 0.786 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38428 0.55152 moveto 0.36785 0.53577 lineto 0.3735 0.50662 lineto gsave
0.291 0.397 0.799 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70786 0.48326 moveto 0.69174 0.50256 lineto 0.67623 0.47067 lineto gsave
0.917 0.854 0.765 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67623 0.47067 moveto 0.69118 0.44786 lineto 0.70786 0.48326 lineto gsave
0.917 0.854 0.765 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77845 0.30554 moveto 0.76413 0.32882 lineto 0.71324 0.28144 lineto gsave
0.869 0.752 0.732 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71324 0.28144 moveto 0.72486 0.25464 lineto 0.77845 0.30554 lineto gsave
0.869 0.752 0.732 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40094 0.56602 moveto 0.41779 0.57907 lineto 0.42465 0.59767 lineto gsave
0.144 0.404 0.851 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44041 0.60595 moveto 0.42465 0.59767 lineto 0.41779 0.57907 lineto gsave
0.221 0.465 0.88 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56853 0.62777 moveto 0.55712 0.6285 lineto 0.56781 0.6212 lineto gsave
0.652 0.95 0.951 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56781 0.6212 moveto 0.58278 0.61809 lineto 0.56853 0.62777 lineto gsave
0.652 0.95 0.951 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64058 0.57707 moveto 0.62415 0.58851 lineto 0.62537 0.56942 lineto gsave
0.885 0.945 0.846 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62537 0.56942 moveto 0.64223 0.5547 lineto 0.64058 0.57707 lineto gsave
0.885 0.945 0.846 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59754 0.61302 moveto 0.58278 0.61809 lineto 0.59066 0.60632 lineto gsave
0.781 0.974 0.915 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59066 0.60632 moveto 0.6075 0.59832 lineto 0.59754 0.61302 lineto gsave
0.781 0.974 0.915 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32818 0.35529 moveto 0.34156 0.38106 lineto 0.3108 0.4216 lineto gsave
0.42 0.408 0.74 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32623 0.44365 moveto 0.3108 0.4216 lineto 0.34156 0.38106 lineto gsave
0.423 0.412 0.742 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52486 0.63201 moveto 0.52628 0.63576 lineto 0.50935 0.63501 lineto gsave
0.385 0.789 0.984 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52628 0.63576 moveto 0.52486 0.63201 lineto 0.53594 0.6305 lineto gsave
0.466 0.847 0.985 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53594 0.6305 moveto 0.54278 0.63352 lineto 0.52628 0.63576 lineto gsave
0.466 0.847 0.985 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51348 0.6315 moveto 0.50935 0.63501 lineto 0.49371 0.63134 lineto gsave
0.351 0.737 0.986 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50935 0.63501 moveto 0.51348 0.6315 lineto 0.52486 0.63201 lineto gsave
0.385 0.789 0.984 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69174 0.50256 moveto 0.67543 0.52106 lineto 0.66115 0.49261 lineto gsave
0.91 0.853 0.774 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66115 0.49261 moveto 0.67623 0.47067 lineto 0.69174 0.50256 lineto gsave
0.91 0.853 0.774 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76413 0.32882 moveto 0.74975 0.35255 lineto 0.7016 0.30863 lineto gsave
0.87 0.752 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7016 0.30863 moveto 0.71324 0.28144 lineto 0.76413 0.32882 lineto gsave
0.87 0.752 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3735 0.50662 moveto 0.38959 0.52577 lineto 0.38428 0.55152 lineto gsave
0.291 0.397 0.799 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40094 0.56602 moveto 0.38428 0.55152 lineto 0.38959 0.52577 lineto gsave
0.32 0.426 0.814 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44041 0.60595 moveto 0.4564 0.61242 lineto 0.46767 0.62328 lineto gsave
0.133 0.508 0.911 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48099 0.62511 moveto 0.46767 0.62328 lineto 0.4564 0.61242 lineto gsave
0.279 0.597 0.95 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46767 0.62328 moveto 0.48099 0.62511 lineto 0.49371 0.63134 lineto gsave
0.177 0.609 0.941 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54278 0.63352 moveto 0.53594 0.6305 lineto 0.54555 0.62712 lineto gsave
0.572 0.895 0.986 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54555 0.62712 moveto 0.55712 0.6285 lineto 0.54278 0.63352 lineto gsave
0.572 0.895 0.986 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34156 0.38106 moveto 0.35503 0.40662 lineto 0.32623 0.44365 lineto gsave
0.423 0.412 0.742 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34182 0.46532 moveto 0.32623 0.44365 lineto 0.35503 0.40662 lineto gsave
0.428 0.419 0.747 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50299 0.62903 moveto 0.49371 0.63134 lineto 0.48099 0.62511 lineto gsave
0.365 0.697 0.983 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49371 0.63134 moveto 0.50299 0.62903 lineto 0.51348 0.6315 lineto gsave
0.351 0.737 0.986 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41779 0.57907 moveto 0.43484 0.59047 lineto 0.44041 0.60595 lineto gsave
0.221 0.465 0.88 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4564 0.61242 moveto 0.44041 0.60595 lineto 0.43484 0.59047 lineto gsave
0.302 0.527 0.905 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62415 0.58851 moveto 0.6075 0.59832 lineto 0.60835 0.58247 lineto gsave
0.864 0.932 0.867 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60835 0.58247 moveto 0.62537 0.56942 lineto 0.62415 0.58851 lineto gsave
0.864 0.932 0.867 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74975 0.35255 moveto 0.73528 0.37653 lineto 0.68993 0.33602 lineto gsave
0.871 0.752 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68993 0.33602 moveto 0.7016 0.30863 lineto 0.74975 0.35255 lineto gsave
0.871 0.752 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58278 0.61809 moveto 0.56781 0.6212 lineto 0.57366 0.61236 lineto gsave
0.763 0.942 0.94 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57366 0.61236 moveto 0.59066 0.60632 lineto 0.58278 0.61809 lineto gsave
0.763 0.942 0.94 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55712 0.6285 moveto 0.54555 0.62712 lineto 0.55267 0.62223 lineto gsave
0.67 0.914 0.976 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55267 0.62223 moveto 0.56781 0.6212 lineto 0.55712 0.6285 lineto gsave
0.67 0.914 0.976 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67543 0.52106 moveto 0.65892 0.53851 lineto 0.64594 0.51344 lineto gsave
0.901 0.852 0.785 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64594 0.51344 moveto 0.66115 0.49261 lineto 0.67543 0.52106 lineto gsave
0.901 0.852 0.785 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38959 0.52577 moveto 0.40583 0.54364 lineto 0.40094 0.56602 lineto gsave
0.32 0.426 0.814 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41779 0.57907 moveto 0.40094 0.56602 lineto 0.40583 0.54364 lineto gsave
0.352 0.46 0.831 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35503 0.40662 moveto 0.36859 0.43173 lineto 0.34182 0.46532 lineto gsave
0.428 0.419 0.747 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35758 0.48639 moveto 0.34182 0.46532 lineto 0.36859 0.43173 lineto gsave
0.434 0.428 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4564 0.61242 moveto 0.47257 0.61694 lineto 0.48099 0.62511 lineto gsave
0.279 0.597 0.95 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4945 0.62485 moveto 0.48099 0.62511 lineto 0.47257 0.61694 lineto gsave
0.409 0.667 0.966 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48099 0.62511 moveto 0.4945 0.62485 lineto 0.50299 0.62903 lineto gsave
0.365 0.697 0.983 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73528 0.37653 moveto 0.7207 0.40056 lineto 0.67821 0.36339 lineto gsave
0.87 0.752 0.73 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67821 0.36339 moveto 0.68993 0.33602 lineto 0.73528 0.37653 lineto gsave
0.87 0.752 0.73 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27525 0.25442 moveto 0.26206 0.2307 lineto 0.33689 0.17937 lineto gsave
0.548 0.48 0.731 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52342 0.626 moveto 0.52486 0.63201 lineto 0.51348 0.6315 lineto gsave
0.534 0.806 0.996 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52486 0.63201 moveto 0.52342 0.626 lineto 0.52899 0.62524 lineto gsave
0.574 0.834 0.994 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52899 0.62524 moveto 0.53594 0.6305 lineto 0.52486 0.63201 lineto gsave
0.574 0.834 0.994 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6075 0.59832 moveto 0.59066 0.60632 lineto 0.5912 0.59368 lineto gsave
0.838 0.915 0.887 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5912 0.59368 moveto 0.60835 0.58247 lineto 0.6075 0.59832 lineto gsave
0.838 0.915 0.887 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43484 0.59047 moveto 0.45205 0.60006 lineto 0.4564 0.61242 lineto gsave
0.302 0.527 0.905 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47257 0.61694 moveto 0.4564 0.61242 lineto 0.45205 0.60006 lineto gsave
0.384 0.588 0.924 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51769 0.62575 moveto 0.51348 0.6315 lineto 0.50299 0.62903 lineto gsave
0.511 0.774 0.991 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51348 0.6315 moveto 0.51769 0.62575 lineto 0.52342 0.626 lineto gsave
0.534 0.806 0.996 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53594 0.6305 moveto 0.52899 0.62524 lineto 0.53382 0.62354 lineto gsave
0.622 0.853 0.986 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53382 0.62354 moveto 0.54555 0.62712 lineto 0.53594 0.6305 lineto gsave
0.622 0.853 0.986 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65892 0.53851 moveto 0.64223 0.5547 lineto 0.63062 0.53295 lineto gsave
0.89 0.85 0.798 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63062 0.53295 moveto 0.64594 0.51344 lineto 0.65892 0.53851 lineto gsave
0.89 0.85 0.798 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40583 0.54364 moveto 0.4222 0.56 lineto 0.41779 0.57907 lineto gsave
0.352 0.46 0.831 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43484 0.59047 moveto 0.41779 0.57907 lineto 0.4222 0.56 lineto gsave
0.388 0.498 0.849 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33689 0.17937 moveto 0.34652 0.20636 lineto 0.27525 0.25442 lineto gsave
0.548 0.48 0.731 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28843 0.27891 moveto 0.27525 0.25442 lineto 0.34652 0.20636 lineto gsave
0.544 0.473 0.726 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56781 0.6212 moveto 0.55267 0.62223 lineto 0.55652 0.61633 lineto gsave
0.736 0.899 0.952 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55652 0.61633 moveto 0.57366 0.61236 lineto 0.56781 0.6212 lineto gsave
0.736 0.899 0.952 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51242 0.6245 moveto 0.50299 0.62903 lineto 0.4945 0.62485 lineto gsave
0.507 0.744 0.98 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50299 0.62903 moveto 0.51242 0.6245 lineto 0.51769 0.62575 lineto gsave
0.511 0.774 0.991 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36859 0.43173 moveto 0.38225 0.45618 lineto 0.35758 0.48639 lineto gsave
0.434 0.428 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3735 0.50662 moveto 0.35758 0.48639 lineto 0.38225 0.45618 lineto gsave
0.443 0.44 0.761 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7207 0.40056 moveto 0.70601 0.42442 lineto 0.66642 0.39051 lineto gsave
0.869 0.752 0.732 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66642 0.39051 moveto 0.67821 0.36339 lineto 0.7207 0.40056 lineto gsave
0.869 0.752 0.732 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54555 0.62712 moveto 0.53382 0.62354 lineto 0.53737 0.62108 lineto gsave
0.668 0.857 0.972 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53737 0.62108 moveto 0.55267 0.62223 lineto 0.54555 0.62712 lineto gsave
0.668 0.857 0.972 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34652 0.20636 moveto 0.35612 0.23407 lineto 0.28843 0.27891 lineto gsave
0.544 0.473 0.726 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30163 0.30401 moveto 0.28843 0.27891 lineto 0.35612 0.23407 lineto gsave
0.542 0.469 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59066 0.60632 moveto 0.57366 0.61236 lineto 0.57396 0.60291 lineto gsave
0.806 0.892 0.905 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57396 0.60291 moveto 0.5912 0.59368 lineto 0.59066 0.60632 lineto gsave
0.806 0.892 0.905 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45205 0.60006 moveto 0.4694 0.60767 lineto 0.47257 0.61694 lineto gsave
0.384 0.588 0.924 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48891 0.61938 moveto 0.47257 0.61694 lineto 0.4694 0.60767 lineto gsave
0.465 0.646 0.937 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47257 0.61694 moveto 0.48891 0.61938 lineto 0.4945 0.62485 lineto gsave
0.409 0.667 0.966 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50816 0.62239 moveto 0.4945 0.62485 lineto 0.48891 0.61938 lineto gsave
0.519 0.718 0.963 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4945 0.62485 moveto 0.50816 0.62239 lineto 0.51242 0.6245 lineto gsave
0.507 0.744 0.98 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64223 0.5547 moveto 0.62537 0.56942 lineto 0.61521 0.55092 lineto gsave
0.875 0.848 0.813 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61521 0.55092 moveto 0.63062 0.53295 lineto 0.64223 0.5547 lineto gsave
0.875 0.848 0.813 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4222 0.56 moveto 0.43869 0.57468 lineto 0.43484 0.59047 lineto gsave
0.388 0.498 0.849 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45205 0.60006 moveto 0.43484 0.59047 lineto 0.43869 0.57468 lineto gsave
0.429 0.54 0.868 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38225 0.45618 moveto 0.39601 0.47971 lineto 0.3735 0.50662 lineto gsave
0.443 0.44 0.761 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38959 0.52577 moveto 0.3735 0.50662 lineto 0.39601 0.47971 lineto gsave
0.454 0.456 0.771 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70601 0.42442 moveto 0.69118 0.44786 lineto 0.65458 0.41717 lineto gsave
0.866 0.753 0.736 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65458 0.41717 moveto 0.66642 0.39051 lineto 0.70601 0.42442 lineto gsave
0.866 0.753 0.736 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35612 0.23407 moveto 0.3657 0.26234 lineto 0.30163 0.30401 lineto gsave
0.542 0.469 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31487 0.32954 moveto 0.30163 0.30401 lineto 0.3657 0.26234 lineto gsave
0.541 0.466 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55267 0.62223 moveto 0.53737 0.62108 lineto 0.53927 0.61811 lineto gsave
0.702 0.848 0.953 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53927 0.61811 moveto 0.55652 0.61633 lineto 0.55267 0.62223 lineto gsave
0.702 0.848 0.953 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.52342 0.626 lineto 0.51769 0.62575 lineto closepath gsave
0.617 0.782 0.96 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.52899 0.62524 lineto 0.52342 0.626 lineto closepath gsave
0.628 0.79 0.96 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.51769 0.62575 lineto 0.51242 0.6245 lineto closepath gsave
0.61 0.772 0.958 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57366 0.61236 moveto 0.55652 0.61633 lineto 0.55665 0.61003 lineto gsave
0.767 0.863 0.92 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55665 0.61003 moveto 0.57396 0.60291 lineto 0.57366 0.61236 lineto gsave
0.767 0.863 0.92 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.53382 0.62354 lineto 0.52899 0.62524 lineto closepath gsave
0.64 0.794 0.956 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62537 0.56942 moveto 0.60835 0.58247 lineto 0.59971 0.56718 lineto gsave
0.858 0.844 0.83 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59971 0.56718 moveto 0.61521 0.55092 lineto 0.62537 0.56942 lineto gsave
0.858 0.844 0.83 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.51242 0.6245 lineto 0.50816 0.62239 lineto closepath gsave
0.606 0.762 0.954 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43869 0.57468 moveto 0.45528 0.58749 lineto 0.45205 0.60006 lineto gsave
0.429 0.54 0.868 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4694 0.60767 moveto 0.45205 0.60006 lineto 0.45528 0.58749 lineto gsave
0.472 0.586 0.887 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4694 0.60767 moveto 0.48686 0.6132 lineto 0.48891 0.61938 lineto gsave
0.465 0.646 0.937 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50538 0.61965 moveto 0.48891 0.61938 lineto 0.48686 0.6132 lineto gsave
0.541 0.699 0.942 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48891 0.61938 moveto 0.50538 0.61965 lineto 0.50816 0.62239 lineto gsave
0.519 0.718 0.963 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.53737 0.62108 lineto 0.53382 0.62354 lineto closepath gsave
0.653 0.796 0.951 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3657 0.26234 moveto 0.3753 0.29097 lineto 0.31487 0.32954 lineto gsave
0.541 0.466 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32818 0.35529 moveto 0.31487 0.32954 lineto 0.3753 0.29097 lineto gsave
0.54 0.465 0.72 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39601 0.47971 moveto 0.40985 0.50211 lineto 0.38959 0.52577 lineto gsave
0.454 0.456 0.771 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40583 0.54364 moveto 0.38959 0.52577 lineto 0.40985 0.50211 lineto gsave
0.467 0.475 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69118 0.44786 moveto 0.67623 0.47067 lineto 0.64266 0.44311 lineto gsave
0.863 0.755 0.741 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64266 0.44311 moveto 0.65458 0.41717 lineto 0.69118 0.44786 lineto gsave
0.863 0.755 0.741 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.50816 0.62239 lineto 0.50538 0.61965 lineto closepath gsave
0.607 0.753 0.948 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55652 0.61633 moveto 0.53927 0.61811 lineto 0.5393 0.61497 lineto gsave
0.722 0.828 0.931 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5393 0.61497 moveto 0.55665 0.61003 lineto 0.55652 0.61633 lineto gsave
0.722 0.828 0.931 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60835 0.58247 moveto 0.5912 0.59368 lineto 0.58416 0.58153 lineto gsave
0.835 0.839 0.849 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58416 0.58153 moveto 0.59971 0.56718 lineto 0.60835 0.58247 lineto gsave
0.835 0.839 0.849 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.53927 0.61811 lineto 0.53737 0.62108 lineto closepath gsave
0.663 0.793 0.944 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45528 0.58749 moveto 0.47193 0.59829 lineto 0.4694 0.60767 lineto gsave
0.472 0.586 0.887 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48686 0.6132 moveto 0.4694 0.60767 lineto 0.47193 0.59829 lineto gsave
0.519 0.636 0.905 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48686 0.6132 moveto 0.50439 0.61655 lineto 0.50538 0.61965 lineto gsave
0.541 0.699 0.942 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.50538 0.61965 lineto 0.50439 0.61655 lineto closepath gsave
0.611 0.745 0.94 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3753 0.29097 moveto 0.38491 0.31976 lineto 0.32818 0.35529 lineto gsave
0.54 0.465 0.72 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34156 0.38106 moveto 0.32818 0.35529 lineto 0.38491 0.31976 lineto gsave
0.541 0.466 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40985 0.50211 moveto 0.42378 0.52314 lineto 0.40583 0.54364 lineto gsave
0.467 0.475 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4222 0.56 moveto 0.40583 0.54364 lineto 0.42378 0.52314 lineto gsave
0.482 0.497 0.797 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67623 0.47067 moveto 0.66115 0.49261 lineto 0.63069 0.4681 lineto gsave
0.859 0.756 0.749 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63069 0.4681 moveto 0.64266 0.44311 lineto 0.67623 0.47067 lineto gsave
0.859 0.756 0.749 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47193 0.59829 moveto 0.48861 0.60697 lineto 0.48686 0.6132 lineto gsave
0.519 0.636 0.905 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50439 0.61655 moveto 0.48686 0.6132 lineto 0.48861 0.60697 lineto gsave
0.568 0.687 0.92 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.5393 0.61497 lineto 0.53927 0.61811 lineto closepath gsave
0.671 0.788 0.937 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5912 0.59368 moveto 0.57396 0.60291 lineto 0.56858 0.59386 lineto gsave
0.807 0.831 0.869 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56858 0.59386 moveto 0.58416 0.58153 lineto 0.5912 0.59368 lineto gsave
0.807 0.831 0.869 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48861 0.60697 moveto 0.5053 0.61345 lineto 0.50439 0.61655 lineto gsave
0.568 0.687 0.92 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.50439 0.61655 lineto 0.5053 0.61345 lineto closepath gsave
0.618 0.739 0.933 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57396 0.60291 moveto 0.55665 0.61003 lineto 0.553 0.60404 lineto gsave
0.772 0.819 0.89 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.553 0.60404 moveto 0.56858 0.59386 lineto 0.57396 0.60291 lineto gsave
0.772 0.819 0.89 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.5339 0.60949 lineto 0.53745 0.61199 lineto closepath gsave
0.675 0.771 0.923 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.52904 0.60776 lineto 0.5339 0.60949 lineto closepath gsave
0.671 0.761 0.918 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.5234 0.60698 lineto 0.52904 0.60776 lineto closepath gsave
0.666 0.752 0.915 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.5176 0.60724 lineto 0.5234 0.60698 lineto closepath gsave
0.657 0.745 0.914 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.51228 0.60852 lineto 0.5176 0.60724 lineto closepath gsave
0.648 0.739 0.916 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.50803 0.61067 lineto 0.51228 0.60852 lineto closepath gsave
0.638 0.737 0.92 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.5053 0.61345 lineto 0.50803 0.61067 lineto closepath gsave
0.627 0.737 0.926 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52196 0.61767 moveto 0.53745 0.61199 lineto 0.5393 0.61497 lineto closepath gsave
0.674 0.78 0.929 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42378 0.52314 moveto 0.43778 0.54261 lineto 0.4222 0.56 lineto gsave
0.482 0.497 0.797 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43869 0.57468 moveto 0.4222 0.56 lineto 0.43778 0.54261 lineto gsave
0.499 0.524 0.813 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38491 0.31976 moveto 0.39454 0.3485 lineto 0.34156 0.38106 lineto gsave
0.541 0.466 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35503 0.40662 moveto 0.34156 0.38106 lineto 0.39454 0.3485 lineto gsave
0.542 0.469 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74812 0.20295 moveto 0.73648 0.22842 lineto 0.65172 0.18876 lineto gsave
0.806 0.679 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65172 0.18876 moveto 0.65892 0.16053 lineto 0.74812 0.20295 lineto gsave
0.806 0.679 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55665 0.61003 moveto 0.5393 0.61497 lineto 0.53745 0.61199 lineto gsave
0.728 0.803 0.91 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53745 0.61199 moveto 0.553 0.60404 lineto 0.55665 0.61003 lineto gsave
0.728 0.803 0.91 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66115 0.49261 moveto 0.64594 0.51344 lineto 0.61865 0.49192 lineto gsave
0.853 0.759 0.758 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61865 0.49192 moveto 0.63069 0.4681 lineto 0.66115 0.49261 lineto gsave
0.853 0.759 0.758 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43778 0.54261 moveto 0.45182 0.56032 lineto 0.43869 0.57468 lineto gsave
0.499 0.524 0.813 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45528 0.58749 moveto 0.43869 0.57468 lineto 0.45182 0.56032 lineto gsave
0.52 0.555 0.832 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73648 0.22842 moveto 0.72486 0.25464 lineto 0.64456 0.21768 lineto gsave
0.808 0.677 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64456 0.21768 moveto 0.65172 0.18876 lineto 0.73648 0.22842 lineto gsave
0.808 0.677 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49402 0.60137 moveto 0.50803 0.61067 lineto 0.5053 0.61345 lineto gsave
0.597 0.683 0.901 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5053 0.61345 moveto 0.48861 0.60697 lineto 0.49402 0.60137 lineto gsave
0.597 0.683 0.901 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45182 0.56032 moveto 0.46589 0.5761 lineto 0.45528 0.58749 lineto gsave
0.52 0.555 0.832 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47193 0.59829 moveto 0.45528 0.58749 lineto 0.46589 0.5761 lineto gsave
0.543 0.592 0.853 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.553 0.60404 moveto 0.53745 0.61199 lineto 0.5339 0.60949 lineto gsave
0.724 0.775 0.893 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39454 0.3485 moveto 0.40422 0.37697 lineto 0.35503 0.40662 lineto gsave
0.542 0.469 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36859 0.43173 moveto 0.35503 0.40662 lineto 0.40422 0.37697 lineto gsave
0.544 0.474 0.727 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47997 0.58982 moveto 0.49402 0.60137 lineto 0.48861 0.60697 lineto gsave
0.569 0.634 0.877 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48861 0.60697 moveto 0.47193 0.59829 lineto 0.47997 0.58982 lineto gsave
0.569 0.634 0.877 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64594 0.51344 moveto 0.63062 0.53295 lineto 0.60657 0.51434 lineto gsave
0.846 0.761 0.769 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60657 0.51434 moveto 0.61865 0.49192 lineto 0.64594 0.51344 lineto gsave
0.846 0.761 0.769 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46589 0.5761 moveto 0.47997 0.58982 lineto 0.47193 0.59829 lineto gsave
0.543 0.592 0.853 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72486 0.25464 moveto 0.71324 0.28144 lineto 0.63741 0.24713 lineto gsave
0.809 0.675 0.716 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63741 0.24713 moveto 0.64456 0.21768 lineto 0.72486 0.25464 lineto gsave
0.809 0.675 0.716 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50253 0.59703 moveto 0.51228 0.60852 lineto 0.50803 0.61067 lineto gsave
0.625 0.685 0.886 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50803 0.61067 moveto 0.49402 0.60137 lineto 0.50253 0.59703 lineto gsave
0.625 0.685 0.886 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5339 0.60949 moveto 0.54593 0.599 lineto 0.553 0.60404 lineto gsave
0.724 0.775 0.893 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54593 0.599 moveto 0.5339 0.60949 lineto 0.52904 0.60776 lineto gsave
0.713 0.749 0.881 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56858 0.59386 moveto 0.553 0.60404 lineto 0.54593 0.599 lineto gsave
0.761 0.776 0.865 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63062 0.53295 moveto 0.61521 0.55092 lineto 0.59444 0.53516 lineto gsave
0.836 0.764 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59444 0.53516 moveto 0.60657 0.51434 lineto 0.63062 0.53295 lineto gsave
0.836 0.764 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71324 0.28144 moveto 0.7016 0.30863 lineto 0.63026 0.27691 lineto gsave
0.81 0.674 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63026 0.27691 moveto 0.63741 0.24713 lineto 0.71324 0.28144 lineto gsave
0.81 0.674 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40422 0.37697 moveto 0.41393 0.40493 lineto 0.36859 0.43173 lineto gsave
0.544 0.474 0.727 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38225 0.45618 moveto 0.36859 0.43173 lineto 0.41393 0.40493 lineto gsave
0.548 0.48 0.732 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5132 0.59444 moveto 0.5176 0.60724 lineto 0.51228 0.60852 lineto gsave
0.651 0.694 0.876 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51228 0.60852 moveto 0.50253 0.59703 lineto 0.5132 0.59444 lineto gsave
0.651 0.694 0.876 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52904 0.60776 moveto 0.53619 0.59549 lineto 0.54593 0.599 lineto gsave
0.713 0.749 0.881 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53619 0.59549 moveto 0.52904 0.60776 lineto 0.5234 0.60698 lineto gsave
0.696 0.727 0.874 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52486 0.59391 moveto 0.5234 0.60698 lineto 0.5176 0.60724 lineto gsave
0.675 0.708 0.872 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5176 0.60724 moveto 0.5132 0.59444 lineto 0.52486 0.59391 lineto gsave
0.675 0.708 0.872 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61521 0.55092 moveto 0.59971 0.56718 lineto 0.5823 0.55419 lineto gsave
0.824 0.767 0.799 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5823 0.55419 moveto 0.59444 0.53516 lineto 0.61521 0.55092 lineto gsave
0.824 0.767 0.799 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58416 0.58153 moveto 0.56858 0.59386 lineto 0.55802 0.58623 lineto gsave
0.788 0.774 0.84 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54593 0.599 moveto 0.55802 0.58623 lineto 0.56858 0.59386 lineto gsave
0.761 0.776 0.865 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5234 0.60698 moveto 0.52486 0.59391 lineto 0.53619 0.59549 lineto gsave
0.696 0.727 0.874 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49271 0.58324 moveto 0.50253 0.59703 lineto 0.49402 0.60137 lineto gsave
0.612 0.642 0.856 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49402 0.60137 moveto 0.47997 0.58982 lineto 0.49271 0.58324 lineto gsave
0.612 0.642 0.856 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59971 0.56718 moveto 0.58416 0.58153 lineto 0.57015 0.57125 lineto gsave
0.809 0.771 0.818 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57015 0.57125 moveto 0.5823 0.55419 lineto 0.59971 0.56718 lineto gsave
0.809 0.771 0.818 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55802 0.58623 moveto 0.57015 0.57125 lineto 0.58416 0.58153 lineto gsave
0.788 0.774 0.84 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7016 0.30863 moveto 0.68993 0.33602 lineto 0.6231 0.30684 lineto gsave
0.81 0.674 0.713 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6231 0.30684 moveto 0.63026 0.27691 lineto 0.7016 0.30863 lineto gsave
0.81 0.674 0.713 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41393 0.40493 moveto 0.42369 0.43214 lineto 0.38225 0.45618 lineto gsave
0.548 0.48 0.732 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39601 0.47971 moveto 0.38225 0.45618 lineto 0.42369 0.43214 lineto gsave
0.552 0.489 0.739 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55802 0.58623 moveto 0.54593 0.599 lineto 0.53619 0.59549 lineto gsave
0.741 0.737 0.848 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68993 0.33602 moveto 0.67821 0.36339 lineto 0.61594 0.33669 lineto gsave
0.81 0.674 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61594 0.33669 moveto 0.6231 0.30684 lineto 0.68993 0.33602 lineto gsave
0.81 0.674 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48285 0.56722 moveto 0.49271 0.58324 lineto 0.47997 0.58982 lineto gsave
0.599 0.605 0.829 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47997 0.58982 moveto 0.46589 0.5761 lineto 0.48285 0.56722 lineto gsave
0.599 0.605 0.829 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42369 0.43214 moveto 0.43349 0.45838 lineto 0.39601 0.47971 lineto gsave
0.552 0.489 0.739 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40985 0.50211 moveto 0.39601 0.47971 lineto 0.43349 0.45838 lineto gsave
0.557 0.5 0.747 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50877 0.57931 moveto 0.5132 0.59444 lineto 0.50253 0.59703 lineto gsave
0.65 0.656 0.842 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50253 0.59703 moveto 0.49271 0.58324 lineto 0.50877 0.57931 lineto gsave
0.65 0.656 0.842 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43349 0.45838 moveto 0.44332 0.4834 lineto 0.40985 0.50211 lineto gsave
0.557 0.5 0.747 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42378 0.52314 moveto 0.40985 0.50211 lineto 0.44332 0.4834 lineto gsave
0.563 0.514 0.758 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47297 0.54908 moveto 0.48285 0.56722 lineto 0.46589 0.5761 lineto gsave
0.588 0.575 0.806 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46589 0.5761 moveto 0.45182 0.56032 lineto 0.47297 0.54908 lineto gsave
0.588 0.575 0.806 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53619 0.59549 moveto 0.54339 0.58089 lineto 0.55802 0.58623 lineto gsave
0.741 0.737 0.848 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54339 0.58089 moveto 0.53619 0.59549 lineto 0.52486 0.59391 lineto gsave
0.715 0.704 0.839 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67821 0.36339 moveto 0.66642 0.39051 lineto 0.60875 0.36623 lineto gsave
0.809 0.675 0.716 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60875 0.36623 moveto 0.61594 0.33669 lineto 0.67821 0.36339 lineto gsave
0.809 0.675 0.716 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44332 0.4834 moveto 0.45319 0.50699 lineto 0.42378 0.52314 lineto gsave
0.563 0.514 0.758 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43778 0.54261 moveto 0.42378 0.52314 lineto 0.45319 0.50699 lineto gsave
0.57 0.53 0.772 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46307 0.52895 moveto 0.47297 0.54908 lineto 0.45182 0.56032 lineto gsave
0.578 0.551 0.787 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45182 0.56032 moveto 0.43778 0.54261 lineto 0.46307 0.52895 lineto gsave
0.578 0.551 0.787 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57015 0.57125 moveto 0.55802 0.58623 lineto 0.54339 0.58089 lineto gsave
0.76 0.725 0.82 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52633 0.57849 moveto 0.52486 0.59391 lineto 0.5132 0.59444 lineto gsave
0.684 0.677 0.837 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5132 0.59444 moveto 0.50877 0.57931 lineto 0.52633 0.57849 lineto gsave
0.684 0.677 0.837 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45319 0.50699 moveto 0.46307 0.52895 lineto 0.43778 0.54261 lineto gsave
0.57 0.53 0.772 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52486 0.59391 moveto 0.52633 0.57849 lineto 0.54339 0.58089 lineto gsave
0.715 0.704 0.839 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66642 0.39051 moveto 0.65458 0.41717 lineto 0.60154 0.39523 lineto gsave
0.808 0.677 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60154 0.39523 moveto 0.60875 0.36623 lineto 0.66642 0.39051 lineto gsave
0.808 0.677 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34652 0.20636 moveto 0.33689 0.17937 lineto 0.43743 0.14759 lineto gsave
0.628 0.525 0.718 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50431 0.5619 moveto 0.50877 0.57931 lineto 0.49271 0.58324 lineto gsave
0.647 0.625 0.814 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49271 0.58324 moveto 0.48285 0.56722 lineto 0.50431 0.5619 lineto gsave
0.647 0.625 0.814 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5823 0.55419 moveto 0.57015 0.57125 lineto 0.55064 0.56405 lineto gsave
0.773 0.715 0.797 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54339 0.58089 moveto 0.55064 0.56405 lineto 0.57015 0.57125 lineto gsave
0.76 0.725 0.82 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43743 0.14759 moveto 0.44189 0.17668 lineto 0.34652 0.20636 lineto gsave
0.628 0.525 0.718 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35612 0.23407 moveto 0.34652 0.20636 lineto 0.44189 0.17668 lineto gsave
0.626 0.52 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65458 0.41717 moveto 0.64266 0.44311 lineto 0.59431 0.42347 lineto gsave
0.806 0.679 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59431 0.42347 moveto 0.60154 0.39523 lineto 0.65458 0.41717 lineto gsave
0.806 0.679 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44189 0.17668 moveto 0.44633 0.20644 lineto 0.35612 0.23407 lineto gsave
0.626 0.52 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3657 0.26234 moveto 0.35612 0.23407 lineto 0.44633 0.20644 lineto gsave
0.625 0.517 0.711 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55064 0.56405 moveto 0.54339 0.58089 lineto 0.52633 0.57849 lineto gsave
0.726 0.685 0.81 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64266 0.44311 moveto 0.63069 0.4681 lineto 0.58705 0.45069 lineto gsave
0.804 0.683 0.731 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58705 0.45069 moveto 0.59431 0.42347 lineto 0.64266 0.44311 lineto gsave
0.804 0.683 0.731 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59444 0.53516 moveto 0.5823 0.55419 lineto 0.55791 0.54506 lineto gsave
0.783 0.706 0.778 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55064 0.56405 moveto 0.55791 0.54506 lineto 0.5823 0.55419 lineto gsave
0.773 0.715 0.797 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44633 0.20644 moveto 0.45076 0.23671 lineto 0.3657 0.26234 lineto gsave
0.625 0.517 0.711 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3753 0.29097 moveto 0.3657 0.26234 lineto 0.45076 0.23671 lineto gsave
0.625 0.515 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52781 0.5608 moveto 0.52633 0.57849 lineto 0.50877 0.57931 lineto gsave
0.689 0.652 0.808 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50877 0.57931 moveto 0.50431 0.5619 lineto 0.52781 0.5608 lineto gsave
0.689 0.652 0.808 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63069 0.4681 moveto 0.61865 0.49192 lineto 0.57978 0.47667 lineto gsave
0.8 0.687 0.739 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57978 0.47667 moveto 0.58705 0.45069 lineto 0.63069 0.4681 lineto gsave
0.8 0.687 0.739 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49983 0.54233 moveto 0.50431 0.5619 lineto 0.48285 0.56722 lineto gsave
0.644 0.601 0.791 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48285 0.56722 moveto 0.47297 0.54908 lineto 0.49983 0.54233 lineto gsave
0.644 0.601 0.791 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60657 0.51434 moveto 0.59444 0.53516 lineto 0.5652 0.52406 lineto gsave
0.791 0.698 0.763 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55791 0.54506 moveto 0.5652 0.52406 lineto 0.59444 0.53516 lineto gsave
0.783 0.706 0.778 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52633 0.57849 moveto 0.52781 0.5608 lineto 0.55064 0.56405 lineto gsave
0.726 0.685 0.81 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61865 0.49192 moveto 0.60657 0.51434 lineto 0.57249 0.5012 lineto gsave
0.796 0.692 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57249 0.5012 moveto 0.57978 0.47667 lineto 0.61865 0.49192 lineto gsave
0.796 0.692 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5652 0.52406 moveto 0.57249 0.5012 lineto 0.60657 0.51434 lineto gsave
0.791 0.698 0.763 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45076 0.23671 moveto 0.45519 0.26729 lineto 0.3753 0.29097 lineto gsave
0.625 0.515 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38491 0.31976 moveto 0.3753 0.29097 lineto 0.45519 0.26729 lineto gsave
0.625 0.514 0.708 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45519 0.26729 moveto 0.45961 0.298 lineto 0.38491 0.31976 lineto gsave
0.625 0.514 0.708 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39454 0.3485 moveto 0.38491 0.31976 lineto 0.45961 0.298 lineto gsave
0.625 0.515 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55791 0.54506 moveto 0.55064 0.56405 lineto 0.52781 0.5608 lineto gsave
0.734 0.669 0.787 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49534 0.52073 moveto 0.49983 0.54233 lineto 0.47297 0.54908 lineto gsave
0.64 0.581 0.772 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47297 0.54908 moveto 0.46307 0.52895 lineto 0.49534 0.52073 lineto gsave
0.64 0.581 0.772 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45961 0.298 moveto 0.46404 0.32861 lineto 0.39454 0.3485 lineto gsave
0.625 0.515 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40422 0.37697 moveto 0.39454 0.3485 lineto 0.46404 0.32861 lineto gsave
0.625 0.517 0.711 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5293 0.54094 moveto 0.52781 0.5608 lineto 0.50431 0.5619 lineto gsave
0.691 0.632 0.784 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50431 0.5619 moveto 0.49983 0.54233 lineto 0.5293 0.54094 lineto gsave
0.691 0.632 0.784 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49085 0.49726 moveto 0.49534 0.52073 lineto 0.46307 0.52895 lineto gsave
0.637 0.564 0.756 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46307 0.52895 moveto 0.45319 0.50699 lineto 0.49085 0.49726 lineto gsave
0.637 0.564 0.756 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46404 0.32861 moveto 0.46848 0.35889 lineto 0.40422 0.37697 lineto gsave
0.625 0.517 0.711 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41393 0.40493 moveto 0.40422 0.37697 lineto 0.46848 0.35889 lineto gsave
0.626 0.521 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52781 0.5608 moveto 0.5293 0.54094 lineto 0.55791 0.54506 lineto gsave
0.734 0.669 0.787 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5652 0.52406 moveto 0.55791 0.54506 lineto 0.5293 0.54094 lineto gsave
0.739 0.656 0.768 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46848 0.35889 moveto 0.47293 0.38862 lineto 0.41393 0.40493 lineto gsave
0.626 0.521 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42369 0.43214 moveto 0.41393 0.40493 lineto 0.47293 0.38862 lineto gsave
0.628 0.526 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48635 0.4721 moveto 0.49085 0.49726 lineto 0.45319 0.50699 lineto gsave
0.634 0.551 0.744 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45319 0.50699 moveto 0.44332 0.4834 lineto 0.48635 0.4721 lineto gsave
0.634 0.551 0.744 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47293 0.38862 moveto 0.47739 0.41755 lineto 0.42369 0.43214 lineto gsave
0.628 0.526 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43349 0.45838 moveto 0.42369 0.43214 lineto 0.47739 0.41755 lineto gsave
0.629 0.532 0.725 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48187 0.44546 moveto 0.48635 0.4721 lineto 0.44332 0.4834 lineto gsave
0.631 0.541 0.733 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44332 0.4834 moveto 0.43349 0.45838 lineto 0.48187 0.44546 lineto gsave
0.631 0.541 0.733 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47739 0.41755 moveto 0.48187 0.44546 lineto 0.43349 0.45838 lineto gsave
0.629 0.532 0.725 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65892 0.16053 moveto 0.65172 0.18876 lineto 0.54873 0.17044 lineto gsave
0.75 0.62 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54873 0.17044 moveto 0.55023 0.14091 lineto 0.65892 0.16053 lineto gsave
0.75 0.62 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5308 0.51903 moveto 0.5293 0.54094 lineto 0.49983 0.54233 lineto gsave
0.692 0.615 0.765 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49983 0.54233 moveto 0.49534 0.52073 lineto 0.5308 0.51903 lineto gsave
0.692 0.615 0.765 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65172 0.18876 moveto 0.64456 0.21768 lineto 0.54724 0.20063 lineto gsave
0.751 0.617 0.71 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54724 0.20063 moveto 0.54873 0.17044 lineto 0.65172 0.18876 lineto gsave
0.751 0.617 0.71 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57249 0.5012 moveto 0.5652 0.52406 lineto 0.5308 0.51903 lineto gsave
0.743 0.646 0.752 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5293 0.54094 moveto 0.5308 0.51903 lineto 0.5652 0.52406 lineto gsave
0.739 0.656 0.768 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64456 0.21768 moveto 0.63741 0.24713 lineto 0.54575 0.23133 lineto gsave
0.751 0.615 0.707 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54575 0.23133 moveto 0.54724 0.20063 lineto 0.64456 0.21768 lineto gsave
0.751 0.615 0.707 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63741 0.24713 moveto 0.63026 0.27691 lineto 0.54426 0.26233 lineto gsave
0.752 0.613 0.705 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54426 0.26233 moveto 0.54575 0.23133 lineto 0.63741 0.24713 lineto gsave
0.752 0.613 0.705 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63026 0.27691 moveto 0.6231 0.30684 lineto 0.54277 0.29345 lineto gsave
0.752 0.613 0.705 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54277 0.29345 moveto 0.54426 0.26233 lineto 0.63026 0.27691 lineto gsave
0.752 0.613 0.705 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57978 0.47667 moveto 0.57249 0.5012 lineto 0.5323 0.49523 lineto gsave
0.746 0.637 0.74 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5308 0.51903 moveto 0.5323 0.49523 lineto 0.57249 0.5012 lineto gsave
0.743 0.646 0.752 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6231 0.30684 moveto 0.61594 0.33669 lineto 0.54128 0.32445 lineto gsave
0.752 0.614 0.706 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54128 0.32445 moveto 0.54277 0.29345 lineto 0.6231 0.30684 lineto gsave
0.752 0.614 0.706 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5323 0.49523 moveto 0.5308 0.51903 lineto 0.49534 0.52073 lineto gsave
0.693 0.602 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49534 0.52073 moveto 0.49085 0.49726 lineto 0.5323 0.49523 lineto gsave
0.693 0.602 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61594 0.33669 moveto 0.60875 0.36623 lineto 0.53979 0.35512 lineto gsave
0.751 0.615 0.707 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53979 0.35512 moveto 0.54128 0.32445 lineto 0.61594 0.33669 lineto gsave
0.751 0.615 0.707 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58705 0.45069 moveto 0.57978 0.47667 lineto 0.5338 0.46975 lineto gsave
0.748 0.63 0.73 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5323 0.49523 moveto 0.5338 0.46975 lineto 0.57978 0.47667 lineto gsave
0.746 0.637 0.74 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60875 0.36623 moveto 0.60154 0.39523 lineto 0.5383 0.38522 lineto gsave
0.751 0.617 0.711 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5383 0.38522 moveto 0.53979 0.35512 lineto 0.60875 0.36623 lineto gsave
0.751 0.617 0.711 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59431 0.42347 moveto 0.58705 0.45069 lineto 0.5353 0.44276 lineto gsave
0.749 0.625 0.722 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5338 0.46975 moveto 0.5353 0.44276 lineto 0.58705 0.45069 lineto gsave
0.748 0.63 0.73 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60154 0.39523 moveto 0.59431 0.42347 lineto 0.5368 0.41451 lineto gsave
0.75 0.62 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5368 0.41451 moveto 0.5383 0.38522 lineto 0.60154 0.39523 lineto gsave
0.75 0.62 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5353 0.44276 moveto 0.5368 0.41451 lineto 0.59431 0.42347 lineto gsave
0.749 0.625 0.722 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5338 0.46975 moveto 0.5323 0.49523 lineto 0.49085 0.49726 lineto gsave
0.693 0.591 0.738 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49085 0.49726 moveto 0.48635 0.4721 lineto 0.5338 0.46975 lineto gsave
0.693 0.591 0.738 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5353 0.44276 moveto 0.5338 0.46975 lineto 0.48635 0.4721 lineto gsave
0.693 0.583 0.728 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48635 0.4721 moveto 0.48187 0.44546 lineto 0.5353 0.44276 lineto gsave
0.693 0.583 0.728 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55023 0.14091 moveto 0.54873 0.17044 lineto 0.44189 0.17668 lineto gsave
0.692 0.57 0.713 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44189 0.17668 moveto 0.43743 0.14759 lineto 0.55023 0.14091 lineto gsave
0.692 0.57 0.713 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44633 0.20644 moveto 0.44189 0.17668 lineto 0.54873 0.17044 lineto gsave
0.692 0.566 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54873 0.17044 moveto 0.54724 0.20063 lineto 0.44633 0.20644 lineto gsave
0.692 0.566 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45076 0.23671 moveto 0.44633 0.20644 lineto 0.54724 0.20063 lineto gsave
0.692 0.564 0.706 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54724 0.20063 moveto 0.54575 0.23133 lineto 0.45076 0.23671 lineto gsave
0.692 0.564 0.706 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45519 0.26729 moveto 0.45076 0.23671 lineto 0.54575 0.23133 lineto gsave
0.692 0.562 0.704 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54575 0.23133 moveto 0.54426 0.26233 lineto 0.45519 0.26729 lineto gsave
0.692 0.562 0.704 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45961 0.298 moveto 0.45519 0.26729 lineto 0.54426 0.26233 lineto gsave
0.692 0.562 0.703 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5368 0.41451 moveto 0.5353 0.44276 lineto 0.48187 0.44546 lineto gsave
0.692 0.576 0.72 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48187 0.44546 moveto 0.47739 0.41755 lineto 0.5368 0.41451 lineto gsave
0.692 0.576 0.72 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54426 0.26233 moveto 0.54277 0.29345 lineto 0.45961 0.298 lineto gsave
0.692 0.562 0.703 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46404 0.32861 moveto 0.45961 0.298 lineto 0.54277 0.29345 lineto gsave
0.692 0.562 0.704 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5383 0.38522 moveto 0.5368 0.41451 lineto 0.47739 0.41755 lineto gsave
0.692 0.571 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47739 0.41755 moveto 0.47293 0.38862 lineto 0.5383 0.38522 lineto gsave
0.692 0.571 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54277 0.29345 moveto 0.54128 0.32445 lineto 0.46404 0.32861 lineto gsave
0.692 0.562 0.704 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46848 0.35889 moveto 0.46404 0.32861 lineto 0.54128 0.32445 lineto gsave
0.692 0.564 0.706 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54128 0.32445 moveto 0.53979 0.35512 lineto 0.46848 0.35889 lineto gsave
0.692 0.564 0.706 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47293 0.38862 moveto 0.46848 0.35889 lineto 0.53979 0.35512 lineto gsave
0.692 0.567 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53979 0.35512 moveto 0.5383 0.38522 lineto 0.47293 0.38862 lineto gsave
0.692 0.567 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
grestore
% End of Graphics
MathPictureEnd
:[font = input; preserveAspect; startGroup; ]
uu[1,3.83171,0];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; pageBreakBelow; dontNoPageBreakBelow; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 254; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.90371 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.024959 0.998348 -3.905855e-05 0.998348 [
[ 0 0 0 0 ]
[ 1 0.903715 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics3D
[ ] 0 setdash
0 setgray
0 0 moveto
1 0 lineto
1 0.90371 lineto
0 0.90371 lineto
closepath
clip
newpath
gsave
0.002 setlinewidth
0.5449 0.65071 moveto 0.54609 0.66678 lineto 0.45231 0.66267 lineto gsave
0.712 0.642 0.778 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54609 0.66678 moveto 0.5449 0.65071 lineto 0.63244 0.64529 lineto gsave
0.659 0.601 0.78 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63244 0.64529 moveto 0.63804 0.65442 lineto 0.54609 0.66678 lineto gsave
0.668 0.712 0.882 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45593 0.64123 moveto 0.45231 0.66267 lineto 0.36389 0.64227 lineto gsave
0.763 0.647 0.734 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45231 0.66267 moveto 0.45593 0.64123 lineto 0.5449 0.65071 lineto gsave
0.709 0.596 0.727 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54371 0.6344 moveto 0.5449 0.65071 lineto 0.45593 0.64123 lineto gsave
0.7 0.631 0.777 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5449 0.65071 moveto 0.54371 0.6344 lineto 0.62678 0.63605 lineto gsave
0.64 0.586 0.778 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62678 0.63605 moveto 0.63244 0.64529 lineto 0.5449 0.65071 lineto gsave
0.64 0.7 0.889 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36389 0.64227 moveto 0.37238 0.61755 lineto 0.45593 0.64123 lineto gsave
0.763 0.626 0.708 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45956 0.6195 moveto 0.45593 0.64123 lineto 0.37238 0.61755 lineto gsave
0.756 0.639 0.732 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45593 0.64123 moveto 0.45956 0.6195 lineto 0.54371 0.6344 lineto gsave
0.699 0.584 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37238 0.61755 moveto 0.38087 0.59255 lineto 0.45956 0.6195 lineto gsave
0.757 0.618 0.705 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4632 0.59793 moveto 0.45956 0.6195 lineto 0.38087 0.59255 lineto gsave
0.748 0.633 0.732 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45956 0.6195 moveto 0.4632 0.59793 lineto 0.54251 0.61811 lineto gsave
0.687 0.574 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54251 0.61811 moveto 0.54371 0.6344 lineto 0.45956 0.6195 lineto gsave
0.684 0.621 0.779 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54371 0.6344 moveto 0.54251 0.61811 lineto 0.62108 0.62675 lineto gsave
0.618 0.57 0.778 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62108 0.62675 moveto 0.62678 0.63605 lineto 0.54371 0.6344 lineto gsave
0.605 0.684 0.898 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38087 0.59255 moveto 0.38933 0.56786 lineto 0.4632 0.59793 lineto gsave
0.75 0.611 0.704 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46683 0.57697 moveto 0.4632 0.59793 lineto 0.38933 0.56786 lineto gsave
0.738 0.627 0.736 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4632 0.59793 moveto 0.46683 0.57697 lineto 0.5413 0.60213 lineto gsave
0.673 0.565 0.725 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5413 0.60213 moveto 0.54251 0.61811 lineto 0.4632 0.59793 lineto gsave
0.665 0.61 0.784 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38933 0.56786 moveto 0.39774 0.54408 lineto 0.46683 0.57697 lineto gsave
0.742 0.605 0.706 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47045 0.55707 moveto 0.46683 0.57697 lineto 0.39774 0.54408 lineto gsave
0.724 0.621 0.743 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46683 0.57697 moveto 0.47045 0.55707 lineto 0.54009 0.58671 lineto gsave
0.656 0.555 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54009 0.58671 moveto 0.5413 0.60213 lineto 0.46683 0.57697 lineto gsave
0.641 0.599 0.792 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63804 0.65442 moveto 0.63244 0.64529 lineto 0.71155 0.62497 lineto gsave
0.624 0.693 0.894 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71155 0.62497 moveto 0.72094 0.62615 lineto 0.63804 0.65442 lineto gsave
0.583 0.896 0.987 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39774 0.54408 moveto 0.40608 0.52175 lineto 0.47045 0.55707 lineto gsave
0.73 0.6 0.711 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47406 0.5386 moveto 0.47045 0.55707 lineto 0.40608 0.52175 lineto gsave
0.705 0.615 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47045 0.55707 moveto 0.47406 0.5386 lineto 0.53888 0.5721 lineto gsave
0.634 0.545 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53888 0.5721 moveto 0.54009 0.58671 lineto 0.47045 0.55707 lineto gsave
0.609 0.586 0.802 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54251 0.61811 moveto 0.5413 0.60213 lineto 0.61532 0.61744 lineto gsave
0.593 0.555 0.781 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61532 0.61744 moveto 0.62108 0.62675 lineto 0.54251 0.61811 lineto gsave
0.559 0.664 0.907 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40608 0.52175 moveto 0.41435 0.50135 lineto 0.47406 0.5386 lineto gsave
0.716 0.594 0.718 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47765 0.52192 moveto 0.47406 0.5386 lineto 0.41435 0.50135 lineto gsave
0.681 0.607 0.767 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47406 0.5386 moveto 0.47765 0.52192 lineto 0.53767 0.55851 lineto gsave
0.606 0.534 0.747 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53767 0.55851 moveto 0.53888 0.5721 lineto 0.47406 0.5386 lineto gsave
0.568 0.57 0.815 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5413 0.60213 moveto 0.54009 0.58671 lineto 0.60952 0.6082 lineto gsave
0.561 0.538 0.786 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60952 0.6082 moveto 0.61532 0.61744 lineto 0.5413 0.60213 lineto gsave
0.501 0.637 0.915 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33962 0.50593 moveto 0.35216 0.48349 lineto 0.40608 0.52175 lineto gsave
0.799 0.664 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40608 0.52175 moveto 0.39774 0.54408 lineto 0.33962 0.50593 lineto gsave
0.795 0.674 0.731 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41435 0.50135 moveto 0.40608 0.52175 lineto 0.35216 0.48349 lineto gsave
0.782 0.672 0.742 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32692 0.53009 moveto 0.33962 0.50593 lineto 0.39774 0.54408 lineto gsave
0.807 0.667 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39774 0.54408 moveto 0.38933 0.56786 lineto 0.32692 0.53009 lineto gsave
0.804 0.676 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63244 0.64529 moveto 0.62678 0.63605 lineto 0.70205 0.62387 lineto gsave
0.586 0.674 0.901 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70205 0.62387 moveto 0.71155 0.62497 lineto 0.63244 0.64529 lineto gsave
0.491 0.868 0.979 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35216 0.48349 moveto 0.36454 0.46331 lineto 0.41435 0.50135 lineto gsave
0.787 0.662 0.725 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42254 0.48334 moveto 0.41435 0.50135 lineto 0.36454 0.46331 lineto gsave
0.764 0.669 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41435 0.50135 moveto 0.42254 0.48334 lineto 0.47765 0.52192 lineto gsave
0.696 0.587 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48124 0.50731 moveto 0.47765 0.52192 lineto 0.42254 0.48334 lineto gsave
0.646 0.597 0.785 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47765 0.52192 moveto 0.48124 0.50731 lineto 0.53645 0.54614 lineto gsave
0.569 0.519 0.759 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53645 0.54614 moveto 0.53767 0.55851 lineto 0.47765 0.52192 lineto gsave
0.512 0.548 0.83 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31409 0.55535 moveto 0.32692 0.53009 lineto 0.38933 0.56786 lineto gsave
0.812 0.67 0.706 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38933 0.56786 moveto 0.38087 0.59255 lineto 0.31409 0.55535 lineto gsave
0.81 0.679 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36454 0.46331 moveto 0.37675 0.44585 lineto 0.42254 0.48334 lineto gsave
0.771 0.659 0.739 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43067 0.46805 moveto 0.42254 0.48334 lineto 0.37675 0.44585 lineto gsave
0.737 0.664 0.778 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42254 0.48334 moveto 0.43067 0.46805 lineto 0.48124 0.50731 lineto gsave
0.67 0.579 0.744 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30116 0.58107 moveto 0.31409 0.55535 lineto 0.38087 0.59255 lineto gsave
0.816 0.674 0.706 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38087 0.59255 moveto 0.37238 0.61755 lineto 0.30116 0.58107 lineto gsave
0.815 0.683 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54009 0.58671 moveto 0.53888 0.5721 lineto 0.60367 0.59905 lineto gsave
0.522 0.518 0.793 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60367 0.59905 moveto 0.60952 0.6082 lineto 0.54009 0.58671 lineto gsave
0.427 0.602 0.919 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28818 0.60657 moveto 0.30116 0.58107 lineto 0.37238 0.61755 lineto gsave
0.819 0.679 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37238 0.61755 moveto 0.36389 0.64227 lineto 0.28818 0.60657 lineto gsave
0.817 0.687 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37675 0.44585 moveto 0.38881 0.43152 lineto 0.43067 0.46805 lineto gsave
0.748 0.655 0.758 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43874 0.45578 moveto 0.43067 0.46805 lineto 0.38881 0.43152 lineto gsave
0.698 0.656 0.805 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43067 0.46805 moveto 0.43874 0.45578 lineto 0.48482 0.49502 lineto gsave
0.633 0.568 0.763 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48482 0.49502 moveto 0.48124 0.50731 lineto 0.43067 0.46805 lineto gsave
0.597 0.582 0.806 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48124 0.50731 moveto 0.48482 0.49502 lineto 0.53522 0.53511 lineto gsave
0.519 0.5 0.775 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53522 0.53511 moveto 0.53645 0.54614 lineto 0.48124 0.50731 lineto gsave
0.435 0.517 0.843 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62678 0.63605 moveto 0.62108 0.62675 lineto 0.69244 0.62267 lineto gsave
0.538 0.651 0.908 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69244 0.62267 moveto 0.70205 0.62387 lineto 0.62678 0.63605 lineto gsave
0.373 0.815 0.953 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53888 0.5721 moveto 0.53767 0.55851 lineto 0.59776 0.59006 lineto gsave
0.473 0.495 0.801 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59776 0.59006 moveto 0.60367 0.59905 lineto 0.53888 0.5721 lineto gsave
0.335 0.554 0.915 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38881 0.43152 moveto 0.40074 0.4206 lineto 0.43874 0.45578 lineto gsave
0.714 0.648 0.782 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44679 0.44672 moveto 0.43874 0.45578 lineto 0.40074 0.4206 lineto gsave
0.637 0.64 0.837 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43874 0.45578 moveto 0.44679 0.44672 lineto 0.4884 0.48519 lineto gsave
0.579 0.55 0.786 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4884 0.48519 moveto 0.48482 0.49502 lineto 0.43874 0.45578 lineto gsave
0.526 0.557 0.83 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48482 0.49502 moveto 0.4884 0.48519 lineto 0.53399 0.52554 lineto gsave
0.449 0.472 0.791 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53399 0.52554 moveto 0.53522 0.53511 lineto 0.48482 0.49502 lineto gsave
0.332 0.47 0.849 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62108 0.62675 moveto 0.61532 0.61744 lineto 0.68271 0.62121 lineto gsave
0.478 0.621 0.913 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68271 0.62121 moveto 0.69244 0.62267 lineto 0.62108 0.62675 lineto gsave
0.236 0.734 0.909 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53767 0.55851 moveto 0.53645 0.54614 lineto 0.59181 0.58126 lineto gsave
0.408 0.466 0.808 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59181 0.58126 moveto 0.59776 0.59006 lineto 0.53767 0.55851 lineto gsave
0.223 0.492 0.898 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40074 0.4206 moveto 0.41258 0.41332 lineto 0.44679 0.44672 lineto gsave
0.662 0.635 0.813 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45482 0.44099 moveto 0.44679 0.44672 lineto 0.41258 0.41332 lineto gsave
0.54 0.608 0.87 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44679 0.44672 moveto 0.45482 0.44099 lineto 0.49198 0.47792 lineto gsave
0.498 0.521 0.811 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49198 0.47792 moveto 0.4884 0.48519 lineto 0.44679 0.44672 lineto gsave
0.42 0.515 0.85 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32912 0.42759 moveto 0.34436 0.41262 lineto 0.37675 0.44585 lineto gsave
0.837 0.762 0.779 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37675 0.44585 moveto 0.36454 0.46331 lineto 0.32912 0.42759 lineto gsave
0.837 0.762 0.779 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38881 0.43152 moveto 0.37675 0.44585 lineto 0.34436 0.41262 lineto gsave
0.811 0.763 0.807 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31362 0.44538 moveto 0.32912 0.42759 lineto 0.36454 0.46331 lineto gsave
0.853 0.76 0.759 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36454 0.46331 moveto 0.35216 0.48349 lineto 0.31362 0.44538 lineto gsave
0.853 0.76 0.759 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34436 0.41262 moveto 0.35937 0.40083 lineto 0.38881 0.43152 lineto gsave
0.811 0.763 0.807 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40074 0.4206 moveto 0.38881 0.43152 lineto 0.35937 0.40083 lineto gsave
0.77 0.76 0.843 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4884 0.48519 moveto 0.49198 0.47792 lineto 0.53275 0.51749 lineto gsave
0.35 0.43 0.803 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53275 0.51749 moveto 0.53399 0.52554 lineto 0.4884 0.48519 lineto gsave
0.194 0.403 0.839 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29786 0.46549 moveto 0.31362 0.44538 lineto 0.35216 0.48349 lineto gsave
0.864 0.758 0.744 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35216 0.48349 moveto 0.33962 0.50593 lineto 0.29786 0.46549 lineto gsave
0.864 0.758 0.744 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61532 0.61744 moveto 0.60952 0.6082 lineto 0.67284 0.61931 lineto gsave
0.403 0.583 0.913 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67284 0.61931 moveto 0.68271 0.62121 lineto 0.61532 0.61744 lineto gsave
0.09 0.632 0.848 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53645 0.54614 moveto 0.53522 0.53511 lineto 0.58581 0.57269 lineto gsave
0.325 0.427 0.812 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58581 0.57269 moveto 0.59181 0.58126 lineto 0.53645 0.54614 lineto gsave
0.092 0.414 0.863 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35937 0.40083 moveto 0.37417 0.39252 lineto 0.40074 0.4206 lineto gsave
0.77 0.76 0.843 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41258 0.41332 moveto 0.40074 0.4206 lineto 0.37417 0.39252 lineto gsave
0.702 0.747 0.886 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72094 0.62615 moveto 0.71155 0.62497 lineto 0.76367 0.59672 lineto gsave
0.623 0.905 0.985 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71155 0.62497 moveto 0.70205 0.62387 lineto 0.74638 0.60491 lineto gsave
0.539 0.885 0.984 setrgbcolor
fill grestore
stroke
grestore
gsave
0.71155 0.62497 moveto 0.74638 0.60491 lineto 0.74867 0.60445 lineto 0.539 0.885 0.984 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.76367 0.59672 moveto 0.77498 0.59058 lineto gsave
0.76737 0.5956 lineto 0.623 0.905 0.985 setrgbcolor
fill grestore
stroke
grestore
gsave
0.72094 0.62615 moveto 0.76367 0.59672 lineto 0.76737 0.5956 lineto 0.623 0.905 0.985 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.76247 0.59803 moveto 0.77498 0.59058 lineto 0.71155 0.62497 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.71155 0.62497 moveto 0.75277 0.60218 lineto 0.75663 0.60112 lineto 0.539 0.885 0.984 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.74638 0.60491 moveto 0.75277 0.60218 lineto gsave
0.74867 0.60445 lineto 0.539 0.885 0.984 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75277 0.60218 moveto 0.76247 0.59803 lineto gsave
0.75663 0.60112 lineto 0.539 0.885 0.984 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74978 0.60539 moveto 0.76247 0.59803 lineto 0.70205 0.62387 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70205 0.62387 moveto 0.69244 0.62267 lineto 0.72971 0.61144 lineto gsave
0.427 0.84 0.968 setrgbcolor
fill grestore
stroke
grestore
gsave
0.70205 0.62387 moveto 0.72971 0.61144 lineto 0.73226 0.61119 lineto 0.427 0.84 0.968 setrgbcolor
fill
grestore
gsave
0.70205 0.62387 moveto 0.73668 0.60934 lineto 0.73916 0.60894 lineto 0.427 0.84 0.968 setrgbcolor
fill
grestore
gsave
0.74649 0.60667 moveto 0.74171 0.60852 lineto 0.74254 0.60757 lineto 0.427 0.84 0.968 setrgbcolor
fill
grestore
gsave
0.70205 0.62387 moveto 0.73916 0.60894 lineto 0.74171 0.60852 lineto 0.427 0.84 0.968 setrgbcolor
fill
grestore
gsave
0.74254 0.60757 moveto 0.74171 0.60852 lineto 0.73916 0.60894 lineto 0.427 0.84 0.968 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.72971 0.61144 moveto 0.73668 0.60934 lineto gsave
0.73226 0.61119 lineto 0.427 0.84 0.968 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73668 0.60934 moveto 0.74254 0.60757 lineto gsave
0.73916 0.60894 lineto 0.427 0.84 0.968 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74254 0.60757 moveto 0.74978 0.60539 lineto gsave
0.74649 0.60667 lineto 0.427 0.84 0.968 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73689 0.61227 moveto 0.74978 0.60539 lineto 0.69244 0.62267 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69244 0.62267 moveto 0.68271 0.62121 lineto 0.73689 0.61227 lineto gsave
0.289 0.765 0.931 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69729 0.6188 moveto 0.68456 0.6209 lineto gsave
0.72378 0.61826 lineto 0.076 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72378 0.61826 moveto 0.73689 0.61227 lineto 0.69729 0.6188 lineto gsave
0.076 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68456 0.6209 moveto 0.68427 0.62095 lineto gsave
0.68439 0.62094 lineto 0.076 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.72378 0.61826 moveto 0.68456 0.6209 lineto 0.68439 0.62094 lineto 0.076 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.68427 0.62095 moveto 0.68303 0.62116 lineto gsave
0.6837 0.62111 lineto 0.076 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.72378 0.61826 moveto 0.68427 0.62095 lineto 0.6837 0.62111 lineto 0.076 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.68303 0.62116 moveto 0.68271 0.62121 lineto gsave
0.6829 0.6212 lineto 0.076 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.72378 0.61826 moveto 0.68303 0.62116 lineto 0.6829 0.6212 lineto 0.076 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.68271 0.62121 moveto 0.67284 0.61931 lineto 0.70539 0.61864 lineto gsave
0.133 0.662 0.872 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66284 0.6168 moveto 0.67284 0.61931 lineto 0.66675 0.61824 lineto gsave
0 0.518 0.776 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66675 0.61824 moveto 0.63532 0.61272 lineto gsave
0.66284 0.6168 lineto 0 0.518 0.776 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66284 0.6168 moveto 0.6527 0.61352 lineto 0.6582 0.61508 lineto gsave
0 0.41 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.68271 0.62121 moveto 0.70539 0.61864 lineto 0.71194 0.61911 lineto 0.133 0.662 0.872 setrgbcolor
fill
grestore
gsave
0.67459 0.61948 moveto 0.67466 0.61948 lineto 0.67572 0.61925 lineto 0.178 0 0 setrgbcolor
fill
grestore
gsave
0.71043 0.62297 moveto 0.67596 0.61927 lineto 0.67466 0.61948 lineto 0.178 0 0 setrgbcolor
fill
grestore
gsave
0.67572 0.61925 moveto 0.67466 0.61948 lineto 0.67596 0.61927 lineto 0.178 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.68092 0.61914 moveto 0.67616 0.61924 lineto gsave
0.71043 0.62297 lineto 0.178 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70539 0.61864 moveto 0.72378 0.61826 lineto gsave
0.71194 0.61911 lineto 0.133 0.662 0.872 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71043 0.62297 moveto 0.72378 0.61826 lineto 0.68092 0.61914 lineto gsave
0.178 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67616 0.61924 moveto 0.67572 0.61925 lineto gsave
0.67596 0.61927 lineto 0.178 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.71043 0.62297 moveto 0.67616 0.61924 lineto 0.67596 0.61927 lineto 0.178 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.67572 0.61925 moveto 0.67284 0.61931 lineto gsave
0.67459 0.61948 lineto 0.178 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67284 0.61931 moveto 0.66284 0.6168 lineto 0.71043 0.62297 lineto gsave
0 0.539 0.795 setrgbcolor
fill grestore
stroke
grestore
gsave
0.66599 0.61765 moveto 0.66757 0.6175 lineto 0.66284 0.6168 lineto 0.274 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.66796 0.61746 moveto 0.66284 0.6168 lineto gsave
0.66757 0.6175 lineto 0.274 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.69683 0.62604 moveto 0.66796 0.61746 lineto 0.66599 0.61765 lineto 0.274 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.6582 0.61508 moveto 0.69683 0.62604 lineto gsave
0.66284 0.6168 lineto 0 0.41 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63532 0.61272 moveto 0.60952 0.6082 lineto gsave
0.66284 0.6168 lineto 0 0.518 0.776 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60952 0.6082 moveto 0.60367 0.59905 lineto 0.66284 0.6168 lineto gsave
0.312 0.533 0.906 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60367 0.59905 moveto 0.59776 0.59006 lineto 0.6527 0.61352 lineto gsave
0.203 0.471 0.887 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6527 0.61352 moveto 0.64242 0.60936 lineto 0.64822 0.6119 lineto gsave
0.3 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65645 0.61488 moveto 0.62277 0.60478 lineto gsave
0.6527 0.61352 lineto 0 0.401 0.701 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62277 0.60478 moveto 0.60367 0.59905 lineto gsave
0.6527 0.61352 lineto 0 0.401 0.701 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64822 0.6119 moveto 0.683 0.62716 lineto gsave
0.6527 0.61352 lineto 0.3 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6527 0.61352 moveto 0.66284 0.6168 lineto 0.65645 0.61488 lineto gsave
0 0.401 0.701 setrgbcolor
fill grestore
stroke
grestore
gsave
0.65619 0.6151 moveto 0.6587 0.61528 lineto 0.6527 0.61352 lineto 0.361 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.65894 0.61529 moveto 0.6527 0.61352 lineto gsave
0.6587 0.61528 lineto 0.361 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.683 0.62716 moveto 0.69683 0.62604 lineto 0.65894 0.61529 lineto gsave
0.361 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.683 0.62716 moveto 0.65894 0.61529 lineto 0.65619 0.6151 lineto 0.361 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.69683 0.62604 moveto 0.71043 0.62297 lineto 0.66796 0.61746 lineto gsave
0.274 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77498 0.59058 moveto 0.78735 0.58344 lineto 0.72094 0.62615 lineto gsave
0.436 0.846 0.668 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28185 0.4874 moveto 0.29786 0.46549 lineto 0.33962 0.50593 lineto gsave
0.87 0.756 0.734 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33962 0.50593 moveto 0.32692 0.53009 lineto 0.28185 0.4874 lineto gsave
0.87 0.756 0.734 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41258 0.41332 moveto 0.42436 0.4098 lineto 0.45482 0.44099 lineto gsave
0.58 0.61 0.847 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46286 0.43861 moveto 0.45482 0.44099 lineto 0.42436 0.4098 lineto gsave
0.389 0.546 0.89 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45482 0.44099 moveto 0.46286 0.43861 lineto 0.49559 0.47323 lineto gsave
0.375 0.471 0.83 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49559 0.47323 moveto 0.49198 0.47792 lineto 0.45482 0.44099 lineto gsave
0.265 0.445 0.852 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37417 0.39252 moveto 0.38881 0.38791 lineto 0.41258 0.41332 lineto gsave
0.702 0.747 0.886 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42436 0.4098 moveto 0.41258 0.41332 lineto 0.38881 0.38791 lineto gsave
0.588 0.711 0.928 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26561 0.5105 moveto 0.28185 0.4874 lineto 0.32692 0.53009 lineto gsave
0.873 0.755 0.728 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32692 0.53009 moveto 0.31409 0.55535 lineto 0.26561 0.5105 lineto gsave
0.873 0.755 0.728 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53522 0.53511 moveto 0.53399 0.52554 lineto 0.57974 0.56436 lineto gsave
0.218 0.374 0.807 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57974 0.56436 moveto 0.58581 0.57269 lineto 0.53522 0.53511 lineto gsave
0 0.322 0.807 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49198 0.47792 moveto 0.49559 0.47323 lineto 0.53149 0.51096 lineto gsave
0.211 0.366 0.802 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53149 0.51096 moveto 0.53275 0.51749 lineto 0.49198 0.47792 lineto gsave
0.025 0.311 0.8 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38881 0.38791 moveto 0.40332 0.3871 lineto 0.42436 0.4098 lineto gsave
0.588 0.711 0.928 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43613 0.41004 moveto 0.42436 0.4098 lineto 0.40332 0.3871 lineto gsave
0.403 0.629 0.946 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42436 0.4098 moveto 0.43613 0.41004 lineto 0.46286 0.43861 lineto gsave
0.449 0.559 0.875 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.2492 0.53412 moveto 0.26561 0.5105 lineto 0.31409 0.55535 lineto gsave
0.874 0.754 0.727 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31409 0.55535 moveto 0.30116 0.58107 lineto 0.2492 0.53412 lineto gsave
0.874 0.754 0.727 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47096 0.43951 moveto 0.46286 0.43861 lineto 0.43613 0.41004 lineto gsave
0.169 0.433 0.867 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46286 0.43861 moveto 0.47096 0.43951 lineto 0.49922 0.47107 lineto gsave
0.196 0.386 0.825 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49922 0.47107 moveto 0.49559 0.47323 lineto 0.46286 0.43861 lineto gsave
0.06 0.336 0.815 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53399 0.52554 moveto 0.53275 0.51749 lineto 0.57363 0.55628 lineto gsave
0.084 0.305 0.786 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57363 0.55628 moveto 0.57974 0.56436 lineto 0.53399 0.52554 lineto gsave
0 0.222 0.734 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.23266 0.55759 moveto 0.2492 0.53412 lineto 0.30116 0.58107 lineto gsave
0.873 0.755 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30116 0.58107 moveto 0.28818 0.60657 lineto 0.23266 0.55759 lineto gsave
0.873 0.755 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49559 0.47323 moveto 0.49922 0.47107 lineto 0.53023 0.50591 lineto gsave
0.03 0.273 0.77 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53023 0.50591 moveto 0.53149 0.51096 lineto 0.49559 0.47323 lineto gsave
0 0.198 0.725 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40332 0.3871 moveto 0.41778 0.39011 lineto 0.43613 0.41004 lineto gsave
0.403 0.629 0.946 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44793 0.41399 moveto 0.43613 0.41004 lineto 0.41778 0.39011 lineto gsave
0.14 0.479 0.898 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43613 0.41004 moveto 0.44793 0.41399 lineto 0.47096 0.43951 lineto gsave
0.248 0.463 0.872 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64242 0.60936 moveto 0.6527 0.61352 lineto 0.64614 0.61072 lineto gsave
0.295 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64614 0.61072 moveto 0.59776 0.59006 lineto gsave
0.64242 0.60936 lineto 0.295 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59776 0.59006 moveto 0.59181 0.58126 lineto 0.64242 0.60936 lineto gsave
0.079 0.395 0.852 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64242 0.60936 moveto 0.63201 0.6042 lineto 0.63795 0.60772 lineto gsave
0.404 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63795 0.60772 moveto 0.66894 0.62609 lineto gsave
0.64242 0.60936 lineto 0.404 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32903 0.38681 moveto 0.34561 0.37899 lineto 0.35937 0.40083 lineto gsave
0.809 0.91 0.909 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35937 0.40083 moveto 0.34436 0.41262 lineto 0.32903 0.38681 lineto gsave
0.847 0.905 0.876 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37417 0.39252 moveto 0.35937 0.40083 lineto 0.34561 0.37899 lineto gsave
0.782 0.902 0.926 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53275 0.51749 moveto 0.53149 0.51096 lineto 0.56745 0.54846 lineto gsave
0 0.217 0.74 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56745 0.54846 moveto 0.57363 0.55628 lineto 0.53275 0.51749 lineto gsave
0 0.125 0.649 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47913 0.44354 moveto 0.47096 0.43951 lineto 0.44793 0.41399 lineto gsave
0 0.271 0.775 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47096 0.43951 moveto 0.47913 0.44354 lineto 0.50289 0.4713 lineto gsave
0 0.259 0.768 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50289 0.4713 moveto 0.49922 0.47107 lineto 0.47096 0.43951 lineto gsave
0 0.196 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34561 0.37899 moveto 0.36192 0.37435 lineto 0.37417 0.39252 lineto gsave
0.725 0.898 0.957 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38881 0.38791 moveto 0.37417 0.39252 lineto 0.36192 0.37435 lineto gsave
0.668 0.873 0.976 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31216 0.39754 moveto 0.32903 0.38681 lineto 0.34436 0.41262 lineto gsave
0.858 0.907 0.866 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34436 0.41262 moveto 0.32912 0.42759 lineto 0.31216 0.39754 lineto gsave
0.884 0.899 0.835 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36192 0.37435 moveto 0.37803 0.37308 lineto 0.38881 0.38791 lineto gsave
0.582 0.849 0.995 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40332 0.3871 moveto 0.38881 0.38791 lineto 0.37803 0.37308 lineto gsave
0.479 0.79 0.999 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63201 0.6042 moveto 0.64242 0.60936 lineto 0.6358 0.60568 lineto gsave
0.388 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6358 0.60568 moveto 0.59181 0.58126 lineto gsave
0.63201 0.6042 lineto 0.388 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59181 0.58126 moveto 0.58581 0.57269 lineto 0.63201 0.6042 lineto gsave
0 0.307 0.799 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63201 0.6042 moveto 0.62146 0.59797 lineto 0.62745 0.60242 lineto gsave
0.485 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62745 0.60242 moveto 0.65468 0.62264 lineto gsave
0.63201 0.6042 lineto 0.485 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29497 0.41084 moveto 0.31216 0.39754 lineto 0.32912 0.42759 lineto gsave
0.887 0.899 0.832 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32912 0.42759 moveto 0.31362 0.44538 lineto 0.29497 0.41084 lineto gsave
0.906 0.889 0.803 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41778 0.39011 moveto 0.43224 0.39685 lineto 0.44793 0.41399 lineto gsave
0.14 0.479 0.898 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45982 0.42146 moveto 0.44793 0.41399 lineto 0.43224 0.39685 lineto gsave
0 0.281 0.77 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44793 0.41399 moveto 0.45982 0.42146 lineto 0.47913 0.44354 lineto gsave
0 0.312 0.803 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49922 0.47107 moveto 0.50289 0.4713 lineto 0.52895 0.50226 lineto gsave
0 0.154 0.696 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52895 0.50226 moveto 0.53023 0.50591 lineto 0.49922 0.47107 lineto gsave
0 0.08 0.624 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37803 0.37308 moveto 0.39396 0.37526 lineto 0.40332 0.3871 lineto gsave
0.362 0.736 0.988 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41778 0.39011 moveto 0.40332 0.3871 lineto 0.39396 0.37526 lineto gsave
0.211 0.627 0.952 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27747 0.42627 moveto 0.29497 0.41084 lineto 0.31362 0.44538 lineto gsave
0.903 0.889 0.807 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31362 0.44538 moveto 0.29786 0.46549 lineto 0.27747 0.42627 lineto gsave
0.918 0.88 0.781 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53149 0.51096 moveto 0.53023 0.50591 lineto 0.5612 0.54089 lineto gsave
0 0.119 0.668 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5612 0.54089 moveto 0.56745 0.54846 lineto 0.53149 0.51096 lineto gsave
0 0.036 0.563 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62146 0.59797 moveto 0.63201 0.6042 lineto 0.58581 0.57269 lineto gsave
0.462 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58581 0.57269 moveto 0.57974 0.56436 lineto 0.62146 0.59797 lineto gsave
0 0.214 0.73 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39396 0.37526 moveto 0.40978 0.3809 lineto 0.41778 0.39011 lineto gsave
0.083 0.547 0.904 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43224 0.39685 moveto 0.41778 0.39011 lineto 0.40978 0.3809 lineto gsave
0 0.406 0.823 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48742 0.45044 moveto 0.47913 0.44354 lineto 0.45982 0.42146 lineto gsave
0 0.098 0.631 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47913 0.44354 moveto 0.48742 0.45044 lineto 0.50661 0.47372 lineto gsave
0 0.107 0.653 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50661 0.47372 moveto 0.50289 0.4713 lineto 0.47913 0.44354 lineto gsave
0 0.052 0.595 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25965 0.44336 moveto 0.27747 0.42627 lineto 0.29786 0.46549 lineto gsave
0.912 0.879 0.789 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29786 0.46549 moveto 0.28185 0.4874 lineto 0.25965 0.44336 lineto gsave
0.925 0.871 0.766 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43224 0.39685 moveto 0.44676 0.40715 lineto 0.45982 0.42146 lineto gsave
0 0.281 0.77 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47185 0.43219 moveto 0.45982 0.42146 lineto 0.44676 0.40715 lineto gsave
0 0.092 0.607 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45982 0.42146 moveto 0.47185 0.43219 lineto 0.48742 0.45044 lineto gsave
0 0.134 0.667 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78735 0.58344 moveto 0.77498 0.59058 lineto 0.81546 0.54414 lineto gsave
0.713 0.985 0.817 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81546 0.54414 moveto 0.8298 0.529 lineto 0.78735 0.58344 lineto gsave
0.651 0.907 0.588 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50289 0.4713 moveto 0.50661 0.47372 lineto 0.52765 0.49986 lineto gsave
0 0.031 0.586 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50661 0.47372 moveto 0.5104 0.47805 lineto 0.51512 0.48413 lineto gsave
0 0 0.47 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52765 0.49986 moveto 0.52895 0.50226 lineto 0.52136 0.49324 lineto gsave
0 0 0.515 setrgbcolor
fill grestore
stroke
grestore
gsave
0.52765 0.49986 moveto 0.52136 0.49324 lineto 0.5193 0.49023 lineto 0 0 0.515 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.52633 0.49855 moveto 0.52765 0.49986 lineto 0.5256 0.49732 lineto gsave
0.574 0.104 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5256 0.49732 moveto 0.50661 0.47372 lineto gsave
0.52115 0.49204 lineto 0.574 0.104 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.52633 0.49855 moveto 0.5256 0.49732 lineto 0.52115 0.49204 lineto 0.574 0.104 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.52136 0.49324 moveto 0.50289 0.4713 lineto gsave
0.5193 0.49023 lineto 0 0 0.515 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51426 0.48395 moveto 0.52499 0.4981 lineto gsave
0.51687 0.48695 lineto 0.615 0.149 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.50661 0.47372 moveto 0.51512 0.48413 lineto 0.51665 0.48637 lineto 0 0 0.47 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.5104 0.47805 moveto 0.51396 0.48349 lineto gsave
0.51687 0.48695 lineto 0.615 0.149 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51396 0.48349 moveto 0.51426 0.48395 lineto gsave
0.51687 0.48695 lineto 0.615 0.149 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51512 0.48413 moveto 0.52633 0.49855 lineto gsave
0.51665 0.48637 lineto 0 0 0.47 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61079 0.59062 moveto 0.62146 0.59797 lineto 0.57974 0.56436 lineto gsave
0.52 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57974 0.56436 moveto 0.57363 0.55628 lineto 0.61079 0.59062 lineto gsave
0 0.121 0.651 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40978 0.3809 moveto 0.42556 0.38992 lineto 0.43224 0.39685 lineto gsave
0 0.327 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44676 0.40715 moveto 0.43224 0.39685 lineto 0.42556 0.38992 lineto gsave
0 0.193 0.66 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53023 0.50591 moveto 0.52895 0.50226 lineto 0.55489 0.53354 lineto gsave
0 0.021 0.576 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54851 0.52639 moveto 0.55489 0.53354 lineto 0.52895 0.50226 lineto gsave
0.579 0.099 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52895 0.50226 moveto 0.52765 0.49986 lineto 0.54851 0.52639 lineto gsave
0 0 0.482 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52765 0.49986 moveto 0.52633 0.49855 lineto 0.53804 0.51406 lineto gsave
0.591 0.13 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54818 0.52618 moveto 0.53023 0.50591 lineto gsave
0.54604 0.52362 lineto 0 0 0.484 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53804 0.51406 moveto 0.54206 0.51938 lineto gsave
0.53881 0.51498 lineto 0.591 0.13 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.52765 0.49986 moveto 0.53804 0.51406 lineto 0.53881 0.51498 lineto 0.591 0.13 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.55489 0.53354 moveto 0.5612 0.54089 lineto 0.54818 0.52618 lineto gsave
0 0 0.484 setrgbcolor
fill grestore
stroke
grestore
gsave
0.55489 0.53354 moveto 0.54818 0.52618 lineto 0.54604 0.52362 lineto 0 0 0.484 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.24154 0.46154 moveto 0.25965 0.44336 lineto 0.28185 0.4874 lineto gsave
0.916 0.87 0.779 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28185 0.4874 moveto 0.26561 0.5105 lineto 0.24154 0.46154 lineto gsave
0.927 0.863 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60001 0.58217 moveto 0.61079 0.59062 lineto 0.57363 0.55628 lineto gsave
0.565 0.024 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57363 0.55628 moveto 0.56745 0.54846 lineto 0.60001 0.58217 lineto gsave
0 0.037 0.569 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77498 0.59058 moveto 0.76247 0.59803 lineto 0.78986 0.57083 lineto gsave
0.632 0.954 0.772 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78986 0.57083 moveto 0.79559 0.56513 lineto gsave
0.79298 0.56836 lineto 0.632 0.954 0.772 setrgbcolor
fill grestore
stroke
grestore
gsave
0.77498 0.59058 moveto 0.78986 0.57083 lineto 0.79298 0.56836 lineto 0.632 0.954 0.772 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.76247 0.59803 moveto 0.74978 0.60539 lineto 0.77797 0.58221 lineto gsave
0.531 0.904 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79559 0.56513 moveto 0.80096 0.5598 lineto gsave
0.79897 0.56216 lineto 0.632 0.954 0.772 setrgbcolor
fill grestore
stroke
grestore
gsave
0.77498 0.59058 moveto 0.79559 0.56513 lineto 0.79897 0.56216 lineto 0.632 0.954 0.772 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.78624 0.5754 moveto 0.80096 0.5598 lineto 0.76247 0.59803 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77797 0.58221 moveto 0.78624 0.5754 lineto gsave
0.78302 0.57847 lineto 0.531 0.904 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.76247 0.59803 moveto 0.77797 0.58221 lineto 0.78302 0.57847 lineto 0.531 0.904 0.724 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.77127 0.59034 moveto 0.78624 0.5754 lineto 0.77797 0.58221 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77797 0.58221 moveto 0.75087 0.6045 lineto gsave
0.77127 0.59034 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75087 0.6045 moveto 0.74978 0.60539 lineto gsave
0.75013 0.60515 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.77127 0.59034 moveto 0.75087 0.6045 lineto 0.75013 0.60515 lineto 0 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.74978 0.60539 moveto 0.73689 0.61227 lineto 0.77127 0.59034 lineto gsave
0.413 0.837 0.678 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75601 0.60402 moveto 0.77127 0.59034 lineto 0.74015 0.61019 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74015 0.61019 moveto 0.73964 0.61052 lineto gsave
0.73979 0.61046 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.75601 0.60402 moveto 0.74015 0.61019 lineto 0.73979 0.61046 lineto 0 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.73964 0.61052 moveto 0.73689 0.61227 lineto gsave
0.73806 0.61177 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.75601 0.60402 moveto 0.73964 0.61052 lineto 0.73806 0.61177 lineto 0 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.80096 0.5598 moveto 0.81546 0.54414 lineto 0.77498 0.59058 lineto gsave
0.561 0.845 0.512 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49584 0.45989 moveto 0.48742 0.45044 lineto 0.47185 0.43219 lineto gsave
0 0 0.486 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48742 0.45044 moveto 0.49584 0.45989 lineto 0.5104 0.47805 lineto gsave
0 0 0.515 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50661 0.47372 moveto 0.48742 0.45044 lineto gsave
0.50656 0.47344 lineto 0 0 0.468 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50444 0.47143 moveto 0.51426 0.48395 lineto gsave
0.50059 0.46609 lineto 0.595 0.128 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49584 0.45989 moveto 0.49902 0.46416 lineto gsave
0.50059 0.46609 lineto 0.595 0.128 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49902 0.46416 moveto 0.50444 0.47143 lineto gsave
0.50059 0.46609 lineto 0.595 0.128 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5104 0.47805 moveto 0.50908 0.47655 lineto gsave
0.50656 0.47344 lineto 0 0 0.468 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50908 0.47655 moveto 0.50661 0.47372 lineto gsave
0.50656 0.47344 lineto 0 0 0.468 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22319 0.48023 moveto 0.24154 0.46154 lineto 0.26561 0.5105 lineto gsave
0.915 0.863 0.774 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26561 0.5105 moveto 0.2492 0.53412 lineto 0.22319 0.48023 lineto gsave
0.925 0.856 0.754 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42556 0.38992 moveto 0.44134 0.40214 lineto 0.44676 0.40715 lineto gsave
0 0.135 0.602 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44676 0.40715 moveto 0.4614 0.42073 lineto 0.47185 0.43219 lineto gsave
0 0.092 0.607 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4614 0.42073 moveto 0.44676 0.40715 lineto 0.44134 0.40214 lineto gsave
0.481 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47185 0.43219 moveto 0.48406 0.4458 lineto 0.49584 0.45989 lineto gsave
0 0 0.515 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48406 0.4458 moveto 0.47185 0.43219 lineto 0.4614 0.42073 lineto gsave
0.533 0.048 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36618 0.36852 moveto 0.3821 0.37093 lineto 0.37803 0.37308 lineto gsave
0.015 0.577 0.801 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37803 0.37308 moveto 0.36192 0.37435 lineto 0.36618 0.36852 lineto gsave
0.258 0.762 0.877 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39396 0.37526 moveto 0.37803 0.37308 lineto 0.3821 0.37093 lineto gsave
0.012 0.575 0.802 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35002 0.36877 moveto 0.36618 0.36852 lineto 0.36192 0.37435 lineto gsave
0.243 0.75 0.881 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36192 0.37435 moveto 0.34561 0.37899 lineto 0.35002 0.36877 lineto gsave
0.475 0.893 0.901 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58913 0.57263 moveto 0.60001 0.58217 lineto 0.56745 0.54846 lineto gsave
0.6 0.073 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56745 0.54846 moveto 0.5612 0.54089 lineto 0.58913 0.57263 lineto gsave
0 0 0.493 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3821 0.37093 moveto 0.39784 0.37605 lineto 0.39396 0.37526 lineto gsave
0 0.388 0.692 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40978 0.3809 moveto 0.39396 0.37526 lineto 0.39784 0.37605 lineto gsave
0 0.369 0.691 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.20465 0.4988 moveto 0.22319 0.48023 lineto 0.2492 0.53412 lineto gsave
0.912 0.855 0.773 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.2492 0.53412 moveto 0.23266 0.55759 lineto 0.20465 0.4988 lineto gsave
0.921 0.85 0.756 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33359 0.37152 moveto 0.35002 0.36877 lineto 0.34561 0.37899 lineto gsave
0.446 0.874 0.919 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34561 0.37899 moveto 0.32903 0.38681 lineto 0.33359 0.37152 lineto gsave
0.635 0.964 0.888 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39784 0.37605 moveto 0.41344 0.38388 lineto 0.40978 0.3809 lineto gsave
0.367 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42556 0.38992 moveto 0.40978 0.3809 lineto 0.41344 0.38388 lineto gsave
0.386 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44134 0.40214 moveto 0.45719 0.41729 lineto 0.4614 0.42073 lineto gsave
0.523 0.007 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47622 0.4372 moveto 0.4614 0.42073 lineto 0.45719 0.41729 lineto gsave
0.582 0.081 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4614 0.42073 moveto 0.47622 0.4372 lineto 0.48406 0.4458 lineto gsave
0.533 0.048 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31688 0.37656 moveto 0.33359 0.37152 lineto 0.32903 0.38681 lineto gsave
0.602 0.947 0.922 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32903 0.38681 moveto 0.31216 0.39754 lineto 0.31688 0.37656 lineto gsave
0.742 0.992 0.861 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66894 0.62609 moveto 0.683 0.62716 lineto 0.64242 0.60936 lineto gsave
0.44 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41344 0.38388 moveto 0.42894 0.39435 lineto 0.42556 0.38992 lineto gsave
0.489 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44134 0.40214 moveto 0.42556 0.38992 lineto 0.42894 0.39435 lineto gsave
0.505 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5612 0.54089 moveto 0.55489 0.53354 lineto 0.57816 0.56209 lineto gsave
0.569 0.095 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57816 0.56209 moveto 0.58913 0.57263 lineto 0.5612 0.54089 lineto gsave
0.627 0.113 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54206 0.51938 moveto 0.54851 0.52639 lineto 0.52765 0.49986 lineto gsave
0.627 0.145 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50444 0.47143 moveto 0.49584 0.45989 lineto 0.48406 0.4458 lineto gsave
0.613 0.135 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51426 0.48395 moveto 0.5104 0.47805 lineto 0.49584 0.45989 lineto gsave
0.619 0.144 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49651 0.46182 moveto 0.48406 0.4458 lineto 0.47622 0.4372 lineto gsave
0.623 0.138 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48406 0.4458 moveto 0.49651 0.46182 lineto 0.50444 0.47143 lineto gsave
0.598 0.123 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29985 0.38361 moveto 0.31688 0.37656 lineto 0.31216 0.39754 lineto gsave
0.711 0.98 0.907 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31216 0.39754 moveto 0.29497 0.41084 lineto 0.29985 0.38361 lineto gsave
0.812 0.999 0.835 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52499 0.4981 moveto 0.52633 0.49855 lineto 0.5104 0.47805 lineto gsave
0.638 0.161 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42894 0.39435 moveto 0.44439 0.40729 lineto 0.44134 0.40214 lineto gsave
0.572 0.029 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45719 0.41729 moveto 0.44134 0.40214 lineto 0.44439 0.40729 lineto gsave
0.582 0.054 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65468 0.62264 moveto 0.66894 0.62609 lineto 0.63201 0.6042 lineto gsave
0.508 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55489 0.53354 moveto 0.54851 0.52639 lineto 0.5671 0.55063 lineto gsave
0.619 0.141 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5671 0.55063 moveto 0.57816 0.56209 lineto 0.55489 0.53354 lineto gsave
0.648 0.146 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45719 0.41729 moveto 0.47316 0.43501 lineto 0.47622 0.4372 lineto gsave
0.606 0.102 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49127 0.45609 moveto 0.47622 0.4372 lineto 0.47316 0.43501 lineto gsave
0.643 0.152 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47622 0.4372 moveto 0.49127 0.45609 lineto 0.49651 0.46182 lineto gsave
0.623 0.138 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28251 0.39234 moveto 0.29985 0.38361 lineto 0.29497 0.41084 lineto gsave
0.783 0.99 0.889 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29497 0.41084 moveto 0.27747 0.42627 lineto 0.28251 0.39234 lineto gsave
0.857 0.996 0.814 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62146 0.59797 moveto 0.61079 0.59062 lineto 0.64024 0.61674 lineto gsave
0.547 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64024 0.61674 moveto 0.65468 0.62264 lineto 0.62146 0.59797 lineto gsave
0.563 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73689 0.61227 moveto 0.72378 0.61826 lineto 0.75601 0.60402 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52633 0.49855 moveto 0.52499 0.4981 lineto 0.53553 0.51248 lineto gsave
0.647 0.176 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53553 0.51248 moveto 0.54206 0.51938 lineto 0.52633 0.49855 lineto gsave
0.66 0.179 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44439 0.40729 moveto 0.45983 0.42248 lineto 0.45719 0.41729 lineto gsave
0.626 0.104 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47316 0.43501 moveto 0.45719 0.41729 lineto 0.45983 0.42248 lineto gsave
0.632 0.124 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51323 0.48458 moveto 0.50444 0.47143 lineto 0.49651 0.46182 lineto gsave
0.669 0.189 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50444 0.47143 moveto 0.51323 0.48458 lineto 0.5182 0.49099 lineto gsave
0.662 0.186 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5182 0.49099 moveto 0.51426 0.48395 lineto 0.50444 0.47143 lineto gsave
0.671 0.192 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54851 0.52639 moveto 0.54206 0.51938 lineto 0.55597 0.53841 lineto gsave
0.654 0.175 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55597 0.53841 moveto 0.5671 0.55063 lineto 0.54851 0.52639 lineto gsave
0.664 0.171 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26485 0.40234 moveto 0.28251 0.39234 lineto 0.27747 0.42627 lineto gsave
0.829 0.987 0.872 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27747 0.42627 moveto 0.25965 0.44336 lineto 0.26485 0.40234 lineto gsave
0.886 0.988 0.801 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50922 0.47968 moveto 0.49651 0.46182 lineto 0.49127 0.45609 lineto gsave
0.672 0.19 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49651 0.46182 moveto 0.50922 0.47968 lineto 0.51323 0.48458 lineto gsave
0.663 0.185 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61079 0.59062 moveto 0.60001 0.58217 lineto 0.62565 0.60838 lineto gsave
0.594 0.054 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62565 0.60838 moveto 0.64024 0.61674 lineto 0.61079 0.59062 lineto gsave
0.605 0.036 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51426 0.48395 moveto 0.5182 0.49099 lineto 0.52362 0.49826 lineto gsave
0.669 0.194 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52362 0.49826 moveto 0.52499 0.4981 lineto 0.51426 0.48395 lineto gsave
0.676 0.196 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72378 0.61826 moveto 0.71043 0.62297 lineto 0.74043 0.61585 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74043 0.61585 moveto 0.75601 0.60402 lineto 0.72378 0.61826 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45983 0.42248 moveto 0.4753 0.43962 lineto 0.47316 0.43501 lineto gsave
0.661 0.156 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4893 0.45486 moveto 0.47316 0.43501 lineto 0.4753 0.43962 lineto gsave
0.664 0.17 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47316 0.43501 moveto 0.4893 0.45486 lineto 0.49127 0.45609 lineto gsave
0.656 0.164 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5066 0.47682 moveto 0.49127 0.45609 lineto 0.4893 0.45486 lineto gsave
0.677 0.194 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49127 0.45609 moveto 0.5066 0.47682 lineto 0.50922 0.47968 lineto gsave
0.672 0.19 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60001 0.58217 moveto 0.58913 0.57263 lineto 0.61095 0.59766 lineto gsave
0.629 0.104 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61095 0.59766 moveto 0.62565 0.60838 lineto 0.60001 0.58217 lineto gsave
0.634 0.081 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.8298 0.529 moveto 0.81546 0.54414 lineto 0.82634 0.48924 lineto gsave
0.908 0.983 0.758 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.82634 0.48924 moveto 0.84143 0.46716 lineto 0.8298 0.529 lineto gsave
0.924 0.971 0.692 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52499 0.4981 moveto 0.52362 0.49826 lineto 0.52892 0.50561 lineto gsave
0.68 0.204 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52892 0.50561 moveto 0.53553 0.51248 lineto 0.52499 0.4981 lineto gsave
0.682 0.201 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54206 0.51938 moveto 0.53553 0.51248 lineto 0.54478 0.52556 lineto gsave
0.677 0.199 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54478 0.52556 moveto 0.55597 0.53841 lineto 0.54206 0.51938 lineto gsave
0.677 0.19 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24689 0.41319 moveto 0.26485 0.40234 lineto 0.25965 0.44336 lineto gsave
0.858 0.978 0.86 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25965 0.44336 moveto 0.24154 0.46154 lineto 0.24689 0.41319 lineto gsave
0.904 0.979 0.794 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41555 0.39031 moveto 0.42915 0.39954 lineto 0.41344 0.38388 lineto gsave
0.554 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41344 0.38388 moveto 0.39784 0.37605 lineto 0.41555 0.39031 lineto gsave
0.49 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42894 0.39435 moveto 0.41344 0.38388 lineto 0.42915 0.39954 lineto gsave
0.561 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40181 0.38269 moveto 0.41555 0.39031 lineto 0.39784 0.37605 lineto gsave
0.481 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39784 0.37605 moveto 0.3821 0.37093 lineto 0.40181 0.38269 lineto gsave
0.392 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42915 0.39954 moveto 0.44263 0.41033 lineto 0.42894 0.39435 lineto gsave
0.607 0.065 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44439 0.40729 moveto 0.42894 0.39435 lineto 0.44263 0.41033 lineto gsave
0.609 0.065 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58913 0.57263 moveto 0.57816 0.56209 lineto 0.59618 0.58477 lineto gsave
0.655 0.142 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59618 0.58477 moveto 0.61095 0.59766 lineto 0.58913 0.57263 lineto gsave
0.654 0.119 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71043 0.62297 moveto 0.69683 0.62604 lineto 0.72453 0.62527 lineto gsave
0.007 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72453 0.62527 moveto 0.74043 0.61585 lineto 0.71043 0.62297 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3879 0.3767 moveto 0.40181 0.38269 lineto 0.3821 0.37093 lineto gsave
0.383 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3821 0.37093 moveto 0.36618 0.36852 lineto 0.3879 0.3767 lineto gsave
0.265 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44263 0.41033 moveto 0.45601 0.42257 lineto 0.44439 0.40729 lineto gsave
0.644 0.119 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45983 0.42248 moveto 0.44439 0.40729 lineto 0.45601 0.42257 lineto gsave
0.642 0.119 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4753 0.43962 moveto 0.49085 0.45833 lineto 0.4893 0.45486 lineto gsave
0.682 0.189 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50565 0.4763 moveto 0.4893 0.45486 lineto 0.49085 0.45833 lineto gsave
0.683 0.199 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4893 0.45486 moveto 0.50565 0.4763 lineto 0.5066 0.47682 lineto gsave
0.684 0.2 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45601 0.42257 moveto 0.46932 0.4361 lineto 0.45983 0.42248 lineto gsave
0.669 0.158 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4753 0.43962 moveto 0.45983 0.42248 lineto 0.46932 0.4361 lineto gsave
0.664 0.158 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37379 0.37229 moveto 0.3879 0.3767 lineto 0.36618 0.36852 lineto gsave
0.255 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36618 0.36852 moveto 0.35002 0.36877 lineto 0.36777 0.3714 lineto gsave
0.115 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36777 0.3714 moveto 0.37379 0.37229 lineto gsave
0.37229 0.37155 lineto 0.115 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.36618 0.36852 moveto 0.36777 0.3714 lineto 0.37229 0.37155 lineto 0.115 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.35947 0.36938 moveto 0.37379 0.37229 lineto 0.35002 0.36877 lineto gsave
0 0.485 0.727 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35002 0.36877 moveto 0.33359 0.37152 lineto 0.35947 0.36938 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34492 0.36782 moveto 0.35947 0.36938 lineto 0.34437 0.37063 lineto gsave
0.074 0.629 0.814 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34437 0.37063 moveto 0.33359 0.37152 lineto gsave
0.33706 0.37039 lineto 0.074 0.629 0.814 setrgbcolor
fill grestore
stroke
grestore
gsave
0.34492 0.36782 moveto 0.34437 0.37063 lineto 0.33706 0.37039 lineto 0.074 0.629 0.814 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.57816 0.56209 moveto 0.5671 0.55063 lineto 0.58136 0.56996 lineto gsave
0.673 0.172 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58136 0.56996 moveto 0.59618 0.58477 lineto 0.57816 0.56209 lineto gsave
0.667 0.149 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.51323 0.48458 lineto 0.50922 0.47968 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.5182 0.49099 lineto 0.51323 0.48458 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53553 0.51248 moveto 0.52892 0.50561 lineto 0.53353 0.51227 lineto gsave
0.691 0.212 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53353 0.51227 moveto 0.54478 0.52556 lineto 0.53553 0.51248 lineto gsave
0.686 0.205 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22866 0.4244 moveto 0.24689 0.41319 lineto 0.24154 0.46154 lineto gsave
0.874 0.965 0.852 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24154 0.46154 moveto 0.22319 0.48023 lineto 0.22866 0.4244 lineto gsave
0.914 0.968 0.794 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81546 0.54414 moveto 0.80096 0.5598 lineto 0.81111 0.51196 lineto gsave
0.894 0.988 0.743 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81111 0.51196 moveto 0.82634 0.48924 lineto 0.81546 0.54414 lineto gsave
0.91 0.971 0.671 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.50922 0.47968 lineto 0.5066 0.47682 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.52362 0.49826 lineto 0.5182 0.49099 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69683 0.62604 moveto 0.683 0.62716 lineto 0.70832 0.63183 lineto gsave
0.152 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70832 0.63183 moveto 0.72453 0.62527 lineto 0.69683 0.62604 lineto gsave
0.033 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46932 0.4361 moveto 0.48259 0.45074 lineto 0.4753 0.43962 lineto gsave
0.685 0.186 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49085 0.45833 moveto 0.4753 0.43962 lineto 0.48259 0.45074 lineto gsave
0.678 0.185 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.5066 0.47682 lineto 0.50565 0.4763 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5671 0.55063 moveto 0.55597 0.53841 lineto 0.56654 0.55355 lineto gsave
0.686 0.193 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56654 0.55355 moveto 0.58136 0.56996 lineto 0.5671 0.55063 lineto gsave
0.675 0.173 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.52892 0.50561 lineto 0.52362 0.49826 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49085 0.45833 moveto 0.50648 0.47819 lineto 0.50565 0.4763 lineto gsave
0.693 0.209 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.50565 0.4763 lineto 0.50648 0.47819 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55597 0.53841 moveto 0.54478 0.52556 lineto 0.55173 0.53594 lineto gsave
0.694 0.208 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55173 0.53594 moveto 0.56654 0.55355 lineto 0.55597 0.53841 lineto gsave
0.682 0.191 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48259 0.45074 moveto 0.49582 0.46624 lineto 0.49085 0.45833 lineto gsave
0.694 0.205 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50648 0.47819 moveto 0.49085 0.45833 lineto 0.49582 0.46624 lineto gsave
0.687 0.203 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.53353 0.51227 lineto 0.52892 0.50561 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.21021 0.4355 moveto 0.22866 0.4244 lineto 0.22319 0.48023 lineto gsave
0.881 0.95 0.849 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22319 0.48023 moveto 0.20465 0.4988 lineto 0.21021 0.4355 lineto gsave
0.917 0.955 0.799 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.683 0.62716 moveto 0.66894 0.62609 lineto 0.69182 0.63513 lineto gsave
0.285 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69182 0.63513 moveto 0.70832 0.63183 lineto 0.683 0.62716 lineto gsave
0.159 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33359 0.37152 moveto 0.31688 0.37656 lineto 0.34492 0.36782 lineto gsave
0.212 0.726 0.683 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80096 0.5598 moveto 0.78624 0.5754 lineto 0.79567 0.53463 lineto gsave
0.871 0.991 0.736 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79567 0.53463 moveto 0.81111 0.51196 lineto 0.80096 0.5598 lineto gsave
0.892 0.971 0.66 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54478 0.52556 moveto 0.53353 0.51227 lineto 0.53695 0.51752 lineto gsave
0.697 0.216 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53695 0.51752 moveto 0.55173 0.53594 lineto 0.54478 0.52556 lineto gsave
0.688 0.205 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49582 0.46624 moveto 0.50903 0.48233 lineto 0.50648 0.47819 lineto gsave
0.698 0.215 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.50648 0.47819 lineto 0.50903 0.48233 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.53695 0.51752 lineto 0.53353 0.51227 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66894 0.62609 moveto 0.65468 0.62264 lineto 0.67507 0.63493 lineto gsave
0.399 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67507 0.63493 moveto 0.69182 0.63513 lineto 0.66894 0.62609 lineto gsave
0.285 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33012 0.36745 moveto 0.34492 0.36782 lineto 0.31688 0.37656 lineto gsave
0.249 0.754 0.883 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31688 0.37656 moveto 0.29985 0.38361 lineto 0.33012 0.36745 lineto gsave
0.362 0.82 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.53366 0.51597 lineto 0.53707 0.51996 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.529 0.51009 lineto 0.53366 0.51597 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.5236 0.50298 lineto 0.529 0.51009 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.51807 0.49543 lineto 0.5236 0.50298 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.51303 0.48829 lineto 0.51807 0.49543 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.50903 0.48233 lineto 0.51303 0.48829 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.5388 0.52075 lineto 0.53695 0.51752 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.53885 0.52161 lineto 0.5388 0.52075 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49873 moveto 0.53707 0.51996 lineto 0.53885 0.52161 lineto closepath gsave
0.693 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50376 0.47783 moveto 0.51303 0.48829 lineto 0.50903 0.48233 lineto gsave
0.695 0.215 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50903 0.48233 moveto 0.49582 0.46624 lineto 0.50376 0.47783 lineto gsave
0.687 0.205 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4944 0.4674 moveto 0.50376 0.47783 lineto 0.49582 0.46624 lineto gsave
0.687 0.205 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49582 0.46624 moveto 0.48259 0.45074 lineto 0.4944 0.4674 lineto gsave
0.68 0.191 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78624 0.5754 moveto 0.77127 0.59034 lineto 0.77997 0.5565 lineto gsave
0.839 0.992 0.739 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77997 0.5565 moveto 0.79567 0.53463 lineto 0.78624 0.5754 lineto gsave
0.869 0.973 0.661 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65468 0.62264 moveto 0.64024 0.61674 lineto 0.65812 0.6311 lineto gsave
0.49 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65812 0.6311 moveto 0.67507 0.63493 lineto 0.65468 0.62264 lineto gsave
0.399 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48495 0.45706 moveto 0.4944 0.4674 lineto 0.48259 0.45074 lineto gsave
0.673 0.187 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48259 0.45074 moveto 0.46932 0.4361 lineto 0.48495 0.45706 lineto gsave
0.669 0.171 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55173 0.53594 moveto 0.53695 0.51752 lineto 0.5388 0.52075 lineto gsave
0.697 0.213 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47542 0.44687 moveto 0.48495 0.45706 lineto 0.46932 0.4361 lineto gsave
0.652 0.161 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46932 0.4361 moveto 0.45601 0.42257 lineto 0.47542 0.44687 lineto gsave
0.654 0.144 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64024 0.61674 moveto 0.62565 0.60838 lineto 0.64103 0.62367 lineto gsave
0.559 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64103 0.62367 moveto 0.65812 0.6311 lineto 0.64024 0.61674 lineto gsave
0.491 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56654 0.55355 moveto 0.55173 0.53594 lineto 0.55555 0.5424 lineto gsave
0.692 0.201 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5388 0.52075 moveto 0.55555 0.5424 lineto 0.55173 0.53594 lineto gsave
0.686 0.202 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46579 0.43686 moveto 0.47542 0.44687 lineto 0.45601 0.42257 lineto gsave
0.622 0.125 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45601 0.42257 moveto 0.44263 0.41033 lineto 0.46579 0.43686 lineto gsave
0.633 0.108 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51385 0.49189 moveto 0.51807 0.49543 lineto 0.51303 0.48829 lineto gsave
0.686 0.209 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51303 0.48829 moveto 0.50376 0.47783 lineto 0.51385 0.49189 lineto gsave
0.684 0.203 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31508 0.36804 moveto 0.33012 0.36745 lineto 0.29985 0.38361 lineto gsave
0.406 0.849 0.928 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29985 0.38361 moveto 0.28251 0.39234 lineto 0.31508 0.36804 lineto gsave
0.491 0.892 0.754 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58136 0.56996 moveto 0.56654 0.55355 lineto 0.57247 0.56302 lineto gsave
0.683 0.18 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55555 0.5424 moveto 0.57247 0.56302 lineto 0.56654 0.55355 lineto gsave
0.675 0.181 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62565 0.60838 moveto 0.61095 0.59766 lineto 0.62386 0.61279 lineto gsave
0.609 0.054 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62386 0.61279 moveto 0.64103 0.62367 lineto 0.62565 0.60838 lineto gsave
0.559 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44623 0.41754 moveto 0.45606 0.42708 lineto 0.4546 0.42558 lineto gsave
0.525 0.018 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4546 0.42558 moveto 0.42915 0.39954 lineto gsave
0.44623 0.41754 lineto 0.525 0.018 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42915 0.39954 moveto 0.41555 0.39031 lineto 0.44263 0.41435 lineto gsave
0.563 0.003 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44263 0.41435 moveto 0.44372 0.41532 lineto gsave
0.44324 0.41479 lineto 0.563 0.003 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.42915 0.39954 moveto 0.44263 0.41435 lineto 0.44324 0.41479 lineto 0.563 0.003 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.44372 0.41532 moveto 0.44623 0.41754 lineto gsave
0.44531 0.41658 lineto 0.563 0.003 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.42915 0.39954 moveto 0.44372 0.41532 lineto 0.44531 0.41658 lineto 0.563 0.003 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.43628 0.40826 moveto 0.44623 0.41754 lineto 0.41555 0.39031 lineto gsave
0 0.056 0.546 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41555 0.39031 moveto 0.40181 0.38269 lineto 0.43299 0.40582 lineto gsave
0.507 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43299 0.40582 moveto 0.43628 0.40826 lineto gsave
0.43464 0.40684 lineto 0.507 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.41555 0.39031 moveto 0.43299 0.40582 lineto 0.43464 0.40684 lineto 0.507 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.4161 0.39329 moveto 0.41344 0.39132 lineto gsave
0.42623 0.39925 lineto 0 0.146 0.628 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42623 0.39925 moveto 0.43628 0.40826 lineto 0.4161 0.39329 lineto gsave
0 0.146 0.628 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41344 0.39132 moveto 0.40181 0.38269 lineto gsave
0.40697 0.38619 lineto 0 0.146 0.628 setrgbcolor
fill grestore
stroke
grestore
gsave
0.42623 0.39925 moveto 0.41344 0.39132 lineto 0.40697 0.38619 lineto 0 0.146 0.628 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.40181 0.38269 moveto 0.3879 0.3767 lineto 0.42326 0.3975 lineto gsave
0.433 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38917 0.37745 moveto 0.3879 0.3767 lineto gsave
0.38974 0.3776 lineto 0 0.249 0.716 setrgbcolor
fill grestore
stroke
grestore
gsave
0.38974 0.3776 moveto 0.39809 0.38169 lineto 0.38917 0.37745 lineto 0 0.249 0.716 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.40502 0.38677 moveto 0.38917 0.37745 lineto gsave
0.39809 0.38169 lineto 0 0.249 0.716 setrgbcolor
fill grestore
stroke
grestore
gsave
0.40181 0.38269 moveto 0.42326 0.3975 lineto 0.42472 0.39822 lineto 0.433 0 0 setrgbcolor
fill
grestore
gsave
0.41605 0.39049 moveto 0.40502 0.38677 lineto 0.39809 0.38169 lineto 0 0.249 0.716 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.3879 0.3767 moveto 0.37379 0.37229 lineto 0.41605 0.39049 lineto gsave
0.339 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39019 0.37935 moveto 0.37379 0.37229 lineto gsave
0.38354 0.37524 lineto 0 0.36 0.803 setrgbcolor
fill grestore
stroke
grestore
gsave
0.40575 0.38195 moveto 0.39019 0.37935 lineto 0.38354 0.37524 lineto 0 0.36 0.803 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.37379 0.37229 moveto 0.35947 0.36938 lineto 0.40409 0.3815 lineto gsave
0.222 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40409 0.3815 moveto 0.40575 0.38195 lineto gsave
0.4051 0.38176 lineto 0.222 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.37379 0.37229 moveto 0.40409 0.3815 lineto 0.4051 0.38176 lineto 0.222 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.37497 0.37359 moveto 0.35947 0.36938 lineto gsave
0.36866 0.37047 lineto 0.032 0.469 0.879 setrgbcolor
fill grestore
stroke
grestore
gsave
0.39532 0.37362 moveto 0.37497 0.37359 lineto 0.36866 0.37047 lineto 0.032 0.469 0.879 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.35947 0.36938 moveto 0.34492 0.36782 lineto 0.39532 0.37362 lineto gsave
0.086 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38476 0.36545 moveto 0.39532 0.37362 lineto 0.35389 0.36885 lineto gsave
0.176 0.568 0.935 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35389 0.36885 moveto 0.34492 0.36782 lineto gsave
0.34886 0.36759 lineto 0.176 0.568 0.935 setrgbcolor
fill grestore
stroke
grestore
gsave
0.38476 0.36545 moveto 0.35389 0.36885 lineto 0.34886 0.36759 lineto 0.176 0.568 0.935 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.39532 0.37362 moveto 0.40575 0.38195 lineto 0.37497 0.37359 lineto gsave
0.032 0.469 0.879 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42326 0.3975 moveto 0.42623 0.39925 lineto gsave
0.42472 0.39822 lineto 0.433 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40575 0.38195 moveto 0.41605 0.39049 lineto 0.39019 0.37935 lineto gsave
0 0.36 0.803 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41605 0.39049 moveto 0.42623 0.39925 lineto 0.40502 0.38677 lineto gsave
0 0.249 0.716 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44623 0.41754 moveto 0.43628 0.40826 lineto 0.43808 0.40972 lineto gsave
0 0.129 0.619 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46428 0.43513 moveto 0.44263 0.41033 lineto gsave
0.45606 0.42708 lineto 0.58 0.078 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44263 0.41033 moveto 0.42915 0.39954 lineto 0.45606 0.42708 lineto gsave
0.604 0.062 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43808 0.40972 moveto 0.48257 0.44569 lineto gsave
0.44623 0.41754 lineto 0 0.129 0.619 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45606 0.42708 moveto 0.44623 0.41754 lineto 0.44807 0.41925 lineto gsave
0 0.046 0.542 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44807 0.41925 moveto 0.4872 0.4555 lineto gsave
0.45606 0.42708 lineto 0 0.046 0.542 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45606 0.42708 moveto 0.46579 0.43686 lineto 0.46428 0.43513 lineto gsave
0.58 0.078 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59618 0.58477 moveto 0.58136 0.56996 lineto 0.58952 0.582 lineto gsave
0.667 0.15 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57247 0.56302 moveto 0.58952 0.582 lineto 0.58136 0.56996 lineto gsave
0.66 0.151 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55555 0.5424 moveto 0.5388 0.52075 lineto 0.53885 0.52161 lineto gsave
0.69 0.205 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61095 0.59766 moveto 0.59618 0.58477 lineto 0.60667 0.59876 lineto gsave
0.644 0.108 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60667 0.59876 moveto 0.62386 0.61279 lineto 0.61095 0.59766 lineto gsave
0.606 0.055 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58952 0.582 moveto 0.60667 0.59876 lineto 0.59618 0.58477 lineto gsave
0.638 0.11 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77127 0.59034 moveto 0.75601 0.60402 lineto 0.76396 0.57683 lineto gsave
0.795 0.992 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76396 0.57683 moveto 0.77997 0.5565 lineto 0.77127 0.59034 lineto gsave
0.84 0.977 0.675 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52499 0.50688 moveto 0.5236 0.50298 lineto 0.51807 0.49543 lineto gsave
0.675 0.199 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51807 0.49543 moveto 0.51385 0.49189 lineto 0.52499 0.50688 lineto gsave
0.679 0.199 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50956 0.4879 moveto 0.51385 0.49189 lineto 0.50376 0.47783 lineto gsave
0.664 0.19 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50376 0.47783 moveto 0.4944 0.4674 lineto 0.50956 0.4879 lineto gsave
0.669 0.185 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53885 0.52161 moveto 0.55576 0.54414 lineto 0.55555 0.5424 lineto gsave
0.681 0.197 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55576 0.54414 moveto 0.53885 0.52161 lineto 0.53707 0.51996 lineto gsave
0.678 0.195 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29979 0.36935 moveto 0.31508 0.36804 lineto 0.28251 0.39234 lineto gsave
0.534 0.909 0.951 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28251 0.39234 moveto 0.26485 0.40234 lineto 0.29979 0.36935 lineto gsave
0.598 0.943 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53593 0.5211 moveto 0.529 0.51009 lineto 0.5236 0.50298 lineto gsave
0.665 0.19 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5236 0.50298 moveto 0.52499 0.50688 lineto 0.53593 0.5211 lineto gsave
0.673 0.194 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57247 0.56302 moveto 0.55555 0.5424 lineto 0.55576 0.54414 lineto gsave
0.674 0.18 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55225 0.54086 moveto 0.53707 0.51996 lineto 0.53366 0.51597 lineto gsave
0.668 0.187 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53707 0.51996 moveto 0.55225 0.54086 lineto 0.55576 0.54414 lineto gsave
0.675 0.192 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54538 0.53289 moveto 0.53366 0.51597 lineto 0.529 0.51009 lineto gsave
0.663 0.185 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.529 0.51009 moveto 0.53593 0.5211 lineto 0.54538 0.53289 lineto gsave
0.67 0.191 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53366 0.51597 moveto 0.54538 0.53289 lineto 0.55225 0.54086 lineto gsave
0.671 0.19 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75601 0.60402 moveto 0.74043 0.61585 lineto 0.74762 0.59488 lineto gsave
0.732 0.984 0.778 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74762 0.59488 moveto 0.76396 0.57683 lineto 0.75601 0.60402 lineto gsave
0.799 0.98 0.703 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50521 0.48329 moveto 0.50956 0.4879 lineto 0.4944 0.4674 lineto gsave
0.628 0.158 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4944 0.4674 moveto 0.48495 0.45706 lineto 0.50521 0.48329 lineto gsave
0.648 0.16 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50956 0.4879 moveto 0.50521 0.48329 lineto 0.51271 0.49276 lineto gsave
0.604 0.129 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52499 0.50688 moveto 0.52051 0.50084 lineto gsave
0.52333 0.50522 lineto 0.633 0.164 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52642 0.51 moveto 0.52536 0.50768 lineto gsave
0.52333 0.50522 lineto 0.633 0.164 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52536 0.50768 moveto 0.52499 0.50688 lineto gsave
0.52333 0.50522 lineto 0.633 0.164 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.50956 0.4879 moveto 0.51271 0.49276 lineto 0.51538 0.49553 lineto 0.604 0.129 0 setrgbcolor
fill
grestore
gsave
0.52642 0.51 moveto 0.52051 0.50084 lineto 0.51893 0.49922 lineto 0.633 0.164 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.51385 0.49189 moveto 0.50956 0.4879 lineto 0.52642 0.51 lineto gsave
0.65 0.171 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50079 0.47788 moveto 0.50521 0.48329 lineto 0.48495 0.45706 lineto gsave
0.575 0.113 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54302 0.53111 moveto 0.53897 0.5254 lineto gsave
0.53734 0.5234 lineto 0.606 0.14 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.54302 0.53111 moveto 0.52893 0.51201 lineto 0.52761 0.51039 lineto 0.606 0.14 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.52499 0.50688 moveto 0.52642 0.51 lineto 0.54302 0.53111 lineto gsave
0.63 0.154 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54538 0.53289 moveto 0.53593 0.5211 lineto gsave
0.55326 0.5434 lineto 0.598 0.127 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55737 0.54869 moveto 0.55443 0.54482 lineto gsave
0.55326 0.5434 lineto 0.598 0.127 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55443 0.54482 moveto 0.54538 0.53289 lineto gsave
0.55326 0.5434 lineto 0.598 0.127 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55225 0.54086 moveto 0.56775 0.56062 lineto 0.57294 0.56554 lineto gsave
0.636 0.148 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56775 0.56062 moveto 0.55225 0.54086 lineto 0.54538 0.53289 lineto gsave
0.613 0.133 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53593 0.5211 moveto 0.54302 0.53111 lineto 0.55737 0.54869 lineto gsave
0.618 0.141 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54538 0.53289 moveto 0.55737 0.54869 lineto 0.56775 0.56062 lineto gsave
0.621 0.138 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59038 0.58506 moveto 0.57294 0.56554 lineto 0.56775 0.56062 lineto gsave
0.583 0.085 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55028 0.53949 moveto 0.56963 0.56262 lineto gsave
0.54631 0.535 lineto 0 0 0.471 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54302 0.53111 moveto 0.54451 0.53282 lineto gsave
0.54631 0.535 lineto 0 0 0.471 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54451 0.53282 moveto 0.55028 0.53949 lineto gsave
0.54631 0.535 lineto 0 0 0.471 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54302 0.53111 moveto 0.52642 0.51 lineto gsave
0.54052 0.52743 lineto 0 0 0.486 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52642 0.51 moveto 0.52731 0.51117 lineto gsave
0.53134 0.51609 lineto 0.556 0.089 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52731 0.51117 moveto 0.52788 0.51191 lineto gsave
0.53134 0.51609 lineto 0.556 0.089 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53593 0.5211 moveto 0.52893 0.51201 lineto gsave
0.53734 0.5234 lineto 0.606 0.14 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52788 0.51191 moveto 0.52936 0.51219 lineto 0.53099 0.51411 lineto gsave
0 0.003 0.544 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53099 0.51411 moveto 0.55767 0.54562 lineto gsave
0.53594 0.52103 lineto 0 0.003 0.544 setrgbcolor
fill grestore
stroke
grestore
gsave
0.52788 0.51191 moveto 0.53099 0.51411 lineto 0.53594 0.52103 lineto 0 0.003 0.544 setrgbcolor
fill
grestore
gsave
0.54398 0.53171 moveto 0.54326 0.53126 lineto 0.54052 0.52743 lineto 0 0 0.486 setrgbcolor
fill
grestore
gsave
0.54302 0.53111 moveto 0.54052 0.52743 lineto 0.54326 0.53126 lineto 0 0 0.486 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.55028 0.53949 moveto 0.54891 0.53791 lineto gsave
0.54398 0.53171 lineto 0 0 0.486 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54891 0.53791 moveto 0.54302 0.53111 lineto gsave
0.54398 0.53171 lineto 0 0 0.486 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52788 0.51191 moveto 0.52642 0.51 lineto 0.51614 0.49653 lineto gsave
0 0 0.429 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51614 0.49653 moveto 0.50956 0.4879 lineto gsave
0.51583 0.49612 lineto 0 0 0.429 setrgbcolor
fill grestore
stroke
grestore
gsave
0.52788 0.51191 moveto 0.51614 0.49653 lineto 0.51583 0.49612 lineto 0 0 0.429 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.50544 0.48347 moveto 0.51428 0.49408 lineto gsave
0.51122 0.49049 lineto 0 0 0.459 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52893 0.51201 moveto 0.52499 0.50688 lineto gsave
0.52761 0.51039 lineto 0.606 0.14 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51428 0.49408 moveto 0.52936 0.51219 lineto gsave
0.51484 0.49482 lineto 0 0 0.459 setrgbcolor
fill grestore
stroke
grestore
gsave
0.51122 0.49049 moveto 0.51428 0.49408 lineto 0.51484 0.49482 lineto 0 0 0.459 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.51271 0.49276 moveto 0.52788 0.51191 lineto gsave
0.5189 0.50014 lineto 0.604 0.129 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.51538 0.49553 moveto 0.51456 0.49468 lineto 0.5189 0.50014 lineto 0.604 0.129 0 setrgbcolor
fill
grestore
gsave
0.51271 0.49276 moveto 0.5189 0.50014 lineto 0.51456 0.49468 lineto 0.604 0.129 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.52788 0.51191 moveto 0.55028 0.53949 lineto gsave
0.53134 0.51609 lineto 0.556 0.089 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53897 0.5254 moveto 0.53593 0.5211 lineto gsave
0.53734 0.5234 lineto 0.606 0.14 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50079 0.47788 moveto 0.50544 0.48347 lineto gsave
0.50834 0.48705 lineto 0 0 0.459 setrgbcolor
fill grestore
stroke
grestore
gsave
0.50834 0.48705 moveto 0.50544 0.48347 lineto 0.51122 0.49049 lineto 0 0 0.459 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.50521 0.48329 moveto 0.50119 0.47837 lineto gsave
0.50834 0.48705 lineto 0 0 0.459 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50119 0.47837 moveto 0.50079 0.47788 lineto gsave
0.50834 0.48705 lineto 0 0 0.459 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52051 0.50084 moveto 0.51385 0.49189 lineto gsave
0.51893 0.49922 lineto 0.633 0.164 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58952 0.582 moveto 0.57247 0.56302 lineto 0.57294 0.56554 lineto gsave
0.646 0.14 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55576 0.54414 moveto 0.57294 0.56554 lineto 0.57247 0.56302 lineto gsave
0.658 0.165 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28426 0.37111 moveto 0.29979 0.36935 lineto 0.26485 0.40234 lineto gsave
0.631 0.94 0.958 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26485 0.40234 moveto 0.24689 0.41319 lineto 0.28426 0.37111 lineto gsave
0.683 0.976 0.81 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48495 0.45706 moveto 0.47542 0.44687 lineto 0.50079 0.47788 lineto gsave
0.617 0.125 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57294 0.56554 moveto 0.55576 0.54414 lineto 0.55225 0.54086 lineto gsave
0.643 0.154 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74043 0.61585 moveto 0.72453 0.62527 lineto 0.73093 0.60998 lineto gsave
0.639 0.962 0.808 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73093 0.60998 moveto 0.74762 0.59488 lineto 0.74043 0.61585 lineto gsave
0.738 0.979 0.744 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.84143 0.46716 moveto 0.82634 0.48924 lineto 0.80304 0.43132 lineto gsave
0.946 0.873 0.733 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80304 0.43132 moveto 0.81739 0.40417 lineto 0.84143 0.46716 lineto gsave
0.951 0.869 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60667 0.59876 moveto 0.58952 0.582 lineto 0.59038 0.58506 lineto gsave
0.604 0.079 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57294 0.56554 moveto 0.59038 0.58506 lineto 0.58952 0.582 lineto gsave
0.621 0.113 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49632 0.47152 moveto 0.50079 0.47788 lineto 0.47542 0.44687 lineto gsave
0 0 0.489 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47542 0.44687 moveto 0.46579 0.43686 lineto 0.49632 0.47152 lineto gsave
0.577 0.081 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72453 0.62527 moveto 0.70832 0.63183 lineto 0.71393 0.62154 lineto gsave
0.505 0.91 0.834 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71393 0.62154 moveto 0.73093 0.60998 lineto 0.72453 0.62527 lineto gsave
0.645 0.962 0.794 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26851 0.37302 moveto 0.28426 0.37111 lineto 0.24689 0.41319 lineto gsave
0.698 0.95 0.955 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24689 0.41319 moveto 0.22866 0.4244 lineto 0.26851 0.37302 lineto gsave
0.748 0.994 0.834 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62386 0.61279 moveto 0.60667 0.59876 lineto 0.608 0.60196 lineto gsave
0.54 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59038 0.58506 moveto 0.608 0.60196 lineto 0.60667 0.59876 lineto gsave
0.565 0.038 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.82634 0.48924 moveto 0.81111 0.51196 lineto 0.78861 0.45911 lineto gsave
0.949 0.877 0.73 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78861 0.45911 moveto 0.80304 0.43132 lineto 0.82634 0.48924 lineto gsave
0.954 0.872 0.717 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70832 0.63183 moveto 0.69182 0.63513 lineto 0.69663 0.62908 lineto gsave
0.32 0.808 0.838 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69663 0.62908 moveto 0.71393 0.62154 lineto 0.70832 0.63183 lineto gsave
0.502 0.908 0.838 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49179 0.46409 moveto 0.49632 0.47152 lineto 0.46579 0.43686 lineto gsave
0 0.019 0.569 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46579 0.43686 moveto 0.45606 0.42708 lineto 0.49179 0.46409 lineto gsave
0.524 0.024 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64103 0.62367 moveto 0.62386 0.61279 lineto 0.62577 0.61559 lineto gsave
0.446 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.608 0.60196 moveto 0.62577 0.61559 lineto 0.62386 0.61279 lineto gsave
0.48 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69182 0.63513 moveto 0.67507 0.63493 lineto 0.6791 0.63231 lineto gsave
0.098 0.652 0.8 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6791 0.63231 moveto 0.69663 0.62908 lineto 0.69182 0.63513 lineto gsave
0.298 0.793 0.851 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65812 0.6311 moveto 0.64103 0.62367 lineto 0.64359 0.62543 lineto gsave
0.309 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62577 0.61559 moveto 0.64359 0.62543 lineto 0.64103 0.62367 lineto gsave
0.354 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67507 0.63493 moveto 0.65812 0.6311 lineto 0.66139 0.63108 lineto gsave
0 0.461 0.72 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66139 0.63108 moveto 0.6791 0.63231 lineto 0.67507 0.63493 lineto gsave
0.055 0.613 0.808 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64359 0.62543 moveto 0.66139 0.63108 lineto 0.65812 0.6311 lineto gsave
0 0.405 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81111 0.51196 moveto 0.79567 0.53463 lineto 0.77403 0.48681 lineto gsave
0.949 0.882 0.733 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77403 0.48681 moveto 0.78861 0.45911 lineto 0.81111 0.51196 lineto gsave
0.954 0.876 0.72 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25255 0.3748 moveto 0.26851 0.37302 lineto 0.22866 0.4244 lineto gsave
0.743 0.945 0.947 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22866 0.4244 moveto 0.21021 0.4355 lineto 0.25255 0.3748 lineto gsave
0.794 0.998 0.855 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52936 0.51219 moveto 0.52788 0.51191 lineto 0.50521 0.48329 lineto gsave
0 0 0.524 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4872 0.4555 moveto 0.49179 0.46409 lineto 0.45606 0.42708 lineto gsave
0 0.102 0.649 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34492 0.36782 moveto 0.33012 0.36745 lineto 0.38476 0.36545 lineto gsave
0.064 0.628 0.769 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56775 0.56062 moveto 0.58354 0.57842 lineto 0.59038 0.58506 lineto gsave
0.57 0.074 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58354 0.57842 moveto 0.56775 0.56062 lineto 0.55737 0.54869 lineto gsave
0 0 0.482 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.608 0.60196 moveto 0.59038 0.58506 lineto 0.58354 0.57842 lineto gsave
0 0.02 0.515 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56963 0.56262 moveto 0.55737 0.54869 lineto 0.54302 0.53111 lineto gsave
0 0 0.508 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79567 0.53463 moveto 0.77997 0.5565 lineto 0.75922 0.51362 lineto gsave
0.945 0.888 0.744 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75922 0.51362 moveto 0.77403 0.48681 lineto 0.79567 0.53463 lineto gsave
0.951 0.881 0.73 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55737 0.54869 moveto 0.56963 0.56262 lineto 0.58354 0.57842 lineto gsave
0.531 0.052 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48257 0.44569 moveto 0.4872 0.4555 lineto 0.44623 0.41754 lineto gsave
0 0.189 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37406 0.35738 moveto 0.38476 0.36545 lineto 0.33012 0.36745 lineto gsave
0.308 0.648 0.969 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33012 0.36745 moveto 0.31508 0.36804 lineto 0.37406 0.35738 lineto gsave
0.218 0.74 0.835 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53087 0.51049 moveto 0.52936 0.51219 lineto 0.50079 0.47788 lineto gsave
0 0.067 0.623 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50079 0.47788 moveto 0.49632 0.47152 lineto 0.53087 0.51049 lineto gsave
0 0.007 0.545 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62577 0.61559 moveto 0.608 0.60196 lineto 0.59958 0.59345 lineto gsave
0 0.171 0.651 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58354 0.57842 moveto 0.59958 0.59345 lineto 0.608 0.60196 lineto gsave
0 0.039 0.537 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55767 0.54562 moveto 0.55028 0.53949 lineto 0.52788 0.51191 lineto gsave
0 0.054 0.608 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77997 0.5565 moveto 0.76396 0.57683 lineto 0.74416 0.53872 lineto gsave
0.935 0.894 0.763 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74416 0.53872 moveto 0.75922 0.51362 lineto 0.77997 0.5565 lineto gsave
0.943 0.888 0.748 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4779 0.43466 moveto 0.48257 0.44569 lineto 0.43628 0.40826 lineto gsave
0 0.274 0.777 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43628 0.40826 moveto 0.42623 0.39925 lineto 0.4779 0.43466 lineto gsave
0 0.225 0.702 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59958 0.59345 moveto 0.58354 0.57842 lineto 0.56963 0.56262 lineto gsave
0 0.096 0.621 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36323 0.34937 moveto 0.37406 0.35738 lineto 0.31508 0.36804 lineto gsave
0.42 0.707 0.982 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31508 0.36804 moveto 0.29979 0.36935 lineto 0.36323 0.34937 lineto gsave
0.362 0.83 0.89 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5324 0.50652 moveto 0.53087 0.51049 lineto 0.49632 0.47152 lineto gsave
0 0.171 0.708 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49632 0.47152 moveto 0.49179 0.46409 lineto 0.5324 0.50652 lineto gsave
0 0.099 0.637 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64359 0.62543 moveto 0.62577 0.61559 lineto 0.61581 0.60504 lineto gsave
0 0.368 0.804 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59958 0.59345 moveto 0.61581 0.60504 lineto 0.62577 0.61559 lineto gsave
0 0.2 0.679 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76396 0.57683 moveto 0.74762 0.59488 lineto 0.72883 0.56133 lineto gsave
0.919 0.902 0.792 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72883 0.56133 moveto 0.74416 0.53872 lineto 0.76396 0.57683 lineto gsave
0.928 0.895 0.775 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47319 0.42241 moveto 0.4779 0.43466 lineto 0.42623 0.39925 lineto gsave
0.109 0.349 0.816 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42623 0.39925 moveto 0.41605 0.39049 lineto 0.47319 0.42241 lineto gsave
0 0.33 0.785 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58211 0.57391 moveto 0.56963 0.56262 lineto 0.55028 0.53949 lineto gsave
0 0.105 0.647 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55028 0.53949 moveto 0.55767 0.54562 lineto 0.58211 0.57391 lineto gsave
0 0.061 0.598 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56963 0.56262 moveto 0.58211 0.57391 lineto 0.59958 0.59345 lineto gsave
0 0.078 0.601 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74762 0.59488 moveto 0.73093 0.60998 lineto 0.71321 0.58071 lineto gsave
0.892 0.908 0.831 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71321 0.58071 moveto 0.72883 0.56133 lineto 0.74762 0.59488 lineto gsave
0.904 0.902 0.813 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66139 0.63108 moveto 0.64359 0.62543 lineto 0.63217 0.61257 lineto gsave
0.163 0.58 0.935 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61581 0.60504 moveto 0.63217 0.61257 lineto 0.64359 0.62543 lineto gsave
0 0.405 0.834 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56519 0.54897 moveto 0.55767 0.54562 lineto 0.52936 0.51219 lineto gsave
0 0.185 0.718 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52936 0.51219 moveto 0.53087 0.51049 lineto 0.56519 0.54897 lineto gsave
0 0.118 0.659 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35226 0.34135 moveto 0.36323 0.34937 lineto 0.29979 0.36935 lineto gsave
0.51 0.747 0.981 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29979 0.36935 moveto 0.28426 0.37111 lineto 0.35226 0.34135 lineto gsave
0.488 0.894 0.928 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61581 0.60504 moveto 0.59958 0.59345 lineto 0.58211 0.57391 lineto gsave
0 0.272 0.771 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46844 0.40902 moveto 0.47319 0.42241 lineto 0.41605 0.39049 lineto gsave
0.223 0.412 0.838 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41605 0.39049 moveto 0.40575 0.38195 lineto 0.46844 0.40902 lineto gsave
0 0.436 0.86 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53394 0.50006 moveto 0.5324 0.50652 lineto 0.49179 0.46409 lineto gsave
0.03 0.267 0.765 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49179 0.46409 moveto 0.4872 0.4555 lineto 0.53394 0.50006 lineto gsave
0 0.2 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73093 0.60998 moveto 0.71393 0.62154 lineto 0.69733 0.59624 lineto gsave
0.845 0.91 0.879 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69733 0.59624 moveto 0.71321 0.58071 lineto 0.73093 0.60998 lineto gsave
0.863 0.905 0.86 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6791 0.63231 moveto 0.66139 0.63108 lineto 0.64858 0.61562 lineto gsave
0.431 0.753 0.995 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63217 0.61257 moveto 0.64858 0.61562 lineto 0.66139 0.63108 lineto gsave
0.225 0.616 0.954 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81739 0.40417 moveto 0.80304 0.43132 lineto 0.74489 0.37748 lineto gsave
0.886 0.754 0.711 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74489 0.37748 moveto 0.75673 0.3479 lineto 0.81739 0.40417 lineto gsave
0.883 0.758 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71393 0.62154 moveto 0.69663 0.62908 lineto 0.68123 0.60742 lineto gsave
0.767 0.898 0.934 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68123 0.60742 moveto 0.69733 0.59624 lineto 0.71393 0.62154 lineto gsave
0.794 0.897 0.916 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69663 0.62908 moveto 0.6791 0.63231 lineto 0.66496 0.61392 lineto gsave
0.636 0.854 0.983 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64858 0.61562 moveto 0.66496 0.61392 lineto 0.6791 0.63231 lineto gsave
0.487 0.775 0.995 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66496 0.61392 moveto 0.68123 0.60742 lineto 0.69663 0.62908 lineto gsave
0.676 0.862 0.97 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59479 0.58191 moveto 0.58211 0.57391 lineto 0.55767 0.54562 lineto gsave
0 0.263 0.771 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55767 0.54562 moveto 0.56519 0.54897 lineto 0.59479 0.58191 lineto gsave
0 0.209 0.731 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46366 0.39457 moveto 0.46844 0.40902 lineto 0.40575 0.38195 lineto gsave
0.319 0.464 0.848 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40575 0.38195 moveto 0.39532 0.37362 lineto 0.46366 0.39457 lineto gsave
0.134 0.535 0.919 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34116 0.33326 moveto 0.35226 0.34135 lineto 0.28426 0.37111 lineto gsave
0.579 0.772 0.971 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28426 0.37111 moveto 0.26851 0.37302 lineto 0.34116 0.33326 lineto gsave
0.588 0.932 0.95 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58211 0.57391 moveto 0.59479 0.58191 lineto 0.61581 0.60504 lineto gsave
0 0.248 0.751 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53551 0.49097 moveto 0.53394 0.50006 lineto 0.4872 0.4555 lineto gsave
0.18 0.344 0.793 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4872 0.4555 moveto 0.48257 0.44569 lineto 0.53551 0.49097 lineto gsave
0 0.299 0.795 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80304 0.43132 moveto 0.78861 0.45911 lineto 0.73302 0.4076 lineto gsave
0.885 0.75 0.707 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73302 0.4076 moveto 0.74489 0.37748 lineto 0.80304 0.43132 lineto gsave
0.883 0.755 0.716 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5728 0.54907 moveto 0.56519 0.54897 lineto 0.53087 0.51049 lineto gsave
0.074 0.305 0.788 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53087 0.51049 moveto 0.5324 0.50652 lineto 0.5728 0.54907 lineto gsave
0 0.243 0.759 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63217 0.61257 moveto 0.61581 0.60504 lineto 0.59479 0.58191 lineto gsave
0.144 0.451 0.882 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45885 0.37919 moveto 0.46366 0.39457 lineto 0.39532 0.37362 lineto gsave
0.398 0.505 0.851 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39532 0.37362 moveto 0.38476 0.36545 lineto 0.45885 0.37919 lineto gsave
0.265 0.619 0.959 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78861 0.45911 moveto 0.77403 0.48681 lineto 0.72108 0.43754 lineto gsave
0.882 0.747 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72108 0.43754 moveto 0.73302 0.4076 lineto 0.78861 0.45911 lineto gsave
0.879 0.753 0.718 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32992 0.32503 moveto 0.34116 0.33326 lineto 0.26851 0.37302 lineto gsave
0.63 0.786 0.957 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26851 0.37302 moveto 0.25255 0.3748 lineto 0.32992 0.32503 lineto gsave
0.662 0.945 0.959 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53708 0.4792 moveto 0.53551 0.49097 lineto 0.48257 0.44569 lineto gsave
0.301 0.402 0.799 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48257 0.44569 moveto 0.4779 0.43466 lineto 0.53708 0.4792 lineto gsave
0.125 0.387 0.842 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64858 0.61562 moveto 0.63217 0.61257 lineto 0.6076 0.58606 lineto gsave
0.388 0.588 0.923 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59479 0.58191 moveto 0.6076 0.58606 lineto 0.63217 0.61257 lineto gsave
0.096 0.429 0.872 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6076 0.58606 moveto 0.59479 0.58191 lineto 0.56519 0.54897 lineto gsave
0.18 0.402 0.842 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56519 0.54897 moveto 0.5728 0.54907 lineto 0.6076 0.58606 lineto gsave
0.068 0.359 0.829 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77403 0.48681 moveto 0.75922 0.51362 lineto 0.70901 0.46653 lineto gsave
0.876 0.745 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70901 0.46653 moveto 0.72108 0.43754 lineto 0.77403 0.48681 lineto gsave
0.873 0.751 0.725 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58049 0.54559 moveto 0.5728 0.54907 lineto 0.5324 0.50652 lineto gsave
0.256 0.397 0.813 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5324 0.50652 moveto 0.53394 0.50006 lineto 0.58049 0.54559 lineto gsave
0.106 0.356 0.822 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.454 0.36304 moveto 0.45885 0.37919 lineto 0.38476 0.36545 lineto gsave
0.463 0.539 0.85 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38476 0.36545 moveto 0.37406 0.35738 lineto 0.454 0.36304 lineto gsave
0.38 0.684 0.978 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53866 0.46482 moveto 0.53708 0.4792 lineto 0.4779 0.43466 lineto gsave
0.394 0.444 0.794 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4779 0.43466 moveto 0.47319 0.42241 lineto 0.53866 0.46482 lineto gsave
0.255 0.458 0.866 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75922 0.51362 moveto 0.74416 0.53872 lineto 0.69679 0.49381 lineto gsave
0.866 0.743 0.726 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69679 0.49381 moveto 0.70901 0.46653 lineto 0.75922 0.51362 lineto gsave
0.863 0.75 0.736 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66496 0.61392 moveto 0.64858 0.61562 lineto 0.6205 0.58593 lineto gsave
0.565 0.668 0.907 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6076 0.58606 moveto 0.6205 0.58593 lineto 0.64858 0.61562 lineto gsave
0.347 0.575 0.926 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44912 0.34628 moveto 0.454 0.36304 lineto 0.37406 0.35738 lineto gsave
0.516 0.568 0.847 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37406 0.35738 moveto 0.36323 0.34937 lineto 0.44912 0.34628 lineto gsave
0.475 0.731 0.982 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74416 0.53872 moveto 0.72883 0.56133 lineto 0.6844 0.51864 lineto gsave
0.852 0.742 0.742 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6844 0.51864 moveto 0.69679 0.49381 lineto 0.74416 0.53872 lineto gsave
0.847 0.748 0.754 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6205 0.58593 moveto 0.6076 0.58606 lineto 0.5728 0.54907 lineto gsave
0.377 0.5 0.856 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58823 0.53833 moveto 0.58049 0.54559 lineto 0.53394 0.50006 lineto gsave
0.393 0.459 0.809 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53394 0.50006 moveto 0.53551 0.49097 lineto 0.58823 0.53833 lineto gsave
0.274 0.442 0.847 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68123 0.60742 moveto 0.66496 0.61392 lineto 0.63343 0.58127 lineto gsave
0.68 0.709 0.869 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6205 0.58593 moveto 0.63343 0.58127 lineto 0.66496 0.61392 lineto gsave
0.536 0.664 0.919 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5728 0.54907 moveto 0.58049 0.54559 lineto 0.6205 0.58593 lineto gsave
0.284 0.476 0.871 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54025 0.44798 moveto 0.53866 0.46482 lineto 0.47319 0.42241 lineto gsave
0.465 0.475 0.785 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47319 0.42241 moveto 0.46844 0.40902 lineto 0.54025 0.44798 lineto gsave
0.363 0.513 0.873 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72883 0.56133 moveto 0.71321 0.58071 lineto 0.67185 0.54031 lineto gsave
0.831 0.74 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67185 0.54031 moveto 0.6844 0.51864 lineto 0.72883 0.56133 lineto gsave
0.825 0.746 0.777 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69733 0.59624 moveto 0.68123 0.60742 lineto 0.64633 0.572 lineto gsave
0.753 0.728 0.829 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63343 0.58127 moveto 0.64633 0.572 lineto 0.68123 0.60742 lineto gsave
0.661 0.711 0.884 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71321 0.58071 moveto 0.69733 0.59624 lineto 0.65915 0.55825 lineto gsave
0.8 0.736 0.793 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65915 0.55825 moveto 0.67185 0.54031 lineto 0.71321 0.58071 lineto gsave
0.792 0.742 0.807 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64633 0.572 moveto 0.65915 0.55825 lineto 0.69733 0.59624 lineto gsave
0.741 0.733 0.844 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4442 0.32908 moveto 0.44912 0.34628 lineto 0.36323 0.34937 lineto gsave
0.56 0.593 0.843 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36323 0.34937 moveto 0.35226 0.34135 lineto 0.4442 0.32908 lineto gsave
0.55 0.762 0.976 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54184 0.4289 moveto 0.54025 0.44798 lineto 0.46844 0.40902 lineto gsave
0.518 0.499 0.774 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46844 0.40902 moveto 0.46366 0.39457 lineto 0.54184 0.4289 lineto gsave
0.448 0.554 0.871 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59598 0.5272 moveto 0.58823 0.53833 lineto 0.53551 0.49097 lineto gsave
0.49 0.498 0.792 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53551 0.49097 moveto 0.53708 0.4792 lineto 0.59598 0.5272 lineto gsave
0.403 0.502 0.845 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63343 0.58127 moveto 0.6205 0.58593 lineto 0.58049 0.54559 lineto gsave
0.515 0.558 0.837 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58049 0.54559 moveto 0.58823 0.53833 lineto 0.63343 0.58127 lineto gsave
0.449 0.552 0.869 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75673 0.3479 moveto 0.74489 0.37748 lineto 0.65681 0.33556 lineto gsave
0.813 0.668 0.704 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65681 0.33556 moveto 0.66431 0.30673 lineto 0.75673 0.3479 lineto gsave
0.81 0.685 0.727 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43924 0.31165 moveto 0.4442 0.32908 lineto 0.35226 0.34135 lineto gsave
0.596 0.615 0.841 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35226 0.34135 moveto 0.34116 0.33326 lineto 0.43924 0.31165 lineto gsave
0.607 0.781 0.964 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54343 0.40789 moveto 0.54184 0.4289 lineto 0.46366 0.39457 lineto gsave
0.56 0.518 0.765 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46366 0.39457 moveto 0.45885 0.37919 lineto 0.54343 0.40789 lineto gsave
0.515 0.584 0.863 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64633 0.572 moveto 0.63343 0.58127 lineto 0.58823 0.53833 lineto gsave
0.608 0.591 0.809 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74489 0.37748 moveto 0.73302 0.4076 lineto 0.64933 0.36471 lineto gsave
0.808 0.66 0.7 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64933 0.36471 moveto 0.65681 0.33556 lineto 0.74489 0.37748 lineto gsave
0.804 0.678 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60373 0.51232 moveto 0.59598 0.5272 lineto 0.53708 0.4792 lineto gsave
0.559 0.524 0.773 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53708 0.4792 moveto 0.53866 0.46482 lineto 0.60373 0.51232 lineto gsave
0.497 0.541 0.832 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58823 0.53833 moveto 0.59598 0.5272 lineto 0.64633 0.572 lineto gsave
0.562 0.597 0.846 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73302 0.4076 moveto 0.72108 0.43754 lineto 0.64184 0.39359 lineto gsave
0.801 0.654 0.7 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64184 0.39359 moveto 0.64933 0.36471 lineto 0.73302 0.4076 lineto gsave
0.797 0.671 0.725 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65915 0.55825 moveto 0.64633 0.572 lineto 0.59598 0.5272 lineto gsave
0.669 0.61 0.78 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54502 0.38532 moveto 0.54343 0.40789 lineto 0.45885 0.37919 lineto gsave
0.593 0.534 0.758 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45885 0.37919 moveto 0.454 0.36304 lineto 0.54502 0.38532 lineto gsave
0.566 0.608 0.854 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43423 0.29416 moveto 0.43924 0.31165 lineto 0.34116 0.33326 lineto gsave
0.627 0.636 0.84 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34116 0.33326 moveto 0.32992 0.32503 lineto 0.43423 0.29416 lineto gsave
0.65 0.791 0.95 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72108 0.43754 moveto 0.70901 0.46653 lineto 0.63432 0.42157 lineto gsave
0.791 0.648 0.703 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63432 0.42157 moveto 0.64184 0.39359 lineto 0.72108 0.43754 lineto gsave
0.786 0.666 0.73 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61145 0.4939 moveto 0.60373 0.51232 lineto 0.53866 0.46482 lineto gsave
0.608 0.541 0.754 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53866 0.46482 moveto 0.54025 0.44798 lineto 0.61145 0.4939 lineto gsave
0.566 0.567 0.814 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70901 0.46653 moveto 0.69679 0.49381 lineto 0.62675 0.44801 lineto gsave
0.779 0.642 0.71 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62675 0.44801 moveto 0.63432 0.42157 lineto 0.70901 0.46653 lineto gsave
0.772 0.66 0.739 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67185 0.54031 moveto 0.65915 0.55825 lineto 0.60373 0.51232 lineto gsave
0.711 0.622 0.756 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59598 0.5272 moveto 0.60373 0.51232 lineto 0.65915 0.55825 lineto gsave
0.639 0.622 0.817 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69679 0.49381 moveto 0.6844 0.51864 lineto 0.61912 0.4723 lineto gsave
0.763 0.636 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61912 0.4723 moveto 0.62675 0.44801 lineto 0.69679 0.49381 lineto gsave
0.753 0.654 0.752 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6844 0.51864 moveto 0.67185 0.54031 lineto 0.61145 0.4939 lineto gsave
0.741 0.63 0.736 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60373 0.51232 moveto 0.61145 0.4939 lineto 0.67185 0.54031 lineto gsave
0.691 0.637 0.791 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54662 0.36158 moveto 0.54502 0.38532 lineto 0.454 0.36304 lineto gsave
0.62 0.549 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.454 0.36304 moveto 0.44912 0.34628 lineto 0.54662 0.36158 lineto gsave
0.607 0.628 0.846 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61145 0.4939 moveto 0.61912 0.4723 lineto 0.6844 0.51864 lineto gsave
0.727 0.647 0.769 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61912 0.4723 moveto 0.61145 0.4939 lineto 0.54025 0.44798 lineto gsave
0.643 0.554 0.739 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54025 0.44798 moveto 0.54184 0.4289 lineto 0.61912 0.4723 lineto gsave
0.615 0.585 0.797 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54821 0.33711 moveto 0.54662 0.36158 lineto 0.44912 0.34628 lineto gsave
0.642 0.564 0.751 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44912 0.34628 moveto 0.4442 0.32908 lineto 0.54821 0.33711 lineto gsave
0.639 0.644 0.839 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62675 0.44801 moveto 0.61912 0.4723 lineto 0.54184 0.4289 lineto gsave
0.671 0.565 0.727 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54184 0.4289 moveto 0.54343 0.40789 lineto 0.62675 0.44801 lineto gsave
0.652 0.599 0.782 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63432 0.42157 moveto 0.62675 0.44801 lineto 0.54343 0.40789 lineto gsave
0.692 0.574 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54343 0.40789 moveto 0.54502 0.38532 lineto 0.63432 0.42157 lineto gsave
0.68 0.61 0.771 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54982 0.31233 moveto 0.54821 0.33711 lineto 0.4442 0.32908 lineto gsave
0.661 0.579 0.752 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4442 0.32908 moveto 0.43924 0.31165 lineto 0.54982 0.31233 lineto gsave
0.665 0.659 0.834 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64184 0.39359 moveto 0.63432 0.42157 lineto 0.54502 0.38532 lineto gsave
0.708 0.584 0.713 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66431 0.30673 moveto 0.65681 0.33556 lineto 0.54982 0.31233 lineto gsave
0.743 0.615 0.716 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65681 0.33556 moveto 0.64933 0.36471 lineto 0.54821 0.33711 lineto gsave
0.733 0.603 0.712 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54821 0.33711 moveto 0.54982 0.31233 lineto 0.65681 0.33556 lineto gsave
0.732 0.64 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54982 0.31233 moveto 0.55143 0.28766 lineto 0.66431 0.30673 lineto gsave
0.743 0.651 0.759 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64933 0.36471 moveto 0.64184 0.39359 lineto 0.54662 0.36158 lineto gsave
0.722 0.593 0.711 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54502 0.38532 moveto 0.54662 0.36158 lineto 0.64184 0.39359 lineto gsave
0.702 0.62 0.763 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54662 0.36158 moveto 0.54821 0.33711 lineto 0.64933 0.36471 lineto gsave
0.719 0.63 0.758 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55143 0.28766 moveto 0.54982 0.31233 lineto 0.43924 0.31165 lineto gsave
0.678 0.595 0.756 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43924 0.31165 moveto 0.43423 0.29416 lineto 0.55143 0.28766 lineto gsave
0.686 0.673 0.832 setrgbcolor
fill grestore
stroke
grestore
gsave
grestore
% End of Graphics
MathPictureEnd
:[font = input; preserveAspect; startGroup; ]
uu[2,5.13562,0];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 242; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.86035 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.024949 0.997947 -0.020529 0.997947 [
[ 0 0 0 0 ]
[ 1 0.860353 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics3D
[ ] 0 setdash
0 setgray
0 0 moveto
1 0 lineto
1 0.86035 lineto
0 0.86035 lineto
closepath
clip
newpath
gsave
0.002 setlinewidth
0.54483 0.62423 moveto 0.54607 0.64774 lineto 0.45145 0.64359 lineto gsave
0.719 0.596 0.718 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54607 0.64774 moveto 0.54483 0.62423 lineto 0.6325 0.6052 lineto gsave
0.682 0.567 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6325 0.6052 moveto 0.63885 0.63527 lineto 0.54607 0.64774 lineto gsave
0.665 0.527 0.686 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45145 0.64359 moveto 0.45486 0.63382 lineto 0.54483 0.62423 lineto gsave
0.726 0.766 0.885 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54358 0.60077 moveto 0.54483 0.62423 lineto 0.45486 0.63382 lineto gsave
0.74 0.612 0.716 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54483 0.62423 moveto 0.54358 0.60077 lineto 0.62617 0.57535 lineto gsave
0.695 0.577 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62617 0.57535 moveto 0.6325 0.6052 lineto 0.54483 0.62423 lineto gsave
0.674 0.533 0.685 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45486 0.63382 moveto 0.45829 0.62396 lineto 0.54358 0.60077 lineto gsave
0.772 0.818 0.889 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54234 0.57819 moveto 0.54358 0.60077 lineto 0.45829 0.62396 lineto gsave
0.763 0.635 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54358 0.60077 moveto 0.54234 0.57819 lineto 0.6199 0.54695 lineto gsave
0.71 0.594 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6199 0.54695 moveto 0.62617 0.57535 lineto 0.54358 0.60077 lineto gsave
0.685 0.544 0.688 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54234 0.57819 moveto 0.54111 0.55727 lineto 0.61373 0.52106 lineto gsave
0.73 0.619 0.735 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61373 0.52106 moveto 0.6199 0.54695 lineto 0.54234 0.57819 lineto gsave
0.699 0.562 0.696 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60766 0.49859 moveto 0.61373 0.52106 lineto 0.54111 0.55727 lineto gsave
0.718 0.589 0.71 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6199 0.54695 moveto 0.61373 0.52106 lineto 0.67916 0.50601 lineto gsave
0.588 0.491 0.712 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61373 0.52106 moveto 0.60766 0.49859 lineto 0.66867 0.48635 lineto gsave
0.586 0.508 0.734 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66867 0.48635 moveto 0.67916 0.50601 lineto 0.61373 0.52106 lineto gsave
0.596 0.528 0.749 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45829 0.62396 moveto 0.46175 0.61412 lineto 0.54234 0.57819 lineto gsave
0.818 0.873 0.887 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54111 0.55727 moveto 0.54234 0.57819 lineto 0.46175 0.61412 lineto gsave
0.79 0.665 0.726 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54111 0.55727 moveto 0.53988 0.53863 lineto 0.60766 0.49859 lineto gsave
0.754 0.654 0.751 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60168 0.48019 moveto 0.60766 0.49859 lineto 0.53988 0.53863 lineto gsave
0.743 0.628 0.732 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60766 0.49859 moveto 0.60168 0.48019 lineto 0.65835 0.47038 lineto gsave
0.584 0.537 0.768 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65835 0.47038 moveto 0.66867 0.48635 lineto 0.60766 0.49859 lineto gsave
0.594 0.561 0.786 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45486 0.63382 moveto 0.45145 0.64359 lineto 0.36225 0.62302 lineto gsave
0.694 0.731 0.879 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62617 0.57535 moveto 0.6199 0.54695 lineto 0.68981 0.52877 lineto gsave
0.59 0.483 0.7 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67916 0.50601 moveto 0.68981 0.52877 lineto 0.6199 0.54695 lineto gsave
0.597 0.509 0.726 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46175 0.61412 moveto 0.46525 0.60441 lineto 0.54111 0.55727 lineto gsave
0.856 0.924 0.873 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53988 0.53863 moveto 0.54111 0.55727 lineto 0.46525 0.60441 lineto gsave
0.821 0.704 0.736 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53988 0.53863 moveto 0.53866 0.52278 lineto 0.60168 0.48019 lineto gsave
0.783 0.702 0.775 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59579 0.46626 moveto 0.60168 0.48019 lineto 0.53866 0.52278 lineto gsave
0.776 0.685 0.763 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60168 0.48019 moveto 0.59579 0.46626 lineto 0.64817 0.45849 lineto gsave
0.58 0.586 0.823 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64817 0.45849 moveto 0.65835 0.47038 lineto 0.60168 0.48019 lineto gsave
0.589 0.615 0.845 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6325 0.6052 moveto 0.62617 0.57535 lineto 0.70061 0.55382 lineto gsave
0.593 0.48 0.694 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68981 0.52877 moveto 0.70061 0.55382 lineto 0.62617 0.57535 lineto gsave
0.599 0.499 0.712 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46525 0.60441 moveto 0.46877 0.5949 lineto 0.53988 0.53863 lineto gsave
0.881 0.964 0.846 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53866 0.52278 moveto 0.53988 0.53863 lineto 0.46877 0.5949 lineto gsave
0.857 0.756 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63885 0.63527 moveto 0.6325 0.6052 lineto 0.71152 0.58018 lineto gsave
0.598 0.483 0.693 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70061 0.55382 moveto 0.71152 0.58018 lineto 0.6325 0.6052 lineto gsave
0.601 0.495 0.705 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53866 0.52278 moveto 0.53745 0.51 lineto 0.59579 0.46626 lineto gsave
0.818 0.768 0.806 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58996 0.45696 moveto 0.59579 0.46626 lineto 0.53745 0.51 lineto gsave
0.818 0.769 0.807 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59579 0.46626 moveto 0.58996 0.45696 lineto 0.6381 0.45079 lineto gsave
0.562 0.668 0.909 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6381 0.45079 moveto 0.64817 0.45849 lineto 0.59579 0.46626 lineto gsave
0.566 0.7 0.931 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36225 0.62302 moveto 0.36936 0.62872 lineto 0.45486 0.63382 lineto gsave
0.547 0.013 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45829 0.62396 moveto 0.45486 0.63382 lineto 0.36936 0.62872 lineto gsave
0.74 0.782 0.887 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71152 0.58018 moveto 0.72249 0.60675 lineto 0.63885 0.63527 lineto gsave
0.605 0.496 0.703 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46877 0.5949 moveto 0.47232 0.58565 lineto 0.53866 0.52278 lineto gsave
0.888 0.987 0.803 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53745 0.51 moveto 0.53866 0.52278 lineto 0.47232 0.58565 lineto gsave
0.896 0.82 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53745 0.51 moveto 0.53624 0.50042 lineto 0.58996 0.45696 lineto gsave
0.853 0.853 0.841 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58417 0.45215 moveto 0.58996 0.45696 lineto 0.53624 0.50042 lineto gsave
0.859 0.883 0.854 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58996 0.45696 moveto 0.58417 0.45215 lineto 0.62809 0.44717 lineto gsave
0.477 0.774 0.996 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62809 0.44717 moveto 0.6381 0.45079 lineto 0.58996 0.45696 lineto gsave
0.463 0.793 0.999 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36936 0.62872 moveto 0.37659 0.63446 lineto 0.45829 0.62396 lineto gsave
0.526 0.027 0.015 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46175 0.61412 moveto 0.45829 0.62396 lineto 0.37659 0.63446 lineto gsave
0.787 0.838 0.891 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47232 0.58565 moveto 0.4759 0.57672 lineto 0.53745 0.51 lineto gsave
0.877 0.992 0.751 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53624 0.50042 moveto 0.53745 0.51 lineto 0.4759 0.57672 lineto gsave
0.93 0.892 0.771 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36936 0.62872 moveto 0.36225 0.62302 lineto 0.28586 0.587 lineto gsave
0.532 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37659 0.63446 moveto 0.38399 0.63951 lineto 0.46175 0.61412 lineto gsave
0.475 0.002 0.052 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46525 0.60441 moveto 0.46175 0.61412 lineto 0.38399 0.63951 lineto gsave
0.831 0.895 0.886 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53624 0.50042 moveto 0.53503 0.49395 lineto 0.58417 0.45215 lineto gsave
0.868 0.945 0.864 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57838 0.45146 moveto 0.58417 0.45215 lineto 0.53503 0.49395 lineto gsave
0.844 0.988 0.858 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58417 0.45215 moveto 0.57838 0.45146 lineto 0.6181 0.44728 lineto gsave
0.196 0.723 0.843 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6181 0.44728 moveto 0.62809 0.44717 lineto 0.58417 0.45215 lineto gsave
0.176 0.711 0.815 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4759 0.57672 moveto 0.47951 0.56811 lineto 0.53624 0.50042 lineto gsave
0.854 0.983 0.696 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53503 0.49395 moveto 0.53624 0.50042 lineto 0.47951 0.56811 lineto gsave
0.938 0.957 0.756 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67916 0.50601 moveto 0.66867 0.48635 lineto 0.71921 0.50056 lineto gsave
0.295 0.376 0.776 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66867 0.48635 moveto 0.65835 0.47038 lineto 0.70536 0.49171 lineto gsave
0.16 0.347 0.802 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70536 0.49171 moveto 0.71921 0.50056 lineto 0.66867 0.48635 lineto gsave
0.062 0.473 0.888 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68981 0.52877 moveto 0.67916 0.50601 lineto 0.73313 0.51116 lineto gsave
0.375 0.393 0.752 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71921 0.50056 moveto 0.73313 0.51116 lineto 0.67916 0.50601 lineto gsave
0.295 0.535 0.912 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65835 0.47038 moveto 0.64817 0.45849 lineto 0.69159 0.48479 lineto gsave
0 0.279 0.781 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69159 0.48479 moveto 0.70536 0.49171 lineto 0.67314 0.47709 lineto gsave
0 0.305 0.686 setrgbcolor
fill grestore
stroke
grestore
gsave
0.69159 0.48479 moveto 0.67314 0.47709 lineto 0.67262 0.47657 lineto 0 0.305 0.686 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.67786 0.47987 moveto 0.69159 0.48479 lineto 0.64817 0.45849 lineto gsave
0.491 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64817 0.45849 moveto 0.6381 0.45079 lineto 0.67074 0.47466 lineto gsave
0 0.133 0.588 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67074 0.47466 moveto 0.67786 0.47987 lineto gsave
0.67102 0.47494 lineto 0 0.133 0.588 setrgbcolor
fill grestore
stroke
grestore
gsave
0.64817 0.45849 moveto 0.67074 0.47466 lineto 0.67102 0.47494 lineto 0 0.133 0.588 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.67314 0.47709 moveto 0.65835 0.47038 lineto gsave
0.67262 0.47657 lineto 0 0.305 0.686 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70061 0.55382 moveto 0.68981 0.52877 lineto 0.74714 0.52321 lineto gsave
0.429 0.408 0.735 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73313 0.51116 moveto 0.74714 0.52321 lineto 0.68981 0.52877 lineto gsave
0.424 0.549 0.877 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38399 0.63951 moveto 0.39156 0.64317 lineto 0.46525 0.60441 lineto gsave
0.398 0 0.054 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46877 0.5949 moveto 0.46525 0.60441 lineto 0.39156 0.64317 lineto gsave
0.865 0.945 0.867 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71152 0.58018 moveto 0.70061 0.55382 lineto 0.76123 0.5363 lineto gsave
0.469 0.424 0.725 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74714 0.52321 moveto 0.76123 0.5363 lineto 0.70061 0.55382 lineto gsave
0.498 0.551 0.841 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47951 0.56811 moveto 0.48316 0.55983 lineto 0.53503 0.49395 lineto gsave
0.826 0.967 0.648 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53382 0.49033 moveto 0.53503 0.49395 lineto 0.48316 0.55983 lineto gsave
0.89 0.981 0.698 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53503 0.49395 moveto 0.53382 0.49033 lineto 0.57838 0.45146 lineto gsave
0.82 0.999 0.834 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72249 0.60675 moveto 0.71152 0.58018 lineto 0.77535 0.54996 lineto gsave
0.502 0.442 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76123 0.5363 moveto 0.77535 0.54996 lineto 0.71152 0.58018 lineto gsave
0.546 0.554 0.814 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28586 0.587 moveto 0.29594 0.6039 lineto 0.36936 0.62872 lineto gsave
0.8 0.359 0.198 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37659 0.63446 moveto 0.36936 0.62872 lineto 0.29594 0.6039 lineto gsave
0.546 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57256 0.45425 moveto 0.57838 0.45146 lineto 0.53382 0.49033 lineto gsave
0.68 0.959 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57838 0.45146 moveto 0.57256 0.45425 lineto 0.60806 0.45053 lineto gsave
0.106 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60806 0.45053 moveto 0.6181 0.44728 lineto 0.57838 0.45146 lineto gsave
0.106 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39156 0.64317 moveto 0.39934 0.64482 lineto 0.46877 0.5949 lineto gsave
0.292 0 0.024 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47232 0.58565 moveto 0.46877 0.5949 lineto 0.39934 0.64482 lineto gsave
0.882 0.979 0.829 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6381 0.45079 moveto 0.62809 0.44717 lineto 0.66415 0.4769 lineto gsave
0.597 0.024 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66415 0.4769 moveto 0.67786 0.47987 lineto 0.6381 0.45079 lineto gsave
0.588 0.032 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77535 0.54996 moveto 0.78949 0.56367 lineto 0.72249 0.60675 lineto gsave
0.579 0.56 0.796 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39934 0.64482 moveto 0.40733 0.64396 lineto 0.47232 0.58565 lineto gsave
0.151 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4759 0.57672 moveto 0.47232 0.58565 lineto 0.40733 0.64396 lineto gsave
0.879 0.993 0.776 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62809 0.44717 moveto 0.6181 0.44728 lineto 0.65043 0.4757 lineto gsave
0.637 0.106 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65043 0.4757 moveto 0.66415 0.4769 lineto 0.62809 0.44717 lineto gsave
0.619 0.102 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48316 0.55983 moveto 0.48685 0.55182 lineto 0.53382 0.49033 lineto gsave
0.8 0.952 0.615 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53259 0.48909 moveto 0.53382 0.49033 lineto 0.48685 0.55182 lineto gsave
0.782 0.944 0.6 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53382 0.49033 moveto 0.53259 0.48909 lineto 0.57256 0.45425 lineto gsave
0.681 0.959 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29594 0.6039 moveto 0.30624 0.62104 lineto 0.37659 0.63446 lineto gsave
0.786 0.357 0.229 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38399 0.63951 moveto 0.37659 0.63446 lineto 0.30624 0.62104 lineto gsave
0.504 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56667 0.45968 moveto 0.57256 0.45425 lineto 0.53259 0.48909 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57256 0.45425 moveto 0.56667 0.45968 lineto 0.59793 0.45617 lineto gsave
0.239 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59793 0.45617 moveto 0.60806 0.45053 lineto 0.57256 0.45425 lineto gsave
0.235 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40733 0.64396 moveto 0.41552 0.64025 lineto 0.4759 0.57672 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47951 0.56811 moveto 0.4759 0.57672 lineto 0.41552 0.64025 lineto gsave
0.858 0.987 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6181 0.44728 moveto 0.60806 0.45053 lineto 0.63665 0.47598 lineto gsave
0.624 0.134 0.067 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63665 0.47598 moveto 0.65043 0.4757 lineto 0.6181 0.44728 lineto gsave
0.625 0.134 0.066 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29594 0.6039 moveto 0.28586 0.587 lineto 0.22985 0.53758 lineto gsave
0.801 0.319 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48685 0.55182 moveto 0.49057 0.54402 lineto 0.53259 0.48909 lineto gsave
0.783 0.945 0.602 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53135 0.48963 moveto 0.53259 0.48909 lineto 0.49057 0.54402 lineto gsave
0.653 0.872 0.501 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53259 0.48909 moveto 0.53135 0.48963 lineto 0.56667 0.45968 lineto gsave
0.509 0.853 0.586 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30624 0.62104 moveto 0.31685 0.63716 lineto 0.38399 0.63951 lineto gsave
0.762 0.334 0.236 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39156 0.64317 moveto 0.38399 0.63951 lineto 0.31685 0.63716 lineto gsave
0.405 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41552 0.64025 moveto 0.4239 0.63355 lineto 0.47951 0.56811 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48316 0.55983 moveto 0.47951 0.56811 lineto 0.4239 0.63355 lineto gsave
0.828 0.969 0.654 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56068 0.46671 moveto 0.56667 0.45968 lineto 0.53135 0.48963 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56667 0.45968 moveto 0.56068 0.46671 lineto 0.58765 0.46324 lineto gsave
0.28 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58765 0.46324 moveto 0.59793 0.45617 lineto 0.56667 0.45968 lineto gsave
0.277 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60806 0.45053 moveto 0.59793 0.45617 lineto 0.62279 0.47736 lineto gsave
0.597 0.131 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62279 0.47736 moveto 0.63665 0.47598 lineto 0.60806 0.45053 lineto gsave
0.618 0.14 0.097 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4239 0.63355 moveto 0.43244 0.62392 lineto 0.48316 0.55983 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48685 0.55182 moveto 0.48316 0.55983 lineto 0.43244 0.62392 lineto gsave
0.797 0.948 0.606 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49057 0.54402 moveto 0.49433 0.53636 lineto 0.53135 0.48963 lineto gsave
0.777 0.947 0.611 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53008 0.49123 moveto 0.53135 0.48963 lineto 0.49433 0.53636 lineto gsave
0.554 0.811 0.439 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53135 0.48963 moveto 0.53008 0.49123 lineto 0.56068 0.46671 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31685 0.63716 moveto 0.32784 0.65097 lineto 0.39156 0.64317 lineto gsave
0.723 0.29 0.22 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39934 0.64482 moveto 0.39156 0.64317 lineto 0.32784 0.65097 lineto gsave
0.236 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22985 0.53758 moveto 0.2427 0.55717 lineto 0.29594 0.6039 lineto gsave
0.801 0.319 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30624 0.62104 moveto 0.29594 0.6039 lineto 0.2427 0.55717 lineto gsave
0.798 0.316 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43244 0.62392 moveto 0.44112 0.61162 lineto 0.48685 0.55182 lineto gsave
0.637 0.858 0.482 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49057 0.54402 moveto 0.48685 0.55182 lineto 0.44112 0.61162 lineto gsave
0.773 0.932 0.575 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59793 0.45617 moveto 0.58765 0.46324 lineto 0.60882 0.47938 lineto gsave
0.563 0.105 0.123 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60882 0.47938 moveto 0.62279 0.47736 lineto 0.59793 0.45617 lineto gsave
0.603 0.126 0.094 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76123 0.5363 moveto 0.74714 0.52321 lineto 0.78552 0.52132 lineto gsave
0.151 0.424 0.864 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76968 0.52464 moveto 0.78552 0.52132 lineto 0.74714 0.52321 lineto gsave
0.001 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74714 0.52321 moveto 0.73313 0.51116 lineto 0.76968 0.52464 lineto gsave
0 0.298 0.782 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77535 0.54996 moveto 0.76123 0.5363 lineto 0.80123 0.51735 lineto gsave
0.333 0.49 0.866 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78552 0.52132 moveto 0.76968 0.52464 lineto 0.77026 0.52474 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79947 0.51818 moveto 0.77959 0.5276 lineto gsave
0.78552 0.52132 lineto 0.375 0.842 0.843 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77959 0.5276 moveto 0.76123 0.5363 lineto gsave
0.78552 0.52132 lineto 0.375 0.842 0.843 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78552 0.52132 moveto 0.80123 0.51735 lineto 0.79947 0.51818 lineto gsave
0.375 0.842 0.843 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80123 0.51735 moveto 0.78552 0.52132 lineto 0.79739 0.50871 lineto gsave
0.386 0.848 0.851 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78126 0.52682 moveto 0.79676 0.50941 lineto gsave
0.78552 0.52132 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79676 0.50941 moveto 0.79739 0.50871 lineto gsave
0.78552 0.52132 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77026 0.52474 moveto 0.78126 0.52682 lineto gsave
0.78552 0.52132 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55457 0.47419 moveto 0.56068 0.46671 lineto 0.53008 0.49123 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56068 0.46671 moveto 0.55457 0.47419 lineto 0.5772 0.4707 lineto gsave
0.271 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5772 0.4707 moveto 0.58765 0.46324 lineto 0.56068 0.46671 lineto gsave
0.27 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73313 0.51116 moveto 0.71921 0.50056 lineto 0.75368 0.52703 lineto gsave
0.432 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75368 0.52703 moveto 0.76968 0.52464 lineto 0.73313 0.51116 lineto gsave
0.292 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78949 0.56367 moveto 0.77535 0.54996 lineto 0.81682 0.51305 lineto gsave
0.447 0.528 0.847 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80123 0.51735 moveto 0.81682 0.51305 lineto 0.77535 0.54996 lineto gsave
0.642 0.942 0.959 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81682 0.51305 moveto 0.83232 0.50874 lineto 0.78949 0.56367 lineto gsave
0.751 0.914 0.947 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71921 0.50056 moveto 0.70536 0.49171 lineto 0.73754 0.5283 lineto gsave
0.629 0.069 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73754 0.5283 moveto 0.75368 0.52703 lineto 0.71921 0.50056 lineto gsave
0.46 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70536 0.49171 moveto 0.69159 0.48479 lineto 0.72125 0.5283 lineto gsave
0.705 0.174 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72125 0.5283 moveto 0.73754 0.5283 lineto 0.70536 0.49171 lineto gsave
0.556 0.068 0.051 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32784 0.65097 moveto 0.33924 0.66133 lineto 0.39934 0.64482 lineto gsave
0.662 0.214 0.177 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35108 0.6673 moveto 0.36334 0.66824 lineto 0.40472 0.64604 lineto gsave
0.364 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40733 0.64396 moveto 0.39934 0.64482 lineto 0.38177 0.64965 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38177 0.64965 moveto 0.35854 0.65603 lineto gsave
0.38494 0.6495 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.40733 0.64396 moveto 0.38177 0.64965 lineto 0.38494 0.6495 lineto 0 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.36334 0.66824 moveto 0.37597 0.66389 lineto 0.39982 0.64879 lineto gsave
0.011 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.40733 0.64396 moveto 0.35854 0.65603 lineto 0.36826 0.65392 lineto 0 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.33924 0.66133 moveto 0.35108 0.6673 lineto 0.40733 0.64396 lineto gsave
0.557 0.086 0.093 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40339 0.64559 moveto 0.37488 0.65742 lineto gsave
0.40308 0.6455 lineto 0.31 0.783 0.678 setrgbcolor
fill grestore
stroke
grestore
gsave
0.41552 0.64025 moveto 0.37488 0.65742 lineto 0.38383 0.65355 lineto 0.31 0.783 0.678 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.41552 0.64025 moveto 0.40733 0.64396 lineto 0.40339 0.64559 lineto gsave
0.31 0.783 0.678 setrgbcolor
fill grestore
stroke
grestore
gsave
0.41552 0.64025 moveto 0.40339 0.64559 lineto 0.40308 0.6455 lineto 0.31 0.783 0.678 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.40472 0.64604 moveto 0.41552 0.64025 lineto gsave
0.40303 0.64549 lineto 0.364 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.39853 0.64738 moveto 0.4011 0.64682 lineto 0.40303 0.64549 lineto 0.364 0 0 setrgbcolor
fill
grestore
gsave
0.40472 0.64604 moveto 0.40303 0.64549 lineto 0.4011 0.64682 lineto 0.364 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.37488 0.65742 moveto 0.35108 0.6673 lineto gsave
0.38383 0.65355 lineto 0.31 0.783 0.678 setrgbcolor
fill grestore
stroke
grestore
gsave
0.35108 0.6673 moveto 0.40472 0.64604 lineto 0.39853 0.64738 lineto 0.364 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.41552 0.64025 moveto 0.36334 0.66824 lineto gsave
0.42179 0.63475 lineto 0.569 0.927 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4239 0.63355 moveto 0.42279 0.63443 lineto gsave
0.42179 0.63475 lineto 0.569 0.927 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42279 0.63443 moveto 0.41552 0.64025 lineto gsave
0.42179 0.63475 lineto 0.569 0.927 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4021 0.64016 moveto 0.44112 0.61162 lineto gsave
0.40714 0.63944 lineto 0.766 0.986 0.748 setrgbcolor
fill grestore
stroke
grestore
gsave
0.36334 0.66824 moveto 0.39982 0.64879 lineto 0.39706 0.64892 lineto 0.011 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.38892 0.65436 moveto 0.39046 0.6527 lineto gsave
0.39208 0.65177 lineto 0.766 0.986 0.748 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39046 0.6527 moveto 0.40092 0.64143 lineto gsave
0.39208 0.65177 lineto 0.766 0.986 0.748 setrgbcolor
fill grestore
stroke
grestore
gsave
0.39208 0.65177 moveto 0.40092 0.64143 lineto 0.40714 0.63944 lineto 0.766 0.986 0.748 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.40092 0.64143 moveto 0.4021 0.64016 lineto gsave
0.40714 0.63944 lineto 0.766 0.986 0.748 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37597 0.66389 moveto 0.38892 0.65436 lineto 0.40203 0.64519 lineto gsave
0.452 0.836 0.608 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40203 0.64519 moveto 0.43244 0.62392 lineto gsave
0.40228 0.64527 lineto 0.452 0.836 0.608 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39982 0.64879 moveto 0.41059 0.64197 lineto gsave
0.39706 0.64892 lineto 0.011 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.39706 0.64892 moveto 0.41059 0.64197 lineto 0.40487 0.64445 lineto 0.011 0 0 setrgbcolor
fill
grestore
gsave
0.37597 0.66389 moveto 0.40203 0.64519 lineto 0.40228 0.64527 lineto 0.452 0.836 0.608 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.41059 0.64197 moveto 0.4239 0.63355 lineto gsave
0.40487 0.64445 lineto 0.011 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35854 0.65603 moveto 0.33924 0.66133 lineto gsave
0.36826 0.65392 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49433 0.53636 moveto 0.49814 0.52874 lineto 0.53008 0.49123 lineto gsave
0.783 0.961 0.646 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52887 0.49265 moveto 0.49814 0.52874 lineto gsave
0.5288 0.49305 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49814 0.52874 moveto 0.502 0.52106 lineto 0.5288 0.49305 lineto gsave
0.798 0.981 0.706 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52749 0.49427 moveto 0.5288 0.49305 lineto 0.52608 0.49589 lineto gsave
0.526 0.827 0.501 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52608 0.49589 moveto 0.502 0.52106 lineto gsave
0.52749 0.49427 lineto 0.526 0.827 0.501 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52749 0.49427 moveto 0.52615 0.49404 lineto 0.529 0.49252 lineto gsave
0.433 0.857 0.717 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5288 0.49305 moveto 0.52749 0.49427 lineto 0.52872 0.49347 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52872 0.49347 moveto 0.54832 0.48088 lineto gsave
0.5288 0.49305 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5288 0.49305 moveto 0.53008 0.49123 lineto 0.52887 0.49265 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53008 0.49123 moveto 0.5288 0.49305 lineto 0.55457 0.47419 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54832 0.48088 moveto 0.55457 0.47419 lineto 0.5288 0.49305 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54193 0.48559 moveto 0.54832 0.48088 lineto 0.53992 0.48627 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53992 0.48627 moveto 0.52749 0.49427 lineto gsave
0.54193 0.48559 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54832 0.48088 moveto 0.54193 0.48559 lineto 0.55568 0.48244 lineto gsave
0.077 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54193 0.48559 moveto 0.5354 0.48725 lineto 0.54441 0.48475 lineto gsave
0.202 0.721 0.697 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54441 0.48475 moveto 0.54462 0.48469 lineto gsave
0.54193 0.48559 lineto 0.202 0.721 0.697 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.529 0.49252 moveto 0.54193 0.48559 lineto gsave
0.52749 0.49427 lineto 0.433 0.857 0.717 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69159 0.48479 moveto 0.67786 0.47987 lineto 0.70484 0.52698 lineto gsave
0.723 0.227 0.058 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70484 0.52698 moveto 0.72125 0.5283 lineto 0.69159 0.48479 lineto gsave
0.614 0.148 0.122 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44112 0.61162 moveto 0.44991 0.5971 lineto 0.49057 0.54402 lineto gsave
0.774 0.933 0.576 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49433 0.53636 moveto 0.49057 0.54402 lineto 0.44991 0.5971 lineto gsave
0.76 0.927 0.567 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.2427 0.55717 moveto 0.2558 0.57701 lineto 0.30624 0.62104 lineto gsave
0.798 0.316 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31685 0.63716 moveto 0.30624 0.62104 lineto 0.2558 0.57701 lineto gsave
0.766 0.273 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67786 0.47987 moveto 0.66415 0.4769 lineto 0.68832 0.52437 lineto gsave
0.719 0.25 0.134 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68832 0.52437 moveto 0.70484 0.52698 lineto 0.67786 0.47987 lineto gsave
0.651 0.198 0.163 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58765 0.46324 moveto 0.5772 0.4707 lineto 0.59471 0.48155 lineto gsave
0.517 0.052 0.089 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59471 0.48155 moveto 0.60882 0.47938 lineto 0.58765 0.46324 lineto gsave
0.577 0.088 0.058 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66415 0.4769 moveto 0.65043 0.4757 lineto 0.67174 0.52061 lineto gsave
0.707 0.255 0.175 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67174 0.52061 moveto 0.68832 0.52437 lineto 0.66415 0.4769 lineto gsave
0.676 0.23 0.185 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55457 0.47419 moveto 0.54832 0.48088 lineto 0.56654 0.47746 lineto gsave
0.214 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56654 0.47746 moveto 0.5772 0.4707 lineto 0.55457 0.47419 lineto gsave
0.216 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44991 0.5971 moveto 0.45878 0.58095 lineto 0.49433 0.53636 lineto gsave
0.862 0.969 0.648 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49814 0.52874 moveto 0.49433 0.53636 lineto 0.45878 0.58095 lineto gsave
0.761 0.933 0.583 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65043 0.4757 moveto 0.63665 0.47598 lineto 0.6551 0.51589 lineto gsave
0.69 0.247 0.192 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6551 0.51589 moveto 0.67174 0.52061 lineto 0.65043 0.4757 lineto gsave
0.691 0.247 0.192 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.2558 0.57701 moveto 0.26926 0.59579 lineto 0.31685 0.63716 lineto gsave
0.766 0.273 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32784 0.65097 moveto 0.31685 0.63716 lineto 0.26926 0.59579 lineto gsave
0.684 0.171 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.2427 0.55717 moveto 0.22985 0.53758 lineto 0.20158 0.47828 lineto gsave
0 0 0.499 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45878 0.58095 moveto 0.46771 0.56383 lineto 0.49814 0.52874 lineto gsave
0.909 0.978 0.704 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.502 0.52106 moveto 0.49814 0.52874 lineto 0.46771 0.56383 lineto gsave
0.775 0.952 0.624 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5772 0.4707 moveto 0.56654 0.47746 lineto 0.58045 0.48334 lineto gsave
0.444 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58045 0.48334 moveto 0.59471 0.48155 lineto 0.5772 0.4707 lineto gsave
0.529 0.013 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63665 0.47598 moveto 0.62279 0.47736 lineto 0.63843 0.51047 lineto gsave
0.67 0.226 0.188 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63843 0.51047 moveto 0.6551 0.51589 lineto 0.63665 0.47598 lineto gsave
0.698 0.25 0.185 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43244 0.62392 moveto 0.4239 0.63355 lineto 0.37597 0.66389 lineto gsave
0.742 0.987 0.782 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55568 0.48244 moveto 0.56654 0.47746 lineto 0.54832 0.48088 lineto gsave
0.084 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.502 0.52106 moveto 0.5059 0.51319 lineto 0.52749 0.49427 lineto gsave
0.815 0.998 0.785 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52615 0.49404 moveto 0.52749 0.49427 lineto 0.5059 0.51319 lineto gsave
0.603 0.908 0.639 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62279 0.47736 moveto 0.60882 0.47938 lineto 0.62176 0.50466 lineto gsave
0.642 0.189 0.16 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62176 0.50466 moveto 0.63843 0.51047 lineto 0.62279 0.47736 lineto gsave
0.698 0.24 0.161 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46771 0.56383 moveto 0.47667 0.54648 lineto 0.502 0.52106 lineto gsave
0.927 0.971 0.751 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5059 0.51319 moveto 0.502 0.52106 lineto 0.47667 0.54648 lineto gsave
0.798 0.977 0.691 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44112 0.61162 moveto 0.43244 0.62392 lineto 0.38892 0.65436 lineto gsave
0.839 0.998 0.782 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.20158 0.47828 moveto 0.21714 0.49153 lineto 0.2427 0.55717 lineto gsave
0.167 0.388 0.833 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.2558 0.57701 moveto 0.2427 0.55717 lineto 0.21714 0.49153 lineto gsave
0 0 0.564 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26926 0.59579 moveto 0.28314 0.61224 lineto 0.32784 0.65097 lineto gsave
0.684 0.171 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33924 0.66133 moveto 0.32784 0.65097 lineto 0.28314 0.61224 lineto gsave
0.494 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56654 0.47746 moveto 0.55568 0.48244 lineto 0.56604 0.48429 lineto gsave
0.3 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56604 0.48429 moveto 0.58045 0.48334 lineto 0.56654 0.47746 lineto gsave
0.431 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60882 0.47938 moveto 0.59471 0.48155 lineto 0.60511 0.49877 lineto gsave
0.602 0.126 0.098 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60511 0.49877 moveto 0.62176 0.50466 lineto 0.60882 0.47938 lineto gsave
0.686 0.21 0.114 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44991 0.5971 moveto 0.44112 0.61162 lineto 0.4021 0.64016 lineto gsave
0.891 0.989 0.775 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47667 0.54648 moveto 0.48566 0.52959 lineto 0.5059 0.51319 lineto gsave
0.922 0.953 0.792 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50985 0.50506 moveto 0.5059 0.51319 lineto 0.48566 0.52959 lineto gsave
0.822 0.997 0.776 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5059 0.51319 moveto 0.50985 0.50506 lineto 0.52615 0.49404 lineto gsave
0.818 0.993 0.866 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5354 0.48725 moveto 0.54193 0.48559 lineto 0.52615 0.49404 lineto gsave
0.519 0.912 0.792 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54462 0.48469 moveto 0.55568 0.48244 lineto 0.54193 0.48559 lineto gsave
0.181 0.711 0.718 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4021 0.64016 moveto 0.41544 0.62211 lineto 0.44991 0.5971 lineto gsave
0.892 0.989 0.775 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45878 0.58095 moveto 0.44991 0.5971 lineto 0.41544 0.62211 lineto gsave
0.917 0.975 0.771 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52479 0.49165 moveto 0.52615 0.49404 lineto 0.50985 0.50506 lineto gsave
0.709 0.984 0.815 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52615 0.49404 moveto 0.52479 0.49165 lineto 0.5354 0.48725 lineto gsave
0.56 0.933 0.902 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59471 0.48155 moveto 0.58045 0.48334 lineto 0.58847 0.49313 lineto gsave
0.529 0.013 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58847 0.49313 moveto 0.60511 0.49877 lineto 0.59471 0.48155 lineto gsave
0.656 0.149 0.029 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41544 0.62211 moveto 0.42886 0.6013 lineto 0.45878 0.58095 lineto gsave
0.931 0.957 0.772 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46771 0.56383 moveto 0.45878 0.58095 lineto 0.42886 0.6013 lineto gsave
0.927 0.962 0.774 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28314 0.61224 moveto 0.29752 0.62518 lineto 0.33924 0.66133 lineto gsave
0.494 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35108 0.6673 moveto 0.33924 0.66133 lineto 0.29752 0.62518 lineto gsave
0 0.345 0.797 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55568 0.48244 moveto 0.54462 0.48469 lineto 0.55148 0.48395 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55148 0.48395 moveto 0.56604 0.48429 lineto 0.55568 0.48244 lineto gsave
0.203 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.83232 0.50874 moveto 0.81682 0.51305 lineto 0.82871 0.46738 lineto gsave
0.744 0.919 0.95 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.82871 0.46738 moveto 0.84406 0.44636 lineto 0.83232 0.50874 lineto gsave
0.924 0.975 0.718 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.21714 0.49153 moveto 0.23283 0.50482 lineto 0.2558 0.57701 lineto gsave
0.27 0.42 0.829 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26926 0.59579 moveto 0.2558 0.57701 lineto 0.23283 0.50482 lineto gsave
0 0.093 0.647 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42886 0.6013 moveto 0.44229 0.57896 lineto 0.46771 0.56383 lineto gsave
0.939 0.924 0.768 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47667 0.54648 moveto 0.46771 0.56383 lineto 0.44229 0.57896 lineto gsave
0.927 0.949 0.785 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48566 0.52959 moveto 0.49468 0.51383 lineto 0.50985 0.50506 lineto gsave
0.896 0.923 0.83 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51385 0.49656 moveto 0.50985 0.50506 lineto 0.49468 0.51383 lineto gsave
0.828 0.993 0.86 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50985 0.50506 moveto 0.51385 0.49656 lineto 0.52479 0.49165 lineto gsave
0.79 0.947 0.925 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44229 0.57896 moveto 0.45568 0.55639 lineto 0.47667 0.54648 lineto gsave
0.932 0.897 0.77 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48566 0.52959 moveto 0.47667 0.54648 lineto 0.45568 0.55639 lineto gsave
0.918 0.938 0.803 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58045 0.48334 moveto 0.56604 0.48429 lineto 0.57184 0.48804 lineto gsave
0.363 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57184 0.48804 moveto 0.58847 0.49313 lineto 0.58045 0.48334 lineto gsave
0.583 0.03 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81682 0.51305 moveto 0.80123 0.51735 lineto 0.81318 0.48853 lineto gsave
0.636 0.942 0.958 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81318 0.48853 moveto 0.82871 0.46738 lineto 0.81682 0.51305 lineto gsave
0.86 0.973 0.662 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45568 0.55639 moveto 0.46902 0.53483 lineto 0.48566 0.52959 lineto gsave
0.916 0.874 0.781 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49468 0.51383 moveto 0.48566 0.52959 lineto 0.46902 0.53483 lineto gsave
0.897 0.925 0.829 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5234 0.4865 moveto 0.52479 0.49165 lineto 0.51385 0.49656 lineto gsave
0.763 0.965 0.93 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52479 0.49165 moveto 0.5234 0.4865 lineto 0.52875 0.48498 lineto gsave
0.636 0.899 0.985 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52875 0.48498 moveto 0.5354 0.48725 lineto 0.52479 0.49165 lineto gsave
0.676 0.946 0.96 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5354 0.48725 moveto 0.52875 0.48498 lineto 0.53338 0.48345 lineto gsave
0.528 0.892 0.974 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53338 0.48345 moveto 0.54462 0.48469 lineto 0.5354 0.48725 lineto gsave
0.493 0.87 0.978 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79739 0.50871 moveto 0.81318 0.48853 lineto 0.80123 0.51735 lineto gsave
0.729 0.925 0.579 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49468 0.51383 moveto 0.50373 0.49976 lineto 0.51385 0.49656 lineto gsave
0.848 0.88 0.863 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5179 0.48762 moveto 0.51385 0.49656 lineto 0.50373 0.49976 lineto gsave
0.801 0.945 0.918 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51385 0.49656 moveto 0.5179 0.48762 lineto 0.5234 0.4865 lineto gsave
0.73 0.861 0.942 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29752 0.62518 moveto 0.31239 0.63368 lineto 0.35108 0.6673 lineto gsave
0 0.345 0.797 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36334 0.66824 moveto 0.35108 0.6673 lineto 0.31239 0.63368 lineto gsave
0.323 0.63 0.961 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46902 0.53483 moveto 0.48229 0.51541 lineto 0.49468 0.51383 lineto gsave
0.891 0.853 0.799 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50373 0.49976 moveto 0.49468 0.51383 lineto 0.48229 0.51541 lineto gsave
0.862 0.906 0.862 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54462 0.48469 moveto 0.53338 0.48345 lineto 0.5368 0.48199 lineto gsave
0.499 0.872 0.979 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5368 0.48199 moveto 0.55148 0.48395 lineto 0.54462 0.48469 lineto gsave
0.219 0.714 0.917 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55148 0.48395 moveto 0.55523 0.48373 lineto gsave
0.5642 0.48419 lineto 0.04 0.609 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56471 0.48425 moveto 0.55148 0.48395 lineto gsave
0.5642 0.48419 lineto 0.04 0.609 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56604 0.48429 moveto 0.56471 0.48425 lineto gsave
0.5642 0.48419 lineto 0.04 0.609 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55523 0.48373 moveto 0.57184 0.48804 lineto 0.56604 0.48429 lineto gsave
0.393 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57184 0.48804 moveto 0.55523 0.48373 lineto 0.5554 0.4822 lineto gsave
0.104 0.603 0.901 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57229 0.48922 moveto 0.57184 0.48804 lineto gsave
0.56288 0.48486 lineto 0.358 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58847 0.49313 moveto 0.57184 0.48804 lineto 0.57229 0.48922 lineto gsave
0.314 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58937 0.49889 moveto 0.58847 0.49313 lineto gsave
0.57603 0.49013 lineto 0.587 0.013 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57229 0.48922 moveto 0.58937 0.49889 lineto gsave
0.57603 0.49013 lineto 0.587 0.013 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60511 0.49877 moveto 0.58847 0.49313 lineto 0.58937 0.49889 lineto gsave
0.536 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58937 0.49889 moveto 0.60664 0.51042 lineto 0.60511 0.49877 lineto gsave
0.678 0.142 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58937 0.49889 moveto 0.58264 0.49378 lineto gsave
0.60166 0.50697 lineto 0 0.187 0.627 setrgbcolor
fill grestore
stroke
grestore
gsave
0.60664 0.51042 moveto 0.58937 0.49889 lineto 0.60166 0.50697 lineto 0 0.187 0.627 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.57229 0.48922 moveto 0.56714 0.48415 lineto gsave
0.58059 0.49307 lineto 0 0.344 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.58937 0.49889 moveto 0.57229 0.48922 lineto 0.58059 0.49307 lineto 0 0.344 0.783 setrgbcolor
fill
grestore
gsave
0.5593 0.48359 moveto 0.57229 0.48922 lineto 0.56288 0.48486 lineto 0.358 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.5554 0.4822 moveto 0.55849 0.48348 lineto gsave
0.5593 0.48359 lineto 0.358 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55849 0.48348 moveto 0.57229 0.48922 lineto gsave
0.5593 0.48359 lineto 0.358 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.23283 0.50482 moveto 0.24874 0.51742 lineto 0.26926 0.59579 lineto gsave
0.376 0.459 0.819 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28314 0.61224 moveto 0.26926 0.59579 lineto 0.24874 0.51742 lineto gsave
0.062 0.224 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48229 0.51541 moveto 0.49552 0.49908 lineto 0.50373 0.49976 lineto gsave
0.852 0.83 0.825 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51283 0.48779 moveto 0.50373 0.49976 lineto 0.49552 0.49908 lineto gsave
0.806 0.875 0.897 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50373 0.49976 moveto 0.51283 0.48779 lineto 0.5179 0.48762 lineto gsave
0.776 0.82 0.887 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76968 0.52464 moveto 0.75368 0.52703 lineto 0.76475 0.54192 lineto gsave
0.248 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76475 0.54192 moveto 0.78126 0.52682 lineto 0.76968 0.52464 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55148 0.48395 moveto 0.5368 0.48199 lineto 0.53863 0.48042 lineto gsave
0.507 0.829 1 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53863 0.48042 moveto 0.55523 0.48373 lineto 0.55148 0.48395 lineto gsave
0.038 0.581 0.843 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.5234 0.4865 lineto 0.5179 0.48762 lineto closepath gsave
0.736 0.853 0.935 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.52875 0.48498 lineto 0.5234 0.4865 lineto closepath gsave
0.699 0.829 0.945 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.53338 0.48345 lineto 0.52875 0.48498 lineto closepath gsave
0.627 0.803 0.967 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31239 0.63368 moveto 0.32775 0.63711 lineto 0.36334 0.66824 lineto gsave
0.323 0.63 0.961 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37597 0.66389 moveto 0.36334 0.66824 lineto 0.32775 0.63711 lineto gsave
0.608 0.753 0.947 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.5179 0.48762 lineto 0.51283 0.48779 lineto closepath gsave
0.74 0.857 0.935 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75368 0.52703 moveto 0.73754 0.5283 lineto 0.74785 0.55323 lineto gsave
0.423 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74785 0.55323 moveto 0.76475 0.54192 lineto 0.75368 0.52703 lineto gsave
0.031 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.5368 0.48199 lineto 0.53338 0.48345 lineto closepath gsave
0.535 0.785 0.99 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45803 0.52365 moveto 0.47414 0.50695 lineto 0.48229 0.51541 lineto gsave
0.853 0.784 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48229 0.51541 moveto 0.46902 0.53483 lineto 0.45803 0.52365 lineto gsave
0.853 0.784 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49552 0.49908 moveto 0.48229 0.51541 lineto 0.47414 0.50695 lineto gsave
0.829 0.785 0.81 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49552 0.49908 moveto 0.50874 0.48652 lineto 0.51283 0.48779 lineto gsave
0.793 0.799 0.856 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.51283 0.48779 lineto 0.50874 0.48652 lineto closepath gsave
0.725 0.824 0.927 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47414 0.50695 moveto 0.49014 0.49338 lineto 0.49552 0.49908 lineto gsave
0.829 0.785 0.81 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50874 0.48652 moveto 0.49552 0.49908 lineto 0.49014 0.49338 lineto gsave
0.786 0.782 0.849 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44179 0.54256 moveto 0.45803 0.52365 lineto 0.46902 0.53483 lineto gsave
0.866 0.782 0.766 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46902 0.53483 moveto 0.45568 0.55639 lineto 0.44179 0.54256 lineto gsave
0.866 0.782 0.766 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73754 0.5283 moveto 0.72125 0.5283 lineto 0.73061 0.56024 lineto gsave
0.526 0.019 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73061 0.56024 moveto 0.74785 0.55323 lineto 0.73754 0.5283 lineto gsave
0.258 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.53863 0.48042 lineto 0.5368 0.48199 lineto closepath gsave
0.479 0.776 0.996 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42542 0.56255 moveto 0.44179 0.54256 lineto 0.45568 0.55639 lineto gsave
0.871 0.781 0.759 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45568 0.55639 moveto 0.44229 0.57896 lineto 0.42542 0.56255 lineto gsave
0.871 0.781 0.759 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49014 0.49338 moveto 0.50607 0.48366 lineto 0.50874 0.48652 lineto gsave
0.786 0.782 0.849 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.50874 0.48652 lineto 0.50607 0.48366 lineto closepath gsave
0.711 0.768 0.896 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32775 0.63711 moveto 0.34351 0.6352 lineto 0.37597 0.66389 lineto gsave
0.608 0.753 0.947 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38892 0.65436 moveto 0.37597 0.66389 lineto 0.34351 0.6352 lineto gsave
0.744 0.785 0.886 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72125 0.5283 moveto 0.70484 0.52698 lineto 0.71308 0.56277 lineto gsave
0.589 0.101 0.063 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71308 0.56277 moveto 0.73061 0.56024 lineto 0.72125 0.5283 lineto gsave
0.424 0 0.027 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24874 0.51742 moveto 0.2649 0.52858 lineto 0.28314 0.61224 lineto gsave
0.471 0.497 0.803 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29752 0.62518 moveto 0.28314 0.61224 lineto 0.2649 0.52858 lineto gsave
0.265 0.346 0.76 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40895 0.58236 moveto 0.42542 0.56255 lineto 0.44229 0.57896 lineto gsave
0.87 0.781 0.761 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44229 0.57896 moveto 0.42886 0.6013 lineto 0.40895 0.58236 lineto gsave
0.87 0.781 0.761 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55523 0.48373 moveto 0.53863 0.48042 lineto 0.53866 0.47841 lineto gsave
0.472 0.743 0.988 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53866 0.47841 moveto 0.5554 0.4822 lineto 0.55523 0.48373 lineto gsave
0.094 0.593 0.898 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48821 0.48326 moveto 0.50513 0.47949 lineto 0.50607 0.48366 lineto gsave
0.754 0.75 0.849 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50607 0.48366 moveto 0.49014 0.49338 lineto 0.48821 0.48326 lineto gsave
0.767 0.716 0.805 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.50607 0.48366 lineto 0.50513 0.47949 lineto closepath gsave
0.709 0.722 0.86 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47122 0.48925 moveto 0.48821 0.48326 lineto 0.49014 0.49338 lineto gsave
0.784 0.727 0.8 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49014 0.49338 moveto 0.47414 0.50695 lineto 0.47122 0.48925 lineto gsave
0.796 0.707 0.766 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62176 0.50466 moveto 0.60511 0.49877 lineto 0.60664 0.51042 lineto gsave
0.625 0.089 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70484 0.52698 moveto 0.68832 0.52437 lineto 0.69533 0.56096 lineto gsave
0.629 0.152 0.102 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69533 0.56096 moveto 0.71308 0.56277 lineto 0.70484 0.52698 lineto gsave
0.539 0.065 0.077 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.53866 0.47841 lineto 0.53863 0.48042 lineto closepath gsave
0.511 0.777 0.992 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63843 0.51047 moveto 0.62176 0.50466 lineto 0.62413 0.52289 lineto gsave
0.661 0.155 0.033 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60664 0.51042 moveto 0.62413 0.52289 lineto 0.62176 0.50466 lineto gsave
0.71 0.202 0.023 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68832 0.52437 moveto 0.67174 0.52061 lineto 0.67748 0.55525 lineto gsave
0.654 0.181 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67748 0.55525 moveto 0.69533 0.56096 lineto 0.68832 0.52437 lineto gsave
0.617 0.143 0.105 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6551 0.51589 moveto 0.63843 0.51047 lineto 0.6418 0.53523 lineto gsave
0.672 0.185 0.088 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62413 0.52289 moveto 0.6418 0.53523 lineto 0.63843 0.51047 lineto gsave
0.715 0.224 0.077 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.21714 0.49153 moveto 0.20158 0.47828 lineto 0.2072 0.41441 lineto gsave
0.308 0.429 0.821 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.53347 0.47269 lineto 0.53688 0.47579 lineto closepath gsave
0.588 0.699 0.919 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.5288 0.4696 lineto 0.53347 0.47269 lineto closepath gsave
0.578 0.657 0.891 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.52338 0.46726 lineto 0.5288 0.4696 lineto closepath gsave
0.57 0.645 0.885 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.51782 0.46642 lineto 0.52338 0.46726 lineto closepath gsave
0.59 0.664 0.89 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.51272 0.4675 lineto 0.51782 0.46642 lineto closepath gsave
0.641 0.695 0.884 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.50864 0.47047 lineto 0.51272 0.4675 lineto closepath gsave
0.689 0.709 0.863 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.50601 0.47477 lineto 0.50864 0.47047 lineto closepath gsave
0.712 0.706 0.842 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.50513 0.47949 lineto 0.50601 0.47477 lineto closepath gsave
0.714 0.704 0.84 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.4782 moveto 0.53688 0.47579 lineto 0.53866 0.47841 lineto closepath gsave
0.57 0.75 0.963 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67174 0.52061 moveto 0.6551 0.51589 lineto 0.65961 0.54637 lineto gsave
0.668 0.192 0.113 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6418 0.53523 moveto 0.65961 0.54637 lineto 0.6551 0.51589 lineto gsave
0.7 0.22 0.105 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65961 0.54637 moveto 0.67748 0.55525 lineto 0.67174 0.52061 lineto gsave
0.669 0.193 0.113 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39244 0.6007 moveto 0.40895 0.58236 lineto 0.42886 0.6013 lineto gsave
0.861 0.783 0.773 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42886 0.6013 moveto 0.41544 0.62211 lineto 0.39244 0.6007 lineto gsave
0.861 0.783 0.773 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34351 0.6352 moveto 0.35962 0.6281 lineto 0.38892 0.65436 lineto gsave
0.744 0.785 0.886 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4021 0.64016 moveto 0.38892 0.65436 lineto 0.35962 0.6281 lineto gsave
0.81 0.789 0.833 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45412 0.49705 moveto 0.47122 0.48925 lineto 0.47414 0.50695 lineto gsave
0.797 0.707 0.766 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47414 0.50695 moveto 0.45803 0.52365 lineto 0.45412 0.49705 lineto gsave
0.81 0.697 0.74 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48997 0.47095 moveto 0.50601 0.47477 lineto 0.50513 0.47949 lineto gsave
0.707 0.698 0.839 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50513 0.47949 moveto 0.48821 0.48326 lineto 0.48997 0.47095 lineto gsave
0.753 0.684 0.785 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37596 0.61631 moveto 0.39244 0.6007 lineto 0.41544 0.62211 lineto gsave
0.844 0.786 0.796 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41544 0.62211 moveto 0.4021 0.64016 lineto 0.37596 0.61631 lineto gsave
0.844 0.786 0.796 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35962 0.6281 moveto 0.37596 0.61631 lineto 0.4021 0.64016 lineto gsave
0.81 0.789 0.833 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5554 0.4822 moveto 0.53866 0.47841 lineto 0.53688 0.47579 lineto gsave
0.412 0.661 0.962 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47388 0.46678 moveto 0.48997 0.47095 lineto 0.48821 0.48326 lineto gsave
0.73 0.662 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48821 0.48326 moveto 0.47122 0.48925 lineto 0.47388 0.46678 lineto gsave
0.772 0.667 0.747 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49522 0.45962 moveto 0.50864 0.47047 lineto 0.50601 0.47477 lineto gsave
0.671 0.65 0.821 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50601 0.47477 moveto 0.48997 0.47095 lineto 0.49522 0.45962 lineto gsave
0.733 0.668 0.787 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4369 0.50611 moveto 0.45412 0.49705 lineto 0.45803 0.52365 lineto gsave
0.801 0.691 0.743 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45803 0.52365 moveto 0.44179 0.54256 lineto 0.4369 0.50611 lineto gsave
0.815 0.687 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5034 0.45224 moveto 0.51272 0.4675 lineto 0.50864 0.47047 lineto gsave
0.653 0.626 0.811 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50864 0.47047 moveto 0.49522 0.45962 lineto 0.5034 0.45224 lineto gsave
0.692 0.65 0.804 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45773 0.46234 moveto 0.47388 0.46678 lineto 0.47122 0.48925 lineto gsave
0.74 0.638 0.746 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47122 0.48925 moveto 0.45412 0.49705 lineto 0.45773 0.46234 lineto gsave
0.781 0.653 0.722 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53688 0.47579 moveto 0.5519 0.47792 lineto 0.5554 0.4822 lineto gsave
0.306 0.643 0.967 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5519 0.47792 moveto 0.53688 0.47579 lineto 0.53347 0.47269 lineto gsave
0.386 0.622 0.946 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48178 0.44601 moveto 0.49522 0.45962 lineto 0.48997 0.47095 lineto gsave
0.686 0.612 0.767 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48997 0.47095 moveto 0.47388 0.46678 lineto 0.48178 0.44601 lineto gsave
0.742 0.643 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.2072 0.41441 moveto 0.22456 0.41587 lineto 0.21714 0.49153 lineto gsave
0.734 0.758 0.871 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.23283 0.50482 moveto 0.21714 0.49153 lineto 0.22456 0.41587 lineto gsave
0.395 0.448 0.798 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51362 0.45052 moveto 0.51782 0.46642 lineto 0.51272 0.4675 lineto gsave
0.64 0.628 0.822 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51272 0.4675 moveto 0.5034 0.45224 lineto 0.51362 0.45052 lineto gsave
0.626 0.615 0.82 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57229 0.48922 moveto 0.5554 0.4822 lineto 0.5519 0.47792 lineto gsave
0.138 0.526 0.918 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53347 0.47269 moveto 0.54507 0.47072 lineto 0.5519 0.47792 lineto gsave
0.444 0.613 0.92 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54507 0.47072 moveto 0.53347 0.47269 lineto 0.5288 0.4696 lineto gsave
0.441 0.632 0.935 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52478 0.45438 moveto 0.52338 0.46726 lineto 0.51782 0.46642 lineto gsave
0.611 0.642 0.857 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51782 0.46642 moveto 0.51362 0.45052 lineto 0.52478 0.45438 lineto gsave
0.558 0.574 0.826 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.2649 0.52858 moveto 0.28133 0.53768 lineto 0.29752 0.62518 lineto gsave
0.55 0.529 0.785 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31239 0.63368 moveto 0.29752 0.62518 lineto 0.28133 0.53768 lineto gsave
0.431 0.443 0.772 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46835 0.4302 moveto 0.48178 0.44601 lineto 0.47388 0.46678 lineto gsave
0.696 0.59 0.734 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47388 0.46678 moveto 0.45773 0.46234 lineto 0.46835 0.4302 lineto gsave
0.747 0.625 0.725 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49405 0.43295 moveto 0.5034 0.45224 lineto 0.49522 0.45962 lineto gsave
0.656 0.585 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49522 0.45962 moveto 0.48178 0.44601 lineto 0.49405 0.43295 lineto gsave
0.69 0.612 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53568 0.46201 moveto 0.5288 0.4696 lineto 0.52338 0.46726 lineto gsave
0.541 0.649 0.904 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52338 0.46726 moveto 0.52478 0.45438 lineto 0.53568 0.46201 lineto gsave
0.515 0.554 0.834 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5288 0.4696 moveto 0.53568 0.46201 lineto 0.54507 0.47072 lineto gsave
0.491 0.569 0.862 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41956 0.51577 moveto 0.4369 0.50611 lineto 0.44179 0.54256 lineto gsave
0.8 0.676 0.728 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44179 0.54256 moveto 0.42542 0.56255 lineto 0.41956 0.51577 lineto gsave
0.813 0.677 0.713 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44155 0.45769 moveto 0.45773 0.46234 lineto 0.45412 0.49705 lineto gsave
0.746 0.622 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45412 0.49705 moveto 0.4369 0.50611 lineto 0.44155 0.45769 lineto gsave
0.784 0.642 0.705 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48472 0.41046 moveto 0.49405 0.43295 lineto 0.48178 0.44601 lineto gsave
0.659 0.563 0.735 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48178 0.44601 moveto 0.46835 0.4302 lineto 0.48472 0.41046 lineto gsave
0.689 0.589 0.739 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45493 0.4129 moveto 0.46835 0.4302 lineto 0.45773 0.46234 lineto gsave
0.705 0.58 0.712 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45773 0.46234 moveto 0.44155 0.45769 lineto 0.45493 0.4129 lineto gsave
0.75 0.614 0.708 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50939 0.43098 moveto 0.51362 0.45052 lineto 0.5034 0.45224 lineto gsave
0.624 0.577 0.781 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5034 0.45224 moveto 0.49405 0.43295 lineto 0.50939 0.43098 lineto gsave
0.612 0.565 0.777 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44753 0.31128 moveto 0.45685 0.335 lineto 0.42812 0.37721 lineto gsave
0.7 0.576 0.712 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42812 0.37721 moveto 0.41468 0.36052 lineto 0.44753 0.31128 lineto gsave
0.709 0.585 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44153 0.39495 moveto 0.42812 0.37721 lineto 0.45685 0.335 lineto gsave
0.699 0.575 0.712 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41468 0.36052 moveto 0.42812 0.37721 lineto 0.40902 0.44823 lineto gsave
0.741 0.589 0.687 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42812 0.37721 moveto 0.44153 0.39495 lineto 0.42531 0.45295 lineto gsave
0.727 0.58 0.691 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42531 0.45295 moveto 0.40902 0.44823 lineto 0.42812 0.37721 lineto gsave
0.754 0.603 0.69 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47542 0.38582 moveto 0.48472 0.41046 lineto 0.46835 0.4302 lineto gsave
0.664 0.552 0.718 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46835 0.4302 moveto 0.45493 0.4129 lineto 0.47542 0.38582 lineto gsave
0.69 0.577 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45685 0.335 moveto 0.46613 0.36025 lineto 0.44153 0.39495 lineto gsave
0.684 0.559 0.708 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45493 0.4129 moveto 0.44153 0.39495 lineto 0.46613 0.36025 lineto gsave
0.693 0.572 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44153 0.39495 moveto 0.45493 0.4129 lineto 0.44155 0.45769 lineto gsave
0.715 0.577 0.698 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44155 0.45769 moveto 0.42531 0.45295 lineto 0.44153 0.39495 lineto gsave
0.752 0.607 0.697 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46613 0.36025 moveto 0.47542 0.38582 lineto 0.45493 0.4129 lineto gsave
0.672 0.551 0.71 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43814 0.29019 moveto 0.44753 0.31128 lineto 0.41468 0.36052 lineto gsave
0.721 0.603 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41468 0.36052 moveto 0.40115 0.34566 lineto 0.43814 0.29019 lineto gsave
0.722 0.603 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40115 0.34566 moveto 0.41468 0.36052 lineto 0.39269 0.44362 lineto gsave
0.757 0.604 0.688 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40902 0.44823 moveto 0.39269 0.44362 lineto 0.41468 0.36052 lineto gsave
0.756 0.602 0.687 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5519 0.47792 moveto 0.56714 0.48415 lineto 0.57229 0.48922 lineto gsave
0 0.435 0.845 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48819 0.30977 moveto 0.49245 0.33359 lineto 0.45685 0.335 lineto gsave
0.584 0.518 0.746 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45685 0.335 moveto 0.44753 0.31128 lineto 0.48819 0.30977 lineto gsave
0.582 0.514 0.743 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46613 0.36025 moveto 0.45685 0.335 lineto 0.49245 0.33359 lineto gsave
0.584 0.505 0.731 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48387 0.28825 moveto 0.48819 0.30977 lineto 0.44753 0.31128 lineto gsave
0.582 0.535 0.767 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44753 0.31128 moveto 0.43814 0.29019 lineto 0.48387 0.28825 lineto gsave
0.582 0.535 0.767 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42531 0.45295 moveto 0.44155 0.45769 lineto 0.4369 0.50611 lineto gsave
0.75 0.612 0.705 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22456 0.41587 moveto 0.24184 0.41733 lineto 0.23283 0.50482 lineto gsave
0.754 0.726 0.826 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24874 0.51742 moveto 0.23283 0.50482 lineto 0.24184 0.41733 lineto gsave
0.473 0.472 0.775 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42861 0.27263 moveto 0.43814 0.29019 lineto 0.40115 0.34566 lineto gsave
0.75 0.643 0.742 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40115 0.34566 moveto 0.38748 0.33327 lineto 0.42861 0.27263 lineto gsave
0.739 0.63 0.738 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38748 0.33327 moveto 0.40115 0.34566 lineto 0.37628 0.43923 lineto gsave
0.776 0.624 0.692 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39269 0.44362 moveto 0.37628 0.43923 lineto 0.40115 0.34566 lineto gsave
0.757 0.604 0.688 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49245 0.33359 moveto 0.4967 0.35872 lineto 0.46613 0.36025 lineto gsave
0.588 0.511 0.735 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47542 0.38582 moveto 0.46613 0.36025 lineto 0.4967 0.35872 lineto gsave
0.588 0.505 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50516 0.40851 moveto 0.50939 0.43098 lineto 0.49405 0.43295 lineto gsave
0.611 0.544 0.755 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49405 0.43295 moveto 0.48472 0.41046 lineto 0.50516 0.40851 lineto gsave
0.601 0.533 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56714 0.48415 moveto 0.5519 0.47792 lineto 0.54507 0.47072 lineto gsave
0.183 0.482 0.897 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4369 0.50611 moveto 0.41956 0.51577 lineto 0.42531 0.45295 lineto gsave
0.782 0.631 0.694 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4967 0.35872 moveto 0.50093 0.38407 lineto 0.47542 0.38582 lineto gsave
0.594 0.513 0.733 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48472 0.41046 moveto 0.47542 0.38582 lineto 0.50093 0.38407 lineto gsave
0.594 0.514 0.735 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52619 0.43973 moveto 0.52478 0.45438 lineto 0.51362 0.45052 lineto gsave
0.564 0.571 0.819 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51362 0.45052 moveto 0.50939 0.43098 lineto 0.52619 0.43973 lineto gsave
0.532 0.514 0.782 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40213 0.52531 moveto 0.41956 0.51577 lineto 0.42542 0.56255 lineto gsave
0.794 0.663 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42542 0.56255 moveto 0.40895 0.58236 lineto 0.40213 0.52531 lineto gsave
0.805 0.666 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50093 0.38407 moveto 0.50516 0.40851 lineto 0.48472 0.41046 lineto gsave
0.601 0.523 0.739 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47949 0.26985 moveto 0.48387 0.28825 lineto 0.43814 0.29019 lineto gsave
0.579 0.566 0.803 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43814 0.29019 moveto 0.42861 0.27263 lineto 0.47949 0.26985 lineto gsave
0.581 0.571 0.807 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40902 0.44823 moveto 0.42531 0.45295 lineto 0.41956 0.51577 lineto gsave
0.753 0.605 0.694 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41888 0.2593 moveto 0.42861 0.27263 lineto 0.38748 0.33327 lineto gsave
0.786 0.699 0.768 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38748 0.33327 moveto 0.3736 0.32387 lineto 0.41888 0.2593 lineto gsave
0.761 0.668 0.76 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3736 0.32387 moveto 0.38748 0.33327 lineto 0.35981 0.43514 lineto gsave
0.798 0.65 0.699 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37628 0.43923 moveto 0.35981 0.43514 lineto 0.38748 0.33327 lineto gsave
0.759 0.608 0.691 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28133 0.53768 moveto 0.29806 0.54421 lineto 0.31239 0.63368 lineto gsave
0.613 0.556 0.767 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32775 0.63711 moveto 0.31239 0.63368 lineto 0.29806 0.54421 lineto gsave
0.552 0.513 0.765 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54264 0.45533 moveto 0.53568 0.46201 lineto 0.52478 0.45438 lineto gsave
0.45 0.547 0.864 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52478 0.45438 moveto 0.52619 0.43973 lineto 0.54264 0.45533 lineto gsave
0.473 0.488 0.792 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54507 0.47072 moveto 0.55686 0.47194 lineto 0.56714 0.48415 lineto gsave
0.29 0.509 0.895 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55686 0.47194 moveto 0.54507 0.47072 lineto 0.53568 0.46201 lineto gsave
0.296 0.502 0.888 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39269 0.44362 moveto 0.40902 0.44823 lineto 0.40213 0.52531 lineto gsave
0.756 0.602 0.687 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41956 0.51577 moveto 0.40213 0.52531 lineto 0.40902 0.44823 lineto gsave
0.777 0.622 0.687 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47501 0.25523 moveto 0.47949 0.26985 lineto 0.42861 0.27263 lineto gsave
0.574 0.618 0.858 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42861 0.27263 moveto 0.41888 0.2593 lineto 0.47501 0.25523 lineto gsave
0.577 0.633 0.871 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53568 0.46201 moveto 0.54264 0.45533 lineto 0.55686 0.47194 lineto gsave
0.417 0.492 0.83 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52762 0.42365 moveto 0.52619 0.43973 lineto 0.50939 0.43098 lineto gsave
0.525 0.516 0.789 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50939 0.43098 moveto 0.50516 0.40851 lineto 0.52762 0.42365 lineto gsave
0.51 0.474 0.752 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38462 0.534 moveto 0.40213 0.52531 lineto 0.40895 0.58236 lineto gsave
0.784 0.651 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40895 0.58236 moveto 0.39244 0.6007 lineto 0.38462 0.534 lineto gsave
0.791 0.653 0.71 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24184 0.41733 moveto 0.25901 0.4189 lineto 0.24874 0.51742 lineto gsave
0.764 0.697 0.788 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.2649 0.52858 moveto 0.24874 0.51742 lineto 0.25901 0.4189 lineto gsave
0.539 0.494 0.754 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58264 0.49378 moveto 0.56886 0.47579 lineto gsave
0.59224 0.49954 lineto 0 0.275 0.78 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58264 0.49378 moveto 0.58937 0.49889 lineto gsave
0.57224 0.48754 lineto 0 0.215 0.65 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59842 0.50583 moveto 0.60664 0.51042 lineto gsave
0.58447 0.49505 lineto 0.488 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58264 0.49378 moveto 0.59842 0.50583 lineto gsave
0.58447 0.49505 lineto 0.488 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62413 0.52289 moveto 0.60664 0.51042 lineto 0.59842 0.50583 lineto gsave
0.467 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59842 0.50583 moveto 0.61451 0.51912 lineto 0.62413 0.52289 lineto gsave
0.56 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59842 0.50583 moveto 0.58108 0.4815 lineto gsave
0.61206 0.51636 lineto 0 0.251 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.61451 0.51912 moveto 0.59842 0.50583 lineto 0.61206 0.51636 lineto 0 0.251 0.764 setrgbcolor
fill
grestore
gsave
0.59842 0.50583 moveto 0.58264 0.49378 lineto 0.59224 0.49954 lineto 0 0.275 0.78 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.56714 0.48415 moveto 0.58264 0.49378 lineto gsave
0.57224 0.48754 lineto 0 0.215 0.65 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37628 0.43923 moveto 0.39269 0.44362 lineto 0.38462 0.534 lineto gsave
0.758 0.602 0.684 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40213 0.52531 moveto 0.38462 0.534 lineto 0.39269 0.44362 lineto gsave
0.769 0.612 0.684 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40888 0.25065 moveto 0.41888 0.2593 lineto 0.3736 0.32387 lineto gsave
0.83 0.776 0.801 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3736 0.32387 moveto 0.35946 0.31776 lineto 0.40888 0.25065 lineto gsave
0.787 0.719 0.789 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35946 0.31776 moveto 0.3736 0.32387 lineto 0.34326 0.43143 lineto gsave
0.823 0.683 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35981 0.43514 moveto 0.34326 0.43143 lineto 0.3736 0.32387 lineto gsave
0.761 0.615 0.698 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52905 0.40656 moveto 0.52762 0.42365 lineto 0.50516 0.40851 lineto gsave
0.491 0.475 0.768 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50516 0.40851 moveto 0.50093 0.38407 lineto 0.52905 0.40656 lineto gsave
0.49 0.445 0.734 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35981 0.43514 moveto 0.37628 0.43923 lineto 0.3671 0.54114 lineto gsave
0.76 0.604 0.684 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38462 0.534 moveto 0.3671 0.54114 lineto 0.37628 0.43923 lineto gsave
0.758 0.602 0.684 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29806 0.54421 moveto 0.31504 0.54784 lineto 0.32775 0.63711 lineto gsave
0.662 0.578 0.751 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34351 0.6352 moveto 0.32775 0.63711 lineto 0.31504 0.54784 lineto gsave
0.638 0.561 0.752 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5305 0.38894 moveto 0.52905 0.40656 lineto 0.50093 0.38407 lineto gsave
0.461 0.444 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50093 0.38407 moveto 0.4967 0.35872 lineto 0.5305 0.38894 lineto gsave
0.469 0.425 0.726 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3671 0.54114 moveto 0.38462 0.534 lineto 0.39244 0.6007 lineto gsave
0.771 0.639 0.716 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39244 0.6007 moveto 0.37596 0.61631 lineto 0.3671 0.54114 lineto gsave
0.771 0.639 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58264 0.49378 moveto 0.56714 0.48415 lineto 0.55686 0.47194 lineto gsave
0.024 0.355 0.83 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47041 0.24478 moveto 0.47501 0.25523 lineto 0.41888 0.2593 lineto gsave
0.553 0.697 0.936 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41888 0.2593 moveto 0.40888 0.25065 lineto 0.47041 0.24478 lineto gsave
0.551 0.728 0.957 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54971 0.44937 moveto 0.54264 0.45533 lineto 0.52619 0.43973 lineto gsave
0.379 0.464 0.822 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52619 0.43973 moveto 0.52762 0.42365 lineto 0.54971 0.44937 lineto gsave
0.439 0.439 0.762 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53195 0.3713 moveto 0.5305 0.38894 lineto 0.4967 0.35872 lineto gsave
0.433 0.42 0.745 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4967 0.35872 moveto 0.49245 0.33359 lineto 0.53195 0.3713 lineto gsave
0.446 0.41 0.725 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25901 0.4189 moveto 0.27608 0.42069 lineto 0.2649 0.52858 lineto gsave
0.768 0.673 0.758 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28133 0.53768 moveto 0.2649 0.52858 lineto 0.27608 0.42069 lineto gsave
0.593 0.516 0.736 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34326 0.43143 moveto 0.35981 0.43514 lineto 0.34962 0.54611 lineto gsave
0.763 0.608 0.687 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3671 0.54114 moveto 0.34962 0.54611 lineto 0.35981 0.43514 lineto gsave
0.744 0.591 0.686 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53342 0.35417 moveto 0.53195 0.3713 lineto 0.49245 0.33359 lineto gsave
0.406 0.403 0.743 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49245 0.33359 moveto 0.48819 0.30977 lineto 0.53342 0.35417 lineto gsave
0.417 0.399 0.732 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34962 0.54611 moveto 0.3671 0.54114 lineto 0.37596 0.61631 lineto gsave
0.753 0.626 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37596 0.61631 moveto 0.35962 0.6281 lineto 0.34962 0.54611 lineto gsave
0.741 0.62 0.725 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31504 0.54784 moveto 0.33224 0.54844 lineto 0.34351 0.6352 lineto gsave
0.7 0.596 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35962 0.6281 moveto 0.34351 0.6352 lineto 0.33224 0.54844 lineto gsave
0.699 0.595 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39856 0.24688 moveto 0.40888 0.25065 lineto 0.35946 0.31776 lineto gsave
0.872 0.872 0.834 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35946 0.31776 moveto 0.345 0.31507 lineto 0.39856 0.24688 lineto gsave
0.816 0.787 0.825 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.345 0.31507 moveto 0.35946 0.31776 lineto 0.32662 0.42812 lineto gsave
0.849 0.722 0.722 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34326 0.43143 moveto 0.32662 0.42812 lineto 0.35946 0.31776 lineto gsave
0.762 0.625 0.708 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33224 0.54844 moveto 0.34962 0.54611 lineto 0.35962 0.6281 lineto gsave
0.73 0.612 0.727 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53491 0.33802 moveto 0.53342 0.35417 lineto 0.48819 0.30977 lineto gsave
0.378 0.391 0.747 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48819 0.30977 moveto 0.48387 0.28825 lineto 0.53491 0.33802 lineto gsave
0.378 0.391 0.747 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32662 0.42812 moveto 0.34326 0.43143 lineto 0.33224 0.54844 lineto gsave
0.765 0.615 0.693 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34962 0.54611 moveto 0.33224 0.54844 lineto 0.34326 0.43143 lineto gsave
0.725 0.579 0.691 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56886 0.47579 moveto 0.55686 0.47194 lineto 0.54264 0.45533 lineto gsave
0.195 0.397 0.834 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54264 0.45533 moveto 0.54971 0.44937 lineto 0.56886 0.47579 lineto gsave
0.36 0.431 0.799 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55686 0.47194 moveto 0.56886 0.47579 lineto 0.58264 0.49378 lineto gsave
0.16 0.412 0.854 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.84406 0.44636 moveto 0.82871 0.46738 lineto 0.80559 0.41301 lineto gsave
0.942 0.886 0.747 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80559 0.41301 moveto 0.8198 0.38281 lineto 0.84406 0.44636 lineto gsave
0.963 0.868 0.695 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27608 0.42069 moveto 0.29303 0.42278 lineto 0.28133 0.53768 lineto gsave
0.769 0.653 0.734 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29806 0.54421 moveto 0.28133 0.53768 lineto 0.29303 0.42278 lineto gsave
0.638 0.535 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55688 0.44387 moveto 0.54971 0.44937 lineto 0.52762 0.42365 lineto gsave
0.33 0.402 0.786 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52762 0.42365 moveto 0.52905 0.40656 lineto 0.55688 0.44387 lineto gsave
0.41 0.402 0.74 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32662 0.42812 moveto 0.30988 0.42525 lineto 0.345 0.31507 lineto gsave
0.763 0.638 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30988 0.42525 moveto 0.32662 0.42812 lineto 0.31504 0.54784 lineto gsave
0.767 0.625 0.702 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33224 0.54844 moveto 0.31504 0.54784 lineto 0.32662 0.42812 lineto gsave
0.702 0.566 0.699 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53641 0.32326 moveto 0.53491 0.33802 lineto 0.48387 0.28825 lineto gsave
0.348 0.384 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48387 0.28825 moveto 0.47949 0.26985 lineto 0.53641 0.32326 lineto gsave
0.32 0.385 0.773 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46565 0.23867 moveto 0.47041 0.24478 lineto 0.40888 0.25065 lineto gsave
0.476 0.787 0.999 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40888 0.25065 moveto 0.39856 0.24688 lineto 0.46565 0.23867 lineto gsave
0.433 0.811 0.992 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29303 0.42278 moveto 0.30988 0.42525 lineto 0.29806 0.54421 lineto gsave
0.768 0.637 0.716 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31504 0.54784 moveto 0.29806 0.54421 lineto 0.30988 0.42525 lineto gsave
0.673 0.551 0.708 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38785 0.24788 moveto 0.39856 0.24688 lineto 0.345 0.31507 lineto gsave
0.883 0.966 0.841 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.345 0.31507 moveto 0.33016 0.31573 lineto 0.38785 0.24788 lineto gsave
0.839 0.868 0.864 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33016 0.31573 moveto 0.345 0.31507 lineto 0.30988 0.42525 lineto gsave
0.876 0.767 0.739 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30988 0.42525 moveto 0.29303 0.42278 lineto 0.33016 0.31573 lineto gsave
0.764 0.655 0.742 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6418 0.53523 moveto 0.62413 0.52289 lineto 0.61451 0.51912 lineto gsave
0.509 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56415 0.43854 moveto 0.55688 0.44387 lineto 0.52905 0.40656 lineto gsave
0.301 0.36 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52905 0.40656 moveto 0.5305 0.38894 lineto 0.56415 0.43854 lineto gsave
0.384 0.375 0.726 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53794 0.3102 moveto 0.53641 0.32326 lineto 0.47949 0.26985 lineto gsave
0.315 0.384 0.774 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47949 0.26985 moveto 0.47501 0.25523 lineto 0.53794 0.3102 lineto gsave
0.228 0.377 0.806 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.82871 0.46738 moveto 0.81318 0.48853 lineto 0.79122 0.44339 lineto gsave
0.946 0.905 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79122 0.44339 moveto 0.80559 0.41301 lineto 0.82871 0.46738 lineto gsave
0.968 0.881 0.693 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31491 0.31946 moveto 0.33016 0.31573 lineto 0.29303 0.42278 lineto gsave
0.901 0.819 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29303 0.42278 moveto 0.27608 0.42069 lineto 0.31491 0.31946 lineto gsave
0.762 0.677 0.768 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58108 0.4815 moveto 0.56886 0.47579 lineto 0.54971 0.44937 lineto gsave
0.148 0.33 0.79 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54971 0.44937 moveto 0.55688 0.44387 lineto 0.58108 0.4815 lineto gsave
0.321 0.386 0.774 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56886 0.47579 moveto 0.58108 0.4815 lineto 0.59842 0.50583 lineto gsave
0.077 0.343 0.817 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29925 0.32578 moveto 0.31491 0.31946 lineto 0.27608 0.42069 lineto gsave
0.919 0.873 0.776 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27608 0.42069 moveto 0.25901 0.4189 lineto 0.29925 0.32578 lineto gsave
0.758 0.703 0.8 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57153 0.43306 moveto 0.56415 0.43854 lineto 0.5305 0.38894 lineto gsave
0.289 0.335 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5305 0.38894 moveto 0.53195 0.3713 lineto 0.57153 0.43306 lineto gsave
0.358 0.353 0.717 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46073 0.23684 moveto 0.46565 0.23867 lineto 0.39856 0.24688 lineto gsave
0.268 0.766 0.89 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39856 0.24688 moveto 0.38785 0.24788 lineto 0.46073 0.23684 lineto gsave
0.153 0.695 0.754 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37673 0.2533 moveto 0.38785 0.24788 lineto 0.33016 0.31573 lineto gsave
0.812 0.997 0.777 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33016 0.31573 moveto 0.31491 0.31946 lineto 0.37673 0.2533 lineto gsave
0.839 0.948 0.89 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5395 0.29904 moveto 0.53794 0.3102 lineto 0.47501 0.25523 lineto gsave
0.277 0.39 0.798 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47501 0.25523 moveto 0.47041 0.24478 lineto 0.5395 0.29904 lineto gsave
0.071 0.357 0.828 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65961 0.54637 moveto 0.6418 0.53523 lineto 0.63087 0.53232 lineto gsave
0.494 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61451 0.51912 moveto 0.63087 0.53232 lineto 0.6418 0.53523 lineto gsave
0.572 0.007 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81318 0.48853 moveto 0.79739 0.50871 lineto 0.77657 0.47254 lineto gsave
0.941 0.926 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77657 0.47254 moveto 0.79122 0.44339 lineto 0.81318 0.48853 lineto gsave
0.967 0.898 0.703 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28316 0.33406 moveto 0.29925 0.32578 lineto 0.25901 0.4189 lineto gsave
0.923 0.926 0.794 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25901 0.4189 moveto 0.24184 0.41733 lineto 0.28316 0.33406 lineto gsave
0.747 0.734 0.84 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57901 0.42709 moveto 0.57153 0.43306 lineto 0.53195 0.3713 lineto gsave
0.292 0.324 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53195 0.3713 moveto 0.53342 0.35417 lineto 0.57901 0.42709 lineto gsave
0.333 0.337 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59355 0.48813 moveto 0.58108 0.4815 lineto 0.55688 0.44387 lineto gsave
0.149 0.3 0.762 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55688 0.44387 moveto 0.56415 0.43854 lineto 0.59355 0.48813 lineto gsave
0.3 0.358 0.755 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.2667 0.34349 moveto 0.28316 0.33406 lineto 0.24184 0.41733 lineto gsave
0.905 0.968 0.809 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24184 0.41733 moveto 0.22456 0.41587 lineto 0.2667 0.34349 lineto gsave
0.726 0.767 0.886 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67748 0.55525 moveto 0.65961 0.54637 lineto 0.64745 0.54401 lineto gsave
0.421 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63087 0.53232 moveto 0.64745 0.54401 lineto 0.65961 0.54637 lineto gsave
0.531 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79739 0.50871 moveto 0.78126 0.52682 lineto 0.76155 0.49902 lineto gsave
0.922 0.951 0.793 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76155 0.49902 moveto 0.77657 0.47254 lineto 0.79739 0.50871 lineto gsave
0.958 0.92 0.727 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24991 0.35318 moveto 0.2667 0.34349 lineto 0.22456 0.41587 lineto gsave
0.861 0.994 0.821 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22456 0.41587 moveto 0.2072 0.41441 lineto 0.24991 0.35318 lineto gsave
0.688 0.799 0.934 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54109 0.28987 moveto 0.5395 0.29904 lineto 0.47041 0.24478 lineto gsave
0.235 0.405 0.828 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54272 0.28263 moveto 0.54109 0.28987 lineto 0.46565 0.23867 lineto gsave
0.188 0.43 0.861 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47041 0.24478 moveto 0.46565 0.23867 lineto 0.52556 0.27933 lineto gsave
0 0.292 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46565 0.23867 moveto 0.46073 0.23684 lineto 0.53074 0.27594 lineto gsave
0.408 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53074 0.27594 moveto 0.54272 0.28263 lineto gsave
0.53501 0.27823 lineto 0.408 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.46565 0.23867 moveto 0.53074 0.27594 lineto 0.53501 0.27823 lineto 0.408 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.49787 0.25758 moveto 0.46073 0.23684 lineto gsave
0.48849 0.25021 lineto 0.14 0.466 0.891 setrgbcolor
fill grestore
stroke
grestore
gsave
0.54439 0.27715 moveto 0.49787 0.25758 lineto 0.48849 0.25021 lineto 0.14 0.466 0.891 setrgbcolor
fill
grestore
gsave
0.47041 0.24478 moveto 0.52556 0.27933 lineto 0.52985 0.2827 lineto 0 0.292 0.764 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.46073 0.23684 moveto 0.45561 0.23893 lineto 0.53592 0.27351 lineto gsave
0.518 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53592 0.27351 moveto 0.54439 0.27715 lineto gsave
0.53941 0.27475 lineto 0.518 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.46073 0.23684 moveto 0.53592 0.27351 lineto 0.53941 0.27475 lineto 0.518 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.5461 0.27312 moveto 0.54439 0.27715 lineto 0.48696 0.25243 lineto gsave
0.101 0.511 0.907 setrgbcolor
fill grestore
stroke
grestore
gsave
0.5461 0.27312 moveto 0.48696 0.25243 lineto 0.4766 0.24686 lineto 0.101 0.511 0.907 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.54439 0.27715 moveto 0.54272 0.28263 lineto 0.49787 0.25758 lineto gsave
0.14 0.466 0.891 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48696 0.25243 moveto 0.45561 0.23893 lineto gsave
0.4766 0.24686 lineto 0.101 0.511 0.907 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45561 0.23893 moveto 0.4503 0.24438 lineto 0.5414 0.27171 lineto gsave
0.538 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5414 0.27171 moveto 0.5461 0.27312 lineto gsave
0.54354 0.27215 lineto 0.538 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.45561 0.23893 moveto 0.5414 0.27171 lineto 0.54354 0.27215 lineto 0.538 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.54785 0.27014 moveto 0.5461 0.27312 lineto 0.47575 0.25202 lineto gsave
0.087 0.563 0.904 setrgbcolor
fill grestore
stroke
grestore
gsave
0.54785 0.27014 moveto 0.47575 0.25202 lineto 0.46592 0.2485 lineto 0.087 0.563 0.904 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.47575 0.25202 moveto 0.4503 0.24438 lineto gsave
0.46592 0.2485 lineto 0.087 0.563 0.904 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4503 0.24438 moveto 0.44478 0.25238 lineto 0.54785 0.27014 lineto gsave
0.521 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54964 0.2677 moveto 0.54785 0.27014 lineto 0.46366 0.25563 lineto gsave
0.111 0.622 0.893 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46366 0.25563 moveto 0.44478 0.25238 lineto gsave
0.45553 0.25395 lineto 0.111 0.622 0.893 setrgbcolor
fill grestore
stroke
grestore
gsave
0.54964 0.2677 moveto 0.46366 0.25563 lineto 0.45553 0.25395 lineto 0.111 0.622 0.893 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.52556 0.27933 moveto 0.54109 0.28987 lineto gsave
0.52985 0.2827 lineto 0 0.292 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58657 0.42032 moveto 0.57901 0.42709 lineto 0.53342 0.35417 lineto gsave
0.305 0.325 0.717 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53342 0.35417 moveto 0.53491 0.33802 lineto 0.58657 0.42032 lineto gsave
0.306 0.325 0.717 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58108 0.4815 moveto 0.59355 0.48813 lineto 0.61451 0.51912 lineto gsave
0.049 0.312 0.798 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36516 0.26252 moveto 0.37673 0.2533 lineto 0.31491 0.31946 lineto gsave
0.648 0.922 0.634 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31491 0.31946 moveto 0.29925 0.32578 lineto 0.36516 0.26252 lineto gsave
0.787 0.993 0.877 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45561 0.23893 moveto 0.46073 0.23684 lineto 0.38785 0.24788 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38785 0.24788 moveto 0.37673 0.2533 lineto 0.45561 0.23893 lineto gsave
0.092 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69533 0.56096 moveto 0.67748 0.55525 lineto 0.66417 0.55282 lineto gsave
0.269 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64745 0.54401 moveto 0.66417 0.55282 lineto 0.67748 0.55525 lineto gsave
0.421 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78126 0.52682 moveto 0.76475 0.54192 lineto 0.74613 0.52156 lineto gsave
0.88 0.976 0.836 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74613 0.52156 moveto 0.76155 0.49902 lineto 0.78126 0.52682 lineto gsave
0.936 0.947 0.768 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60624 0.49461 moveto 0.59355 0.48813 lineto 0.56415 0.43854 lineto gsave
0.186 0.299 0.748 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56415 0.43854 moveto 0.57153 0.43306 lineto 0.60624 0.49461 lineto gsave
0.294 0.344 0.744 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63087 0.53232 moveto 0.61451 0.51912 lineto 0.59355 0.48813 lineto gsave
0 0.276 0.778 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59422 0.41246 moveto 0.58657 0.42032 lineto 0.53491 0.33802 lineto gsave
0.328 0.335 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53491 0.33802 moveto 0.53641 0.32326 lineto 0.59422 0.41246 lineto gsave
0.276 0.317 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66417 0.55282 moveto 0.68093 0.55752 lineto 0.69533 0.56096 lineto gsave
0.204 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71308 0.56277 moveto 0.69533 0.56096 lineto 0.68093 0.55752 lineto gsave
0 0.561 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76475 0.54192 moveto 0.74785 0.55323 lineto 0.7303 0.53914 lineto gsave
0.791 0.988 0.89 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7303 0.53914 moveto 0.74613 0.52156 lineto 0.76475 0.54192 lineto gsave
0.886 0.976 0.83 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73061 0.56024 moveto 0.71308 0.56277 lineto 0.69761 0.55715 lineto gsave
0.321 0.803 0.894 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68093 0.55752 moveto 0.69761 0.55715 lineto 0.71308 0.56277 lineto gsave
0.148 0.682 0.852 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74785 0.55323 moveto 0.73061 0.56024 lineto 0.7141 0.55109 lineto gsave
0.613 0.949 0.929 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7141 0.55109 moveto 0.7303 0.53914 lineto 0.74785 0.55323 lineto gsave
0.771 0.985 0.903 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35316 0.27464 moveto 0.36516 0.26252 lineto 0.30347 0.32173 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.35316 0.27464 moveto 0.30347 0.32173 lineto 0.30514 0.32019 lineto 0 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.30347 0.32173 moveto 0.29925 0.32578 lineto gsave
0.30514 0.32019 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29925 0.32578 moveto 0.28316 0.33406 lineto 0.35316 0.27464 lineto gsave
0.676 0.974 0.811 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34074 0.28855 moveto 0.35316 0.27464 lineto 0.28352 0.33375 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28352 0.33375 moveto 0.28316 0.33406 lineto gsave
0.28374 0.3336 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.34074 0.28855 moveto 0.28352 0.33375 lineto 0.28374 0.3336 lineto 0 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.28316 0.33406 moveto 0.2667 0.34349 lineto 0.33438 0.29327 lineto gsave
0.541 0.907 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.28316 0.33406 moveto 0.33438 0.29327 lineto 0.33202 0.29544 lineto 0.541 0.907 0.723 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.33438 0.29327 moveto 0.34074 0.28855 lineto gsave
0.33202 0.29544 lineto 0.541 0.907 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32797 0.30297 moveto 0.34074 0.28855 lineto 0.2667 0.34349 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.2667 0.34349 moveto 0.24991 0.35318 lineto 0.32743 0.30332 lineto gsave
0.429 0.84 0.659 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32743 0.30332 moveto 0.32797 0.30297 lineto gsave
0.32712 0.30353 lineto 0.429 0.84 0.659 setrgbcolor
fill grestore
stroke
grestore
gsave
0.2667 0.34349 moveto 0.32743 0.30332 lineto 0.32712 0.30353 lineto 0.429 0.84 0.659 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.69761 0.55715 moveto 0.7141 0.55109 lineto 0.73061 0.56024 lineto gsave
0.527 0.91 0.94 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59355 0.48813 moveto 0.60624 0.49461 lineto 0.63087 0.53232 lineto gsave
0.077 0.32 0.799 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60194 0.4033 moveto 0.59422 0.41246 lineto 0.53641 0.32326 lineto gsave
0.358 0.352 0.717 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53641 0.32326 moveto 0.53794 0.3102 lineto 0.60194 0.4033 lineto gsave
0.242 0.313 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61913 0.49986 moveto 0.60624 0.49461 lineto 0.57153 0.43306 lineto gsave
0.248 0.32 0.742 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57153 0.43306 moveto 0.57901 0.42709 lineto 0.61913 0.49986 lineto gsave
0.302 0.343 0.738 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4503 0.24438 moveto 0.45561 0.23893 lineto 0.37673 0.2533 lineto gsave
0.137 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37673 0.2533 moveto 0.36516 0.26252 lineto 0.4503 0.24438 lineto gsave
0.209 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64745 0.54401 moveto 0.63087 0.53232 lineto 0.60624 0.49461 lineto gsave
0.109 0.34 0.809 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60972 0.3927 moveto 0.60194 0.4033 lineto 0.53794 0.3102 lineto gsave
0.392 0.376 0.722 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53794 0.3102 moveto 0.5395 0.29904 lineto 0.60972 0.3927 lineto gsave
0.203 0.315 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63216 0.5028 moveto 0.61913 0.49986 lineto 0.57901 0.42709 lineto gsave
0.322 0.353 0.738 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57901 0.42709 moveto 0.58657 0.42032 lineto 0.63216 0.5028 lineto gsave
0.323 0.353 0.738 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60624 0.49461 moveto 0.61913 0.49986 lineto 0.64745 0.54401 lineto gsave
0.151 0.361 0.816 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.8198 0.38281 moveto 0.80559 0.41301 lineto 0.74656 0.3546 lineto gsave
0.889 0.741 0.692 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74656 0.3546 moveto 0.7586 0.32605 lineto 0.8198 0.38281 lineto gsave
0.879 0.76 0.728 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66417 0.55282 moveto 0.64745 0.54401 lineto 0.61913 0.49986 lineto gsave
0.26 0.424 0.836 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61755 0.38061 moveto 0.60972 0.3927 lineto 0.5395 0.29904 lineto gsave
0.431 0.405 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5395 0.29904 moveto 0.54109 0.28987 lineto 0.61755 0.38061 lineto gsave
0.159 0.324 0.782 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44478 0.25238 moveto 0.4503 0.24438 lineto 0.36516 0.26252 lineto gsave
0.203 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36516 0.26252 moveto 0.35316 0.27464 lineto 0.44478 0.25238 lineto gsave
0.256 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64528 0.50248 moveto 0.63216 0.5028 lineto 0.58657 0.42032 lineto gsave
0.399 0.391 0.735 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58657 0.42032 moveto 0.59422 0.41246 lineto 0.64528 0.50248 lineto gsave
0.353 0.373 0.743 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80559 0.41301 moveto 0.79122 0.44339 lineto 0.73446 0.38317 lineto gsave
0.88 0.729 0.69 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73446 0.38317 moveto 0.74656 0.3546 lineto 0.80559 0.41301 lineto gsave
0.869 0.748 0.727 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61913 0.49986 moveto 0.63216 0.5028 lineto 0.66417 0.55282 lineto gsave
0.261 0.424 0.836 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68093 0.55752 moveto 0.66417 0.55282 lineto 0.63216 0.5028 lineto gsave
0.416 0.507 0.844 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62542 0.36706 moveto 0.61755 0.38061 lineto 0.54109 0.28987 lineto gsave
0.472 0.438 0.739 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54109 0.28987 moveto 0.54272 0.28263 lineto 0.62542 0.36706 lineto gsave
0.111 0.344 0.811 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79122 0.44339 moveto 0.77657 0.47254 lineto 0.72224 0.41061 lineto gsave
0.867 0.718 0.696 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72224 0.41061 moveto 0.73446 0.38317 lineto 0.79122 0.44339 lineto gsave
0.854 0.736 0.733 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65842 0.49814 moveto 0.64528 0.50248 lineto 0.59422 0.41246 lineto gsave
0.472 0.43 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59422 0.41246 moveto 0.60194 0.4033 lineto 0.65842 0.49814 lineto gsave
0.391 0.401 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69761 0.55715 moveto 0.68093 0.55752 lineto 0.64528 0.50248 lineto gsave
0.551 0.574 0.831 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63216 0.5028 moveto 0.64528 0.50248 lineto 0.68093 0.55752 lineto gsave
0.386 0.495 0.848 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77657 0.47254 moveto 0.76155 0.49902 lineto 0.70985 0.43581 lineto gsave
0.848 0.707 0.707 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70985 0.43581 moveto 0.72224 0.41061 lineto 0.77657 0.47254 lineto gsave
0.831 0.723 0.745 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63332 0.35218 moveto 0.62542 0.36706 lineto 0.54272 0.28263 lineto gsave
0.515 0.475 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54272 0.28263 moveto 0.54439 0.27715 lineto 0.63332 0.35218 lineto gsave
0.065 0.376 0.841 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43908 0.26191 moveto 0.44478 0.25238 lineto 0.35316 0.27464 lineto gsave
0.22 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35316 0.27464 moveto 0.34074 0.28855 lineto 0.43908 0.26191 lineto gsave
0.267 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6715 0.48929 moveto 0.65842 0.49814 lineto 0.60194 0.4033 lineto gsave
0.538 0.466 0.722 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60194 0.4033 moveto 0.60972 0.3927 lineto 0.6715 0.48929 lineto gsave
0.435 0.435 0.759 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7141 0.55109 moveto 0.69761 0.55715 lineto 0.65842 0.49814 lineto gsave
0.654 0.623 0.806 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64528 0.50248 moveto 0.65842 0.49814 lineto 0.69761 0.55715 lineto gsave
0.507 0.562 0.846 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76155 0.49902 moveto 0.74613 0.52156 lineto 0.69725 0.45779 lineto gsave
0.821 0.694 0.725 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69725 0.45779 moveto 0.70985 0.43581 lineto 0.76155 0.49902 lineto gsave
0.799 0.706 0.763 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74613 0.52156 moveto 0.7303 0.53914 lineto 0.68446 0.47579 lineto gsave
0.783 0.678 0.748 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68446 0.47579 moveto 0.69725 0.45779 lineto 0.74613 0.52156 lineto gsave
0.754 0.685 0.785 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7303 0.53914 moveto 0.7141 0.55109 lineto 0.6715 0.48929 lineto gsave
0.73 0.656 0.776 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65842 0.49814 moveto 0.6715 0.48929 lineto 0.7141 0.55109 lineto gsave
0.611 0.616 0.831 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6715 0.48929 moveto 0.68446 0.47579 lineto 0.7303 0.53914 lineto gsave
0.693 0.656 0.809 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68446 0.47579 moveto 0.6715 0.48929 lineto 0.60972 0.3927 lineto gsave
0.595 0.498 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60972 0.3927 moveto 0.61755 0.38061 lineto 0.68446 0.47579 lineto gsave
0.484 0.473 0.77 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64126 0.33619 moveto 0.63332 0.35218 lineto 0.54439 0.27715 lineto gsave
0.558 0.514 0.762 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54439 0.27715 moveto 0.5461 0.27312 lineto 0.64126 0.33619 lineto gsave
0.03 0.423 0.865 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69725 0.45779 moveto 0.68446 0.47579 lineto 0.61755 0.38061 lineto gsave
0.643 0.528 0.708 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61755 0.38061 moveto 0.62542 0.36706 lineto 0.69725 0.45779 lineto gsave
0.534 0.515 0.781 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43321 0.27183 moveto 0.43908 0.26191 lineto 0.34074 0.28855 lineto gsave
0.204 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34074 0.28855 moveto 0.32797 0.30297 lineto 0.43321 0.27183 lineto gsave
0.251 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7586 0.32605 moveto 0.74656 0.3546 lineto 0.65726 0.30202 lineto gsave
0.795 0.653 0.706 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65726 0.30202 moveto 0.66535 0.28451 lineto 0.7586 0.32605 lineto gsave
0.749 0.73 0.834 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44478 0.25238 moveto 0.43908 0.26191 lineto 0.54964 0.2677 lineto gsave
0.485 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70985 0.43581 moveto 0.69725 0.45779 lineto 0.62542 0.36706 lineto gsave
0.684 0.555 0.702 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62542 0.36706 moveto 0.63332 0.35218 lineto 0.70985 0.43581 lineto gsave
0.584 0.559 0.792 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74656 0.3546 moveto 0.73446 0.38317 lineto 0.64924 0.31937 lineto gsave
0.773 0.628 0.699 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64924 0.31937 moveto 0.65726 0.30202 lineto 0.74656 0.3546 lineto gsave
0.716 0.689 0.823 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64924 0.31937 moveto 0.64126 0.33619 lineto 0.5461 0.27312 lineto gsave
0.601 0.556 0.776 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5461 0.27312 moveto 0.54785 0.27014 lineto 0.64924 0.31937 lineto gsave
0.023 0.486 0.877 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73446 0.38317 moveto 0.72224 0.41061 lineto 0.64126 0.33619 lineto gsave
0.748 0.604 0.697 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64126 0.33619 moveto 0.64924 0.31937 lineto 0.73446 0.38317 lineto gsave
0.676 0.647 0.813 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72224 0.41061 moveto 0.70985 0.43581 lineto 0.63332 0.35218 lineto gsave
0.719 0.58 0.698 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63332 0.35218 moveto 0.64126 0.33619 lineto 0.72224 0.41061 lineto gsave
0.632 0.603 0.803 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65726 0.30202 moveto 0.64924 0.31937 lineto 0.54785 0.27014 lineto gsave
0.643 0.601 0.792 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54785 0.27014 moveto 0.54964 0.2677 lineto 0.65726 0.30202 lineto gsave
0.056 0.562 0.883 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55146 0.26527 moveto 0.54964 0.2677 lineto 0.43908 0.26191 lineto gsave
0.177 0.691 0.893 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43908 0.26191 moveto 0.43321 0.27183 lineto 0.55146 0.26527 lineto gsave
0.431 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66535 0.28451 moveto 0.65726 0.30202 lineto 0.54964 0.2677 lineto gsave
0.682 0.648 0.81 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54964 0.2677 moveto 0.55146 0.26527 lineto 0.66535 0.28451 lineto gsave
0.136 0.651 0.893 setrgbcolor
fill grestore
stroke
grestore
gsave
grestore
% End of Graphics
MathPictureEnd
:[font = input; preserveAspect; startGroup; ]
uu[0,5.52007,0];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; pageBreakBelow; dontNoPageBreakBelow; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 270; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.9583 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.024849 0.999121 0.024978 0.999121 [
[ 0 0 0 0 ]
[ 1 0.958298 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics3D
[ ] 0 setdash
0 setgray
0 0 moveto
1 0 lineto
1 0.9583 lineto
0 0.9583 lineto
closepath
clip
newpath
gsave
0.002 setlinewidth
0.46235 0.55602 moveto 0.46597 0.52859 lineto 0.54194 0.53228 lineto gsave
0.72 0.574 0.691 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54194 0.53228 moveto 0.54316 0.55988 lineto 0.46235 0.55602 lineto gsave
0.72 0.574 0.691 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54075 0.50891 moveto 0.54194 0.53228 lineto 0.46597 0.52859 lineto gsave
0.719 0.591 0.712 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54316 0.55988 moveto 0.54194 0.53228 lineto 0.61632 0.5212 lineto gsave
0.667 0.533 0.692 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54194 0.53228 moveto 0.54075 0.50891 lineto 0.61046 0.49837 lineto gsave
0.67 0.553 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61046 0.49837 moveto 0.61632 0.5212 lineto 0.54194 0.53228 lineto gsave
0.67 0.553 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46597 0.52859 moveto 0.46951 0.5054 lineto 0.54075 0.50891 lineto gsave
0.719 0.591 0.712 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53958 0.49117 moveto 0.54075 0.50891 lineto 0.46951 0.5054 lineto gsave
0.715 0.624 0.755 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54075 0.50891 moveto 0.53958 0.49117 lineto 0.60476 0.48121 lineto gsave
0.675 0.594 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60476 0.48121 moveto 0.61046 0.49837 lineto 0.54075 0.50891 lineto gsave
0.675 0.594 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45866 0.58606 moveto 0.46235 0.55602 lineto 0.54316 0.55988 lineto gsave
0.72 0.567 0.681 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54316 0.55988 moveto 0.5444 0.59007 lineto 0.45866 0.58606 lineto gsave
0.72 0.567 0.681 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5444 0.59007 moveto 0.54316 0.55988 lineto 0.62231 0.54829 lineto gsave
0.665 0.524 0.682 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61632 0.5212 moveto 0.62231 0.54829 lineto 0.54316 0.55988 lineto gsave
0.667 0.533 0.692 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38641 0.53693 moveto 0.39468 0.51034 lineto 0.46597 0.52859 lineto gsave
0.77 0.621 0.695 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46597 0.52859 moveto 0.46235 0.55602 lineto 0.38641 0.53693 lineto gsave
0.77 0.621 0.695 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46951 0.5054 moveto 0.46597 0.52859 lineto 0.39468 0.51034 lineto gsave
0.765 0.635 0.717 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39468 0.51034 moveto 0.40275 0.48806 lineto 0.46951 0.5054 lineto gsave
0.765 0.635 0.717 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47296 0.48785 moveto 0.46951 0.5054 lineto 0.40275 0.48806 lineto gsave
0.752 0.661 0.761 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46951 0.5054 moveto 0.47296 0.48785 lineto 0.53958 0.49117 lineto gsave
0.715 0.624 0.755 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53844 0.48015 moveto 0.53958 0.49117 lineto 0.47296 0.48785 lineto gsave
0.692 0.697 0.85 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53958 0.49117 moveto 0.53844 0.48015 lineto 0.59921 0.47081 lineto gsave
0.676 0.685 0.851 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59921 0.47081 moveto 0.60476 0.48121 lineto 0.53958 0.49117 lineto gsave
0.676 0.685 0.851 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45495 0.61688 moveto 0.45866 0.58606 lineto 0.5444 0.59007 lineto gsave
0.72 0.565 0.678 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5444 0.59007 moveto 0.54564 0.62104 lineto 0.45495 0.61688 lineto gsave
0.72 0.565 0.678 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54564 0.62104 moveto 0.5444 0.59007 lineto 0.62841 0.578 lineto gsave
0.664 0.521 0.68 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62231 0.54829 moveto 0.62841 0.578 lineto 0.5444 0.59007 lineto gsave
0.665 0.524 0.682 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37799 0.56616 moveto 0.38641 0.53693 lineto 0.46235 0.55602 lineto gsave
0.772 0.615 0.685 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46235 0.55602 moveto 0.45866 0.58606 lineto 0.37799 0.56616 lineto gsave
0.772 0.615 0.685 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40275 0.48806 moveto 0.41059 0.47147 lineto 0.47296 0.48785 lineto gsave
0.752 0.661 0.761 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4763 0.47704 moveto 0.47296 0.48785 lineto 0.41059 0.47147 lineto gsave
0.706 0.712 0.853 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47296 0.48785 moveto 0.4763 0.47704 lineto 0.53844 0.48015 lineto gsave
0.692 0.697 0.85 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62841 0.578 moveto 0.63456 0.60852 lineto 0.54564 0.62104 lineto gsave
0.664 0.521 0.68 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36949 0.59623 moveto 0.37799 0.56616 lineto 0.45866 0.58606 lineto gsave
0.773 0.613 0.682 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45866 0.58606 moveto 0.45495 0.61688 lineto 0.36949 0.59623 lineto gsave
0.773 0.613 0.682 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61632 0.5212 moveto 0.61046 0.49837 lineto 0.67268 0.47443 lineto gsave
0.615 0.519 0.722 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61046 0.49837 moveto 0.60476 0.48121 lineto 0.6628 0.45861 lineto gsave
0.632 0.569 0.766 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6628 0.45861 moveto 0.67268 0.47443 lineto 0.61046 0.49837 lineto gsave
0.632 0.569 0.766 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62231 0.54829 moveto 0.61632 0.5212 lineto 0.68285 0.49598 lineto gsave
0.606 0.494 0.699 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67268 0.47443 moveto 0.68285 0.49598 lineto 0.61632 0.5212 lineto gsave
0.615 0.519 0.722 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53733 0.47658 moveto 0.53844 0.48015 lineto 0.4763 0.47704 lineto gsave
0.443 0.799 0.997 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53844 0.48015 moveto 0.53733 0.47658 lineto 0.59378 0.46788 lineto gsave
0.528 0.858 0.996 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59378 0.46788 moveto 0.59921 0.47081 lineto 0.53844 0.48015 lineto gsave
0.528 0.858 0.996 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62841 0.578 moveto 0.62231 0.54829 lineto 0.69327 0.52188 lineto gsave
0.602 0.482 0.689 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68285 0.49598 moveto 0.69327 0.52188 lineto 0.62231 0.54829 lineto gsave
0.606 0.494 0.699 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60476 0.48121 moveto 0.59921 0.47081 lineto 0.65321 0.44962 lineto gsave
0.66 0.678 0.856 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65321 0.44962 moveto 0.6628 0.45861 lineto 0.60476 0.48121 lineto gsave
0.66 0.678 0.856 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41059 0.47147 moveto 0.41821 0.46167 lineto 0.4763 0.47704 lineto gsave
0.706 0.712 0.853 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47957 0.47368 moveto 0.4763 0.47704 lineto 0.41821 0.46167 lineto gsave
0.403 0.738 0.992 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42563 0.45938 moveto 0.47957 0.47368 lineto gsave
0.4375 0.46545 lineto 0.403 0.738 0.992 setrgbcolor
fill grestore
stroke
grestore
gsave
0.41821 0.46167 moveto 0.42563 0.45938 lineto 0.4375 0.46545 lineto 0.403 0.738 0.992 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.38053 0.43469 moveto 0.42563 0.45938 lineto gsave
0.38723 0.44277 lineto 0.408 0.687 0.976 setrgbcolor
fill grestore
stroke
grestore
gsave
0.36949 0.4351 moveto 0.38053 0.43469 lineto 0.38723 0.44277 lineto 0.408 0.687 0.976 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.38053 0.43469 moveto 0.34896 0.40154 lineto gsave
0.36897 0.42074 lineto 0 0.228 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42563 0.45938 moveto 0.38053 0.43469 lineto gsave
0.40519 0.44893 lineto 0.494 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42563 0.45938 moveto 0.41821 0.46167 lineto 0.36949 0.4351 lineto gsave
0.408 0.687 0.976 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39134 0.4422 moveto 0.43291 0.46493 lineto gsave
0.39281 0.44178 lineto 0.494 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.38053 0.43469 moveto 0.39134 0.4422 lineto 0.39281 0.44178 lineto 0.494 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.39134 0.4422 moveto 0.38053 0.43469 lineto gsave
0.36897 0.42074 lineto 0 0.228 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3624 0.41175 moveto 0.39134 0.4422 lineto gsave
0.35894 0.41111 lineto 0 0.228 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.34896 0.40154 moveto 0.3624 0.41175 lineto 0.35894 0.41111 lineto 0 0.228 0.724 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.3624 0.41175 moveto 0.34972 0.37627 lineto gsave
0.36731 0.41265 lineto 0 0.055 0.621 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39134 0.4422 moveto 0.3624 0.41175 lineto gsave
0.38926 0.4428 lineto 0.701 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33518 0.39932 moveto 0.34896 0.40154 lineto 0.38053 0.43469 lineto gsave
0.443 0.648 0.946 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41821 0.46167 moveto 0.41059 0.47147 lineto 0.35812 0.4431 lineto gsave
0.717 0.729 0.86 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35812 0.4431 moveto 0.36949 0.4351 lineto 0.41821 0.46167 lineto gsave
0.717 0.729 0.86 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38053 0.43469 moveto 0.36949 0.4351 lineto 0.33518 0.39932 lineto gsave
0.443 0.648 0.946 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37563 0.42984 moveto 0.402 0.45753 lineto gsave
0.3697 0.42018 lineto 0.701 0.214 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.3624 0.41175 moveto 0.37563 0.42984 lineto 0.3697 0.42018 lineto 0.701 0.214 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.41059 0.47147 moveto 0.40275 0.48806 lineto 0.34641 0.45796 lineto gsave
0.787 0.705 0.774 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34641 0.45796 moveto 0.35812 0.4431 lineto 0.41059 0.47147 lineto gsave
0.787 0.705 0.774 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41263 0.48013 moveto 0.402 0.45753 lineto 0.37563 0.42984 lineto gsave
0.848 0.4 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38878 0.45526 moveto 0.41263 0.48013 lineto gsave
0.38091 0.43702 lineto 0.848 0.4 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.37563 0.42984 moveto 0.38878 0.45526 lineto 0.38091 0.43702 lineto 0.848 0.4 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.42335 0.509 moveto 0.41263 0.48013 lineto 0.38878 0.45526 lineto gsave
0.894 0.475 0.099 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.402 0.48698 moveto 0.42335 0.509 lineto gsave
0.39226 0.46068 lineto 0.894 0.475 0.099 setrgbcolor
fill grestore
stroke
grestore
gsave
0.38878 0.45526 moveto 0.402 0.48698 lineto 0.39226 0.46068 lineto 0.894 0.475 0.099 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.33432 0.47861 moveto 0.34641 0.45796 lineto 0.40275 0.48806 lineto gsave
0.81 0.688 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40275 0.48806 moveto 0.39468 0.51034 lineto 0.33432 0.47861 lineto gsave
0.81 0.688 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43428 0.54263 moveto 0.42335 0.509 lineto 0.402 0.48698 lineto gsave
0.912 0.508 0.151 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41545 0.52347 moveto 0.43428 0.54263 lineto gsave
0.40356 0.48967 lineto 0.912 0.508 0.151 setrgbcolor
fill grestore
stroke
grestore
gsave
0.402 0.48698 moveto 0.41545 0.52347 lineto 0.40356 0.48967 lineto 0.912 0.508 0.151 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.44554 0.57906 moveto 0.43428 0.54263 lineto 0.41545 0.52347 lineto gsave
0.917 0.519 0.168 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41545 0.52347 moveto 0.42926 0.56275 lineto 0.44554 0.57906 lineto gsave
0.917 0.519 0.168 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41545 0.52347 moveto 0.40774 0.50143 lineto gsave
0.42818 0.55965 lineto 0 0 0.236 setrgbcolor
fill grestore
stroke
grestore
gsave
0.42926 0.56275 moveto 0.41545 0.52347 lineto 0.42818 0.55965 lineto 0 0 0.236 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.402 0.48698 moveto 0.3931 0.46156 lineto gsave
0.41298 0.51663 lineto 0 0 0.259 setrgbcolor
fill grestore
stroke
grestore
gsave
0.41545 0.52347 moveto 0.402 0.48698 lineto 0.41298 0.51663 lineto 0 0 0.259 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.38878 0.45526 moveto 0.37866 0.42647 lineto gsave
0.39815 0.47701 lineto 0 0 0.323 setrgbcolor
fill grestore
stroke
grestore
gsave
0.402 0.48698 moveto 0.38878 0.45526 lineto 0.39815 0.47701 lineto 0 0 0.323 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.37563 0.42984 moveto 0.36426 0.39769 lineto gsave
0.38321 0.44218 lineto 0 0 0.441 setrgbcolor
fill grestore
stroke
grestore
gsave
0.38878 0.45526 moveto 0.37563 0.42984 lineto 0.38321 0.44218 lineto 0 0 0.441 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.37563 0.42984 moveto 0.3624 0.41175 lineto gsave
0.36731 0.41265 lineto 0 0.055 0.621 setrgbcolor
fill grestore
stroke
grestore
gsave
0.402 0.45753 moveto 0.39134 0.4422 lineto 0.38926 0.4428 lineto 0.701 0.214 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.43291 0.46493 moveto 0.42563 0.45938 lineto gsave
0.40519 0.44893 lineto 0.494 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47957 0.47368 moveto 0.42563 0.45938 lineto gsave
0.45244 0.46817 lineto 0.541 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.4763 0.47704 moveto 0.47957 0.47368 lineto 0.49539 0.47689 lineto 0.443 0.799 0.997 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.48277 0.47813 moveto 0.47957 0.47368 lineto gsave
0.45244 0.46817 lineto 0.541 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47957 0.47368 moveto 0.53733 0.47658 lineto gsave
0.49539 0.47689 lineto 0.443 0.799 0.997 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63456 0.60852 moveto 0.62841 0.578 lineto 0.7039 0.55046 lineto gsave
0.601 0.479 0.686 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69327 0.52188 moveto 0.7039 0.55046 lineto 0.62841 0.578 lineto gsave
0.602 0.482 0.689 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59921 0.47081 moveto 0.59378 0.46788 lineto 0.64386 0.44818 lineto gsave
0.63 0.899 0.986 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64386 0.44818 moveto 0.65321 0.44962 lineto 0.59921 0.47081 lineto gsave
0.63 0.899 0.986 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7039 0.55046 moveto 0.71464 0.57992 lineto 0.63456 0.60852 lineto gsave
0.601 0.479 0.686 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32191 0.50365 moveto 0.33432 0.47861 lineto 0.39468 0.51034 lineto gsave
0.821 0.678 0.705 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39468 0.51034 moveto 0.38641 0.53693 lineto 0.32191 0.50365 lineto gsave
0.821 0.678 0.705 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53622 0.4808 moveto 0.53733 0.47658 lineto 0.47957 0.47368 lineto gsave
0.461 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53733 0.47658 moveto 0.53622 0.4808 lineto 0.58846 0.47277 lineto gsave
0.293 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58846 0.47277 moveto 0.59378 0.46788 lineto 0.53733 0.47658 lineto gsave
0.293 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30924 0.53143 moveto 0.32191 0.50365 lineto 0.38641 0.53693 lineto gsave
0.825 0.673 0.694 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38641 0.53693 moveto 0.37799 0.56616 lineto 0.30924 0.53143 lineto gsave
0.825 0.673 0.694 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47957 0.47368 moveto 0.48277 0.47813 lineto 0.53622 0.4808 lineto gsave
0.461 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29641 0.56011 moveto 0.30924 0.53143 lineto 0.37799 0.56616 lineto gsave
0.826 0.672 0.692 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37799 0.56616 moveto 0.36949 0.59623 lineto 0.29641 0.56011 lineto gsave
0.826 0.672 0.692 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59378 0.46788 moveto 0.58846 0.47277 lineto 0.63469 0.45461 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63469 0.45461 moveto 0.64386 0.44818 lineto 0.59378 0.46788 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68285 0.49598 moveto 0.67268 0.47443 lineto 0.72152 0.43865 lineto gsave
0.549 0.487 0.738 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67268 0.47443 moveto 0.6628 0.45861 lineto 0.70816 0.42492 lineto gsave
0.582 0.55 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70816 0.42492 moveto 0.72152 0.43865 lineto 0.67268 0.47443 lineto gsave
0.582 0.55 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6628 0.45861 moveto 0.65321 0.44962 lineto 0.69522 0.41811 lineto gsave
0.643 0.674 0.865 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69522 0.41811 moveto 0.70816 0.42492 lineto 0.6628 0.45861 lineto gsave
0.643 0.674 0.865 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69327 0.52188 moveto 0.68285 0.49598 lineto 0.7353 0.45821 lineto gsave
0.531 0.454 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72152 0.43865 moveto 0.7353 0.45821 lineto 0.68285 0.49598 lineto gsave
0.549 0.487 0.738 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53513 0.49274 moveto 0.53622 0.4808 lineto 0.48277 0.47813 lineto gsave
0.633 0.217 0.237 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53622 0.4808 moveto 0.53513 0.49274 lineto 0.58318 0.4854 lineto gsave
0.505 0.108 0.222 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58318 0.4854 moveto 0.58846 0.47277 lineto 0.53622 0.4808 lineto gsave
0.505 0.108 0.222 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42563 0.45938 moveto 0.43291 0.46493 lineto 0.48277 0.47813 lineto gsave
0.541 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7039 0.55046 moveto 0.69327 0.52188 lineto 0.74948 0.48222 lineto gsave
0.523 0.438 0.702 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7353 0.45821 moveto 0.74948 0.48222 lineto 0.69327 0.52188 lineto gsave
0.531 0.454 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65321 0.44962 moveto 0.64386 0.44818 lineto 0.68265 0.41894 lineto gsave
0.716 0.905 0.962 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68265 0.41894 moveto 0.69522 0.41811 lineto 0.65321 0.44962 lineto gsave
0.716 0.905 0.962 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48593 0.4903 moveto 0.48277 0.47813 lineto 0.43291 0.46493 lineto gsave
0.729 0.283 0.192 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48277 0.47813 moveto 0.48593 0.4903 lineto 0.53513 0.49274 lineto gsave
0.633 0.217 0.237 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71464 0.57992 moveto 0.7039 0.55046 lineto 0.76398 0.509 lineto gsave
0.521 0.435 0.699 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74948 0.48222 moveto 0.76398 0.509 lineto 0.7039 0.55046 lineto gsave
0.523 0.438 0.702 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58846 0.47277 moveto 0.58318 0.4854 lineto 0.62563 0.46884 lineto gsave
0.306 0 0.138 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62563 0.46884 moveto 0.63469 0.45461 lineto 0.58846 0.47277 lineto gsave
0.306 0 0.138 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29104 0.43553 moveto 0.30625 0.41721 lineto 0.34641 0.45796 lineto gsave
0.855 0.754 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34641 0.45796 moveto 0.33432 0.47861 lineto 0.29104 0.43553 lineto gsave
0.855 0.754 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35812 0.4431 moveto 0.34641 0.45796 lineto 0.30625 0.41721 lineto gsave
0.818 0.757 0.796 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64386 0.44818 moveto 0.63469 0.45461 lineto 0.67036 0.42772 lineto gsave
0.455 0.836 0.605 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67169 0.4272 moveto 0.64386 0.44818 lineto gsave
0.67036 0.42772 lineto 0.455 0.836 0.605 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65825 0.44435 moveto 0.67036 0.42772 lineto 0.63469 0.45461 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67036 0.42772 moveto 0.65825 0.44435 lineto 0.66821 0.42856 lineto gsave
0.66 0.861 0.474 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66821 0.42856 moveto 0.67737 0.41406 lineto gsave
0.67036 0.42772 lineto 0.66 0.861 0.474 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67036 0.42772 moveto 0.68265 0.41894 lineto 0.67169 0.4272 lineto gsave
0.455 0.836 0.605 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30625 0.41721 moveto 0.32096 0.40478 lineto 0.35812 0.4431 lineto gsave
0.818 0.757 0.796 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36949 0.4351 moveto 0.35812 0.4431 lineto 0.32096 0.40478 lineto gsave
0.724 0.748 0.871 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76398 0.509 moveto 0.77867 0.53673 lineto 0.71464 0.57992 lineto gsave
0.521 0.435 0.699 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27535 0.45834 moveto 0.29104 0.43553 lineto 0.33432 0.47861 lineto gsave
0.872 0.749 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33432 0.47861 moveto 0.32191 0.50365 lineto 0.27535 0.45834 lineto gsave
0.872 0.749 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4401 0.47825 moveto 0.43291 0.46493 lineto 0.39134 0.4422 lineto gsave
0.792 0.305 0.054 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43291 0.46493 moveto 0.4401 0.47825 lineto 0.48593 0.4903 lineto gsave
0.729 0.283 0.192 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32096 0.40478 moveto 0.33518 0.39932 lineto 0.36949 0.4351 lineto gsave
0.724 0.748 0.871 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25928 0.48398 moveto 0.27535 0.45834 lineto 0.32191 0.50365 lineto gsave
0.88 0.747 0.711 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32191 0.50365 moveto 0.30924 0.53143 lineto 0.25928 0.48398 lineto gsave
0.88 0.747 0.711 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53403 0.51187 moveto 0.53513 0.49274 lineto 0.48593 0.4903 lineto gsave
0.668 0.303 0.345 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53513 0.49274 moveto 0.53403 0.51187 lineto 0.5779 0.50525 lineto gsave
0.555 0.209 0.336 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5779 0.50525 moveto 0.58318 0.4854 lineto 0.53513 0.49274 lineto gsave
0.555 0.209 0.336 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4891 0.50966 moveto 0.48593 0.4903 lineto 0.4401 0.47825 lineto gsave
0.761 0.372 0.317 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48593 0.4903 moveto 0.4891 0.50966 lineto 0.53403 0.51187 lineto gsave
0.668 0.303 0.345 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63469 0.45461 moveto 0.62563 0.46884 lineto 0.65825 0.44435 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24296 0.51062 moveto 0.25928 0.48398 lineto 0.30924 0.53143 lineto gsave
0.882 0.746 0.708 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30924 0.53143 moveto 0.29641 0.56011 lineto 0.24296 0.51062 lineto gsave
0.882 0.746 0.708 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58318 0.4854 moveto 0.5779 0.50525 lineto 0.61657 0.49031 lineto gsave
0.39 0.06 0.281 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61657 0.49031 moveto 0.62563 0.46884 lineto 0.58318 0.4854 lineto gsave
0.39 0.06 0.281 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72152 0.43865 moveto 0.70816 0.42492 lineto 0.7357 0.38274 lineto gsave
0.523 0.536 0.811 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70816 0.42492 moveto 0.69522 0.41811 lineto 0.72051 0.37879 lineto gsave
0.627 0.676 0.878 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72051 0.37879 moveto 0.7357 0.38274 lineto 0.70816 0.42492 lineto gsave
0.627 0.676 0.878 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7353 0.45821 moveto 0.72152 0.43865 lineto 0.75144 0.39371 lineto gsave
0.461 0.454 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7357 0.38274 moveto 0.75144 0.39371 lineto 0.72152 0.43865 lineto gsave
0.523 0.536 0.811 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69522 0.41811 moveto 0.68265 0.41894 lineto 0.70579 0.38255 lineto gsave
0.768 0.881 0.927 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70579 0.38255 moveto 0.72051 0.37879 lineto 0.69522 0.41811 lineto gsave
0.768 0.881 0.927 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74948 0.48222 moveto 0.7353 0.45821 lineto 0.76775 0.41062 lineto gsave
0.426 0.408 0.736 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75144 0.39371 moveto 0.76775 0.41062 lineto 0.7353 0.45821 lineto gsave
0.461 0.454 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39134 0.4422 moveto 0.402 0.45753 lineto 0.4401 0.47825 lineto gsave
0.792 0.305 0.054 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44728 0.49879 moveto 0.4401 0.47825 lineto 0.402 0.45753 lineto gsave
0.843 0.419 0.225 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4401 0.47825 moveto 0.44728 0.49879 lineto 0.4891 0.50966 lineto gsave
0.761 0.372 0.317 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68265 0.41894 moveto 0.67036 0.42772 lineto 0.69146 0.39435 lineto gsave
0.817 0.999 0.796 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69146 0.39435 moveto 0.70579 0.38255 lineto 0.68265 0.41894 lineto gsave
0.817 0.999 0.796 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76398 0.509 moveto 0.74948 0.48222 lineto 0.78458 0.43207 lineto gsave
0.409 0.386 0.722 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76775 0.41062 moveto 0.78458 0.43207 lineto 0.74948 0.48222 lineto gsave
0.426 0.408 0.736 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62563 0.46884 moveto 0.61657 0.49031 lineto 0.64617 0.46829 lineto gsave
0.089 0 0.13 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64617 0.46829 moveto 0.65825 0.44435 lineto 0.62563 0.46884 lineto gsave
0.089 0 0.13 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53291 0.5372 moveto 0.53403 0.51187 lineto 0.4891 0.50966 lineto gsave
0.68 0.339 0.391 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53403 0.51187 moveto 0.53291 0.5372 lineto 0.57255 0.5313 lineto gsave
0.574 0.25 0.383 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57255 0.5313 moveto 0.5779 0.50525 lineto 0.53403 0.51187 lineto gsave
0.574 0.25 0.383 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49229 0.53523 moveto 0.4891 0.50966 lineto 0.44728 0.49879 lineto gsave
0.771 0.408 0.368 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4891 0.50966 moveto 0.49229 0.53523 lineto 0.53291 0.5372 lineto gsave
0.68 0.339 0.391 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28744 0.3691 moveto 0.30384 0.35971 lineto 0.32096 0.40478 lineto gsave
0.841 0.82 0.828 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32096 0.40478 moveto 0.30625 0.41721 lineto 0.28744 0.3691 lineto gsave
0.841 0.82 0.828 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33518 0.39932 moveto 0.32096 0.40478 lineto 0.30384 0.35971 lineto gsave
0.725 0.766 0.885 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77867 0.53673 moveto 0.76398 0.509 lineto 0.80186 0.4564 lineto gsave
0.405 0.38 0.718 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78458 0.43207 moveto 0.80186 0.4564 lineto 0.76398 0.509 lineto gsave
0.409 0.386 0.722 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30384 0.35971 moveto 0.31963 0.35737 lineto 0.33518 0.39932 lineto gsave
0.725 0.766 0.885 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34896 0.40154 moveto 0.33518 0.39932 lineto 0.31963 0.35737 lineto gsave
0.489 0.623 0.909 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27041 0.38449 moveto 0.28744 0.3691 lineto 0.30625 0.41721 lineto gsave
0.895 0.838 0.781 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30625 0.41721 moveto 0.29104 0.43553 lineto 0.27041 0.38449 lineto gsave
0.895 0.838 0.781 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5779 0.50525 moveto 0.57255 0.5313 lineto 0.60742 0.51803 lineto gsave
0.423 0.117 0.339 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60742 0.51803 moveto 0.61657 0.49031 lineto 0.5779 0.50525 lineto gsave
0.423 0.117 0.339 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67737 0.41406 moveto 0.69146 0.39435 lineto 0.67036 0.42772 lineto gsave
0.66 0.861 0.474 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.402 0.45753 moveto 0.41263 0.48013 lineto 0.44728 0.49879 lineto gsave
0.843 0.419 0.225 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31963 0.35737 moveto 0.33489 0.36279 lineto 0.34896 0.40154 lineto gsave
0.489 0.623 0.909 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3624 0.41175 moveto 0.34896 0.40154 lineto 0.33489 0.36279 lineto gsave
0.118 0.353 0.817 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25279 0.40446 moveto 0.27041 0.38449 lineto 0.29104 0.43553 lineto gsave
0.921 0.843 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29104 0.43553 moveto 0.27535 0.45834 lineto 0.25279 0.40446 lineto gsave
0.921 0.843 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80186 0.4564 moveto 0.81944 0.48176 lineto 0.77867 0.53673 lineto gsave
0.405 0.38 0.718 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45454 0.52557 moveto 0.44728 0.49879 lineto 0.41263 0.48013 lineto gsave
0.857 0.463 0.295 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44728 0.49879 moveto 0.45454 0.52557 lineto 0.49229 0.53523 lineto gsave
0.771 0.408 0.368 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.23466 0.42736 moveto 0.25279 0.40446 lineto 0.27535 0.45834 lineto gsave
0.933 0.845 0.733 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27535 0.45834 moveto 0.25928 0.48398 lineto 0.23466 0.42736 lineto gsave
0.933 0.845 0.733 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61657 0.49031 moveto 0.60742 0.51803 lineto 0.634 0.49851 lineto gsave
0.154 0 0.219 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.634 0.49851 moveto 0.64617 0.46829 lineto 0.61657 0.49031 lineto gsave
0.154 0 0.219 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33489 0.36279 moveto 0.34972 0.37627 lineto 0.3624 0.41175 lineto gsave
0.118 0.353 0.817 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65825 0.44435 moveto 0.64617 0.46829 lineto 0.66337 0.44112 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64931 0.47448 moveto 0.66337 0.44112 lineto 0.64617 0.46829 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66337 0.44112 moveto 0.64931 0.47448 lineto 0.64973 0.46873 lineto gsave
0.934 0.902 0.506 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67447 0.41865 moveto 0.65825 0.44435 lineto gsave
0.66337 0.44112 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64973 0.46873 moveto 0.65124 0.44832 lineto gsave
0.66337 0.44112 lineto 0.934 0.902 0.506 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66337 0.44112 moveto 0.67737 0.41406 lineto 0.67447 0.41865 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75144 0.39371 moveto 0.7357 0.38274 lineto 0.74127 0.33585 lineto gsave
0.45 0.532 0.849 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7357 0.38274 moveto 0.72051 0.37879 lineto 0.72529 0.33523 lineto gsave
0.613 0.684 0.893 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72529 0.33523 moveto 0.74127 0.33585 lineto 0.7357 0.38274 lineto gsave
0.613 0.684 0.893 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72051 0.37879 moveto 0.70579 0.38255 lineto 0.70988 0.34239 lineto gsave
0.788 0.839 0.891 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70988 0.34239 moveto 0.72529 0.33523 lineto 0.72051 0.37879 lineto gsave
0.788 0.839 0.891 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53176 0.56725 moveto 0.53291 0.5372 lineto 0.49229 0.53523 lineto gsave
0.685 0.355 0.411 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53291 0.5372 moveto 0.53176 0.56725 lineto 0.56707 0.5621 lineto gsave
0.582 0.269 0.404 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56707 0.5621 moveto 0.57255 0.5313 lineto 0.53291 0.5372 lineto gsave
0.582 0.269 0.404 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76775 0.41062 moveto 0.75144 0.39371 lineto 0.75788 0.34357 lineto gsave
0.333 0.418 0.8 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74127 0.33585 moveto 0.75788 0.34357 lineto 0.75144 0.39371 lineto gsave
0.45 0.532 0.849 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.21617 0.45132 moveto 0.23466 0.42736 lineto 0.25928 0.48398 lineto gsave
0.935 0.845 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25928 0.48398 moveto 0.24296 0.51062 lineto 0.21617 0.45132 lineto gsave
0.935 0.845 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70579 0.38255 moveto 0.69146 0.39435 lineto 0.69492 0.35764 lineto gsave
0.91 0.935 0.814 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69492 0.35764 moveto 0.70988 0.34239 lineto 0.70579 0.38255 lineto gsave
0.91 0.935 0.814 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49557 0.56553 moveto 0.49229 0.53523 lineto 0.45454 0.52557 lineto gsave
0.775 0.424 0.391 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49229 0.53523 moveto 0.49557 0.56553 lineto 0.53176 0.56725 lineto gsave
0.685 0.355 0.411 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41263 0.48013 moveto 0.42335 0.509 lineto 0.45454 0.52557 lineto gsave
0.857 0.463 0.295 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57255 0.5313 moveto 0.56707 0.5621 lineto 0.59807 0.55051 lineto gsave
0.437 0.143 0.366 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59807 0.55051 moveto 0.60742 0.51803 lineto 0.57255 0.5313 lineto gsave
0.437 0.143 0.366 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78458 0.43207 moveto 0.76775 0.41062 lineto 0.77515 0.35731 lineto gsave
0.26 0.347 0.763 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75788 0.34357 moveto 0.77515 0.35731 lineto 0.76775 0.41062 lineto gsave
0.333 0.418 0.8 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34972 0.37627 moveto 0.36426 0.39769 lineto 0.37563 0.42984 lineto gsave
0 0.055 0.621 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69146 0.39435 moveto 0.67737 0.41406 lineto 0.68026 0.38085 lineto gsave
0.953 0.953 0.694 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68026 0.38085 moveto 0.69492 0.35764 lineto 0.69146 0.39435 lineto gsave
0.953 0.953 0.694 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46196 0.55708 moveto 0.45454 0.52557 lineto 0.42335 0.509 lineto gsave
0.862 0.482 0.327 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45454 0.52557 moveto 0.46196 0.55708 lineto 0.49557 0.56553 lineto gsave
0.775 0.424 0.391 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64617 0.46829 moveto 0.634 0.49851 lineto 0.64931 0.47448 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31015 0.31225 moveto 0.32586 0.31336 lineto 0.31963 0.35737 lineto gsave
0.72 0.782 0.901 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31963 0.35737 moveto 0.30384 0.35971 lineto 0.31015 0.31225 lineto gsave
0.72 0.782 0.901 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33489 0.36279 moveto 0.31963 0.35737 lineto 0.32586 0.31336 lineto gsave
0.537 0.611 0.874 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80186 0.4564 moveto 0.78458 0.43207 lineto 0.79306 0.37568 lineto gsave
0.223 0.31 0.743 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77515 0.35731 moveto 0.79306 0.37568 lineto 0.78458 0.43207 lineto gsave
0.26 0.347 0.763 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29377 0.31825 moveto 0.31015 0.31225 lineto 0.30384 0.35971 lineto gsave
0.844 0.89 0.872 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30384 0.35971 moveto 0.28744 0.3691 lineto 0.29377 0.31825 lineto gsave
0.844 0.89 0.872 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60742 0.51803 moveto 0.59807 0.55051 lineto 0.6216 0.53349 lineto gsave
0.183 0 0.259 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6216 0.53349 moveto 0.634 0.49851 lineto 0.60742 0.51803 lineto gsave
0.183 0 0.259 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32586 0.31336 moveto 0.34098 0.32229 lineto 0.33489 0.36279 lineto gsave
0.537 0.611 0.874 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34972 0.37627 moveto 0.33489 0.36279 lineto 0.34098 0.32229 lineto gsave
0.343 0.423 0.799 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27669 0.33032 moveto 0.29377 0.31825 lineto 0.28744 0.3691 lineto gsave
0.907 0.938 0.818 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28744 0.3691 moveto 0.27041 0.38449 lineto 0.27669 0.33032 lineto gsave
0.907 0.938 0.818 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67737 0.41406 moveto 0.66337 0.44112 lineto 0.66576 0.41143 lineto gsave
0.95 0.93 0.584 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66576 0.41143 moveto 0.68026 0.38085 lineto 0.67737 0.41406 lineto gsave
0.95 0.93 0.584 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34098 0.32229 moveto 0.35563 0.33932 lineto 0.34972 0.37627 lineto gsave
0.343 0.423 0.799 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36426 0.39769 moveto 0.34972 0.37627 lineto 0.35563 0.33932 lineto gsave
0.185 0.265 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36426 0.39769 moveto 0.37866 0.42647 lineto 0.38878 0.45526 lineto gsave
0 0 0.441 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81944 0.48176 moveto 0.80186 0.4564 lineto 0.81152 0.39702 lineto gsave
0.214 0.301 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79306 0.37568 moveto 0.81152 0.39702 lineto 0.80186 0.4564 lineto gsave
0.223 0.31 0.743 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42335 0.509 moveto 0.43428 0.54263 lineto 0.46196 0.55708 lineto gsave
0.862 0.482 0.327 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53057 0.60008 moveto 0.53176 0.56725 lineto 0.49557 0.56553 lineto gsave
0.687 0.361 0.418 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53176 0.56725 moveto 0.53057 0.60008 lineto 0.56141 0.59567 lineto gsave
0.585 0.276 0.411 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56141 0.59567 moveto 0.56707 0.5621 lineto 0.53176 0.56725 lineto gsave
0.585 0.276 0.411 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25894 0.34704 moveto 0.27669 0.33032 lineto 0.27041 0.38449 lineto gsave
0.933 0.954 0.77 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27041 0.38449 moveto 0.25279 0.40446 lineto 0.25894 0.34704 lineto gsave
0.933 0.954 0.77 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49895 0.59861 moveto 0.49557 0.56553 lineto 0.46196 0.55708 lineto gsave
0.776 0.429 0.398 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49557 0.56553 moveto 0.49895 0.59861 lineto 0.53057 0.60008 lineto gsave
0.687 0.361 0.418 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56707 0.5621 moveto 0.56141 0.59567 lineto 0.58843 0.58577 lineto gsave
0.442 0.151 0.375 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58843 0.58577 moveto 0.59807 0.55051 lineto 0.56707 0.5621 lineto gsave
0.442 0.151 0.375 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74127 0.33585 moveto 0.72529 0.33523 lineto 0.70755 0.29202 lineto gsave
0.603 0.697 0.909 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72529 0.33523 moveto 0.70988 0.34239 lineto 0.69318 0.3027 lineto gsave
0.786 0.793 0.859 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69318 0.3027 moveto 0.70755 0.29202 lineto 0.72529 0.33523 lineto gsave
0.786 0.793 0.859 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70988 0.34239 moveto 0.69492 0.35764 lineto 0.67928 0.32149 lineto gsave
0.889 0.831 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67928 0.32149 moveto 0.69318 0.3027 lineto 0.70988 0.34239 lineto gsave
0.889 0.831 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.634 0.49851 moveto 0.6216 0.53349 lineto 0.63503 0.51262 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63503 0.51262 moveto 0.64931 0.47448 lineto 0.634 0.49851 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35563 0.33932 moveto 0.36994 0.36431 lineto 0.36426 0.39769 lineto gsave
0.185 0.265 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37866 0.42647 moveto 0.36426 0.39769 lineto 0.36994 0.36431 lineto gsave
0.076 0.154 0.643 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75788 0.34357 moveto 0.74127 0.33585 lineto 0.7225 0.28917 lineto gsave
0.359 0.539 0.896 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70755 0.29202 moveto 0.7225 0.28917 lineto 0.74127 0.33585 lineto gsave
0.603 0.697 0.909 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81152 0.39702 moveto 0.83039 0.41944 lineto 0.81944 0.48176 lineto gsave
0.214 0.301 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46963 0.59139 moveto 0.46196 0.55708 lineto 0.43428 0.54263 lineto gsave
0.863 0.489 0.337 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46196 0.55708 moveto 0.46963 0.59139 lineto 0.49895 0.59861 lineto gsave
0.776 0.429 0.398 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65124 0.44832 moveto 0.66576 0.41143 lineto 0.66337 0.44112 lineto gsave
0.934 0.902 0.506 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24061 0.36675 moveto 0.25894 0.34704 lineto 0.25279 0.40446 lineto gsave
0.942 0.957 0.742 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25279 0.40446 moveto 0.23466 0.42736 lineto 0.24061 0.36675 lineto gsave
0.942 0.957 0.742 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69492 0.35764 moveto 0.68026 0.38085 lineto 0.66571 0.34825 lineto gsave
0.941 0.838 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66571 0.34825 moveto 0.67928 0.32149 lineto 0.69492 0.35764 lineto gsave
0.941 0.838 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77515 0.35731 moveto 0.75788 0.34357 lineto 0.73811 0.29345 lineto gsave
0.128 0.37 0.828 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7225 0.28917 moveto 0.73811 0.29345 lineto 0.75788 0.34357 lineto gsave
0.359 0.539 0.896 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59807 0.55051 moveto 0.58843 0.58577 lineto 0.60884 0.57127 lineto gsave
0.192 0 0.272 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60884 0.57127 moveto 0.6216 0.53349 lineto 0.59807 0.55051 lineto gsave
0.192 0 0.272 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37866 0.42647 moveto 0.3931 0.46156 lineto 0.402 0.48698 lineto gsave
0 0 0.323 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68026 0.38085 moveto 0.66576 0.41143 lineto 0.65232 0.38239 lineto gsave
0.966 0.835 0.663 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65232 0.38239 moveto 0.66571 0.34825 lineto 0.68026 0.38085 lineto gsave
0.966 0.835 0.663 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43428 0.54263 moveto 0.44554 0.57906 lineto 0.46963 0.59139 lineto gsave
0.863 0.489 0.337 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36994 0.36431 moveto 0.38407 0.39668 lineto 0.37866 0.42647 lineto gsave
0.076 0.154 0.643 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3931 0.46156 moveto 0.37866 0.42647 lineto 0.38407 0.39668 lineto gsave
0.007 0.083 0.593 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22182 0.38757 moveto 0.24061 0.36675 lineto 0.23466 0.42736 lineto gsave
0.944 0.958 0.734 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.23466 0.42736 moveto 0.21617 0.45132 lineto 0.22182 0.38757 lineto gsave
0.944 0.958 0.734 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34098 0.26776 moveto 0.35472 0.27226 lineto 0.32586 0.31336 lineto gsave
0.707 0.793 0.917 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32586 0.31336 moveto 0.31015 0.31225 lineto 0.34098 0.26776 lineto gsave
0.707 0.793 0.917 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34098 0.32229 moveto 0.32586 0.31336 lineto 0.35472 0.27226 lineto gsave
0.581 0.61 0.846 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35472 0.27226 moveto 0.36789 0.2846 lineto 0.34098 0.32229 lineto gsave
0.581 0.61 0.846 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35563 0.33932 moveto 0.34098 0.32229 lineto 0.36789 0.2846 lineto gsave
0.478 0.468 0.768 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79306 0.37568 moveto 0.77515 0.35731 lineto 0.7544 0.30381 lineto gsave
0 0.243 0.755 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73811 0.29345 moveto 0.7544 0.30381 lineto 0.77515 0.35731 lineto gsave
0.128 0.37 0.828 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32661 0.2704 moveto 0.34098 0.26776 lineto 0.31015 0.31225 lineto gsave
0.801 0.95 0.917 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31015 0.31225 moveto 0.29377 0.31825 lineto 0.32661 0.2704 lineto gsave
0.801 0.95 0.917 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36789 0.2846 moveto 0.3806 0.30504 lineto 0.35563 0.33932 lineto gsave
0.478 0.468 0.768 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36994 0.36431 moveto 0.35563 0.33932 lineto 0.3806 0.30504 lineto gsave
0.408 0.373 0.708 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52933 0.63333 moveto 0.53057 0.60008 lineto 0.49895 0.59861 lineto gsave
0.686 0.358 0.414 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53057 0.60008 moveto 0.52933 0.63333 lineto 0.55552 0.62967 lineto gsave
0.583 0.272 0.408 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55552 0.62967 moveto 0.56141 0.59567 lineto 0.53057 0.60008 lineto gsave
0.583 0.272 0.408 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64931 0.47448 moveto 0.63503 0.51262 lineto 0.63654 0.48997 lineto gsave
0.92 0.882 0.461 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63654 0.48997 moveto 0.65124 0.44832 lineto 0.64931 0.47448 lineto gsave
0.92 0.882 0.461 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50247 0.63211 moveto 0.49895 0.59861 lineto 0.46963 0.59139 lineto gsave
0.776 0.426 0.395 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49895 0.59861 moveto 0.50247 0.63211 lineto 0.52933 0.63333 lineto gsave
0.686 0.358 0.414 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6216 0.53349 moveto 0.60884 0.57127 lineto 0.62038 0.55354 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62038 0.55354 moveto 0.63503 0.51262 lineto 0.6216 0.53349 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56141 0.59567 moveto 0.55552 0.62967 lineto 0.57841 0.62145 lineto gsave
0.44 0.147 0.37 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57841 0.62145 moveto 0.58843 0.58577 lineto 0.56141 0.59567 lineto gsave
0.44 0.147 0.37 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31158 0.27913 moveto 0.32661 0.2704 lineto 0.29377 0.31825 lineto gsave
0.806 1 0.818 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29377 0.31825 moveto 0.27669 0.33032 lineto 0.31158 0.27913 lineto gsave
0.806 1 0.818 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66576 0.41143 moveto 0.65124 0.44832 lineto 0.63896 0.42281 lineto gsave
0.977 0.829 0.629 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63896 0.42281 moveto 0.65232 0.38239 lineto 0.66576 0.41143 lineto gsave
0.977 0.829 0.629 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81152 0.39702 moveto 0.79306 0.37568 lineto 0.77136 0.31885 lineto gsave
0 0.173 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7544 0.30381 moveto 0.77136 0.31885 lineto 0.79306 0.37568 lineto gsave
0 0.243 0.755 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3806 0.30504 moveto 0.39297 0.33346 lineto 0.36994 0.36431 lineto gsave
0.408 0.373 0.708 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38407 0.39668 moveto 0.36994 0.36431 lineto 0.39297 0.33346 lineto gsave
0.363 0.312 0.667 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47759 0.62611 moveto 0.46963 0.59139 lineto 0.44554 0.57906 lineto gsave
0.862 0.486 0.332 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46963 0.59139 moveto 0.47759 0.62611 lineto 0.50247 0.63211 lineto gsave
0.776 0.426 0.395 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70755 0.29202 moveto 0.69318 0.3027 lineto 0.65634 0.26824 lineto gsave
0.771 0.75 0.834 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69318 0.3027 moveto 0.67928 0.32149 lineto 0.64525 0.2902 lineto gsave
0.844 0.745 0.755 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64525 0.2902 moveto 0.65634 0.26824 lineto 0.69318 0.3027 lineto gsave
0.844 0.745 0.755 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3931 0.46156 moveto 0.40774 0.50143 lineto 0.41545 0.52347 lineto gsave
0 0 0.259 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38407 0.39668 moveto 0.39818 0.43536 lineto 0.3931 0.46156 lineto gsave
0.007 0.083 0.593 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40774 0.50143 moveto 0.3931 0.46156 lineto 0.39818 0.43536 lineto gsave
0 0.043 0.565 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7225 0.28917 moveto 0.70755 0.29202 lineto 0.66783 0.25438 lineto gsave
0.6 0.715 0.925 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65634 0.26824 moveto 0.66783 0.25438 lineto 0.70755 0.29202 lineto gsave
0.771 0.75 0.834 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58843 0.58577 moveto 0.57841 0.62145 lineto 0.59563 0.60944 lineto gsave
0.188 0 0.266 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59563 0.60944 moveto 0.60884 0.57127 lineto 0.58843 0.58577 lineto gsave
0.188 0 0.266 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67928 0.32149 moveto 0.66571 0.34825 lineto 0.63446 0.32013 lineto gsave
0.877 0.734 0.7 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63446 0.32013 moveto 0.64525 0.2902 lineto 0.67928 0.32149 lineto gsave
0.877 0.734 0.7 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73811 0.29345 moveto 0.7225 0.28917 lineto 0.67983 0.24835 lineto gsave
0.253 0.56 0.934 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66783 0.25438 moveto 0.67983 0.24835 lineto 0.7225 0.28917 lineto gsave
0.6 0.715 0.925 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29589 0.29256 moveto 0.31158 0.27913 lineto 0.27669 0.33032 lineto gsave
0.76 0.972 0.697 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27669 0.33032 moveto 0.25894 0.34704 lineto 0.29589 0.29256 lineto gsave
0.76 0.972 0.697 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39297 0.33346 moveto 0.40515 0.36924 lineto 0.38407 0.39668 lineto gsave
0.363 0.312 0.667 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39818 0.43536 moveto 0.38407 0.39668 lineto 0.40515 0.36924 lineto gsave
0.335 0.275 0.64 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45722 0.61588 moveto 0.44554 0.57906 lineto 0.42926 0.56275 lineto gsave
0.914 0.513 0.16 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44554 0.57906 moveto 0.45722 0.61588 lineto 0.47759 0.62611 lineto gsave
0.862 0.486 0.332 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.83039 0.41944 moveto 0.81152 0.39702 lineto 0.78892 0.3369 lineto gsave
0 0.156 0.697 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77136 0.31885 moveto 0.78892 0.3369 lineto 0.81152 0.39702 lineto gsave
0 0.173 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66571 0.34825 moveto 0.65232 0.38239 lineto 0.62385 0.35741 lineto gsave
0.893 0.724 0.665 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62385 0.35741 moveto 0.63446 0.32013 lineto 0.66571 0.34825 lineto gsave
0.893 0.724 0.665 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63503 0.51262 moveto 0.62038 0.55354 lineto 0.62152 0.53435 lineto gsave
0.915 0.874 0.444 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62152 0.53435 moveto 0.63654 0.48997 lineto 0.63503 0.51262 lineto gsave
0.915 0.874 0.444 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65124 0.44832 moveto 0.63654 0.48997 lineto 0.62549 0.46796 lineto gsave
0.983 0.825 0.61 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62549 0.46796 moveto 0.63896 0.42281 lineto 0.65124 0.44832 lineto gsave
0.983 0.825 0.61 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40412 0.23933 moveto 0.41357 0.25449 lineto 0.36789 0.2846 lineto gsave
0.621 0.617 0.825 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36789 0.2846 moveto 0.35472 0.27226 lineto 0.40412 0.23933 lineto gsave
0.621 0.617 0.825 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3806 0.30504 moveto 0.36789 0.2846 lineto 0.41357 0.25449 lineto gsave
0.569 0.506 0.745 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7544 0.30381 moveto 0.73811 0.29345 lineto 0.69239 0.24947 lineto gsave
0 0.289 0.767 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67983 0.24835 moveto 0.69239 0.24947 lineto 0.73811 0.29345 lineto gsave
0.253 0.56 0.934 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41357 0.25449 moveto 0.42265 0.27775 lineto 0.3806 0.30504 lineto gsave
0.569 0.506 0.745 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39297 0.33346 moveto 0.3806 0.30504 lineto 0.42265 0.27775 lineto gsave
0.535 0.44 0.694 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60884 0.57127 moveto 0.59563 0.60944 lineto 0.60527 0.5948 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60527 0.5948 moveto 0.62038 0.55354 lineto 0.60884 0.57127 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39425 0.232 moveto 0.40412 0.23933 lineto 0.35472 0.27226 lineto gsave
0.688 0.797 0.932 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35472 0.27226 moveto 0.34098 0.26776 lineto 0.39425 0.232 lineto gsave
0.688 0.797 0.932 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52804 0.66433 moveto 0.52933 0.63333 lineto 0.50247 0.63211 lineto gsave
0.682 0.346 0.399 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52933 0.63333 moveto 0.52804 0.66433 lineto 0.54937 0.66141 lineto gsave
0.577 0.259 0.392 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54937 0.66141 moveto 0.55552 0.62967 lineto 0.52933 0.63333 lineto gsave
0.577 0.259 0.392 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50615 0.66335 moveto 0.50247 0.63211 lineto 0.47759 0.62611 lineto gsave
0.773 0.414 0.377 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50247 0.63211 moveto 0.50615 0.66335 lineto 0.52804 0.66433 lineto gsave
0.682 0.346 0.399 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27961 0.30899 moveto 0.29589 0.29256 lineto 0.25894 0.34704 lineto gsave
0.721 0.938 0.62 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25894 0.34704 moveto 0.24061 0.36675 lineto 0.27961 0.30899 lineto gsave
0.721 0.938 0.62 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65232 0.38239 moveto 0.63896 0.42281 lineto 0.61328 0.40095 lineto gsave
0.902 0.717 0.644 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61328 0.40095 moveto 0.62385 0.35741 lineto 0.65232 0.38239 lineto gsave
0.902 0.717 0.644 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39818 0.43536 moveto 0.41244 0.47878 lineto 0.40774 0.50143 lineto gsave
0 0.043 0.565 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42272 0.54405 moveto 0.40774 0.50143 lineto 0.41244 0.47878 lineto gsave
0 0.029 0.554 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40774 0.50143 moveto 0.42272 0.54405 lineto 0.42926 0.56275 lineto gsave
0 0 0.236 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55552 0.62967 moveto 0.54937 0.66141 lineto 0.56798 0.65486 lineto gsave
0.43 0.128 0.351 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56798 0.65486 moveto 0.57841 0.62145 lineto 0.55552 0.62967 lineto gsave
0.43 0.128 0.351 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42265 0.27775 moveto 0.43148 0.30896 lineto 0.39297 0.33346 lineto gsave
0.535 0.44 0.694 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40515 0.36924 moveto 0.39297 0.33346 lineto 0.43148 0.30896 lineto gsave
0.514 0.401 0.662 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78892 0.3369 moveto 0.80695 0.35607 lineto 0.83039 0.41944 lineto gsave
0 0.156 0.697 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38388 0.23181 moveto 0.39425 0.232 lineto 0.34098 0.26776 lineto gsave
0.674 0.96 0.941 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34098 0.26776 moveto 0.32661 0.2704 lineto 0.38388 0.23181 lineto gsave
0.674 0.96 0.941 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40515 0.36924 moveto 0.41728 0.41129 lineto 0.39818 0.43536 lineto gsave
0.335 0.275 0.64 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41244 0.47878 moveto 0.39818 0.43536 lineto 0.41728 0.41129 lineto gsave
0.32 0.255 0.626 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42926 0.56275 moveto 0.44354 0.6024 lineto 0.45722 0.61588 lineto gsave
0.914 0.513 0.16 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44354 0.6024 moveto 0.42926 0.56275 lineto 0.42272 0.54405 lineto gsave
0 0 0.248 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4859 0.65857 moveto 0.47759 0.62611 lineto 0.45722 0.61588 lineto gsave
0.859 0.471 0.309 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47759 0.62611 moveto 0.4859 0.65857 lineto 0.50615 0.66335 lineto gsave
0.773 0.414 0.377 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66783 0.25438 moveto 0.65634 0.26824 lineto 0.60287 0.24359 lineto gsave
0.748 0.712 0.818 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65634 0.26824 moveto 0.64525 0.2902 lineto 0.59613 0.26789 lineto gsave
0.795 0.679 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59613 0.26789 moveto 0.60287 0.24359 lineto 0.65634 0.26824 lineto gsave
0.795 0.679 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64525 0.2902 moveto 0.63446 0.32013 lineto 0.58959 0.30012 lineto gsave
0.813 0.656 0.688 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58959 0.30012 moveto 0.59613 0.26789 lineto 0.64525 0.2902 lineto gsave
0.813 0.656 0.688 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77136 0.31885 moveto 0.7544 0.30381 lineto 0.70555 0.25669 lineto gsave
0 0.075 0.572 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69239 0.24947 moveto 0.70555 0.25669 lineto 0.7544 0.30381 lineto gsave
0 0.289 0.767 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57841 0.62145 moveto 0.56798 0.65486 lineto 0.58191 0.64531 lineto gsave
0.167 0 0.237 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58191 0.64531 moveto 0.59563 0.60944 lineto 0.57841 0.62145 lineto gsave
0.167 0 0.237 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67983 0.24835 moveto 0.66783 0.25438 lineto 0.60987 0.22739 lineto gsave
0.605 0.737 0.938 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60287 0.24359 moveto 0.60987 0.22739 lineto 0.66783 0.25438 lineto gsave
0.748 0.712 0.818 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63654 0.48997 moveto 0.62152 0.53435 lineto 0.61177 0.51578 lineto gsave
0.984 0.824 0.603 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61177 0.51578 moveto 0.62549 0.46796 lineto 0.63654 0.48997 lineto gsave
0.984 0.824 0.603 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43148 0.30896 moveto 0.44014 0.3475 lineto 0.40515 0.36924 lineto gsave
0.514 0.401 0.662 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41728 0.41129 moveto 0.40515 0.36924 lineto 0.44014 0.3475 lineto gsave
0.502 0.378 0.643 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62038 0.55354 moveto 0.60527 0.5948 lineto 0.60607 0.57902 lineto gsave
0.918 0.878 0.453 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60607 0.57902 moveto 0.62152 0.53435 lineto 0.62038 0.55354 lineto gsave
0.918 0.878 0.453 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63446 0.32013 moveto 0.62385 0.35741 lineto 0.58316 0.33968 lineto gsave
0.822 0.642 0.659 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58316 0.33968 moveto 0.58959 0.30012 lineto 0.63446 0.32013 lineto gsave
0.822 0.642 0.659 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.373 0.23771 moveto 0.38388 0.23181 lineto 0.32661 0.2704 lineto gsave
0.464 0.861 0.677 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32661 0.2704 moveto 0.31158 0.27913 lineto 0.373 0.23771 lineto gsave
0.464 0.861 0.677 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63896 0.42281 moveto 0.62549 0.46796 lineto 0.60266 0.44915 lineto gsave
0.906 0.713 0.631 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60266 0.44915 moveto 0.61328 0.40095 lineto 0.63896 0.42281 lineto gsave
0.906 0.713 0.631 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46938 0.65043 moveto 0.45722 0.61588 lineto 0.44354 0.6024 lineto gsave
0.902 0.489 0.122 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45722 0.61588 moveto 0.46938 0.65043 lineto 0.4859 0.65857 lineto gsave
0.859 0.471 0.309 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26286 0.32656 moveto 0.27961 0.30899 lineto 0.24061 0.36675 lineto gsave
0.711 0.929 0.601 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24061 0.36675 moveto 0.22182 0.38757 lineto 0.26286 0.32656 lineto gsave
0.711 0.929 0.601 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47308 0.23616 moveto 0.47724 0.26117 lineto 0.42265 0.27775 lineto gsave
0.637 0.543 0.731 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42265 0.27775 moveto 0.41357 0.25449 lineto 0.47308 0.23616 lineto gsave
0.637 0.543 0.731 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43148 0.30896 moveto 0.42265 0.27775 lineto 0.47724 0.26117 lineto gsave
0.622 0.493 0.684 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46875 0.21924 moveto 0.47308 0.23616 lineto 0.41357 0.25449 lineto gsave
0.658 0.632 0.813 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41357 0.25449 moveto 0.40412 0.23933 lineto 0.46875 0.21924 lineto gsave
0.658 0.632 0.813 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69239 0.24947 moveto 0.67983 0.24835 lineto 0.61718 0.21901 lineto gsave
0.165 0.597 0.937 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60987 0.22739 moveto 0.61718 0.21901 lineto 0.67983 0.24835 lineto gsave
0.605 0.737 0.938 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59563 0.60944 moveto 0.58191 0.64531 lineto 0.58962 0.63371 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58962 0.63371 moveto 0.60527 0.5948 lineto 0.59563 0.60944 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41728 0.41129 moveto 0.4295 0.45805 lineto 0.41244 0.47878 lineto gsave
0.32 0.255 0.626 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42697 0.5249 moveto 0.41244 0.47878 lineto 0.4295 0.45805 lineto gsave
0.315 0.247 0.62 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41244 0.47878 moveto 0.42697 0.5249 lineto 0.42272 0.54405 lineto gsave
0 0.029 0.554 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62385 0.35741 moveto 0.61328 0.40095 lineto 0.57678 0.38547 lineto gsave
0.826 0.633 0.642 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57678 0.38547 moveto 0.58316 0.33968 lineto 0.62385 0.35741 lineto gsave
0.826 0.633 0.642 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43816 0.58699 moveto 0.42272 0.54405 lineto 0.42697 0.5249 lineto gsave
0 0.036 0.559 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42272 0.54405 moveto 0.43816 0.58699 lineto 0.44354 0.6024 lineto gsave
0 0 0.248 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47724 0.26117 moveto 0.48127 0.2941 lineto 0.43148 0.30896 lineto gsave
0.622 0.493 0.684 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44014 0.3475 moveto 0.43148 0.30896 lineto 0.48127 0.2941 lineto gsave
0.612 0.464 0.657 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46421 0.21013 moveto 0.46875 0.21924 lineto 0.40412 0.23933 lineto gsave
0.664 0.792 0.943 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40412 0.23933 moveto 0.39425 0.232 lineto 0.46421 0.21013 lineto gsave
0.664 0.792 0.943 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70555 0.25669 moveto 0.7193 0.26859 lineto 0.77136 0.31885 lineto gsave
0 0.075 0.572 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78892 0.3369 moveto 0.77136 0.31885 lineto 0.7193 0.26859 lineto gsave
0.538 0.03 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44014 0.3475 moveto 0.44874 0.39229 lineto 0.41728 0.41129 lineto gsave
0.502 0.378 0.643 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4295 0.45805 moveto 0.41728 0.41129 lineto 0.44874 0.39229 lineto gsave
0.495 0.365 0.632 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5267 0.6903 moveto 0.52804 0.66433 lineto 0.50615 0.66335 lineto gsave
0.673 0.319 0.365 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52804 0.66433 moveto 0.5267 0.6903 lineto 0.54296 0.68811 lineto gsave
0.564 0.227 0.356 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54296 0.68811 moveto 0.54937 0.66141 lineto 0.52804 0.66433 lineto gsave
0.564 0.227 0.356 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60287 0.24359 moveto 0.59613 0.26789 lineto 0.53766 0.25771 lineto gsave
0.745 0.626 0.727 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59613 0.26789 moveto 0.58959 0.30012 lineto 0.5363 0.29101 lineto gsave
0.752 0.595 0.682 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5363 0.29101 moveto 0.53766 0.25771 lineto 0.59613 0.26789 lineto gsave
0.752 0.595 0.682 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60987 0.22739 moveto 0.60287 0.24359 lineto 0.53905 0.23233 lineto gsave
0.721 0.679 0.809 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53766 0.25771 moveto 0.53905 0.23233 lineto 0.60287 0.24359 lineto gsave
0.745 0.626 0.727 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51 0.68957 moveto 0.50615 0.66335 lineto 0.4859 0.65857 lineto gsave
0.765 0.387 0.339 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50615 0.66335 moveto 0.51 0.68957 lineto 0.5267 0.6903 lineto gsave
0.673 0.319 0.365 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44354 0.6024 moveto 0.45836 0.63973 lineto 0.46938 0.65043 lineto gsave
0.902 0.489 0.122 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45836 0.63973 moveto 0.44354 0.6024 lineto 0.43816 0.58699 lineto gsave
0 0 0.295 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36161 0.2483 moveto 0.373 0.23771 lineto 0.31158 0.27913 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31158 0.27913 moveto 0.29589 0.29256 lineto 0.36161 0.2483 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54937 0.66141 moveto 0.54296 0.68811 lineto 0.55711 0.68321 lineto gsave
0.407 0.086 0.307 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55711 0.68321 moveto 0.56798 0.65486 lineto 0.54937 0.66141 lineto gsave
0.407 0.086 0.307 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58959 0.30012 moveto 0.58316 0.33968 lineto 0.53497 0.33162 lineto gsave
0.755 0.577 0.655 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53497 0.33162 moveto 0.5363 0.29101 lineto 0.58959 0.30012 lineto gsave
0.755 0.577 0.655 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48127 0.2941 moveto 0.48522 0.33436 lineto 0.44014 0.3475 lineto gsave
0.612 0.464 0.657 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44874 0.39229 moveto 0.44014 0.3475 lineto 0.48522 0.33436 lineto gsave
0.607 0.448 0.64 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61718 0.21901 moveto 0.62486 0.21776 lineto 0.69239 0.24947 lineto gsave
0.165 0.597 0.937 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70555 0.25669 moveto 0.69239 0.24947 lineto 0.62486 0.21776 lineto gsave
0.381 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62549 0.46796 moveto 0.61177 0.51578 lineto 0.59187 0.49996 lineto gsave
0.907 0.712 0.627 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59187 0.49996 moveto 0.60266 0.44915 lineto 0.62549 0.46796 lineto gsave
0.907 0.712 0.627 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62152 0.53435 moveto 0.60607 0.57902 lineto 0.5977 0.5638 lineto gsave
0.984 0.825 0.606 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5977 0.5638 moveto 0.61177 0.51578 lineto 0.62152 0.53435 lineto gsave
0.984 0.825 0.606 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53905 0.23233 moveto 0.53766 0.25771 lineto 0.47724 0.26117 lineto gsave
0.694 0.582 0.726 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47724 0.26117 moveto 0.47308 0.23616 lineto 0.53905 0.23233 lineto gsave
0.694 0.582 0.726 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48127 0.2941 moveto 0.47724 0.26117 lineto 0.53766 0.25771 lineto gsave
0.691 0.543 0.68 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49458 0.68598 moveto 0.4859 0.65857 lineto 0.46938 0.65043 lineto gsave
0.848 0.437 0.257 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4859 0.65857 moveto 0.49458 0.68598 lineto 0.51 0.68957 lineto gsave
0.765 0.387 0.339 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45943 0.20815 moveto 0.46421 0.21013 lineto 0.39425 0.232 lineto gsave
0.467 0.885 0.924 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39425 0.232 moveto 0.38388 0.23181 lineto 0.45943 0.20815 lineto gsave
0.467 0.885 0.924 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61718 0.21901 moveto 0.60987 0.22739 lineto 0.5405 0.21504 lineto gsave
0.618 0.759 0.946 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53905 0.23233 moveto 0.5405 0.21504 lineto 0.60987 0.22739 lineto gsave
0.721 0.679 0.809 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5405 0.21504 moveto 0.53905 0.23233 lineto 0.47308 0.23616 lineto gsave
0.691 0.653 0.807 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47308 0.23616 moveto 0.46875 0.21924 lineto 0.5405 0.21504 lineto gsave
0.691 0.653 0.807 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61328 0.40095 moveto 0.60266 0.44915 lineto 0.57037 0.43587 lineto gsave
0.828 0.628 0.632 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57037 0.43587 moveto 0.57678 0.38547 lineto 0.61328 0.40095 lineto gsave
0.828 0.628 0.632 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53766 0.25771 moveto 0.5363 0.29101 lineto 0.48127 0.2941 lineto gsave
0.691 0.543 0.68 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48522 0.33436 moveto 0.48127 0.2941 lineto 0.5363 0.29101 lineto gsave
0.688 0.52 0.654 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56798 0.65486 moveto 0.55711 0.68321 lineto 0.56765 0.67609 lineto gsave
0.122 0 0.171 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56765 0.67609 moveto 0.58191 0.64531 lineto 0.56798 0.65486 lineto gsave
0.122 0 0.171 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60527 0.5948 moveto 0.58962 0.63371 lineto 0.59014 0.62126 lineto gsave
0.928 0.894 0.487 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59014 0.62126 moveto 0.60607 0.57902 lineto 0.60527 0.5948 lineto gsave
0.928 0.894 0.487 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58316 0.33968 moveto 0.57678 0.38547 lineto 0.53364 0.37844 lineto gsave
0.756 0.566 0.639 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53364 0.37844 moveto 0.53497 0.33162 lineto 0.58316 0.33968 lineto gsave
0.756 0.566 0.639 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5363 0.29101 moveto 0.53497 0.33162 lineto 0.48522 0.33436 lineto gsave
0.688 0.52 0.654 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.542 0.20555 moveto 0.5405 0.21504 lineto 0.46875 0.21924 lineto gsave
0.639 0.779 0.948 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46875 0.21924 moveto 0.46421 0.21013 lineto 0.542 0.20555 lineto gsave
0.639 0.779 0.948 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4295 0.45805 moveto 0.44191 0.50743 lineto 0.42697 0.5249 lineto gsave
0.315 0.247 0.62 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4419 0.57127 moveto 0.42697 0.5249 lineto 0.44191 0.50743 lineto gsave
0.317 0.251 0.623 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42697 0.5249 moveto 0.4419 0.57127 lineto 0.43816 0.58699 lineto gsave
0 0.036 0.559 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44874 0.39229 moveto 0.45738 0.44173 lineto 0.4295 0.45805 lineto gsave
0.495 0.365 0.632 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44191 0.50743 moveto 0.4295 0.45805 lineto 0.45738 0.44173 lineto gsave
0.493 0.361 0.629 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48204 0.6799 moveto 0.46938 0.65043 lineto 0.45836 0.63973 lineto gsave
0.87 0.433 0.038 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46938 0.65043 moveto 0.48204 0.6799 lineto 0.49458 0.68598 lineto gsave
0.848 0.437 0.257 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80695 0.35607 moveto 0.78892 0.3369 lineto 0.73359 0.28351 lineto gsave
0.563 0.055 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7193 0.26859 moveto 0.73359 0.28351 lineto 0.78892 0.3369 lineto gsave
0.538 0.03 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48913 0.38082 moveto 0.48522 0.33436 lineto 0.53497 0.33162 lineto gsave
0.686 0.507 0.639 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48522 0.33436 moveto 0.48913 0.38082 lineto 0.44874 0.39229 lineto gsave
0.607 0.448 0.64 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45738 0.44173 moveto 0.44874 0.39229 lineto 0.48913 0.38082 lineto gsave
0.604 0.439 0.632 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5405 0.21504 moveto 0.542 0.20555 lineto 0.61718 0.21901 lineto gsave
0.618 0.759 0.946 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62486 0.21776 moveto 0.61718 0.21901 lineto 0.542 0.20555 lineto gsave
0.156 0.659 0.908 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45412 0.62754 moveto 0.43816 0.58699 lineto 0.4419 0.57127 lineto gsave
0 0.066 0.582 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43816 0.58699 moveto 0.45412 0.62754 lineto 0.45836 0.63973 lineto gsave
0 0 0.295 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53497 0.33162 moveto 0.53364 0.37844 lineto 0.48913 0.38082 lineto gsave
0.686 0.507 0.639 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4544 0.21225 moveto 0.45943 0.20815 lineto 0.38388 0.23181 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38388 0.23181 moveto 0.373 0.23771 lineto 0.4544 0.21225 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34975 0.2619 moveto 0.36161 0.2483 lineto 0.29589 0.29256 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29589 0.29256 moveto 0.27961 0.30899 lineto 0.34975 0.2619 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58191 0.64531 moveto 0.56765 0.67609 lineto 0.57342 0.66746 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57342 0.66746 moveto 0.58962 0.63371 lineto 0.58191 0.64531 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7193 0.26859 moveto 0.70555 0.25669 lineto 0.63293 0.2226 lineto gsave
0.608 0.039 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62486 0.21776 moveto 0.63293 0.2226 lineto 0.70555 0.25669 lineto gsave
0.381 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57678 0.38547 moveto 0.57037 0.43587 lineto 0.5323 0.42985 lineto gsave
0.756 0.56 0.631 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5323 0.42985 moveto 0.53364 0.37844 lineto 0.57678 0.38547 lineto gsave
0.756 0.56 0.631 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60266 0.44915 moveto 0.59187 0.49996 lineto 0.56387 0.48882 lineto gsave
0.828 0.626 0.629 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56387 0.48882 moveto 0.57037 0.43587 lineto 0.60266 0.44915 lineto gsave
0.828 0.626 0.629 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61177 0.51578 moveto 0.5977 0.5638 lineto 0.58085 0.55088 lineto gsave
0.906 0.712 0.629 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58085 0.55088 moveto 0.59187 0.49996 lineto 0.61177 0.51578 lineto gsave
0.906 0.712 0.629 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54359 0.2032 moveto 0.542 0.20555 lineto 0.46421 0.21013 lineto gsave
0.265 0.761 0.898 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46421 0.21013 moveto 0.45943 0.20815 lineto 0.54359 0.2032 lineto gsave
0.265 0.761 0.898 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45836 0.63973 moveto 0.47373 0.67193 lineto 0.48204 0.6799 lineto gsave
0.87 0.433 0.038 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47373 0.67193 moveto 0.45836 0.63973 lineto 0.45412 0.62754 lineto gsave
0 0 0.389 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60607 0.57902 moveto 0.59014 0.62126 lineto 0.58325 0.60928 lineto gsave
0.98 0.828 0.622 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58325 0.60928 moveto 0.5977 0.5638 lineto 0.60607 0.57902 lineto gsave
0.98 0.828 0.622 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49305 0.43189 moveto 0.48913 0.38082 lineto 0.53364 0.37844 lineto gsave
0.685 0.5 0.631 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48913 0.38082 moveto 0.49305 0.43189 lineto 0.45738 0.44173 lineto gsave
0.604 0.439 0.632 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5253 0.70858 moveto 0.5267 0.6903 lineto 0.51 0.68957 lineto gsave
0.649 0.255 0.285 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5267 0.6903 moveto 0.5253 0.70858 lineto 0.5363 0.70711 lineto gsave
0.53 0.154 0.273 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5363 0.70711 moveto 0.54296 0.68811 lineto 0.5267 0.6903 lineto gsave
0.53 0.154 0.273 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51401 0.70809 moveto 0.51 0.68957 lineto 0.49458 0.68598 lineto gsave
0.742 0.321 0.248 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51 0.68957 moveto 0.51401 0.70809 lineto 0.5253 0.70858 lineto gsave
0.649 0.255 0.285 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.542 0.20555 moveto 0.54359 0.2032 lineto 0.62486 0.21776 lineto gsave
0.156 0.659 0.908 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53364 0.37844 moveto 0.5323 0.42985 lineto 0.49305 0.43189 lineto gsave
0.685 0.5 0.631 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54296 0.68811 moveto 0.5363 0.70711 lineto 0.54584 0.70385 lineto gsave
0.351 0 0.203 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54584 0.70385 moveto 0.55711 0.68321 lineto 0.54296 0.68811 lineto gsave
0.351 0 0.203 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46614 0.49373 moveto 0.45738 0.44173 lineto 0.49305 0.43189 lineto gsave
0.602 0.436 0.628 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45738 0.44173 moveto 0.46614 0.49373 lineto 0.44191 0.50743 lineto gsave
0.493 0.361 0.629 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63293 0.2226 moveto 0.62486 0.21776 lineto 0.54359 0.2032 lineto gsave
0.394 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45461 0.55698 moveto 0.44191 0.50743 lineto 0.46614 0.49373 lineto gsave
0.494 0.363 0.631 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44191 0.50743 moveto 0.45461 0.55698 lineto 0.4419 0.57127 lineto gsave
0.317 0.251 0.623 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50359 0.7057 moveto 0.49458 0.68598 lineto 0.48204 0.6799 lineto gsave
0.815 0.354 0.134 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49458 0.68598 moveto 0.50359 0.7057 lineto 0.51401 0.70809 lineto gsave
0.742 0.321 0.248 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58962 0.63371 moveto 0.57342 0.66746 lineto 0.57372 0.65823 lineto gsave
0.941 0.921 0.552 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57372 0.65823 moveto 0.59014 0.62126 lineto 0.58962 0.63371 lineto gsave
0.941 0.921 0.552 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73359 0.28351 moveto 0.74832 0.29956 lineto 0.80695 0.35607 lineto gsave
0.563 0.055 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45727 0.61515 moveto 0.4419 0.57127 lineto 0.45461 0.55698 lineto gsave
0.328 0.267 0.635 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4419 0.57127 moveto 0.45727 0.61515 lineto 0.45412 0.62754 lineto gsave
0 0.066 0.582 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55711 0.68321 moveto 0.54584 0.70385 lineto 0.55291 0.69911 lineto gsave
0.018 0 0.019 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55291 0.69911 moveto 0.56765 0.67609 lineto 0.55711 0.68321 lineto gsave
0.018 0 0.019 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57037 0.43587 moveto 0.56387 0.48882 lineto 0.53095 0.48377 lineto gsave
0.756 0.558 0.628 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53095 0.48377 moveto 0.5323 0.42985 lineto 0.57037 0.43587 lineto gsave
0.756 0.558 0.628 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44912 0.22103 moveto 0.4544 0.21225 lineto 0.373 0.23771 lineto gsave
0.175 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.373 0.23771 moveto 0.36161 0.2483 lineto 0.44912 0.22103 lineto gsave
0.175 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49515 0.70165 moveto 0.48204 0.6799 lineto 0.47373 0.67193 lineto gsave
0.775 0.297 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48204 0.6799 moveto 0.49515 0.70165 lineto 0.50359 0.7057 lineto gsave
0.815 0.354 0.134 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47061 0.66288 moveto 0.45412 0.62754 lineto 0.45727 0.61515 lineto gsave
0.043 0.124 0.624 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45412 0.62754 moveto 0.47061 0.66288 lineto 0.47373 0.67193 lineto gsave
0 0 0.389 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59187 0.49996 moveto 0.58085 0.55088 lineto 0.55725 0.5418 lineto gsave
0.828 0.627 0.631 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55725 0.5418 moveto 0.56387 0.48882 lineto 0.59187 0.49996 lineto gsave
0.828 0.627 0.631 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49702 0.48548 moveto 0.49305 0.43189 lineto 0.5323 0.42985 lineto gsave
0.684 0.497 0.628 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49305 0.43189 moveto 0.49702 0.48548 lineto 0.46614 0.49373 lineto gsave
0.602 0.436 0.628 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3375 0.27661 moveto 0.34975 0.2619 lineto 0.27961 0.30899 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27961 0.30899 moveto 0.26286 0.32656 lineto 0.3375 0.27661 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54524 0.20691 moveto 0.54359 0.2032 lineto 0.45943 0.20815 lineto gsave
0.253 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45943 0.20815 moveto 0.4544 0.21225 lineto 0.54524 0.20691 lineto gsave
0.253 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73359 0.28351 moveto 0.7193 0.26859 lineto 0.64137 0.23212 lineto gsave
0.68 0.133 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63293 0.2226 moveto 0.64137 0.23212 lineto 0.7193 0.26859 lineto gsave
0.608 0.039 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5323 0.42985 moveto 0.53095 0.48377 lineto 0.49702 0.48548 lineto gsave
0.684 0.497 0.628 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5977 0.5638 moveto 0.58325 0.60928 lineto 0.56956 0.59915 lineto gsave
0.904 0.716 0.639 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56956 0.59915 moveto 0.58085 0.55088 lineto 0.5977 0.5638 lineto gsave
0.904 0.716 0.639 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56765 0.67609 moveto 0.55291 0.69911 lineto 0.55674 0.69339 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55674 0.69339 moveto 0.57342 0.66746 lineto 0.56765 0.67609 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54359 0.2032 moveto 0.54524 0.20691 lineto 0.63293 0.2226 lineto gsave
0.394 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47508 0.5458 moveto 0.46614 0.49373 lineto 0.49702 0.48548 lineto gsave
0.603 0.437 0.63 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46614 0.49373 moveto 0.47508 0.5458 lineto 0.45461 0.55698 lineto gsave
0.494 0.363 0.631 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59014 0.62126 moveto 0.57372 0.65823 lineto 0.56841 0.64939 lineto gsave
0.971 0.836 0.651 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56841 0.64939 moveto 0.58325 0.60928 lineto 0.59014 0.62126 lineto gsave
0.971 0.836 0.651 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47373 0.67193 moveto 0.4896 0.69635 lineto 0.49515 0.70165 lineto gsave
0.775 0.297 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4896 0.69635 moveto 0.47373 0.67193 lineto 0.47061 0.66288 lineto gsave
0 0 0.548 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46765 0.60393 moveto 0.45461 0.55698 lineto 0.47508 0.5458 lineto gsave
0.499 0.372 0.639 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45461 0.55698 moveto 0.46765 0.60393 lineto 0.45727 0.61515 lineto gsave
0.328 0.267 0.635 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56387 0.48882 moveto 0.55725 0.5418 lineto 0.52958 0.5377 lineto gsave
0.756 0.559 0.629 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52958 0.5377 moveto 0.53095 0.48377 lineto 0.56387 0.48882 lineto gsave
0.756 0.559 0.629 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64137 0.23212 moveto 0.63293 0.2226 lineto 0.54524 0.20691 lineto gsave
0.568 0.026 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52387 0.71693 moveto 0.5253 0.70858 lineto 0.51401 0.70809 lineto gsave
0.544 0.047 0.026 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5253 0.70858 moveto 0.52387 0.71693 lineto 0.52943 0.71619 lineto gsave
0.4 0 0.003 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52943 0.71619 moveto 0.5363 0.70711 lineto 0.5253 0.70858 lineto gsave
0.4 0 0.003 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51816 0.71668 moveto 0.51401 0.70809 lineto 0.50359 0.7057 lineto gsave
0.631 0.101 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51401 0.70809 moveto 0.51816 0.71668 lineto 0.52387 0.71693 lineto gsave
0.544 0.047 0.026 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47309 0.65372 moveto 0.45727 0.61515 lineto 0.46765 0.60393 lineto gsave
0.349 0.297 0.658 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45727 0.61515 moveto 0.47309 0.65372 lineto 0.47061 0.66288 lineto gsave
0.043 0.124 0.624 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57342 0.66746 moveto 0.55674 0.69339 lineto 0.55687 0.6873 lineto gsave
0.948 0.952 0.654 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55687 0.6873 moveto 0.57372 0.65823 lineto 0.57342 0.66746 lineto gsave
0.948 0.952 0.654 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5363 0.70711 moveto 0.52943 0.71619 lineto 0.53424 0.71455 lineto gsave
0.158 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53424 0.71455 moveto 0.54584 0.70385 lineto 0.5363 0.70711 lineto gsave
0.158 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50106 0.53909 moveto 0.49702 0.48548 lineto 0.53095 0.48377 lineto gsave
0.685 0.499 0.629 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49702 0.48548 moveto 0.50106 0.53909 lineto 0.47508 0.5458 lineto gsave
0.603 0.437 0.63 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5129 0.71548 moveto 0.50359 0.7057 lineto 0.49515 0.70165 lineto gsave
0.637 0.075 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50359 0.7057 moveto 0.5129 0.71548 lineto 0.51816 0.71668 lineto gsave
0.631 0.101 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58085 0.55088 moveto 0.56956 0.59915 lineto 0.55048 0.59206 lineto gsave
0.827 0.631 0.638 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55048 0.59206 moveto 0.55725 0.5418 lineto 0.58085 0.55088 lineto gsave
0.827 0.631 0.638 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53095 0.48377 moveto 0.52958 0.5377 lineto 0.50106 0.53909 lineto gsave
0.685 0.499 0.629 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54584 0.70385 moveto 0.53424 0.71455 lineto 0.53779 0.71218 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53779 0.71218 moveto 0.55291 0.69911 lineto 0.54584 0.70385 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48757 0.69037 moveto 0.47061 0.66288 lineto 0.47309 0.65372 lineto gsave
0.131 0.221 0.691 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47061 0.66288 moveto 0.48757 0.69037 lineto 0.4896 0.69635 lineto gsave
0 0 0.548 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44362 0.2328 moveto 0.44912 0.22103 lineto 0.36161 0.2483 lineto gsave
0.248 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36161 0.2483 moveto 0.34975 0.2619 lineto 0.44362 0.2328 lineto gsave
0.248 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58325 0.60928 moveto 0.56841 0.64939 lineto 0.558 0.64194 lineto gsave
0.898 0.724 0.658 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.558 0.64194 moveto 0.56956 0.59915 lineto 0.58325 0.60928 lineto gsave
0.898 0.724 0.658 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49515 0.70165 moveto 0.50865 0.71345 lineto 0.5129 0.71548 lineto gsave
0.637 0.075 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50865 0.71345 moveto 0.49515 0.70165 lineto 0.4896 0.69635 lineto gsave
0 0.072 0.565 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54698 0.21531 moveto 0.54524 0.20691 lineto 0.4544 0.21225 lineto gsave
0.427 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4544 0.21225 moveto 0.44912 0.22103 lineto 0.54698 0.21531 lineto gsave
0.427 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48423 0.59518 moveto 0.47508 0.5458 lineto 0.50106 0.53909 lineto gsave
0.605 0.444 0.637 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47508 0.5458 moveto 0.48423 0.59518 lineto 0.46765 0.60393 lineto gsave
0.499 0.372 0.639 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55291 0.69911 moveto 0.53779 0.71218 lineto 0.53968 0.70933 lineto gsave
0.742 0.97 0.704 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53968 0.70933 moveto 0.55674 0.69339 lineto 0.55291 0.69911 lineto gsave
0.742 0.97 0.704 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74832 0.29956 moveto 0.73359 0.28351 lineto 0.65017 0.24465 lineto gsave
0.694 0.154 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64137 0.23212 moveto 0.65017 0.24465 lineto 0.73359 0.28351 lineto gsave
0.68 0.133 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57372 0.65823 moveto 0.55687 0.6873 lineto 0.55325 0.68149 lineto gsave
0.952 0.845 0.7 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55325 0.68149 moveto 0.56841 0.64939 lineto 0.57372 0.65823 lineto gsave
0.952 0.845 0.7 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54524 0.20691 moveto 0.54698 0.21531 lineto 0.64137 0.23212 lineto gsave
0.568 0.026 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48102 0.64545 moveto 0.46765 0.60393 lineto 0.48423 0.59518 lineto gsave
0.508 0.392 0.656 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46765 0.60393 moveto 0.48102 0.64545 lineto 0.47309 0.65372 lineto gsave
0.349 0.297 0.658 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55725 0.5418 moveto 0.55048 0.59206 lineto 0.52817 0.58885 lineto gsave
0.756 0.564 0.636 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52817 0.58885 moveto 0.52958 0.5377 lineto 0.55725 0.5418 lineto gsave
0.756 0.564 0.636 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50588 0.71081 moveto 0.4896 0.69635 lineto 0.48757 0.69037 lineto gsave
0 0.267 0.773 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4896 0.69635 moveto 0.50588 0.71081 lineto 0.50865 0.71345 lineto gsave
0 0.072 0.565 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5052 0.58994 moveto 0.50106 0.53909 lineto 0.52958 0.5377 lineto gsave
0.686 0.504 0.636 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50106 0.53909 moveto 0.5052 0.58994 lineto 0.48423 0.59518 lineto gsave
0.605 0.444 0.637 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48931 0.68433 moveto 0.47309 0.65372 lineto 0.48102 0.64545 lineto gsave
0.385 0.35 0.697 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47309 0.65372 moveto 0.48931 0.68433 lineto 0.48757 0.69037 lineto gsave
0.131 0.221 0.691 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55674 0.69339 moveto 0.53968 0.70933 lineto 0.53971 0.70631 lineto gsave
0.917 0.962 0.794 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53971 0.70631 moveto 0.55687 0.6873 lineto 0.55674 0.69339 lineto gsave
0.917 0.962 0.794 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52958 0.5377 moveto 0.52817 0.58885 lineto 0.5052 0.58994 lineto gsave
0.686 0.504 0.636 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56956 0.59915 moveto 0.558 0.64194 lineto 0.54358 0.63674 lineto gsave
0.824 0.64 0.653 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54358 0.63674 moveto 0.55048 0.59206 lineto 0.56956 0.59915 lineto gsave
0.824 0.64 0.653 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.52387 0.71693 lineto 0.51816 0.71668 lineto closepath gsave
0.316 0.766 0.958 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.52943 0.71619 lineto 0.52387 0.71693 lineto closepath gsave
0.409 0.833 0.962 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.51816 0.71668 lineto 0.5129 0.71548 lineto closepath gsave
0.283 0.714 0.968 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.53424 0.71455 lineto 0.52943 0.71619 lineto closepath gsave
0.536 0.896 0.974 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50489 0.70783 moveto 0.48757 0.69037 lineto 0.48931 0.68433 lineto gsave
0.277 0.381 0.79 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48757 0.69037 moveto 0.50489 0.70783 lineto 0.50588 0.71081 lineto gsave
0 0.267 0.773 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.5129 0.71548 lineto 0.50865 0.71345 lineto closepath gsave
0.307 0.678 0.976 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65017 0.24465 moveto 0.64137 0.23212 lineto 0.54698 0.21531 lineto gsave
0.618 0.108 0.014 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56841 0.64939 moveto 0.55325 0.68149 lineto 0.54622 0.67661 lineto gsave
0.885 0.736 0.691 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54622 0.67661 moveto 0.558 0.64194 lineto 0.56841 0.64939 lineto gsave
0.885 0.736 0.691 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.53779 0.71218 lineto 0.53424 0.71455 lineto closepath gsave
0.656 0.926 0.974 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49359 0.63903 moveto 0.48423 0.59518 lineto 0.5052 0.58994 lineto gsave
0.61 0.458 0.651 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48423 0.59518 moveto 0.49359 0.63903 lineto 0.48102 0.64545 lineto gsave
0.508 0.392 0.656 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.50865 0.71345 lineto 0.50588 0.71081 lineto closepath gsave
0.367 0.653 0.966 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55687 0.6873 moveto 0.53971 0.70631 lineto 0.53786 0.70343 lineto gsave
0.907 0.852 0.778 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53786 0.70343 moveto 0.55325 0.68149 lineto 0.55687 0.6873 lineto gsave
0.907 0.852 0.778 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.53968 0.70933 lineto 0.53779 0.71218 lineto closepath gsave
0.736 0.915 0.954 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49468 0.67891 moveto 0.48102 0.64545 lineto 0.49359 0.63903 lineto gsave
0.525 0.427 0.686 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48102 0.64545 moveto 0.49468 0.67891 lineto 0.48931 0.68433 lineto gsave
0.385 0.35 0.697 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55048 0.59206 moveto 0.54358 0.63674 lineto 0.52675 0.63439 lineto gsave
0.756 0.573 0.65 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52675 0.63439 moveto 0.52817 0.58885 lineto 0.55048 0.59206 lineto gsave
0.756 0.573 0.65 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.50588 0.71081 lineto 0.50489 0.70783 lineto closepath gsave
0.437 0.636 0.939 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5058 0.70484 moveto 0.48931 0.68433 lineto 0.49468 0.67891 lineto gsave
0.447 0.446 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48931 0.68433 moveto 0.5058 0.70484 lineto 0.50489 0.70783 lineto gsave
0.277 0.381 0.79 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.53971 0.70631 lineto 0.53968 0.70933 lineto closepath gsave
0.773 0.877 0.923 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50942 0.63519 moveto 0.5052 0.58994 lineto 0.52817 0.58885 lineto gsave
0.687 0.516 0.649 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5052 0.58994 moveto 0.50942 0.63519 lineto 0.49359 0.63903 lineto gsave
0.61 0.458 0.651 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52817 0.58885 moveto 0.52675 0.63439 lineto 0.50942 0.63519 lineto gsave
0.687 0.516 0.649 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.558 0.64194 moveto 0.54622 0.67661 lineto 0.53655 0.67321 lineto gsave
0.818 0.655 0.681 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53655 0.67321 moveto 0.54358 0.63674 lineto 0.558 0.64194 lineto gsave
0.818 0.655 0.681 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.50489 0.70783 lineto 0.5058 0.70484 lineto closepath gsave
0.502 0.627 0.907 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43793 0.24567 moveto 0.44362 0.2328 lineto 0.34975 0.2619 lineto gsave
0.263 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34975 0.2619 moveto 0.3375 0.27661 lineto 0.43793 0.24567 lineto gsave
0.263 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55325 0.68149 moveto 0.53786 0.70343 lineto 0.53432 0.70103 lineto gsave
0.857 0.757 0.752 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53432 0.70103 moveto 0.54622 0.67661 lineto 0.55325 0.68149 lineto gsave
0.857 0.757 0.752 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54879 0.22669 moveto 0.54698 0.21531 lineto 0.44912 0.22103 lineto gsave
0.48 0.001 0.04 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44912 0.22103 moveto 0.44362 0.2328 lineto 0.54879 0.22669 lineto gsave
0.48 0.001 0.04 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.53786 0.70343 lineto 0.53971 0.70631 lineto closepath gsave
0.779 0.828 0.891 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50312 0.67471 moveto 0.49359 0.63903 lineto 0.50942 0.63519 lineto gsave
0.617 0.484 0.677 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49359 0.63903 moveto 0.50312 0.67471 lineto 0.49468 0.67891 lineto gsave
0.525 0.427 0.686 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.53432 0.70103 lineto 0.53786 0.70343 lineto closepath gsave
0.767 0.781 0.865 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.52948 0.69935 lineto 0.53432 0.70103 lineto closepath gsave
0.745 0.739 0.847 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.52385 0.6986 lineto 0.52948 0.69935 lineto closepath gsave
0.717 0.704 0.837 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.51807 0.69886 lineto 0.52385 0.6986 lineto closepath gsave
0.684 0.675 0.835 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.51276 0.70009 lineto 0.51807 0.69886 lineto closepath gsave
0.648 0.652 0.841 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.50852 0.70216 lineto 0.51276 0.70009 lineto closepath gsave
0.606 0.636 0.855 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52241 0.71381 moveto 0.5058 0.70484 lineto 0.50852 0.70216 lineto closepath gsave
0.558 0.628 0.877 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49468 0.67891 moveto 0.50852 0.70216 lineto 0.5058 0.70484 lineto gsave
0.447 0.446 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65017 0.24465 moveto 0.65927 0.25827 lineto 0.74832 0.29956 lineto gsave
0.694 0.154 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50852 0.70216 moveto 0.49468 0.67891 lineto 0.50312 0.67471 lineto gsave
0.554 0.493 0.742 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54358 0.63674 moveto 0.53655 0.67321 lineto 0.5253 0.67168 lineto gsave
0.754 0.591 0.675 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5253 0.67168 moveto 0.52675 0.63439 lineto 0.54358 0.63674 lineto gsave
0.754 0.591 0.675 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54698 0.21531 moveto 0.54879 0.22669 lineto 0.65017 0.24465 lineto gsave
0.618 0.108 0.014 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54622 0.67661 moveto 0.53432 0.70103 lineto 0.52948 0.69935 lineto gsave
0.802 0.684 0.734 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52948 0.69935 moveto 0.53655 0.67321 lineto 0.54622 0.67661 lineto gsave
0.802 0.684 0.734 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50312 0.67471 moveto 0.51276 0.70009 lineto 0.50852 0.70216 lineto gsave
0.554 0.493 0.742 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51372 0.6722 moveto 0.50942 0.63519 lineto 0.52675 0.63439 lineto gsave
0.69 0.537 0.674 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50942 0.63519 moveto 0.51372 0.6722 lineto 0.50312 0.67471 lineto gsave
0.617 0.484 0.677 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52675 0.63439 moveto 0.5253 0.67168 lineto 0.51372 0.6722 lineto gsave
0.69 0.537 0.674 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51276 0.70009 moveto 0.50312 0.67471 lineto 0.51372 0.6722 lineto gsave
0.63 0.535 0.728 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51372 0.6722 moveto 0.51807 0.69886 lineto 0.51276 0.70009 lineto gsave
0.63 0.535 0.728 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53655 0.67321 moveto 0.52948 0.69935 lineto 0.52385 0.6986 lineto gsave
0.748 0.626 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5253 0.67168 moveto 0.52385 0.6986 lineto 0.51807 0.69886 lineto gsave
0.693 0.578 0.722 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51807 0.69886 moveto 0.51372 0.6722 lineto 0.5253 0.67168 lineto gsave
0.693 0.578 0.722 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52385 0.6986 moveto 0.5253 0.67168 lineto 0.53655 0.67321 lineto gsave
0.748 0.626 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65927 0.25827 moveto 0.65017 0.24465 lineto 0.54879 0.22669 lineto gsave
0.628 0.125 0.036 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55067 0.23915 moveto 0.54879 0.22669 lineto 0.44362 0.2328 lineto gsave
0.49 0.019 0.061 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44362 0.2328 moveto 0.43793 0.24567 lineto 0.55067 0.23915 lineto gsave
0.49 0.019 0.061 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54879 0.22669 moveto 0.55067 0.23915 lineto 0.65927 0.25827 lineto gsave
0.628 0.125 0.036 setrgbcolor
fill grestore
stroke
grestore
gsave
grestore
% End of Graphics
MathPictureEnd
:[font = input; preserveAspect; startGroup; ]
uu[1,7.01559,0];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 254; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.90378 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.024959 0.998348 -1.085326e-05 0.998348 [
[ 0 0 0 0 ]
[ 1 0.903775 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics3D
[ ] 0 setdash
0 setgray
0 0 moveto
1 0 lineto
1 0.90378 lineto
0 0.90378 lineto
closepath
clip
newpath
gsave
0.002 setlinewidth
0.54502 0.66974 moveto 0.54609 0.66681 lineto 0.45231 0.6627 lineto gsave
0.383 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63257 0.64924 moveto 0.63804 0.65445 lineto 0.55028 0.66624 lineto gsave
0.617 0.81 0.974 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55028 0.66624 moveto 0.54609 0.66681 lineto gsave
0.55352 0.6653 lineto 0.617 0.81 0.974 setrgbcolor
fill grestore
stroke
grestore
gsave
0.63257 0.64924 moveto 0.55028 0.66624 lineto 0.55352 0.6653 lineto 0.617 0.81 0.974 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.54609 0.66681 moveto 0.54502 0.66974 lineto 0.63257 0.64924 lineto gsave
0.157 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62703 0.64379 moveto 0.63257 0.64924 lineto 0.55641 0.66707 lineto gsave
0.676 0.825 0.955 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55641 0.66707 moveto 0.54502 0.66974 lineto gsave
0.56338 0.66393 lineto 0.676 0.825 0.955 setrgbcolor
fill grestore
stroke
grestore
gsave
0.62703 0.64379 moveto 0.55641 0.66707 lineto 0.56338 0.66393 lineto 0.676 0.825 0.955 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.54502 0.66974 moveto 0.54393 0.67186 lineto 0.62615 0.64409 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.54502 0.66974 moveto 0.62615 0.64409 lineto 0.62538 0.64431 lineto 0 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.54393 0.67186 moveto 0.54502 0.66974 lineto 0.45525 0.67336 lineto gsave
0.247 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54393 0.67186 moveto 0.54282 0.67173 lineto 0.61904 0.63884 lineto gsave
0.359 0.82 0.726 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61904 0.63884 moveto 0.62141 0.63782 lineto gsave
0.61741 0.63958 lineto 0.359 0.82 0.726 setrgbcolor
fill grestore
stroke
grestore
gsave
0.54393 0.67186 moveto 0.61904 0.63884 lineto 0.61741 0.63958 lineto 0.359 0.82 0.726 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.62615 0.64409 moveto 0.62703 0.64379 lineto gsave
0.62538 0.64431 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45525 0.67336 moveto 0.45231 0.6627 lineto 0.3639 0.6423 lineto gsave
0.714 0.263 0.178 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45231 0.6627 moveto 0.45525 0.67336 lineto 0.54502 0.66974 lineto gsave
0.606 0.19 0.228 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63804 0.65445 moveto 0.63257 0.64924 lineto 0.71086 0.61324 lineto gsave
0.7 0.839 0.949 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71086 0.61324 moveto 0.72094 0.62618 lineto 0.63804 0.65445 lineto gsave
0.638 0.611 0.806 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3639 0.6423 moveto 0.37039 0.65958 lineto 0.45525 0.67336 lineto gsave
0.741 0.351 0.313 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45828 0.68279 moveto 0.45525 0.67336 lineto 0.37039 0.65958 lineto gsave
0.681 0.213 0.133 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45525 0.67336 moveto 0.45828 0.68279 lineto 0.54393 0.67186 lineto gsave
0.565 0.139 0.191 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63257 0.64924 moveto 0.62703 0.64379 lineto 0.70076 0.60077 lineto gsave
0.744 0.845 0.926 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70076 0.60077 moveto 0.71086 0.61324 lineto 0.63257 0.64924 lineto gsave
0.664 0.625 0.801 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37039 0.65958 moveto 0.3639 0.6423 lineto 0.28818 0.60659 lineto gsave
0.827 0.397 0.22 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54282 0.67173 moveto 0.54393 0.67186 lineto 0.45828 0.68279 lineto gsave
0.13 0.678 0.739 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62141 0.63782 moveto 0.62703 0.64379 lineto 0.54393 0.67186 lineto gsave
0.727 0.825 0.926 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62703 0.64379 moveto 0.62141 0.63782 lineto 0.6907 0.58962 lineto gsave
0.774 0.837 0.9 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6907 0.58962 moveto 0.70076 0.60077 lineto 0.62703 0.64379 lineto gsave
0.694 0.652 0.804 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37039 0.65958 moveto 0.37713 0.67534 lineto 0.45828 0.68279 lineto gsave
0.723 0.323 0.291 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46146 0.68853 moveto 0.45828 0.68279 lineto 0.37713 0.67534 lineto gsave
0.563 0.029 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45828 0.68279 moveto 0.46146 0.68853 lineto 0.54282 0.67173 lineto gsave
0.444 0 0.025 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61571 0.63107 moveto 0.62141 0.63782 lineto 0.54282 0.67173 lineto gsave
0.761 0.813 0.894 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62141 0.63782 moveto 0.61571 0.63107 lineto 0.68068 0.58049 lineto gsave
0.789 0.819 0.877 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68068 0.58049 moveto 0.6907 0.58962 lineto 0.62141 0.63782 lineto gsave
0.727 0.691 0.816 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54166 0.66812 moveto 0.54282 0.67173 lineto 0.46146 0.68853 lineto gsave
0.606 0.912 0.981 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54282 0.67173 moveto 0.54166 0.66812 lineto 0.61571 0.63107 lineto gsave
0.71 0.965 0.939 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72094 0.62618 moveto 0.71086 0.61324 lineto 0.77288 0.56408 lineto gsave
0.624 0.606 0.813 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77288 0.56408 moveto 0.78735 0.58347 lineto 0.72094 0.62618 lineto gsave
0.549 0.496 0.749 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28818 0.60659 moveto 0.29779 0.62877 lineto 0.37039 0.65958 lineto gsave
0.835 0.431 0.28 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37713 0.67534 moveto 0.37039 0.65958 lineto 0.29779 0.62877 lineto gsave
0.81 0.366 0.184 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71086 0.61324 moveto 0.70076 0.60077 lineto 0.75855 0.54594 lineto gsave
0.653 0.622 0.807 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75855 0.54594 moveto 0.77288 0.56408 lineto 0.71086 0.61324 lineto gsave
0.573 0.512 0.749 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60993 0.62338 moveto 0.61571 0.63107 lineto 0.54166 0.66812 lineto gsave
0.778 0.794 0.866 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61571 0.63107 moveto 0.60993 0.62338 lineto 0.67072 0.57386 lineto gsave
0.788 0.797 0.86 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67072 0.57386 moveto 0.68068 0.58049 lineto 0.61571 0.63107 lineto gsave
0.762 0.744 0.837 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70076 0.60077 moveto 0.6907 0.58962 lineto 0.74449 0.5309 lineto gsave
0.686 0.65 0.809 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74449 0.5309 moveto 0.75855 0.54594 lineto 0.70076 0.60077 lineto gsave
0.609 0.548 0.761 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46146 0.68853 moveto 0.4648 0.6884 lineto 0.54166 0.66812 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54046 0.66015 moveto 0.54166 0.66812 lineto 0.4648 0.6884 lineto gsave
0.764 0.84 0.909 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54166 0.66812 moveto 0.54046 0.66015 lineto 0.60993 0.62338 lineto gsave
0.79 0.856 0.899 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6907 0.58962 moveto 0.68068 0.58049 lineto 0.73076 0.52049 lineto gsave
0.723 0.691 0.819 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73076 0.52049 moveto 0.74449 0.5309 lineto 0.6907 0.58962 lineto gsave
0.66 0.608 0.786 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37713 0.67534 moveto 0.38425 0.68633 lineto 0.46146 0.68853 lineto gsave
0.669 0.224 0.186 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39992 0.68325 moveto 0.46833 0.68087 lineto gsave
0.41559 0.68692 lineto 0.669 0.877 0.976 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46146 0.68853 moveto 0.38425 0.68633 lineto gsave
0.45463 0.68814 lineto 0.014 0.588 0.736 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4648 0.6884 moveto 0.46402 0.68843 lineto gsave
0.45463 0.68814 lineto 0.014 0.588 0.736 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46402 0.68843 moveto 0.46146 0.68853 lineto gsave
0.45463 0.68814 lineto 0.014 0.588 0.736 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38425 0.68633 moveto 0.39184 0.68965 lineto 0.4648 0.6884 lineto gsave
0.389 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39184 0.68965 moveto 0.39605 0.68632 lineto gsave
0.41559 0.68692 lineto 0.669 0.877 0.976 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39605 0.68632 moveto 0.39992 0.68325 lineto gsave
0.41559 0.68692 lineto 0.669 0.877 0.976 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60406 0.61467 moveto 0.60993 0.62338 lineto 0.54046 0.66015 lineto gsave
0.781 0.773 0.846 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60993 0.62338 moveto 0.60406 0.61467 lineto 0.6608 0.56996 lineto gsave
0.773 0.771 0.851 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6608 0.56996 moveto 0.67072 0.57386 lineto 0.60993 0.62338 lineto gsave
0.793 0.813 0.867 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68068 0.58049 moveto 0.67072 0.57386 lineto 0.71736 0.51574 lineto gsave
0.76 0.744 0.838 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71736 0.51574 moveto 0.73076 0.52049 lineto 0.68068 0.58049 lineto gsave
0.731 0.704 0.825 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4648 0.6884 moveto 0.46833 0.68087 lineto 0.54046 0.66015 lineto gsave
0.747 0.893 0.945 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53923 0.64744 moveto 0.54046 0.66015 lineto 0.46833 0.68087 lineto gsave
0.783 0.748 0.821 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54046 0.66015 moveto 0.53923 0.64744 lineto 0.60406 0.61467 lineto gsave
0.768 0.737 0.825 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43566 0.42597 moveto 0.44824 0.40185 lineto 0.47115 0.42863 lineto gsave
0.772 0.621 0.692 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47115 0.42863 moveto 0.46258 0.45288 lineto 0.43566 0.42597 lineto gsave
0.771 0.638 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47956 0.41475 moveto 0.47115 0.42863 lineto 0.44824 0.40185 lineto gsave
0.676 0.609 0.773 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46258 0.45288 moveto 0.47115 0.42863 lineto 0.49929 0.46257 lineto gsave
0.67 0.526 0.68 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47115 0.42863 moveto 0.47956 0.41475 lineto 0.50305 0.44881 lineto gsave
0.576 0.481 0.71 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50305 0.44881 moveto 0.49929 0.46257 lineto 0.47115 0.42863 lineto gsave
0.524 0.492 0.763 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42269 0.45968 moveto 0.43566 0.42597 lineto 0.46258 0.45288 lineto gsave
0.807 0.633 0.665 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46258 0.45288 moveto 0.45379 0.48562 lineto 0.42269 0.45968 lineto gsave
0.81 0.649 0.682 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45379 0.48562 moveto 0.46258 0.45288 lineto 0.49548 0.48438 lineto gsave
0.717 0.549 0.662 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49929 0.46257 moveto 0.49548 0.48438 lineto 0.46258 0.45288 lineto gsave
0.658 0.551 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29779 0.62877 moveto 0.28818 0.60659 lineto 0.23267 0.55761 lineto gsave
0.876 0.438 0.085 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29779 0.62877 moveto 0.30778 0.64927 lineto 0.37713 0.67534 lineto gsave
0.823 0.407 0.254 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38425 0.68633 moveto 0.37713 0.67534 lineto 0.30778 0.64927 lineto gsave
0.744 0.24 0.024 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59811 0.60498 moveto 0.60406 0.61467 lineto 0.53923 0.64744 lineto gsave
0.771 0.752 0.835 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60406 0.61467 moveto 0.59811 0.60498 lineto 0.65089 0.56866 lineto gsave
0.744 0.743 0.85 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65089 0.56866 moveto 0.6608 0.56996 lineto 0.60406 0.61467 lineto gsave
0.807 0.894 0.905 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67072 0.57386 moveto 0.6608 0.56996 lineto 0.70425 0.5171 lineto gsave
0.794 0.812 0.867 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70425 0.5171 moveto 0.71736 0.51574 lineto 0.67072 0.57386 lineto gsave
0.817 0.847 0.872 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46833 0.68087 moveto 0.4648 0.6884 lineto 0.39184 0.68965 lineto gsave
0.712 0.851 0.949 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44824 0.40185 moveto 0.46051 0.38936 lineto 0.47956 0.41475 lineto gsave
0.694 0.594 0.739 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48788 0.41218 moveto 0.47956 0.41475 lineto 0.46051 0.38936 lineto gsave
0.382 0.481 0.836 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47956 0.41475 moveto 0.48788 0.41218 lineto 0.50679 0.44386 lineto gsave
0.353 0.367 0.736 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50679 0.44386 moveto 0.50305 0.44881 lineto 0.47956 0.41475 lineto gsave
0.179 0.314 0.765 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41721 0.40611 moveto 0.43262 0.38466 lineto 0.44824 0.40185 lineto gsave
0.876 0.763 0.734 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44824 0.40185 moveto 0.43566 0.42597 lineto 0.41721 0.40611 lineto gsave
0.876 0.763 0.734 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46051 0.38936 moveto 0.44824 0.40185 lineto 0.43262 0.38466 lineto gsave
0.789 0.765 0.831 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46833 0.68087 moveto 0.47202 0.66533 lineto 0.53923 0.64744 lineto gsave
0.777 0.723 0.802 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53798 0.63024 moveto 0.53923 0.64744 lineto 0.47202 0.66533 lineto gsave
0.773 0.686 0.768 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53923 0.64744 moveto 0.53798 0.63024 lineto 0.59811 0.60498 lineto gsave
0.732 0.655 0.774 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49548 0.48438 moveto 0.49162 0.5127 lineto 0.45379 0.48562 lineto gsave
0.719 0.577 0.695 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49162 0.5127 moveto 0.49548 0.48438 lineto 0.53151 0.51772 lineto gsave
0.612 0.479 0.676 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49548 0.48438 moveto 0.49929 0.46257 lineto 0.53022 0.50076 lineto gsave
0.537 0.437 0.689 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53022 0.50076 moveto 0.53151 0.51772 lineto 0.49548 0.48438 lineto gsave
0.479 0.468 0.767 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4448 0.52413 moveto 0.45379 0.48562 lineto 0.49162 0.5127 lineto gsave
0.744 0.566 0.653 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49162 0.5127 moveto 0.48769 0.54537 lineto 0.4448 0.52413 lineto gsave
0.752 0.594 0.681 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48769 0.54537 moveto 0.49162 0.5127 lineto 0.5328 0.53853 lineto gsave
0.658 0.508 0.669 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53151 0.51772 moveto 0.5328 0.53853 lineto 0.49162 0.5127 lineto gsave
0.602 0.528 0.744 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43262 0.38466 moveto 0.4476 0.37494 lineto 0.46051 0.38936 lineto gsave
0.789 0.765 0.831 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47259 0.38952 moveto 0.46051 0.38936 lineto 0.4476 0.37494 lineto gsave
0.41 0.63 0.944 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46051 0.38936 moveto 0.47259 0.38952 lineto 0.48788 0.41218 lineto gsave
0.472 0.498 0.804 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40934 0.50001 moveto 0.42269 0.45968 lineto 0.45379 0.48562 lineto gsave
0.826 0.641 0.653 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45379 0.48562 moveto 0.4448 0.52413 lineto 0.40934 0.50001 lineto gsave
0.83 0.655 0.666 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49929 0.46257 moveto 0.50305 0.44881 lineto 0.52893 0.48863 lineto gsave
0.394 0.36 0.702 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52893 0.48863 moveto 0.53022 0.50076 lineto 0.49929 0.46257 lineto gsave
0.226 0.334 0.765 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40128 0.43726 moveto 0.41721 0.40611 lineto 0.43566 0.42597 lineto gsave
0.903 0.754 0.686 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43566 0.42597 moveto 0.42269 0.45968 lineto 0.40128 0.43726 lineto gsave
0.903 0.754 0.686 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47202 0.66533 moveto 0.47585 0.64219 lineto 0.53798 0.63024 lineto gsave
0.755 0.637 0.73 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53669 0.60933 moveto 0.53798 0.63024 lineto 0.47585 0.64219 lineto gsave
0.756 0.645 0.738 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53798 0.63024 moveto 0.53669 0.60933 lineto 0.59209 0.59446 lineto gsave
0.694 0.597 0.744 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59209 0.59446 moveto 0.59811 0.60498 lineto 0.53798 0.63024 lineto gsave
0.749 0.73 0.835 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59811 0.60498 moveto 0.59209 0.59446 lineto 0.64094 0.56954 lineto gsave
0.695 0.708 0.859 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64094 0.56954 moveto 0.65089 0.56866 lineto 0.59811 0.60498 lineto gsave
0.759 0.964 0.932 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43567 0.56507 moveto 0.4448 0.52413 lineto 0.48769 0.54537 lineto gsave
0.762 0.581 0.652 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48769 0.54537 moveto 0.48373 0.57972 lineto 0.43567 0.56507 lineto gsave
0.772 0.608 0.676 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48373 0.57972 moveto 0.48769 0.54537 lineto 0.5341 0.56183 lineto gsave
0.689 0.532 0.669 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5328 0.53853 moveto 0.5341 0.56183 lineto 0.48769 0.54537 lineto gsave
0.668 0.563 0.728 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6608 0.56996 moveto 0.65089 0.56866 lineto 0.69134 0.52436 lineto gsave
0.808 0.894 0.904 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69134 0.52436 moveto 0.70425 0.5171 lineto 0.6608 0.56996 lineto gsave
0.846 0.99 0.852 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47585 0.64219 moveto 0.47977 0.6129 lineto 0.53669 0.60933 lineto gsave
0.734 0.589 0.694 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5354 0.586 moveto 0.53669 0.60933 lineto 0.47977 0.6129 lineto gsave
0.735 0.615 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53669 0.60933 moveto 0.5354 0.586 lineto 0.58601 0.58336 lineto gsave
0.653 0.551 0.727 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58601 0.58336 moveto 0.59209 0.59446 lineto 0.53669 0.60933 lineto gsave
0.709 0.706 0.844 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47202 0.66533 moveto 0.46833 0.68087 lineto 0.39992 0.68325 lineto gsave
0.796 0.742 0.803 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50305 0.44881 moveto 0.50679 0.44386 lineto 0.52763 0.4818 lineto gsave
0.095 0.191 0.674 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50679 0.44386 moveto 0.51054 0.44767 lineto 0.51623 0.45942 lineto gsave
0 0 0.473 setrgbcolor
fill grestore
stroke
grestore
gsave
0.51857 0.46965 moveto 0.52638 0.48014 lineto 0.51966 0.47436 lineto 0 0.052 0.619 setrgbcolor
fill
grestore
gsave
0.52763 0.4818 moveto 0.52687 0.4811 lineto 0.52638 0.48014 lineto 0 0.052 0.619 setrgbcolor
fill
grestore
gsave
0.51966 0.47436 moveto 0.52638 0.48014 lineto 0.52687 0.4811 lineto 0 0.052 0.619 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.52631 0.48024 moveto 0.52763 0.4818 lineto 0.52465 0.47638 lineto gsave
0.664 0.259 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52118 0.47006 moveto 0.50679 0.44386 lineto gsave
0.51894 0.46651 lineto 0.664 0.259 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.50679 0.44386 moveto 0.5126 0.45344 lineto 0.51704 0.46296 lineto 0 0 0.473 setrgbcolor
fill
grestore
gsave
0.51623 0.45942 moveto 0.51688 0.46225 lineto 0.5126 0.45344 lineto 0 0 0.473 setrgbcolor
fill
grestore
gsave
0.51704 0.46296 moveto 0.5126 0.45344 lineto 0.51688 0.46225 lineto 0 0 0.473 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.48788 0.41218 moveto 0.49621 0.42087 lineto 0.51054 0.44767 lineto gsave
0 0.055 0.617 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50679 0.44386 moveto 0.48788 0.41218 lineto gsave
0.50649 0.44133 lineto 0 0 0.493 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51054 0.44767 moveto 0.50908 0.44619 lineto gsave
0.50649 0.44133 lineto 0 0 0.493 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50908 0.44619 moveto 0.50679 0.44386 lineto gsave
0.50649 0.44133 lineto 0 0 0.493 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50464 0.43975 moveto 0.51395 0.45858 lineto gsave
0.50093 0.4309 lineto 0.713 0.321 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49621 0.42087 moveto 0.49945 0.42813 lineto gsave
0.50093 0.4309 lineto 0.713 0.321 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49945 0.42813 moveto 0.50464 0.43975 lineto gsave
0.50093 0.4309 lineto 0.713 0.321 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51395 0.45858 moveto 0.51434 0.45935 lineto gsave
0.51403 0.45869 lineto 0.713 0.321 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.49621 0.42087 moveto 0.51395 0.45858 lineto 0.51403 0.45869 lineto 0.713 0.321 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.52465 0.47638 moveto 0.52118 0.47006 lineto gsave
0.52087 0.4701 lineto 0.664 0.259 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.52087 0.4701 moveto 0.52118 0.47006 lineto 0.51894 0.46651 lineto 0.664 0.259 0 setrgbcolor
fill
grestore
gsave
0.52631 0.48024 moveto 0.52465 0.47638 lineto 0.52087 0.4701 lineto 0.664 0.259 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.52763 0.4818 moveto 0.52893 0.48863 lineto 0.51966 0.47436 lineto gsave
0 0.052 0.619 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51434 0.45935 moveto 0.52498 0.48335 lineto gsave
0.51703 0.46372 lineto 0.769 0.379 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.51289 0.45349 moveto 0.51429 0.45916 lineto 0.51703 0.46372 lineto 0.769 0.379 0 setrgbcolor
fill
grestore
gsave
0.51434 0.45935 moveto 0.51703 0.46372 lineto 0.51429 0.45916 lineto 0.769 0.379 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.51054 0.44767 moveto 0.5116 0.45093 lineto gsave
0.51289 0.45349 lineto 0.769 0.379 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5116 0.45093 moveto 0.51434 0.45935 lineto gsave
0.51289 0.45349 lineto 0.769 0.379 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51623 0.45942 moveto 0.52631 0.48024 lineto gsave
0.51704 0.46296 lineto 0 0 0.473 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51966 0.47436 moveto 0.50305 0.44881 lineto gsave
0.51857 0.46965 lineto 0 0.052 0.619 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47977 0.6129 moveto 0.48373 0.57972 lineto 0.5354 0.586 lineto gsave
0.713 0.557 0.676 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5341 0.56183 moveto 0.5354 0.586 lineto 0.48373 0.57972 lineto gsave
0.708 0.589 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5354 0.586 moveto 0.5341 0.56183 lineto 0.57988 0.572 lineto gsave
0.605 0.51 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57988 0.572 moveto 0.58601 0.58336 lineto 0.5354 0.586 lineto gsave
0.641 0.671 0.864 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42647 0.60472 moveto 0.43567 0.56507 lineto 0.48373 0.57972 lineto gsave
0.776 0.598 0.658 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48373 0.57972 moveto 0.47977 0.6129 lineto 0.42647 0.60472 lineto gsave
0.785 0.624 0.681 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5341 0.56183 moveto 0.5328 0.53853 lineto 0.57369 0.56074 lineto gsave
0.54 0.464 0.718 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57369 0.56074 moveto 0.57988 0.572 lineto 0.5341 0.56183 lineto gsave
0.517 0.612 0.886 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48788 0.41218 moveto 0.47259 0.38952 lineto gsave
0.49402 0.41797 lineto 0 0.022 0.587 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49513 0.41975 moveto 0.48788 0.41218 lineto gsave
0.49402 0.41797 lineto 0 0.022 0.587 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47259 0.38952 moveto 0.48464 0.40226 lineto 0.49621 0.42087 lineto gsave
0 0.125 0.675 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49683 0.42641 moveto 0.50464 0.43975 lineto gsave
0.48718 0.40702 lineto 0.738 0.315 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48464 0.40226 moveto 0.48647 0.40588 lineto gsave
0.48718 0.40702 lineto 0.738 0.315 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48647 0.40588 moveto 0.49683 0.42641 lineto gsave
0.48718 0.40702 lineto 0.738 0.315 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49621 0.42087 moveto 0.49513 0.41975 lineto gsave
0.49402 0.41797 lineto 0 0.022 0.587 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39569 0.54324 moveto 0.40934 0.50001 lineto 0.4448 0.52413 lineto gsave
0.837 0.649 0.649 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4448 0.52413 moveto 0.43567 0.56507 lineto 0.39569 0.54324 lineto gsave
0.841 0.662 0.661 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4476 0.37494 moveto 0.4623 0.37794 lineto 0.47259 0.38952 lineto gsave
0.41 0.63 0.944 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48464 0.40226 moveto 0.47259 0.38952 lineto 0.4623 0.37794 lineto gsave
0 0 0.512 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59209 0.59446 moveto 0.58601 0.58336 lineto 0.62915 0.57233 lineto gsave
0.614 0.662 0.873 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62915 0.57233 moveto 0.63091 0.57188 lineto gsave
0.63012 0.57234 lineto 0.614 0.662 0.873 setrgbcolor
fill grestore
stroke
grestore
gsave
0.59209 0.59446 moveto 0.62915 0.57233 lineto 0.63012 0.57234 lineto 0.614 0.662 0.873 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.62075 0.57476 moveto 0.63091 0.57188 lineto 0.62957 0.57222 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62957 0.57222 moveto 0.58601 0.58336 lineto gsave
0.62075 0.57476 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58601 0.58336 moveto 0.57988 0.572 lineto 0.62075 0.57476 lineto gsave
0.479 0.587 0.884 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62075 0.57476 moveto 0.61042 0.5771 lineto 0.61082 0.57722 lineto gsave
0.365 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61082 0.57722 moveto 0.61149 0.57742 lineto gsave
0.62075 0.57476 lineto 0.365 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63091 0.57188 moveto 0.64094 0.56954 lineto 0.59209 0.59446 lineto gsave
0.555 0.933 0.876 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61149 0.57742 moveto 0.63911 0.58567 lineto gsave
0.62075 0.57476 lineto 0.365 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61042 0.5771 moveto 0.62075 0.57476 lineto 0.58038 0.57204 lineto gsave
0.26 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58038 0.57204 moveto 0.57988 0.572 lineto gsave
0.58007 0.57204 lineto 0.26 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.61042 0.5771 moveto 0.58038 0.57204 lineto 0.58007 0.57204 lineto 0.26 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.5328 0.53853 moveto 0.53151 0.51772 lineto 0.56747 0.54991 lineto gsave
0.442 0.403 0.72 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56747 0.54991 moveto 0.57369 0.56074 lineto 0.5328 0.53853 lineto gsave
0.289 0.49 0.881 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75855 0.54594 moveto 0.74449 0.5309 lineto 0.77717 0.46647 lineto gsave
0.567 0.539 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74449 0.5309 moveto 0.73076 0.52049 lineto 0.76078 0.45614 lineto gsave
0.636 0.609 0.806 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76078 0.45614 moveto 0.77717 0.46647 lineto 0.74449 0.5309 lineto gsave
0.577 0.551 0.789 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41735 0.63949 moveto 0.42647 0.60472 lineto 0.47977 0.6129 lineto gsave
0.786 0.62 0.675 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47977 0.6129 moveto 0.47585 0.64219 lineto 0.41735 0.63949 lineto gsave
0.795 0.647 0.698 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38482 0.47515 moveto 0.40128 0.43726 lineto 0.42269 0.45968 lineto gsave
0.914 0.749 0.663 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42269 0.45968 moveto 0.40934 0.50001 lineto 0.38482 0.47515 lineto gsave
0.914 0.749 0.663 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30778 0.64927 moveto 0.31839 0.66439 lineto 0.38425 0.68633 lineto gsave
0.78 0.313 0.135 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38425 0.68633 moveto 0.31839 0.66439 lineto gsave
0.38718 0.68805 lineto 0.317 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31839 0.66439 moveto 0.32974 0.67081 lineto 0.39184 0.68965 lineto gsave
0.497 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34188 0.66619 moveto 0.39992 0.68325 lineto gsave
0.34067 0.67275 lineto 0.619 0.818 0.977 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32974 0.67081 moveto 0.33207 0.66992 lineto gsave
0.34067 0.67275 lineto 0.619 0.818 0.977 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33207 0.66992 moveto 0.34188 0.66619 lineto gsave
0.34067 0.67275 lineto 0.619 0.818 0.977 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39184 0.68965 moveto 0.3912 0.68937 lineto gsave
0.38718 0.68805 lineto 0.317 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3912 0.68937 moveto 0.38425 0.68633 lineto gsave
0.38718 0.68805 lineto 0.317 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39992 0.68325 moveto 0.40846 0.66632 lineto 0.47202 0.66533 lineto gsave
0.795 0.729 0.79 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47585 0.64219 moveto 0.47202 0.66533 lineto 0.40846 0.66632 lineto gsave
0.801 0.681 0.732 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73076 0.52049 moveto 0.71736 0.51574 lineto 0.74506 0.45403 lineto gsave
0.724 0.709 0.837 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74506 0.45403 moveto 0.76078 0.45614 lineto 0.73076 0.52049 lineto gsave
0.697 0.683 0.833 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77288 0.56408 moveto 0.75855 0.54594 lineto 0.79421 0.48357 lineto gsave
0.518 0.495 0.771 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77717 0.46647 moveto 0.79421 0.48357 lineto 0.75855 0.54594 lineto gsave
0.496 0.467 0.756 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40846 0.66632 moveto 0.41735 0.63949 lineto 0.47585 0.64219 lineto gsave
0.795 0.657 0.71 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53151 0.51772 moveto 0.53022 0.50076 lineto 0.56119 0.53983 lineto gsave
0.279 0.307 0.712 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56119 0.53983 moveto 0.56747 0.54991 lineto 0.53151 0.51772 lineto gsave
0 0.256 0.767 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42593 0.37891 moveto 0.44215 0.37306 lineto 0.4476 0.37494 lineto gsave
0.512 0.914 0.879 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4476 0.37494 moveto 0.43262 0.38466 lineto 0.42593 0.37891 lineto gsave
0.755 0.984 0.907 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4623 0.37794 moveto 0.4476 0.37494 lineto 0.44215 0.37306 lineto gsave
0 0.484 0.742 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40923 0.39537 moveto 0.42593 0.37891 lineto 0.43262 0.38466 lineto gsave
0.887 0.99 0.792 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43262 0.38466 moveto 0.41721 0.40611 lineto 0.40923 0.39537 lineto gsave
0.939 0.954 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65089 0.56866 moveto 0.64094 0.56954 lineto 0.6785 0.53662 lineto gsave
0.757 0.964 0.932 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6785 0.53662 moveto 0.69134 0.52436 lineto 0.65363 0.56566 lineto gsave
0.617 0.897 0.594 setrgbcolor
fill grestore
stroke
grestore
gsave
0.6785 0.53662 moveto 0.65363 0.56566 lineto 0.65393 0.56513 lineto 0.617 0.897 0.594 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.6656 0.55235 moveto 0.6785 0.53662 lineto 0.64094 0.56954 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64094 0.56954 moveto 0.63091 0.57188 lineto 0.65916 0.55598 lineto gsave
0.523 0.919 0.866 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65916 0.55598 moveto 0.6656 0.55235 lineto gsave
0.65834 0.55741 lineto 0.523 0.919 0.866 setrgbcolor
fill grestore
stroke
grestore
gsave
0.64094 0.56954 moveto 0.65916 0.55598 lineto 0.65834 0.55741 lineto 0.523 0.919 0.866 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.65363 0.56566 moveto 0.65089 0.56866 lineto gsave
0.65393 0.56513 lineto 0.617 0.897 0.594 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.23267 0.55761 moveto 0.24492 0.58253 lineto 0.29779 0.62877 lineto gsave
0.876 0.438 0.085 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30778 0.64927 moveto 0.29779 0.62877 lineto 0.24492 0.58253 lineto gsave
0.854 0.4 0.029 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78735 0.58347 moveto 0.77288 0.56408 lineto 0.81182 0.5053 lineto gsave
0.485 0.474 0.77 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79421 0.48357 moveto 0.81182 0.5053 lineto 0.77288 0.56408 lineto gsave
0.443 0.419 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71736 0.51574 moveto 0.70425 0.5171 lineto 0.7299 0.46074 lineto gsave
0.822 0.839 0.861 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7299 0.46074 moveto 0.74506 0.45403 lineto 0.71736 0.51574 lineto gsave
0.841 0.858 0.856 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53022 0.50076 moveto 0.52893 0.48863 lineto 0.55486 0.53069 lineto gsave
0 0.141 0.657 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54848 0.5226 moveto 0.55486 0.53069 lineto 0.54614 0.51653 lineto gsave
0.714 0.264 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54614 0.51653 moveto 0.52893 0.48863 lineto gsave
0.54276 0.51267 lineto 0.714 0.264 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.54848 0.5226 moveto 0.54614 0.51653 lineto 0.54276 0.51267 lineto 0.714 0.264 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.52631 0.48024 moveto 0.52498 0.48335 lineto 0.53171 0.49999 lineto gsave
0.847 0.446 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54636 0.52112 moveto 0.53022 0.50076 lineto gsave
0.54483 0.51851 lineto 0 0 0.51 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53171 0.49999 moveto 0.53552 0.50942 lineto gsave
0.53302 0.50149 lineto 0.847 0.446 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52893 0.48863 moveto 0.52763 0.4818 lineto 0.53672 0.49958 lineto gsave
0 0 0.486 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53672 0.49958 moveto 0.54848 0.5226 lineto gsave
0.54276 0.51267 lineto 0 0 0.486 setrgbcolor
fill grestore
stroke
grestore
gsave
0.52893 0.48863 moveto 0.53672 0.49958 lineto 0.54276 0.51267 lineto 0 0 0.486 setrgbcolor
fill
grestore
gsave
0.52631 0.48024 moveto 0.53171 0.49999 lineto 0.53302 0.50149 lineto 0.847 0.446 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.52763 0.4818 moveto 0.52631 0.48024 lineto 0.53858 0.5078 lineto gsave
0.705 0.33 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53858 0.5078 moveto 0.54204 0.51556 lineto gsave
0.53911 0.5087 lineto 0.705 0.33 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.52763 0.4818 moveto 0.53858 0.5078 lineto 0.53911 0.5087 lineto 0.705 0.33 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.55486 0.53069 moveto 0.56119 0.53983 lineto 0.54636 0.52112 lineto gsave
0 0 0.51 setrgbcolor
fill grestore
stroke
grestore
gsave
0.55486 0.53069 moveto 0.54636 0.52112 lineto 0.54483 0.51851 lineto 0 0 0.51 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.38189 0.58523 moveto 0.39569 0.54324 lineto 0.43567 0.56507 lineto gsave
0.842 0.66 0.655 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43567 0.56507 moveto 0.42647 0.60472 lineto 0.38189 0.58523 lineto gsave
0.846 0.672 0.666 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81182 0.5053 moveto 0.8298 0.52902 lineto 0.78735 0.58347 lineto gsave
0.413 0.398 0.733 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44215 0.37306 moveto 0.45806 0.37872 lineto 0.4623 0.37794 lineto gsave
0.4 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4623 0.37794 moveto 0.47692 0.39356 lineto 0.48464 0.40226 lineto gsave
0 0 0.512 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47692 0.39356 moveto 0.4623 0.37794 lineto 0.45806 0.37872 lineto gsave
0.706 0.176 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39196 0.42062 moveto 0.40923 0.39537 lineto 0.41721 0.40611 lineto gsave
0.96 0.941 0.708 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41721 0.40611 moveto 0.40128 0.43726 lineto 0.39196 0.42062 lineto gsave
0.974 0.908 0.681 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57988 0.572 moveto 0.57369 0.56074 lineto 0.61042 0.5771 lineto gsave
0.251 0.453 0.863 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70425 0.5171 moveto 0.69134 0.52436 lineto 0.71517 0.476 lineto gsave
0.886 0.963 0.84 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71517 0.476 moveto 0.7299 0.46074 lineto 0.70425 0.5171 lineto gsave
0.91 0.982 0.765 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36793 0.51607 moveto 0.38482 0.47515 lineto 0.40934 0.50001 lineto gsave
0.916 0.747 0.657 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40934 0.50001 moveto 0.39569 0.54324 lineto 0.36793 0.51607 lineto gsave
0.916 0.747 0.657 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39992 0.68325 moveto 0.39184 0.68965 lineto 0.32974 0.67081 lineto gsave
0.65 0.814 0.962 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49683 0.42641 moveto 0.48464 0.40226 lineto 0.47692 0.39356 lineto gsave
0.814 0.363 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50464 0.43975 moveto 0.49621 0.42087 lineto 0.48464 0.40226 lineto gsave
0.787 0.352 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51434 0.45935 moveto 0.51054 0.44767 lineto 0.49621 0.42087 lineto gsave
0.798 0.375 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36816 0.62185 moveto 0.38189 0.58523 lineto 0.42647 0.60472 lineto gsave
0.844 0.675 0.672 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42647 0.60472 moveto 0.41735 0.63949 lineto 0.36816 0.62185 lineto gsave
0.847 0.686 0.683 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59991 0.57783 moveto 0.61042 0.5771 lineto 0.57369 0.56074 lineto gsave
0.531 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57369 0.56074 moveto 0.56747 0.54991 lineto 0.59991 0.57783 lineto gsave
0 0.229 0.749 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40846 0.66632 moveto 0.39992 0.68325 lineto 0.34188 0.66619 lineto gsave
0.814 0.755 0.797 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24492 0.58253 moveto 0.25763 0.60575 lineto 0.30778 0.64927 lineto gsave
0.854 0.4 0.029 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31839 0.66439 moveto 0.30778 0.64927 lineto 0.25763 0.60575 lineto gsave
0.742 0.241 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37412 0.45196 moveto 0.39196 0.42062 lineto 0.40128 0.43726 lineto gsave
0.977 0.906 0.672 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40128 0.43726 moveto 0.38482 0.47515 lineto 0.37412 0.45196 lineto gsave
0.983 0.881 0.651 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45806 0.37872 moveto 0.47383 0.39576 lineto 0.47692 0.39356 lineto gsave
0.767 0.257 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49166 0.42063 moveto 0.47692 0.39356 lineto 0.47383 0.39576 lineto gsave
0.848 0.394 0.003 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47692 0.39356 moveto 0.49166 0.42063 lineto 0.49683 0.42641 lineto gsave
0.814 0.363 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35475 0.64961 moveto 0.36816 0.62185 lineto 0.41735 0.63949 lineto gsave
0.84 0.701 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41735 0.63949 moveto 0.40846 0.66632 lineto 0.35475 0.64961 lineto gsave
0.841 0.711 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52498 0.48335 moveto 0.52631 0.48024 lineto 0.51054 0.44767 lineto gsave
0.838 0.417 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69134 0.52436 moveto 0.6785 0.53662 lineto 0.70065 0.49858 lineto gsave
0.815 0.983 0.705 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70065 0.49858 moveto 0.71517 0.476 lineto 0.69134 0.52436 lineto gsave
0.778 0.909 0.519 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34188 0.66619 moveto 0.35475 0.64961 lineto 0.40846 0.66632 lineto gsave
0.816 0.75 0.79 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63091 0.57188 moveto 0.62075 0.57476 lineto 0.65251 0.5695 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65251 0.5695 moveto 0.6656 0.55235 lineto 0.63091 0.57188 lineto gsave
0.043 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42922 0.38568 moveto 0.445 0.38443 lineto 0.44215 0.37306 lineto gsave
0.506 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44215 0.37306 moveto 0.42593 0.37891 lineto 0.42922 0.38568 lineto gsave
0.164 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45806 0.37872 moveto 0.44215 0.37306 lineto 0.445 0.38443 lineto gsave
0.603 0.066 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54204 0.51556 moveto 0.54848 0.5226 lineto 0.52763 0.4818 lineto gsave
0.825 0.387 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5892 0.57602 moveto 0.59991 0.57783 lineto 0.56747 0.54991 lineto gsave
0.692 0.165 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56747 0.54991 moveto 0.56119 0.53983 lineto 0.5892 0.57602 lineto gsave
0 0 0.523 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35079 0.55583 moveto 0.36793 0.51607 lineto 0.39569 0.54324 lineto gsave
0.914 0.748 0.662 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39569 0.54324 moveto 0.38189 0.58523 lineto 0.35079 0.55583 lineto gsave
0.914 0.748 0.662 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.445 0.38443 moveto 0.46048 0.39223 lineto 0.45806 0.37872 lineto gsave
0.734 0.24 0.064 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47383 0.39576 moveto 0.45806 0.37872 lineto 0.46048 0.39223 lineto gsave
0.799 0.31 0.032 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41302 0.39528 moveto 0.42922 0.38568 lineto 0.42593 0.37891 lineto gsave
0.107 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42593 0.37891 moveto 0.40923 0.39537 lineto 0.41302 0.39528 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77717 0.46647 moveto 0.76078 0.45614 lineto 0.76663 0.39341 lineto gsave
0.523 0.555 0.83 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76078 0.45614 moveto 0.74506 0.45403 lineto 0.75007 0.39452 lineto gsave
0.686 0.698 0.856 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75007 0.39452 moveto 0.76663 0.39341 lineto 0.76078 0.45614 lineto gsave
0.665 0.683 0.858 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24492 0.58253 moveto 0.23267 0.55761 lineto 0.20465 0.49883 lineto gsave
0 0 0.323 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56119 0.53983 moveto 0.55486 0.53069 lineto 0.57831 0.57095 lineto gsave
0.685 0.252 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57831 0.57095 moveto 0.5892 0.57602 lineto 0.56119 0.53983 lineto gsave
0.786 0.292 0.024 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74506 0.45403 moveto 0.7299 0.46074 lineto 0.7343 0.40623 lineto gsave
0.842 0.836 0.84 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7343 0.40623 moveto 0.75007 0.39452 lineto 0.74506 0.45403 lineto gsave
0.853 0.842 0.833 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50932 0.4597 moveto 0.49683 0.42641 lineto 0.49166 0.42063 lineto gsave
0.887 0.468 0.065 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49683 0.42641 moveto 0.50932 0.4597 lineto 0.51329 0.46673 lineto gsave
0.877 0.462 0.03 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51329 0.46673 moveto 0.50464 0.43975 lineto 0.49683 0.42641 lineto gsave
0.884 0.468 0.053 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68613 0.52633 moveto 0.70065 0.49858 lineto 0.69895 0.50151 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69895 0.50151 moveto 0.6785 0.53662 lineto gsave
0.68613 0.52633 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6785 0.53662 moveto 0.6656 0.55235 lineto 0.68613 0.52633 lineto gsave
0.57 0.828 0.463 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67137 0.55633 moveto 0.68613 0.52633 lineto 0.6656 0.55235 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68613 0.52633 moveto 0.67137 0.55633 lineto 0.67167 0.55431 lineto gsave
0.846 0.895 0.475 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67167 0.55431 moveto 0.67445 0.53619 lineto gsave
0.68613 0.52633 lineto 0.846 0.895 0.475 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63911 0.58567 moveto 0.65251 0.5695 lineto 0.62075 0.57476 lineto gsave
0.245 0 0.097 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50464 0.43975 moveto 0.51329 0.46673 lineto 0.51823 0.4772 lineto gsave
0.873 0.464 0.018 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51823 0.4772 moveto 0.51434 0.45935 lineto 0.50464 0.43975 lineto gsave
0.886 0.472 0.055 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79421 0.48357 moveto 0.77717 0.46647 lineto 0.7841 0.40221 lineto gsave
0.393 0.443 0.794 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76663 0.39341 moveto 0.7841 0.40221 lineto 0.77717 0.46647 lineto gsave
0.467 0.513 0.822 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35578 0.48601 moveto 0.37412 0.45196 lineto 0.38482 0.47515 lineto gsave
0.979 0.884 0.665 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38482 0.47515 moveto 0.36793 0.51607 lineto 0.35578 0.48601 lineto gsave
0.982 0.865 0.646 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40923 0.39537 moveto 0.39196 0.42062 lineto 0.39632 0.41174 lineto gsave
0.651 0.849 0.452 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39632 0.41174 moveto 0.41302 0.39528 lineto 0.40923 0.39537 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25763 0.60575 moveto 0.27108 0.62351 lineto 0.31839 0.66439 lineto gsave
0.742 0.241 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32974 0.67081 moveto 0.31839 0.66439 lineto 0.27108 0.62351 lineto gsave
0 0.295 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46048 0.39223 moveto 0.4758 0.40894 lineto 0.47383 0.39576 lineto gsave
0.839 0.38 0.112 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48967 0.42304 moveto 0.47383 0.39576 lineto 0.4758 0.40894 lineto gsave
0.87 0.425 0.08 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47383 0.39576 moveto 0.48967 0.42304 lineto 0.49166 0.42063 lineto gsave
0.864 0.416 0.05 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53552 0.50942 moveto 0.54204 0.51556 lineto 0.52631 0.48024 lineto gsave
0.874 0.452 0.03 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33367 0.59027 moveto 0.35079 0.55583 lineto 0.38189 0.58523 lineto gsave
0.906 0.754 0.682 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38189 0.58523 moveto 0.36816 0.62185 lineto 0.33367 0.59027 lineto gsave
0.906 0.754 0.682 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7299 0.46074 moveto 0.71517 0.476 lineto 0.71912 0.42822 lineto gsave
0.939 0.923 0.768 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71912 0.42822 moveto 0.7343 0.40623 lineto 0.7299 0.46074 lineto gsave
0.955 0.922 0.735 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50671 0.45682 moveto 0.49166 0.42063 lineto 0.48967 0.42304 lineto gsave
0.892 0.473 0.085 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49166 0.42063 moveto 0.50671 0.45682 lineto 0.50932 0.4597 lineto gsave
0.887 0.468 0.065 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55486 0.53069 moveto 0.54848 0.5226 lineto 0.56726 0.5623 lineto gsave
0.808 0.378 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56726 0.5623 moveto 0.57831 0.57095 lineto 0.55486 0.53069 lineto gsave
0.841 0.375 0.06 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51434 0.45935 moveto 0.51823 0.4772 lineto 0.52362 0.49004 lineto gsave
0.881 0.477 0.036 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52362 0.49004 moveto 0.52498 0.48335 lineto 0.51434 0.45935 lineto gsave
0.891 0.479 0.069 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81182 0.5053 moveto 0.79421 0.48357 lineto 0.80248 0.41922 lineto gsave
0.305 0.371 0.766 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7841 0.40221 moveto 0.80248 0.41922 lineto 0.79421 0.48357 lineto gsave
0.317 0.383 0.773 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61042 0.5771 moveto 0.59991 0.57783 lineto 0.62533 0.59838 lineto gsave
0.608 0.073 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62533 0.59838 moveto 0.63911 0.58567 lineto 0.61042 0.5771 lineto gsave
0.413 0.008 0.158 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27108 0.62351 moveto 0.28543 0.63243 lineto 0.32974 0.67081 lineto gsave
0 0.295 0.757 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34188 0.66619 moveto 0.32974 0.67081 lineto 0.28543 0.63243 lineto gsave
0.624 0.754 0.94 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31689 0.61585 moveto 0.33367 0.59027 lineto 0.36816 0.62185 lineto gsave
0.886 0.765 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36816 0.62185 moveto 0.35475 0.64961 lineto 0.31689 0.61585 lineto gsave
0.886 0.765 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37912 0.43292 moveto 0.39632 0.41174 lineto 0.39196 0.42062 lineto gsave
0.654 0.879 0.518 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39196 0.42062 moveto 0.37412 0.45196 lineto 0.37912 0.43292 lineto gsave
0.805 0.905 0.501 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.20465 0.49883 moveto 0.21887 0.52411 lineto 0.24492 0.58253 lineto gsave
0 0 0.442 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25763 0.60575 moveto 0.24492 0.58253 lineto 0.21887 0.52411 lineto gsave
0 0 0.411 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6656 0.55235 moveto 0.65251 0.5695 lineto 0.67137 0.55633 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54848 0.5226 moveto 0.54204 0.51556 lineto 0.55609 0.55013 lineto gsave
0.866 0.447 0.005 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55609 0.55013 moveto 0.56726 0.5623 lineto 0.54848 0.5226 lineto gsave
0.872 0.43 0.081 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71517 0.476 moveto 0.70065 0.49858 lineto 0.70427 0.45906 lineto gsave
0.957 0.947 0.662 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70427 0.45906 moveto 0.71912 0.42822 lineto 0.71517 0.476 lineto gsave
0.968 0.928 0.614 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4758 0.40894 moveto 0.49112 0.43357 lineto 0.48967 0.42304 lineto gsave
0.885 0.454 0.13 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50576 0.45841 moveto 0.48967 0.42304 lineto 0.49112 0.43357 lineto gsave
0.896 0.479 0.103 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48967 0.42304 moveto 0.50576 0.45841 lineto 0.50671 0.45682 lineto gsave
0.897 0.48 0.106 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.8298 0.52902 moveto 0.81182 0.5053 lineto 0.82166 0.44193 lineto gsave
0.257 0.338 0.756 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80248 0.41922 moveto 0.82166 0.44193 lineto 0.81182 0.5053 lineto gsave
0.223 0.305 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33714 0.51903 moveto 0.35578 0.48601 lineto 0.36793 0.51607 lineto gsave
0.972 0.87 0.677 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36793 0.51607 moveto 0.35079 0.55583 lineto 0.33714 0.51903 lineto gsave
0.975 0.855 0.659 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45633 0.40865 moveto 0.46966 0.41774 lineto 0.46048 0.39223 lineto gsave
0.831 0.377 0.139 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46048 0.39223 moveto 0.445 0.38443 lineto 0.45633 0.40865 lineto gsave
0.747 0.272 0.115 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4758 0.40894 moveto 0.46048 0.39223 lineto 0.46966 0.41774 lineto gsave
0.84 0.383 0.119 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52498 0.48335 moveto 0.52362 0.49004 lineto 0.52892 0.50393 lineto gsave
0.895 0.492 0.072 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52892 0.50393 moveto 0.53552 0.50942 lineto 0.52498 0.48335 lineto gsave
0.897 0.486 0.089 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28543 0.63243 moveto 0.30073 0.63017 lineto 0.34188 0.66619 lineto gsave
0.624 0.754 0.94 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35475 0.64961 moveto 0.34188 0.66619 lineto 0.30073 0.63017 lineto gsave
0.833 0.78 0.802 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30073 0.63017 moveto 0.31689 0.61585 lineto 0.35475 0.64961 lineto gsave
0.833 0.78 0.802 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44277 0.40505 moveto 0.45633 0.40865 lineto 0.445 0.38443 lineto gsave
0.753 0.275 0.107 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.445 0.38443 moveto 0.42922 0.38568 lineto 0.44277 0.40505 lineto gsave
0.583 0.107 0.089 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59991 0.57783 moveto 0.5892 0.57602 lineto 0.61116 0.6054 lineto gsave
0.741 0.243 0.046 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61116 0.6054 moveto 0.62533 0.59838 lineto 0.59991 0.57783 lineto gsave
0.564 0.135 0.185 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46966 0.41774 moveto 0.48284 0.43219 lineto 0.4758 0.40894 lineto gsave
0.875 0.441 0.149 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49112 0.43357 moveto 0.4758 0.40894 lineto 0.48284 0.43219 lineto gsave
0.883 0.449 0.116 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54204 0.51556 moveto 0.53552 0.50942 lineto 0.54484 0.5349 lineto gsave
0.893 0.483 0.073 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54484 0.5349 moveto 0.55609 0.55013 lineto 0.54204 0.51556 lineto gsave
0.89 0.466 0.095 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42893 0.4065 moveto 0.44277 0.40505 lineto 0.42922 0.38568 lineto gsave
0.62 0.118 0.037 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42922 0.38568 moveto 0.41302 0.39528 lineto 0.42893 0.4065 lineto gsave
0.353 0 0.033 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.82166 0.44193 moveto 0.84143 0.46719 lineto 0.8298 0.52902 lineto gsave
0.178 0.272 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.50932 0.4597 lineto 0.50671 0.45682 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.51329 0.46673 lineto 0.50932 0.4597 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.51823 0.4772 lineto 0.51329 0.46673 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.50671 0.45682 lineto 0.50576 0.45841 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70065 0.49858 moveto 0.68613 0.52633 lineto 0.68947 0.49622 lineto gsave
0.92 0.93 0.559 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68947 0.49622 moveto 0.70427 0.45906 lineto 0.70065 0.49858 lineto gsave
0.937 0.905 0.513 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.52362 0.49004 lineto 0.51823 0.4772 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65251 0.5695 moveto 0.63911 0.58567 lineto 0.65619 0.58505 lineto gsave
0.036 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65619 0.58505 moveto 0.67137 0.55633 lineto 0.65251 0.5695 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48284 0.43219 moveto 0.49596 0.45136 lineto 0.49112 0.43357 lineto gsave
0.898 0.479 0.147 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50656 0.46435 moveto 0.49112 0.43357 lineto 0.49596 0.45136 lineto gsave
0.9 0.485 0.113 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49112 0.43357 moveto 0.50656 0.46435 lineto 0.50576 0.45841 lineto gsave
0.904 0.491 0.133 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.21887 0.52411 moveto 0.23352 0.54778 lineto 0.25763 0.60575 lineto gsave
0 0 0.532 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27108 0.62351 moveto 0.25763 0.60575 lineto 0.23352 0.54778 lineto gsave
0 0.049 0.616 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36147 0.45613 moveto 0.37912 0.43292 lineto 0.37412 0.45196 lineto gsave
0.826 0.953 0.609 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37412 0.45196 moveto 0.35578 0.48601 lineto 0.36147 0.45613 lineto gsave
0.89 0.932 0.554 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5892 0.57602 moveto 0.57831 0.57095 lineto 0.59664 0.60508 lineto gsave
0.818 0.349 0.1 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59664 0.60508 moveto 0.61116 0.6054 lineto 0.5892 0.57602 lineto gsave
0.697 0.25 0.186 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31845 0.54727 moveto 0.33714 0.51903 lineto 0.35079 0.55583 lineto gsave
0.955 0.859 0.706 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35079 0.55583 moveto 0.33367 0.59027 lineto 0.31845 0.54727 lineto gsave
0.959 0.849 0.689 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53552 0.50942 moveto 0.52892 0.50393 lineto 0.53355 0.51742 lineto gsave
0.905 0.501 0.109 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53355 0.51742 moveto 0.54484 0.5349 lineto 0.53552 0.50942 lineto gsave
0.9 0.489 0.106 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.50576 0.45841 lineto 0.50656 0.46435 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41476 0.41207 moveto 0.42893 0.4065 lineto 0.41302 0.39528 lineto gsave
0.402 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41302 0.39528 moveto 0.39632 0.41174 lineto 0.41476 0.41207 lineto gsave
0.089 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76663 0.39341 moveto 0.75007 0.39452 lineto 0.73036 0.34356 lineto gsave
0.655 0.715 0.893 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75007 0.39452 moveto 0.7343 0.40623 lineto 0.71563 0.3594 lineto gsave
0.845 0.81 0.816 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71563 0.3594 moveto 0.73036 0.34356 lineto 0.75007 0.39452 lineto gsave
0.848 0.81 0.813 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.52892 0.50393 lineto 0.52362 0.49004 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7841 0.40221 moveto 0.76663 0.39341 lineto 0.74591 0.33899 lineto gsave
0.351 0.521 0.885 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73036 0.34356 moveto 0.74591 0.33899 lineto 0.76663 0.39341 lineto gsave
0.646 0.712 0.896 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7343 0.40623 moveto 0.71912 0.42822 lineto 0.70154 0.38616 lineto gsave
0.931 0.837 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70154 0.38616 moveto 0.71563 0.3594 lineto 0.7343 0.40623 lineto gsave
0.934 0.834 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57831 0.57095 moveto 0.56726 0.5623 lineto 0.58185 0.59662 lineto gsave
0.862 0.417 0.127 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58185 0.59662 moveto 0.59664 0.60508 lineto 0.57831 0.57095 lineto gsave
0.798 0.346 0.169 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49596 0.45136 moveto 0.50907 0.47407 lineto 0.50656 0.46435 lineto gsave
0.908 0.5 0.139 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.50656 0.46435 lineto 0.50907 0.47407 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80248 0.41922 moveto 0.7841 0.40221 lineto 0.76243 0.34495 lineto gsave
0.057 0.305 0.791 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74591 0.33899 moveto 0.76243 0.34495 lineto 0.7841 0.40221 lineto gsave
0.314 0.499 0.88 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.23352 0.54778 moveto 0.24886 0.56645 lineto 0.27108 0.62351 lineto gsave
0 0.175 0.71 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28543 0.63243 moveto 0.27108 0.62351 lineto 0.24886 0.56645 lineto gsave
0.205 0.422 0.851 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.53355 0.51742 lineto 0.52892 0.50393 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63911 0.58567 moveto 0.62533 0.59838 lineto 0.64048 0.60882 lineto gsave
0.297 0 0.061 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64048 0.60882 moveto 0.65619 0.58505 lineto 0.63911 0.58567 lineto gsave
0.045 0 0.066 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56726 0.5623 moveto 0.55609 0.55013 lineto 0.5669 0.58021 lineto gsave
0.888 0.461 0.137 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5669 0.58021 moveto 0.58185 0.59662 lineto 0.56726 0.5623 lineto gsave
0.859 0.416 0.145 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67445 0.53619 moveto 0.68947 0.49622 lineto 0.68613 0.52633 lineto gsave
0.889 0.879 0.445 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30003 0.56756 moveto 0.31845 0.54727 lineto 0.33367 0.59027 lineto gsave
0.919 0.844 0.755 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33367 0.59027 moveto 0.31689 0.61585 lineto 0.30003 0.56756 lineto gsave
0.925 0.839 0.741 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71912 0.42822 moveto 0.70427 0.45906 lineto 0.68782 0.4223 lineto gsave
0.967 0.841 0.666 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68782 0.4223 moveto 0.70154 0.38616 lineto 0.71912 0.42822 lineto gsave
0.969 0.835 0.656 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.485 0.4532 moveto 0.49444 0.46352 lineto 0.48284 0.43219 lineto gsave
0.887 0.461 0.082 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48284 0.43219 moveto 0.46966 0.41774 lineto 0.485 0.4532 lineto gsave
0.866 0.42 0.108 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49596 0.45136 moveto 0.48284 0.43219 lineto 0.49444 0.46352 lineto gsave
0.89 0.463 0.109 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40025 0.42039 moveto 0.41476 0.41207 lineto 0.39632 0.41174 lineto gsave
0.068 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39632 0.41174 moveto 0.37912 0.43292 lineto 0.40025 0.42039 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34353 0.47844 moveto 0.36147 0.45613 lineto 0.35578 0.48601 lineto gsave
0.911 0.974 0.684 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35578 0.48601 moveto 0.33714 0.51903 lineto 0.34353 0.47844 lineto gsave
0.94 0.947 0.618 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49444 0.46352 moveto 0.50378 0.47474 lineto 0.49596 0.45136 lineto gsave
0.901 0.488 0.111 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50907 0.47407 moveto 0.49596 0.45136 lineto 0.50378 0.47474 lineto gsave
0.901 0.488 0.111 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47546 0.44394 moveto 0.485 0.4532 lineto 0.46966 0.41774 lineto gsave
0.861 0.415 0.031 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46966 0.41774 moveto 0.45633 0.40865 lineto 0.47546 0.44394 lineto gsave
0.821 0.353 0.101 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55609 0.55013 moveto 0.54484 0.5349 lineto 0.55191 0.55702 lineto gsave
0.902 0.488 0.138 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55191 0.55702 moveto 0.5669 0.58021 lineto 0.55609 0.55013 lineto gsave
0.889 0.461 0.125 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50378 0.47474 moveto 0.51304 0.4866 lineto 0.50907 0.47407 lineto gsave
0.908 0.503 0.124 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.50907 0.47407 lineto 0.51304 0.4866 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54484 0.5349 moveto 0.53355 0.51742 lineto 0.537 0.52905 lineto gsave
0.908 0.502 0.135 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.537 0.52905 moveto 0.55191 0.55702 lineto 0.54484 0.5349 lineto gsave
0.901 0.488 0.115 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24886 0.56645 moveto 0.26506 0.57714 lineto 0.28543 0.63243 lineto gsave
0.31 0.489 0.873 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30073 0.63017 moveto 0.28543 0.63243 lineto 0.26506 0.57714 lineto gsave
0.64 0.707 0.896 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46581 0.43576 moveto 0.47546 0.44394 lineto 0.45633 0.40865 lineto gsave
0.814 0.337 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45633 0.40865 moveto 0.44277 0.40505 lineto 0.46581 0.43576 lineto gsave
0.741 0.252 0.078 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28216 0.57777 moveto 0.30003 0.56756 lineto 0.31689 0.61585 lineto gsave
0.839 0.81 0.822 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31689 0.61585 moveto 0.30073 0.63017 lineto 0.28216 0.57777 lineto gsave
0.844 0.81 0.817 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.537 0.52905 lineto 0.53355 0.51742 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.82166 0.44193 moveto 0.80248 0.41922 lineto 0.77993 0.35968 lineto gsave
0 0.162 0.701 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76243 0.34495 moveto 0.77993 0.35968 lineto 0.80248 0.41922 lineto gsave
0.002 0.267 0.77 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.21887 0.52411 moveto 0.20465 0.49883 lineto 0.21022 0.43552 lineto gsave
0.024 0.149 0.658 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.53372 0.53615 lineto 0.53716 0.5413 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.52902 0.52688 lineto 0.53372 0.53615 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.52359 0.51456 lineto 0.52902 0.52688 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.51806 0.50061 lineto 0.52359 0.51456 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.51304 0.4866 lineto 0.51806 0.50061 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.53888 0.53749 lineto 0.537 0.52905 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.53894 0.54175 lineto 0.53888 0.53749 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52223 0.49876 moveto 0.53716 0.5413 lineto 0.53894 0.54175 lineto closepath gsave
0.907 0.502 0.117 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26506 0.57714 moveto 0.28216 0.57777 lineto 0.30073 0.63017 lineto gsave
0.66 0.716 0.89 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62533 0.59838 moveto 0.61116 0.6054 lineto 0.62422 0.62425 lineto gsave
0.517 0.071 0.13 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62422 0.62425 moveto 0.64048 0.60882 lineto 0.62533 0.59838 lineto gsave
0.271 0 0.112 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44611 0.42217 moveto 0.45603 0.42858 lineto 0.45536 0.42803 lineto gsave
0.506 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45536 0.42803 moveto 0.42893 0.4065 lineto gsave
0.44611 0.42217 lineto 0.506 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42893 0.4065 moveto 0.41476 0.41207 lineto 0.44566 0.42203 lineto gsave
0.426 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44566 0.42203 moveto 0.44611 0.42217 lineto gsave
0.44597 0.42205 lineto 0.426 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.42893 0.4065 moveto 0.44566 0.42203 lineto 0.44597 0.42205 lineto 0.426 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.43605 0.41625 moveto 0.44611 0.42217 lineto 0.41476 0.41207 lineto gsave
0 0.427 0.807 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41476 0.41207 moveto 0.40025 0.42039 lineto 0.43605 0.41625 lineto gsave
0.16 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42586 0.41045 moveto 0.43605 0.41625 lineto 0.40633 0.41969 lineto gsave
0.359 0.724 0.987 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40633 0.41969 moveto 0.40025 0.42039 lineto gsave
0.40263 0.41947 lineto 0.359 0.724 0.987 setrgbcolor
fill grestore
stroke
grestore
gsave
0.42586 0.41045 moveto 0.40633 0.41969 lineto 0.40263 0.41947 lineto 0.359 0.724 0.987 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.44611 0.42217 moveto 0.43605 0.41625 lineto 0.43691 0.41634 lineto gsave
0.27 0.672 0.969 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46486 0.4345 moveto 0.44277 0.40505 lineto gsave
0.45603 0.42858 lineto 0.717 0.199 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44277 0.40505 moveto 0.42893 0.4065 lineto 0.45603 0.42858 lineto gsave
0.613 0.109 0.027 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43691 0.41634 moveto 0.48291 0.42145 lineto gsave
0.44611 0.42217 lineto 0.27 0.672 0.969 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45603 0.42858 moveto 0.44611 0.42217 lineto 0.4473 0.42273 lineto gsave
0 0.355 0.762 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4473 0.42273 moveto 0.48738 0.44143 lineto gsave
0.45603 0.42858 lineto 0 0.355 0.762 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45603 0.42858 moveto 0.46581 0.43576 lineto 0.46486 0.4345 lineto gsave
0.717 0.199 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51382 0.50132 moveto 0.51806 0.50061 lineto 0.51304 0.4866 lineto gsave
0.901 0.498 0.092 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51304 0.4866 moveto 0.50378 0.47474 lineto 0.51382 0.50132 lineto gsave
0.899 0.488 0.098 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70427 0.45906 moveto 0.68947 0.49622 lineto 0.6742 0.46517 lineto gsave
0.982 0.841 0.628 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6742 0.46517 moveto 0.68782 0.4223 lineto 0.70427 0.45906 lineto gsave
0.982 0.833 0.619 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67137 0.55633 moveto 0.65619 0.58505 lineto 0.65897 0.57471 lineto gsave
0.729 0.846 0.407 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65897 0.57471 moveto 0.67445 0.53619 lineto 0.67137 0.55633 lineto gsave
0.826 0.858 0.405 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55191 0.55702 moveto 0.537 0.52905 lineto 0.53888 0.53749 lineto gsave
0.906 0.497 0.14 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38545 0.42982 moveto 0.40025 0.42039 lineto 0.37912 0.43292 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37912 0.43292 moveto 0.36939 0.44572 lineto gsave
0.38545 0.42982 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38545 0.42982 moveto 0.37041 0.43859 lineto 0.39673 0.41865 lineto gsave
0.556 0.914 0.725 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39673 0.41865 moveto 0.41555 0.4044 lineto gsave
0.38545 0.42982 lineto 0.556 0.914 0.725 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36939 0.44572 moveto 0.36147 0.45613 lineto gsave
0.38545 0.42982 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32548 0.49698 moveto 0.34353 0.47844 lineto 0.33714 0.51903 lineto gsave
0.937 0.96 0.752 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33714 0.51903 moveto 0.31845 0.54727 lineto 0.32548 0.49698 lineto gsave
0.958 0.946 0.694 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5095 0.4998 moveto 0.51382 0.50132 lineto 0.50378 0.47474 lineto gsave
0.877 0.471 0.026 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50378 0.47474 moveto 0.49444 0.46352 lineto 0.5095 0.4998 lineto gsave
0.884 0.461 0.065 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.21022 0.43552 moveto 0.22529 0.45872 lineto 0.21887 0.52411 lineto gsave
0.199 0.299 0.742 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.23352 0.54778 moveto 0.21887 0.52411 lineto 0.22529 0.45872 lineto gsave
0.11 0.212 0.69 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61116 0.6054 moveto 0.59664 0.60508 lineto 0.60745 0.62883 lineto gsave
0.686 0.23 0.163 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60745 0.62883 moveto 0.62422 0.62425 lineto 0.61116 0.6054 lineto gsave
0.513 0.07 0.135 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.84143 0.46719 moveto 0.82166 0.44193 lineto 0.79832 0.38055 lineto gsave
0 0.106 0.66 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77993 0.35968 moveto 0.79832 0.38055 lineto 0.82166 0.44193 lineto gsave
0 0.119 0.67 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.525 0.52816 moveto 0.52359 0.51456 lineto 0.51806 0.50061 lineto gsave
0.889 0.485 0.054 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51806 0.50061 moveto 0.51382 0.50132 lineto 0.525 0.52816 lineto gsave
0.894 0.483 0.079 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5669 0.58021 moveto 0.55191 0.55702 lineto 0.55586 0.57321 lineto gsave
0.894 0.472 0.153 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53888 0.53749 moveto 0.55586 0.57321 lineto 0.55191 0.55702 lineto gsave
0.899 0.483 0.112 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55586 0.57321 moveto 0.53888 0.53749 lineto 0.53894 0.54175 lineto gsave
0.901 0.487 0.124 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74591 0.33899 moveto 0.73036 0.34356 lineto 0.6863 0.3075 lineto gsave
0.643 0.763 0.936 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73036 0.34356 moveto 0.71563 0.3594 lineto 0.67442 0.32605 lineto gsave
0.832 0.776 0.799 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67442 0.32605 moveto 0.6863 0.3075 lineto 0.73036 0.34356 lineto gsave
0.83 0.778 0.802 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50513 0.49519 moveto 0.5095 0.4998 lineto 0.49444 0.46352 lineto gsave
0.816 0.412 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49444 0.46352 moveto 0.485 0.4532 lineto 0.50513 0.49519 lineto gsave
0.859 0.416 0.011 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71563 0.3594 moveto 0.70154 0.38616 lineto 0.66305 0.35496 lineto gsave
0.885 0.752 0.71 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66305 0.35496 moveto 0.67442 0.32605 lineto 0.71563 0.3594 lineto gsave
0.885 0.757 0.716 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59664 0.60508 moveto 0.58185 0.59662 lineto 0.59034 0.62135 lineto gsave
0.798 0.347 0.171 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59034 0.62135 moveto 0.60745 0.62883 lineto 0.59664 0.60508 lineto gsave
0.712 0.244 0.136 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58185 0.59662 moveto 0.5669 0.58021 lineto 0.57307 0.60218 lineto gsave
0.862 0.425 0.165 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55586 0.57321 moveto 0.57307 0.60218 lineto 0.5669 0.58021 lineto gsave
0.88 0.444 0.115 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57307 0.60218 moveto 0.59034 0.62135 lineto 0.58185 0.59662 lineto gsave
0.829 0.37 0.125 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53605 0.55211 moveto 0.52902 0.52688 lineto 0.52359 0.51456 lineto gsave
0.877 0.471 0.027 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52359 0.51456 moveto 0.525 0.52816 lineto 0.53605 0.55211 lineto gsave
0.889 0.476 0.062 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68947 0.49622 moveto 0.67445 0.53619 lineto 0.66041 0.511 lineto gsave
0.987 0.846 0.615 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66041 0.511 moveto 0.6742 0.46517 lineto 0.68947 0.49622 lineto gsave
0.987 0.836 0.606 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76243 0.34495 moveto 0.74591 0.33899 lineto 0.69886 0.29967 lineto gsave
0.088 0.496 0.9 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6863 0.3075 moveto 0.69886 0.29967 lineto 0.74591 0.33899 lineto gsave
0.653 0.764 0.93 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53894 0.54175 moveto 0.55613 0.5814 lineto 0.55586 0.57321 lineto gsave
0.895 0.477 0.098 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55613 0.5814 moveto 0.53894 0.54175 lineto 0.53716 0.5413 lineto gsave
0.893 0.475 0.089 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30755 0.50932 moveto 0.32548 0.49698 lineto 0.31845 0.54727 lineto gsave
0.91 0.913 0.81 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31845 0.54727 moveto 0.30003 0.56756 lineto 0.30755 0.50932 lineto gsave
0.934 0.917 0.775 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65619 0.58505 moveto 0.64048 0.60882 lineto 0.64291 0.60725 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64291 0.60725 moveto 0.65897 0.57471 lineto 0.65619 0.58505 lineto gsave
0.726 0.835 0.388 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22529 0.45872 moveto 0.24064 0.48056 lineto 0.23352 0.54778 lineto gsave
0.278 0.352 0.76 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24886 0.56645 moveto 0.23352 0.54778 lineto 0.24064 0.48056 lineto gsave
0.26 0.335 0.751 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37041 0.43859 moveto 0.38545 0.42982 lineto 0.36147 0.45613 lineto gsave
0.682 0.972 0.782 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36147 0.45613 moveto 0.34353 0.47844 lineto 0.37041 0.43859 lineto gsave
0.678 0.892 0.531 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50072 0.48697 moveto 0.50513 0.49519 lineto 0.485 0.4532 lineto gsave
0.673 0.292 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.485 0.4532 moveto 0.47546 0.44394 lineto 0.50072 0.48697 lineto gsave
0.812 0.341 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70154 0.38616 moveto 0.68782 0.4223 lineto 0.65201 0.39275 lineto gsave
0.902 0.733 0.662 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65201 0.39275 moveto 0.66305 0.35496 lineto 0.70154 0.38616 lineto gsave
0.903 0.739 0.669 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54564 0.57028 moveto 0.53372 0.53615 lineto 0.52902 0.52688 lineto gsave
0.875 0.463 0.024 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52902 0.52688 moveto 0.53605 0.55211 lineto 0.54564 0.57028 lineto gsave
0.885 0.471 0.055 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5526 0.58043 moveto 0.53716 0.5413 lineto 0.53372 0.53615 lineto gsave
0.883 0.466 0.049 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53716 0.5413 moveto 0.5526 0.58043 lineto 0.55613 0.5814 lineto gsave
0.89 0.472 0.078 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5095 0.4998 moveto 0.50513 0.49519 lineto 0.51339 0.51109 lineto gsave
0.769 0.343 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.525 0.52816 moveto 0.52015 0.51653 lineto gsave
0.5229 0.52547 lineto 0.817 0.421 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52644 0.53701 moveto 0.52522 0.52952 lineto gsave
0.5229 0.52547 lineto 0.817 0.421 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52522 0.52952 moveto 0.525 0.52816 lineto gsave
0.5229 0.52547 lineto 0.817 0.421 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50513 0.49519 moveto 0.50072 0.48697 lineto 0.5018 0.48869 lineto gsave
0 0 0.426 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51382 0.50132 moveto 0.5095 0.4998 lineto 0.52644 0.53701 lineto gsave
0.86 0.439 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.52644 0.53701 moveto 0.52015 0.51653 lineto 0.51882 0.51545 lineto 0.817 0.421 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.525 0.52816 moveto 0.52644 0.53701 lineto 0.54327 0.57066 lineto gsave
0.823 0.402 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52791 0.53904 moveto 0.52644 0.53701 lineto 0.51548 0.51293 lineto gsave
0 0 0.335 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51548 0.51293 moveto 0.5095 0.4998 lineto gsave
0.51551 0.5126 lineto 0 0 0.335 setrgbcolor
fill grestore
stroke
grestore
gsave
0.52791 0.53904 moveto 0.51548 0.51293 lineto 0.51551 0.5126 lineto 0 0 0.335 setrgbcolor
fill
grestore
gsave
0.51565 0.51291 moveto 0.51551 0.5126 lineto 0.51339 0.51109 lineto 0.769 0.343 0 setrgbcolor
fill
grestore
gsave
0.5095 0.4998 moveto 0.51173 0.50626 lineto 0.51551 0.5126 lineto 0.769 0.343 0 setrgbcolor
fill
grestore
gsave
0.51339 0.51109 moveto 0.51551 0.5126 lineto 0.51173 0.50626 lineto 0.769 0.343 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.5018 0.48869 moveto 0.51564 0.51089 lineto gsave
0.50882 0.50093 lineto 0 0 0.426 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51564 0.51089 moveto 0.5294 0.53296 lineto gsave
0.51559 0.51147 lineto 0 0 0.426 setrgbcolor
fill grestore
stroke
grestore
gsave
0.50882 0.50093 moveto 0.51564 0.51089 lineto 0.51559 0.51147 lineto 0 0 0.426 setrgbcolor
fill
grestore
gsave
0.50513 0.49519 moveto 0.5018 0.48869 lineto 0.50882 0.50093 lineto 0 0 0.426 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.51339 0.51109 moveto 0.52791 0.53904 lineto gsave
0.51565 0.51291 lineto 0.769 0.343 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52015 0.51653 moveto 0.51382 0.50132 lineto gsave
0.51882 0.51545 lineto 0.817 0.421 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53372 0.53615 moveto 0.54564 0.57028 lineto 0.5526 0.58043 lineto gsave
0.886 0.469 0.061 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79832 0.38055 moveto 0.81738 0.4042 lineto 0.84143 0.46719 lineto gsave
0 0.065 0.629 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57307 0.60218 moveto 0.55586 0.57321 lineto 0.55613 0.5814 lineto gsave
0.879 0.443 0.111 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49629 0.475 moveto 0.50072 0.48697 lineto 0.47546 0.44394 lineto gsave
0 0 0.496 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47546 0.44394 moveto 0.46581 0.43576 lineto 0.49629 0.475 lineto gsave
0.721 0.213 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76243 0.34495 moveto 0.7122 0.30189 lineto gsave
0.76556 0.34742 lineto 0 0.075 0.55 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69886 0.29967 moveto 0.7122 0.30189 lineto 0.76243 0.34495 lineto gsave
0.158 0.535 0.923 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7122 0.30189 moveto 0.72635 0.31247 lineto 0.77993 0.35968 lineto gsave
0 0.139 0.619 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74125 0.32888 moveto 0.79832 0.38055 lineto gsave
0.74019 0.32555 lineto 0.587 0.071 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72635 0.31247 moveto 0.7312 0.31781 lineto gsave
0.74019 0.32555 lineto 0.587 0.071 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7312 0.31781 moveto 0.74125 0.32888 lineto gsave
0.74019 0.32555 lineto 0.587 0.071 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77993 0.35968 moveto 0.77377 0.35449 lineto gsave
0.76556 0.34742 lineto 0 0.075 0.55 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77377 0.35449 moveto 0.76243 0.34495 lineto gsave
0.76556 0.34742 lineto 0 0.075 0.55 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24064 0.48056 moveto 0.25648 0.49842 lineto 0.24886 0.56645 lineto gsave
0.401 0.449 0.796 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26506 0.57714 moveto 0.24886 0.56645 lineto 0.25648 0.49842 lineto gsave
0.461 0.506 0.818 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28997 0.51387 moveto 0.30755 0.50932 lineto 0.30003 0.56756 lineto gsave
0.829 0.828 0.846 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30003 0.56756 moveto 0.28216 0.57777 lineto 0.28997 0.51387 lineto gsave
0.843 0.836 0.839 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68782 0.4223 moveto 0.6742 0.46517 lineto 0.64107 0.43682 lineto gsave
0.906 0.72 0.639 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64107 0.43682 moveto 0.65201 0.39275 lineto 0.68782 0.4223 lineto gsave
0.908 0.727 0.646 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64048 0.60882 moveto 0.62422 0.62425 lineto 0.62621 0.62961 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62621 0.62961 moveto 0.64291 0.60725 lineto 0.64048 0.60882 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25648 0.49842 moveto 0.27292 0.51005 lineto 0.26506 0.57714 lineto gsave
0.55 0.575 0.833 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28216 0.57777 moveto 0.26506 0.57714 lineto 0.27292 0.51005 lineto gsave
0.674 0.69 0.857 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27292 0.51005 moveto 0.28997 0.51387 lineto 0.28216 0.57777 lineto gsave
0.702 0.71 0.854 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67445 0.53619 moveto 0.65897 0.57471 lineto 0.64622 0.55527 lineto gsave
0.987 0.859 0.624 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64622 0.55527 moveto 0.66041 0.511 lineto 0.67445 0.53619 lineto gsave
0.987 0.846 0.614 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40025 0.42039 moveto 0.38545 0.42982 lineto 0.42586 0.41045 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49183 0.4596 moveto 0.49629 0.475 lineto 0.46581 0.43576 lineto gsave
0 0.135 0.67 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46581 0.43576 moveto 0.45603 0.42858 lineto 0.49183 0.4596 lineto gsave
0.532 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35524 0.44499 moveto 0.37041 0.43859 lineto 0.34353 0.47844 lineto gsave
0.831 0.989 0.867 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34353 0.47844 moveto 0.32548 0.49698 lineto 0.35524 0.44499 lineto gsave
0.848 0.987 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53605 0.55211 moveto 0.525 0.52816 lineto gsave
0.53679 0.55559 lineto 0.747 0.357 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53894 0.55956 moveto 0.53605 0.55211 lineto gsave
0.53679 0.55559 lineto 0.747 0.357 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54564 0.57028 moveto 0.53605 0.55211 lineto gsave
0.55358 0.58775 lineto 0.731 0.325 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55788 0.59651 moveto 0.55476 0.58982 lineto gsave
0.55358 0.58775 lineto 0.731 0.325 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55476 0.58982 moveto 0.54564 0.57028 lineto gsave
0.55358 0.58775 lineto 0.731 0.325 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53605 0.55211 moveto 0.54327 0.57066 lineto 0.55788 0.59651 lineto gsave
0.798 0.37 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56845 0.61123 moveto 0.5526 0.58043 lineto 0.54564 0.57028 lineto gsave
0.79 0.349 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5526 0.58043 moveto 0.56845 0.61123 lineto 0.57368 0.6131 lineto gsave
0.841 0.388 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54564 0.57028 moveto 0.55788 0.59651 lineto 0.56845 0.61123 lineto gsave
0.809 0.366 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55061 0.57937 moveto 0.57033 0.61091 lineto gsave
0.54684 0.57598 lineto 0 0 0.51 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54327 0.57066 moveto 0.54492 0.57262 lineto gsave
0.54684 0.57598 lineto 0 0 0.51 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54492 0.57262 moveto 0.55061 0.57937 lineto gsave
0.54684 0.57598 lineto 0 0 0.51 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52791 0.53904 moveto 0.55061 0.57937 lineto gsave
0.53173 0.54628 lineto 0 0 0.372 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52644 0.53701 moveto 0.52747 0.53843 lineto gsave
0.53173 0.54628 lineto 0 0 0.372 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52747 0.53843 moveto 0.52791 0.53904 lineto gsave
0.53173 0.54628 lineto 0 0 0.372 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54327 0.57066 moveto 0.53894 0.55956 lineto gsave
0.53679 0.55559 lineto 0.747 0.357 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59034 0.62135 moveto 0.57307 0.60218 lineto 0.57368 0.6131 lineto gsave
0.823 0.352 0.08 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55613 0.5814 moveto 0.57368 0.6131 lineto 0.57307 0.60218 lineto gsave
0.866 0.418 0.062 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57368 0.6131 moveto 0.55613 0.5814 lineto 0.5526 0.58043 lineto gsave
0.851 0.401 0.004 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62422 0.62425 moveto 0.60745 0.62883 lineto 0.60897 0.63869 lineto gsave
0.341 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60897 0.63869 moveto 0.62621 0.62961 lineto 0.62422 0.62425 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79832 0.38055 moveto 0.77993 0.35968 lineto 0.72635 0.31247 lineto gsave
0.639 0.123 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48738 0.44143 moveto 0.49183 0.4596 lineto 0.45603 0.42858 lineto gsave
0.217 0.316 0.751 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60745 0.62883 moveto 0.59034 0.62135 lineto 0.59138 0.633 lineto gsave
0.679 0.167 0.014 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57368 0.6131 moveto 0.59138 0.633 lineto 0.59034 0.62135 lineto gsave
0.786 0.288 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6742 0.46517 moveto 0.66041 0.511 lineto 0.63004 0.48359 lineto gsave
0.904 0.712 0.632 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63004 0.48359 moveto 0.64107 0.43682 lineto 0.6742 0.46517 lineto gsave
0.906 0.72 0.64 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59138 0.633 moveto 0.60897 0.63869 lineto 0.60745 0.62883 lineto gsave
0.543 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6863 0.3075 moveto 0.67442 0.32605 lineto 0.61409 0.31105 lineto gsave
0.811 0.748 0.793 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67442 0.32605 moveto 0.66305 0.35496 lineto 0.60704 0.33904 lineto gsave
0.831 0.689 0.706 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60704 0.33904 moveto 0.61409 0.31105 lineto 0.67442 0.32605 lineto gsave
0.833 0.706 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5294 0.53296 moveto 0.52791 0.53904 lineto 0.50513 0.49519 lineto gsave
0 0.017 0.581 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69886 0.29967 moveto 0.6863 0.3075 lineto 0.62144 0.29172 lineto gsave
0.668 0.826 0.959 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61409 0.31105 moveto 0.62144 0.29172 lineto 0.6863 0.3075 lineto gsave
0.809 0.756 0.803 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41555 0.4044 moveto 0.42586 0.41045 lineto 0.38545 0.42982 lineto gsave
0.619 0.822 0.978 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34006 0.44765 moveto 0.35524 0.44499 lineto 0.32548 0.49698 lineto gsave
0.848 0.916 0.879 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32548 0.49698 moveto 0.30755 0.50932 lineto 0.34006 0.44765 lineto gsave
0.893 0.962 0.832 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65897 0.57471 moveto 0.64291 0.60725 lineto 0.63151 0.59311 lineto gsave
0.98 0.885 0.662 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63151 0.59311 moveto 0.64622 0.55527 lineto 0.65897 0.57471 lineto gsave
0.981 0.867 0.65 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66305 0.35496 moveto 0.65201 0.39275 lineto 0.60017 0.37438 lineto gsave
0.831 0.655 0.664 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60017 0.37438 moveto 0.60704 0.33904 lineto 0.66305 0.35496 lineto gsave
0.836 0.675 0.683 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22529 0.45872 moveto 0.21022 0.43552 lineto 0.25255 0.37483 lineto gsave
0.392 0.386 0.734 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48291 0.42145 moveto 0.48738 0.44143 lineto 0.44611 0.42217 lineto gsave
0.409 0.435 0.776 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69886 0.29967 moveto 0.62916 0.28141 lineto gsave
0.68365 0.29485 lineto 0 0.511 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62144 0.29172 moveto 0.62916 0.28141 lineto 0.69886 0.29967 lineto gsave
0.694 0.815 0.94 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62916 0.28141 moveto 0.63732 0.27955 lineto 0.7122 0.30189 lineto gsave
0.21 0.675 0.943 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64592 0.28469 moveto 0.72635 0.31247 lineto gsave
0.65935 0.28769 lineto 0.391 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63732 0.27955 moveto 0.64279 0.28282 lineto gsave
0.65935 0.28769 lineto 0.391 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64279 0.28282 moveto 0.64592 0.28469 lineto gsave
0.65935 0.28769 lineto 0.391 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7122 0.30189 moveto 0.70157 0.30012 lineto gsave
0.68365 0.29485 lineto 0 0.511 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70157 0.30012 moveto 0.69886 0.29967 lineto gsave
0.68365 0.29485 lineto 0 0.511 0.783 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55061 0.57937 moveto 0.54327 0.57066 lineto 0.52644 0.53701 lineto gsave
0 0 0.528 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59138 0.633 moveto 0.57368 0.6131 lineto 0.56845 0.61123 lineto gsave
0.717 0.198 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53088 0.51844 moveto 0.5294 0.53296 lineto 0.50072 0.48697 lineto gsave
0.19 0.237 0.681 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50072 0.48697 moveto 0.49629 0.475 lineto 0.53088 0.51844 lineto gsave
0 0.146 0.689 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25255 0.37483 moveto 0.26672 0.39366 lineto 0.22529 0.45872 lineto gsave
0.517 0.52 0.798 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24064 0.48056 moveto 0.22529 0.45872 lineto 0.26672 0.39366 lineto gsave
0.439 0.419 0.74 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65201 0.39275 moveto 0.64107 0.43682 lineto 0.59337 0.41484 lineto gsave
0.824 0.633 0.644 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59337 0.41484 moveto 0.60017 0.37438 lineto 0.65201 0.39275 lineto gsave
0.831 0.654 0.663 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81738 0.4042 moveto 0.79832 0.38055 lineto 0.74125 0.32888 lineto gsave
0.682 0.174 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32497 0.44564 moveto 0.34006 0.44765 lineto 0.30755 0.50932 lineto gsave
0.806 0.821 0.863 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30755 0.50932 moveto 0.28997 0.51387 lineto 0.32497 0.44564 lineto gsave
0.826 0.842 0.86 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66041 0.511 moveto 0.64622 0.55527 lineto 0.61875 0.52873 lineto gsave
0.896 0.707 0.639 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61875 0.52873 moveto 0.63004 0.48359 lineto 0.66041 0.511 lineto gsave
0.898 0.717 0.648 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40512 0.39776 moveto 0.41555 0.4044 lineto 0.37041 0.43859 lineto gsave
0.729 0.828 0.927 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37041 0.43859 moveto 0.35524 0.44499 lineto 0.40512 0.39776 lineto gsave
0.78 0.995 0.871 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47843 0.40075 moveto 0.48291 0.42145 lineto 0.43605 0.41625 lineto gsave
0.534 0.516 0.782 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43605 0.41625 moveto 0.42586 0.41045 lineto 0.47843 0.40075 lineto gsave
0.567 0.811 0.991 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64291 0.60725 moveto 0.62621 0.62961 lineto 0.61625 0.62003 lineto gsave
0.946 0.931 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61625 0.62003 moveto 0.63151 0.59311 lineto 0.64291 0.60725 lineto gsave
0.955 0.906 0.732 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26672 0.39366 moveto 0.28097 0.41156 lineto 0.24064 0.48056 lineto gsave
0.56 0.546 0.796 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25648 0.49842 moveto 0.24064 0.48056 lineto 0.28097 0.41156 lineto gsave
0.509 0.482 0.762 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53237 0.49621 moveto 0.53088 0.51844 lineto 0.49629 0.475 lineto gsave
0.402 0.358 0.694 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49629 0.475 moveto 0.49183 0.4596 lineto 0.53237 0.49621 lineto gsave
0.251 0.38 0.799 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31007 0.43864 moveto 0.32497 0.44564 lineto 0.28997 0.51387 lineto gsave
0.743 0.731 0.84 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28997 0.51387 moveto 0.27292 0.51005 lineto 0.31007 0.43864 lineto gsave
0.713 0.699 0.835 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72635 0.31247 moveto 0.7122 0.30189 lineto 0.63732 0.27955 lineto gsave
0.576 0.002 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57033 0.61091 moveto 0.55788 0.59651 lineto 0.54327 0.57066 lineto gsave
0 0.062 0.626 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28097 0.41156 moveto 0.2954 0.42699 lineto 0.25648 0.49842 lineto gsave
0.614 0.591 0.803 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27292 0.51005 moveto 0.25648 0.49842 lineto 0.2954 0.42699 lineto gsave
0.602 0.575 0.796 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56845 0.61123 moveto 0.5845 0.62953 lineto 0.59138 0.633 lineto gsave
0.672 0.149 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60897 0.63869 moveto 0.59138 0.633 lineto 0.5845 0.62953 lineto gsave
0 0.437 0.762 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5845 0.62953 moveto 0.56845 0.61123 lineto 0.55788 0.59651 lineto gsave
0 0.029 0.583 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.2954 0.42699 moveto 0.31007 0.43864 lineto 0.27292 0.51005 lineto gsave
0.677 0.653 0.819 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64107 0.43682 moveto 0.63004 0.48359 lineto 0.58656 0.45735 lineto gsave
0.813 0.617 0.637 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58656 0.45735 moveto 0.59337 0.41484 lineto 0.64107 0.43682 lineto gsave
0.821 0.64 0.658 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.558 0.57621 moveto 0.55061 0.57937 lineto 0.52791 0.53904 lineto gsave
0.199 0.257 0.699 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52791 0.53904 moveto 0.5294 0.53296 lineto 0.558 0.57621 lineto gsave
0 0.158 0.69 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62621 0.62961 moveto 0.60897 0.63869 lineto 0.60051 0.63267 lineto gsave
0.761 0.963 0.932 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60051 0.63267 moveto 0.61625 0.62003 lineto 0.62621 0.62961 lineto gsave
0.823 0.947 0.903 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47391 0.38044 moveto 0.47843 0.40075 lineto 0.42586 0.41045 lineto gsave
0.62 0.58 0.787 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42586 0.41045 moveto 0.41555 0.4044 lineto 0.47391 0.38044 lineto gsave
0.706 0.839 0.946 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53384 0.46787 moveto 0.53237 0.49621 lineto 0.49183 0.4596 lineto gsave
0.52 0.426 0.688 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49183 0.4596 moveto 0.48738 0.44143 lineto 0.53384 0.46787 lineto gsave
0.478 0.503 0.805 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55788 0.59651 moveto 0.57033 0.61091 lineto 0.5845 0.62953 lineto gsave
0 0 0.513 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5845 0.62953 moveto 0.60051 0.63267 lineto 0.60897 0.63869 lineto gsave
0.067 0.572 0.886 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3946 0.39025 moveto 0.40512 0.39776 lineto 0.35524 0.44499 lineto gsave
0.771 0.812 0.886 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35524 0.44499 moveto 0.34006 0.44765 lineto 0.3946 0.39025 lineto gsave
0.833 0.929 0.894 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62144 0.29172 moveto 0.61409 0.31105 lineto 0.54118 0.31729 lineto gsave
0.789 0.732 0.799 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61409 0.31105 moveto 0.60704 0.33904 lineto 0.53968 0.34113 lineto gsave
0.782 0.651 0.718 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53968 0.34113 moveto 0.54118 0.31729 lineto 0.61409 0.31105 lineto gsave
0.792 0.688 0.75 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60704 0.33904 moveto 0.60017 0.37438 lineto 0.53821 0.36999 lineto gsave
0.766 0.604 0.678 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53821 0.36999 moveto 0.53968 0.34113 lineto 0.60704 0.33904 lineto gsave
0.782 0.647 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64622 0.55527 moveto 0.63151 0.59311 lineto 0.60711 0.56764 lineto gsave
0.879 0.704 0.661 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60711 0.56764 moveto 0.61875 0.52873 lineto 0.64622 0.55527 lineto gsave
0.881 0.716 0.672 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5353 0.4357 moveto 0.53384 0.46787 lineto 0.48738 0.44143 lineto gsave
0.592 0.471 0.683 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48738 0.44143 moveto 0.48291 0.42145 lineto 0.5353 0.4357 lineto gsave
0.601 0.568 0.789 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74125 0.32888 moveto 0.75672 0.34793 lineto 0.81738 0.4042 lineto gsave
0.639 0.129 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62916 0.28141 moveto 0.62144 0.29172 lineto 0.54273 0.29945 lineto gsave
0.725 0.866 0.948 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54118 0.31729 moveto 0.54273 0.29945 lineto 0.62144 0.29172 lineto gsave
0.791 0.749 0.815 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60017 0.37438 moveto 0.59337 0.41484 lineto 0.53675 0.40224 lineto gsave
0.749 0.574 0.658 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53675 0.40224 moveto 0.53821 0.36999 lineto 0.60017 0.37438 lineto gsave
0.766 0.618 0.696 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46933 0.36153 moveto 0.47391 0.38044 lineto 0.41555 0.4044 lineto gsave
0.683 0.637 0.797 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41555 0.4044 moveto 0.40512 0.39776 lineto 0.46933 0.36153 lineto gsave
0.764 0.83 0.903 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63004 0.48359 moveto 0.61875 0.52873 lineto 0.57963 0.49829 lineto gsave
0.796 0.604 0.641 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57963 0.49829 moveto 0.58656 0.45735 lineto 0.63004 0.48359 lineto gsave
0.803 0.627 0.664 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56534 0.56067 moveto 0.558 0.57621 lineto 0.5294 0.53296 lineto gsave
0.473 0.406 0.701 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5294 0.53296 moveto 0.53088 0.51844 lineto 0.56534 0.56067 lineto gsave
0.367 0.404 0.767 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53675 0.40224 moveto 0.5353 0.4357 lineto 0.48291 0.42145 lineto gsave
0.641 0.507 0.684 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48291 0.42145 moveto 0.47843 0.40075 lineto 0.53675 0.40224 lineto gsave
0.673 0.61 0.776 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60051 0.63267 moveto 0.5845 0.62953 lineto 0.57033 0.61091 lineto gsave
0.431 0.554 0.879 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38399 0.3817 moveto 0.3946 0.39025 lineto 0.34006 0.44765 lineto gsave
0.782 0.791 0.86 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34006 0.44765 moveto 0.32497 0.44564 lineto 0.38399 0.3817 lineto gsave
0.803 0.824 0.868 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74125 0.32888 moveto 0.72635 0.31247 lineto 0.64592 0.28469 lineto gsave
0.699 0.171 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5828 0.61098 moveto 0.57033 0.61091 lineto 0.55061 0.57937 lineto gsave
0.388 0.412 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55061 0.57937 moveto 0.558 0.57621 lineto 0.5828 0.61098 lineto gsave
0.24 0.372 0.796 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59337 0.41484 moveto 0.58656 0.45735 lineto 0.5353 0.4357 lineto gsave
0.728 0.55 0.65 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5353 0.4357 moveto 0.53675 0.40224 lineto 0.59337 0.41484 lineto gsave
0.744 0.595 0.691 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53821 0.36999 moveto 0.53675 0.40224 lineto 0.47843 0.40075 lineto gsave
0.679 0.544 0.694 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47843 0.40075 moveto 0.47391 0.38044 lineto 0.53821 0.36999 lineto gsave
0.719 0.644 0.774 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63151 0.59311 moveto 0.61625 0.62003 lineto 0.5951 0.59609 lineto gsave
0.843 0.701 0.705 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5951 0.59609 moveto 0.60711 0.56764 lineto 0.63151 0.59311 lineto gsave
0.844 0.715 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63732 0.27955 moveto 0.62916 0.28141 lineto 0.54434 0.2879 lineto gsave
0.183 0.717 0.81 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54273 0.29945 moveto 0.54434 0.2879 lineto 0.62916 0.28141 lineto gsave
0.746 0.834 0.919 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57256 0.53387 moveto 0.56534 0.56067 lineto 0.53088 0.51844 lineto gsave
0.598 0.471 0.678 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53088 0.51844 moveto 0.53237 0.49621 lineto 0.57256 0.53387 lineto gsave
0.568 0.502 0.742 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57033 0.61091 moveto 0.5828 0.61098 lineto 0.60051 0.63267 lineto gsave
0.354 0.536 0.895 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53968 0.34113 moveto 0.53821 0.36999 lineto 0.47391 0.38044 lineto gsave
0.712 0.587 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46468 0.34478 moveto 0.46933 0.36153 lineto 0.40512 0.39776 lineto gsave
0.732 0.694 0.814 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40512 0.39776 moveto 0.3946 0.39025 lineto 0.46468 0.34478 lineto gsave
0.785 0.811 0.874 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54118 0.31729 moveto 0.53968 0.34113 lineto 0.46933 0.36153 lineto gsave
0.744 0.646 0.752 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47391 0.38044 moveto 0.46933 0.36153 lineto 0.53968 0.34113 lineto gsave
0.75 0.678 0.782 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61625 0.62003 moveto 0.60051 0.63267 lineto 0.5828 0.61098 lineto gsave
0.751 0.683 0.785 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37332 0.37204 moveto 0.38399 0.3817 lineto 0.32497 0.44564 lineto gsave
0.777 0.77 0.847 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32497 0.44564 moveto 0.31007 0.43864 lineto 0.37332 0.37204 lineto gsave
0.749 0.729 0.834 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58656 0.45735 moveto 0.57963 0.49829 lineto 0.53384 0.46787 lineto gsave
0.702 0.529 0.651 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53384 0.46787 moveto 0.5353 0.4357 lineto 0.58656 0.45735 lineto gsave
0.712 0.573 0.697 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5828 0.61098 moveto 0.5951 0.59609 lineto 0.61625 0.62003 lineto gsave
0.739 0.697 0.81 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61875 0.52873 moveto 0.60711 0.56764 lineto 0.57256 0.53387 lineto gsave
0.77 0.589 0.654 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57256 0.53387 moveto 0.57963 0.49829 lineto 0.61875 0.52873 lineto gsave
0.774 0.615 0.682 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57963 0.49829 moveto 0.57256 0.53387 lineto 0.53237 0.49621 lineto gsave
0.663 0.505 0.661 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53237 0.49621 moveto 0.53384 0.46787 lineto 0.57963 0.49829 lineto gsave
0.661 0.547 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54273 0.29945 moveto 0.54118 0.31729 lineto 0.46468 0.34478 lineto gsave
0.773 0.734 0.816 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46933 0.36153 moveto 0.46468 0.34478 lineto 0.54118 0.31729 lineto gsave
0.771 0.716 0.802 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5951 0.59609 moveto 0.5828 0.61098 lineto 0.558 0.57621 lineto gsave
0.629 0.529 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.558 0.57621 moveto 0.56534 0.56067 lineto 0.5951 0.59609 lineto gsave
0.592 0.545 0.771 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36258 0.36133 moveto 0.37332 0.37204 lineto 0.31007 0.43864 lineto gsave
0.761 0.752 0.844 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31007 0.43864 moveto 0.2954 0.42699 lineto 0.36258 0.36133 lineto gsave
0.693 0.653 0.805 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45992 0.33068 moveto 0.46468 0.34478 lineto 0.3946 0.39025 lineto gsave
0.77 0.755 0.84 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3946 0.39025 moveto 0.38399 0.3817 lineto 0.45992 0.33068 lineto gsave
0.785 0.791 0.857 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54434 0.2879 moveto 0.54273 0.29945 lineto 0.45992 0.33068 lineto gsave
0.777 0.861 0.912 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46468 0.34478 moveto 0.45992 0.33068 lineto 0.54273 0.29945 lineto gsave
0.781 0.761 0.835 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60711 0.56764 moveto 0.5951 0.59609 lineto 0.56534 0.56067 lineto gsave
0.724 0.569 0.68 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56534 0.56067 moveto 0.57256 0.53387 lineto 0.60711 0.56764 lineto gsave
0.719 0.595 0.716 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54434 0.2879 moveto 0.54601 0.28224 lineto 0.63732 0.27955 lineto gsave
0.53 0.867 0.993 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64592 0.28469 moveto 0.63732 0.27955 lineto 0.54601 0.28224 lineto gsave
0.377 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35177 0.34976 moveto 0.36258 0.36133 lineto 0.2954 0.42699 lineto gsave
0.737 0.735 0.849 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.2954 0.42699 moveto 0.28097 0.41156 lineto 0.35177 0.34976 lineto gsave
0.644 0.597 0.786 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34089 0.33756 moveto 0.35177 0.34976 lineto 0.28097 0.41156 lineto gsave
0.708 0.72 0.859 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28097 0.41156 moveto 0.26672 0.39366 lineto 0.34089 0.33756 lineto gsave
0.602 0.559 0.778 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26672 0.39366 moveto 0.25255 0.37483 lineto 0.32992 0.32506 lineto gsave
0.57 0.538 0.781 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32992 0.32506 moveto 0.34089 0.33756 lineto 0.26672 0.39366 lineto gsave
0.674 0.707 0.873 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75672 0.34793 moveto 0.74125 0.32888 lineto 0.65495 0.29467 lineto gsave
0.728 0.213 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64592 0.28469 moveto 0.65495 0.29467 lineto 0.74125 0.32888 lineto gsave
0.6 0.029 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45505 0.31937 moveto 0.45992 0.33068 lineto 0.38399 0.3817 lineto gsave
0.792 0.82 0.874 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38399 0.3817 moveto 0.37332 0.37204 lineto 0.45505 0.31937 lineto gsave
0.773 0.77 0.85 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54601 0.28224 moveto 0.54434 0.2879 lineto 0.45505 0.31937 lineto gsave
0.629 0.946 0.949 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45992 0.33068 moveto 0.45505 0.31937 lineto 0.54434 0.2879 lineto gsave
0.775 0.812 0.882 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45004 0.31068 moveto 0.45505 0.31937 lineto 0.37332 0.37204 lineto gsave
0.793 0.881 0.91 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37332 0.37204 moveto 0.36258 0.36133 lineto 0.45004 0.31068 lineto gsave
0.752 0.75 0.851 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54601 0.28224 moveto 0.54775 0.28142 lineto 0.64592 0.28469 lineto gsave
0.063 0.625 0.781 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65495 0.29467 moveto 0.64592 0.28469 lineto 0.54775 0.28142 lineto gsave
0.539 0.015 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45505 0.31937 moveto 0.45004 0.31068 lineto 0.54601 0.28224 lineto gsave
0.74 0.861 0.936 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54775 0.28142 moveto 0.54601 0.28224 lineto 0.45004 0.31068 lineto gsave
0.228 0.739 0.704 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44489 0.3041 moveto 0.45004 0.31068 lineto 0.36258 0.36133 lineto gsave
0.762 0.925 0.942 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36258 0.36133 moveto 0.35177 0.34976 lineto 0.44489 0.3041 lineto gsave
0.724 0.732 0.857 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65495 0.29467 moveto 0.66431 0.30677 lineto 0.75672 0.34793 lineto gsave
0.651 0.094 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43961 0.2989 moveto 0.44489 0.3041 lineto 0.35177 0.34976 lineto gsave
0.7 0.938 0.962 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35177 0.34976 moveto 0.34089 0.33756 lineto 0.43961 0.2989 lineto gsave
0.692 0.716 0.867 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45004 0.31068 moveto 0.44489 0.3041 lineto 0.54775 0.28142 lineto gsave
0.661 0.886 0.98 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43423 0.29419 moveto 0.43961 0.2989 lineto 0.34089 0.33756 lineto gsave
0.627 0.922 0.976 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34089 0.33756 moveto 0.32992 0.32506 lineto 0.43423 0.29419 lineto gsave
0.656 0.702 0.881 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66431 0.30677 moveto 0.65495 0.29467 lineto 0.54956 0.28388 lineto gsave
0.586 0.071 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54775 0.28142 moveto 0.54956 0.28388 lineto 0.65495 0.29467 lineto gsave
0.26 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54956 0.28388 moveto 0.54775 0.28142 lineto 0.44831 0.30335 lineto gsave
0.075 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.54956 0.28388 moveto 0.44831 0.30335 lineto 0.45112 0.3029 lineto 0.075 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.44831 0.30335 moveto 0.44489 0.3041 lineto gsave
0.45112 0.3029 lineto 0.075 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44489 0.3041 moveto 0.43961 0.2989 lineto 0.54956 0.28388 lineto gsave
0.545 0.869 0.994 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55143 0.28769 moveto 0.54956 0.28388 lineto 0.43961 0.2989 lineto gsave
0.195 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43961 0.2989 moveto 0.43423 0.29419 lineto 0.54365 0.28812 lineto gsave
0.44 0.825 0.988 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54365 0.28812 moveto 0.55143 0.28769 lineto gsave
0.53778 0.28906 lineto 0.44 0.825 0.988 setrgbcolor
fill grestore
stroke
grestore
gsave
0.43961 0.2989 moveto 0.54365 0.28812 lineto 0.53778 0.28906 lineto 0.44 0.825 0.988 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.54956 0.28388 moveto 0.55143 0.28769 lineto 0.66431 0.30677 lineto gsave
0.37 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
grestore
% End of Graphics
MathPictureEnd
:[font = input; preserveAspect; startGroup; ]
uu[2,8.41724,0];
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 242; endGroup; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.86063 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.024949 0.99795 -0.020398 0.99795 [
[ 0 0 0 0 ]
[ 1 0.860627 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics3D
[ ] 0 setdash
0 setgray
0 0 moveto
1 0 lineto
1 0.86063 lineto
0 0.86063 lineto
closepath
clip
newpath
gsave
0.002 setlinewidth
0.54506 0.65984 moveto 0.54607 0.64786 lineto 0.45146 0.64372 lineto gsave
0.638 0.232 0.258 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54607 0.64786 moveto 0.54506 0.65984 lineto 0.63424 0.65726 lineto gsave
0.552 0.158 0.249 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63424 0.65726 moveto 0.63885 0.63539 lineto 0.54607 0.64786 lineto gsave
0.579 0.252 0.381 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45477 0.63827 moveto 0.45146 0.64372 lineto 0.36226 0.62314 lineto gsave
0.565 0.77 0.975 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45146 0.64372 moveto 0.45477 0.63827 lineto 0.54506 0.65984 lineto gsave
0.514 0.704 0.956 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63885 0.63539 moveto 0.63424 0.65726 lineto 0.71425 0.62704 lineto gsave
0.432 0.122 0.338 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71425 0.62704 moveto 0.72248 0.60688 lineto 0.63885 0.63539 lineto gsave
0.42 0.092 0.302 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36226 0.62314 moveto 0.37074 0.60002 lineto 0.45477 0.63827 lineto gsave
0.741 0.609 0.711 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45813 0.63244 moveto 0.45477 0.63827 lineto 0.37074 0.60002 lineto gsave
0.508 0.675 0.94 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.544 0.66946 moveto 0.54506 0.65984 lineto 0.45477 0.63827 lineto gsave
0.665 0.223 0.19 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48865 0.6456 moveto 0.544 0.66946 lineto gsave
0.49962 0.65395 lineto 0.462 0.617 0.917 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45477 0.63827 moveto 0.45813 0.63244 lineto 0.48865 0.6456 lineto gsave
0.462 0.617 0.917 setrgbcolor
fill grestore
stroke
grestore
gsave
0.45477 0.63827 moveto 0.48865 0.6456 lineto 0.49962 0.65395 lineto 0.462 0.617 0.917 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.54289 0.67322 moveto 0.544 0.66946 lineto 0.45813 0.63244 lineto gsave
0.614 0.06 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54171 0.66847 moveto 0.54289 0.67322 lineto 0.46631 0.6286 lineto gsave
0.139 0.488 0.902 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46631 0.6286 moveto 0.46154 0.62582 lineto gsave
0.46525 0.6278 lineto 0.139 0.488 0.902 setrgbcolor
fill grestore
stroke
grestore
gsave
0.54171 0.66847 moveto 0.46631 0.6286 lineto 0.46525 0.6278 lineto 0.139 0.488 0.902 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.54506 0.65984 moveto 0.544 0.66946 lineto 0.62937 0.67584 lineto gsave
0.556 0.125 0.177 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62937 0.67584 moveto 0.63424 0.65726 lineto 0.54506 0.65984 lineto gsave
0.585 0.239 0.349 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37074 0.60002 moveto 0.37912 0.57897 lineto 0.45813 0.63244 lineto gsave
0.711 0.586 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46154 0.62582 moveto 0.45813 0.63244 lineto 0.37912 0.57897 lineto gsave
0.474 0.595 0.893 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45813 0.63244 moveto 0.46154 0.62582 lineto 0.54289 0.67322 lineto gsave
0.444 0.558 0.876 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28588 0.58712 moveto 0.29952 0.55363 lineto 0.37074 0.60002 lineto gsave
0.82 0.654 0.677 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37074 0.60002 moveto 0.36226 0.62314 lineto 0.28588 0.58712 lineto gsave
0.813 0.692 0.732 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37912 0.57897 moveto 0.37074 0.60002 lineto 0.29952 0.55363 lineto gsave
0.787 0.675 0.74 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29952 0.55363 moveto 0.31278 0.52405 lineto 0.37912 0.57897 lineto gsave
0.803 0.643 0.684 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3873 0.56257 moveto 0.37912 0.57897 lineto 0.31278 0.52405 lineto gsave
0.742 0.658 0.767 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37912 0.57897 moveto 0.3873 0.56257 lineto 0.46154 0.62582 lineto gsave
0.669 0.567 0.732 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31278 0.52405 moveto 0.32542 0.50268 lineto 0.3873 0.56257 lineto gsave
0.772 0.636 0.711 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39525 0.55265 moveto 0.3873 0.56257 lineto 0.32542 0.50268 lineto gsave
0.648 0.631 0.819 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3873 0.56257 moveto 0.39525 0.55265 lineto 0.465 0.61811 lineto gsave
0.593 0.551 0.776 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.465 0.61811 moveto 0.46154 0.62582 lineto 0.3873 0.56257 lineto gsave
0.467 0.546 0.853 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46154 0.62582 moveto 0.465 0.61811 lineto 0.54171 0.66847 lineto gsave
0.457 0.534 0.848 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32542 0.50268 moveto 0.33735 0.49258 lineto 0.39525 0.55265 lineto gsave
0.694 0.626 0.777 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40297 0.55008 moveto 0.39525 0.55265 lineto 0.33735 0.49258 lineto gsave
0.405 0.546 0.884 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39525 0.55265 moveto 0.40297 0.55008 lineto 0.46853 0.60917 lineto gsave
0.398 0.515 0.86 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46853 0.60917 moveto 0.465 0.61811 lineto 0.39525 0.55265 lineto gsave
0.484 0.53 0.829 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63424 0.65726 moveto 0.62937 0.67584 lineto 0.70563 0.6442 lineto gsave
0.393 0.065 0.286 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70563 0.6442 moveto 0.71425 0.62704 lineto 0.63424 0.65726 lineto gsave
0.374 0.023 0.235 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.544 0.66946 moveto 0.54289 0.67322 lineto 0.62411 0.68591 lineto gsave
0.445 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62411 0.68591 moveto 0.62937 0.67584 lineto 0.544 0.66946 lineto gsave
0.56 0.135 0.191 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.465 0.61811 moveto 0.46853 0.60917 lineto 0.54047 0.65401 lineto gsave
0.497 0.545 0.836 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54047 0.65401 moveto 0.54171 0.66847 lineto 0.465 0.61811 lineto gsave
0.534 0.535 0.802 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75238 0.58765 moveto 0.7299 0.60211 lineto gsave
0.75068 0.58871 lineto 0.388 0.803 0.603 setrgbcolor
fill grestore
stroke
grestore
gsave
0.77706 0.5717 moveto 0.7299 0.60211 lineto 0.73282 0.60021 lineto 0.388 0.803 0.603 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.77706 0.5717 moveto 0.78948 0.56379 lineto 0.75238 0.58765 lineto gsave
0.388 0.803 0.603 setrgbcolor
fill grestore
stroke
grestore
gsave
0.77706 0.5717 moveto 0.75238 0.58765 lineto 0.75068 0.58871 lineto 0.388 0.803 0.603 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.7299 0.60211 moveto 0.72248 0.60688 lineto gsave
0.73282 0.60021 lineto 0.388 0.803 0.603 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72248 0.60688 moveto 0.71425 0.62704 lineto 0.77706 0.5717 lineto gsave
0.063 0 0.125 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76435 0.57811 moveto 0.77706 0.5717 lineto 0.73329 0.61026 lineto gsave
0.712 0.987 0.85 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73329 0.61026 moveto 0.71425 0.62704 lineto gsave
0.7352 0.60658 lineto 0.712 0.987 0.85 setrgbcolor
fill grestore
stroke
grestore
gsave
0.76435 0.57811 moveto 0.73329 0.61026 lineto 0.7352 0.60658 lineto 0.712 0.987 0.85 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.70563 0.6442 moveto 0.76089 0.582 lineto gsave
0.73445 0.60754 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71425 0.62704 moveto 0.70563 0.6442 lineto gsave
0.73445 0.60754 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.71425 0.62704 moveto 0.76089 0.582 lineto 0.75932 0.58302 lineto 0 0 0 setrgbcolor
fill
grestore
gsave
0.74074 0.59487 moveto 0.74153 0.59438 lineto 0.70563 0.6442 lineto 0.706 0.924 0.592 setrgbcolor
fill
grestore
gsave
0.74157 0.59436 moveto 0.74147 0.59449 lineto 0.74153 0.59438 lineto 0.706 0.924 0.592 setrgbcolor
fill
grestore
gsave
0.70563 0.6442 moveto 0.74153 0.59438 lineto 0.74147 0.59449 lineto 0.706 0.924 0.592 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.70563 0.6442 moveto 0.62937 0.67584 lineto gsave
0.69077 0.65555 lineto 0.153 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69638 0.6537 moveto 0.69741 0.65263 lineto gsave
0.69077 0.65555 lineto 0.153 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69741 0.65263 moveto 0.70563 0.6442 lineto gsave
0.69077 0.65555 lineto 0.153 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62937 0.67584 moveto 0.62411 0.68591 lineto 0.69638 0.6537 lineto gsave
0.223 0 0.033 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61836 0.68344 moveto 0.68639 0.65196 lineto gsave
0.63443 0.68028 lineto 0.658 0.927 0.973 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62411 0.68591 moveto 0.62285 0.68537 lineto gsave
0.63443 0.68028 lineto 0.658 0.927 0.973 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62285 0.68537 moveto 0.61836 0.68344 lineto gsave
0.63443 0.68028 lineto 0.658 0.927 0.973 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70563 0.6442 moveto 0.69638 0.6537 lineto 0.74074 0.59487 lineto gsave
0.706 0.924 0.592 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74074 0.59487 moveto 0.75122 0.58097 lineto gsave
0.74157 0.59436 lineto 0.706 0.924 0.592 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76089 0.582 moveto 0.76435 0.57811 lineto gsave
0.75932 0.58302 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33735 0.49258 moveto 0.34861 0.49511 lineto 0.40297 0.55008 lineto gsave
0.311 0.513 0.892 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41054 0.55453 moveto 0.40297 0.55008 lineto 0.34861 0.49511 lineto gsave
0 0.224 0.731 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41054 0.55453 moveto 0.35938 0.50983 lineto gsave
0.39016 0.53856 lineto 0.688 0.164 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.40297 0.55008 moveto 0.41054 0.55453 lineto 0.42254 0.56394 lineto 0 0.218 0.676 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.47211 0.59905 moveto 0.46853 0.60917 lineto 0.40297 0.55008 lineto gsave
0.522 0.546 0.821 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41805 0.5646 moveto 0.41054 0.55453 lineto gsave
0.39016 0.53856 lineto 0.688 0.164 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41054 0.55453 moveto 0.47211 0.59905 lineto gsave
0.42254 0.56394 lineto 0 0.218 0.676 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26408 0.47864 moveto 0.28007 0.45953 lineto 0.32542 0.50268 lineto gsave
0.857 0.759 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32542 0.50268 moveto 0.31278 0.52405 lineto 0.26408 0.47864 lineto gsave
0.857 0.759 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33735 0.49258 moveto 0.32542 0.50268 lineto 0.28007 0.45953 lineto gsave
0.759 0.763 0.855 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53385 0.50171 moveto 0.53256 0.47853 lineto 0.57232 0.4391 lineto gsave
0.795 0.661 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57232 0.4391 moveto 0.57867 0.4677 lineto 0.53385 0.50171 lineto gsave
0.732 0.575 0.678 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56615 0.42266 moveto 0.57232 0.4391 lineto 0.53256 0.47853 lineto gsave
0.805 0.679 0.726 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57867 0.4677 moveto 0.57232 0.4391 lineto 0.60768 0.4369 lineto gsave
0.549 0.457 0.703 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57232 0.4391 moveto 0.56615 0.42266 lineto 0.59712 0.42284 lineto gsave
0.527 0.53 0.802 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59712 0.42284 moveto 0.60768 0.4369 lineto 0.57232 0.4391 lineto gsave
0.546 0.572 0.832 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24725 0.50616 moveto 0.26408 0.47864 lineto 0.31278 0.52405 lineto gsave
0.884 0.75 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31278 0.52405 moveto 0.29952 0.55363 lineto 0.24725 0.50616 lineto gsave
0.884 0.75 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28007 0.45953 moveto 0.29511 0.45186 lineto 0.33735 0.49258 lineto gsave
0.759 0.763 0.855 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34861 0.49511 moveto 0.33735 0.49258 lineto 0.29511 0.45186 lineto gsave
0.217 0.545 0.929 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53517 0.53168 moveto 0.53385 0.50171 lineto 0.57867 0.4677 lineto gsave
0.739 0.589 0.688 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57867 0.4677 moveto 0.58523 0.50623 lineto 0.53517 0.53168 lineto gsave
0.691 0.523 0.655 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58523 0.50623 moveto 0.57867 0.4677 lineto 0.61854 0.46193 lineto gsave
0.558 0.432 0.665 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60768 0.4369 moveto 0.61854 0.46193 lineto 0.57867 0.4677 lineto gsave
0.567 0.483 0.72 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46853 0.60917 moveto 0.47211 0.59905 lineto 0.53917 0.63037 lineto gsave
0.561 0.589 0.839 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53917 0.63037 moveto 0.54047 0.65401 lineto 0.46853 0.60917 lineto gsave
0.624 0.527 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54289 0.67322 moveto 0.54171 0.66847 lineto 0.61836 0.68344 lineto gsave
0.351 0.673 0.976 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61836 0.68344 moveto 0.62411 0.68591 lineto 0.54289 0.67322 lineto gsave
0.086 0.611 0.875 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53256 0.47853 moveto 0.53129 0.46378 lineto 0.56615 0.42266 lineto gsave
0.878 0.791 0.76 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56011 0.41871 moveto 0.56615 0.42266 lineto 0.53129 0.46378 lineto gsave
0.917 0.896 0.792 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56615 0.42266 moveto 0.56011 0.41871 lineto 0.58675 0.42007 lineto gsave
0.261 0.69 0.964 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59712 0.42284 moveto 0.56615 0.42266 lineto gsave
0.58618 0.42014 lineto 0.226 0.706 0.934 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53129 0.46378 moveto 0.53002 0.45776 lineto 0.56011 0.41871 lineto gsave
0.927 0.969 0.76 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55409 0.42569 moveto 0.56011 0.41871 lineto 0.53002 0.45776 lineto gsave
0.627 0.858 0.489 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55409 0.42569 moveto 0.57644 0.42715 lineto gsave
0.56192 0.41964 lineto 0.396 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56011 0.41871 moveto 0.55935 0.41959 lineto gsave
0.56192 0.41964 lineto 0.396 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55935 0.41959 moveto 0.55409 0.42569 lineto gsave
0.56192 0.41964 lineto 0.396 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58675 0.42007 moveto 0.5871 0.42016 lineto gsave
0.58618 0.42014 lineto 0.226 0.706 0.934 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5871 0.42016 moveto 0.59712 0.42284 lineto gsave
0.58618 0.42014 lineto 0.226 0.706 0.934 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22987 0.53771 moveto 0.24725 0.50616 lineto 0.29952 0.55363 lineto gsave
0.891 0.746 0.694 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29952 0.55363 moveto 0.28588 0.58712 lineto 0.22987 0.53771 lineto gsave
0.891 0.746 0.694 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5365 0.56558 moveto 0.53517 0.53168 lineto 0.58523 0.50623 lineto gsave
0.702 0.549 0.676 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58523 0.50623 moveto 0.59197 0.55073 lineto 0.5365 0.56558 lineto gsave
0.666 0.497 0.646 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59197 0.55073 moveto 0.58523 0.50623 lineto 0.62974 0.49591 lineto gsave
0.566 0.427 0.651 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61854 0.46193 moveto 0.62974 0.49591 lineto 0.58523 0.50623 lineto gsave
0.573 0.452 0.677 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4831 0.56469 moveto 0.48683 0.55337 lineto 0.53385 0.50171 lineto gsave
0.921 0.972 0.77 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53385 0.50171 moveto 0.53517 0.53168 lineto 0.4831 0.56469 lineto gsave
0.795 0.633 0.68 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53256 0.47853 moveto 0.53385 0.50171 lineto 0.48683 0.55337 lineto gsave
0.864 0.713 0.693 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47574 0.588 moveto 0.47211 0.59905 lineto 0.41054 0.55453 lineto gsave
0.583 0.594 0.829 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47211 0.59905 moveto 0.47574 0.588 lineto 0.53784 0.59976 lineto gsave
0.648 0.665 0.852 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53784 0.59976 moveto 0.53917 0.63037 lineto 0.47211 0.59905 lineto gsave
0.669 0.533 0.69 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34861 0.49511 moveto 0.35938 0.50983 lineto 0.41054 0.55453 lineto gsave
0.755 0.245 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41054 0.55453 moveto 0.41805 0.5646 lineto 0.4757 0.58798 lineto gsave
0.701 0.188 0.009 setrgbcolor
fill grestore
stroke
grestore
gsave
0.41054 0.55453 moveto 0.4757 0.58798 lineto 0.47572 0.58798 lineto 0.701 0.188 0.009 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.4757 0.58798 moveto 0.47574 0.588 lineto gsave
0.47572 0.58798 lineto 0.701 0.188 0.009 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4794 0.57639 moveto 0.47574 0.588 lineto 0.41805 0.5646 lineto gsave
0.668 0.676 0.849 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41805 0.5646 moveto 0.42562 0.57789 lineto 0.4794 0.57639 lineto gsave
0.679 0.255 0.232 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4831 0.56469 moveto 0.4794 0.57639 lineto 0.43267 0.57769 lineto gsave
0.777 0.795 0.867 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43267 0.57769 moveto 0.42562 0.57789 lineto gsave
0.42964 0.57697 lineto 0.777 0.795 0.867 setrgbcolor
fill grestore
stroke
grestore
gsave
0.4831 0.56469 moveto 0.43267 0.57769 lineto 0.42964 0.57697 lineto 0.777 0.795 0.867 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.29511 0.45186 moveto 0.30927 0.45699 lineto 0.34861 0.49511 lineto gsave
0.217 0.545 0.929 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35938 0.50983 moveto 0.34861 0.49511 lineto 0.30927 0.45699 lineto gsave
0.699 0.201 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48683 0.55337 moveto 0.49059 0.54279 lineto 0.53256 0.47853 lineto gsave
0.878 0.957 0.614 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53129 0.46378 moveto 0.53256 0.47853 lineto 0.49059 0.54279 lineto gsave
0.948 0.834 0.698 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4794 0.57639 moveto 0.4831 0.56469 lineto 0.53517 0.53168 lineto gsave
0.865 0.892 0.853 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53517 0.53168 moveto 0.5365 0.56558 lineto 0.4794 0.57639 lineto gsave
0.745 0.582 0.673 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54171 0.66847 moveto 0.54047 0.65401 lineto 0.61216 0.66662 lineto gsave
0.589 0.578 0.809 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61216 0.66662 moveto 0.61836 0.68344 lineto 0.54171 0.66847 lineto gsave
0.591 0.564 0.793 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57644 0.42715 moveto 0.58675 0.42007 lineto 0.56011 0.41871 lineto gsave
0.395 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47574 0.588 moveto 0.4794 0.57639 lineto 0.5365 0.56558 lineto gsave
0.756 0.772 0.866 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5365 0.56558 moveto 0.53784 0.59976 lineto 0.47574 0.588 lineto gsave
0.705 0.551 0.676 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53784 0.59976 moveto 0.5365 0.56558 lineto 0.59197 0.55073 lineto gsave
0.676 0.527 0.676 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49059 0.54279 moveto 0.49437 0.5332 lineto 0.53129 0.46378 lineto gsave
0.773 0.875 0.448 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53002 0.45776 moveto 0.53129 0.46378 lineto 0.49437 0.5332 lineto gsave
0.958 0.936 0.617 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61854 0.46193 moveto 0.60768 0.4369 lineto 0.63641 0.46958 lineto gsave
0 0.106 0.644 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60768 0.4369 moveto 0.59712 0.42284 lineto 0.62228 0.46166 lineto gsave
0.668 0.207 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62228 0.46166 moveto 0.63641 0.46958 lineto 0.60768 0.4369 lineto gsave
0.707 0.172 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53917 0.63037 moveto 0.53784 0.59976 lineto 0.5988 0.596 lineto gsave
0.654 0.521 0.69 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59197 0.55073 moveto 0.5988 0.596 lineto 0.53784 0.59976 lineto gsave
0.649 0.485 0.648 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54047 0.65401 moveto 0.53917 0.63037 lineto 0.60559 0.63633 lineto gsave
0.631 0.532 0.724 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60559 0.63633 moveto 0.61216 0.66662 lineto 0.54047 0.65401 lineto gsave
0.623 0.502 0.695 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5988 0.596 moveto 0.59197 0.55073 lineto 0.64123 0.53525 lineto gsave
0.575 0.433 0.651 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62974 0.49591 moveto 0.64123 0.53525 lineto 0.59197 0.55073 lineto gsave
0.579 0.443 0.661 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5988 0.596 moveto 0.60559 0.63633 lineto 0.53917 0.63037 lineto gsave
0.636 0.485 0.661 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62974 0.49591 moveto 0.61854 0.46193 lineto 0.6507 0.48271 lineto gsave
0.23 0.246 0.67 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63641 0.46958 moveto 0.6507 0.48271 lineto 0.61854 0.46193 lineto gsave
0 0.234 0.735 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59712 0.42284 moveto 0.58675 0.42007 lineto 0.60825 0.4591 lineto gsave
0.804 0.343 0.14 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60825 0.4591 moveto 0.62228 0.46166 lineto 0.59712 0.42284 lineto gsave
0.737 0.294 0.2 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68639 0.65196 moveto 0.69638 0.6537 lineto 0.62411 0.68591 lineto gsave
0.673 0.899 0.977 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35938 0.50983 moveto 0.36989 0.53444 lineto 0.41805 0.5646 lineto gsave
0.855 0.44 0.244 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42562 0.57789 moveto 0.41805 0.5646 lineto 0.36989 0.53444 lineto gsave
0.785 0.288 0.004 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30927 0.45699 moveto 0.32277 0.47445 lineto 0.35938 0.50983 lineto gsave
0.699 0.201 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36989 0.53444 moveto 0.35938 0.50983 lineto 0.32277 0.47445 lineto gsave
0.875 0.438 0.061 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49437 0.5332 moveto 0.49818 0.52463 lineto 0.53002 0.45776 lineto gsave
0.671 0.791 0.329 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52875 0.45934 moveto 0.53002 0.45776 lineto 0.49818 0.52463 lineto gsave
0.702 0.811 0.352 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53002 0.45776 moveto 0.52875 0.45934 lineto 0.55409 0.42569 lineto gsave
0.574 0.815 0.433 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64123 0.53525 moveto 0.62974 0.49591 lineto 0.66518 0.49999 lineto gsave
0.366 0.313 0.666 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6507 0.48271 moveto 0.66518 0.49999 lineto 0.62974 0.49591 lineto gsave
0.322 0.435 0.821 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60559 0.63633 moveto 0.5988 0.596 lineto 0.65287 0.57525 lineto gsave
0.588 0.452 0.663 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64123 0.53525 moveto 0.65287 0.57525 lineto 0.5988 0.596 lineto gsave
0.586 0.448 0.659 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58675 0.42007 moveto 0.57644 0.42715 lineto 0.59424 0.4612 lineto gsave
0.731 0.331 0.292 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59424 0.4612 moveto 0.60825 0.4591 lineto 0.58675 0.42007 lineto gsave
0.716 0.32 0.297 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.548 0.4403 moveto 0.55409 0.42569 lineto 0.52875 0.45934 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55409 0.42569 moveto 0.548 0.4403 lineto 0.56604 0.44109 lineto gsave
0.461 0.067 0.204 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56604 0.44109 moveto 0.57644 0.42715 lineto 0.55409 0.42569 lineto gsave
0.467 0.068 0.198 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42562 0.57789 moveto 0.43337 0.59138 lineto 0.4831 0.56469 lineto gsave
0.608 0.229 0.299 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48683 0.55337 moveto 0.4831 0.56469 lineto 0.43337 0.59138 lineto gsave
0.882 0.924 0.847 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75122 0.58097 moveto 0.76435 0.57811 lineto 0.70563 0.6442 lineto gsave
0.822 0.906 0.897 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61836 0.68344 moveto 0.61216 0.66662 lineto 0.6757 0.63741 lineto gsave
0.653 0.6 0.782 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6757 0.63741 moveto 0.68639 0.65196 lineto 0.61836 0.68344 lineto gsave
0.656 0.606 0.786 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61216 0.66662 moveto 0.60559 0.63633 lineto 0.66444 0.61082 lineto gsave
0.609 0.494 0.696 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65287 0.57525 moveto 0.66444 0.61082 lineto 0.60559 0.63633 lineto gsave
0.598 0.465 0.671 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65287 0.57525 moveto 0.64123 0.53525 lineto 0.67982 0.51966 lineto gsave
0.448 0.364 0.668 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66518 0.49999 moveto 0.67982 0.51966 lineto 0.64123 0.53525 lineto gsave
0.49 0.475 0.768 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43337 0.59138 moveto 0.44138 0.60188 lineto 0.48683 0.55337 lineto gsave
0.509 0.158 0.307 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49059 0.54279 moveto 0.48683 0.55337 lineto 0.44138 0.60188 lineto gsave
0.906 0.983 0.731 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.23824 0.44705 moveto 0.25577 0.4375 lineto 0.28007 0.45953 lineto gsave
0.812 0.954 0.909 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28007 0.45953 moveto 0.26408 0.47864 lineto 0.23824 0.44705 lineto gsave
0.919 0.921 0.799 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29511 0.45186 moveto 0.28007 0.45953 lineto 0.25577 0.4375 lineto gsave
0.741 0.939 0.95 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78948 0.56379 moveto 0.77706 0.5717 lineto 0.81555 0.49977 lineto gsave
0.881 0.981 0.828 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81555 0.49977 moveto 0.8323 0.50887 lineto 0.78948 0.56379 lineto gsave
0.544 0.583 0.844 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66444 0.61082 moveto 0.6757 0.63741 lineto 0.61216 0.66662 lineto gsave
0.618 0.506 0.704 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25577 0.4375 moveto 0.27264 0.43477 lineto 0.29511 0.45186 lineto gsave
0.558 0.889 0.987 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30927 0.45699 moveto 0.29511 0.45186 lineto 0.28982 0.44784 lineto gsave
0 0.45 0.817 setrgbcolor
fill grestore
stroke
grestore
gsave
0.30927 0.45699 moveto 0.28982 0.44784 lineto 0.29104 0.44594 lineto 0 0.45 0.817 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.27264 0.43477 moveto 0.28889 0.4397 lineto 0.30927 0.45699 lineto gsave
0.076 0.565 0.897 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32277 0.47445 moveto 0.30927 0.45699 lineto 0.2945 0.44446 lineto gsave
0.66 0.171 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.2945 0.44446 moveto 0.28889 0.4397 lineto gsave
0.29958 0.45067 lineto 0.66 0.171 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.32277 0.47445 moveto 0.2945 0.44446 lineto 0.29958 0.45067 lineto 0.66 0.171 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.30467 0.45191 moveto 0.32277 0.47445 lineto gsave
0.2926 0.44351 lineto 0 0.226 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33591 0.5019 moveto 0.32277 0.47445 lineto 0.30654 0.45425 lineto gsave
0.767 0.354 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30654 0.45425 moveto 0.30467 0.45191 lineto gsave
0.30968 0.45994 lineto 0.767 0.354 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.33591 0.5019 moveto 0.30654 0.45425 lineto 0.30968 0.45994 lineto 0.767 0.354 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.30467 0.45191 moveto 0.3202 0.46992 lineto 0.3275 0.48478 lineto gsave
0 0.111 0.66 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3275 0.48478 moveto 0.33591 0.5019 lineto gsave
0.31781 0.47294 lineto 0 0.111 0.66 setrgbcolor
fill grestore
stroke
grestore
gsave
0.30467 0.45191 moveto 0.3275 0.48478 lineto 0.31781 0.47294 lineto 0 0.111 0.66 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.32277 0.47445 moveto 0.33591 0.5019 lineto 0.36989 0.53444 lineto gsave
0.875 0.438 0.061 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38044 0.56499 moveto 0.36989 0.53444 lineto 0.33591 0.5019 lineto gsave
0.906 0.495 0.149 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33591 0.5019 moveto 0.34907 0.53532 lineto 0.38044 0.56499 lineto gsave
0.906 0.495 0.149 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34907 0.53532 moveto 0.33591 0.5019 lineto 0.3202 0.46992 lineto gsave
0.727 0.368 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3202 0.46992 moveto 0.33572 0.49124 lineto 0.34636 0.52638 lineto gsave
0 0.164 0.696 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34636 0.52638 moveto 0.34907 0.53532 lineto gsave
0.34017 0.51516 lineto 0 0.164 0.696 setrgbcolor
fill grestore
stroke
grestore
gsave
0.3202 0.46992 moveto 0.34636 0.52638 lineto 0.34017 0.51516 lineto 0 0.164 0.696 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.28889 0.4397 moveto 0.293 0.44289 lineto gsave
0.2926 0.44351 lineto 0 0.226 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.293 0.44289 moveto 0.30467 0.45191 lineto gsave
0.2926 0.44351 lineto 0 0.226 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28982 0.44784 moveto 0.27264 0.43477 lineto gsave
0.29104 0.44594 lineto 0 0.45 0.817 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49818 0.52463 moveto 0.50203 0.51694 lineto 0.52875 0.45934 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52745 0.46617 moveto 0.52875 0.45934 lineto 0.50203 0.51694 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52875 0.45934 moveto 0.52745 0.46617 lineto 0.548 0.4403 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57644 0.42715 moveto 0.56604 0.44109 lineto 0.58014 0.46648 lineto gsave
0.667 0.296 0.333 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58014 0.46648 moveto 0.59424 0.4612 lineto 0.57644 0.42715 lineto gsave
0.697 0.319 0.328 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36989 0.53444 moveto 0.38044 0.56499 lineto 0.42562 0.57789 lineto gsave
0.839 0.463 0.342 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43337 0.59138 moveto 0.42562 0.57789 lineto 0.38044 0.56499 lineto gsave
0.759 0.278 0.097 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22012 0.46157 moveto 0.23824 0.44705 lineto 0.26408 0.47864 lineto gsave
0.891 0.924 0.836 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26408 0.47864 moveto 0.24725 0.50616 lineto 0.22012 0.46157 lineto gsave
0.949 0.879 0.731 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44138 0.60188 moveto 0.4497 0.60663 lineto 0.49059 0.54279 lineto gsave
0.367 0.04 0.273 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49437 0.5332 moveto 0.49059 0.54279 lineto 0.4497 0.60663 lineto gsave
0.817 0.923 0.538 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69638 0.6537 moveto 0.68639 0.65196 lineto 0.73763 0.57871 lineto gsave
0.847 0.854 0.848 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73763 0.57871 moveto 0.75122 0.58097 lineto 0.69638 0.6537 lineto gsave
0.774 0.749 0.83 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66444 0.61082 moveto 0.65287 0.57525 lineto 0.69453 0.53949 lineto gsave
0.516 0.418 0.682 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67982 0.51966 moveto 0.69453 0.53949 lineto 0.65287 0.57525 lineto gsave
0.566 0.5 0.741 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77706 0.5717 moveto 0.76435 0.57811 lineto 0.79894 0.49167 lineto gsave
0.902 0.903 0.815 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79894 0.49167 moveto 0.81555 0.49977 lineto 0.77706 0.5717 lineto gsave
0.604 0.589 0.809 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54177 0.45793 moveto 0.548 0.4403 lineto 0.52745 0.46617 lineto gsave
0.071 0 0.088 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.548 0.4403 moveto 0.54177 0.45793 lineto 0.55543 0.4577 lineto gsave
0.453 0.081 0.242 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55543 0.4577 moveto 0.56604 0.44109 lineto 0.548 0.4403 lineto gsave
0.469 0.089 0.235 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.2016 0.47841 moveto 0.22012 0.46157 lineto 0.24725 0.50616 lineto gsave
0.906 0.884 0.8 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24725 0.50616 moveto 0.22987 0.53771 lineto 0.2016 0.47841 lineto gsave
0.949 0.85 0.71 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4497 0.60663 moveto 0.45832 0.60387 lineto 0.49437 0.5332 lineto gsave
0.157 0 0.189 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49818 0.52463 moveto 0.49437 0.5332 lineto 0.45832 0.60387 lineto gsave
0.692 0.816 0.365 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6757 0.63741 moveto 0.66444 0.61082 lineto 0.70916 0.55716 lineto gsave
0.59 0.492 0.711 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69453 0.53949 moveto 0.70916 0.55716 lineto 0.66444 0.61082 lineto gsave
0.617 0.531 0.734 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68639 0.65196 moveto 0.6757 0.63741 lineto 0.72358 0.57066 lineto gsave
0.692 0.616 0.766 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72358 0.57066 moveto 0.73763 0.57871 lineto 0.68639 0.65196 lineto gsave
0.714 0.642 0.776 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70916 0.55716 moveto 0.72358 0.57066 lineto 0.6757 0.63741 lineto gsave
0.663 0.575 0.746 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76435 0.57811 moveto 0.75122 0.58097 lineto 0.78254 0.48576 lineto gsave
0.86 0.805 0.794 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78254 0.48576 moveto 0.79894 0.49167 lineto 0.76435 0.57811 lineto gsave
0.659 0.606 0.784 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50203 0.51694 moveto 0.50592 0.50981 lineto 0.52745 0.46617 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52614 0.47497 moveto 0.52745 0.46617 lineto 0.50592 0.50981 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52745 0.46617 moveto 0.52614 0.47497 lineto 0.54177 0.45793 lineto gsave
0.017 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56604 0.44109 moveto 0.55543 0.4577 lineto 0.56588 0.47291 lineto gsave
0.611 0.244 0.321 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56588 0.47291 moveto 0.58014 0.46648 lineto 0.56604 0.44109 lineto gsave
0.679 0.3 0.321 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38044 0.56499 moveto 0.39133 0.59628 lineto 0.43337 0.59138 lineto gsave
0.808 0.447 0.373 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44138 0.60188 moveto 0.43337 0.59138 lineto 0.39133 0.59628 lineto gsave
0.661 0.18 0.098 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45832 0.60387 moveto 0.4672 0.59319 lineto 0.49818 0.52463 lineto gsave
0 0 0.038 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50203 0.51694 moveto 0.49818 0.52463 lineto 0.4672 0.59319 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6507 0.48271 moveto 0.63641 0.46958 lineto 0.65527 0.52022 lineto gsave
0.835 0.375 0.116 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63641 0.46958 moveto 0.62228 0.46166 lineto 0.6388 0.52077 lineto gsave
0.814 0.406 0.274 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6388 0.52077 moveto 0.65527 0.52022 lineto 0.63641 0.46958 lineto gsave
0.658 0.27 0.299 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66518 0.49999 moveto 0.6507 0.48271 lineto 0.67152 0.51632 lineto gsave
0.695 0.204 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65527 0.52022 moveto 0.67152 0.51632 lineto 0.6507 0.48271 lineto gsave
0.558 0.133 0.192 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67982 0.51966 moveto 0.66518 0.49999 lineto 0.68755 0.50981 lineto gsave
0 0.183 0.717 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67152 0.51632 moveto 0.68755 0.50981 lineto 0.66518 0.49999 lineto gsave
0.275 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62228 0.46166 moveto 0.60825 0.4591 lineto 0.62217 0.51783 lineto gsave
0.779 0.401 0.338 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62217 0.51783 moveto 0.6388 0.52077 lineto 0.62228 0.46166 lineto gsave
0.706 0.336 0.345 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75122 0.58097 moveto 0.73763 0.57871 lineto 0.7664 0.48294 lineto gsave
0.795 0.715 0.776 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7664 0.48294 moveto 0.78254 0.48576 lineto 0.75122 0.58097 lineto gsave
0.708 0.633 0.771 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69453 0.53949 moveto 0.67982 0.51966 lineto 0.70338 0.50188 lineto gsave
0.322 0.407 0.794 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68755 0.50981 moveto 0.67152 0.51632 lineto 0.67177 0.51746 lineto gsave
0.391 0 0.033 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70246 0.50258 moveto 0.67982 0.51966 lineto gsave
0.68755 0.50981 lineto 0.507 0.904 0.776 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67177 0.51746 moveto 0.67675 0.5405 lineto gsave
0.68755 0.50981 lineto 0.391 0 0.033 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68755 0.50981 moveto 0.70338 0.50188 lineto 0.70246 0.50258 lineto gsave
0.507 0.904 0.776 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39133 0.59628 moveto 0.38044 0.56499 lineto 0.34907 0.53532 lineto gsave
0.905 0.494 0.146 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60825 0.4591 moveto 0.59424 0.4612 lineto 0.60544 0.51188 lineto gsave
0.747 0.383 0.363 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60544 0.51188 moveto 0.62217 0.51783 lineto 0.60825 0.4591 lineto gsave
0.732 0.369 0.363 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73763 0.57871 moveto 0.72358 0.57066 lineto 0.75049 0.48357 lineto gsave
0.72 0.639 0.767 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75049 0.48357 moveto 0.7664 0.48294 lineto 0.73763 0.57871 lineto gsave
0.753 0.67 0.769 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70916 0.55716 moveto 0.69453 0.53949 lineto 0.71908 0.49397 lineto gsave
0.521 0.505 0.779 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70338 0.50188 moveto 0.71908 0.49397 lineto 0.69453 0.53949 lineto gsave
0.842 0.928 0.887 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53535 0.47327 moveto 0.54177 0.45793 lineto 0.52614 0.47497 lineto gsave
0.055 0 0.03 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54177 0.45793 moveto 0.53535 0.47327 lineto 0.54453 0.47221 lineto gsave
0.404 0.012 0.179 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54453 0.47221 moveto 0.55543 0.4577 lineto 0.54177 0.45793 lineto gsave
0.433 0.03 0.174 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4672 0.59319 moveto 0.47624 0.57566 lineto 0.50203 0.51694 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50592 0.50981 moveto 0.50203 0.51694 lineto 0.47624 0.57566 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72358 0.57066 moveto 0.70916 0.55716 lineto 0.73475 0.48748 lineto gsave
0.635 0.573 0.767 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71908 0.49397 moveto 0.73475 0.48748 lineto 0.70916 0.55716 lineto gsave
0.834 0.801 0.819 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73475 0.48748 moveto 0.75049 0.48357 lineto 0.72358 0.57066 lineto gsave
0.796 0.722 0.782 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50592 0.50981 moveto 0.50986 0.50282 lineto 0.52614 0.47497 lineto gsave
0.627 0.801 0.369 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52479 0.48206 moveto 0.52614 0.47497 lineto 0.50986 0.50282 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52614 0.47497 moveto 0.52479 0.48206 lineto 0.53535 0.47327 lineto gsave
0.028 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39133 0.59628 moveto 0.40277 0.62265 lineto 0.44138 0.60188 lineto gsave
0.76 0.4 0.373 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4497 0.60663 moveto 0.44138 0.60188 lineto 0.40277 0.62265 lineto gsave
0.44 0 0.007 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59424 0.4612 moveto 0.58014 0.46648 lineto 0.58868 0.50393 lineto gsave
0.717 0.354 0.36 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58868 0.50393 moveto 0.60544 0.51188 lineto 0.59424 0.4612 lineto gsave
0.747 0.382 0.363 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55543 0.4577 moveto 0.54453 0.47221 lineto 0.55143 0.47828 lineto gsave
0.534 0.14 0.241 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55143 0.47828 moveto 0.56588 0.47291 lineto 0.55543 0.4577 lineto gsave
0.657 0.253 0.268 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47624 0.57566 moveto 0.48538 0.55356 lineto 0.50592 0.50981 lineto gsave
0.765 0.843 0.39 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50986 0.50282 moveto 0.50592 0.50981 lineto 0.48538 0.55356 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.79894 0.49167 moveto 0.78254 0.48576 lineto 0.78721 0.39252 lineto gsave
0.657 0.608 0.788 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78254 0.48576 moveto 0.7664 0.48294 lineto 0.77007 0.39034 lineto gsave
0.706 0.639 0.779 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77007 0.39034 moveto 0.78721 0.39252 lineto 0.78254 0.48576 lineto gsave
0.625 0.58 0.784 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58014 0.46648 moveto 0.56588 0.47291 lineto 0.57195 0.49532 lineto gsave
0.682 0.304 0.324 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57195 0.49532 moveto 0.58868 0.50393 lineto 0.58014 0.46648 lineto gsave
0.751 0.377 0.344 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81555 0.49977 moveto 0.79894 0.49167 lineto 0.80534 0.40453 lineto gsave
0.605 0.588 0.808 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78721 0.39252 moveto 0.80534 0.40453 lineto 0.79894 0.49167 lineto gsave
0.464 0.463 0.772 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7664 0.48294 moveto 0.75049 0.48357 lineto 0.75385 0.39913 lineto gsave
0.752 0.683 0.784 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75385 0.39913 moveto 0.77007 0.39034 lineto 0.7664 0.48294 lineto gsave
0.78 0.701 0.777 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.8323 0.50887 moveto 0.81555 0.49977 lineto 0.82437 0.42377 lineto gsave
0.55 0.582 0.839 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80534 0.40453 moveto 0.82437 0.42377 lineto 0.81555 0.49977 lineto gsave
0.32 0.366 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40277 0.62265 moveto 0.41489 0.63905 lineto 0.4497 0.60663 lineto gsave
0.674 0.306 0.341 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45832 0.60387 moveto 0.4497 0.60663 lineto 0.41489 0.63905 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75049 0.48357 moveto 0.73475 0.48748 lineto 0.73832 0.41841 lineto gsave
0.797 0.747 0.807 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73832 0.41841 moveto 0.75385 0.39913 lineto 0.75049 0.48357 lineto gsave
0.902 0.807 0.745 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48538 0.55356 moveto 0.49453 0.52991 lineto 0.50986 0.50282 lineto gsave
0.92 0.934 0.567 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51386 0.49549 moveto 0.50986 0.50282 lineto 0.49453 0.52991 lineto gsave
0.631 0.797 0.359 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50986 0.50282 moveto 0.51386 0.49549 lineto 0.52479 0.48206 lineto gsave
0.732 0.928 0.586 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.82437 0.42377 moveto 0.84404 0.44649 lineto 0.8323 0.50887 lineto gsave
0.21 0.305 0.744 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52875 0.48129 moveto 0.53535 0.47327 lineto 0.52479 0.48206 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53535 0.47327 moveto 0.52997 0.47981 lineto gsave
0.53337 0.48017 lineto 0.203 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53337 0.48017 moveto 0.54453 0.47221 lineto 0.53535 0.47327 lineto gsave
0.275 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54453 0.47221 moveto 0.53337 0.48017 lineto 0.53679 0.48056 lineto gsave
0.282 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53337 0.48017 moveto 0.522 0.47833 lineto 0.53614 0.48046 lineto gsave
0 0.521 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53614 0.48046 moveto 0.53679 0.48056 lineto gsave
0.53337 0.48017 lineto 0 0.521 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52997 0.47981 moveto 0.52875 0.48129 lineto 0.53337 0.48017 lineto gsave
0.203 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34907 0.53532 moveto 0.3626 0.56948 lineto 0.39133 0.59628 lineto gsave
0.905 0.494 0.146 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40277 0.62265 moveto 0.39133 0.59628 lineto 0.3626 0.56948 lineto gsave
0.872 0.433 0.055 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52341 0.484 moveto 0.52479 0.48206 lineto 0.51587 0.49302 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52479 0.48206 moveto 0.52341 0.484 lineto 0.52875 0.48129 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52341 0.484 moveto 0.522 0.47833 lineto 0.5265 0.4803 lineto gsave
0.752 0.947 0.943 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5265 0.4803 moveto 0.52875 0.48129 lineto gsave
0.52341 0.484 lineto 0.752 0.947 0.943 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51587 0.49302 moveto 0.51386 0.49549 lineto gsave
0.52341 0.484 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73475 0.48748 moveto 0.71908 0.49397 lineto 0.72317 0.44611 lineto gsave
0.834 0.849 0.857 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72317 0.44611 moveto 0.73832 0.41841 lineto 0.73475 0.48748 lineto gsave
0.972 0.887 0.686 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53679 0.48056 moveto 0.55143 0.47828 lineto 0.54453 0.47221 lineto gsave
0.593 0.112 0.084 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56588 0.47291 moveto 0.55143 0.47828 lineto 0.55527 0.48744 lineto gsave
0.616 0.189 0.21 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55527 0.48744 moveto 0.57195 0.49532 lineto 0.56588 0.47291 lineto gsave
0.743 0.343 0.293 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25796 0.4313 moveto 0.27492 0.43516 lineto 0.27264 0.43477 lineto gsave
0 0.437 0.692 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27264 0.43477 moveto 0.25577 0.4375 lineto 0.25796 0.4313 lineto gsave
0.241 0.757 0.812 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.28889 0.4397 moveto 0.27264 0.43477 lineto 0.27492 0.43516 lineto gsave
0 0.39 0.683 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3626 0.56948 moveto 0.34907 0.53532 lineto 0.33572 0.49124 lineto gsave
0 0 0.344 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24103 0.42635 moveto 0.25796 0.4313 lineto 0.25577 0.4375 lineto gsave
0 0.509 0.81 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25577 0.4375 moveto 0.23824 0.44705 lineto 0.24103 0.42635 lineto gsave
0.657 0.972 0.861 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71908 0.49397 moveto 0.70338 0.50188 lineto 0.70807 0.47874 lineto gsave
0.778 0.982 0.907 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70807 0.47874 moveto 0.72317 0.44611 lineto 0.71908 0.49397 lineto gsave
0.964 0.926 0.594 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41489 0.63905 moveto 0.42766 0.64212 lineto 0.45832 0.60387 lineto gsave
0.483 0.1 0.238 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45832 0.60387 moveto 0.42766 0.64212 lineto gsave
0.46334 0.59796 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42766 0.64212 moveto 0.44096 0.63109 lineto 0.4672 0.59319 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45458 0.60794 moveto 0.47624 0.57566 lineto gsave
0.4564 0.60684 lineto 0.737 0.885 0.483 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44096 0.63109 moveto 0.45168 0.61287 lineto gsave
0.4564 0.60684 lineto 0.737 0.885 0.483 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45168 0.61287 moveto 0.45458 0.60794 lineto gsave
0.4564 0.60684 lineto 0.737 0.885 0.483 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4672 0.59319 moveto 0.4651 0.59571 lineto gsave
0.46334 0.59796 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4651 0.59571 moveto 0.45832 0.60387 lineto gsave
0.46334 0.59796 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27492 0.43516 moveto 0.29191 0.4378 lineto 0.28889 0.4397 lineto gsave
0 0.532 0.754 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30467 0.45191 moveto 0.28889 0.4397 lineto 0.29191 0.4378 lineto gsave
0 0.157 0.631 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49453 0.52991 moveto 0.50368 0.50784 lineto 0.51386 0.49549 lineto gsave
0.96 0.942 0.706 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5179 0.48743 moveto 0.51386 0.49549 lineto 0.50368 0.50784 lineto gsave
0.764 0.938 0.595 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51386 0.49549 moveto 0.5179 0.48743 lineto 0.52341 0.484 lineto gsave
0.804 0.99 0.881 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22413 0.42062 moveto 0.24103 0.42635 lineto 0.23824 0.44705 lineto gsave
0.223 0.641 0.956 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.23824 0.44705 moveto 0.22012 0.46157 lineto 0.22413 0.42062 lineto gsave
0.849 0.993 0.84 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70338 0.50188 moveto 0.68755 0.50981 lineto 0.69267 0.5118 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69267 0.5118 moveto 0.70807 0.47874 lineto 0.70338 0.50188 lineto gsave
0.81 0.874 0.438 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47624 0.57566 moveto 0.4672 0.59319 lineto 0.44096 0.63109 lineto gsave
0.805 0.92 0.534 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55143 0.47828 moveto 0.53679 0.48056 lineto 0.53863 0.4815 lineto gsave
0.279 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53863 0.4815 moveto 0.55527 0.48744 lineto 0.55143 0.47828 lineto gsave
0.697 0.234 0.149 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29191 0.4378 moveto 0.30891 0.4393 lineto 0.30467 0.45191 lineto gsave
0.312 0.764 0.956 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3202 0.46992 moveto 0.30467 0.45191 lineto 0.30891 0.4393 lineto gsave
0 0.129 0.675 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49282 0.29929 moveto 0.49711 0.31446 lineto 0.46709 0.31101 lineto gsave
0.517 0.562 0.84 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46709 0.31101 moveto 0.45772 0.29688 lineto 0.49282 0.29929 lineto gsave
0.526 0.589 0.861 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47622 0.33625 moveto 0.46709 0.31101 lineto 0.49711 0.31446 lineto gsave
0.55 0.483 0.733 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45772 0.29688 moveto 0.46709 0.31101 lineto 0.44247 0.36065 lineto gsave
0.82 0.69 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46709 0.31101 moveto 0.47622 0.33625 lineto 0.45572 0.37848 lineto gsave
0.741 0.587 0.683 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45572 0.37848 moveto 0.44247 0.36065 lineto 0.46709 0.31101 lineto gsave
0.734 0.58 0.682 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49711 0.31446 moveto 0.50128 0.33958 lineto 0.47622 0.33625 lineto gsave
0.548 0.48 0.731 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48526 0.36915 moveto 0.47622 0.33625 lineto 0.50128 0.33958 lineto gsave
0.556 0.449 0.688 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47622 0.33625 moveto 0.48526 0.36915 lineto 0.46888 0.40162 lineto gsave
0.693 0.533 0.665 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46888 0.40162 moveto 0.45572 0.37848 lineto 0.47622 0.33625 lineto gsave
0.707 0.545 0.667 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.47833 moveto 0.53337 0.48017 lineto 0.52875 0.48129 lineto closepath gsave
0.478 0.853 0.985 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.47833 moveto 0.52341 0.484 lineto 0.5179 0.48743 lineto closepath gsave
0.83 0.978 0.884 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48538 0.55356 moveto 0.47624 0.57566 lineto 0.45458 0.60794 lineto gsave
0.911 0.941 0.582 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45458 0.60794 moveto 0.46829 0.57689 lineto 0.48538 0.55356 lineto gsave
0.958 0.939 0.626 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49453 0.52991 moveto 0.48538 0.55356 lineto 0.46829 0.57689 lineto gsave
0.949 0.944 0.623 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46829 0.57689 moveto 0.48192 0.54342 lineto 0.49453 0.52991 lineto gsave
0.978 0.896 0.669 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50368 0.50784 moveto 0.49453 0.52991 lineto 0.48192 0.54342 lineto gsave
0.956 0.95 0.681 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50368 0.50784 moveto 0.51283 0.49005 lineto 0.5179 0.48743 lineto gsave
0.894 0.877 0.812 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.47833 moveto 0.5179 0.48743 lineto 0.51283 0.49005 lineto closepath gsave
0.834 0.982 0.876 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48192 0.54342 moveto 0.4954 0.51304 lineto 0.50368 0.50784 lineto gsave
0.953 0.857 0.708 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51283 0.49005 moveto 0.50368 0.50784 lineto 0.4954 0.51304 lineto gsave
0.93 0.957 0.775 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78721 0.39252 moveto 0.77007 0.39034 lineto 0.74817 0.32364 lineto gsave
0.595 0.634 0.86 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.77007 0.39034 moveto 0.75385 0.39913 lineto 0.73312 0.33786 lineto gsave
0.794 0.751 0.813 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73312 0.33786 moveto 0.74817 0.32364 lineto 0.77007 0.39034 lineto gsave
0.804 0.753 0.806 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.20721 0.41455 moveto 0.22413 0.42062 lineto 0.22012 0.46157 lineto gsave
0.464 0.699 0.969 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22012 0.46157 moveto 0.2016 0.47841 lineto 0.20721 0.41455 lineto gsave
0.906 0.949 0.819 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67675 0.5405 moveto 0.69267 0.5118 lineto 0.68755 0.50981 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48836 0.29568 moveto 0.49282 0.29929 lineto 0.45772 0.29688 lineto gsave
0.215 0.684 0.941 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45772 0.29688 moveto 0.44795 0.29562 lineto 0.48836 0.29568 lineto gsave
0.102 0.652 0.821 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44795 0.29562 moveto 0.45772 0.29688 lineto 0.42898 0.35061 lineto gsave
0.93 0.875 0.761 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44247 0.36065 moveto 0.42898 0.35061 lineto 0.45772 0.29688 lineto gsave
0.78 0.648 0.716 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50128 0.33958 moveto 0.50539 0.3715 lineto 0.48526 0.36915 lineto gsave
0.56 0.454 0.691 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49433 0.40491 moveto 0.48526 0.36915 lineto 0.50539 0.3715 lineto gsave
0.562 0.444 0.676 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48526 0.36915 moveto 0.49433 0.40491 lineto 0.48205 0.4267 lineto gsave
0.664 0.508 0.663 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48205 0.4267 moveto 0.46888 0.40162 lineto 0.48526 0.36915 lineto gsave
0.693 0.533 0.665 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75385 0.39913 moveto 0.73832 0.41841 lineto 0.71893 0.36539 lineto gsave
0.903 0.809 0.745 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71893 0.36539 moveto 0.73312 0.33786 lineto 0.75385 0.39913 lineto gsave
0.919 0.802 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42898 0.35061 moveto 0.44247 0.36065 lineto 0.42546 0.44875 lineto gsave
0.815 0.629 0.651 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44247 0.36065 moveto 0.45572 0.37848 lineto 0.44167 0.4535 lineto gsave
0.772 0.585 0.645 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44167 0.4535 moveto 0.42546 0.44875 lineto 0.44247 0.36065 lineto gsave
0.762 0.576 0.646 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3626 0.56948 moveto 0.37678 0.59866 lineto 0.40277 0.62265 lineto gsave
0.872 0.433 0.055 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41489 0.63905 moveto 0.40277 0.62265 lineto 0.37678 0.59866 lineto gsave
0.701 0.2 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45572 0.37848 moveto 0.46888 0.40162 lineto 0.45782 0.4589 lineto gsave
0.739 0.556 0.645 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45782 0.4589 moveto 0.44167 0.4535 lineto 0.45572 0.37848 lineto gsave
0.759 0.572 0.643 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4954 0.51304 moveto 0.50873 0.49034 lineto 0.51283 0.49005 lineto gsave
0.894 0.817 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.47833 moveto 0.51283 0.49005 lineto 0.50873 0.49034 lineto closepath gsave
0.821 0.924 0.904 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.47833 moveto 0.53863 0.4815 lineto 0.53679 0.48056 lineto closepath gsave
0.314 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80534 0.40453 moveto 0.78721 0.39252 lineto 0.76435 0.3233 lineto gsave
0.32 0.457 0.842 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74817 0.32364 moveto 0.76435 0.3233 lineto 0.78721 0.39252 lineto gsave
0.541 0.608 0.869 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30891 0.4393 moveto 0.32587 0.4399 lineto 0.3202 0.46992 lineto gsave
0.655 0.839 0.971 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33572 0.49124 moveto 0.3202 0.46992 lineto 0.32587 0.4399 lineto gsave
0.053 0.221 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46888 0.40162 moveto 0.48205 0.4267 lineto 0.47392 0.46452 lineto gsave
0.713 0.541 0.654 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47392 0.46452 moveto 0.45782 0.4589 lineto 0.46888 0.40162 lineto gsave
0.757 0.573 0.648 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48999 0.50737 moveto 0.50605 0.48747 lineto 0.50873 0.49034 lineto gsave
0.874 0.783 0.758 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50873 0.49034 moveto 0.4954 0.51304 lineto 0.48999 0.50737 lineto gsave
0.874 0.783 0.758 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.47833 moveto 0.50873 0.49034 lineto 0.50605 0.48747 lineto closepath gsave
0.778 0.782 0.856 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42898 0.35061 moveto 0.41509 0.34961 lineto 0.44795 0.29562 lineto gsave
0.853 0.777 0.776 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41509 0.34961 moveto 0.42898 0.35061 lineto 0.40916 0.44498 lineto gsave
0.867 0.692 0.663 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42546 0.44875 moveto 0.40916 0.44498 lineto 0.42898 0.35061 lineto gsave
0.767 0.588 0.656 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67152 0.51632 moveto 0.65527 0.52022 lineto 0.66021 0.56064 lineto gsave
0.578 0.167 0.227 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66021 0.56064 moveto 0.67675 0.5405 lineto 0.67152 0.51632 lineto gsave
0.098 0 0.087 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50539 0.3715 moveto 0.50951 0.4059 lineto 0.49433 0.40491 lineto gsave
0.571 0.454 0.681 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50349 0.43813 moveto 0.49433 0.40491 lineto 0.50951 0.4059 lineto gsave
0.571 0.459 0.687 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49433 0.40491 moveto 0.50349 0.43813 lineto 0.49532 0.44995 lineto gsave
0.647 0.505 0.677 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49532 0.44995 moveto 0.48205 0.4267 lineto 0.49433 0.40491 lineto gsave
0.69 0.54 0.678 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33572 0.49124 moveto 0.35147 0.51274 lineto 0.3626 0.56948 lineto gsave
0.197 0.286 0.73 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37678 0.59866 moveto 0.3626 0.56948 lineto 0.35147 0.51274 lineto gsave
0 0 0.559 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55527 0.48744 moveto 0.53863 0.4815 lineto 0.53867 0.48162 lineto gsave
0.27 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53867 0.48162 moveto 0.53689 0.47983 lineto gsave
0.53964 0.48191 lineto 0 0.209 0.684 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53867 0.48162 moveto 0.55552 0.49391 lineto 0.55527 0.48744 lineto gsave
0.721 0.228 0.07 setrgbcolor
fill grestore
stroke
grestore
gsave
0.55552 0.49391 moveto 0.53867 0.48162 lineto 0.53964 0.48191 lineto 0 0.209 0.684 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.53867 0.48162 moveto 0.53863 0.4815 lineto 0.53761 0.48131 lineto gsave
0.17 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53761 0.48131 moveto 0.522 0.47833 lineto 0.53867 0.48162 lineto gsave
0.17 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53045 0.36818 moveto 0.52902 0.38581 lineto 0.50128 0.33958 lineto gsave
0.259 0.261 0.671 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50128 0.33958 moveto 0.49711 0.31446 lineto 0.53045 0.36818 lineto gsave
0.243 0.258 0.677 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50539 0.3715 moveto 0.50128 0.33958 lineto 0.52902 0.38581 lineto gsave
0.348 0.299 0.661 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4737 0.53503 moveto 0.48999 0.50737 lineto 0.4954 0.51304 lineto gsave
0.903 0.774 0.71 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4954 0.51304 moveto 0.48192 0.54342 lineto 0.4737 0.53503 lineto gsave
0.903 0.774 0.71 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57195 0.49532 moveto 0.55527 0.48744 lineto 0.55552 0.49391 lineto gsave
0.705 0.213 0.071 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48812 0.49138 moveto 0.50512 0.48175 lineto 0.50605 0.48747 lineto gsave
0.818 0.727 0.764 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50605 0.48747 moveto 0.48999 0.50737 lineto 0.48812 0.49138 lineto gsave
0.811 0.672 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.47833 moveto 0.50605 0.48747 lineto 0.50512 0.48175 lineto closepath gsave
0.748 0.681 0.786 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.47833 moveto 0.53348 0.47591 lineto 0.53689 0.47983 lineto closepath gsave
0.466 0.6 0.901 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.47833 moveto 0.5288 0.47069 lineto 0.53348 0.47591 lineto closepath gsave
0.462 0.519 0.831 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.47833 moveto 0.52339 0.46583 lineto 0.5288 0.47069 lineto closepath gsave
0.446 0.494 0.815 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.47833 moveto 0.51783 0.46313 lineto 0.52339 0.46583 lineto closepath gsave
0.493 0.538 0.832 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.47833 moveto 0.51274 0.4638 lineto 0.51783 0.46313 lineto closepath gsave
0.615 0.619 0.832 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.47833 moveto 0.50865 0.46797 lineto 0.51274 0.4638 lineto closepath gsave
0.712 0.656 0.792 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.47833 moveto 0.50602 0.47458 lineto 0.50865 0.46797 lineto closepath gsave
0.744 0.652 0.758 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.47833 moveto 0.50512 0.48175 lineto 0.50602 0.47458 lineto closepath gsave
0.745 0.649 0.754 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.522 0.47833 moveto 0.53689 0.47983 lineto 0.53867 0.48162 lineto closepath gsave
0.291 0.671 0.973 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48205 0.4267 moveto 0.49532 0.44995 lineto 0.48999 0.46988 lineto gsave
0.692 0.54 0.676 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48999 0.46988 moveto 0.47392 0.46452 lineto 0.48205 0.4267 lineto gsave
0.755 0.583 0.662 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73832 0.41841 moveto 0.72317 0.44611 lineto 0.70524 0.40367 lineto gsave
0.955 0.839 0.689 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70524 0.40367 moveto 0.71893 0.36539 lineto 0.73832 0.41841 lineto gsave
0.964 0.817 0.649 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53191 0.35517 moveto 0.53045 0.36818 lineto 0.49711 0.31446 lineto gsave
0.153 0.219 0.679 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49651 0.31233 moveto 0.49282 0.29929 lineto 0.51262 0.3276 lineto gsave
0 0.159 0.684 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5334 0.34758 moveto 0.53191 0.35517 lineto 0.49282 0.29929 lineto gsave
0 0.168 0.687 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49282 0.29929 moveto 0.48836 0.29568 lineto 0.52086 0.33313 lineto gsave
0.618 0.118 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52086 0.33313 moveto 0.5334 0.34758 lineto gsave
0.52162 0.33356 lineto 0.618 0.118 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.49282 0.29929 moveto 0.52086 0.33313 lineto 0.52162 0.33356 lineto 0.618 0.118 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.53493 0.34527 moveto 0.53352 0.3474 lineto gsave
0.48836 0.29568 lineto 0 0.104 0.655 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53198 0.34594 moveto 0.48836 0.29568 lineto gsave
0.53352 0.3474 lineto 0 0.104 0.655 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5334 0.34758 moveto 0.53493 0.34527 lineto 0.58648 0.41591 lineto gsave
0 0.057 0.62 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59387 0.39745 moveto 0.58648 0.41591 lineto 0.53493 0.34527 lineto gsave
0.516 0.432 0.699 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53651 0.34724 moveto 0.53493 0.34527 lineto 0.51815 0.33158 lineto gsave
0.491 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49711 0.31446 moveto 0.49651 0.31233 lineto gsave
0.53191 0.35517 lineto 0 0.159 0.684 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51262 0.3276 moveto 0.53191 0.35517 lineto gsave
0.49651 0.31233 lineto 0 0.159 0.684 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51815 0.33158 moveto 0.48367 0.30345 lineto gsave
0.51643 0.3306 lineto 0.491 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.53651 0.34724 moveto 0.51815 0.33158 lineto 0.51643 0.3306 lineto 0.491 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.53352 0.3474 moveto 0.5334 0.34758 lineto 0.53198 0.34594 lineto gsave
0 0.104 0.655 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58868 0.50393 moveto 0.57195 0.49532 lineto 0.57266 0.51269 lineto gsave
0.746 0.326 0.251 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55552 0.49391 moveto 0.57266 0.51269 lineto 0.57195 0.49532 lineto gsave
0.786 0.362 0.243 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48999 0.46988 moveto 0.50602 0.47458 lineto 0.50512 0.48175 lineto gsave
0.734 0.639 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50512 0.48175 moveto 0.48812 0.49138 lineto 0.48999 0.46988 lineto gsave
0.781 0.626 0.689 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52902 0.38581 moveto 0.5276 0.40652 lineto 0.50539 0.3715 lineto gsave
0.335 0.303 0.674 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50951 0.4059 moveto 0.50539 0.3715 lineto 0.5276 0.40652 lineto gsave
0.401 0.329 0.661 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65527 0.52022 moveto 0.6388 0.52077 lineto 0.64307 0.56953 lineto gsave
0.659 0.272 0.302 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64307 0.56953 moveto 0.66021 0.56064 lineto 0.65527 0.52022 lineto gsave
0.44 0.071 0.24 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.49532 0.44995 moveto 0.50865 0.46797 lineto 0.50602 0.47458 lineto gsave
0.668 0.565 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50602 0.47458 moveto 0.48999 0.46988 lineto 0.49532 0.44995 lineto gsave
0.753 0.604 0.692 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.82437 0.42377 moveto 0.80534 0.40453 lineto 0.78177 0.33546 lineto gsave
0.07 0.287 0.774 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76435 0.3233 moveto 0.78177 0.33546 lineto 0.80534 0.40453 lineto gsave
0.152 0.35 0.806 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50865 0.46797 moveto 0.49532 0.44995 lineto 0.50349 0.43813 lineto gsave
0.696 0.572 0.711 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60544 0.51188 moveto 0.58868 0.50393 lineto 0.5901 0.53413 lineto gsave
0.745 0.354 0.313 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57266 0.51269 moveto 0.5901 0.53413 lineto 0.58868 0.50393 lineto gsave
0.789 0.393 0.304 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50349 0.43813 moveto 0.51274 0.4638 lineto 0.50865 0.46797 lineto gsave
0.635 0.53 0.718 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.50951 0.4059 moveto 0.51366 0.43793 lineto 0.50349 0.43813 lineto gsave
0.587 0.474 0.692 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51274 0.4638 moveto 0.50349 0.43813 lineto 0.51366 0.43793 lineto gsave
0.587 0.503 0.727 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48367 0.30345 moveto 0.48836 0.29568 lineto 0.44795 0.29562 lineto gsave
0.374 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43765 0.30706 moveto 0.44795 0.29562 lineto 0.4265 0.33086 lineto gsave
0.806 0.94 0.58 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4265 0.33086 moveto 0.41509 0.34961 lineto gsave
0.42348 0.33378 lineto 0.806 0.94 0.58 setrgbcolor
fill grestore
stroke
grestore
gsave
0.43765 0.30706 moveto 0.4265 0.33086 lineto 0.42348 0.33378 lineto 0.806 0.94 0.58 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.41509 0.34961 moveto 0.40067 0.35747 lineto 0.43765 0.30706 lineto gsave
0.898 0.97 0.818 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42676 0.32906 moveto 0.43765 0.30706 lineto 0.40067 0.35747 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40067 0.35747 moveto 0.38568 0.37259 lineto 0.41007 0.34674 lineto gsave
0.551 0.848 0.527 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41007 0.34674 moveto 0.42676 0.32906 lineto gsave
0.4141 0.34285 lineto 0.551 0.848 0.527 setrgbcolor
fill grestore
stroke
grestore
gsave
0.40067 0.35747 moveto 0.41007 0.34674 lineto 0.4141 0.34285 lineto 0.551 0.848 0.527 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.44795 0.29562 moveto 0.43765 0.30706 lineto 0.48367 0.30345 lineto gsave
0.393 0 0.037 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51366 0.43793 moveto 0.51783 0.46313 lineto 0.51274 0.4638 lineto gsave
0.611 0.524 0.731 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6388 0.52077 moveto 0.62217 0.51783 lineto 0.62551 0.56661 lineto gsave
0.703 0.326 0.331 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62551 0.56661 moveto 0.64307 0.56953 lineto 0.6388 0.52077 lineto gsave
0.621 0.244 0.306 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62217 0.51783 moveto 0.60544 0.51188 lineto 0.60778 0.55363 lineto gsave
0.73 0.351 0.334 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5901 0.53413 moveto 0.60778 0.55363 lineto 0.60544 0.51188 lineto gsave
0.767 0.382 0.327 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47392 0.46452 moveto 0.48999 0.46988 lineto 0.48812 0.49138 lineto gsave
0.749 0.598 0.689 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47095 0.50544 moveto 0.48812 0.49138 lineto 0.48999 0.50737 lineto gsave
0.825 0.682 0.704 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48999 0.50737 moveto 0.4737 0.53503 lineto 0.47095 0.50544 lineto gsave
0.828 0.659 0.674 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5276 0.40652 moveto 0.52619 0.42822 lineto 0.50951 0.4059 lineto gsave
0.399 0.351 0.689 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51366 0.43793 moveto 0.50951 0.4059 lineto 0.52619 0.42822 lineto gsave
0.433 0.362 0.678 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60778 0.55363 moveto 0.62551 0.56661 lineto 0.62217 0.51783 lineto gsave
0.716 0.337 0.329 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40067 0.35747 moveto 0.41509 0.34961 lineto 0.39275 0.44236 lineto gsave
0.926 0.777 0.676 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40916 0.44498 moveto 0.39275 0.44236 lineto 0.41509 0.34961 lineto gsave
0.772 0.607 0.675 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45715 0.56586 moveto 0.4737 0.53503 lineto 0.48192 0.54342 lineto gsave
0.91 0.771 0.696 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48192 0.54342 moveto 0.46829 0.57689 lineto 0.45715 0.56586 lineto gsave
0.91 0.771 0.696 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52478 0.44866 moveto 0.52339 0.46583 lineto 0.51783 0.46313 lineto gsave
0.55 0.522 0.777 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.51783 0.46313 moveto 0.51366 0.43793 lineto 0.52478 0.44866 lineto gsave
0.46 0.417 0.723 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32587 0.4399 moveto 0.34277 0.44004 lineto 0.33572 0.49124 lineto gsave
0.766 0.759 0.847 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35147 0.51274 moveto 0.33572 0.49124 lineto 0.34277 0.44004 lineto gsave
0.309 0.331 0.721 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48812 0.49138 moveto 0.47095 0.50544 lineto 0.47392 0.46452 lineto gsave
0.79 0.611 0.659 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45782 0.4589 moveto 0.47392 0.46452 lineto 0.47095 0.50544 lineto gsave
0.755 0.58 0.659 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55203 0.49277 moveto 0.55552 0.49391 lineto gsave
0.54872 0.48876 lineto 0.597 0.037 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57266 0.51269 moveto 0.55552 0.49391 lineto 0.55203 0.49277 lineto gsave
0.717 0.194 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56755 0.51408 moveto 0.57266 0.51269 lineto gsave
0.55616 0.49676 lineto 0.795 0.299 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55203 0.49277 moveto 0.56755 0.51408 lineto gsave
0.55616 0.49676 lineto 0.795 0.299 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5901 0.53413 moveto 0.57266 0.51269 lineto 0.56755 0.51408 lineto gsave
0.799 0.305 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56755 0.51408 moveto 0.58348 0.53892 lineto 0.5901 0.53413 lineto gsave
0.826 0.356 0.077 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56755 0.51408 moveto 0.55711 0.49552 lineto gsave
0.57848 0.53068 lineto 0 0 0.467 setrgbcolor
fill grestore
stroke
grestore
gsave
0.58348 0.53892 moveto 0.56755 0.51408 lineto 0.57848 0.53068 lineto 0 0 0.467 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.55203 0.49277 moveto 0.54515 0.48246 lineto gsave
0.55499 0.49634 lineto 0 0 0.473 setrgbcolor
fill grestore
stroke
grestore
gsave
0.56755 0.51408 moveto 0.55203 0.49277 lineto 0.55499 0.49634 lineto 0 0 0.473 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.53689 0.47983 moveto 0.55203 0.49277 lineto gsave
0.54872 0.48876 lineto 0.597 0.037 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55203 0.49277 moveto 0.53689 0.47983 lineto 0.53348 0.47591 lineto gsave
0 0.168 0.689 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52619 0.42822 moveto 0.52478 0.44866 lineto 0.51366 0.43793 lineto gsave
0.465 0.417 0.72 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53569 0.46574 moveto 0.5288 0.47069 lineto 0.52339 0.46583 lineto gsave
0.356 0.471 0.84 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52339 0.46583 moveto 0.52478 0.44866 lineto 0.53569 0.46574 lineto gsave
0.371 0.362 0.72 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44167 0.4535 moveto 0.45782 0.4589 lineto 0.45359 0.52125 lineto gsave
0.759 0.573 0.645 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47095 0.50544 moveto 0.45359 0.52125 lineto 0.45782 0.4589 lineto gsave
0.787 0.598 0.645 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54515 0.48246 moveto 0.53348 0.47591 lineto 0.5288 0.47069 lineto gsave
0 0.298 0.794 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5288 0.47069 moveto 0.53569 0.46574 lineto 0.54515 0.48246 lineto gsave
0.291 0.345 0.747 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53348 0.47591 moveto 0.54515 0.48246 lineto 0.55203 0.49277 lineto gsave
0.036 0.298 0.789 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37678 0.59866 moveto 0.39175 0.61776 lineto 0.41489 0.63905 lineto gsave
0.701 0.2 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42766 0.64212 moveto 0.41489 0.63905 lineto 0.39175 0.61776 lineto gsave
0.175 0.539 0.926 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42546 0.44875 moveto 0.44167 0.4535 lineto 0.43609 0.53565 lineto gsave
0.763 0.573 0.64 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45359 0.52125 moveto 0.43609 0.53565 lineto 0.44167 0.4535 lineto gsave
0.775 0.584 0.64 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.72317 0.44611 moveto 0.70807 0.47874 lineto 0.69165 0.44836 lineto gsave
0.979 0.864 0.654 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69165 0.44836 moveto 0.70524 0.40367 lineto 0.72317 0.44611 lineto gsave
0.983 0.829 0.612 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40916 0.44498 moveto 0.42546 0.44875 lineto 0.41858 0.54557 lineto gsave
0.768 0.579 0.642 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43609 0.53565 moveto 0.41858 0.54557 lineto 0.42546 0.44875 lineto gsave
0.754 0.567 0.642 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45359 0.52125 moveto 0.47095 0.50544 lineto 0.4737 0.53503 lineto gsave
0.817 0.651 0.678 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54269 0.46268 moveto 0.53569 0.46574 lineto 0.52478 0.44866 lineto gsave
0.213 0.291 0.728 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52478 0.44866 moveto 0.52619 0.42822 lineto 0.54269 0.46268 lineto gsave
0.326 0.295 0.671 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44045 0.59434 moveto 0.45715 0.56586 lineto 0.46829 0.57689 lineto gsave
0.903 0.774 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46829 0.57689 moveto 0.45458 0.60794 lineto 0.44045 0.59434 lineto gsave
0.903 0.774 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4737 0.53503 moveto 0.45715 0.56586 lineto 0.45359 0.52125 lineto gsave
0.824 0.645 0.66 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.84404 0.44649 moveto 0.82437 0.42377 lineto 0.80035 0.3569 lineto gsave
0 0.191 0.72 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78177 0.33546 moveto 0.80035 0.3569 lineto 0.82437 0.42377 lineto gsave
0 0.126 0.675 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39275 0.44236 moveto 0.40916 0.44498 lineto 0.40123 0.54864 lineto gsave
0.773 0.59 0.651 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41858 0.54557 moveto 0.40123 0.54864 lineto 0.40916 0.44498 lineto gsave
0.722 0.545 0.65 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34277 0.44004 moveto 0.35956 0.44019 lineto 0.35147 0.51274 lineto gsave
0.786 0.686 0.755 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36761 0.53117 moveto 0.35147 0.51274 lineto 0.35956 0.44019 lineto gsave
0.486 0.415 0.702 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35147 0.51274 moveto 0.36761 0.53117 lineto 0.37678 0.59866 lineto gsave
0.419 0.398 0.73 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39175 0.61776 moveto 0.37678 0.59866 lineto 0.36761 0.53117 lineto gsave
0.262 0.28 0.691 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5498 0.4603 moveto 0.54269 0.46268 lineto 0.52619 0.42822 lineto gsave
0.166 0.211 0.665 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52619 0.42822 moveto 0.5276 0.40652 lineto 0.5498 0.4603 lineto gsave
0.286 0.253 0.645 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38568 0.37259 moveto 0.40067 0.35747 lineto 0.37622 0.44084 lineto gsave
0.972 0.878 0.681 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39275 0.44236 moveto 0.37622 0.44084 lineto 0.40067 0.35747 lineto gsave
0.777 0.64 0.71 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37622 0.44084 moveto 0.39275 0.44236 lineto 0.38421 0.54373 lineto gsave
0.779 0.609 0.669 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40123 0.54864 moveto 0.38421 0.54373 lineto 0.39275 0.44236 lineto gsave
0.673 0.515 0.663 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39175 0.61776 moveto 0.40749 0.62345 lineto 0.42766 0.64212 lineto gsave
0.175 0.539 0.926 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44096 0.63109 moveto 0.42766 0.64212 lineto 0.40749 0.62345 lineto gsave
0.767 0.79 0.872 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55711 0.49552 moveto 0.54515 0.48246 lineto 0.53569 0.46574 lineto gsave
0 0.091 0.646 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53569 0.46574 moveto 0.54269 0.46268 lineto 0.55711 0.49552 lineto gsave
0.195 0.243 0.685 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42381 0.61496 moveto 0.44045 0.59434 lineto 0.45458 0.60794 lineto gsave
0.875 0.785 0.758 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45458 0.60794 moveto 0.44096 0.63109 lineto 0.42381 0.61496 lineto gsave
0.875 0.785 0.758 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48836 0.29568 moveto 0.48367 0.30345 lineto 0.53493 0.34527 lineto gsave
0.747 0.264 0.095 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43609 0.53565 moveto 0.45359 0.52125 lineto 0.45715 0.56586 lineto gsave
0.798 0.626 0.668 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55702 0.45718 moveto 0.5498 0.4603 lineto 0.5276 0.40652 lineto gsave
0.174 0.191 0.637 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5276 0.40652 moveto 0.52902 0.38581 lineto 0.55702 0.45718 lineto gsave
0.24 0.22 0.634 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40749 0.62345 moveto 0.42381 0.61496 lineto 0.44096 0.63109 lineto gsave
0.767 0.79 0.872 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54515 0.48246 moveto 0.55711 0.49552 lineto 0.56755 0.51408 lineto gsave
0 0.066 0.63 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47871 0.32067 moveto 0.48367 0.30345 lineto 0.43765 0.30706 lineto gsave
0.452 0.046 0.177 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43765 0.30706 moveto 0.42676 0.32906 lineto 0.47871 0.32067 lineto gsave
0.45 0.073 0.23 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37622 0.44084 moveto 0.35956 0.44019 lineto 0.38568 0.37259 lineto gsave
0.778 0.693 0.769 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35956 0.44019 moveto 0.37622 0.44084 lineto 0.36761 0.53117 lineto gsave
0.785 0.639 0.701 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38421 0.54373 moveto 0.36761 0.53117 lineto 0.37622 0.44084 lineto gsave
0.599 0.474 0.681 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45715 0.56586 moveto 0.44045 0.59434 lineto 0.43609 0.53565 lineto gsave
0.805 0.627 0.661 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56433 0.45196 moveto 0.55702 0.45718 lineto 0.52902 0.38581 lineto gsave
0.215 0.206 0.632 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.52902 0.38581 moveto 0.53045 0.36818 lineto 0.56433 0.45196 lineto gsave
0.179 0.189 0.632 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.76435 0.3233 moveto 0.75556 0.32349 lineto gsave
0.74527 0.31508 lineto 0.402 0.742 0.993 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70134 0.29615 moveto 0.71444 0.29157 lineto 0.76435 0.3233 lineto gsave
0.53 0.784 0.991 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.78177 0.33546 moveto 0.76435 0.3233 lineto 0.7499 0.31411 lineto gsave
0.439 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7499 0.31411 moveto 0.71444 0.29157 lineto gsave
0.75133 0.31561 lineto 0.439 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.78177 0.33546 moveto 0.7499 0.31411 lineto 0.75133 0.31561 lineto 0.439 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.7284 0.29699 moveto 0.78177 0.33546 lineto gsave
0.72459 0.29819 lineto 0 0.384 0.802 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7284 0.29699 moveto 0.74318 0.3098 lineto 0.75532 0.3198 lineto gsave
0.478 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75532 0.3198 moveto 0.80035 0.3569 lineto gsave
0.7535 0.31789 lineto 0.478 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.7284 0.29699 moveto 0.75532 0.3198 lineto 0.7535 0.31789 lineto 0.478 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.71444 0.29157 moveto 0.71835 0.29309 lineto gsave
0.72459 0.29819 lineto 0 0.384 0.802 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71835 0.29309 moveto 0.7284 0.29699 lineto gsave
0.72459 0.29819 lineto 0 0.384 0.802 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74817 0.32364 moveto 0.70134 0.29615 lineto gsave
0.74527 0.31508 lineto 0.402 0.742 0.993 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75556 0.32349 moveto 0.74817 0.32364 lineto gsave
0.74527 0.31508 lineto 0.402 0.742 0.993 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74817 0.32364 moveto 0.73312 0.33786 lineto 0.68902 0.31185 lineto gsave
0.837 0.832 0.843 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68902 0.31185 moveto 0.70134 0.29615 lineto 0.74817 0.32364 lineto gsave
0.829 0.839 0.855 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36761 0.53117 moveto 0.38421 0.54373 lineto 0.39175 0.61776 lineto gsave
0.569 0.478 0.712 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.73312 0.33786 moveto 0.71893 0.36539 lineto 0.67731 0.33814 lineto gsave
0.903 0.775 0.711 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67731 0.33814 moveto 0.68902 0.31185 lineto 0.73312 0.33786 lineto gsave
0.899 0.799 0.741 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70807 0.47874 moveto 0.69267 0.5118 lineto 0.67776 0.49376 lineto gsave
0.984 0.895 0.642 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67776 0.49376 moveto 0.69165 0.44836 lineto 0.70807 0.47874 lineto gsave
0.991 0.849 0.601 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37014 0.3921 moveto 0.38568 0.37259 lineto 0.35956 0.44019 lineto gsave
0.944 0.954 0.65 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35956 0.44019 moveto 0.34277 0.44004 lineto 0.37014 0.3921 lineto gsave
0.757 0.775 0.868 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.41858 0.54557 moveto 0.43609 0.53565 lineto 0.44045 0.59434 lineto gsave
0.77 0.6 0.669 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80035 0.3569 moveto 0.81978 0.38295 lineto 0.84404 0.44649 lineto gsave
0 0.022 0.594 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40749 0.62345 moveto 0.39175 0.61776 lineto 0.38421 0.54373 lineto gsave
0.544 0.459 0.71 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57169 0.44358 moveto 0.56433 0.45196 lineto 0.53045 0.36818 lineto gsave
0.277 0.243 0.64 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53045 0.36818 moveto 0.53191 0.35517 lineto 0.57169 0.44358 lineto gsave
0.086 0.154 0.638 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56937 0.51127 moveto 0.55711 0.49552 lineto 0.54269 0.46268 lineto gsave
0 0.073 0.616 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54269 0.46268 moveto 0.5498 0.4603 lineto 0.56937 0.51127 lineto gsave
0.162 0.2 0.653 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38421 0.54373 moveto 0.40123 0.54864 lineto 0.40749 0.62345 lineto gsave
0.666 0.532 0.692 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34277 0.44004 moveto 0.32587 0.4399 lineto 0.34258 0.42359 lineto gsave
0.632 0.858 0.985 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34258 0.42359 moveto 0.35419 0.41225 lineto gsave
0.35119 0.41955 lineto 0.632 0.858 0.985 setrgbcolor
fill grestore
stroke
grestore
gsave
0.34277 0.44004 moveto 0.34258 0.42359 lineto 0.35119 0.41955 lineto 0.632 0.858 0.985 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.33808 0.42895 moveto 0.35419 0.41225 lineto 0.34733 0.41895 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34733 0.41895 moveto 0.32587 0.4399 lineto gsave
0.33808 0.42895 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32587 0.4399 moveto 0.30891 0.4393 lineto 0.31251 0.43802 lineto gsave
0.286 0.765 0.927 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.31251 0.43802 moveto 0.33808 0.42895 lineto gsave
0.32782 0.43815 lineto 0.286 0.765 0.927 setrgbcolor
fill grestore
stroke
grestore
gsave
0.32587 0.4399 moveto 0.31251 0.43802 lineto 0.32782 0.43815 lineto 0.286 0.765 0.927 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.32208 0.4385 moveto 0.33808 0.42895 lineto 0.3096 0.43905 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3096 0.43905 moveto 0.30891 0.4393 lineto gsave
0.3091 0.43928 lineto 0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.32208 0.4385 moveto 0.3096 0.43905 lineto 0.3091 0.43928 lineto 0 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.30891 0.4393 moveto 0.29191 0.4378 lineto 0.32208 0.4385 lineto gsave
0 0.564 0.747 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30648 0.43841 moveto 0.32208 0.4385 lineto 0.29413 0.43786 lineto gsave
0.017 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29413 0.43786 moveto 0.29191 0.4378 lineto gsave
0.29287 0.43784 lineto 0.017 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.30648 0.43841 moveto 0.29413 0.43786 lineto 0.29287 0.43784 lineto 0.017 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.33808 0.42895 moveto 0.32208 0.4385 lineto 0.33079 0.43682 lineto gsave
0.085 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.36816 0.39555 moveto 0.34277 0.44004 lineto gsave
0.35419 0.41225 lineto 0.764 0.925 0.56 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33079 0.43682 moveto 0.37935 0.42745 lineto gsave
0.33808 0.42895 lineto 0.085 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35419 0.41225 moveto 0.33808 0.42895 lineto 0.34096 0.42807 lineto gsave
0.141 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34096 0.42807 moveto 0.39132 0.41272 lineto gsave
0.35419 0.41225 lineto 0.141 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35419 0.41225 moveto 0.37014 0.3921 lineto 0.36816 0.39555 lineto gsave
0.764 0.925 0.56 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40123 0.54864 moveto 0.41858 0.54557 lineto 0.42381 0.61496 lineto gsave
0.728 0.571 0.677 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44045 0.59434 moveto 0.42381 0.61496 lineto 0.41858 0.54557 lineto gsave
0.765 0.598 0.672 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71893 0.36539 moveto 0.70524 0.40367 lineto 0.66596 0.37289 lineto gsave
0.91 0.737 0.654 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66596 0.37289 moveto 0.67731 0.33814 lineto 0.71893 0.36539 lineto gsave
0.912 0.765 0.685 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42381 0.61496 moveto 0.40749 0.62345 lineto 0.40123 0.54864 lineto gsave
0.689 0.55 0.691 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4153 0.3577 moveto 0.42676 0.32906 lineto 0.38568 0.37259 lineto gsave
0 0 0.064 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.38568 0.37259 moveto 0.37014 0.3921 lineto 0.4153 0.3577 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60778 0.55363 moveto 0.5901 0.53413 lineto 0.58348 0.53892 lineto gsave
0.79 0.3 0.039 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.48367 0.30345 moveto 0.47871 0.32067 lineto 0.53651 0.34724 lineto gsave
0.683 0.265 0.247 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57908 0.43153 moveto 0.57169 0.44358 lineto 0.53191 0.35517 lineto gsave
0.351 0.296 0.655 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53191 0.35517 moveto 0.5334 0.34758 lineto 0.57908 0.43153 lineto gsave
0 0.11 0.645 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69267 0.5118 moveto 0.67675 0.5405 lineto 0.66331 0.53364 lineto gsave
0.963 0.941 0.657 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66331 0.53364 moveto 0.67776 0.49376 lineto 0.69267 0.5118 lineto gsave
0.99 0.884 0.616 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55711 0.49552 moveto 0.56937 0.51127 lineto 0.58348 0.53892 lineto gsave
0 0.004 0.58 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58188 0.52508 moveto 0.56937 0.51127 lineto 0.5498 0.4603 lineto gsave
0.076 0.148 0.636 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5498 0.4603 moveto 0.55702 0.45718 lineto 0.58188 0.52508 lineto gsave
0.178 0.201 0.646 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29191 0.4378 moveto 0.27492 0.43516 lineto 0.30648 0.43841 lineto gsave
0 0.512 0.732 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70524 0.40367 moveto 0.69165 0.44836 lineto 0.65471 0.41253 lineto gsave
0.903 0.711 0.634 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65471 0.41253 moveto 0.66596 0.37289 lineto 0.70524 0.40367 lineto gsave
0.907 0.74 0.664 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.80035 0.3569 moveto 0.78177 0.33546 lineto 0.7284 0.29699 lineto gsave
0.695 0.171 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47351 0.34374 moveto 0.47871 0.32067 lineto 0.42676 0.32906 lineto gsave
0.456 0.083 0.243 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.42676 0.32906 moveto 0.4153 0.3577 lineto 0.47351 0.34374 lineto gsave
0.454 0.103 0.279 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.62551 0.56661 moveto 0.60778 0.55363 lineto 0.59974 0.5614 lineto gsave
0.711 0.197 0.001 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58348 0.53892 moveto 0.59974 0.5614 lineto 0.60778 0.55363 lineto gsave
0.803 0.325 0.077 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29148 0.42794 moveto 0.30648 0.43841 lineto 0.27492 0.43516 lineto gsave
0 0.404 0.837 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27492 0.43516 moveto 0.25796 0.4313 lineto 0.29148 0.42794 lineto gsave
0.078 0.603 0.873 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58648 0.41591 moveto 0.57908 0.43153 lineto 0.5334 0.34758 lineto gsave
0.432 0.359 0.675 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67675 0.5405 moveto 0.66021 0.56064 lineto 0.64816 0.56249 lineto gsave
0.834 0.98 0.689 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64816 0.56249 moveto 0.66331 0.53364 lineto 0.67675 0.5405 lineto gsave
0.957 0.948 0.672 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27714 0.40824 moveto 0.29148 0.42794 lineto 0.25796 0.4313 lineto gsave
0.056 0.293 0.782 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.25796 0.4313 moveto 0.24103 0.42635 lineto 0.27714 0.40824 lineto gsave
0.334 0.7 0.982 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26337 0.38211 moveto 0.27714 0.40824 lineto 0.24103 0.42635 lineto gsave
0.172 0.279 0.733 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24103 0.42635 moveto 0.22413 0.42062 lineto 0.26337 0.38211 lineto gsave
0.52 0.711 0.959 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40341 0.3876 moveto 0.4153 0.3577 lineto 0.37014 0.3921 lineto gsave
0.113 0 0.124 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37014 0.3921 moveto 0.35419 0.41225 lineto 0.40341 0.3876 lineto gsave
0.079 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59454 0.53231 moveto 0.58188 0.52508 lineto 0.55702 0.45718 lineto gsave
0.269 0.255 0.658 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55702 0.45718 moveto 0.56433 0.45196 lineto 0.59454 0.53231 lineto gsave
0.232 0.236 0.658 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.24993 0.35332 moveto 0.26337 0.38211 lineto 0.22413 0.42062 lineto gsave
0.281 0.315 0.719 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.22413 0.42062 moveto 0.20721 0.41455 lineto 0.24993 0.35332 lineto gsave
0.614 0.691 0.898 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59974 0.5614 moveto 0.58348 0.53892 lineto 0.56937 0.51127 lineto gsave
0 0.035 0.606 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64307 0.56953 moveto 0.62551 0.56661 lineto 0.61613 0.57557 lineto gsave
0.458 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59974 0.5614 moveto 0.61613 0.57557 lineto 0.62551 0.56661 lineto gsave
0.698 0.177 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56937 0.51127 moveto 0.58188 0.52508 lineto 0.59974 0.5614 lineto gsave
0 0.088 0.644 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66021 0.56064 moveto 0.64307 0.56953 lineto 0.63236 0.5767 lineto gsave
0 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61613 0.57557 moveto 0.63236 0.5767 lineto 0.64307 0.56953 lineto gsave
0.266 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63236 0.5767 moveto 0.64816 0.56249 lineto 0.66021 0.56064 lineto gsave
0.699 0.97 0.748 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.69165 0.44836 moveto 0.67776 0.49376 lineto 0.64333 0.45246 lineto gsave
0.886 0.691 0.633 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64333 0.45246 moveto 0.65471 0.41253 lineto 0.69165 0.44836 lineto gsave
0.889 0.72 0.665 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53814 0.35171 moveto 0.53651 0.34724 lineto 0.47871 0.32067 lineto gsave
0.517 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47871 0.32067 moveto 0.47351 0.34374 lineto 0.53814 0.35171 lineto gsave
0.624 0.236 0.287 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.81978 0.38295 moveto 0.80035 0.3569 lineto 0.74318 0.3098 lineto gsave
0.74 0.235 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53493 0.34527 moveto 0.53651 0.34724 lineto 0.59387 0.39745 lineto gsave
0.505 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60715 0.52934 moveto 0.59454 0.53231 lineto 0.56433 0.45196 lineto gsave
0.435 0.353 0.665 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.56433 0.45196 moveto 0.57169 0.44358 lineto 0.60715 0.52934 lineto gsave
0.315 0.298 0.681 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.70134 0.29615 moveto 0.68902 0.31185 lineto 0.62387 0.32178 lineto gsave
0.856 0.899 0.865 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68902 0.31185 moveto 0.67731 0.33814 lineto 0.61622 0.3382 lineto gsave
0.868 0.756 0.737 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61622 0.3382 moveto 0.62387 0.32178 lineto 0.68902 0.31185 lineto gsave
0.865 0.885 0.849 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67731 0.33814 moveto 0.66596 0.37289 lineto 0.6087 0.35713 lineto gsave
0.838 0.674 0.68 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6087 0.35713 moveto 0.61622 0.3382 lineto 0.67731 0.33814 lineto gsave
0.851 0.818 0.816 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.71444 0.29157 moveto 0.70134 0.29615 lineto 0.64553 0.30616 lineto gsave
0.348 0.826 0.835 setrgbcolor
fill grestore
stroke
grestore
gsave
0.71444 0.29157 moveto 0.64553 0.30616 lineto 0.64971 0.30492 lineto 0.348 0.826 0.835 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.62387 0.32178 moveto 0.63171 0.30863 lineto 0.70134 0.29615 lineto gsave
0.832 0.935 0.896 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63171 0.30863 moveto 0.63977 0.29897 lineto 0.71444 0.29157 lineto gsave
0.732 0.946 0.951 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.7284 0.29699 moveto 0.71444 0.29157 lineto 0.6463 0.29832 lineto gsave
0.424 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6463 0.29832 moveto 0.63977 0.29897 lineto gsave
0.65108 0.29872 lineto 0.424 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.7284 0.29699 moveto 0.6463 0.29832 lineto 0.65108 0.29872 lineto 0.424 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.63977 0.29897 moveto 0.64808 0.2924 lineto 0.68495 0.29451 lineto gsave
0.568 0.889 0.988 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.68495 0.29451 moveto 0.7284 0.29699 lineto gsave
0.67232 0.29824 lineto 0.568 0.889 0.988 setrgbcolor
fill grestore
stroke
grestore
gsave
0.63977 0.29897 moveto 0.68495 0.29451 lineto 0.67232 0.29824 lineto 0.568 0.889 0.988 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.74318 0.3098 moveto 0.7284 0.29699 lineto 0.65065 0.29255 lineto gsave
0.63 0.104 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65065 0.29255 moveto 0.64808 0.2924 lineto gsave
0.6534 0.29338 lineto 0.63 0.104 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.74318 0.3098 moveto 0.65065 0.29255 lineto 0.6534 0.29338 lineto 0.63 0.104 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.64808 0.2924 moveto 0.65661 0.28805 lineto 0.7226 0.30463 lineto gsave
0.402 0.779 0.992 setrgbcolor
fill grestore
stroke
grestore
gsave
0.64808 0.2924 moveto 0.7226 0.30463 lineto 0.70857 0.30347 lineto 0.402 0.779 0.992 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.7226 0.30463 moveto 0.74318 0.3098 lineto gsave
0.70857 0.30347 lineto 0.402 0.779 0.992 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75858 0.32618 moveto 0.74318 0.3098 lineto 0.65661 0.28805 lineto gsave
0.688 0.165 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65661 0.28805 moveto 0.66534 0.28466 lineto 0.75041 0.32254 lineto gsave
0.314 0.678 0.977 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.75041 0.32254 moveto 0.75858 0.32618 lineto gsave
0.74244 0.32015 lineto 0.314 0.678 0.977 setrgbcolor
fill grestore
stroke
grestore
gsave
0.65661 0.28805 moveto 0.75041 0.32254 lineto 0.74244 0.32015 lineto 0.314 0.678 0.977 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.64553 0.30616 moveto 0.63171 0.30863 lineto gsave
0.64971 0.30492 lineto 0.348 0.826 0.835 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61613 0.57557 moveto 0.59974 0.5614 lineto 0.58188 0.52508 lineto gsave
0.17 0.301 0.756 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39132 0.41272 moveto 0.40341 0.3876 lineto 0.35419 0.41225 lineto gsave
0.158 0 0.093 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46811 0.36783 moveto 0.47351 0.34374 lineto 0.4153 0.3577 lineto gsave
0.435 0.066 0.239 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4153 0.3577 moveto 0.40341 0.3876 lineto 0.46811 0.36783 lineto gsave
0.437 0.087 0.273 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58188 0.52508 moveto 0.59454 0.53231 lineto 0.61613 0.57557 lineto gsave
0.136 0.285 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61956 0.51434 moveto 0.60715 0.52934 lineto 0.57169 0.44358 lineto gsave
0.559 0.43 0.661 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57169 0.44358 moveto 0.57908 0.43153 lineto 0.61956 0.51434 lineto gsave
0.418 0.38 0.709 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.67776 0.49376 moveto 0.66331 0.53364 lineto 0.63163 0.48782 lineto gsave
0.859 0.673 0.649 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63163 0.48782 moveto 0.64333 0.45246 lineto 0.67776 0.49376 lineto gsave
0.857 0.699 0.684 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66596 0.37289 moveto 0.65471 0.41253 lineto 0.60127 0.37736 lineto gsave
0.803 0.621 0.655 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60127 0.37736 moveto 0.6087 0.35713 lineto 0.66596 0.37289 lineto gsave
0.804 0.741 0.794 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60127 0.37736 moveto 0.59387 0.39745 lineto 0.53651 0.34724 lineto gsave
0.601 0.513 0.727 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53651 0.34724 moveto 0.53814 0.35171 lineto 0.60127 0.37736 lineto gsave
0.522 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63163 0.48782 moveto 0.61956 0.51434 lineto 0.57908 0.43153 lineto gsave
0.648 0.489 0.653 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.57908 0.43153 moveto 0.58648 0.41591 lineto 0.63163 0.48782 lineto gsave
0.53 0.472 0.736 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.74318 0.3098 moveto 0.75858 0.32618 lineto 0.81978 0.38295 lineto gsave
0.561 0.047 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65471 0.41253 moveto 0.64333 0.45246 lineto 0.59387 0.39745 lineto gsave
0.762 0.577 0.647 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59387 0.39745 moveto 0.60127 0.37736 lineto 0.65471 0.41253 lineto gsave
0.731 0.657 0.777 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63236 0.5767 moveto 0.61613 0.57557 lineto 0.59454 0.53231 lineto gsave
0.532 0.508 0.774 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66331 0.53364 moveto 0.64816 0.56249 lineto 0.61956 0.51434 lineto gsave
0.812 0.648 0.679 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61956 0.51434 moveto 0.63163 0.48782 lineto 0.66331 0.53364 lineto gsave
0.798 0.668 0.72 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64333 0.45246 moveto 0.63163 0.48782 lineto 0.58648 0.41591 lineto gsave
0.713 0.536 0.648 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.58648 0.41591 moveto 0.59387 0.39745 lineto 0.64333 0.45246 lineto gsave
0.637 0.567 0.759 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.59454 0.53231 moveto 0.60715 0.52934 lineto 0.63236 0.5767 lineto gsave
0.465 0.487 0.797 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53981 0.35635 moveto 0.53814 0.35171 lineto 0.47351 0.34374 lineto gsave
0.385 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.47351 0.34374 moveto 0.46811 0.36783 lineto 0.53981 0.35635 lineto gsave
0.564 0.181 0.273 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37935 0.42745 moveto 0.39132 0.41272 lineto 0.33808 0.42895 lineto gsave
0.121 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64816 0.56249 moveto 0.63236 0.5767 lineto 0.60715 0.52934 lineto gsave
0.721 0.604 0.726 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.60715 0.52934 moveto 0.61956 0.51434 lineto 0.64816 0.56249 lineto gsave
0.683 0.609 0.766 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.6087 0.35713 moveto 0.60127 0.37736 lineto 0.53814 0.35171 lineto gsave
0.685 0.606 0.761 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.53814 0.35171 moveto 0.53981 0.35635 lineto 0.6087 0.35713 lineto gsave
0.373 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.61622 0.3382 moveto 0.6087 0.35713 lineto 0.53981 0.35635 lineto gsave
0.765 0.713 0.803 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46263 0.38753 moveto 0.46811 0.36783 lineto 0.40341 0.3876 lineto gsave
0.378 0 0.164 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.40341 0.3876 moveto 0.39132 0.41272 lineto 0.46263 0.38753 lineto gsave
0.389 0.017 0.207 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3678 0.42787 moveto 0.37935 0.42745 lineto 0.32208 0.4385 lineto gsave
0.208 0.735 0.808 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32208 0.4385 moveto 0.30648 0.43841 lineto 0.3678 0.42787 lineto gsave
0.234 0.747 0.866 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5415 0.35874 moveto 0.61622 0.3382 lineto gsave
0.57626 0.34769 lineto 0.08 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.53981 0.35635 moveto 0.5415 0.35874 lineto 0.57626 0.34769 lineto 0.08 0 0 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.46811 0.36783 moveto 0.46263 0.38753 lineto 0.5415 0.35874 lineto gsave
0.471 0.068 0.192 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5415 0.35874 moveto 0.46263 0.38753 lineto gsave
0.52019 0.36552 lineto 0.37 0.834 0.777 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5415 0.35874 moveto 0.53981 0.35635 lineto 0.46811 0.36783 lineto gsave
0.112 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.5432 0.35672 moveto 0.5415 0.35874 lineto 0.52019 0.36552 lineto 0.37 0.834 0.777 setrgbcolor
fill
grestore
gsave
0.002 setlinewidth
0.62387 0.32178 moveto 0.61622 0.3382 lineto 0.5415 0.35874 lineto gsave
0.827 0.832 0.852 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.26337 0.38211 moveto 0.24993 0.35332 lineto 0.32798 0.30311 lineto gsave
0.522 0.442 0.707 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63171 0.30863 moveto 0.62387 0.32178 lineto 0.5432 0.35672 lineto gsave
0.836 0.942 0.893 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5415 0.35874 moveto 0.5432 0.35672 lineto 0.62387 0.32178 lineto gsave
0.404 0.847 0.74 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35691 0.41274 moveto 0.3678 0.42787 lineto 0.30648 0.43841 lineto gsave
0.443 0.569 0.886 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.30648 0.43841 moveto 0.29148 0.42794 lineto 0.35691 0.41274 lineto gsave
0.468 0.646 0.935 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.32798 0.30311 moveto 0.33718 0.34536 lineto 0.26337 0.38211 lineto gsave
0.467 0.366 0.657 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.27714 0.40824 moveto 0.26337 0.38211 lineto 0.33718 0.34536 lineto gsave
0.505 0.452 0.731 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33718 0.34536 moveto 0.34674 0.3838 lineto 0.27714 0.40824 lineto gsave
0.45 0.37 0.675 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.29148 0.42794 moveto 0.27714 0.40824 lineto 0.34674 0.3838 lineto gsave
0.493 0.504 0.797 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34674 0.3838 moveto 0.35691 0.41274 lineto 0.29148 0.42794 lineto gsave
0.444 0.416 0.733 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.63977 0.29897 moveto 0.63171 0.30863 lineto 0.54489 0.34884 lineto gsave
0.741 0.987 0.896 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.5432 0.35672 moveto 0.54489 0.34884 lineto 0.63171 0.30863 lineto gsave
0.782 0.984 0.902 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46263 0.38753 moveto 0.39132 0.41272 lineto gsave
0.45516 0.39833 lineto 0.191 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.39132 0.41272 moveto 0.37935 0.42745 lineto 0.45717 0.39788 lineto gsave
0.228 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3678 0.42787 moveto 0.45188 0.3954 lineto gsave
0.38976 0.42285 lineto 0.52 0.913 0.916 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37935 0.42745 moveto 0.37729 0.42753 lineto gsave
0.38976 0.42285 lineto 0.52 0.913 0.916 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.37729 0.42753 moveto 0.3678 0.42787 lineto gsave
0.38976 0.42285 lineto 0.52 0.913 0.916 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45717 0.39788 moveto 0.45737 0.3975 lineto gsave
0.45516 0.39833 lineto 0.191 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45737 0.3975 moveto 0.46263 0.38753 lineto gsave
0.45516 0.39833 lineto 0.191 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.64808 0.2924 moveto 0.63977 0.29897 lineto 0.54657 0.33467 lineto gsave
0.556 0.934 0.862 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54489 0.34884 moveto 0.54657 0.33467 lineto 0.63977 0.29897 lineto gsave
0.852 0.878 0.859 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.65661 0.28805 moveto 0.64808 0.2924 lineto 0.54822 0.31488 lineto gsave
0.388 0.849 0.858 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54657 0.33467 moveto 0.54822 0.31488 lineto 0.64808 0.2924 lineto gsave
0.824 0.769 0.801 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.46263 0.38753 moveto 0.45717 0.39788 lineto 0.5432 0.35672 lineto gsave
0.207 0 0 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54489 0.34884 moveto 0.5432 0.35672 lineto 0.45717 0.39788 lineto gsave
0.752 0.965 0.934 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45188 0.3954 moveto 0.45717 0.39788 lineto 0.37935 0.42745 lineto gsave
0.538 0.918 0.933 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.33718 0.34536 moveto 0.32798 0.30311 lineto 0.43322 0.27197 lineto gsave
0.602 0.455 0.654 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.66534 0.28466 moveto 0.65661 0.28805 lineto 0.54984 0.29105 lineto gsave
0.32 0.794 0.922 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54822 0.31488 moveto 0.54984 0.29105 lineto 0.65661 0.28805 lineto gsave
0.784 0.695 0.766 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54657 0.33467 moveto 0.54489 0.34884 lineto 0.45188 0.3954 lineto gsave
0.819 0.851 0.872 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45717 0.39788 moveto 0.45188 0.3954 lineto 0.54489 0.34884 lineto gsave
0.686 0.976 0.905 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43322 0.27197 moveto 0.43759 0.31287 lineto 0.33718 0.34536 lineto gsave
0.612 0.472 0.667 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.34674 0.3838 moveto 0.33718 0.34536 lineto 0.43759 0.31287 lineto gsave
0.613 0.474 0.669 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44684 0.37901 moveto 0.45188 0.3954 lineto 0.3678 0.42787 lineto gsave
0.687 0.689 0.846 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.3678 0.42787 moveto 0.35691 0.41274 lineto 0.44684 0.37901 lineto gsave
0.68 0.668 0.832 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43759 0.31287 moveto 0.4421 0.35023 lineto 0.34674 0.3838 lineto gsave
0.624 0.493 0.682 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.35691 0.41274 moveto 0.34674 0.3838 lineto 0.4421 0.35023 lineto gsave
0.636 0.527 0.714 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54984 0.29105 moveto 0.55146 0.26541 lineto 0.66534 0.28466 lineto gsave
0.744 0.647 0.753 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4421 0.35023 moveto 0.44684 0.37901 lineto 0.35691 0.41274 lineto gsave
0.647 0.549 0.729 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54822 0.31488 moveto 0.54657 0.33467 lineto 0.44684 0.37901 lineto gsave
0.794 0.743 0.805 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.45188 0.3954 moveto 0.44684 0.37901 lineto 0.54657 0.33467 lineto gsave
0.795 0.75 0.811 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.54984 0.29105 moveto 0.54822 0.31488 lineto 0.4421 0.35023 lineto gsave
0.758 0.673 0.767 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.44684 0.37901 moveto 0.4421 0.35023 lineto 0.54822 0.31488 lineto gsave
0.744 0.615 0.715 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.43759 0.31287 moveto 0.43322 0.27197 lineto 0.55146 0.26541 lineto gsave
0.688 0.527 0.664 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.55146 0.26541 moveto 0.54984 0.29105 lineto 0.43759 0.31287 lineto gsave
0.724 0.63 0.752 setrgbcolor
fill grestore
stroke
grestore
gsave
0.002 setlinewidth
0.4421 0.35023 moveto 0.43759 0.31287 lineto 0.54984 0.29105 lineto gsave
0.71 0.555 0.676 setrgbcolor
fill grestore
stroke
grestore
gsave
grestore
% End of Graphics
MathPictureEnd
^*)